package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbCrdtBadCntrErrTDO
 * 클래스설명 : 은행연합회_신용_불량_집중_오류 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbCrdtBadCntrErrTDO extends AbstractVO
{
    private String jobDt; //JOB_DT   작업_일자
    private String regBlckSnum; //REG_BLCK_SNUM   등록_블록_일련번호
    private String regSnum; //REG_SNUM   등록_일련번호
    private String dataSnum; //DATA_SNUM   자료_일련번호
    private String acntNo; //ACNT_NO   대출_번호
    private String custNo; //CUST_NO   고객번호
    private String errCd; //ERR_CD   오류_코드
    private String bsnDivErr; //BSN_DIV_ERR   거래_구분_코드_오류
    private String dataDivErr; //DATA_DIV_ERR   자료_구분_오류
    private String snumErr; //SNUM_ERR   일련번호_오류
    private String dataDivCdErr; //DATA_DIV_CD_ERR   자료_구분_코드_오류
    private String rsnDivCdErr; //RSN_DIV_CD_ERR   사유_구분_코드_오류
    private String regCdErr; //REG_CD_ERR   등록_코드_오류
    private String custNoErr; //CUST_NO_ERR   고객번호_오류
    private String custNoDivErr; //CUST_NO_DIV_ERR   고객_유형_코드_오류
    private String mtalErr; //MTAL_ERR   상호_오류
    private String custNmErr; //CUST_NM_ERR   고객_명_오류
    private String jobCdErr; //JOB_CD_ERR   직업_코드_오류
    private String bzitCdErr; //BZIT_CD_ERR   업종_코드_오류
    private String acntNoErr; //ACNT_NO_ERR   계좌_번호_오류
    private String shopCdErr; //SHOP_CD_ERR   점포_코드_오류
    private String badOccrDtErr; //BAD_OCCR_DT_ERR   불량_발생_일자_오류
    private String closDtErr; //CLOS_DT_ERR   해제_일자_오류
    private String regAmtErr; //REG_AMT_ERR   등록_금액_오류
    private String regAmtVeriFldErr; //REG_AMT_VERI_FLD_ERR   등록_금액_검증_필드_오류
    private String dlyAmtErr; //DLY_AMT_ERR   연체_금액_오류
    private String dlyAmtVeriFldErr; //DLY_AMT_VERI_FLD_ERR   연체_금액_검증_필드_오류
    private String tranShopErr; //TRAN_SHOP_ERR   이관_점포_오류
    private String corpRegNoErr; //CORP_REG_NO_ERR   법인등록번호_오류
    private String contDtErr; //CONT_DT_ERR   약정_일자_오류
    private String closDivCdErr; //CLOS_DIV_CD_ERR   해제_구분_코드_오류
    private String relManCntErr; //REL_MAN_CNT_ERR   관련인_건수_오류
    private String relManErr; //REL_MAN_ERR   관련인_오류
    private String preWorkOutSnctamtFg; //PRE_WORK_OUT_SNCTAMT_FG   PRE_WORK_OUT_제재금_여부

    public String getJobDt() { return jobDt; }
    public String getRegBlckSnum() { return regBlckSnum; }
    public String getRegSnum() { return regSnum; }
    public String getDataSnum() { return dataSnum; }
    public String getAcntNo() { return acntNo; }
    public String getCustNo() { return custNo; }
    public String getErrCd() { return errCd; }
    public String getBsnDivErr() { return bsnDivErr; }
    public String getDataDivErr() { return dataDivErr; }
    public String getSnumErr() { return snumErr; }
    public String getDataDivCdErr() { return dataDivCdErr; }
    public String getRsnDivCdErr() { return rsnDivCdErr; }
    public String getRegCdErr() { return regCdErr; }
    public String getCustNoErr() { return custNoErr; }
    public String getCustNoDivErr() { return custNoDivErr; }
    public String getMtalErr() { return mtalErr; }
    public String getCustNmErr() { return custNmErr; }
    public String getJobCdErr() { return jobCdErr; }
    public String getBzitCdErr() { return bzitCdErr; }
    public String getAcntNoErr() { return acntNoErr; }
    public String getShopCdErr() { return shopCdErr; }
    public String getBadOccrDtErr() { return badOccrDtErr; }
    public String getClosDtErr() { return closDtErr; }
    public String getRegAmtErr() { return regAmtErr; }
    public String getRegAmtVeriFldErr() { return regAmtVeriFldErr; }
    public String getDlyAmtErr() { return dlyAmtErr; }
    public String getDlyAmtVeriFldErr() { return dlyAmtVeriFldErr; }
    public String getTranShopErr() { return tranShopErr; }
    public String getCorpRegNoErr() { return corpRegNoErr; }
    public String getContDtErr() { return contDtErr; }
    public String getClosDivCdErr() { return closDivCdErr; }
    public String getRelManCntErr() { return relManCntErr; }
    public String getRelManErr() { return relManErr; }
    public String getPreWorkOutSnctamtFg() { return preWorkOutSnctamtFg; }

    public void setJobDt(String jobDt) {this.jobDt = jobDt;}
    public void setRegBlckSnum(String regBlckSnum) {this.regBlckSnum = regBlckSnum;}
    public void setRegSnum(String regSnum) {this.regSnum = regSnum;}
    public void setDataSnum(String dataSnum) {this.dataSnum = dataSnum;}
    public void setAcntNo(String acntNo) {this.acntNo = acntNo;}
    public void setCustNo(String custNo) {this.custNo = custNo;}
    public void setErrCd(String errCd) {this.errCd = errCd;}
    public void setBsnDivErr(String bsnDivErr) {this.bsnDivErr = bsnDivErr;}
    public void setDataDivErr(String dataDivErr) {this.dataDivErr = dataDivErr;}
    public void setSnumErr(String snumErr) {this.snumErr = snumErr;}
    public void setDataDivCdErr(String dataDivCdErr) {this.dataDivCdErr = dataDivCdErr;}
    public void setRsnDivCdErr(String rsnDivCdErr) {this.rsnDivCdErr = rsnDivCdErr;}
    public void setRegCdErr(String regCdErr) {this.regCdErr = regCdErr;}
    public void setCustNoErr(String custNoErr) {this.custNoErr = custNoErr;}
    public void setCustNoDivErr(String custNoDivErr) {this.custNoDivErr = custNoDivErr;}
    public void setMtalErr(String mtalErr) {this.mtalErr = mtalErr;}
    public void setCustNmErr(String custNmErr) {this.custNmErr = custNmErr;}
    public void setJobCdErr(String jobCdErr) {this.jobCdErr = jobCdErr;}
    public void setBzitCdErr(String bzitCdErr) {this.bzitCdErr = bzitCdErr;}
    public void setAcntNoErr(String acntNoErr) {this.acntNoErr = acntNoErr;}
    public void setShopCdErr(String shopCdErr) {this.shopCdErr = shopCdErr;}
    public void setBadOccrDtErr(String badOccrDtErr) {this.badOccrDtErr = badOccrDtErr;}
    public void setClosDtErr(String closDtErr) {this.closDtErr = closDtErr;}
    public void setRegAmtErr(String regAmtErr) {this.regAmtErr = regAmtErr;}
    public void setRegAmtVeriFldErr(String regAmtVeriFldErr) {this.regAmtVeriFldErr = regAmtVeriFldErr;}
    public void setDlyAmtErr(String dlyAmtErr) {this.dlyAmtErr = dlyAmtErr;}
    public void setDlyAmtVeriFldErr(String dlyAmtVeriFldErr) {this.dlyAmtVeriFldErr = dlyAmtVeriFldErr;}
    public void setTranShopErr(String tranShopErr) {this.tranShopErr = tranShopErr;}
    public void setCorpRegNoErr(String corpRegNoErr) {this.corpRegNoErr = corpRegNoErr;}
    public void setContDtErr(String contDtErr) {this.contDtErr = contDtErr;}
    public void setClosDivCdErr(String closDivCdErr) {this.closDivCdErr = closDivCdErr;}
    public void setRelManCntErr(String relManCntErr) {this.relManCntErr = relManCntErr;}
    public void setRelManErr(String relManErr) {this.relManErr = relManErr;}
    public void setPreWorkOutSnctamtFg(String preWorkOutSnctamtFg) {this.preWorkOutSnctamtFg = preWorkOutSnctamtFg;}
}
