package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbDebtGuarHistTDO
 * 클래스설명 : 은행연합회_채무_보증_이력 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbDebtGuarHistTDO extends AbstractVO {
	private String jobDt; //JOB_DT   작업_일자
	private String regBlckSnum; //REG_BLCK_SNUM   등록_블록_일련번호
	private String regSnum; //REG_SNUM   등록_일련번호
	private String dataSnum; //DATA_SNUM   자료_일련번호
	private String custNo; //CUST_NO   고객번호
	private String sendDivCd; //SEND_DIV_CD   전송_구분_코드
	private String prgsStatCd; //PRGS_STAT_CD   진행_상태_코드
	private String regDivCd; //REG_DIV_CD   등록_구분_코드
	private String custDivCd; //CUST_DIV_CD   고객_구분_코드
	private String custNm; //CUST_NM   고객명
	private String mtalNm; //MTAL_NM   상호_명
	private String jobCd; //JOB_CD   직업_코드
	private String bzitCd; //BZIT_CD   업종_코드
	private String shopCd; //SHOP_CD   점포_코드
	private String occrDt; //OCCR_DT   발생_일자
	private String guarAmt; //GUAR_AMT   보증_금액
	private String wartNo; //WART_NO   피보증인_번호
	private String wartDiv; //WART_DIV   피보증인_구분
	private String wartAcntNo; //WART_ACNT_NO   피보증인_계좌_번호
	private String guarKind; //GUAR_KIND   보증_종류
	private String varDt; //VAR_DT   변동_일자
	private String tranDept; //TRAN_DEPT   이관_부서

	public String getJobDt() {
		return jobDt;
	}

	public String getRegBlckSnum() {
		return regBlckSnum;
	}

	public String getRegSnum() {
		return regSnum;
	}

	public String getDataSnum() {
		return dataSnum;
	}

	public String getCustNo() {
		return custNo;
	}

	public String getSendDivCd() {
		return sendDivCd;
	}

	public String getPrgsStatCd() {
		return prgsStatCd;
	}

	public String getRegDivCd() {
		return regDivCd;
	}

	public String getCustDivCd() {
		return custDivCd;
	}

	public String getCustNm() {
		return custNm;
	}

	public String getMtalNm() {
		return mtalNm;
	}

	public String getJobCd() {
		return jobCd;
	}

	public String getBzitCd() {
		return bzitCd;
	}

	public String getShopCd() {
		return shopCd;
	}

	public String getOccrDt() {
		return occrDt;
	}

	public String getGuarAmt() {
		return guarAmt;
	}

	public String getWartNo() {
		return wartNo;
	}

	public String getWartDiv() {
		return wartDiv;
	}

	public String getWartAcntNo() {
		return wartAcntNo;
	}

	public String getGuarKind() {
		return guarKind;
	}

	public String getVarDt() {
		return varDt;
	}

	public String getTranDept() {
		return tranDept;
	}

	public void setJobDt(String jobDt) {
		this.jobDt = jobDt;
	}

	public void setRegBlckSnum(String regBlckSnum) {
		this.regBlckSnum = regBlckSnum;
	}

	public void setRegSnum(String regSnum) {
		this.regSnum = regSnum;
	}

	public void setDataSnum(String dataSnum) {
		this.dataSnum = dataSnum;
	}

	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}

	public void setSendDivCd(String sendDivCd) {
		this.sendDivCd = sendDivCd;
	}

	public void setPrgsStatCd(String prgsStatCd) {
		this.prgsStatCd = prgsStatCd;
	}

	public void setRegDivCd(String regDivCd) {
		this.regDivCd = regDivCd;
	}

	public void setCustDivCd(String custDivCd) {
		this.custDivCd = custDivCd;
	}

	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}

	public void setMtalNm(String mtalNm) {
		this.mtalNm = mtalNm;
	}

	public void setJobCd(String jobCd) {
		this.jobCd = jobCd;
	}

	public void setBzitCd(String bzitCd) {
		this.bzitCd = bzitCd;
	}

	public void setShopCd(String shopCd) {
		this.shopCd = shopCd;
	}

	public void setOccrDt(String occrDt) {
		this.occrDt = occrDt;
	}

	public void setGuarAmt(String guarAmt) {
		this.guarAmt = guarAmt;
	}

	public void setWartNo(String wartNo) {
		this.wartNo = wartNo;
	}

	public void setWartDiv(String wartDiv) {
		this.wartDiv = wartDiv;
	}

	public void setWartAcntNo(String wartAcntNo) {
		this.wartAcntNo = wartAcntNo;
	}

	public void setGuarKind(String guarKind) {
		this.guarKind = guarKind;
	}

	public void setVarDt(String varDt) {
		this.varDt = varDt;
	}

	public void setTranDept(String tranDept) {
		this.tranDept = tranDept;
	}
}
