package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbGuarCntrErrTDO
 * 클래스설명 : 은행연합회_대출_거래_집중_오류 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbEntGuarCntrErrTDO extends AbstractVO
 {
    private static final long serialVersionUID = -7057270156807405145L;
    private String jobDt; //JOB_DT 작업_일자
    private String regBlckSnum; //REG_BLCK_SNUM 등록_블록_일련번호
    private String regSnum; //REG_SNUM 등록_일련번호
    private String dataSnum; //DATA_SNUM 자료_일련번호
    private String custNo; //CUST_NO 고객번호
    private String errCd; //ERR_CD 오류_코드
    private String bsnDivErr; //BSN_DIV_ERR 거래_구분_코드_오류
    private String dataDivErr; //DATA_DIV_ERR 자료_구분_오류
    private String snumErr; //SNUM_ERR 일련번호_오류
    private String regDivCdErr; //REG_DIV_CD_ERR 처리구분코드 Error
    private String shopCdErr; //SHOP_CD_ERR 점포코드 Error
    private String regRsnDtErr; //REG_RSN_DT_ERR 등록사유발생일자 Error
    private String lastChngDtErr; //LAST_CHNG_DT_ERR 최종변경일자 Error
    private String brwrCdErr; //BRWR_CD_ERR 차주구분코드 Error
    private String corpRegNoErr; //CORP_REG_NO_ERR 주민(법인)등록번호 Error
    private String bizNoErr; //BIZ_NO_ERR 사업자등록번호 Error
    private String custNmErr; //CUST_NM_ERR 상호명 Error
    private String reprNameErr; //REPR_NAME_ERR 대표자 성명 Error
    private String itemCdErr; //ITEM_CD_ERR 담보코드  Error
    private String chngAmtErr; //CHNG_AMT_ERR 신용공여 잔액 Error
    private String frstRegEmpNo; //FRST_REG_EMP_NO 최초_등록_사원_번호
    private String lastProcEmpNo; //LAST_PROC_EMP_NO 최종_처리_사원_번호
    public String getJobDt() {
        return jobDt;
    }
    public void setJobDt(String jobDt) {
        this.jobDt = jobDt;
    }
    public String getRegBlckSnum() {
        return regBlckSnum;
    }
    public void setRegBlckSnum(String regBlckSnum) {
        this.regBlckSnum = regBlckSnum;
    }
    public String getRegSnum() {
        return regSnum;
    }
    public void setRegSnum(String regSnum) {
        this.regSnum = regSnum;
    }
    public String getDataSnum() {
        return dataSnum;
    }
    public void setDataSnum(String dataSnum) {
        this.dataSnum = dataSnum;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getErrCd() {
        return errCd;
    }
    public void setErrCd(String errCd) {
        this.errCd = errCd;
    }
    public String getBsnDivErr() {
        return bsnDivErr;
    }
    public void setBsnDivErr(String bsnDivErr) {
        this.bsnDivErr = bsnDivErr;
    }
    public String getDataDivErr() {
        return dataDivErr;
    }
    public void setDataDivErr(String dataDivErr) {
        this.dataDivErr = dataDivErr;
    }
    public String getSnumErr() {
        return snumErr;
    }
    public void setSnumErr(String snumErr) {
        this.snumErr = snumErr;
    }
    public String getRegDivCdErr() {
        return regDivCdErr;
    }
    public void setRegDivCdErr(String regDivCdErr) {
        this.regDivCdErr = regDivCdErr;
    }
    public String getShopCdErr() {
        return shopCdErr;
    }
    public void setShopCdErr(String shopCdErr) {
        this.shopCdErr = shopCdErr;
    }
    public String getRegRsnDtErr() {
        return regRsnDtErr;
    }
    public void setRegRsnDtErr(String regRsnDtErr) {
        this.regRsnDtErr = regRsnDtErr;
    }
    public String getLastChngDtErr() {
        return lastChngDtErr;
    }
    public void setLastChngDtErr(String lastChngDtErr) {
        this.lastChngDtErr = lastChngDtErr;
    }
    public String getBrwrCdErr() {
        return brwrCdErr;
    }
    public void setBrwrCdErr(String brwrCdErr) {
        this.brwrCdErr = brwrCdErr;
    }
    public String getCorpRegNoErr() {
        return corpRegNoErr;
    }
    public void setCorpRegNoErr(String corpRegNoErr) {
        this.corpRegNoErr = corpRegNoErr;
    }
    public String getBizNoErr() {
        return bizNoErr;
    }
    public void setBizNoErr(String bizNoErr) {
        this.bizNoErr = bizNoErr;
    }
    public String getCustNmErr() {
        return custNmErr;
    }
    public void setCustNmErr(String custNmErr) {
        this.custNmErr = custNmErr;
    }
    public String getReprNameErr() {
        return reprNameErr;
    }
    public void setReprNameErr(String reprNameErr) {
        this.reprNameErr = reprNameErr;
    }
    public String getItemCdErr() {
        return itemCdErr;
    }
    public void setItemCdErr(String itemCdErr) {
        this.itemCdErr = itemCdErr;
    }
    public String getChngAmtErr() {
        return chngAmtErr;
    }
    public void setChngAmtErr(String chngAmtErr) {
        this.chngAmtErr = chngAmtErr;
    }
    @Override
	public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    @Override
	public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    @Override
	public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    @Override
	public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }


}
