package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <p>파일명      : BtKfbEntLoanTrCntrErrTDO.java</p>
 * <p>버젼        : 1.1.1.0</p>
 * <p>작성일      : 2022.12.15</p>
 * <p>작성자      : </p>
 * <p>Use Case명  : </p>
 * <p>프로그램명  : </p>
 * <p>내용        : BtKfbLoanTrCntrErr[은행연합회_대출_거래_집중_오류]를(을) 위한   TDO</p>
 */
public class BtKfbEntLoanTrCntrErrTDO extends AbstractVO
 {

    private static final long serialVersionUID = -6147167979338294931L;
    private String jobDt; //JOB_DT 작업_일자
    private String regBlckSnum; //REG_BLCK_SNUM 등록_블록_일련번호
    private String regSnum; //REG_SNUM 등록_일련번호
    private String dataSnum; //DATA_SNUM 자료_일련번호
    private String custNo; //CUST_NO 고객번호
    private String loanNo; //LOAN_NO
    private String errCd; //ERR_CD 오류_코드
    private String bsnDivErr; //BSN_DIV_ERR 거래_구분_코드_오류
    private String dataDivErr; //DATA_DIV_ERR 자료_구분_오류
    private String snumErr; //SNUM_ERR 일련번호_오류
    private String regDivCdErr; //REG_DIV_CD_ERR 처리구분코드 Error
    private String shopCdErr; //SHOP_CD_ERR 점포코드 Error
    private String regRsnDtErr; //REG_RSN_DT_ERR 등록사유발생일자 Error
    private String lastChngDtErr; //LAST_CHNG_DT_ERR 최종변경일자 Error
    private String brwrCdErr; //BRWR_CD_ERR 차주구분코드 Error
    private String corpRegNoErr; //CORP_REG_NO_ERR 주민(법인)등록번호 Error
    private String bizNoErr; //BIZ_NO_ERR 사업자등록번호 Error
    private String custNmErr; //CUST_NM_ERR 상호명 Error
    private String reprNameErr; //REPR_NAME_ERR 대표자 성명 Error
    private String bzitDivCdErr; //BZIT_DIV_CD_ERR 업종코드 Error
    private String loanNoErr; //LOAN_NO_ERR 거래번호 Error
    private String godsNameErr; //GODS_NAME_ERR 상품명 Error
    private String loanClosDtErr; //LOAN_CLOS_DT_ERR 만기일자 Error
    private String chngAmtErr; //CHNG_AMT_ERR 신용공여 잔액 Error
    private String loanDivCdErr; //LOAN_DIV_CD_ERR 계정과목코드 Error
    private String loanIntErr; //LOAN_INT_ERR 금리 Error
    private String defrTermErr; //DEFR_TERM_ERR 거치개월 Error
    private String defrClosDtErr; //DEFR_CLOS_DT_ERR 거치기간 종료일 Error
    private String rmbrFrmlCdErr; //RMBR_FRML_CD_ERR 상환방식코드 Error
    private String cloRmbrAmtErr; //CLO_RMBR_AMT_ERR 만기지정상환금액 Error
    private String mrtgKindErr; //MRTG_KIND_ERR 담보유형코드 Error
    private String firstVndrCdErr; //FIRST_VNDR_CD_ERR 최초 채권기관코드 Error
    private String ppFincDivCdErr; //PP_FINC_DIV_CD_ERR 서민금융코드 Error
    private String spclBndMoAcntNoErr; //SPCL_BND_MO_ACNT_NO_ERR 특수채권의 모계좌번호 Error
    private String deffFlErr; //DEFF_FL_ERR 10일이상 연체여부 Error
    private String deffRsn1Err; //DEFF_RSN1_ERR 연체사유코드1 Error
    private String deffRsn2Err; //DEFF_RSN2_ERR 연체사유코드2 Error
    private String dlyStrtDtErr; //DLY_STRT_DT_ERR 연체사유발생일자 Error
    private String badDebtDeprDtErr; //BAD_DEBT_DEPR_DT_ERR 상각일자 Error
    private String dlyPamtErr; //DLY_PAMT_ERR 원금연체금액 Error
    private String dlyIntErr; //DLY_INT_ERR 이자연체금액 Error
    private String frstRegDt; //FRST_REG_DT 최초_등록_일자
    private String frstRegTm; //FRST_REG_TM 최초_등록_시각
    private String frstRegEmpNo; //FRST_REG_EMP_NO 최초_등록_사원_번호
    private String lastProcDt; //LAST_PROC_DT 최종_처리_일자
    private String lastProcTm; //LAST_PROC_TM 최종_처리_시각
    private String lastProcEmpNo; //LAST_PROC_EMP_NO 최종_처리_사원_번호

    public String getJobDt() {
        return jobDt;
    }
    public void setJobDt(String jobDt) {
        this.jobDt = jobDt;
    }
    public String getRegBlckSnum() {
        return regBlckSnum;
    }
    public void setRegBlckSnum(String regBlckSnum) {
        this.regBlckSnum = regBlckSnum;
    }
    public String getRegSnum() {
        return regSnum;
    }
    public void setRegSnum(String regSnum) {
        this.regSnum = regSnum;
    }
    public String getDataSnum() {
        return dataSnum;
    }
    public void setDataSnum(String dataSnum) {
        this.dataSnum = dataSnum;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getErrCd() {
        return errCd;
    }
    public void setErrCd(String errCd) {
        this.errCd = errCd;
    }
    public String getBsnDivErr() {
        return bsnDivErr;
    }
    public void setBsnDivErr(String bsnDivErr) {
        this.bsnDivErr = bsnDivErr;
    }
    public String getDataDivErr() {
        return dataDivErr;
    }
    public void setDataDivErr(String dataDivErr) {
        this.dataDivErr = dataDivErr;
    }
    public String getSnumErr() {
        return snumErr;
    }
    public void setSnumErr(String snumErr) {
        this.snumErr = snumErr;
    }
    public String getRegDivCdErr() {
        return regDivCdErr;
    }
    public void setRegDivCdErr(String regDivCdErr) {
        this.regDivCdErr = regDivCdErr;
    }
    public String getShopCdErr() {
        return shopCdErr;
    }
    public void setShopCdErr(String shopCdErr) {
        this.shopCdErr = shopCdErr;
    }
    public String getRegRsnDtErr() {
        return regRsnDtErr;
    }
    public void setRegRsnDtErr(String regRsnDtErr) {
        this.regRsnDtErr = regRsnDtErr;
    }
    public String getLastChngDtErr() {
        return lastChngDtErr;
    }
    public void setLastChngDtErr(String lastChngDtErr) {
        this.lastChngDtErr = lastChngDtErr;
    }
    public String getBrwrCdErr() {
        return brwrCdErr;
    }
    public void setBrwrCdErr(String brwrCdErr) {
        this.brwrCdErr = brwrCdErr;
    }
    public String getCorpRegNoErr() {
        return corpRegNoErr;
    }
    public void setCorpRegNoErr(String corpRegNoErr) {
        this.corpRegNoErr = corpRegNoErr;
    }
    public String getBizNoErr() {
        return bizNoErr;
    }
    public void setBizNoErr(String bizNoErr) {
        this.bizNoErr = bizNoErr;
    }
    public String getCustNmErr() {
        return custNmErr;
    }
    public void setCustNmErr(String custNmErr) {
        this.custNmErr = custNmErr;
    }
    public String getReprNameErr() {
        return reprNameErr;
    }
    public void setReprNameErr(String reprNameErr) {
        this.reprNameErr = reprNameErr;
    }
    public String getBzitDivCdErr() {
        return bzitDivCdErr;
    }
    public void setBzitDivCdErr(String bzitDivCdErr) {
        this.bzitDivCdErr = bzitDivCdErr;
    }
    public String getLoanNoErr() {
        return loanNoErr;
    }
    public void setLoanNoErr(String loanNoErr) {
        this.loanNoErr = loanNoErr;
    }
    public String getGodsNameErr() {
        return godsNameErr;
    }
    public void setGodsNameErr(String godsNameErr) {
        this.godsNameErr = godsNameErr;
    }
    public String getLoanClosDtErr() {
        return loanClosDtErr;
    }
    public void setLoanClosDtErr(String loanClosDtErr) {
        this.loanClosDtErr = loanClosDtErr;
    }
    public String getChngAmtErr() {
        return chngAmtErr;
    }
    public void setChngAmtErr(String chngAmtErr) {
        this.chngAmtErr = chngAmtErr;
    }
    public String getLoanDivCdErr() {
        return loanDivCdErr;
    }
    public void setLoanDivCdErr(String loanDivCdErr) {
        this.loanDivCdErr = loanDivCdErr;
    }
    public String getLoanIntErr() {
        return loanIntErr;
    }
    public void setLoanIntErr(String loanIntErr) {
        this.loanIntErr = loanIntErr;
    }
    public String getDefrTermErr() {
        return defrTermErr;
    }
    public void setDefrTermErr(String defrTermErr) {
        this.defrTermErr = defrTermErr;
    }
    public String getDefrClosDtErr() {
        return defrClosDtErr;
    }
    public void setDefrClosDtErr(String defrClosDtErr) {
        this.defrClosDtErr = defrClosDtErr;
    }
    public String getRmbrFrmlCdErr() {
        return rmbrFrmlCdErr;
    }
    public void setRmbrFrmlCdErr(String rmbrFrmlCdErr) {
        this.rmbrFrmlCdErr = rmbrFrmlCdErr;
    }
    public String getCloRmbrAmtErr() {
        return cloRmbrAmtErr;
    }
    public void setCloRmbrAmtErr(String cloRmbrAmtErr) {
        this.cloRmbrAmtErr = cloRmbrAmtErr;
    }
    public String getMrtgKindErr() {
        return mrtgKindErr;
    }
    public void setMrtgKindErr(String mrtgKindErr) {
        this.mrtgKindErr = mrtgKindErr;
    }
    public String getFirstVndrCdErr() {
        return firstVndrCdErr;
    }
    public void setFirstVndrCdErr(String firstVndrCdErr) {
        this.firstVndrCdErr = firstVndrCdErr;
    }
    public String getPpFincDivCdErr() {
        return ppFincDivCdErr;
    }
    public void setPpFincDivCdErr(String ppFincDivCdErr) {
        this.ppFincDivCdErr = ppFincDivCdErr;
    }
    public String getSpclBndMoAcntNoErr() {
        return spclBndMoAcntNoErr;
    }
    public void setSpclBndMoAcntNoErr(String spclBndMoAcntNoErr) {
        this.spclBndMoAcntNoErr = spclBndMoAcntNoErr;
    }
    public String getDeffFlErr() {
        return deffFlErr;
    }
    public void setDeffFlErr(String deffFlErr) {
        this.deffFlErr = deffFlErr;
    }
    public String getDeffRsn1Err() {
        return deffRsn1Err;
    }
    public void setDeffRsn1Err(String deffRsn1Err) {
        this.deffRsn1Err = deffRsn1Err;
    }
    public String getDeffRsn2Err() {
        return deffRsn2Err;
    }
    public void setDeffRsn2Err(String deffRsn2Err) {
        this.deffRsn2Err = deffRsn2Err;
    }
    public String getDlyStrtDtErr() {
        return dlyStrtDtErr;
    }
    public void setDlyStrtDtErr(String dlyStrtDtErr) {
        this.dlyStrtDtErr = dlyStrtDtErr;
    }
    public String getBadDebtDeprDtErr() {
        return badDebtDeprDtErr;
    }
    public void setBadDebtDeprDtErr(String badDebtDeprDtErr) {
        this.badDebtDeprDtErr = badDebtDeprDtErr;
    }
    public String getDlyPamtErr() {
        return dlyPamtErr;
    }
    public void setDlyPamtErr(String dlyPamtErr) {
        this.dlyPamtErr = dlyPamtErr;
    }
    public String getDlyIntErr() {
        return dlyIntErr;
    }
    public void setDlyIntErr(String dlyIntErr) {
        this.dlyIntErr = dlyIntErr;
    }
    @Override
	public String getFrstRegDt() {
        return frstRegDt;
    }
    @Override
	public void setFrstRegDt(String frstRegDt) {
        this.frstRegDt = frstRegDt;
    }
    @Override
	public String getFrstRegTm() {
        return frstRegTm;
    }
    @Override
	public void setFrstRegTm(String frstRegTm) {
        this.frstRegTm = frstRegTm;
    }
    @Override
	public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    @Override
	public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    @Override
	public String getLastProcDt() {
        return lastProcDt;
    }
    @Override
	public void setLastProcDt(String lastProcDt) {
        this.lastProcDt = lastProcDt;
    }
    @Override
	public String getLastProcTm() {
        return lastProcTm;
    }
    @Override
	public void setLastProcTm(String lastProcTm) {
        this.lastProcTm = lastProcTm;
    }
    @Override
	public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    @Override
	public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }

}