package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbLoanTrHistTDO
 * 클래스설명 : 은행연합회_대출_거래_이력 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbLoanTrHistTDO extends AbstractVO {
	private static final long serialVersionUID = -7414544990690630960L;
    private String jobDt; //JOB_DT   작업_일자
	private String regBlckSnum; //REG_BLCK_SNUM   등록_블록_일련번호
	private String regSnum; //REG_SNUM   등록_일련번호
	private String dataSnum; //DATA_SNUM   자료_일련번호
	private String dataDivCd; //DATA_DIV_CD   전송_구분_코드
	private String regDivCd; //REG_DIV_CD   등록_구분_코드
	private String prgsStatCd; //PRGS_STAT_CD   진행_상태_코드
	private String sendDivCd; //SEND_DIV_CD   전송_구분_코드
	private String custNo; //CUST_NO   고객번호
	private String custNm; //CUST_NM   고객_명
	private String jobCd; //JOB_CD   직업_코드
	private String bzitCd; //BZIT_CD   업종_코드
	private String loanDt; //LOAN_DT   대출_일자
	private String regAmt; //REG_AMT   등록_금액
	private String varDt; //VAR_DT   변동_일자
	private String chngAmt; //CHNG_AMT   변경_금액
	private String housMrtgLoanYn; //HOUS_MRTG_LOAN_YN   주택_담보_대출_유무
	private String loanNo; //LOAN_NO   대출_번호
	private String loanSeq; //LOAN_SEQ   대출_순번
	private String prdtLrgeClasCd; //PRDT_LRGE_CLAS_CD   상품_대분류_코드
	private String loanMrtgYn; //LOAN_MRTG_YN   대출_담보_유무
	private String fincCd; //FINC_CD   서민금융_구분_코드
	private String mrtgSpecKind; //MRTG_SPEC_KIND  담보세부종류추가

	public String getLoanNo() {
		return loanNo;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}

	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}

	public String getLoanMrtgYn() {
		return loanMrtgYn;
	}

	public void setLoanMrtgYn(String loanMrtgYn) {
		this.loanMrtgYn = loanMrtgYn;
	}

	public String getFincCd() {
		return fincCd;
	}

	public void setFincCd(String fincCd) {
		this.fincCd = fincCd;
	}

	public String getJobDt() {
		return jobDt;
	}

	public String getRegBlckSnum() {
		return regBlckSnum;
	}

	public String getRegSnum() {
		return regSnum;
	}

	public String getDataSnum() {
		return dataSnum;
	}

	public String getDataDivCd() {
		return dataDivCd;
	}

	public String getRegDivCd() {
		return regDivCd;
	}

	public String getPrgsStatCd() {
		return prgsStatCd;
	}

	public String getSendDivCd() {
		return sendDivCd;
	}

	public String getCustNo() {
		return custNo;
	}

	public String getCustNm() {
		return custNm;
	}

	public String getJobCd() {
		return jobCd;
	}

	public String getBzitCd() {
		return bzitCd;
	}

	public String getLoanDt() {
		return loanDt;
	}

	public String getRegAmt() {
		return regAmt;
	}

	public String getVarDt() {
		return varDt;
	}

	public String getChngAmt() {
		return chngAmt;
	}

	public String getHousMrtgLoanYn() {
		return housMrtgLoanYn;
	}

	public void setJobDt(String jobDt) {
		this.jobDt = jobDt;
	}

	public void setRegBlckSnum(String regBlckSnum) {
		this.regBlckSnum = regBlckSnum;
	}

	public void setRegSnum(String regSnum) {
		this.regSnum = regSnum;
	}

	public void setDataSnum(String dataSnum) {
		this.dataSnum = dataSnum;
	}

	public void setDataDivCd(String dataDivCd) {
		this.dataDivCd = dataDivCd;
	}

	public void setRegDivCd(String regDivCd) {
		this.regDivCd = regDivCd;
	}

	public void setPrgsStatCd(String prgsStatCd) {
		this.prgsStatCd = prgsStatCd;
	}

	public void setSendDivCd(String sendDivCd) {
		this.sendDivCd = sendDivCd;
	}

	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}

	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}

	public void setJobCd(String jobCd) {
		this.jobCd = jobCd;
	}

	public void setBzitCd(String bzitCd) {
		this.bzitCd = bzitCd;
	}

	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}

	public void setRegAmt(String regAmt) {
		this.regAmt = regAmt;
	}

	public void setVarDt(String varDt) {
		this.varDt = varDt;
	}

	public void setChngAmt(String chngAmt) {
		this.chngAmt = chngAmt;
	}

	public void setHousMrtgLoanYn(String housMrtgLoanYn) {
		this.housMrtgLoanYn = housMrtgLoanYn;
	}

    public String getMrtgSpecKind() {
        return mrtgSpecKind;
    }

    public void setMrtgSpecKind(String mrtgSpecKind) {
        this.mrtgSpecKind = mrtgSpecKind;
    }


}
