package hanalife.b.cn.ui.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.cn.ui.mapper.dto.BtCustRefInfoDTO;

@Mapper("custRefInfoMapper")
public interface CustRefInfoMapper {
	/**
	* <pre>
	* 메소드명      : createCustCnslGuid
	* 작성일자      : 2023. 3. 27.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 상담내역 등록
	* 메소드인수1   : BtCustRefInfoDTO
	* 메소드리턴값  : void
	* 예외처리      : Exception
	* </pre>
	*/
	public void createCustRefInfo(BtCustRefInfoDTO dto)  throws Exception;
}
