package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CustMainGuidMngDSSDDO06DTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO06DTO {

	private String cntcPlcDivCd;
	private String cntcPlcDivNm;
	private String cntcPlcTel;
	private String cntcStatCd;
	private String color;
	private String cntcPlcRelNm;
	public String getCntcPlcDivCd() {
		return cntcPlcDivCd;
	}
	public void setCntcPlcDivCd(String cntcPlcDivCd) {
		this.cntcPlcDivCd = cntcPlcDivCd;
	}
	public String getCntcPlcTel() {
		return cntcPlcTel;
	}
	public void setCntcPlcTel(String cntcPlcTel) {
		this.cntcPlcTel = cntcPlcTel;
	}
	public String getCntcStatCd() {
		return cntcStatCd;
	}
	public void setCntcStatCd(String cntcStatCd) {
		this.cntcStatCd = cntcStatCd;
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}
	public String getCntcPlcRelNm() {
		return cntcPlcRelNm;
	}
	public void setCntcPlcRelNm(String cntcPlcRelNm) {
		this.cntcPlcRelNm = cntcPlcRelNm;
	}
	public String getCntcPlcDivNm() {
		return cntcPlcDivNm;
	}
	public void setCntcPlcDivNm(String cntcPlcDivNm) {
		this.cntcPlcDivNm = cntcPlcDivNm;
	}


}
