package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO11DTO {

	private String prdtNm;
	private String bndRamt;
	private String asetSondTpClasNm;
	private String godsNm;
	private String rcntSetlAmt;
	private String loanTerm;
	private String loanTotAmt;
	private String loanPamt;
	private String fcntDueDt;
	private String defrTerm;
	private String loanPamtRamt;
	private String loanInt;
	private String loanDt;
	private String eprtDt;
	private String leasBndAmt;
	private String loanIntRt;
	private String rmbrAmt;
	private String loanIntRamt;
	private String earlAlrmInfo;
	private String dlyOccrRegDt;
	private String ncbGd;
	private String nextDueDt;
	private String rcntSetlDt;

	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public String getBndRamt() {
		return bndRamt;
	}
	public void setBndRamt(String bndRamt) {
		this.bndRamt = bndRamt;
	}
	public String getAsetSondTpClasNm() {
		return asetSondTpClasNm;
	}
	public void setAsetSondTpClasNm(String asetSondTpClasNm) {
		this.asetSondTpClasNm = asetSondTpClasNm;
	}
	public String getGodsNm() {
		return godsNm;
	}
	public void setGodsNm(String godsNm) {
		this.godsNm = godsNm;
	}
	public String getRcntSetlAmt() {
		return rcntSetlAmt;
	}
	public void setRcntSetlAmt(String rcntSetlAmt) {
		this.rcntSetlAmt = rcntSetlAmt;
	}
	public String getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(String loanTerm) {
		this.loanTerm = loanTerm;
	}
	public String getLoanTotAmt() {
		return loanTotAmt;
	}
	public void setLoanTotAmt(String loanTotAmt) {
		this.loanTotAmt = loanTotAmt;
	}
	public String getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(String loanPamt) {
		this.loanPamt = loanPamt;
	}
	public String getFcntDueDt() {
		return fcntDueDt;
	}
	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}
	public String getDefrTerm() {
		return defrTerm;
	}
	public void setDefrTerm(String defrTerm) {
		this.defrTerm = defrTerm;
	}
	public String getLoanPamtRamt() {
		return loanPamtRamt;
	}
	public void setLoanPamtRamt(String loanPamtRamt) {
		this.loanPamtRamt = loanPamtRamt;
	}
	public String getLoanInt() {
		return loanInt;
	}
	public void setLoanInt(String loanInt) {
		this.loanInt = loanInt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public String getLeasBndAmt() {
		return leasBndAmt;
	}
	public void setLeasBndAmt(String leasBndAmt) {
		this.leasBndAmt = leasBndAmt;
	}
	public String getLoanIntRt() {
		return loanIntRt;
	}
	public void setLoanIntRt(String loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public String getRmbrAmt() {
		return rmbrAmt;
	}
	public void setRmbrAmt(String rmbrAmt) {
		this.rmbrAmt = rmbrAmt;
	}
	public String getLoanIntRamt() {
		return loanIntRamt;
	}
	public void setLoanIntRamt(String loanIntRamt) {
		this.loanIntRamt = loanIntRamt;
	}
	public String getEarlAlrmInfo() {
		return earlAlrmInfo;
	}
	public void setEarlAlrmInfo(String earlAlrmInfo) {
		this.earlAlrmInfo = earlAlrmInfo;
	}
	public String getDlyOccrRegDt() {
		return dlyOccrRegDt;
	}
	public void setDlyOccrRegDt(String dlyOccrRegDt) {
		this.dlyOccrRegDt = dlyOccrRegDt;
	}
	public String getNcbGd() {
		return ncbGd;
	}
	public void setNcbGd(String ncbGd) {
		this.ncbGd = ncbGd;
	}
    public String getNextDueDt() {
        return nextDueDt;
    }
    public void setNextDueDt(String nextDueDt) {
        this.nextDueDt = nextDueDt;
    }
    public String getRcntSetlDt() {
        return rcntSetlDt;
    }
    public void setRcntSetlDt(String rcntSetlDt) {
        this.rcntSetlDt = rcntSetlDt;
    }

}
