package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSMDODTO {

	private String loanNo;			/** 대출번호 */
	private String loanSeq;			/** 대출순번 */
	private String custNo;			/** 고객번호 */
	private String ivltClosFg;		/**  */
	private String setlDt;		/**  */
	private String calcDt;		/**  */
	private String telNo;     /**  */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getIvltClosFg() {
		return ivltClosFg;
	}
	public void setIvltClosFg(String ivltClosFg) {
		this.ivltClosFg = ivltClosFg;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getCalcDt() {
		return calcDt;
	}
	public void setCalcDt(String calcDt) {
		this.calcDt = calcDt;
	}
    public String getTelNo() {
        return telNo;
    }
    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

}
