package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SmsTotDlyrDSSDDO01.java Class
 * 클래스설명   :
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4.14.][ 70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class SmsTotDlyrDSSDDO01 {
	private String chkFlg;
	private String loanNo;
	private String loanSeq;
	private String contManNo;
	private String mngDeptCd;
	private String custNm;
	private String loanRelCd;
	private String loanRelNm;
	private String mobile;
	private String dueMeth;
	private String thmmComgTims;
	private String dlyTcnt;
	private String dlyTot;
	private String bfDlyAmt;
	private String thmmComgAmt;
	private String dlyAmt;
	private String leglActnCostRamt;
	private String dfee;
	private String unrcvAmt;
	private String uncomgAmt;
	private String setlDd;
	private String thmmComgDt;
	private String rcntSetlDt;
	private String imgAcntNo;
	private String eprtDt;
	private String loanPamtRamt;
	private String examJudgCd;
	private String loanStatNm;
	private String bndStatNm;
	private String crdtStatNm;
	private String leglActsStatNm;
	private String prdtNm;
	private String rmbrFrmlNm;
	private String lnDivsEmpNm;
	private String bndDivsEmpNm;
	private String mngPlcDivNm;
	private String reprTelNo;
	private String rlStrmDlyOccrDt;
	private String dlyPamt;
	private String dlyInt;
	private String loanDt;
	private String loanTerm;
	private String dlyDdcnt;
	private String clasNm;
	private String custTpCd;
	private String leglCountRamt;
	private String custTpNm;
	private String custAddr;
	private String badDebtDeprDt;
	private String badDebtRcptStatCd;
	private String badDebtRcptStatNm;
	private String badDebtAcctDt;
	private String badDebtSetlDt;
	private String wdrwTpCd;
	private String wdrwTpNm;
	private String sumDlyAmt;
	private String unrcvRamt;

	public String getChkFlg() {
		return chkFlg;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public String getContManNo() {
		return contManNo;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public String getCustNm() {
		return custNm;
	}
	public String getLoanRelCd() {
		return loanRelCd;
	}
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public String getMobile() {
		return mobile;
	}
	public String getDueMeth() {
		return dueMeth;
	}
	public String getThmmComgTims() {
		return thmmComgTims;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public String getDlyTot() {
		return dlyTot;
	}
	public String getBfDlyAmt() {
		return bfDlyAmt;
	}
	public String getThmmComgAmt() {
		return thmmComgAmt;
	}
	public String getDlyAmt() {
		return dlyAmt;
	}
	public String getLeglActnCostRamt() {
		return leglActnCostRamt;
	}
	public String getDfee() {
		return dfee;
	}
	public String getUnrcvAmt() {
		return unrcvAmt;
	}
	public String getUncomgAmt() {
		return uncomgAmt;
	}
	public String getSetlDd() {
		return setlDd;
	}
	public String getThmmComgDt() {
		return thmmComgDt;
	}
	public String getRcntSetlDt() {
		return rcntSetlDt;
	}
	public String getImgAcntNo() {
		return imgAcntNo;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public String getLoanPamtRamt() {
		return loanPamtRamt;
	}
	public String getExamJudgCd() {
		return examJudgCd;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public String getBndStatNm() {
		return bndStatNm;
	}
	public String getCrdtStatNm() {
		return crdtStatNm;
	}
	public String getLeglActsStatNm() {
		return leglActsStatNm;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public String getRmbrFrmlNm() {
		return rmbrFrmlNm;
	}
	public String getLnDivsEmpNm() {
		return lnDivsEmpNm;
	}
	public String getBndDivsEmpNm() {
		return bndDivsEmpNm;
	}
	public String getMngPlcDivNm() {
		return mngPlcDivNm;
	}
	public String getReprTelNo() {
		return reprTelNo;
	}
	public String getRlStrmDlyOccrDt() {
		return rlStrmDlyOccrDt;
	}
	public String getDlyPamt() {
		return dlyPamt;
	}
	public String getDlyInt() {
		return dlyInt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public String getLoanTerm() {
		return loanTerm;
	}
	public String getDlyDdcnt() {
		return dlyDdcnt;
	}
	public String getClasNm() {
		return clasNm;
	}
	public String getCustTpCd() {
		return custTpCd;
	}
	public String getLeglCountRamt() {
		return leglCountRamt;
	}
	public String getCustTpNm() {
		return custTpNm;
	}
	public String getCustAddr() {
		return custAddr;
	}
	public String getBadDebtDeprDt() {
		return badDebtDeprDt;
	}
	public String getBadDebtRcptStatCd() {
		return badDebtRcptStatCd;
	}
	public String getBadDebtRcptStatNm() {
		return badDebtRcptStatNm;
	}
	public String getBadDebtAcctDt() {
		return badDebtAcctDt;
	}
	public String getBadDebtSetlDt() {
		return badDebtSetlDt;
	}
	public String getWdrwTpCd() {
		return wdrwTpCd;
	}
	public String getWdrwTpNm() {
		return wdrwTpNm;
	}
	public String getSumDlyAmt() {
		return sumDlyAmt;
	}
	public String getUnrcvRamt() {
		return unrcvRamt;
	}
	public void setChkFlg(String chkFlg) {
		this.chkFlg = chkFlg;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public void setLoanRelCd(String loanRelCd) {
		this.loanRelCd = loanRelCd;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public void setDueMeth(String dueMeth) {
		this.dueMeth = dueMeth;
	}
	public void setThmmComgTims(String thmmComgTims) {
		this.thmmComgTims = thmmComgTims;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public void setDlyTot(String dlyTot) {
		this.dlyTot = dlyTot;
	}
	public void setBfDlyAmt(String bfDlyAmt) {
		this.bfDlyAmt = bfDlyAmt;
	}
	public void setThmmComgAmt(String thmmComgAmt) {
		this.thmmComgAmt = thmmComgAmt;
	}
	public void setDlyAmt(String dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public void setLeglActnCostRamt(String leglActnCostRamt) {
		this.leglActnCostRamt = leglActnCostRamt;
	}
	public void setDfee(String dfee) {
		this.dfee = dfee;
	}
	public void setUnrcvAmt(String unrcvAmt) {
		this.unrcvAmt = unrcvAmt;
	}
	public void setUncomgAmt(String uncomgAmt) {
		this.uncomgAmt = uncomgAmt;
	}
	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}
	public void setThmmComgDt(String thmmComgDt) {
		this.thmmComgDt = thmmComgDt;
	}
	public void setRcntSetlDt(String rcntSetlDt) {
		this.rcntSetlDt = rcntSetlDt;
	}
	public void setImgAcntNo(String imgAcntNo) {
		this.imgAcntNo = imgAcntNo;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public void setLoanPamtRamt(String loanPamtRamt) {
		this.loanPamtRamt = loanPamtRamt;
	}
	public void setExamJudgCd(String examJudgCd) {
		this.examJudgCd = examJudgCd;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public void setBndStatNm(String bndStatNm) {
		this.bndStatNm = bndStatNm;
	}
	public void setCrdtStatNm(String crdtStatNm) {
		this.crdtStatNm = crdtStatNm;
	}
	public void setLeglActsStatNm(String leglActsStatNm) {
		this.leglActsStatNm = leglActsStatNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public void setRmbrFrmlNm(String rmbrFrmlNm) {
		this.rmbrFrmlNm = rmbrFrmlNm;
	}
	public void setLnDivsEmpNm(String lnDivsEmpNm) {
		this.lnDivsEmpNm = lnDivsEmpNm;
	}
	public void setBndDivsEmpNm(String bndDivsEmpNm) {
		this.bndDivsEmpNm = bndDivsEmpNm;
	}
	public void setMngPlcDivNm(String mngPlcDivNm) {
		this.mngPlcDivNm = mngPlcDivNm;
	}
	public void setReprTelNo(String reprTelNo) {
		this.reprTelNo = reprTelNo;
	}
	public void setRlStrmDlyOccrDt(String rlStrmDlyOccrDt) {
		this.rlStrmDlyOccrDt = rlStrmDlyOccrDt;
	}
	public void setDlyPamt(String dlyPamt) {
		this.dlyPamt = dlyPamt;
	}
	public void setDlyInt(String dlyInt) {
		this.dlyInt = dlyInt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public void setLoanTerm(String loanTerm) {
		this.loanTerm = loanTerm;
	}
	public void setDlyDdcnt(String dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}
	public void setClasNm(String clasNm) {
		this.clasNm = clasNm;
	}
	public void setCustTpCd(String custTpCd) {
		this.custTpCd = custTpCd;
	}
	public void setLeglCountRamt(String leglCountRamt) {
		this.leglCountRamt = leglCountRamt;
	}
	public void setCustTpNm(String custTpNm) {
		this.custTpNm = custTpNm;
	}
	public void setCustAddr(String custAddr) {
		this.custAddr = custAddr;
	}
	public void setBadDebtDeprDt(String badDebtDeprDt) {
		this.badDebtDeprDt = badDebtDeprDt;
	}
	public void setBadDebtRcptStatCd(String badDebtRcptStatCd) {
		this.badDebtRcptStatCd = badDebtRcptStatCd;
	}
	public void setBadDebtRcptStatNm(String badDebtRcptStatNm) {
		this.badDebtRcptStatNm = badDebtRcptStatNm;
	}
	public void setBadDebtAcctDt(String badDebtAcctDt) {
		this.badDebtAcctDt = badDebtAcctDt;
	}
	public void setBadDebtSetlDt(String badDebtSetlDt) {
		this.badDebtSetlDt = badDebtSetlDt;
	}
	public void setWdrwTpCd(String wdrwTpCd) {
		this.wdrwTpCd = wdrwTpCd;
	}
	public void setWdrwTpNm(String wdrwTpNm) {
		this.wdrwTpNm = wdrwTpNm;
	}
	public void setSumDlyAmt(String sumDlyAmt) {
		this.sumDlyAmt = sumDlyAmt;
	}
	public void setUnrcvRamt(String unrcvRamt) {
		this.unrcvRamt = unrcvRamt;
	}
}