package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SmsTotDlyrDSSDDO01.java Class
 * 클래스설명   :
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4.14.][ 70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class SmsTotDlyrDSSMDO01 {
	private String orgCd;
	private String empNo;
	private String prodLrgeClas;
	private String prodMidClas;
	private String ddcntSt;
	private String ddcntEd;
	private String setldtSt;
	private String setldtEd;
	private String loanNo;
	private String loanSeq;
	private String chkCtdtbad;
	private String chkLeglactn;
	private String dueMethCd;
	private String closdtSt;
	private String closdtEd;
	private String recvTelNo;
	private String examJudgCd;
	private String thmmComgTimsFr;
	private String thmmComgTimsTo;
	private String loanRegStat;
	private String txtRecvFg;
	private String smClasDiv;
	private String dlyTot1;
	private String dlyTot2;
	private String bndMngPlcCd;
	private String dlvrDiv;
	private String askDiv;
	private String dlyDiv;
	private String custTpCd;

	public String getOrgCd() {
		return orgCd;
	}
	public String getEmpNo() {
		return empNo;
	}
	public String getProdLrgeClas() {
		return prodLrgeClas;
	}
	public String getProdMidClas() {
		return prodMidClas;
	}
	public String getDdcntSt() {
		return ddcntSt;
	}
	public String getDdcntEd() {
		return ddcntEd;
	}
	public String getSetldtSt() {
		return setldtSt;
	}
	public String getSetldtEd() {
		return setldtEd;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public String getChkCtdtbad() {
		return chkCtdtbad;
	}
	public String getChkLeglactn() {
		return chkLeglactn;
	}
	public String getDueMethCd() {
		return dueMethCd;
	}
	public String getClosdtSt() {
		return closdtSt;
	}
	public String getClosdtEd() {
		return closdtEd;
	}
	public String getRecvTelNo() {
		return recvTelNo;
	}
	public String getExamJudgCd() {
		return examJudgCd;
	}
	public String getThmmComgTimsFr() {
		return thmmComgTimsFr;
	}
	public String getThmmComgTimsTo() {
		return thmmComgTimsTo;
	}
	public String getLoanRegStat() {
		return loanRegStat;
	}
	public String getTxtRecvFg() {
		return txtRecvFg;
	}
	public String getSmClasDiv() {
		return smClasDiv;
	}
	public String getDlyTot1() {
		return dlyTot1;
	}
	public String getDlyTot2() {
		return dlyTot2;
	}
	public String getBndMngPlcCd() {
		return bndMngPlcCd;
	}
	public String getDlvrDiv() {
		return dlvrDiv;
	}
	public String getAskDiv() {
		return askDiv;
	}
	public String getDlyDiv() {
		return dlyDiv;
	}
	public String getCustTpCd() {
		return custTpCd;
	}
	public void setOrgCd(String orgCd) {
		this.orgCd = orgCd;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public void setProdLrgeClas(String prodLrgeClas) {
		this.prodLrgeClas = prodLrgeClas;
	}
	public void setProdMidClas(String prodMidClas) {
		this.prodMidClas = prodMidClas;
	}
	public void setDdcntSt(String ddcntSt) {
		this.ddcntSt = ddcntSt;
	}
	public void setDdcntEd(String ddcntEd) {
		this.ddcntEd = ddcntEd;
	}
	public void setSetldtSt(String setldtSt) {
		this.setldtSt = setldtSt;
	}
	public void setSetldtEd(String setldtEd) {
		this.setldtEd = setldtEd;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public void setChkCtdtbad(String chkCtdtbad) {
		this.chkCtdtbad = chkCtdtbad;
	}
	public void setChkLeglactn(String chkLeglactn) {
		this.chkLeglactn = chkLeglactn;
	}
	public void setDueMethCd(String dueMethCd) {
		this.dueMethCd = dueMethCd;
	}
	public void setClosdtSt(String closdtSt) {
		this.closdtSt = closdtSt;
	}
	public void setClosdtEd(String closdtEd) {
		this.closdtEd = closdtEd;
	}
	public void setRecvTelNo(String recvTelNo) {
		this.recvTelNo = recvTelNo;
	}
	public void setExamJudgCd(String examJudgCd) {
		this.examJudgCd = examJudgCd;
	}
	public void setThmmComgTimsFr(String thmmComgTimsFr) {
		this.thmmComgTimsFr = thmmComgTimsFr;
	}
	public void setThmmComgTimsTo(String thmmComgTimsTo) {
		this.thmmComgTimsTo = thmmComgTimsTo;
	}
	public void setLoanRegStat(String loanRegStat) {
		this.loanRegStat = loanRegStat;
	}
	public void setTxtRecvFg(String txtRecvFg) {
		this.txtRecvFg = txtRecvFg;
	}
	public void setSmClasDiv(String smClasDiv) {
		this.smClasDiv = smClasDiv;
	}
	public void setDlyTot1(String dlyTot1) {
		this.dlyTot1 = dlyTot1;
	}
	public void setDlyTot2(String dlyTot2) {
		this.dlyTot2 = dlyTot2;
	}
	public void setBndMngPlcCd(String bndMngPlcCd) {
		this.bndMngPlcCd = bndMngPlcCd;
	}
	public void setDlvrDiv(String dlvrDiv) {
		this.dlvrDiv = dlvrDiv;
	}
	public void setAskDiv(String askDiv) {
		this.askDiv = askDiv;
	}
	public void setDlyDiv(String dlyDiv) {
		this.dlyDiv = dlyDiv;
	}
	public void setCustTpCd(String custTpCd) {
		this.custTpCd = custTpCd;
	}
}