package hanalife.b.cn.ui.service;

import hanalife.b.cn.ui.vo.BCNUIM01S01InVO;
import hanalife.b.cn.ui.vo.BCNUIM01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM01Service.java Class
 * 클래스설명   : 연체리스트관리 Service
 * 작성일자     : 2023. 3. 10.
 * 작성자명     : 70326 / you.hyun.sik / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70326 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBCNUI01S01 : 연체리스트 그리드 조회
 * </pre>
 */
public interface BCNUIM01Service {

	/**
	 * <p>메소드명      : getBCNUI01S01 : 연체리스트 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 연체리스트 그리드를 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM01S01InVO </p>
	 * <p>메소드리턴값  : BCNUIM01S01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM01S01OutVO getBCNUIM01S01(BCNUIM01S01InVO inVo) throws Exception;

}