package hanalife.b.cn.ui.service;

import hanalife.b.cn.ui.vo.BCNUIM06S01InVO;
import hanalife.b.cn.ui.vo.BCNUIM06S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM06Service.java Class
 * 클래스설명   : todo1 (BCNUIM06) Service Interface
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70324 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70324 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBCNUIM06S01 : todo1목록조회
 *              registerBCNUIM06I01 : todo1등록
 *              modifyBCNUIM06U01 : todo1수정
 *              removeBCNUIM06U01 : todo1삭제
 * </pre>
 */
public interface BCNUIM06Service {

	/**
	 * <p>메소드명      : getBCNUIM06S01 : todo1목록조회</p>
	 * <p>작성일자      : 2023. 3. 6.
	 * <p>작성자(author): 70324 / younghwe.kim
	 * <p>설명          : todo1목록을 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM06S01InVo </p>
	 * <p>메소드리턴값  : BCNUIM06S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM06S01OutVO getBCNUIM06S01(BCNUIM06S01InVO inVo) throws Exception;

}
