package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM02DSSDDO01VO.java Class
 * 클래스설명   : 채권상담관리 VO
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70281 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIM02DSSDDO03VO {

	private String rThmmDueTims;
	private String rLastSetlTims;
	private String rDlyTcnt;
	private String rDlyPamt;
	private String rDlyInt;
	private String rDfee;
	private String rLoanAmt;
	private String rUnWdrwPamt;
	private String rLeglActnCostRmat;
	private String rFeeRamt;
	private String rMidRmbrFeeRt;
	private String rIncdCostRt;
	private String rLeglActnCostRmat0;
	private String rLeglActnCostRmat1;
	private String rLeglActnCostRmat2;
	private String rLeglActnCostRmat3;
	private String rDlyDt;
	private String rDlyAmt;
	private String rSetlDt;
	private String rDlyDdcnt;
	private String rThmmDueDt;
	private String rLeglActnCostRamt;
	private String rThddObjAmt;
	private String rDsrcRamt;
	private String rTamtRmbrObjAmtWithoutPdueAmt;
	private String rRcptObjAmt;
	private String rThmmAmt;
	private String rDemIntRt;
	private String rAskAmt;
	private String rThmmRlDueDt;
	private String stndSetlDt;
	private String askAmt;
	private String rLoseDt;
	private String rTamtRmbrFee;
	private String rTamtRmbrPamt;
	private String rMidRmbrInt;
	private String dlyStrtDueDt;

	public String getrThmmDueTims() {
		return rThmmDueTims;
	}
	public void setrThmmDueTims(String rThmmDueTims) {
		this.rThmmDueTims = rThmmDueTims;
	}
	public String getrLastSetlTims() {
		return rLastSetlTims;
	}
	public void setrLastSetlTims(String rLastSetlTims) {
		this.rLastSetlTims = rLastSetlTims;
	}
	public String getrDlyTcnt() {
		return rDlyTcnt;
	}
	public void setrDlyTcnt(String rDlyTcnt) {
		this.rDlyTcnt = rDlyTcnt;
	}
	public String getrDlyPamt() {
		return rDlyPamt;
	}
	public void setrDlyPamt(String rDlyPamt) {
		this.rDlyPamt = rDlyPamt;
	}
	public String getrDlyInt() {
		return rDlyInt;
	}
	public void setrDlyInt(String rDlyInt) {
		this.rDlyInt = rDlyInt;
	}
	public String getrDfee() {
		return rDfee;
	}
	public void setrDfee(String rDfee) {
		this.rDfee = rDfee;
	}
	public String getrLoanAmt() {
		return rLoanAmt;
	}
	public void setrLoanAmt(String rLoanAmt) {
		this.rLoanAmt = rLoanAmt;
	}
	public String getrUnWdrwPamt() {
		return rUnWdrwPamt;
	}
	public void setrUnWdrwPamt(String rUnWdrwPamt) {
		this.rUnWdrwPamt = rUnWdrwPamt;
	}
	public String getrLeglActnCostRmat() {
		return rLeglActnCostRmat;
	}
	public void setrLeglActnCostRmat(String rLeglActnCostRmat) {
		this.rLeglActnCostRmat = rLeglActnCostRmat;
	}
	public String getrFeeRamt() {
		return rFeeRamt;
	}
	public void setrFeeRamt(String rFeeRamt) {
		this.rFeeRamt = rFeeRamt;
	}
	public String getrMidRmbrFeeRt() {
		return rMidRmbrFeeRt;
	}
	public void setrMidRmbrFeeRt(String rMidRmbrFeeRt) {
		this.rMidRmbrFeeRt = rMidRmbrFeeRt;
	}
	public String getrIncdCostRt() {
		return rIncdCostRt;
	}
	public void setrIncdCostRt(String rIncdCostRt) {
		this.rIncdCostRt = rIncdCostRt;
	}
	public String getrLeglActnCostRmat0() {
		return rLeglActnCostRmat0;
	}
	public void setrLeglActnCostRmat0(String rLeglActnCostRmat0) {
		this.rLeglActnCostRmat0 = rLeglActnCostRmat0;
	}
	public String getrLeglActnCostRmat1() {
		return rLeglActnCostRmat1;
	}
	public void setrLeglActnCostRmat1(String rLeglActnCostRmat1) {
		this.rLeglActnCostRmat1 = rLeglActnCostRmat1;
	}
	public String getrLeglActnCostRmat2() {
		return rLeglActnCostRmat2;
	}
	public void setrLeglActnCostRmat2(String rLeglActnCostRmat2) {
		this.rLeglActnCostRmat2 = rLeglActnCostRmat2;
	}
	public String getrLeglActnCostRmat3() {
		return rLeglActnCostRmat3;
	}
	public void setrLeglActnCostRmat3(String rLeglActnCostRmat3) {
		this.rLeglActnCostRmat3 = rLeglActnCostRmat3;
	}
	public String getrDlyDt() {
		return rDlyDt;
	}
	public void setrDlyDt(String rDlyDt) {
		this.rDlyDt = rDlyDt;
	}
	public String getrDlyAmt() {
		return rDlyAmt;
	}
	public void setrDlyAmt(String rDlyAmt) {
		this.rDlyAmt = rDlyAmt;
	}
	public String getrSetlDt() {
		return rSetlDt;
	}
	public void setrSetlDt(String rSetlDt) {
		this.rSetlDt = rSetlDt;
	}
	public String getrDlyDdcnt() {
		return rDlyDdcnt;
	}
	public void setrDlyDdcnt(String rDlyDdcnt) {
		this.rDlyDdcnt = rDlyDdcnt;
	}
	public String getrThmmDueDt() {
		return rThmmDueDt;
	}
	public void setrThmmDueDt(String rThmmDueDt) {
		this.rThmmDueDt = rThmmDueDt;
	}
	public String getrLeglActnCostRamt() {
		return rLeglActnCostRamt;
	}
	public void setrLeglActnCostRamt(String rLeglActnCostRamt) {
		this.rLeglActnCostRamt = rLeglActnCostRamt;
	}
	public String getrThddObjAmt() {
		return rThddObjAmt;
	}
	public void setrThddObjAmt(String rThddObjAmt) {
		this.rThddObjAmt = rThddObjAmt;
	}
	public String getrDsrcRamt() {
		return rDsrcRamt;
	}
	public void setrDsrcRamt(String rDsrcRamt) {
		this.rDsrcRamt = rDsrcRamt;
	}
	public String getrTamtRmbrObjAmtWithoutPdueAmt() {
		return rTamtRmbrObjAmtWithoutPdueAmt;
	}
	public void setrTamtRmbrObjAmtWithoutPdueAmt(String rTamtRmbrObjAmtWithoutPdueAmt) {
		this.rTamtRmbrObjAmtWithoutPdueAmt = rTamtRmbrObjAmtWithoutPdueAmt;
	}
	public String getrRcptObjAmt() {
		return rRcptObjAmt;
	}
	public void setrRcptObjAmt(String rRcptObjAmt) {
		this.rRcptObjAmt = rRcptObjAmt;
	}
	public String getrThmmAmt() {
		return rThmmAmt;
	}
	public void setrThmmAmt(String rThmmAmt) {
		this.rThmmAmt = rThmmAmt;
	}
	public String getrDemIntRt() {
		return rDemIntRt;
	}
	public void setrDemIntRt(String rDemIntRt) {
		this.rDemIntRt = rDemIntRt;
	}
	public String getrAskAmt() {
		return rAskAmt;
	}
	public void setrAskAmt(String rAskAmt) {
		this.rAskAmt = rAskAmt;
	}
	public String getrThmmRlDueDt() {
		return rThmmRlDueDt;
	}
	public void setrThmmRlDueDt(String rThmmRlDueDt) {
		this.rThmmRlDueDt = rThmmRlDueDt;
	}
	public String getStndSetlDt() {
		return stndSetlDt;
	}
	public void setStndSetlDt(String stndSetlDt) {
		this.stndSetlDt = stndSetlDt;
	}
	public String getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(String askAmt) {
		this.askAmt = askAmt;
	}
	public String getrLoseDt() {
		return rLoseDt;
	}
	public void setrLoseDt(String rLoseDt) {
		this.rLoseDt = rLoseDt;
	}
	public String getrTamtRmbrFee() {
		return rTamtRmbrFee;
	}
	public void setrTamtRmbrFee(String rTamtRmbrFee) {
		this.rTamtRmbrFee = rTamtRmbrFee;
	}
	public String getrTamtRmbrPamt() {
		return rTamtRmbrPamt;
	}
	public void setrTamtRmbrPamt(String rTamtRmbrPamt) {
		this.rTamtRmbrPamt = rTamtRmbrPamt;
	}
	public String getrMidRmbrInt() {
		return rMidRmbrInt;
	}
	public void setrMidRmbrInt(String rMidRmbrInt) {
		this.rMidRmbrInt = rMidRmbrInt;
	}
    public String getDlyStrtDueDt() {
        return dlyStrtDueDt;
    }
    public void setDlyStrtDueDt(String dlyStrtDueDt) {
        this.dlyStrtDueDt = dlyStrtDueDt;
    }

}