package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM02DSSDDO06VO.java Class
 * 클래스설명   : 채권상담관리 VO
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70281 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIM02DSSDDO06VO {

	private String cntcPlcDivCd;
	private String cntcPlcDivNm;
	private String cntcPlcTel;
	private String cntcStatCd;
	private String color;
	private String cntcPlcRelNm;

	private String homeCntcPlcDivCd;
	private String homeCntcPlcDivNm;
	private String homeCntcPlcTel;
	private String homeCntcStatCd;
	private String homeColor;
	private String homeCntcPlcRelNm;

	private String oficCntcPlcDivCd;
	private String oficCntcPlcDivNm;
	private String oficCntcPlcTel;
	private String oficCntcStatCd;
	private String oficColor;
	private String oficCntcPlcRelNm;

	private String etcCntcPlcDivCd;
	private String etcCntcPlcDivNm;
	private String etcCntcPlcTel;
	private String etcCntcStatCd;
	private String etcColor;
	private String etcCntcPlcRelNm;

	public String getCntcPlcDivCd() {
		return cntcPlcDivCd;
	}
	public void setCntcPlcDivCd(String cntcPlcDivCd) {
		this.cntcPlcDivCd = cntcPlcDivCd;
	}
	public String getCntcPlcTel() {
		return cntcPlcTel;
	}
	public void setCntcPlcTel(String cntcPlcTel) {
		this.cntcPlcTel = cntcPlcTel;
	}
	public String getCntcStatCd() {
		return cntcStatCd;
	}
	public void setCntcStatCd(String cntcStatCd) {
		this.cntcStatCd = cntcStatCd;
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}
	public String getCntcPlcRelNm() {
		return cntcPlcRelNm;
	}
	public void setCntcPlcRelNm(String cntcPlcRelNm) {
		this.cntcPlcRelNm = cntcPlcRelNm;
	}
	public String getHomeCntcPlcDivCd() {
		return homeCntcPlcDivCd;
	}
	public void setHomeCntcPlcDivCd(String homeCntcPlcDivCd) {
		this.homeCntcPlcDivCd = homeCntcPlcDivCd;
	}
	public String getHomeCntcPlcTel() {
		return homeCntcPlcTel;
	}
	public void setHomeCntcPlcTel(String homeCntcPlcTel) {
		this.homeCntcPlcTel = homeCntcPlcTel;
	}
	public String getHomeCntcStatCd() {
		return homeCntcStatCd;
	}
	public void setHomeCntcStatCd(String homeCntcStatCd) {
		this.homeCntcStatCd = homeCntcStatCd;
	}
	public String getHomeColor() {
		return homeColor;
	}
	public void setHomeColor(String homeColor) {
		this.homeColor = homeColor;
	}
	public String getHomeCntcPlcRelNm() {
		return homeCntcPlcRelNm;
	}
	public void setHomeCntcPlcRelNm(String homeCntcPlcRelNm) {
		this.homeCntcPlcRelNm = homeCntcPlcRelNm;
	}
	public String getOficCntcPlcDivCd() {
		return oficCntcPlcDivCd;
	}
	public void setOficCntcPlcDivCd(String oficCntcPlcDivCd) {
		this.oficCntcPlcDivCd = oficCntcPlcDivCd;
	}
	public String getOficCntcPlcTel() {
		return oficCntcPlcTel;
	}
	public void setOficCntcPlcTel(String oficCntcPlcTel) {
		this.oficCntcPlcTel = oficCntcPlcTel;
	}
	public String getOficCntcStatCd() {
		return oficCntcStatCd;
	}
	public void setOficCntcStatCd(String oficCntcStatCd) {
		this.oficCntcStatCd = oficCntcStatCd;
	}
	public String getOficColor() {
		return oficColor;
	}
	public void setOficColor(String oficColor) {
		this.oficColor = oficColor;
	}
	public String getOficCntcPlcRelNm() {
		return oficCntcPlcRelNm;
	}
	public void setOficCntcPlcRelNm(String oficCntcPlcRelNm) {
		this.oficCntcPlcRelNm = oficCntcPlcRelNm;
	}
	public String getEtcCntcPlcDivCd() {
		return etcCntcPlcDivCd;
	}
	public void setEtcCntcPlcDivCd(String etcCntcPlcDivCd) {
		this.etcCntcPlcDivCd = etcCntcPlcDivCd;
	}
	public String getEtcCntcPlcTel() {
		return etcCntcPlcTel;
	}
	public void setEtcCntcPlcTel(String etcCntcPlcTel) {
		this.etcCntcPlcTel = etcCntcPlcTel;
	}
	public String getEtcCntcStatCd() {
		return etcCntcStatCd;
	}
	public void setEtcCntcStatCd(String etcCntcStatCd) {
		this.etcCntcStatCd = etcCntcStatCd;
	}
	public String getEtcColor() {
		return etcColor;
	}
	public void setEtcColor(String etcColor) {
		this.etcColor = etcColor;
	}
	public String getEtcCntcPlcRelNm() {
		return etcCntcPlcRelNm;
	}
	public void setEtcCntcPlcRelNm(String etcCntcPlcRelNm) {
		this.etcCntcPlcRelNm = etcCntcPlcRelNm;
	}
	public String getCntcPlcDivNm() {
		return cntcPlcDivNm;
	}
	public void setCntcPlcDivNm(String cntcPlcDivNm) {
		this.cntcPlcDivNm = cntcPlcDivNm;
	}
	public String getHomeCntcPlcDivNm() {
		return homeCntcPlcDivNm;
	}
	public void setHomeCntcPlcDivNm(String homeCntcPlcDivNm) {
		this.homeCntcPlcDivNm = homeCntcPlcDivNm;
	}
	public String getOficCntcPlcDivNm() {
		return oficCntcPlcDivNm;
	}
	public void setOficCntcPlcDivNm(String oficCntcPlcDivNm) {
		this.oficCntcPlcDivNm = oficCntcPlcDivNm;
	}
	public String getEtcCntcPlcDivNm() {
		return etcCntcPlcDivNm;
	}
	public void setEtcCntcPlcDivNm(String etcCntcPlcDivNm) {
		this.etcCntcPlcDivNm = etcCntcPlcDivNm;
	}

}