package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIP01DSSDDO01SENDVO.java Class
 * 클래스설명   : 고객상태정보 관리 VO
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][ 70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */


public class BCNUIP01DSSDDO01SENDVO {
	private String custNo;
	private String foreclosRightFg;
	private String custBnkruptFg;
	private String deadFg;
	private String fraudFg;
	private String bnkruptFg;
	private String clsBizFg;
	private String userNo;

	public String getUserNo() {
		return userNo;
	}
	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}
	public String getCustNo() {
		return custNo;
	}
	public String getForeclosRightFg() {
		return foreclosRightFg;
	}
	public String getCustBnkruptFg() {
		return custBnkruptFg;
	}
	public String getDeadFg() {
		return deadFg;
	}
	public String getFraudFg() {
		return fraudFg;
	}
	public String getBnkruptFg() {
		return bnkruptFg;
	}
	public String getClsBizFg() {
		return clsBizFg;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public void setForeclosRightFg(String foreclosRightFg) {
		this.foreclosRightFg = foreclosRightFg;
	}
	public void setCustBnkruptFg(String custBnkruptFg) {
		this.custBnkruptFg = custBnkruptFg;
	}
	public void setDeadFg(String deadFg) {
		this.deadFg = deadFg;
	}
	public void setFraudFg(String fraudFg) {
		this.fraudFg = fraudFg;
	}
	public void setBnkruptFg(String bnkruptFg) {
		this.bnkruptFg = bnkruptFg;
	}
	public void setClsBizFg(String clsBizFg) {
		this.clsBizFg = clsBizFg;
	}
}