package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIP02DSSDDO01.java Class
 * 클래스설명   : SMS 발송 관련 VO
 * 작성일자     : 2023. 4.14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4.14.][ 70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIP02DSUSERMNGSMVO {
	private String userNo;
	private String userDivCd;
	private String userNm;
	private String deptCd;
	private String deptNm;

	public String getUserNo() {
		return userNo;
	}
	public String getUserDivCd() {
		return userDivCd;
	}
	public String getUserNm() {
		return userNm;
	}
	public String getDeptCd() {
		return deptCd;
	}
	public String getDeptNm() {
		return deptNm;
	}
	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}
	public void setUserDivCd(String userDivCd) {
		this.userDivCd = userDivCd;
	}
	public void setUserNm(String userNm) {
		this.userNm = userNm;
	}
	public void setDeptCd(String deptCd) {
		this.deptCd = deptCd;
	}
	public void setDeptNm(String deptNm) {
		this.deptNm = deptNm;
	}
}