package hanalife.b.cn.ui.vo;

import java.util.List;

import hanalife.c.cm.sp.vo.sendSmsVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIP02OutVO.java Class
 * 클래스설명   : SMS 발송 OUT VO
 * 작성일자     : 2023. 4.14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4.14.][ 70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BCNUIP02OutVO {
	private List<BCNUIP02DSSDDO02VO> listBCNUIP02DSSDDO02;
	private List<BCNUIP02DSSDDO03VO> listBCNUIP02DSSDDO03;
	private List<BCNUIP02DSSDDO04VO> listBCNUIP02DSSDDO04;
	private List<BCNUIP02DSUSERMNGSDVO> listBCNUIP02DSUSERMNGSD;
	private sendSmsVO sendSmsVO;

	public sendSmsVO getSendSmsVO() {
		return sendSmsVO;
	}

	public void setSendSmsVO(sendSmsVO sendSmsVO) {
		this.sendSmsVO = sendSmsVO;
	}

	public List<BCNUIP02DSUSERMNGSDVO> getListBCNUIP02DSUSERMNGSD() {
		return listBCNUIP02DSUSERMNGSD;
	}

	public void setListBCNUIP02DSUSERMNGSD(List<BCNUIP02DSUSERMNGSDVO> listBCNUIP02DSUSERMNGSD) {
		this.listBCNUIP02DSUSERMNGSD = listBCNUIP02DSUSERMNGSD;
	}

	public List<BCNUIP02DSSDDO04VO> getListBCNUIP02DSSDDO04() {
		return listBCNUIP02DSSDDO04;
	}

	public void setListBCNUIP02DSSDDO04(List<BCNUIP02DSSDDO04VO> listBCNUIP02DSSDDO04) {
		this.listBCNUIP02DSSDDO04 = listBCNUIP02DSSDDO04;
	}

	public List<BCNUIP02DSSDDO03VO> getListBCNUIP02DSSDDO03() {
		return listBCNUIP02DSSDDO03;
	}

	public void setListBCNUIP02DSSDDO03(List<BCNUIP02DSSDDO03VO> listBCNUIP02DSSDDO03) {
		this.listBCNUIP02DSSDDO03 = listBCNUIP02DSSDDO03;
	}

	public List<BCNUIP02DSSDDO02VO> getListBCNUIP02DSSDDO02() {
		return listBCNUIP02DSSDDO02;
	}

	public void setListBCNUIP02DSSDDO02(List<BCNUIP02DSSDDO02VO> listBCNUIP02DSSDDO02) {
		this.listBCNUIP02DSSDDO02 = listBCNUIP02DSSDDO02;
	}
}