package hanalife.b.lm.lm.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.lm.lm.mapper.dto.LeglActsFnshSpecDSSDDO01DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsFnshSpecDSSMDODTO;

/**
 * <pre>
 * 클래스명	: LeglActsFnshSpecMapper.java Class
 * 클래스설명	: BLMLMM05 Mapper
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자	: 2023. 3. 9.
 * 작성자명	: 70281 / 가계대출 시스템 구축
 * 변경이력	:
 * -----------------------------------------------------------------------------
 * [수정일자	   ][수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][70281][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@Mapper("leglActsFnshSpecMapper")
public interface LeglActsFnshSpecMapper {

    /**
     * <p>메소드명		: searchLeglActsFnshSpecList</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법조치진행현황내역을 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법조치진행현황내역 PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */

	public List<LeglActsFnshSpecDSSDDO01DTO> searchLeglActsFnshSpecList(LeglActsFnshSpecDSSMDODTO inDto) throws Exception;


}


