package hanalife.b.lm.lm.mapper.dto;

import java.math.BigDecimal;

/**
 * <pre>
 * 클래스명    : BLMLMM05DSSDDO01VO.java Class
 * 클래스설명  : 법조치진행현황조회 (BLMLMM05) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class LeglActsConsShMngDSBadDebtPayFgList {

	private BigDecimal depsAmt; /* 공탁금 */
	private BigDecimal leglActnCost; /* 법적조치비용 */
	private String payStatCd; /* 지급_상태_코드[수입국산구분코드 (GUBUN_CODE:L00004)] */
	private String payProcStatCd; /* 지급처리상태코드 */
	private String payplcCd; /* 지급처_코드 */

	public BigDecimal getDepsAmt() {
		return depsAmt;
	}
	public void setDepsAmt(BigDecimal depsAmt) {
		this.depsAmt = depsAmt;
	}
	public BigDecimal getLeglActnCost() {
		return leglActnCost;
	}
	public void setLeglActnCost(BigDecimal leglActnCost) {
		this.leglActnCost = leglActnCost;
	}
	public String getPayStatCd() {
		return payStatCd;
	}
	public void setPayStatCd(String payStatCd) {
		this.payStatCd = payStatCd;
	}
	public String getPayProcStatCd() {
		return payProcStatCd;
	}
	public void setPayProcStatCd(String payProcStatCd) {
		this.payProcStatCd = payProcStatCd;
	}
	public String getPayplcCd() {
		return payplcCd;
	}
	public void setPayplcCd(String payplcCd) {
		this.payplcCd = payplcCd;
	}

}
