package hanalife.b.lm.lm.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : LoanByActnDescMngSDDO02DTO.java Class
 * 클래스설명   : 법조치 상태/비용조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 9.
 * 작성자명     :  / YHS / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class LoanByActnDescMngSDDO02DTO {

	private String custNm;		/** 고객명 */
	private String custNo;		/** 고객번호 */
	private String loanRelNm;	/** 관계명 */
	private String offcNm;		/** 직장명 */
	private int loanCnt;		/** 관련대출건수 */
	private int badCnt;		/** 불량건수 */
	private long badAmt;		/** 불량금액 */
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
	public String getOffcNm() {
		return offcNm;
	}
	public void setOffcNm(String offcNm) {
		this.offcNm = offcNm;
	}
	public int getLoanCnt() {
		return loanCnt;
	}
	public void setLoanCnt(int loanCnt) {
		this.loanCnt = loanCnt;
	}
	public int getBadCnt() {
		return badCnt;
	}
	public void setBadCnt(int badCnt) {
		this.badCnt = badCnt;
	}
	public long getBadAmt() {
		return badAmt;
	}
	public void setBadAmt(long badAmt) {
		this.badAmt = badAmt;
	}


}
