package hanalife.b.lm.lm.service;

import hanalife.b.lm.lm.vo.BLMLMM05S01InVO;
import hanalife.b.lm.lm.vo.BLMLMM05S01OutVO;

/**
 * <pre>
 * 클래스명    : BLMLMM05Service.java Class
 * 클래스설명  : 수납상세 (BLMLMM05) Controller
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public interface BLMLMM05Service {

    /**
     * <p>메소드명      : BLMLMM05S01 : 법조치진행현황조회</p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치진행현황내역을 조회 한다.</p>
     * <p>메소드인수    : BLMLMM05S01InVo </p>
     * <p>메소드리턴값  : BLMLMM05S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public BLMLMM05S01OutVO getBLMLMM05S01(BLMLMM05S01InVO inVo) throws Exception;

}
