package hanalife.c.co.contants;

public class Constants {

    /** bscm.properties 파일을 읽는 message */
    // private static final MessageSource messageSource = (MessageSource) BeanUtil.getBean("messageSource");

    /** 기본 캐릭터 셋 UTF-8 */
    public static final String CHARSET = "UTF-8";

    public static final String JSON_VIEW = "jsonView";

    public static final String EXCEL_VIEW = "excelView";

    public static final String VIEW = "hlfl/";
    public static final String MO_VIEW = "hlfl/mo/";
    public static final String ERR_VIEW = "common/error";

    /** 시스템 환경 구분 */
    public static final String LOCAL = "LOCAL";
    public static final String DEV = "DEV";
    public static final String UAT = "UAT";
    public static final String PROD = "PROD";


    // TODO 정해지면 수정
    /** 업무영억코드 */
    public static final String DTY_TRRY_CD_CS = "cs"; // 고객
    public static final String DTY_TRRY_CD_CM = "cm"; // 공통
    public static final String DTY_TRRY_CD_AD = "ad"; // 관리자
    public static final String DTY_TRRY_CD_LI = "li"; // 대출한도조회
    public static final String DTY_TRRY_CD_LR = "lr"; // 대출신청
    public static final String DTY_TRRY_CD_LM = "lm"; // 대출관리
    public static final String DTY_TRRY_CD_SAMPLE = "sample"; // 샘플

    /** 원큐 시스템에서 사용되었던 변수 이식해옴(결재 프로그램에서 사용) */
    public static final String DELI_COL = "\t";
    public static final String DELI_ROW = "\n";
    public static final String DELI_CRLF = "\r\n";

    /** 비밀번호 초기값 */
    public static final String PSWD = "1qaz2wsx++";

    /**
     * 2023.03.16. younghwe.kim
     * 입금미수상수 Const : com.dobscap.r.co.rc.svc.IamtUnrcvConst 목록 공통
     * */
    /** 성공코드 */
    public static final String SUCCESS                          = "0000";
    public static final String MID_RMBR_RSRV_ERR_CD             = "8888";   // 수납금액<>중도상환대상금 차액오류(조기상환예약처리)
    public static final String COMM_ERR_CD                      = "9999";

    /** 시스템경로코드 */
    public static final String SYS_PATH_SWIS                    = "01";
    public static final String SYS_PATH_HOMEPAGE                = "02";
    public static final String SYS_PATH_BATCH                   = "03";
    public static final String SYS_PATH_SWIS_CNTC               = "04";
    public static final String SYS_PATH_CNTC                    = "05";

    /** 결제_구분_코드 */
    public static final String SETL_DIV_PIAMT                   = "1";  //원리금
    public static final String SETL_DIV_DSRC                    = "2";  //예가수
    public static final String SETL_DIV_MIDRMBR_P               = "3";  //중도상환(일부)
    public static final String SETL_DIV_MIDRMBR_T               = "4";  //중도상환(전액)
    public static final String SETL_DIV_CRDT_RCVR_UNRCV_AMT     = "5";  //신용회복미수금
    public static final String SETL_DIV_BND_SELL                = "6";  //채권매각

    /** 예가수변경 이력 구분 */
    public static final String CHNG_DIV_SETL                	= "1";  //예가수결제일자변경내역
    public static final String CHNG_DIV_UN_ARNG                 = "2";  //미정리변경내역
    public static final String CHNG_DIV_RMRK                 	= "3";  //적요변경내역

    /** 발생_정산_구분_코드(R00009) */
    public static final String OCCR_ADJ_DIV_OCCR                = "1";  //발생
    public static final String OCCR_ADJ_DIV_ADJ                 = "2";  //정산

    /** 예가수발생코드(R00001) */
    public static final String DSRC_OCCR_NM_CHNG_GUAR_AMT_DCLT   = "16";    //명의_변경_보증금_예수
    public static final String DSRC_OCCR_GODS_SELL_AMT_DCLT      = "18";    //물건_매각_대금_예수
    public static final String DSRC_OCCR_CMS_OVER_DBLE_IAMT_SRCP = "21";    //CMS_초과_이중_입금_가수
    public static final String DSRC_OCCR_OVER_AMT                = "21";    //초과입금/미처리_가수
    public static final String DSRC_OCCR_IAMT_MAN_AMBG_AMT       = "22";    //입금인불명_가
    public static final String DSRC_OCCR_IACNT_AMT               = "23";    //가상계좌_입금_가수
    public static final String DSRC_OCCR_RCPT_CNCL_SRCP_AMT      = "31";    //수납_취소_가수_가
    public static final String DSRC_OCCR_RCPT_PART_CNCL_SRCP     = "33";    //수납_부분_취소_가수
    public static final String DSRC_OCCR_MID_RMBR_FALT_AMT       = "34";    //중도상환_오입금_가수
    public static final String DSRC_OCCR_OPR_LEAS_BRCV_AMT_LEAS_FEE = "41"; //운용_리스_선수금_리스_료
    public static final String DSRC_OCCR_INTG_DSRC               = "44";    //통합예가수_가
    public static final String DSRC_OCCR_SRCP_ETC_UNPROC         = "30";    //기타미처리_가

    /** 예가수정산코드(R00002) */
    public static final String DSRC_DIV_DSRC_OCCR               = "01"; //예가수발생
    public static final String DSRC_DIV_DSRC_ADJ                = "02"; //예가수정산
    public static final String DSRC_DIV_ETC_PRFT                = "03"; //잡수익
    public static final String DSRC_DIV_RFND                    = "04"; //환불
    public static final String DSRC_DIV_INTG_ADJ                = "05"; //통합정산
    public static final String DSRC_DIV_INTG_OCCR               = "06"; //통합발생
    public static final String DSRC_DIV_LOAN_NO_UPDT            = "21"; //대출번호수정
    public static final String DSRC_DIV_ADJ_OFFC_CHNG           = "22"; //정산점변경
    public static final String DSRC_DIV_RCPT_CNCL_SRCP          = "31"; //수납취소가수
    public static final String DSRC_DIV_STMPTAX_AF_RCPT         = "12"; //인지세후납

    /** 수납유형코드(R00012) */
    public static final String RCPT_DIV_ATTR_RCPT               = "A1"; //자동이체수납
    public static final String RCPT_DIV_IACNT_RCPT              = "C1"; //가상계좌수납
    public static final String RCPT_DIV_IMMD_OAMT               = "C2"; //즉시출금
    public static final String RCPT_DIV_DSRC_ARNG               = "D1"; //가수정리
    public static final String RCPT_DIV_GIRO_RCPT               = "G1"; //지로수납
    public static final String RCPT_DIV_WID_RCPT_CASH           = "W1"; //창구수납_현금
    public static final String RCPT_DIV_WID_RCPT_DEPO           = "W2"; //창구수납_예금 (예가수통합때 사용됨)
    public static final String RCPT_DIV_CRDT_RCVR               = "S1"; //신용회복 수납
    public static final String RCPT_DIV_RFND_IMMD               = "F1"; //환불_즉시
    public static final String RCPT_DIV_RFND_CASH               = "F2"; //환불_현금
    public static final String RCPT_DIV_RFND_ACNT               = "F3"; //환불_계좌
    public static final String RCPT_DIV_LTRM_BRCV               = "D2"; //장기선수금 수납
    public static final String RCPT_DIV_BRCV_LEAS_TRNS_RCPT     = "D3"; //선수금리스료_대체_수납
    public static final String RCPT_DIV_SUCS_RCPT               = "D4"; //승계수납
    public static final String RCPT_DIV_DSRC_INTG_ADJ           = "D5"; //예가수_통합_정산
    public static final String RCPT_DIV_DSRC_INTG_OCCR          = "D6"; //예가수_통합_발생
    public static final String RCPT_DIV_DRAGON                  = "T1"; //쌍차 대납
    public static final String RCPT_DIV_MID_CLOS_RCPT_DEPO      = "M1"; //중도해지수납예금
    public static final String RCPT_DIV_EPRT_CLOS_RCPT_DEPO     = "E1"; //만기해지
    public static final String RCPT_DIV_IVLT_CLOS_RCPT          = "I1"; //강제해지
    public static final String RCPT_DIV_LAST_WAVE               = "L1"; //말회차 면제수납
    public static final String RCPT_DIV_UCAR_RETN               = "U1"; //중고차반납
    public static final String RCPT_DIV_UCAR_RETN_OFST          = "U2"; //중고차반납_상계
    public static final String RCPT_DIV_RLN_LOAN                = "B2"; //대환대출수납
    public static final String RCPT_DIV_PL_LOAN_RMBR            = "P1"; //PL대출상환
    public static final String RCPT_DIV_BKRP_EXEM               = "E2"; //파산면책
    public static final String RCPT_DIV_BKRP_RCPT               = "E3"; //파산수납
    public static final String RCPT_DIV_HAIRCUT                 = "X2"; //Haircut
    public static final String RCPT_DIV_RPP                     = "X3"; //RPP
    public static final String RCPT_DIV_SPP                     = "X4"; //SPP

    /** 환불_상태_코드 (R00032) */
    public static final String RFND_STAT_DSRC                   = "00"; //예가수
    public static final String RFND_STAT_RFND_OBJ               = "10"; //환불대상
    public static final String RFND_STAT_ACNT_CNFM_MID          = "20"; //계좌확인중
    public static final String RFND_STAT_ACNT_ERR               = "25"; //계좌오류
    public static final String RFND_STAT_JST_MID                = "30"; //결재대기
    public static final String RFND_STAT_RFND_MID               = "40"; //환불대기
    public static final String RFND_STAT_RFND_PROC_MID          = "50"; //환불처리중
    public static final String RFND_STAT_RFND_ERR               = "60"; //환불오류
    public static final String RFND_STAT_RFND_SCS               = "70"; //환불성공
    public static final String RFND_STAT_RFND_CNCL              = "90"; //환불취소

    /** 결제우선순위(R00046) */
    public static final String SETL_FRST_RANK_TIMS              = "01"; //회차우선순위
    public static final String SETL_FRST_RANK_PAMT              = "02"; //원금우선순위
    public static final String SETL_FRST_RANK_IPAY              = "03"; //대지급우선순위

    /** 선수금보증금구분코드 */
    public static final String GUAR_BRCV_DIV_CONT_GUAR_AMT      = "01"; //계약보증금
    public static final String GUAR_BRCV_DIV_EXEC_GUAR_AMT      = "02"; //실행보증금
    public static final String GUAR_BRCV_DIV_CONT_LTRM_BRCV_AMT = "03"; //계약장기선수금
    public static final String GUAR_BRCV_DIV_LTRM_BRCV_AMT      = "04"; //장기선수금

    /**  청구구분코드(R00026) */
    public static final String ASK_DIV_DLY    = "1";	// 연체
    public static final String ASK_DIV_NORM   = "2";	// 정상
    public static final String ASK_DIV_UNCOMG = "3";	// 미도래

    /**  품의상태코드(B00160) */
    public static final String CONS_STAT_APPR_REQ    = "1";	// 승인신청
    public static final String CONS_STAT_APPR_CMPL = "3";	// 승인완료
    public static final String CONS_STAT_APPR_REF = "6";	// 결재권자거절
    public static final String CONS_STAT_APPR_CNCL = "9";	// 작성취소

    /** 각 공통코드 상수 지정 */
    public static final String YES 		= "1";
    public static final String NO  		= "0";
    public static final String SPACE  	= " ";
    public static final String YN_Y 	= "Y";
    public static final String YN_N  	= "N";

    /** 미수_정리_구분코드(L00029) */
    public static final String UNRCV_ADJ_UNRCV_OCCR 			= "A1"; // 미수발생
    public static final String UNRCV_ADJ_UNPAY_AMT_OFSTAMT 		= "A2"; // 미지급금상계
    public static final String UNRCV_ADJ_DSRC_TRANS 			= "A3"; // 예가수대체
    public static final String UNRCV_ADJ_RCPT_DEPO 				= "A4"; // 수납 = 예금)
    public static final String UNRCV_ADJ_UNRCV_OCCR_CNCL 		= "C1"; // 발생취소
    public static final String UNRCV_ADJ_UNPAY_AMT_OFSTAMT_CNCL = "C2"; // 미지급금상계취소
    public static final String UNRCV_ADJ_DSRC_TRANS_CNCL 		= "C3"; // 예가수대체취소
    public static final String UNRCV_ADJ_RCPT_DEPO_CNCL 		= "C4"; // 수납 = 예금)취소

    /** 미수_발생_유형코드 */
    public static final String UNRCV_OCCR_CUST_STMP_FEE 		= "S001"; // 고객인지대
    public static final String UNRCV_OCCR_UNRCV_PAMT 			= "S003"; // KCAR미수원금

    /** 대출기간(S00036) */
    public static final String S00036_15                        = "15"; // 15년
    public static final String S00036_20                        = "20"; // 20년
    public static final String S00036_30                        = "30"; // 30년
    public static final String S00036_35                        = "35"; // 35년
    public static final String S00036_40                        = "40"; // 40년
    public static final String S00036_45                        = "45"; // 45년

    /** 상환방법(S00607) */
    public static final String S00607_10                        = "10"; // 원리금균등
    public static final String S00607_20                        = "20"; // 원금균등

    /** 레코드상태코드(S12019) - 룰관리에서 사용 */
    public static final String S12019_USE                       = "00010"; // 사용
    public static final String S12019_NO_USE                    = "00020"; // 미사용

    /** 소득합산구분코드(S11001) */
    public static final String S11001_SELF                      = "00010"; // 본인소득
    public static final String S11001_SPUS_SUM                  = "00020"; // 배우자소득합산

    /** 최종판정결과구분코드 (S11007) */
    public static final String S11007_APRV                      = "00010"; // 최종승인
    public static final String S11007_REJECT                    = "00020"; // 최종거절
    public static final String S11007_CNCL                      = "00030"; // 취종취소

    /** 금리적용구분코드 (S11089) */
    public static final String S11089_01010                     = "01010"; // 고정기간-기준금리
    public static final String S11089_01020                     = "01020"; // 고정기간-가산금리
    public static final String S11089_01021                     = "01021"; // 고정기간-가산금리-업무원가
    public static final String S11089_01022                     = "01022"; // 고정기간-가산금리-리스크프리미엄
    public static final String S11089_01023                     = "01023"; // 고정기간-가산금리-목표마진율
    public static final String S11089_01024                     = "01024"; // 고정기간-가산금리-신용원가
    public static final String S11089_01025                     = "01025"; // 고정기간-가산금리-교육세
    public static final String S11089_01026                     = "01026"; // 고정기간-가산금리-신보출연료
    public static final String S11089_01030                     = "01030"; // 고정기간-할인금리
    public static final String S11089_01031                     = "01031"; // 고정기간-할인금리-보험유지
    public static final String S11089_01032                     = "01032"; // 고정기간-할인금리-신용평점
    public static final String S11089_01033                     = "01033"; // 고정기간-할인금리-비거치분할상환
    public static final String S11089_01034                     = "01034"; // 고정기간-할인금리-MCI미가입
    public static final String S11089_01035                     = "01035"; // 고정기간-할인금리-타사대환금리
    public static final String S11089_00040                     = "01040"; // 고정기간-시스템조정금리
    public static final String S11089_01050                     = "01050"; // 고정기간-본부조정금리
    public static final String S11089_01999                     = "01999"; // 고정기간-최종금리
    public static final String S11089_02010                     = "02010"; // 변동기간-기준금리
    public static final String S11089_02020                     = "02020"; // 변동기간-가산금리
    public static final String S11089_02021                     = "02021"; // 변동기간-가산금리-업무원가
    public static final String S11089_02022                     = "02022"; // 변동기간-가산금리-리스크프리미엄
    public static final String S11089_02023                     = "02023"; // 변동기간-가산금리-목표마진율
    public static final String S11089_02024                     = "02024"; // 변동기간-가산금리-신용원가
    public static final String S11089_02025                     = "02025"; // 변동기간-가산금리-교육세
    public static final String S11089_02026                     = "02026"; // 변동기간-가산금리-신보출연료
    public static final String S11089_02030                     = "02030"; // 변동기간-할인금리
    public static final String S11089_02031                     = "02031"; // 변동기간-할인금리-보험유지
    public static final String S11089_02032                     = "02032"; // 변동기간-할인금리-신용평점
    public static final String S11089_02033                     = "02033"; // 변동기간-할인금리-비거치분할상환
    public static final String S11089_02034                     = "02034"; // 변동기간-할인금리-MCI미가입
    public static final String S11089_02035                     = "02035"; // 변동기간-할인금리-타사대환금리
    public static final String S11089_02040                     = "02040"; // 변동기간-시스템조정금리
    public static final String S11089_02050                     = "02050"; // 변동기간-본부조정금리
    public static final String S11089_02999                     = "02999"; // 변동기간-최종금리

    /** 관련인구분코드(S11092) */
    public static final String S11092_RELA_DIV_10           	= "00010";  // 본인
    public static final String S11092_RELA_DIV_20           	= "00020";  // 배우자
    public static final String S11092_RELA_DIV_30           	= "00030";  // 자녀
    public static final String S11092_RELA_DIV_40           	= "00040";  // 부
    public static final String S11092_RELA_DIV_50           	= "00050";  // 모
    public static final String S11092_RELA_DIV_60           	= "00060";  // 배우자의 부
    public static final String S11092_RELA_DIV_70           	= "00070";  // 배우자의 모
    public static final String S11092_RELA_DIV_80           	= "00080";  // 기타

    /** 판정결과코드(S11093) */
    public static final String S11093_APRV                      = "00010";  // 승인
    public static final String S11093_RJCT                      = "00020";  // 거절
    public static final String S11093_CNCL                      = "00030";  // 취소

    /** 상품구분코드(S12014) */
    public static final String S12014_MRTG                      = "00010";  // 주택담보대출

    /** 신청현재진행상태코드(S12008) */
    public static final String S12008_APPL_PRGS                 = "20000";  // 대출신청-진행
    public static final String S12008_1S_EXAM_PRGS              = "40000";  // 1차심사-진행
    public static final String S12008_1S_EXAM_CMPL              = "40009";  // 1차심사_완료
    public static final String S12008_2S_EXAM_PRGS              = "50000";  // 2차심사-진행
    public static final String S12008_2S_EXAM_CMPL              = "50009";  // 2차심사_완료
    public static final String S12008_3S_EXAM_PRGS              = "60000";  // 3차심사-진행
    public static final String S12008_3S_EXAM_CMPL              = "60009";  // 3차심사_완료
    public static final String S12008_EXEC_PRGS                 = "70000";  // 대출실행_진행
    public static final String S12008_EXEC_CMPL                 = "70009";  // 대출실행_완료

    /** 세대원포함여부(S12039) */
    public static final String S12039_Y                         = "00010";  // 세대원 포함
    public static final String S12039_N                         = "00020";  // 세대원 미포함

    /** 금리유형 (S12026) */
    public static final String S12026_BASE_MNRT_LNK             = "00100";  // 기준금리 연동형
    public static final String S12026_MIX_MNRT                  = "00200";  // 혼합형

    /** 소득대상구분코드(S12043) */
    public static final String S12043_SELF                      = "00010";      // 본인
    public static final String S12043_SPUS                      = "00020";      // 배우자

    /** 소득종류구분코드(S12020) */
    public static final String S12020_WORK                      = "00010";      // 근로소득
    public static final String S12020_BIZ                       = "00020";      // 사업소득
    public static final String S12020_ANN                       = "00030";      // 연금소득
    public static final String S12020_ETC                       = "00040";      // 기타소득
    public static final String S12020_ADMT                      = "00050";      // 인정소득
    public static final String S12020_DECL                      = "00060";      // 신고소득

    /** 선순위대출여부(S12022) */
    public static final String S12022_PRE_SEQ_LOAN_YN_Y         = "Y";          // 선순위대출여부 Y (선순위대출 있음)
    public static final String S12022_PRE_SEQ_LOAN_YN_N         = "N";          // 선순위대출여부 N (순선위대출 없음)

    /** 동일세대주택보유수구분코드(S12023) */
    public static final String S12023_0HOUSE                    = "00000";      // 0채(무주택자)
    public static final String S12023_1HOUSE                    = "00001";      // 1채
    public static final String S12023_OVER_1HOUSE               = "00002";      // 2채이상

    /** 상환방법(S12028) */
    public static final String S12028_01                        = "00001";      // 원금균등상환
    public static final String S12028_02                        = "00002";      // 원리금균등상환

    /** 임대차유무(S12029) */
    public static final String S12029_RENT_YN_Y                 = "Y";          // 임대차있음
    public static final String S12029_RENT_YN_N                 = "N";          // 임대차없음

    /** MCI가입적격여부(S12030) */
    public static final String S12030_MCI_ENTR_QLFC             = "00001";      // 가입적격
    public static final String S12030_MCI_ENTR_NO_QLFC          = "00002";      // 가입부적격

    /** 지역관리구분코드(S12031) */
    public static final String S12031_SPECULATION               = "00010";      // 투기지역
    public static final String S12031_OVERHEATED                = "00020";      // 투기과열. 참고. 조정지역 REGUALATED AREA
    public static final String S12031_METROPOLITAN              = "00030";      // 수도권
    public static final String S12031_ETC                       = "00040";      // 기타

    /** 자금용도(심사용)(S12032) */
    public static final String S12032_PURC                      = "1";          // 본건주택구입->구매자금에 해당(S00304)
    public static final String S12032_LIFE_MONY                 = "2";          // 생활안정자금->순수생활안정자금에 해당(S00304)
    public static final String S12032_LEAS_GUAR_RFND            = "3";          // 임차보증금반환자금->생활자금(임자보증금반환)에 해당(S00304)
    public static final String S12032_DEBT_RMBR_NO_HOUS         = "4";          // 부채상환(주택비구입자금)->생활안정자금(타사전액대환)에 해당(S00304)
    public static final String S12032_DEBT_RMBR_HOUS            = "5";          // 부채상환(주택구입자금)->생활안정자금(타자전액대환)에 해당(S00304)

    /** 주택소유구분코드(S12033) */
    public static final String S12033_0HOUSE                    = "00010";      // 무주택자
    public static final String S12033_1HOUSE                    = "00020";      // 1주택소유자
    public static final String S12033_OVER_1HOUSE               = "00030";      // 2주택이상소유자
    public static final String S12033_ODPL_FACT_DEMD            = "00040";      // 서민실수요자
    public static final String S12033_LFT_FRST_PURC             = "00050";      // 생애최초구입자

    /** 소득증빙서류코드(S12044) */
    public static final String S12044_INCO_AMT_CERT             = "00101";  // 세무서(홈택스)발급 소득금액증명원(일용직 납세사실증명원) 또는 재형저축소득확인증명서
    public static final String S12044_YYEND_ADJ                 = "00102";  // 연말정산용 원천징수 영수증(원천징수부 등 원천징수 증명하는 서류)
    public static final String S12044_SALR_SPEC                 = "00103";  // 급여내역 포함된 증명서(재직회사 날인 급여명세표, 임금대장, 갑근세원천징수확인서)
    public static final String S12044_BIZ_INCO_AMT_CERT         = "00201";  // 세무서(홈택스) 발급 소득금액 증명원 또는 재형저축 소득확인증명서
    public static final String S12044_TAX_STND                  = "00202";  // 과세표준 확정신고서 및 자진납부 계산사(세무사 확인)
    public static final String S12044_RCNT_YY_BIZ_INCO          = "00203";  // 최근년도 연말정산용 사업소득 원천징수 영수증
    public static final String S12044_RCNT_RESI_INCO            = "00204";  // 최근년도 거주자의 사업소득 원천징수 영수증
    public static final String S12044_BNKB                      = "00301";  // (연금증서 사본 OR 연금수급권자 확인서) + 연금수령통장(원본확인) 사본(국민,공무원,군인,사학,기타)
    public static final String S12044_ANN                       = "00302";  // 연금산정용 가입내역확인서
    public static final String S12044_INSU                      = "00303";  // 건강보험료 납부확인서
    public static final String S12044_YYEND_CARD                = "00401";  // 연말정산용 원천징수 영수증(신용카드 원천징수액)
    public static final String S12044_CRE_CARD                  = "00402";  // 신용카드 사용 실적표

    /** 소득자료제출기간코드(S12045) */
    public static final String S12045_YY1_INCO                  = "00010";  // 1개년 소득서류 제출자로 지속가능한 상시소득자(1년이하 재직(사업등))인 차주만 해당
    public static final String S12045_YY2_INCO                  = "00020";  // 2개년도 연소득(환산포함) 비교시 지속 가능한 상시소득자로 최근년도 연소득 적용
    public static final String S12045_YY2_20P_OVR               = "00030";  // 2개년도 연소득(환산포함) 차이가 ±20% 초과로 평균소득 적용
    public static final String S12045_YY1_10P_DOWN              = "00040";  // 1개년도 소득만 제공하여 10% 차감 (2개년도 소득서류 제출대상이나 일부 미제출)
    public static final String S12045_YY1_UNDR                  = "00050";  // 1년이하 소득서류 제출자로 일시소득로 10% 차감

    /** 제휴사구분코드(S12049) */
    public static final String s12049_CRPT_COM_DIV_01           = "00010";  // 모기지제휴사
    public static final String s12049_CRPT_COM_DIV_02           = "00020";  // 부동산중개소

    /** HOMS의뢰구분코드(S12052) */
    public static final String S12052_HOMS_REQ_DIV_01           = "00010";  // 신규신청의뢰
    public static final String S12052_HOMS_REQ_DIV_02           = "00020";  // 특약조건-생활자금점검의뢰
    public static final String S12052_HOMS_REQ_DIV_03           = "00030";  // 특약조건-주택구입자금점검의뢰

    /** 전략메인거래구분코드(S12054) */
    public static final String S12054_LOAN_CNSL_STAG            = "01";     // 대출상담단계
    public static final String S12054_LOAN_APPL_STAG            = "02";     // 대출심사단계
    public static final String S12054_MRTG_RE_EVAL_STAG         = "03";     // 담보재평가
    public static final String S12054_LOAN_EXEC                 = "04";     // 대출실행
    public static final String S12054_MNRT_DOWN_RQST_RIGT       = "05";     // 금리인하요구권
    public static final String S12054_DISC_MNRT_RE_APLY         = "06";     // 할인금리재적용

    /** 전략자격거래구분코드(S12055) */
    public static final String S12055_LOAN_CNSL_STAG            = "01";     // 대출상담단계
    public static final String S12055_LOAN_APPL_STAG            = "02";     // 대출심사단계
    public static final String S12055_LOAN_EXEC                 = "03";     // 대출실행단계, 대출실행이후단계

    /** 전략한도거래구분코드(S12056) */
    public static final String S12056_LOAN_CNSL_STAG            = "01";     // 대출상담단계
    public static final String S12056_GEN_MORT_RE_EVAL          = "02";     // 일반담보평가
    public static final String S12056_MORT_RE_EVAL              = "03";     // 담보재평가

    /** 전략금리거래구분코드(S12057) */
    public static final String S12057_CNSL_MNRT_CALC            = "01";     // 상담금리적용산출
    public static final String S12057_GEN_MORT_CALC             = "02";     // 정상금리적용산출(일반금리적용산출)
    public static final String S12057_DISC_MNRT_CALC            = "03";     // 기존계좌 추가할인금리적용산출

    /** MCI가입결정구분코드(S12058) */
    public static final String S12058_MCI_ENTR                  = "00001";  // 가입
    public static final String S12058_MCI_NO_ENTR               = "00002";  // 미가입

    /** HOMS세대원구분코드(S12059) */
    public static final String S12059_FAM_MEMB_DIV_00           = "000000";  // 배우자가 없는 신청자
    public static final String S12059_FAM_MEMB_DIV_01           = "111111";  // 배우자가 있는 신청자
    public static final String S12059_FAM_MEMB_DIV_02           = "222222";  // 배우자
    public static final String S12059_FAM_MEMB_DIV_03           = "333333";  // 배우자 외 세대원

    /** 금리고정기간 (S12063) */
    public static final String S12063_MNRT_RATE_FIX_TERM_CD_3Y  = "10";     // 3년고정
    public static final String S12063_MNRT_RATE_FIX_TERM_CD_5Y  = "20";     // 5년고정

    /** 변동주기 (S12064) */
    public static final String S12064_MM06                      = "00101";     // 6개월주기 변동
    public static final String S12064_MM12                      = "00102";     // 12개월주기 변동

    /** 전략-주택소유기준구분코드(S12069) */
    public static final String S12069_0HOUSE                    = "00010";      // 무주택자
    public static final String S12069_1HOUSE                    = "00020";      // 1주택소유자
    public static final String S12069_OVER_1HOUSE               = "00030";      // 2주택이상소유자
    public static final String S12069_ODPL_FACT_DEMD            = "00040";      // 서민실수요자
    public static final String S12069_LFT_FRST_PURC             = "00050";      // 생애최초구입자
    public static final String S12069_1HOUSE_DSP                = "00060";      // 1주택보유(처분조건)
    public static final String S12069_1HOUSE_NO_DSP             = "00070";      // 1주택이상보유(보유조건)

    /** 지급처리 구분코드(S00045) */
    public static final String PAY_DIV_PR_FEE = "01"; 				// 판촉수수료지급
    public static final String PAY_DIV_RFND = "02"; 				// 가수환불지급
    public static final String PAY_DIV_INDV_CRDT_LOAN_PAY = "03"; 	// 개인신용대출금지급
    public static final String PAY_DIV_SALE = "05"; 				// 오토론대출금지급
    public static final String PAY_DIV_FLMO_SET_COST = "27"; 		// 판촉수수료지급
    public static final String PAY_DIV_LEAS = "30"; 				// 리스지급
    public static final String PAY_DIV_LEAS_INSU_FEE = "31"; 		// 리스보험료지급
    public static final String PAY_DIV_COM_LOAN = "40"; 			// 기업대출금지급
    public static final String PAY_DIV_BND = "51"; 					// 법조치비용지급
    public static final String PAY_DIV_EXTR_COST = "53"; 			// 부대비용합산지급
    public static final String PAY_DIV_FLOT_IZE = "60"; 			// 유동화(SPC)지급
    public static final String PAY_DIV_BIZ_MRTG_LOAN = "61"; 		// 사업자담보대출금지급

    /** K-IFRS/K-GAAP코드 */
    public static final String KGAAP = "01";
    public static final String KIFRS = "02";
    public static final String ONLYKGAAP = "03";

    /** 영업-대외거래[권리보험,전자등기] 공통 */
    public static final String NEW_REQ_STAT                    = "1";          // 의뢰
    public static final String RE_REQ_STAT                     = "2";          // 재의뢰

    /** 영업-권리보험 */
    public static final String RSPN_SUCCESS                    = "000";        // 하나손보 전문 응답 코드

    // 권원전문코드/종별코드
    public static final String HI_GRAM_NO_N200100              = "N200100";    // 권리조사 의뢰
    public static final String HI_GRAM_NO_N300100              = "N300100";    // 권리조사 의뢰취소
    public static final String HI_GRAM_NO_N400100              = "N400100";    // 권리조사 보고서
    public static final String HI_GRAM_NO_N400400              = "N400400";    // 권리조사 확인서
    public static final String HI_GRAM_NO_N400500              = "N400500";    // 권리보험가입승인
    public static final String HI_GRAM_NO_N400600              = "N400600";    // 대출실행통보
    public static final String HI_GRAM_NO_N400920              = "N400920";    // 대출상환종료

    // 권원조사기관구분코드(S11009)
    public static final String HI_AGNC_GB_CD                   = "00010";      // 하나손해보험

    // 권원확인서확인결과코드(S11012)
    public static final String HI_CNFM_CD                      = "00010";      // 확인정상

    // 권원진행상태코드(S11016)
    public static final String HI_PRGS_STAT_N200100            = "00010";      // 청약의뢰
    //public static final String HI_PRGS_STAT_              = "00020"; // 비용정보
    public static final String HI_PRGS_STAT_N400100            = "00030";      // 전입조사결과
    public static final String HI_PRGS_STAT_N400400            = "00040";      // 권원확인서
    public static final String HI_PRGS_STAT_N400500            = "00041";      // 보험가입승인
    public static final String HI_PRGS_STAT_N400600            = "00050";      // 실행통지

    // 금리종류코드(S12041)
    public static final String TH_TRS_BOND                     = "00010";      // 국고채3년물
    public static final String FI_TRS_BOND                     = "00020";      // 국고채5년물
    public static final String KOR_BANK_AVE_MNRT               = "00030";      // 한국은행평균금리
    public static final String SOC_STRS_DTI                    = "00040";      // 협회스트레스DTI
    public static final String TH_TRS_BOND_AVE_MNRT            = "00050";      // 국고채3년물 평균금리
    public static final String FI_TRS_BOND_AVE_MNRT            = "00060";      // 국고채5년물 평균금리

    /** 영업-전자등기(피노텍) */
    public static final String COM_CD                          = "HL";         // 전송회사코드
    public static final String SET_CUR                         = "KRW";        // 원화

    // 전자등기 사용자 명
    public static final String FT_USER                         = "FTGRAM";
    // 담보소유자구분코드(S11005)
    public static final String MRTG_SELF_OWN                   = "00010";      // 담보본인소유
    public static final String MRTG_SPUS_OWN                   = "00020";      // 담보배우자소유

    // 전문번호
    public static final String FT_GRAM_NO_1000                 = "1000";       // 전자등기(피노텍) 의뢰
    public static final String FT_GRAM_NO_2000                 = "2000";       // 전자등기(피노텍) 사건처리담당자정보
    public static final String FT_GRAM_NO_2100                 = "2100";       // 전자등기(피노텍) 서류심사결과보고
    public static final String FT_GRAM_NO_4000                 = "4000";       // 전자등기(피노텍) 전자서명고객보고
    public static final String FT_GRAM_NO_4100                 = "4100";       // 전자등기(피노텍) 전자서명고객보고완료
    public static final String FT_GRAM_NO_4200                 = "4200";       // 전자등기(피노텍) 전자서명은행보고
    public static final String FT_GRAM_NO_4300                 = "4300";       // 전자등기(피노텍) 전자서명전체완료보고
    public static final String FT_GRAM_NO_4500                 = "4500";       // 전자등기(피노텍) 전자상환위임장재의뢰
    public static final String FT_GRAM_NO_4600                 = "4600";       // 전자등기(피노텍) 권리증재의뢰
    public static final String FT_GRAM_NO_4700                 = "4700";       // 전자등기(피노텍) 상환금보고
    public static final String FT_GRAM_NO_4800                 = "4800";       // 전자등기(피노텍) 등기비용내용보고
    public static final String FT_GRAM_NO_5000                 = "5000";       // 전자등기(피노텍) 기표실행통지
    public static final String FT_GRAM_NO_5100                 = "5100";       // 전자등기(피노텍) 등기실행통지
    public static final String FT_GRAM_NO_5200                 = "5200";       // 전자등기(피노텍) 등기접수확인보고
    public static final String FT_GRAM_NO_5300                 = "5300";       // 전자등기(피노텍) 타사말소등기접수확인보고
    public static final String FT_GRAM_NO_6000                 = "6000";       // 전자등기(피노텍) 등기처리완료보고
    public static final String FT_GRAM_NO_7100                 = "7100";       // 전자등기(피노텍) 이미지수신통지
    public static final String FT_GRAM_NO_7200                 = "7200";       // 전자등기(피노텍) 대출희망일변경요청
    public static final String FT_GRAM_NO_7500                 = "7500";       // 전자등기(피노텍) 등기상태조회
    public static final String FT_GRAM_NO_9100                 = "9100";       // 전자등기(피노텍) 등기필정보비밀번호유효성조회
    public static final String FT_GRAM_NO_9200                 = "9200";       // 전자등기(피노텍) 등기필정보통지
    public static final String FT_GRAM_NO_9900                 = "9900";       // 전자등기(피노텍) 등기취소요청

    // 등기진행상태 코드(TFT028)
    public static final String FT_STAT_REG_REQ_CMPL            = "100";       // 전자등기(피노텍) 등기의뢰완료
    public static final String FT_STAT_REG_REREQ               = "101";       // 전자등기(피노텍) 등기재의뢰요청
    public static final String FT_STAT_DOC_EXAM_STRT           = "200";       // 전자등기(피노텍) 등기서류검토개시
    public static final String FT_STAT_DOC_RSLT                = "210";       // 전자등기(피노텍) 서류심사결과보고
    public static final String FT_STAT_CUST_SIGN_ING           = "400";       // 전자등기(피노텍) 고객전자서명진행
    public static final String FT_STAT_CUST_SIGN_CMPL          = "410";       // 전자등기(피노텍) 고객전자서명 완료
    public static final String FT_STAT_BK_SIGN_CMPL            = "420";       // 전자등기(피노텍) 은행전자서명 완료
    public static final String FT_STAT_ALL_SIGN_CMPL           = "430";       // 전자등기(피노텍) 서명완료
    public static final String FT_STAT_COST_REPT               = "480";       // 전자등기(피노텍) 등기비용내용보고
    public static final String FT_STAT_REG_ACPT_CMPL           = "500";       // 전자등기(피노텍) 등기접수완료
    public static final String FT_STAT_REG_CMPL                = "600";       // 전자등기(피노텍) 등기완료
    public static final String FT_STAT_CORR_REG_REQ            = "680";       // 전자등기(피노텍) 보정등기수정요청
    public static final String FT_STAT_DSML_REG_REQ            = "690";       // 전자등기(피노텍) 각하등기수정요청
    public static final String FT_STAT_REG_CNCL                = "990";       // 전자등기(피노텍) 등기취소

    // 이미지업무구분(TFT027)
    public static final String FT_IMG_REQ                      = "1";         // 전자등기(피노텍) 의뢰서류
    public static final String FT_IMG_CMPL                     = "2";         // 전자등기(피노텍) 완료서류
    public static final String FT_IMG_AUTH_LETT                = "3";         // 전자등기(피노텍) 전자상환위임장/권리증서류
    public static final String FT_IMG_RMBR                     = "4";         // 전자등기(피노텍) 상환영수증서류

    /** 전략관련 코드 값 */
    public static final String STRG_KCB_SCOR_DIV_CD            ="KKS000020";    // KCB 스코어 2.0


    /** SMS 일괄발송 */
    public static final String SMS_CALL_NUMBER = "1577-1112";		// 고객센터 번호
    public static final String SMS_RESULT_CODE = "0000";			// SMS 성공코드

    /** 영업-상환계획생성 */
    // 상환계획유형구분코드
    public static final String RMBR_PLAN_TYPE_CRTE             = "1";          // 생성
    public static final String RMBR_PLAN_TYPE_SIMUL            = "2";          // 시뮬레이션

    // 상환방식코드
    public static final String RMBR_FRML_CD_1                  = "1";          // 원리금균등
    public static final String RMBR_FRML_CD_2                  = "2";          // 원금균등
    public static final String RMBR_FRML_CD_4                  = "4";          // 거치

    /** 영업-MCI */
    public static final String RSLT_CD_SUCCESS                 = "A000";       // 성공

    // MCI업무구분코드
    public static final String BSDCD_A100                      = "A00100";     // 사전조회
    public static final String BSDCD_A101                      = "A00101";     // 청약
    public static final String BSDCD_A102                      = "A00102";     // 청약취소

    // MCI사유코드
    public static final String RSN_CODE_A11                    = "A11";     // 신규, 갱신 건

    // MCI 전문 송신용
    // 담보부동산 종류
    public static final String CLLTR_RLES_KNDCD_1              = "1";     // 아파트
    public static final String CLLTR_RLES_KNDCD_3              = "3";     // 연립
    public static final String CLLTR_RLES_KNDCD_4              = "4";     // 다세대
    public static final String CLLTR_RLES_KNDCD_5              = "5";     // 단독주택
    public static final String CLLTR_RLES_KNDCD_6              = "6";     // 주거용 오피스텔

    // 부동산평가방법
    public static final String MCI_RLES_VZTN_MTHCD_2           = "2";     // 갑의전산
    public static final String MCI_RLES_VZTN_MTHCD_3           = "3";     // 감정서
    public static final String MCI_RLES_VZTN_MTHCD_4           = "4";     // 복성식평가
    public static final String MCI_RLES_VZTN_MTHCD_5           = "5";     // 국세청기준시가

    // 상환단위
    public static final String RPYUN_MNTCN_0                   = "0";     // 0개월
    public static final String RPYUN_MNTCN_1                   = "1";     // 1개월

    // 주채무자 자격
    public static final String MZDB_QLFCT_CODE_3               = "3";     // 직장인
    public static final String MZDB_QLFCT_CODE_4               = "4";     // 자영업자
    public static final String MZDB_QLFCT_CODE_5               = "5";     // 기타소득자
    public static final String MZDB_QLFCT_CODE_6               = "6";     // 무소득자

    // 대출종류
    public static final String LOAN_DVSCD_2                    = "2";     // 소액보증금

    // 부동산평가기관
    public static final String MCI_RLES_VZTN_ORGCD_1           = "1";     // 부동산테크(한국감정원)
    public static final String MCI_RLES_VZTN_ORGCD_2           = "2";     // 부동산뱅크
    public static final String MCI_RLES_VZTN_ORGCD_3           = "3";     // 부동산
    public static final String MCI_RLES_VZTN_ORGCD_4           = "4";     // KB부동산
    public static final String MCI_RLES_VZTN_ORGCD_5           = "5";     // 유니에셋
    public static final String MCI_RLES_VZTN_ORGCD_6           = "6";     // 다루넷
    public static final String MCI_RLES_VZTN_ORGCD_7           = "7";     // 기타

    // 주소구분코드
    public static final String MCI_ADDRS_DVSCD_1               = "1";     // 지번주소
    public static final String MCI_ADDRS_DVSCD_2               = "2";     // 도로명주소

	/*** 청구상태코드 ***/
	public final static String ASK_STAT_CLS       = "1";    //마감
	public final static String ASK_STAT_SLCT      = "2";    //선정
	public final static String ASK_STAT_DCSN      = "3";    //확정
	public final static String ASK_STAT_ASK_TOT   = "4";    //청구집계
	public final static String ASK_STAT_TRSM      = "5";    //송신
	public final static String ASK_STAT_RECV      = "6";    //수신
	public final static String ASK_STAT_RECV4     = "10";   //4차수신
	public final static String ASK_STAT_RSLT_REFL = "7";    //결과반영
	public final static String ASK_STAT_IAMT_TOT  = "8";    //입금집계
	public final static String ASK_STAT_IAMT      = "9";    //입금

	/*** 처리상태코드 ***/
	public final static String PROC_STAT_WAIT      = "0";    //대기
	public final static String PROC_STAT_JOB_MID   = "1";    //처리중
	public final static String PROC_STAT_JOB_END   = "2";    //완료
	public final static String PROC_STAT_JOB_ERROR = "3";    //에러

	/*** 전문 RowType 코드 ***/
	public static final String GRAM_TYPE_DIV_H = "H";	// HEARDER
	public static final String GRAM_TYPE_DIV_B = "R";	// BODY
	public static final String GRAM_TYPE_DIV_T = "T";	// TRAILER

	/*** CC전문 RowType 코드 ***/
	public static final String CC_GRAM_TYPE_DIV_H = "1";	// HEARDER
	public static final String CC_GRAM_TYPE_DIV_B = "2";	// BODY
	public static final String CC_GRAM_TYPE_DIV_T = "3";	// TRAILER

	/** 상실계산구분(1:회차, 2:일수) */
	public static final String LOSE_CALC_CD_1 = "1";
	public static final String LOSE_CALC_CD_2 = "2";

	/** 발송관리 성공 코드 */
	public static final String DLVR_SUCCESS = "0000";

	/** CUD 구분 코드 */
	public static final String CUD_DIV_CREATE = "C";	//등록
	public static final String CUD_DIV_UPDATE = "U";	//수정
	public static final String CUD_DIV_DELETE = "D";	//삭제

	/** 계좌처리구분 코드  */
	public static final String ACNT_APPL_REG  = "1"; // 신규등록
	public static final String ACNT_APPL_UPDT = "2"; // 수정
	public static final String ACNT_APPL_CLOS = "3"; // 해지
	public static final String ACNT_APPL_PASS = "9"; // 등록 (전문생략)

	/** 자동이체 */
	public static final String TR_DIV_ACNT_CNFM = "1"; //계좌조회

	/** 계좌상태코드 */
	public static final String ACNT_STAT_UN_REG         = "00"; // 미등록
	public static final String ACNT_STAT_ACNT_CNFM_CNCL = "02"; // 계좌확인취소
	public static final String ACNT_STAT_ACNT_CNFM_MID  = "01"; // 계좌확인중
	public static final String ACNT_STAT_ACNT_CNFM_SCS  = "03"; // 계좌확인성공
	public static final String ACNT_STAT_ACNT_CNFM_ERR  = "04"; // 계좌확인오류
	public static final String ACNT_STAT_ACNT_IVLT_REG  = "05"; // 계좌강제등록
	public static final String ACNT_STAT_NEW_APPL       = "11"; // 신규신청
	public static final String ACNT_STAT_NEW_APPL_MID   = "12"; // 신규신청중
	public static final String ACNT_STAT_NEW_NORM       = "13"; // 신규정상
	public static final String ACNT_STAT_NEW_ERR        = "14"; // 신규오류
	public static final String ACNT_STAT_CLOS_APPL      = "31"; // 해지신청
	public static final String ACNT_STAT_CLOS_APPL_MID  = "32"; // 해지신청중
	public static final String ACNT_STAT_CLOS           = "33"; // 해지

	/*전표거래단계*/
	public static final String TR_STAG_CD_1  = "010"; // 동일부서
	public static final String TR_STAG_CD_2  = "020"; // 부서상이

	/** FILE UPLOAD 허용 확장자 */
	public static final String[] whiteList = {"zip", "txt", "doc", "ppt", "xls", "xlsx" };

}
