package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : AsocCustInfoDTO
 * 클래스설명 : AsocCustInfoDTO의 설명
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AsocCustInfoDTO extends AbstractVO {

    private String custNo; // 고객_번호
    private String frstInDt; // 최초_유입_일자
    private String lastInDt; // 최종_유입_일자
    private String regQty; // 등록_대수
    private String insuInCnt; // 부보_유입_대수
    private String dmgRt; // 손해_율
    private String acdtRt; // 사고_율
    private String drvRt; // 운행_율
    private String ltrmLendSpclCnt; // 장기_대여_특약_건수
    private String age26MoreEntrCnt; // 26_세_이상_가입_건수
    private String ddDvitEntrCnt; // 일일_자차_가입_대수
    private String invtAmtAsoc; // 출자_금액_조합
    private String invtAmtAsocAll; // 출자_금액_조합_전체
    private String erpEntrFg; // ERP_가입_여부
    private String frstRegDt; // 최초_등록_일자
    private String frstRegTm; // 최초_등록_시각
    private String frstRegEmpNo; // 최초_등록_사원_번호
    private String lastProcDt; // 최종_처리_일자
    private String lastProcTm; // 최종_처리_시각
    private String lastProcEmpNo; // 최종_처리_사원_번호
    private String zoneAsocCd; // 지역조합코드
    private String zoneAsocNm; // 지역조합명
    private String trtManCd; // 취급자코드
    private String trtManNm; // 취급자명
    private String invtAmtFrstPayDt; // 최초출자일자

    public String getCustNo() {
        return custNo;
    }

    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }

    public String getFrstInDt() {
        return frstInDt;
    }

    public void setFrstInDt(String frstInDt) {
        this.frstInDt = frstInDt;
    }

    public String getLastInDt() {
        return lastInDt;
    }

    public void setLastInDt(String lastInDt) {
        this.lastInDt = lastInDt;
    }

    public String getRegQty() {
        return regQty;
    }

    public void setRegQty(String regQty) {
        this.regQty = regQty;
    }

    public String getInsuInCnt() {
        return insuInCnt;
    }

    public void setInsuInCnt(String insuInCnt) {
        this.insuInCnt = insuInCnt;
    }

    public String getDmgRt() {
        return dmgRt;
    }

    public void setDmgRt(String dmgRt) {
        this.dmgRt = dmgRt;
    }

    public String getAcdtRt() {
        return acdtRt;
    }

    public void setAcdtRt(String acdtRt) {
        this.acdtRt = acdtRt;
    }

    public String getDrvRt() {
        return drvRt;
    }

    public void setDrvRt(String drvRt) {
        this.drvRt = drvRt;
    }

    public String getLtrmLendSpclCnt() {
        return ltrmLendSpclCnt;
    }

    public void setLtrmLendSpclCnt(String ltrmLendSpclCnt) {
        this.ltrmLendSpclCnt = ltrmLendSpclCnt;
    }

    public String getAge26MoreEntrCnt() {
        return age26MoreEntrCnt;
    }

    public void setAge26MoreEntrCnt(String age26MoreEntrCnt) {
        this.age26MoreEntrCnt = age26MoreEntrCnt;
    }

    public String getDdDvitEntrCnt() {
        return ddDvitEntrCnt;
    }

    public void setDdDvitEntrCnt(String ddDvitEntrCnt) {
        this.ddDvitEntrCnt = ddDvitEntrCnt;
    }

    public String getInvtAmtAsoc() {
        return invtAmtAsoc;
    }

    public void setInvtAmtAsoc(String invtAmtAsoc) {
        this.invtAmtAsoc = invtAmtAsoc;
    }

    public String getInvtAmtAsocAll() {
        return invtAmtAsocAll;
    }

    public void setInvtAmtAsocAll(String invtAmtAsocAll) {
        this.invtAmtAsocAll = invtAmtAsocAll;
    }

    public String getErpEntrFg() {
        return erpEntrFg;
    }

    public void setErpEntrFg(String erpEntrFg) {
        this.erpEntrFg = erpEntrFg;
    }

    @Override
    public String getFrstRegDt() {
        return frstRegDt;
    }

    @Override
    public void setFrstRegDt(String frstRegDt) {
        this.frstRegDt = frstRegDt;
    }

    @Override
    public String getFrstRegTm() {
        return frstRegTm;
    }

    @Override
    public void setFrstRegTm(String frstRegTm) {
        this.frstRegTm = frstRegTm;
    }

    @Override
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }

    @Override
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }

    @Override
    public String getLastProcDt() {
        return lastProcDt;
    }

    @Override
    public void setLastProcDt(String lastProcDt) {
        this.lastProcDt = lastProcDt;
    }

    @Override
    public String getLastProcTm() {
        return lastProcTm;
    }

    @Override
    public void setLastProcTm(String lastProcTm) {
        this.lastProcTm = lastProcTm;
    }

    @Override
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }

    @Override
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }

    public String getZoneAsocCd() {
        return zoneAsocCd;
    }

    public void setZoneAsocCd(String zoneAsocCd) {
        this.zoneAsocCd = zoneAsocCd;
    }

    public String getZoneAsocNm() {
        return zoneAsocNm;
    }

    public void setZoneAsocNm(String zoneAsocNm) {
        this.zoneAsocNm = zoneAsocNm;
    }

    public String getTrtManCd() {
        return trtManCd;
    }

    public void setTrtManCd(String trtManCd) {
        this.trtManCd = trtManCd;
    }

    public String getTrtManNm() {
        return trtManNm;
    }

    public void setTrtManNm(String trtManNm) {
        this.trtManNm = trtManNm;
    }

    public String getInvtAmtFrstPayDt() {
        return invtAmtFrstPayDt;
    }

    public void setInvtAmtFrstPayDt(String invtAmtFrstPayDt) {
        this.invtAmtFrstPayDt = invtAmtFrstPayDt;
    }

    @Override
    public String toString() {
        return "AsocCustInfoDTO [custNo=" + custNo + ", frstInDt=" + frstInDt + ", lastInDt=" + lastInDt + ", regQty=" + regQty + ", insuInCnt=" + insuInCnt + ", dmgRt=" + dmgRt + ", acdtRt=" + acdtRt + ", drvRt=" + drvRt + ", ltrmLendSpclCnt=" + ltrmLendSpclCnt + ", age26MoreEntrCnt=" + age26MoreEntrCnt + ", ddDvitEntrCnt=" + ddDvitEntrCnt + ", invtAmtAsoc=" + invtAmtAsoc + ", invtAmtAsocAll=" + invtAmtAsocAll + ", erpEntrFg=" + erpEntrFg + ", frstRegDt=" + frstRegDt + ", frstRegTm=" + frstRegTm + ", frstRegEmpNo=" + frstRegEmpNo + ", lastProcDt=" + lastProcDt + ", lastProcTm=" + lastProcTm + ", lastProcEmpNo=" + lastProcEmpNo + ", zoneAsocCd=" + zoneAsocCd + ", zoneAsocNm=" + zoneAsocNm + ", trtManCd=" + trtManCd + ", trtManNm=" + trtManNm + ", invtAmtFrstPayDt=" + invtAmtFrstPayDt + "]";
    }

}
