package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtFlotIzeStndSetlDdDTO.java Class
 * 클래스설명   : BT-유동화기준결제일(BT_FLOT_IZE_STND_SETL_DD)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtFlotIzeStndSetlDdDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String flotIzeDivCd  = "";  /* 유동화구분코드 */
    private String flotIzeSeq  = "";  /* 유동화차수 */
    private String setlDd  = "";  /* 결제일 */

    public String getFlotIzeDivCd() {
        return flotIzeDivCd;
    }
    public void setFlotIzeDivCd(String flotIzeDivCd) {
        this.flotIzeDivCd = flotIzeDivCd;
    }
    public String getFlotIzeSeq() {
        return flotIzeSeq;
    }
    public void setFlotIzeSeq(String flotIzeSeq) {
        this.flotIzeSeq = flotIzeSeq;
    }
    public String getSetlDd() {
        return setlDd;
    }
    public void setSetlDd(String setlDd) {
        this.setlDd = setlDd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
