package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

public class BtLeglActnBaseDTO {

	private String loanNo  = ""; /* 대출_번호 */
	private String loanSeq  = ""; /* 대출_순번 */
	private String consShNo  = ""; /* 품의서_번호 */
	private String custNo  = ""; /* 고객_번호 */
	private String prptTpCd  = ""; /* 재산_유형_코드[양수인구분코드 (GUBUN_CODE:L00260)] */
	private String prptKindCd  = ""; /* 재산_종류_코드[보증구분코드 (GUBUN_CODE:S00391)] */
	private String actnStatCd  = ""; /* 조치_상태_코드[조치상태코드(GUBUN_CODE:B00071)] */
	private String actnStatOccrDt  = ""; /* 조치_상태_발생_일자 */
	private String actnTpCd  = ""; /* 조치_유형_코드[조치유형코드(GUBUN_CODE:B00109)] */
	private String askCausCd  = ""; /* 청구_원인_코드 */
	private String caseKindCd  = ""; /* 사건_종류_코드[사건종류코드(GUBUN_CODE:B00113)] */
	private String lwstKindCd  = ""; /* 소송_종류_코드[계산서발송지구분코드 (GUBUN_CODE: S00001)] */
	private String seizKindCd  = ""; /* 압류_종류_코드[보유차종코드 (GUBUN_CODE:S00062)] */
	private String judDept  = ""; /* 심급 */
	private String jdcaReqBizNo  = ""; /* 법무사_변호사_사업자등록번호 */
	private String jdcaReqVndrNm  = ""; /* 법무_의뢰_업체명 */
	private String pledrJadvReqDt  = ""; /* 변호사_법무사_의뢰_일자 */
	private String payPlc  = ""; /* 지급_처 */
	private String askDiv  = ""; /* 청구_구분 */
	private String jstDt  = ""; /* 결재_일자 */
	private String regDt  = ""; /* 등록_일자 */
	private String sueFg  = ""; /* 제소_여부 */
	private String execStmtWdrwFg  = ""; /* 집행_문_회수_여부 */
	private String ppayAmtWdrwDt  = ""; /* 예납_금_회수_일자 */
	private String depsAmtWdrwDt  = ""; /* 공탁_금_회수_일자 */
	private String auctDivCd  = ""; /* 경매_구분_코드 */
	private BigDecimal alotAmt  = BigDecimal.ZERO; /* 배당_금액 */
	private String alotAmtWdrwDt  = ""; /* 배당_금_회수_일자 */
	private String distCortCd  = ""; /* 관할_법원_코드 */
	private String caseNo  = ""; /* 사건_번호 */
	private String endTpCd  = ""; /* 종료_유형_코드 */
	private String caseEndDt  = ""; /* 사건_종료_일자 */
	private BigDecimal askAmt  = BigDecimal.ZERO; /* 청구_금액 */
	private String prptRschExclFg  = ""; /* 재산_조사_제외_여부 */
	private String wdrwPossStatCd  = ""; /* 회수_가능_상태_코드[보유차종제작사코드 (GUBUN_CODE: S00061)] */
	private String wdrwPossTermCd  = ""; /* 회수_가능_기간_코드[수입국산구분코드 (GUBUN_CODE:L00004)] */
	private BigDecimal dlyPamt  = BigDecimal.ZERO; /* 연체_원금 */
	private BigDecimal dlyInt  = BigDecimal.ZERO; /* 연체_이자 */
	private long dlyTims = 0; /* 연체_회차 */
	private BigDecimal balPamt  = BigDecimal.ZERO; /* 잔여_원금 */
	private BigDecimal loanIntRamt  = BigDecimal.ZERO; /* 대출_이자_잔액 */
	private String bndDivsManEmpNo  = ""; /* 채권_담당자_사원번호 */
	private String mngDeptCd  = ""; /* 관리_부서_코드[연락처구분코드 (GUBUN_CODE:B00084)] */
	private String sueDt  = ""; /* 제소_일자 */
	private String actnRsnCntn  = ""; /* 조치_사유_내용 */
	private String consDt  = ""; /* 품의_일자 */
	private String consCnclDt  = ""; /* 품의_취소_일자 */
	private String consStatCd  = ""; /* 품의_상태_코드[법적조치품의상태코드(GUBUN_CODE:B00160)] */
	private String consRsn  = ""; /* 품의_사유 */
	private String dutyManAprvEmpNo  = ""; /* 책임자_승인_사원번호 */
	private String dutyManAprvDt  = ""; /* 책임자_승인_일자 */
	private String dutyManOpn  = ""; /* 책임자_의견 */
	private String tmgrAprvEmpNo  = ""; /* 팀장_승인_사원번호 */
	private String tmgrAprvDt  = ""; /* 팀장_승인_일자 */
	private String tmgrOpn  = ""; /* 팀장_의견 */
	private String bonbAprvEmpNo  = ""; /* 본부_승인_사원번호 */
	private String bonbAprvDt  = ""; /* 본부_승인_일자 */
	private String bonbOpn  = ""; /* 본부_의견 */
	private String frstRegDt  = ""; /* 최초_등록_일자 */
	private String frstRegTm  = ""; /* 최초_등록_시각 */
	private String frstRegEmpNo  = ""; /* 최초_등록_사원_번호 */
	private String lastProcDt  = ""; /* 최종_처리_일자 */
	private String lastProcTm  = ""; /* 최종_처리_시각 */
	private String lastProcEmpNo  = ""; /* 최종_처리_사원_번호 */
	private String caseNoRegDt  = ""; /* 사건_번호_등록_일자 */
	private String crimTpClasCd  = ""; /* 범죄_유형_분류_코드[범죄유형분류코드(GUBUN_CODE:B00265)] */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getPrptTpCd() {
		return prptTpCd;
	}
	public void setPrptTpCd(String prptTpCd) {
		this.prptTpCd = prptTpCd;
	}
	public String getPrptKindCd() {
		return prptKindCd;
	}
	public void setPrptKindCd(String prptKindCd) {
		this.prptKindCd = prptKindCd;
	}
	public String getActnStatCd() {
		return actnStatCd;
	}
	public void setActnStatCd(String actnStatCd) {
		this.actnStatCd = actnStatCd;
	}
	public String getActnStatOccrDt() {
		return actnStatOccrDt;
	}
	public void setActnStatOccrDt(String actnStatOccrDt) {
		this.actnStatOccrDt = actnStatOccrDt;
	}
	public String getActnTpCd() {
		return actnTpCd;
	}
	public void setActnTpCd(String actnTpCd) {
		this.actnTpCd = actnTpCd;
	}
	public String getAskCausCd() {
		return askCausCd;
	}
	public void setAskCausCd(String askCausCd) {
		this.askCausCd = askCausCd;
	}
	public String getCaseKindCd() {
		return caseKindCd;
	}
	public void setCaseKindCd(String caseKindCd) {
		this.caseKindCd = caseKindCd;
	}
	public String getLwstKindCd() {
		return lwstKindCd;
	}
	public void setLwstKindCd(String lwstKindCd) {
		this.lwstKindCd = lwstKindCd;
	}
	public String getSeizKindCd() {
		return seizKindCd;
	}
	public void setSeizKindCd(String seizKindCd) {
		this.seizKindCd = seizKindCd;
	}
	public String getJudDept() {
		return judDept;
	}
	public void setJudDept(String judDept) {
		this.judDept = judDept;
	}
	public String getJdcaReqBizNo() {
		return jdcaReqBizNo;
	}
	public void setJdcaReqBizNo(String jdcaReqBizNo) {
		this.jdcaReqBizNo = jdcaReqBizNo;
	}
	public String getJdcaReqVndrNm() {
		return jdcaReqVndrNm;
	}
	public void setJdcaReqVndrNm(String jdcaReqVndrNm) {
		this.jdcaReqVndrNm = jdcaReqVndrNm;
	}
	public String getPledrJadvReqDt() {
		return pledrJadvReqDt;
	}
	public void setPledrJadvReqDt(String pledrJadvReqDt) {
		this.pledrJadvReqDt = pledrJadvReqDt;
	}
	public String getPayPlc() {
		return payPlc;
	}
	public void setPayPlc(String payPlc) {
		this.payPlc = payPlc;
	}
	public String getAskDiv() {
		return askDiv;
	}
	public void setAskDiv(String askDiv) {
		this.askDiv = askDiv;
	}
	public String getJstDt() {
		return jstDt;
	}
	public void setJstDt(String jstDt) {
		this.jstDt = jstDt;
	}
	public String getRegDt() {
		return regDt;
	}
	public void setRegDt(String regDt) {
		this.regDt = regDt;
	}
	public String getSueFg() {
		return sueFg;
	}
	public void setSueFg(String sueFg) {
		this.sueFg = sueFg;
	}
	public String getExecStmtWdrwFg() {
		return execStmtWdrwFg;
	}
	public void setExecStmtWdrwFg(String execStmtWdrwFg) {
		this.execStmtWdrwFg = execStmtWdrwFg;
	}
	public String getPpayAmtWdrwDt() {
		return ppayAmtWdrwDt;
	}
	public void setPpayAmtWdrwDt(String ppayAmtWdrwDt) {
		this.ppayAmtWdrwDt = ppayAmtWdrwDt;
	}
	public String getDepsAmtWdrwDt() {
		return depsAmtWdrwDt;
	}
	public void setDepsAmtWdrwDt(String depsAmtWdrwDt) {
		this.depsAmtWdrwDt = depsAmtWdrwDt;
	}
	public String getAuctDivCd() {
		return auctDivCd;
	}
	public void setAuctDivCd(String auctDivCd) {
		this.auctDivCd = auctDivCd;
	}
	public BigDecimal getAlotAmt() {
		return alotAmt;
	}
	public void setAlotAmt(BigDecimal alotAmt) {
		this.alotAmt = alotAmt;
	}
	public String getAlotAmtWdrwDt() {
		return alotAmtWdrwDt;
	}
	public void setAlotAmtWdrwDt(String alotAmtWdrwDt) {
		this.alotAmtWdrwDt = alotAmtWdrwDt;
	}
	public String getDistCortCd() {
		return distCortCd;
	}
	public void setDistCortCd(String distCortCd) {
		this.distCortCd = distCortCd;
	}
	public String getCaseNo() {
		return caseNo;
	}
	public void setCaseNo(String caseNo) {
		this.caseNo = caseNo;
	}
	public String getEndTpCd() {
		return endTpCd;
	}
	public void setEndTpCd(String endTpCd) {
		this.endTpCd = endTpCd;
	}
	public String getCaseEndDt() {
		return caseEndDt;
	}
	public void setCaseEndDt(String caseEndDt) {
		this.caseEndDt = caseEndDt;
	}
	public BigDecimal getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(BigDecimal askAmt) {
		this.askAmt = askAmt;
	}
	public String getPrptRschExclFg() {
		return prptRschExclFg;
	}
	public void setPrptRschExclFg(String prptRschExclFg) {
		this.prptRschExclFg = prptRschExclFg;
	}
	public String getWdrwPossStatCd() {
		return wdrwPossStatCd;
	}
	public void setWdrwPossStatCd(String wdrwPossStatCd) {
		this.wdrwPossStatCd = wdrwPossStatCd;
	}
	public String getWdrwPossTermCd() {
		return wdrwPossTermCd;
	}
	public void setWdrwPossTermCd(String wdrwPossTermCd) {
		this.wdrwPossTermCd = wdrwPossTermCd;
	}
	public BigDecimal getDlyPamt() {
		return dlyPamt;
	}
	public void setDlyPamt(BigDecimal dlyPamt) {
		this.dlyPamt = dlyPamt;
	}
	public BigDecimal getDlyInt() {
		return dlyInt;
	}
	public void setDlyInt(BigDecimal dlyInt) {
		this.dlyInt = dlyInt;
	}
	public long getDlyTims() {
		return dlyTims;
	}
	public void setDlyTims(long dlyTims) {
		this.dlyTims = dlyTims;
	}
	public BigDecimal getBalPamt() {
		return balPamt;
	}
	public void setBalPamt(BigDecimal balPamt) {
		this.balPamt = balPamt;
	}
	public BigDecimal getLoanIntRamt() {
		return loanIntRamt;
	}
	public void setLoanIntRamt(BigDecimal loanIntRamt) {
		this.loanIntRamt = loanIntRamt;
	}
	public String getBndDivsManEmpNo() {
		return bndDivsManEmpNo;
	}
	public void setBndDivsManEmpNo(String bndDivsManEmpNo) {
		this.bndDivsManEmpNo = bndDivsManEmpNo;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getSueDt() {
		return sueDt;
	}
	public void setSueDt(String sueDt) {
		this.sueDt = sueDt;
	}
	public String getActnRsnCntn() {
		return actnRsnCntn;
	}
	public void setActnRsnCntn(String actnRsnCntn) {
		this.actnRsnCntn = actnRsnCntn;
	}
	public String getConsDt() {
		return consDt;
	}
	public void setConsDt(String consDt) {
		this.consDt = consDt;
	}
	public String getConsCnclDt() {
		return consCnclDt;
	}
	public void setConsCnclDt(String consCnclDt) {
		this.consCnclDt = consCnclDt;
	}
	public String getConsStatCd() {
		return consStatCd;
	}
	public void setConsStatCd(String consStatCd) {
		this.consStatCd = consStatCd;
	}
	public String getConsRsn() {
		return consRsn;
	}
	public void setConsRsn(String consRsn) {
		this.consRsn = consRsn;
	}
	public String getDutyManAprvEmpNo() {
		return dutyManAprvEmpNo;
	}
	public void setDutyManAprvEmpNo(String dutyManAprvEmpNo) {
		this.dutyManAprvEmpNo = dutyManAprvEmpNo;
	}
	public String getDutyManAprvDt() {
		return dutyManAprvDt;
	}
	public void setDutyManAprvDt(String dutyManAprvDt) {
		this.dutyManAprvDt = dutyManAprvDt;
	}
	public String getDutyManOpn() {
		return dutyManOpn;
	}
	public void setDutyManOpn(String dutyManOpn) {
		this.dutyManOpn = dutyManOpn;
	}
	public String getTmgrAprvEmpNo() {
		return tmgrAprvEmpNo;
	}
	public void setTmgrAprvEmpNo(String tmgrAprvEmpNo) {
		this.tmgrAprvEmpNo = tmgrAprvEmpNo;
	}
	public String getTmgrAprvDt() {
		return tmgrAprvDt;
	}
	public void setTmgrAprvDt(String tmgrAprvDt) {
		this.tmgrAprvDt = tmgrAprvDt;
	}
	public String getTmgrOpn() {
		return tmgrOpn;
	}
	public void setTmgrOpn(String tmgrOpn) {
		this.tmgrOpn = tmgrOpn;
	}
	public String getBonbAprvEmpNo() {
		return bonbAprvEmpNo;
	}
	public void setBonbAprvEmpNo(String bonbAprvEmpNo) {
		this.bonbAprvEmpNo = bonbAprvEmpNo;
	}
	public String getBonbAprvDt() {
		return bonbAprvDt;
	}
	public void setBonbAprvDt(String bonbAprvDt) {
		this.bonbAprvDt = bonbAprvDt;
	}
	public String getBonbOpn() {
		return bonbOpn;
	}
	public void setBonbOpn(String bonbOpn) {
		this.bonbOpn = bonbOpn;
	}
	public String getFrstRegDt() {
		return frstRegDt;
	}
	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}
	public String getFrstRegTm() {
		return frstRegTm;
	}
	public void setFrstRegTm(String frstRegTm) {
		this.frstRegTm = frstRegTm;
	}
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	public String getLastProcDt() {
		return lastProcDt;
	}
	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}
	public String getLastProcTm() {
		return lastProcTm;
	}
	public void setLastProcTm(String lastProcTm) {
		this.lastProcTm = lastProcTm;
	}
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}
	public String getCaseNoRegDt() {
		return caseNoRegDt;
	}
	public void setCaseNoRegDt(String caseNoRegDt) {
		this.caseNoRegDt = caseNoRegDt;
	}
	public String getCrimTpClasCd() {
		return crimTpClasCd;
	}
	public void setCrimTpClasCd(String crimTpClasCd) {
		this.crimTpClasCd = crimTpClasCd;
	}
}
