package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtCyclDlvrThngDescDTO.java Class
 * 클래스설명   : RT-주기발송물내역(RT_CYCL_DLVR_THNG_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtCyclDlvrThngDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String dlvrThngCd  = "";  /* 발송물코드 */
    private String cyclClsCd  = "";  /* 주기마감코드 */

    public String getDlvrThngCd() {
        return dlvrThngCd;
    }
    public void setDlvrThngCd(String dlvrThngCd) {
        this.dlvrThngCd = dlvrThngCd;
    }
    public String getCyclClsCd() {
        return cyclClsCd;
    }
    public void setCyclClsCd(String cyclClsCd) {
        this.cyclClsCd = cyclClsCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
