package hanalife.c.co.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SearchLoanSeqDTO.java Class
 * 클래스설명   : 대출번호조회 및 체크 유틸리티(입출력)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class SearchLoanSeqDTO {

    private String loanNo = "";         /* 대출번호 */
    private String loanSeq = "";        /* 대출순번 */
    private String mngNo = "";          /* 관리번호 */
    private String loanLastFg = "";     /* 최종여부 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getMngNo() {
        return mngNo;
    }
    public void setMngNo(String mngNo) {
        this.mngNo = mngNo;
    }
    public String getLoanLastFg() {
        return loanLastFg;
    }
    public void setLoanLastFg(String loanLastFg) {
        this.loanLastFg = loanLastFg;
    }

}
