package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiRigtRschReptRetyExfnCnfmDTO.java Class
 * 클래스설명   : ST_하나손보_권리_조사_보고서_등기부확인(ST_HI_RIGT_RSCH_REPT_RETY_EXFN_CNFM)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StHiRigtRschReptRetyExfnCnfmDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String gramSeq = "";  /* 전문일련번호 */
    private int retyExfnInfoSeq = 0;  /* 등기부확인 연번 */
    private String retyExfnDiv = "";  /* 등기부구분 */
    private String acptInfo = "";  /* 접수정보 */
    private String regObj = "";  /* 등기목적 */
    private String mainRegMtr = "";  /* 주요등기사항 */

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public static void setSerialVersionUID(long serialVersionUID) {
		StHiRigtRschReptRetyExfnCnfmDTO.serialVersionUID = serialVersionUID;
	}
	public String getGramSeq() {
		return gramSeq;
	}
	public void setGramSeq(String gramSeq) {
		this.gramSeq = gramSeq;
	}
	public int getRetyExfnInfoSeq() {
		return retyExfnInfoSeq;
	}
	public void setRetyExfnInfoSeq(int retyExfnInfoSeq) {
		this.retyExfnInfoSeq = retyExfnInfoSeq;
	}
	public String getRetyExfnDiv() {
		return retyExfnDiv;
	}
	public void setRetyExfnDiv(String retyExfnDiv) {
		this.retyExfnDiv = retyExfnDiv;
	}
	public String getAcptInfo() {
		return acptInfo;
	}
	public void setAcptInfo(String acptInfo) {
		this.acptInfo = acptInfo;
	}
	public String getRegObj() {
		return regObj;
	}
	public void setRegObj(String regObj) {
		this.regObj = regObj;
	}
	public String getMainRegMtr() {
		return mainRegMtr;
	}
	public void setMainRegMtr(String mainRegMtr) {
		this.mainRegMtr = mainRegMtr;
	}
}
