package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StMoAcntBaseDTO.java Class
 * 클래스설명   : ST-모계좌기본(ST_MO_ACNT_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StMoAcntBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String bsnDivCd  = "";  /* 업무구분코드 */
    private String bankCd  = "";  /* 은행코드 */
    private String moAcntNo  = "";  /* 모계좌번호 */
    private String rmrk  = "";  /* 비고 */

    public String getBsnDivCd() {
        return bsnDivCd;
    }
    public void setBsnDivCd(String bsnDivCd) {
        this.bsnDivCd = bsnDivCd;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getMoAcntNo() {
        return moAcntNo;
    }
    public void setMoAcntNo(String moAcntNo) {
        this.moAcntNo = moAcntNo;
    }
    public String getRmrk() {
        return rmrk;
    }
    public void setRmrk(String rmrk) {
        this.rmrk = rmrk;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
