package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : StSetlDdChngHistDTO
 * 클래스설명 : 결제일_변경_이력의 DTO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StSetlDdChngHistDTO extends AbstractVO
{

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long snum  = 0;  /* 일련번호 */
    private String loanChngDivCd  = "";  /* 대출변경구분코드 */
    private String loanChngConsRsltCd  = "";  /* 대출변경품의결과코드 */
    private String ntrmJstManCd  = "";  /* 차기결재자코드 */
    private String arvmCd  = "";  /* 전결권자코드 */
    private long chngTims  = 0;  /* 변경회차 */
    private String chngBfDueDt  = "";  /* 변경전납입일자 */
    private String chngAfDueDt  = "";  /* 변경후납입일자 */
    private BigDecimal psgInt  = BigDecimal.ZERO;  /* 경과이자 */
    private String isrtDeptCd  = "";  /* 입력부서코드 */
    private String cnclPossFg  = "";  /* 취소가능여부 */
    private long trSnum  = 0;  /* 거래일련번호 */
    private long aplyIntRt  = 0;  /* 적용이자율 */
    private long psgDdcnt  = 0;  /* 경과일수 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getSnum() {
        return snum;
    }
    public void setSnum(long snum) {
        this.snum = snum;
    }
    public String getLoanChngDivCd() {
        return loanChngDivCd;
    }
    public void setLoanChngDivCd(String loanChngDivCd) {
        this.loanChngDivCd = loanChngDivCd;
    }
    public String getLoanChngConsRsltCd() {
        return loanChngConsRsltCd;
    }
    public void setLoanChngConsRsltCd(String loanChngConsRsltCd) {
        this.loanChngConsRsltCd = loanChngConsRsltCd;
    }
    public String getNtrmJstManCd() {
        return ntrmJstManCd;
    }
    public void setNtrmJstManCd(String ntrmJstManCd) {
        this.ntrmJstManCd = ntrmJstManCd;
    }
    public String getArvmCd() {
        return arvmCd;
    }
    public void setArvmCd(String arvmCd) {
        this.arvmCd = arvmCd;
    }
    public long getChngTims() {
        return chngTims;
    }
    public void setChngTims(long chngTims) {
        this.chngTims = chngTims;
    }
    public String getChngBfDueDt() {
        return chngBfDueDt;
    }
    public void setChngBfDueDt(String chngBfDueDt) {
        this.chngBfDueDt = chngBfDueDt;
    }
    public String getChngAfDueDt() {
        return chngAfDueDt;
    }
    public void setChngAfDueDt(String chngAfDueDt) {
        this.chngAfDueDt = chngAfDueDt;
    }
    public BigDecimal getPsgInt() {
        return psgInt;
    }
    public void setPsgInt(BigDecimal psgInt) {
        this.psgInt = psgInt;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public String getCnclPossFg() {
        return cnclPossFg;
    }
    public void setCnclPossFg(String cnclPossFg) {
        this.cnclPossFg = cnclPossFg;
    }
    public long getTrSnum() {
        return trSnum;
    }
    public void setTrSnum(long trSnum) {
        this.trSnum = trSnum;
    }
    public long getAplyIntRt() {
        return aplyIntRt;
    }
    public void setAplyIntRt(long aplyIntRt) {
        this.aplyIntRt = aplyIntRt;
    }
    public long getPsgDdcnt() {
        return psgDdcnt;
    }
    public void setPsgDdcnt(long psgDdcnt) {
        this.psgDdcnt = psgDdcnt;
    }

}

