package hanalife.c.co.vo;

import java.io.Serializable;
import java.util.List;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SearchCommCdOutVO.java Class
 * 클래스설명   : 공통코드 및 공통코드목록 조회를 위한 입출력 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class SearchCommCdOutVO implements Serializable {

    private String rsltCd; /* 응답코드 */
    private String rsltCntn; /* 응답내용 */

    SearchCommCdVO searchCommCd; /* 단건 - 공통코드 결과값 객체 선언 */
    List<SearchCommCdVO> listSearchCommCd; /* 공통코드목록 결과값 객체 선언 */

    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCntn() {
        return rsltCntn;
    }
    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }
    public SearchCommCdVO getSearchCommCd() {
        return searchCommCd;
    }
    public void setSearchCommCd(SearchCommCdVO searchCommCd) {
        this.searchCommCd = searchCommCd;
    }
    public List<SearchCommCdVO> getListSearchCommCd() {
        return listSearchCommCd;
    }
    public void setListSearchCommCd(List<SearchCommCdVO> listSearchCommCd) {
        this.listSearchCommCd = listSearchCommCd;
    }

}
