package hanalife.r.at.ac.vo;

import hanalife.c.co.vo.AbstractVO;


/**
 * <pre>
 * 클래스명    : RtAcntCnfmDescTDO
 * 클래스설명 : 자동이체계좌관리(RT_ACNT_CNFM_DESC) TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAcntCnfmDescTDO	extends AbstractVO{
	private static final long serialVersionUID = -3528895637216958264L;
	private String sendDt;	//SEND_DT 전송_일자
	private String sendSnum;	//SEND_SNUM 전송_일련번호
	private String loanNo;	//LOAN_NO 대출_번호
	private String loanSeq;	//LOAN_SEQ 대출_순번
	private String acntSnum;	//ACNT_SNUM 계좌_일련번호
	private String bankCd;	//BANK_CD 은행_코드
	private String acntNo;	//ACNT_NO 계좌번호
	private String depoOwnNo;	//DEPO_OWN_NO 예금주_번호
	private String depoOwnnm;	//DEPO_OWNNM 예금주명
	private String depoOwnRelCd;	//DEPO_OWN_REL_CD 예금주_관계_코드
	private String applManTel1;	//APPL_MAN_TEL1 신청_인_전화1
	private String applManTel2;	//APPL_MAN_TEL2 신청_인_전화2
	private String applManTel3;	//APPL_MAN_TEL3 신청_인_전화3
	private String applDt;	//APPL_DT 신청_일자
	private String acntAplyDt;	//ACNT_APLY_DT 계좌_적용_일자
	private String acntCnfmNo;	//ACNT_CNFM_NO 계좌_확인_번호
	private String acntStatCd;	//ACNT_STAT_CD 계좌_상태_코드
	private String acntCnfmRsltCd;	//ACNT_CNFM_RSLT_CD 계좌_확인_결과_코드
	private String ivltRegFg;	//IVLT_REG_FG 강제_등록_여부
	private String cnfmDepoOwnnm;	//CNFM_DEPO_OWNNM 확인_예금주명
	private String sendTm;	//SEND_TM 전송_시각
	private String recvDt;	//RECV_DT 수신_일자
	private String recvTm;	//RECV_TM 수신_시각
	private String frstRegDt;	//FRST_REG_DT 최초_등록_일자
	private String frstRegTm;	//FRST_REG_TM 최초_등록_시각
	private String frstRegEmpNo;	//FRST_REG_EMP_NO 최초_등록_사원번호
	private String lastProcDt;	//LAST_PROC_DT 최종_처리_일자
	private String lastProcTm;	//LAST_PROC_TM 최종_처리_시각
	private String lastProcEmpNo;	//LAST_PROC_EMP_NO 최종_처리_사원번호
	private String acntApplRsnCd;	//신청사유코드
	private String acntClosRsnCd;	//해지사유코드
	public String getSendDt() {
		return sendDt;
	}
	public void setSendDt(String sendDt) {
		this.sendDt = sendDt;
	}
	public String getSendSnum() {
		return sendSnum;
	}
	public void setSendSnum(String sendSnum) {
		this.sendSnum = sendSnum;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getAcntSnum() {
		return acntSnum;
	}
	public void setAcntSnum(String acntSnum) {
		this.acntSnum = acntSnum;
	}
	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public String getDepoOwnNo() {
		return depoOwnNo;
	}
	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}
	public String getDepoOwnnm() {
		return depoOwnnm;
	}
	public void setDepoOwnnm(String depoOwnnm) {
		this.depoOwnnm = depoOwnnm;
	}
	public String getDepoOwnRelCd() {
		return depoOwnRelCd;
	}
	public void setDepoOwnRelCd(String depoOwnRelCd) {
		this.depoOwnRelCd = depoOwnRelCd;
	}
	public String getApplManTel1() {
		return applManTel1;
	}
	public void setApplManTel1(String applManTel1) {
		this.applManTel1 = applManTel1;
	}
	public String getApplManTel2() {
		return applManTel2;
	}
	public void setApplManTel2(String applManTel2) {
		this.applManTel2 = applManTel2;
	}
	public String getApplManTel3() {
		return applManTel3;
	}
	public void setApplManTel3(String applManTel3) {
		this.applManTel3 = applManTel3;
	}
	public String getApplDt() {
		return applDt;
	}
	public void setApplDt(String applDt) {
		this.applDt = applDt;
	}
	public String getAcntAplyDt() {
		return acntAplyDt;
	}
	public void setAcntAplyDt(String acntAplyDt) {
		this.acntAplyDt = acntAplyDt;
	}
	public String getAcntCnfmNo() {
		return acntCnfmNo;
	}
	public void setAcntCnfmNo(String acntCnfmNo) {
		this.acntCnfmNo = acntCnfmNo;
	}
	public String getAcntStatCd() {
		return acntStatCd;
	}
	public void setAcntStatCd(String acntStatCd) {
		this.acntStatCd = acntStatCd;
	}
	public String getAcntCnfmRsltCd() {
		return acntCnfmRsltCd;
	}
	public void setAcntCnfmRsltCd(String acntCnfmRsltCd) {
		this.acntCnfmRsltCd = acntCnfmRsltCd;
	}
	public String getIvltRegFg() {
		return ivltRegFg;
	}
	public void setIvltRegFg(String ivltRegFg) {
		this.ivltRegFg = ivltRegFg;
	}
	public String getCnfmDepoOwnnm() {
		return cnfmDepoOwnnm;
	}
	public void setCnfmDepoOwnnm(String cnfmDepoOwnnm) {
		this.cnfmDepoOwnnm = cnfmDepoOwnnm;
	}
	public String getSendTm() {
		return sendTm;
	}
	public void setSendTm(String sendTm) {
		this.sendTm = sendTm;
	}
	public String getRecvDt() {
		return recvDt;
	}
	public void setRecvDt(String recvDt) {
		this.recvDt = recvDt;
	}
	public String getRecvTm() {
		return recvTm;
	}
	public void setRecvTm(String recvTm) {
		this.recvTm = recvTm;
	}
	@Override
	public String getFrstRegDt() {
		return frstRegDt;
	}
	@Override
	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}
	@Override
	public String getFrstRegTm() {
		return frstRegTm;
	}
	@Override
	public void setFrstRegTm(String frstRegTm) {
		this.frstRegTm = frstRegTm;
	}
	@Override
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	@Override
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	@Override
	public String getLastProcDt() {
		return lastProcDt;
	}
	@Override
	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}
	@Override
	public String getLastProcTm() {
		return lastProcTm;
	}
	@Override
	public void setLastProcTm(String lastProcTm) {
		this.lastProcTm = lastProcTm;
	}
	@Override
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	@Override
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}
	public String getAcntApplRsnCd() {
		return acntApplRsnCd;
	}
	public void setAcntApplRsnCd(String acntApplRsnCd) {
		this.acntApplRsnCd = acntApplRsnCd;
	}
	public String getAcntClosRsnCd() {
		return acntClosRsnCd;
	}
	public void setAcntClosRsnCd(String acntClosRsnCd) {
		this.acntClosRsnCd = acntClosRsnCd;
	}


}
