package hanalife.r.at.ad.mapper.dto;

public class AutoTranAcntProcDTO {

	private String acntApplDiv;
	private String acntApplDivCd;
	private String loanNo;
	private String loanSeq;
	private String rlDueManNo;
	private String askMethCd;
	private String bankCd;
	private String acntNo;
	private String depoOwnNo;
	private String depoOwnnm;
	private String depoOwnRelCd;
	private String acntAplyDt;
	private String empNo;
	private String acntApplRsnCd;
	private String acntClosRsnCd;
	private String acctUnitCd;
	private String trOrgCd; //2019.09.17 유동화 관련 추가
	private String acntOccrCd;
	private String sysPathCd = "01";	//시스템경로코드(R00069) -
	private String applManTel1;	//APPL_MAN_TEL1 신청_인_전화1
	private String applManTel2;	//APPL_MAN_TEL2 신청_인_전화2
	private String applManTel3;	//APPL_MAN_TEL3 신청_인_전화3

	private String applRsltRecvMethCd = "";
	private String applManEmal = "";
	private String ivltProcFg = "0";	//강제처리여부
	private String closIvltFg = "0";	// 신규오류시 기등록 회원에러일때
	private String origDueMethCd = "";	//원납입방법코드
	private String fileNm = "";
	private byte[] fileCntn = null;
	private long fileNo =0;
	private String closDt;
	private String sendDt;
	private String acntErrCd;


	//input( 2023-03-21 추가)
	private String dueMethCd;
	private String sendStatCd;
	private String setlBankCd;
	private String setlAcntNo;
	private String autoTranAplyDt;
	private String acntStatCd;
	private String emalAskFg;
	private String custNo;
	private String askMeth;
	private double sNum;


	//output
	private int acntSnum;			//신규등록시 새로채번된 계좌일련번호
	private String acntRsltCd;		//신청/해지 결과코드
	private String acntRsltCntn;	//신청/해지 처리결과 내용

	public String getAcntOccrCd() {
		return acntOccrCd;
	}
	public void setAcntOccrCd(String acntOccrCd) {
		this.acntOccrCd = acntOccrCd;
	}
	public String getAcntApplDiv() {
		return acntApplDiv;
	}
	public void setAcntApplDiv(String acntApplDiv) {
		this.acntApplDiv = acntApplDiv;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getRlDueManNo() {
		return rlDueManNo;
	}
	public void setRlDueManNo(String rlDueManNo) {
		this.rlDueManNo = rlDueManNo;
	}
	public String getAskMethCd() {
		return askMethCd;
	}
	public void setAskMethCd(String askMethCd) {
		this.askMethCd = askMethCd;
	}
	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public String getDepoOwnNo() {
		return depoOwnNo;
	}
	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}
	public String getDepoOwnnm() {
		return depoOwnnm;
	}
	public void setDepoOwnnm(String depoOwnnm) {
		this.depoOwnnm = depoOwnnm;
	}
	public String getDepoOwnRelCd() {
		return depoOwnRelCd;
	}
	public void setDepoOwnRelCd(String depoOwnRelCd) {
		this.depoOwnRelCd = depoOwnRelCd;
	}
	public String getAcntAplyDt() {
		return acntAplyDt;
	}
	public void setAcntAplyDt(String acntAplyDt) {
		this.acntAplyDt = acntAplyDt;
	}
	public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public String getAcntApplRsnCd() {
		return acntApplRsnCd;
	}
	public void setAcntApplRsnCd(String acntApplRsnCd) {
		this.acntApplRsnCd = acntApplRsnCd;
	}
	public String getAcntClosRsnCd() {
		return acntClosRsnCd;
	}
	public void setAcntClosRsnCd(String acntClosRsnCd) {
		this.acntClosRsnCd = acntClosRsnCd;
	}
	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}
	public String getTrOrgCd() {
		return trOrgCd;
	}
	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}
	public String getSysPathCd() {
		return sysPathCd;
	}
	public void setSysPathCd(String sysPathCd) {
		this.sysPathCd = sysPathCd;
	}
	public String getApplManTel1() {
		return applManTel1;
	}
	public void setApplManTel1(String applManTel1) {
		this.applManTel1 = applManTel1;
	}
	public String getApplManTel2() {
		return applManTel2;
	}
	public void setApplManTel2(String applManTel2) {
		this.applManTel2 = applManTel2;
	}
	public String getApplManTel3() {
		return applManTel3;
	}
	public void setApplManTel3(String applManTel3) {
		this.applManTel3 = applManTel3;
	}
	public String getApplRsltRecvMethCd() {
		return applRsltRecvMethCd;
	}
	public void setApplRsltRecvMethCd(String applRsltRecvMethCd) {
		this.applRsltRecvMethCd = applRsltRecvMethCd;
	}
	public String getApplManEmal() {
		return applManEmal;
	}
	public void setApplManEmal(String applManEmal) {
		this.applManEmal = applManEmal;
	}
	public String getIvltProcFg() {
		return ivltProcFg;
	}
	public void setIvltProcFg(String ivltProcFg) {
		this.ivltProcFg = ivltProcFg;
	}
	public String getClosIvltFg() {
		return closIvltFg;
	}
	public void setClosIvltFg(String closIvltFg) {
		this.closIvltFg = closIvltFg;
	}
	public String getOrigDueMethCd() {
		return origDueMethCd;
	}
	public void setOrigDueMethCd(String origDueMethCd) {
		this.origDueMethCd = origDueMethCd;
	}
	public String getFileNm() {
		return fileNm;
	}
	public void setFileNm(String fileNm) {
		this.fileNm = fileNm;
	}
	public byte[] getFileCntn() {
		return fileCntn;
	}
	public void setFileCntn(byte[] fileCntn) {
		this.fileCntn = fileCntn;
	}
	public long getFileNo() {
		return fileNo;
	}
	public void setFileNo(long fileNo) {
		this.fileNo = fileNo;
	}
	public int getAcntSnum() {
		return acntSnum;
	}
	public void setAcntSnum(int acntSnum) {
		this.acntSnum = acntSnum;
	}
	public String getAcntRsltCd() {
		return acntRsltCd;
	}
	public void setAcntRsltCd(String acntRsltCd) {
		this.acntRsltCd = acntRsltCd;
	}
	public String getAcntRsltCntn() {
		return acntRsltCntn;
	}
	public void setAcntRsltCntn(String acntRsltCntn) {
		this.acntRsltCntn = acntRsltCntn;
	}
	public String getSendStatCd() {
		return sendStatCd;
	}
	public void setSendStatCd(String sendStatCd) {
		this.sendStatCd = sendStatCd;
	}
	public String getSetlBankCd() {
		return setlBankCd;
	}
	public void setSetlBankCd(String setlBankCd) {
		this.setlBankCd = setlBankCd;
	}
	public String getSetlAcntNo() {
		return setlAcntNo;
	}
	public void setSetlAcntNo(String setlAcntNo) {
		this.setlAcntNo = setlAcntNo;
	}
	public String getAutoTranAplyDt() {
		return autoTranAplyDt;
	}
	public void setAutoTranAplyDt(String autoTranAplyDt) {
		this.autoTranAplyDt = autoTranAplyDt;
	}
	public String getAcntStatCd() {
		return acntStatCd;
	}
	public void setAcntStatCd(String acntStatCd) {
		this.acntStatCd = acntStatCd;
	}
	public String getDueMethCd() {
		return dueMethCd;
	}
	public void setDueMethCd(String dueMethCd) {
		this.dueMethCd = dueMethCd;
	}
	public String getEmalAskFg() {
		return emalAskFg;
	}
	public void setEmalAskFg(String emalAskFg) {
		this.emalAskFg = emalAskFg;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public double getsNum() {
		return sNum;
	}
	public void setsNum(double sNum) {
		this.sNum = sNum;
	}
	public String getAskMeth() {
		return askMeth;
	}
	public void setAskMeth(String askMeth) {
		this.askMeth = askMeth;
	}
	public String getClosDt() {
		return closDt;
	}
	public String getSendDt() {
		return sendDt;
	}
	public String getAcntErrCd() {
		return acntErrCd;
	}
	public void setClosDt(String closDt) {
		this.closDt = closDt;
	}
	public void setSendDt(String sendDt) {
		this.sendDt = sendDt;
	}
	public void setAcntErrCd(String acntErrCd) {
		this.acntErrCd = acntErrCd;
	}
	public String getAcntApplDivCd() {
		return acntApplDivCd;
	}
	public void setAcntApplDivCd(String acntApplDivCd) {
		this.acntApplDivCd = acntApplDivCd;
	}
}