package hanalife.r.at.ad.service;

import hanalife.r.at.vo.bat.AttrJobVO;
import hanalife.r.at.vo.bat.AttrPlanVO;

public interface AutoTranAdService {

	/**
	 * 마감일에 자동이체 마감계획이 존재하는지 체크
	 * @param clsDt
	 * @return boolean
	 * @throws Exception
	 */
	public boolean searchAutoTranPlan(String clsDt) throws Exception;

	/**
	 * 자동이체 JobPlan정보 조회
	 * @param AttrJobVO
	 * @return PagedArrayList (AttrJobVO)
	 * @throws Exception
	 */
	public AttrJobVO searchJobPlan(AttrJobVO param) throws Exception;

	/**
	 * 자동이체 계획정보 조회
	 * @param AttrPlanVO
	 * @return PagedArrayList (AttrPlanVO)
	 * @throws Exception
	 */
	public AttrPlanVO searchAttrPlan(AttrPlanVO param) throws Exception;
}
