package hanalife.r.at.dl.vo;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스　명 : RATDL0501VO
 * 클래스설명 : 자동이체청구처리 VO
 * 프로젝트명 : DOBSCAP
 * 작성　일자 : 2018-08-01
 * 변경　이력
 * -----------------------------------------------------------------------------
 * [변경 일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [18.08.01][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RATDL0501VO extends ValueObj {

    public String trOrgCd  = "";    //거래기관코드
    public String recvDt    = "";   //입금일자
    public String acctDt   = "";    //회계일자
    public String vochDt   = "";    //전표일자(수수료 전표처리 일자)

    public int    totCnt   = 0;     //총건수
    public int    procCnt  = 0;     //처리건수
    public String empNo    = "";
    public String rsltCd   = "00";
    public String rsltCntn = "";
}
