package hanalife.r.at.mn.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.at.mn.mapper.dto.AutoTranAcntApplReadDSSEARCHDTO;
import hanalife.r.at.mn.mapper.dto.AutoTranAcntApplReadDSSD01DTO;

@Mapper("AutoTranAcntApplReadMapper")
public interface AutoTranAcntApplReadMapper {

    /**
     * <pre>
     * 메소드명      : searchDescList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 자동이체계좌신청조회을(를) 조회 한다.
     * 메소드인수1   : 자동이체계좌신청조회 입력
     * 메소드리턴값  : 자동이체계좌신청조회 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<AutoTranAcntApplReadDSSD01DTO> searchDescList(AutoTranAcntApplReadDSSEARCHDTO inDto) throws Exception;

}
