package hanalife.r.at.mn.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.at.ac.vo.RtAcntCnfmDescTDO;
import hanalife.r.at.mn.mapper.dto.AutoTranAcntMngDSSEARCHDTO;
import hanalife.r.at.mn.mapper.dto.AutoTranAcntMngSD01DTO;

@Mapper("autoTranAcntMngMapper")
public interface AutoTranAcntMngMapper {

	public List<AutoTranAcntMngSD01DTO> searchAcntCnfmDescForAppl(AutoTranAcntMngDSSEARCHDTO inDto) throws Exception;

	public List<RtAcntCnfmDescTDO> searchAcntCnfmDescRcnt(RtAcntCnfmDescTDO inDto) throws Exception;

	// 계좌확인내역조회
	public List<RtAcntCnfmDescTDO> selectAcntCnfmDesc(RtAcntCnfmDescTDO inDto) throws Exception;

	// 계좌명세 업데이트
	public int modifyRtAcntCnfmDesc(RtAcntCnfmDescTDO inDto) throws Exception;
	public int modifyRtAcntCnfmDesc2(RtAcntCnfmDescTDO inDto) throws Exception;
	public int modifyRtAcntCnfmDesc3(RtAcntCnfmDescTDO inDto) throws Exception;

	public int modifyAcntStatCancel(RtAcntCnfmDescTDO inDto) throws Exception;
	public int modifySendRsAcntCnfmDesc(RtAcntCnfmDescTDO inDto) throws Exception;
	public int modifyAcntProcRsltAcntCnfmDesc(RtAcntCnfmDescTDO inDto) throws Exception;


	public int insertAcntCnfmDesc(RtAcntCnfmDescTDO inDto) throws Exception;


}