package hanalife.r.at.mn.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.at.mn.mapper.dto.AutoTranAcntStatReadDSSD01DTO;
import hanalife.r.at.mn.mapper.dto.AutoTranAcntStatReadDSSEARCHDTO;


@Mapper("autoTranAcntStatReadMapper")
public interface AutoTranAcntStatReadMapper {



    /**
     * <pre>
     * 메소드명      : searchDescList
     * 작성일자      : 2023. 4. 18.
     * 작성자(author): 70366 KangMinhyeok
     * 설명          : 자동이체계좌신청조회을(를) 조회 한다.
     * 메소드인수1   : 자동이체계좌상태조회 입력
     * 메소드리턴값  : 자동이체계좌상태조회 출력
     * 예외처리      : Exception
     * </pre>
     */

    public List<AutoTranAcntStatReadDSSD01DTO> searchDescList(AutoTranAcntStatReadDSSEARCHDTO inDto) throws Exception;
}
