package hanalife.r.ch.mn.vo;

/**
 * <pre>
 * 클래스명    : RCHMNM01DSDDSS02VO.java Class
 * 클래스설명  : 결제일 변경관리 (RCHMNM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01DSDDSS02VO  {

    private String cdDescKorNm  = "";   /* CD_DESC_KOR_NM   코드_내역_한글_명 */
    private String addrDivCd    = "";   /* ADDR_DIV_CD      주소_구분코드 */
    private String zipCd        = "";   /* ZIP_CD           우편번호 */
    private String baseAddr     = "";   /* BASE_ADDR        기본_주소 */
    private String addrSpec     = "";   /* ADDR_SPEC        주소_상세 */
    private String cdDescKorNm1 = "";   /* CD_DESC_KOR_NM   코드_내역_한글_명 */
    public String getCdDescKorNm() {
        return cdDescKorNm;
    }
    public void setCdDescKorNm(String cdDescKorNm) {
        this.cdDescKorNm = cdDescKorNm;
    }
    public String getAddrDivCd() {
        return addrDivCd;
    }
    public void setAddrDivCd(String addrDivCd) {
        this.addrDivCd = addrDivCd;
    }
    public String getZipCd() {
        return zipCd;
    }
    public void setZipCd(String zipCd) {
        this.zipCd = zipCd;
    }
    public String getBaseAddr() {
        return baseAddr;
    }
    public void setBaseAddr(String baseAddr) {
        this.baseAddr = baseAddr;
    }
    public String getAddrSpec() {
        return addrSpec;
    }
    public void setAddrSpec(String addrSpec) {
        this.addrSpec = addrSpec;
    }
    public String getCdDescKorNm1() {
        return cdDescKorNm1;
    }
    public void setCdDescKorNm1(String cdDescKorNm1) {
        this.cdDescKorNm1 = cdDescKorNm1;
    }
}
