package hanalife.r.ch.mn.vo;

/**
 * <pre>
 * 클래스명    : RCHMNM01DSDDSS03VO.java Class
 * 클래스설명  : 발송관리 (RCHMNM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01DSDDSS03VO  {
    private String custNo = ""; /* CUST_NO   고객번호 */
    private String cntcPlcDivCd = ""; /* CNTC_PLC_DIV_CD   연락처_구분코드 */
    private String cntcPlcTel0 = ""; /* CNTC_PLC_TEL0   연락처_전화0 */
    private String cntcPlcTel1 = ""; /* CNTC_PLC_TEL1   연락처_전화1 */
    private String cntcPlcTel2 = ""; /* CNTC_PLC_TEL2   연락처_전화2 */
    private String cntcPlcTel3 = ""; /* CNTC_PLC_TEL3   연락처_전화3 */
    private String cntcPlcTelInno = ""; /* CNTC_PLC_TEL_INNO   연락처_전화_내선 */

    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getCntcPlcDivCd() {
        return cntcPlcDivCd;
    }
    public void setCntcPlcDivCd(String cntcPlcDivCd) {
        this.cntcPlcDivCd = cntcPlcDivCd;
    }
    public String getCntcPlcTel0() {
        return cntcPlcTel0;
    }
    public void setCntcPlcTel0(String cntcPlcTel0) {
        this.cntcPlcTel0 = cntcPlcTel0;
    }
    public String getCntcPlcTel1() {
        return cntcPlcTel1;
    }
    public void setCntcPlcTel1(String cntcPlcTel1) {
        this.cntcPlcTel1 = cntcPlcTel1;
    }
    public String getCntcPlcTel2() {
        return cntcPlcTel2;
    }
    public void setCntcPlcTel2(String cntcPlcTel2) {
        this.cntcPlcTel2 = cntcPlcTel2;
    }
    public String getCntcPlcTel3() {
        return cntcPlcTel3;
    }
    public void setCntcPlcTel3(String cntcPlcTel3) {
        this.cntcPlcTel3 = cntcPlcTel3;
    }
    public String getCntcPlcTelInno() {
        return cntcPlcTelInno;
    }
    public void setCntcPlcTelInno(String cntcPlcTelInno) {
        this.cntcPlcTelInno = cntcPlcTelInno;
    }
}
