package hanalife.r.co.as.service;

import java.util.List;

import hanalife.r.co.as.vo.HmAskUnrcvProcVO;

/**
 * <pre>
 * 클래스명    : HmAskUnrcvProcService
 * 클래스설명  : 통합청구미수처리Service
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70279 / jung
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface HmAskUnrcvProcService {

	/**
	 * <p>메소드명		: proc</p>
	 * <p>설명			: 고객통합청구미수처리</p>
	 * <p>메소드인수 	: HmAskUnrcvProcVO</p>
	 * <p>메소드리턴값	: N/A</p>
	 * <p>예외처리		: N/A</p>
	 */
	List proc(HmAskUnrcvProcVO inVO);

	/**
	 * <p>메소드명		: CustProc</p>
	 * <p>설명			: 고객통합청구미수처리</p>
	 * <p>메소드인수 	: HmAskUnrcvProcVO</p>
	 * <p>메소드리턴값	: N/A</p>
	 * <p>예외처리		: N/A</p>
	 */
	List CustProc(HmAskUnrcvProcVO inVO) ;
}
