package hanalife.r.co.as.vo;

/**
 * <pre>
 * 클래스명    : HmLoanVO
 * 클래스설명 : HmLoanVO의 설명
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class HmLoanVO {
	private String setlDt = ""; //결제일자
	private String loanNo = ""; //대출번호
	private String loanSeq = ""; //대출순번
	private String prdtNm = ""; //상품명
	private String prdtLrgeClasCd = "";
	private String prdtLrgeClasNm = "";
	private String prdtMidClasCd = "";
	private String prdtMidClasNm = "";
	private String prdtSmClasCd = "";
	private String prdtSmClasNm = "";
	private String godsSpecCd = "";
	private String godsSpecNm = "";
	private int godsQty = 0;
	private String loanDt = "";
	private String leasEprtDt = ""; //리스만기일자
	private String eprtDt = ""; //상환만기일자
	private String endDt = "";
	private int loanTerm = 0;
	private String loanStatCd = ""; //대출상태코드
	private String loanStatNm = ""; //대출상태명
	private String leasStatNm = ""; //리스상태명
	private String bndStatCd = ""; //채권상태코드 /* pch 2018-08-01 */
	private String bndStatNm = ""; //채권상태명 /* pch 2018-08-01 */
	private String setlDd = ""; //결제일
	private long loanPamt = 0; //대출원금
	private long loanPamtRamt = 0; //대출원금잔액
	private long loanInt = 0; //대출이자 /*pch 2018-08-01 */
	private long loanIntRamt = 0; //대출이자잔액 /*pch 2018-08-01 */
	private long bndRamt = 0; //채권잔액 /*pch 2018-08-01 */
	private long guarAmt = 0; //보증금액
	private long noguarRamtAmt = 0; //무보증잔가금액
	private String mngDeptCd = ""; //관리부서코드
	private String mngDeptNm = ""; //관리부서명
	private String mngDeptTelNo = ""; //관리부서전화
	private String mngPlcDivCd = ""; //관리처구분코드 /* pch 2018-08-01 */
	private String mngPlcDivNm = ""; //관리처구분명 /* pch 2018-08-01 */
	private String bndDivsEmpNo = ""; //채권담당사원번호 /* pch 2018-08-01 */
	private String bndDivsEmpNm = ""; //채권담당사원번호 /* pch 2018-08-01 */
	private String lnDivsEmpNo = ""; //여신담당사원번호 /* pch 2018-08-01 */
	private String lnDivsEmpNm = ""; //여신담당사원번호 /* pch 2018-08-01 */
	private double loanIntRt = 0; //대출이자율
	private String contManNm = ""; //계약자명
	private String contManNo = ""; //계약자번호
	private String rlDueManNo = ""; //실납입자번호
	private String rlDueManNm = ""; //실납입자명
	private String recvManNo = ""; //공급받는자번호
	private String recvManNm = ""; //공급받는자명
	private String loanRelNm = ""; //대출관계
	private String loanRelManNo = ""; //대출관계자번호
	private String loanRelManNm = ""; //대출관계자명
	private String dueMethCd = ""; //납입방법명
	private String bankNm = ""; //은행
	private String acntNo = ""; //계좌번호
	private String imgAcntBankNm = ""; //가상계좌은행명
	private String imgAcntNo = ""; //가상계좌번호
	private String comgDueDt = ""; //도래납입일자
	private int comgTims = 0; //도래회차
	private int totTims = 0; //총회차
	private String lastSetlDt = ""; //최근결제일자
	private String dlyStrtDt = ""; //연체시작일자
	private int dlyCnt = 0; //연체횟수
	private int dlyDdcnt = 0; //연체일수
	private int dlyMmcnt = 0; //연체개월수
	private long objAmt = 0; //대상금액
	private long normAmt = 0; //정상금액
	private long normPamt = 0; //정상원금
	private long normInt = 0; //정상이자
	private long spayAmt = 0; //가지급금
	private long dlyAmt = 0; //연체금액
	private long dlyPamt = 0; //연체원금
	private long dlyInt = 0; //연체이자
	private long dfee = 0; //연체료
	private long leglActsCost = 0; //법적조치비용
	private long leglActsCostRamt = 0; //법적조치비용잔액
	private long depsAmt = 0; //공탁금 /* pch 2018-08-01 */
	private long depsRamt = 0; //공탁금잔액 /* pch 2018-08-01 */
	private long pdueDiscDfee = 0; //선납할인연체료
	private long tamtRmbrAmt = 0; //전액상환금액
	private long tamtRmbrPamt = 0; //전액상환원금
	private long tamtRmbrInt = 0; //전액상환이자
	private long tamtRmbrFee = 0; //전액상환수수료
	private long trtFeeDisc = 0; //취급수수료할인
	private long pamtRmbrAmt = 0; //부분상환금액
	private long pamtRmbrPamt = 0; //부분상환원금
	private long pamtRmbrInt = 0; //부분상환이자
	private long pamtRmbrFee = 0; //부분상환수수료

	private long midPreDueAmt=0;	//중도선납금액
	private long midPreDuePamt = 0; //중도선납원금
	private long midPdueInt = 0; 	//중도선납이자

	private String midRmbrFg = "0"; //중도상환여부
	private String leglActsObjFg = "0"; //법적조치대상여부
	private String godsNm = ""; //차종
	private int midRmbrTims = 0; //중도상환회차
	private long balPamt = 0;  //잔여원금
	private long balPamtWithPduePamt =0;	//잔여원금+선납원금포함

	private long dsrcRamt = 0;  //예가수잔액
	private long ltrmBrcvAmtRamt = 0; //장기선수잔액
	private String carsNo = ""; //차량번호
	private long godsPrce = 0; //차량가격
	private String dlyFg = ""; //연체여부

	private long trtFee=0;
	private long trtFeeRamt=0;

	//홈페이지 관련 추가
	private long normTrtFee = 0;
	private long dlyTrtFee = 0;
	private long tamtRmbrTrtFee = 0;
	private long pamtRmbrTrtFee = 0;
	private long midPreDueTrtFee = 0;

    //범죄
    private String crimRegFg = ""; //범죄등록여부

    //사기의심등록 관련 추가
    private long pamtRamt = 0;					//원금잔액
    private long intRamt = 0;					//이자잔액
    private int dlyTcnt = 0;					//연체회차
    private int dlyDdCnt = 0;					//연체일수
    private int thmmComgTims = 0;				//도래회차
    private String custResiNo = "";			    //고객번호

    /*** Getter / Setter ***/
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getPrdtLrgeClasNm() {
		return prdtLrgeClasNm;
	}
	public void setPrdtLrgeClasNm(String prdtLrgeClasNm) {
		this.prdtLrgeClasNm = prdtLrgeClasNm;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getPrdtMidClasNm() {
		return prdtMidClasNm;
	}
	public void setPrdtMidClasNm(String prdtMidClasNm) {
		this.prdtMidClasNm = prdtMidClasNm;
	}
	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}
	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}
	public String getPrdtSmClasNm() {
		return prdtSmClasNm;
	}
	public void setPrdtSmClasNm(String prdtSmClasNm) {
		this.prdtSmClasNm = prdtSmClasNm;
	}
	public String getGodsSpecCd() {
		return godsSpecCd;
	}
	public void setGodsSpecCd(String godsSpecCd) {
		this.godsSpecCd = godsSpecCd;
	}
	public String getGodsSpecNm() {
		return godsSpecNm;
	}
	public void setGodsSpecNm(String godsSpecNm) {
		this.godsSpecNm = godsSpecNm;
	}
	public int getGodsQty() {
		return godsQty;
	}
	public void setGodsQty(int godsQty) {
		this.godsQty = godsQty;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public String getLeasEprtDt() {
		return leasEprtDt;
	}
	public void setLeasEprtDt(String leasEprtDt) {
		this.leasEprtDt = leasEprtDt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public String getEndDt() {
		return endDt;
	}
	public void setEndDt(String endDt) {
		this.endDt = endDt;
	}
	public int getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(int loanTerm) {
		this.loanTerm = loanTerm;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public String getLeasStatNm() {
		return leasStatNm;
	}
	public void setLeasStatNm(String leasStatNm) {
		this.leasStatNm = leasStatNm;
	}
	public String getBndStatCd() {
		return bndStatCd;
	}
	public void setBndStatCd(String bndStatCd) {
		this.bndStatCd = bndStatCd;
	}
	public String getBndStatNm() {
		return bndStatNm;
	}
	public void setBndStatNm(String bndStatNm) {
		this.bndStatNm = bndStatNm;
	}
	public String getSetlDd() {
		return setlDd;
	}
	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}
	public long getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(long loanPamt) {
		this.loanPamt = loanPamt;
	}
	public long getLoanPamtRamt() {
		return loanPamtRamt;
	}
	public void setLoanPamtRamt(long loanPamtRamt) {
		this.loanPamtRamt = loanPamtRamt;
	}
	public long getLoanInt() {
		return loanInt;
	}
	public void setLoanInt(long loanInt) {
		this.loanInt = loanInt;
	}
	public long getLoanIntRamt() {
		return loanIntRamt;
	}
	public void setLoanIntRamt(long loanIntRamt) {
		this.loanIntRamt = loanIntRamt;
	}
	public long getBndRamt() {
		return bndRamt;
	}
	public void setBndRamt(long bndRamt) {
		this.bndRamt = bndRamt;
	}
	public long getGuarAmt() {
		return guarAmt;
	}
	public void setGuarAmt(long guarAmt) {
		this.guarAmt = guarAmt;
	}
	public long getNoguarRamtAmt() {
		return noguarRamtAmt;
	}
	public void setNoguarRamtAmt(long noguarRamtAmt) {
		this.noguarRamtAmt = noguarRamtAmt;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getMngDeptTelNo() {
		return mngDeptTelNo;
	}
	public void setMngDeptTelNo(String mngDeptTelNo) {
		this.mngDeptTelNo = mngDeptTelNo;
	}
	public String getMngPlcDivCd() {
		return mngPlcDivCd;
	}
	public void setMngPlcDivCd(String mngPlcDivCd) {
		this.mngPlcDivCd = mngPlcDivCd;
	}
	public String getMngPlcDivNm() {
		return mngPlcDivNm;
	}
	public void setMngPlcDivNm(String mngPlcDivNm) {
		this.mngPlcDivNm = mngPlcDivNm;
	}
	public String getBndDivsEmpNo() {
		return bndDivsEmpNo;
	}
	public void setBndDivsEmpNo(String bndDivsEmpNo) {
		this.bndDivsEmpNo = bndDivsEmpNo;
	}
	public String getBndDivsEmpNm() {
		return bndDivsEmpNm;
	}
	public void setBndDivsEmpNm(String bndDivsEmpNm) {
		this.bndDivsEmpNm = bndDivsEmpNm;
	}
	public String getLnDivsEmpNo() {
		return lnDivsEmpNo;
	}
	public void setLnDivsEmpNo(String lnDivsEmpNo) {
		this.lnDivsEmpNo = lnDivsEmpNo;
	}
	public String getLnDivsEmpNm() {
		return lnDivsEmpNm;
	}
	public void setLnDivsEmpNm(String lnDivsEmpNm) {
		this.lnDivsEmpNm = lnDivsEmpNm;
	}
	public double getLoanIntRt() {
		return loanIntRt;
	}
	public void setLoanIntRt(double loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public String getContManNm() {
		return contManNm;
	}
	public void setContManNm(String contManNm) {
		this.contManNm = contManNm;
	}
	public String getContManNo() {
		return contManNo;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public String getRlDueManNo() {
		return rlDueManNo;
	}
	public void setRlDueManNo(String rlDueManNo) {
		this.rlDueManNo = rlDueManNo;
	}
	public String getRlDueManNm() {
		return rlDueManNm;
	}
	public void setRlDueManNm(String rlDueManNm) {
		this.rlDueManNm = rlDueManNm;
	}
	public String getRecvManNo() {
		return recvManNo;
	}
	public void setRecvManNo(String recvManNo) {
		this.recvManNo = recvManNo;
	}
	public String getRecvManNm() {
		return recvManNm;
	}
	public void setRecvManNm(String recvManNm) {
		this.recvManNm = recvManNm;
	}
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
	public String getLoanRelManNo() {
		return loanRelManNo;
	}
	public void setLoanRelManNo(String loanRelManNo) {
		this.loanRelManNo = loanRelManNo;
	}
	public String getLoanRelManNm() {
		return loanRelManNm;
	}
	public void setLoanRelManNm(String loanRelManNm) {
		this.loanRelManNm = loanRelManNm;
	}
	public String getDueMethCd() {
		return dueMethCd;
	}
	public void setDueMethCd(String dueMethCd) {
		this.dueMethCd = dueMethCd;
	}
	public String getBankNm() {
		return bankNm;
	}
	public void setBankNm(String bankNm) {
		this.bankNm = bankNm;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public String getImgAcntBankNm() {
		return imgAcntBankNm;
	}
	public void setImgAcntBankNm(String imgAcntBankNm) {
		this.imgAcntBankNm = imgAcntBankNm;
	}
	public String getImgAcntNo() {
		return imgAcntNo;
	}
	public void setImgAcntNo(String imgAcntNo) {
		this.imgAcntNo = imgAcntNo;
	}
	public String getComgDueDt() {
		return comgDueDt;
	}
	public void setComgDueDt(String comgDueDt) {
		this.comgDueDt = comgDueDt;
	}
	public int getComgTims() {
		return comgTims;
	}
	public void setComgTims(int comgTims) {
		this.comgTims = comgTims;
	}
	public int getTotTims() {
		return totTims;
	}
	public void setTotTims(int totTims) {
		this.totTims = totTims;
	}
	public String getLastSetlDt() {
		return lastSetlDt;
	}
	public void setLastSetlDt(String lastSetlDt) {
		this.lastSetlDt = lastSetlDt;
	}
	public String getDlyStrtDt() {
		return dlyStrtDt;
	}
	public void setDlyStrtDt(String dlyStrtDt) {
		this.dlyStrtDt = dlyStrtDt;
	}
	public int getDlyCnt() {
		return dlyCnt;
	}
	public void setDlyCnt(int dlyCnt) {
		this.dlyCnt = dlyCnt;
	}
	public int getDlyDdcnt() {
		return dlyDdcnt;
	}
	public void setDlyDdcnt(int dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}
	public int getDlyMmcnt() {
		return dlyMmcnt;
	}
	public void setDlyMmcnt(int dlyMmcnt) {
		this.dlyMmcnt = dlyMmcnt;
	}
	public long getObjAmt() {
		return objAmt;
	}
	public void setObjAmt(long objAmt) {
		this.objAmt = objAmt;
	}
	public long getNormAmt() {
		return normAmt;
	}
	public void setNormAmt(long normAmt) {
		this.normAmt = normAmt;
	}
	public long getNormPamt() {
		return normPamt;
	}
	public void setNormPamt(long normPamt) {
		this.normPamt = normPamt;
	}
	public long getNormInt() {
		return normInt;
	}
	public void setNormInt(long normInt) {
		this.normInt = normInt;
	}
	public long getSpayAmt() {
		return spayAmt;
	}
	public void setSpayAmt(long spayAmt) {
		this.spayAmt = spayAmt;
	}
	public long getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(long dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public long getDlyPamt() {
		return dlyPamt;
	}
	public void setDlyPamt(long dlyPamt) {
		this.dlyPamt = dlyPamt;
	}
	public long getDlyInt() {
		return dlyInt;
	}
	public void setDlyInt(long dlyInt) {
		this.dlyInt = dlyInt;
	}
	public long getDfee() {
		return dfee;
	}
	public void setDfee(long dfee) {
		this.dfee = dfee;
	}
	public long getLeglActsCost() {
		return leglActsCost;
	}
	public void setLeglActsCost(long leglActsCost) {
		this.leglActsCost = leglActsCost;
	}
	public long getLeglActsCostRamt() {
		return leglActsCostRamt;
	}
	public void setLeglActsCostRamt(long leglActsCostRamt) {
		this.leglActsCostRamt = leglActsCostRamt;
	}
	public long getDepsAmt() {
		return depsAmt;
	}
	public void setDepsAmt(long depsAmt) {
		this.depsAmt = depsAmt;
	}
	public long getDepsRamt() {
		return depsRamt;
	}
	public void setDepsRamt(long depsRamt) {
		this.depsRamt = depsRamt;
	}
	public long getPdueDiscDfee() {
		return pdueDiscDfee;
	}
	public void setPdueDiscDfee(long pdueDiscDfee) {
		this.pdueDiscDfee = pdueDiscDfee;
	}
	public long getTamtRmbrAmt() {
		return tamtRmbrAmt;
	}
	public void setTamtRmbrAmt(long tamtRmbrAmt) {
		this.tamtRmbrAmt = tamtRmbrAmt;
	}
	public long getTamtRmbrPamt() {
		return tamtRmbrPamt;
	}
	public void setTamtRmbrPamt(long tamtRmbrPamt) {
		this.tamtRmbrPamt = tamtRmbrPamt;
	}
	public long getTamtRmbrInt() {
		return tamtRmbrInt;
	}
	public void setTamtRmbrInt(long tamtRmbrInt) {
		this.tamtRmbrInt = tamtRmbrInt;
	}
	public long getTamtRmbrFee() {
		return tamtRmbrFee;
	}
	public void setTamtRmbrFee(long tamtRmbrFee) {
		this.tamtRmbrFee = tamtRmbrFee;
	}
	public long getTrtFeeDisc() {
		return trtFeeDisc;
	}
	public void setTrtFeeDisc(long trtFeeDisc) {
		this.trtFeeDisc = trtFeeDisc;
	}
	public long getPamtRmbrAmt() {
		return pamtRmbrAmt;
	}
	public void setPamtRmbrAmt(long pamtRmbrAmt) {
		this.pamtRmbrAmt = pamtRmbrAmt;
	}
	public long getPamtRmbrPamt() {
		return pamtRmbrPamt;
	}
	public void setPamtRmbrPamt(long pamtRmbrPamt) {
		this.pamtRmbrPamt = pamtRmbrPamt;
	}
	public long getPamtRmbrInt() {
		return pamtRmbrInt;
	}
	public void setPamtRmbrInt(long pamtRmbrInt) {
		this.pamtRmbrInt = pamtRmbrInt;
	}
	public long getPamtRmbrFee() {
		return pamtRmbrFee;
	}
	public void setPamtRmbrFee(long pamtRmbrFee) {
		this.pamtRmbrFee = pamtRmbrFee;
	}
	public long getMidPreDueAmt() {
		return midPreDueAmt;
	}
	public void setMidPreDueAmt(long midPreDueAmt) {
		this.midPreDueAmt = midPreDueAmt;
	}
	public long getMidPreDuePamt() {
		return midPreDuePamt;
	}
	public void setMidPreDuePamt(long midPreDuePamt) {
		this.midPreDuePamt = midPreDuePamt;
	}
	public long getMidPdueInt() {
		return midPdueInt;
	}
	public void setMidPdueInt(long midPdueInt) {
		this.midPdueInt = midPdueInt;
	}
	public String getMidRmbrFg() {
		return midRmbrFg;
	}
	public void setMidRmbrFg(String midRmbrFg) {
		this.midRmbrFg = midRmbrFg;
	}
	public String getLeglActsObjFg() {
		return leglActsObjFg;
	}
	public void setLeglActsObjFg(String leglActsObjFg) {
		this.leglActsObjFg = leglActsObjFg;
	}
	public String getGodsNm() {
		return godsNm;
	}
	public void setGodsNm(String godsNm) {
		this.godsNm = godsNm;
	}
	public int getMidRmbrTims() {
		return midRmbrTims;
	}
	public void setMidRmbrTims(int midRmbrTims) {
		this.midRmbrTims = midRmbrTims;
	}
	public long getBalPamt() {
		return balPamt;
	}
	public void setBalPamt(long balPamt) {
		this.balPamt = balPamt;
	}
	public long getBalPamtWithPduePamt() {
		return balPamtWithPduePamt;
	}
	public void setBalPamtWithPduePamt(long balPamtWithPduePamt) {
		this.balPamtWithPduePamt = balPamtWithPduePamt;
	}
	public long getDsrcRamt() {
		return dsrcRamt;
	}
	public void setDsrcRamt(long dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}
	public long getLtrmBrcvAmtRamt() {
		return ltrmBrcvAmtRamt;
	}
	public void setLtrmBrcvAmtRamt(long ltrmBrcvAmtRamt) {
		this.ltrmBrcvAmtRamt = ltrmBrcvAmtRamt;
	}
	public String getCarsNo() {
		return carsNo;
	}
	public void setCarsNo(String carsNo) {
		this.carsNo = carsNo;
	}
	public long getGodsPrce() {
		return godsPrce;
	}
	public void setGodsPrce(long godsPrce) {
		this.godsPrce = godsPrce;
	}
	public String getDlyFg() {
		return dlyFg;
	}
	public void setDlyFg(String dlyFg) {
		this.dlyFg = dlyFg;
	}
	public long getTrtFee() {
		return trtFee;
	}
	public void setTrtFee(long trtFee) {
		this.trtFee = trtFee;
	}
	public long getTrtFeeRamt() {
		return trtFeeRamt;
	}
	public void setTrtFeeRamt(long trtFeeRamt) {
		this.trtFeeRamt = trtFeeRamt;
	}
	public long getNormTrtFee() {
		return normTrtFee;
	}
	public void setNormTrtFee(long normTrtFee) {
		this.normTrtFee = normTrtFee;
	}
	public long getDlyTrtFee() {
		return dlyTrtFee;
	}
	public void setDlyTrtFee(long dlyTrtFee) {
		this.dlyTrtFee = dlyTrtFee;
	}
	public long getTamtRmbrTrtFee() {
		return tamtRmbrTrtFee;
	}
	public void setTamtRmbrTrtFee(long tamtRmbrTrtFee) {
		this.tamtRmbrTrtFee = tamtRmbrTrtFee;
	}
	public long getPamtRmbrTrtFee() {
		return pamtRmbrTrtFee;
	}
	public void setPamtRmbrTrtFee(long pamtRmbrTrtFee) {
		this.pamtRmbrTrtFee = pamtRmbrTrtFee;
	}
	public long getMidPreDueTrtFee() {
		return midPreDueTrtFee;
	}
	public void setMidPreDueTrtFee(long midPreDueTrtFee) {
		this.midPreDueTrtFee = midPreDueTrtFee;
	}
	public String getCrimRegFg() {
		return crimRegFg;
	}
	public void setCrimRegFg(String crimRegFg) {
		this.crimRegFg = crimRegFg;
	}
	public long getPamtRamt() {
		return pamtRamt;
	}
	public void setPamtRamt(long pamtRamt) {
		this.pamtRamt = pamtRamt;
	}
	public long getIntRamt() {
		return intRamt;
	}
	public void setIntRamt(long intRamt) {
		this.intRamt = intRamt;
	}
	public int getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(int dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public int getDlyDdCnt() {
		return dlyDdCnt;
	}
	public void setDlyDdCnt(int dlyDdCnt) {
		this.dlyDdCnt = dlyDdCnt;
	}
	public int getThmmComgTims() {
		return thmmComgTims;
	}
	public void setThmmComgTims(int thmmComgTims) {
		this.thmmComgTims = thmmComgTims;
	}
	public String getCustResiNo() {
		return custResiNo;
	}
	public void setCustResiNo(String custResiNo) {
		this.custResiNo = custResiNo;
	}
}
