package hanalife.r.co.at.service.impl;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import hanalife.r.co.at.service.AcntChkGramService;
import hanalife.r.co.at.service.AcntCnfmService;
import hanalife.r.co.at.vo.AcntChkGramVO;

@Service("AcntCnfmService")
public class AcntCnfmServiceImpl implements AcntCnfmService{

	@Resource(name = "AcntChkGramService")
	private AcntChkGramService acntChkGramService;

	@Override
	public AcntChkGramVO procSend(AcntChkGramVO vo) throws Exception {

		// 중복되는 기능 한곳으로 모음
		return acntChkGramService.procSend(vo);
	}

	@Override
	public AcntChkGramVO procSend_noGram(AcntChkGramVO vo) throws Exception {

		vo.setSendStatCd(SEND_STAT_RECV_NORM);
		vo.setAcntRsltCd(ACNT_CHK_RSLT_SUCCESS);
		vo.setRsltCd    (ACNT_CHK_RSLT_SUCCESS);
		vo.setRsltCntn  ("성공");
		vo.setCnfmDepoOwnnm(vo.getDepoOwnNm());
		vo.setTraceId("CHNL");
		return vo;

	}

}
