package hanalife.r.co.rc.service;

import java.sql.SQLException;
import java.util.List;

import hanalife.r.co.rc.vo.IamtUnrcvObjVO;

/**
 * <pre>
 * 클래스명    : AutoTranTrService
 * 클래스설명  : 자동이체거래Service
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 4.
 * 작성자명    : 70279 / jung
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 4.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface AutoTranTrService {

	/**
	 * (선결제)자동이체거래내역 갱신
	 * !! NOTE 자동이체거래내역 리스트가 있을때 부르는게 좋겠슴.
	 * @param autoTranTrUpdtVOList
	 * @return int
	 * @throws SQLException
	 */
	public int updateAutoTranTrDesc(List autoTranTrUpdtVOList);

	/**
	 * 자동이체거래내역 갱신
	 * @param IamtUnrcvObjVO
	 * @return boolean
	 * @throws SQLException
	 */
	public boolean chkAutoTranTr(IamtUnrcvObjVO iamtUnrcvObj);
}
