package hanalife.r.co.rc.vo;

/**
 * <pre>
 * 클래스명    : AmtAdjVO
 * 클래스설명 : 금액정산 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AmtAdjVO {

	public long askAmt; //청구_금액

	//결제금액
	public long setlAmt; //결제_금액-정산_금액
	public long exmpAmt; //면제_금액-정산_면제_금액
	public long discAmt; //할인_금액-정산_할인_금액
	public long frstAmt; //우선_금액-정산우선원금금액
	public long frstDfee; //우선_금액-정산우선연체료금액
	public long guarAmt; //보증금
	public long ltrmBrcvAmt; //장기선수금
	public long exclAmt;	//제외금 (청구금에서 제외만 할금액, 정산대상에서 빼기위한 금액)

	//정산금액
	public long adjAmt; //정산_금액
	public long adjExmpAmt; //정산_면제_금액
	public long adjDiscAmt; //정산_할인_금액
	public long adjFrstAmt; //정산우선원금금액
	public long adjFrstDfee; //정산우선원금금액
	public long adjGuarAmt; //보증금
	public long adjLtrmBrcvAmt; //보증금

	public AmtAdjVO() {
	}

	public void clear() {
		askAmt = 0;

		setlAmt = 0;
		adjAmt = 0;
		adjExmpAmt = 0;
		exmpAmt = 0;
		adjDiscAmt = 0;
		discAmt = 0;
		frstAmt = 0;
		frstDfee = 0;
		adjFrstAmt = 0;
		adjFrstDfee = 0;
		guarAmt = 0;
		adjGuarAmt = 0;
		ltrmBrcvAmt = 0;
		adjLtrmBrcvAmt = 0;
	}
}
