package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스명    : ChkDescVO
 * 클래스설명 : 수표내역 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class ChkDescVO extends ValueObj {
	public String loanNo = ""; //대출_번호
	public String loanSeq = ""; //대출_순번
	public int setlNo; //결제_번호
	public String chkNo = ""; //수표_번호
	public long chkAmt; //수표_금액
	public long setlAmt;
	public String issuBankCd = ""; //발행_은행_코드
	public String issuBrnchCd = ""; //발행_지점_코드
	public String issuDt = ""; //발행_일자
	public String issuManmn = ""; //발행_인명
	public String chkCnfmNo = ""; //수표_확인_번호
	public String cnclFg = "0"; //취소_여부
	public String cnclDt = ""; //취소_일자
	public String regDt = ""; //등록_일자
	public String regTm = ""; //등록_시각
	public String regEmpNo = ""; //등록_사원번호
	public String chkReadman = "";    //수표_조회자
	public String ivltRegFg = "0";    //강제_등록_여부
	public String rmrk = "";    //비고
}
