package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스명    : DsrcDescVO
 * 클래스설명 : DsrcDescVO의 설명
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DsrcDescVO extends ValueObj {
	public String dsrcNo = ""; //예가수_번호
	public int dsrcSnum; //예가수_일련번호
	public String loanNo = ""; //대출_번호
	public String loanSeq = ""; //대출_순번
	public int setlNo; //결제_번호
	public String rcptTpCd = ""; //수납_유형_코드
	public String acctDt = ""; //회계_일자
	public String dsrcOccrCd = ""; //예가수_발생_코드
	public String dsrcAdjCd = ""; //예가수_정산_코드
	public String setlDt = ""; //결제일자
	public long dsrcOccrAmt; //예가수_발생_금액
	public long dsrcRamt; //예가수_잔액
	public long dsrcAdjAmt; //예가수_정산_금액
	public String isrtDeptCd = ""; //입력_부서_코드
	public String adjDeptCd = ""; //정산_부서_코드
	public String rmk = ""; //적요
	public String cnclFg = "0"; //취소_여부
	public String cnclDt = ""; //취소_일자
	public String procEmpNo = ""; //처리_사원_번호
	//2018-08-01 주성용 리스추가속성추가
	public String custNo = "";    //주민등록번호
}
