package hanalife.r.co.rc.vo;


/**
 * <pre>
 * 클래스명    : LoanBaseVO
 * 클래스설명 : 대출기본 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class LoanBaseVO {
	public String loanNo; //대출_번호
	public String loanSeq; //대출_순번
	public long setlNo; //결제_번호
	public long loanPamtRamt; //대출_원금_잔액
	public long loanIntRamt; //대출_이자_잔액
	public int askTims; //청구_회차
	public long rmbrPamt; //상환_원금
	public long rmbrInt; //상환_이자
	public long rmbrDfee; //상환_연체료
	public long rmbrLeglActnCost; //상환_법적_조치_비용
	public long midRmbrFee; //중도_상환_수수료
	public long trtFeeDisc; //취급_수수료_할인
	public long exmpPamt; //면제_원금
	public long exmpInt; //면제_이자
	public long exmpDfee; //면제_연체료
	public long exmpLeglActnCost; //면제_법적_조치_비용
	public long exmpMidRmbrFee; //면제_중도_상환_수수료
	public String rcntSetlDt; //최근_결제_일자
	public String rcntAcctDt; //최근_회계_일자

	public LoanBaseVO() {
		loanNo = ""; //대출_번호
		loanSeq = ""; //대출_순번
		setlNo = 0; //결제_번호
		loanPamtRamt = 0; //대출_원금_잔액
		loanIntRamt = 0; //대출_이자_잔액
		askTims = 0; //청구_회차
		rmbrPamt = 0; //상환_원금
		rmbrInt = 0; //상환_이자
		rmbrDfee = 0; //상환_연체료
		rmbrLeglActnCost = 0; //상환_법적_조치_비용
		midRmbrFee = 0; //중도_상환_수수료
		trtFeeDisc = 0; //취급_수수료_할인
		exmpPamt = 0; //면제_원금
		exmpInt = 0; //면제_이자
		exmpDfee = 0; //면제_연체료
		exmpLeglActnCost = 0; //면제_법적_조치_비용
		exmpMidRmbrFee = 0; //면제_중도_상환_수수료
		rcntSetlDt = ""; //최근_결제_일자
		rcntAcctDt = ""; //최근_회계_일자
	}
}
