package hanalife.r.co.vo.vo;


/**
 * <pre>
 * 클래스명    : ClsTrDescVO
 * 클래스설명 : 전표처리시 사용하는 마감내역 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class ClsTrDescVO {
	private String acctDt;		//회계_일자
	private int trDescNo;		//거래_내역_번호
	private int trSnum;			//거래_일련번호
	private String trTpCd;		//거래_유형_코드
	private String trStagCd;	//거래_단계_코드
	private String tranTpCd;	//이체_유형_코드
	private String isrtDt;		//입력_일자
	private String loanNo;		//대출_번호
	private String loanSeq;		//대출_순번
	private String prdtLrgeClasCd;	//상품_대분류_코드
	private String prdtMidClasCd;	//상품_중분류_코드
	private String prdtSmClasCd;	//상품_소분류_코드
	private String acctUnitCd;		//회계_단위_코드
	private String mngAcctUnitCd;	//관리_회계_단위_코드
	private String loanStatCd;		//대출_상태_코드
	private String bndStatCd;		//채권_상태_코드
	private String occrDeptCd;		//발생_부서_코드
	private String mngDeptCd;		//관리_부서_코드
	private String moBankCd;		//모계좌_은행_코드
	private String moAcntNo;         //모계좌_계좌번호
	private String bankCd;			//은행_코드
	private String acntNo;			//계좌번호
	private String cardNo;
	private String cprtComNo;		//제휴사_번호
	private String busiNo;			//거래처_번호
	private long setlAmt;			//결제_금액
	private long depo;				//예금
	private long cash;				//현금
	private String dsrcAdjCd;		//예가수_정산_코드
	private String dsrcOccrCd;		//예가수_발생_코드
	private long dsrcAdjAmt;		//예가수_정산_금액
	private long dsrcOccrAmt;		//예가수_발생_금액
	private long pamt;				//원금
	private long intt;				//이자
	private long dfee;				//연체료
	private long adjDfee;			//정산_연체료
	private long pdueDiscDfee;		//선납_할인_연체료
	private long leglActnCost;		//법적_조치_비용
	private long midRmbrFee;		//중도_상환_수수료
	private long trtFeeDisc;		//취급_수수료_할인
	private long etcPrft;			//잡수익
	private long exmpPamt;			//면제_원금
	private long exmpInt;			//면제_이자
	private long exmpDfee;			//면제_연체료
	private long exmpLeglActnCost;	//면제_법적_조치_비용
	private long exmpMidRmbrFee;	//면제_중도_상환_수수료
	private long crdtRcvrUnrcvAmt;	//신용_회복_미수금
	private long psgInt;			//경과이자
	private long preRcptPamt;		//기_수납_원금
	private long preRcptInt;		//기_수납_이자
	private long payAmt;			//지급_금액
	private long retnAmt;			//환입_금액
	private long chngBfFeeCostTrtFee;	//변경_전_수수료_비용_취급_수수료
	private long chngBfFeePrftTrtFee;	//변경_전_수수료_수익_취급_수수료
	private long chngBfPamt;			//변경_전_원금
	private long chngBfDferCostCprtFee;	//변경_전_이연_비용_제휴_수수료
	private long chngBfDferCostTrtFee;	//변경_전_이연_비용_취급_수수료
	private long chngBfDferPrftCprtFee;	//변경_전_이연_수익_제휴_수수료
	private long chngBfDferPrftTrtFee;	//변경_전_이연_수익_취급_수수료
	private long chngBfIntCostCprtFee;	//변경_전_이자_비용_제휴_수수료
	private long chngBfIntPrftCprtFee;	//변경_전_이자_수익_제휴_수수료
	private long chngAfFeeCostTrtFee;	//변경_후_수수료_비용_취급_수수료
	private long chngAfFeePrftTrtFee;	//변경_후_수수료_수익_취급_수수료
	private long chngAfPamt;			//변경_후_원금
	private long chngAfDferCostCprtFee;	//변경_후_이연_비용_제휴_수수료
	private long chngAfDferCostTrtFee;	//변경_후_이연_비용_취급_수수료
	private long chngAfDferPrftCprtFee;	//변경_후_이연_수익_제휴_수수료
	private long chngAfDferPrftTrtFee;	//변경_후_이연_수익_취급_수수료
	private long chngAfIntCostCprtFee;	//변경_후_이자_비용_제휴_수수료
	private long chngAfIntPrftCprtFee;	//변경_후_이자_수익_제휴_수수료
	private long feeCostTrtFee;			//수수료_비용_취급_수수료
	private long feePrftTrtFee;			//수수료_수익_취급_수수료
	private long dferCostCprtFee;		//이연_비용_제휴_수수료
	private long dferCostTrtFee;		//이연_비용_취급_수수료
	private long dferPrftCprtFee;		//이연_수익_제휴_수수료
	private long dferPrftTrtFee;		//이연_수익_취급_수수료
	private long intCostCprtFee;		//이자_비용_제휴_수수료
	private long intPrftCprtFee;		//이자_수익_제휴_수수료
	private long notaFee;				//공증료
	private long stmpFee;				//인지대
	private long htax;					//주민세
	private long setFee;				//설정료
	private long itax;					//소득세
	private long etcFee;				//기타_수수료
	private long debtmanFee;			//채무인_수수료
	private long prFee;					//판촉_수수료
	private long trtFee;				//취급_수수료
	private long badDebtApprAmt;		//대손충당금
	private long badDebtDeprCost;		//대손상각비
	private long depsAmt;				//공탁금
	private long ppayInt;
	private long addInsuFee;
	private long addCartax;
	private long addEnvImprBrdnamt;
	private long addAsfee;
	private long ipayInsuFee;
	private long ipayCartax;
	private long ipayEnvImprBrdnamt;
	private long ipayPnltAmt;
	private long ipayEtc;
	private long vtax;
	private long ltrmBrcvAmt;
	private String mngAsetCostDivCd;
	private String unrcvAmtKindCd;
	private long guarAmt;
	private long nmChngGuarAmt;
	private long nmChngExmpGuarAmt;
	private long custCost;
	private long retnDdueAmt;
	private long overDrvFee;
	private long orgupRcvrCost;
	private long carsSellAmt;
	private long midRmbrPamt;
	private long midRmbrInt;
	private long midRmbrPpayInt;
	private long midRmbrAddInsuFee;
	private long midRmbrAddCartax;
	private long midRmbrAddEnvImprBrdnamt;
	private long midRmbrVtax;

	private long midRmbrAddAsfee; //중도_상환_가산_정비료
	private long midCdwCost;
	private long midGapnotiCost;

	private long deprDeprTamt;
	private long dspLossApprAmt;
	private long oprLeasAset;
	private long mngAmt1;
	private long exmpTrtFee;
	private long midRmbrTrtFee;
	private String ivltClosFg;
	private String trDescRmk;

	public ClsTrDescVO() {
		clear();
	}

	public void clear() {
		acctDt = " ";    //회계_일자
		trDescNo=0;    //거래_내역_번호
		trSnum=0;    //거래_일련번호
		trTpCd = " ";    //거래_유형_코드
		trStagCd = " ";    //거래_단계_코드
		tranTpCd = " "; //이체_유형_코드
		isrtDt = " ";    //입력_일자
		loanNo = " ";    //대출_번호
		loanSeq = " ";    //대출_순번
		prdtLrgeClasCd = " ";    //상품_대분류_코드
		prdtMidClasCd = " ";    //상품_중분류_코드
		prdtSmClasCd ="";		//상품_소분류_코드
		acctUnitCd = " ";    //회계_단위_코드
		mngAcctUnitCd = " ";	//관리_회계_단위_코드
		loanStatCd = " ";    //대출_상태_코드
		bndStatCd = " ";    //채권_상태_코드
		occrDeptCd = " ";    //발생_부서_코드
		mngDeptCd = " ";    //관리_부서_코드
		moBankCd = " ";  //모계좌_은행_코드
		bankCd = " ";    //은행_코드
		acntNo = " ";    //계좌번호
		cardNo =" "; //카드번호
		cprtComNo = " ";    //제휴사_번호
		busiNo = " ";    //거래처_번호
		setlAmt=0;    //결제_금액
		depo=0;    //예금
		cash=0;    //현금
		dsrcAdjCd=" ";   //예가수_정산_코드
		dsrcOccrCd=" ";   //예가수_발생_코드
		dsrcAdjAmt=0;    //예가수_정산_금액
		dsrcOccrAmt=0;    //예가수_발생_금액
		pamt=0;    //원금
		intt=0;    //이자
		dfee=0;    //연체료
		adjDfee=0;    //정산_연체료
		pdueDiscDfee=0;    //선납_할인_연체료
		leglActnCost=0;    //법적_조치_비용
		midRmbrFee=0;    //중도_상환_수수료
		trtFeeDisc=0;    //취급_수수료_할인
		etcPrft=0;    //잡수익
		exmpPamt=0;    //면제_원금
		exmpInt=0;    //면제_이자
		exmpDfee=0;    //면제_연체료
		exmpLeglActnCost=0;    //면제_법적_조치_비용
		exmpMidRmbrFee=0;    //면제_중도_상환_수수료
		crdtRcvrUnrcvAmt=0;    //신용_회복_미수금
		psgInt=0;    //경과이자
		preRcptPamt=0;    //기_수납_원금
		preRcptInt=0;    //기_수납_이자
		payAmt=0;    //지급_금액
		retnAmt=0;    //환입_금액
		chngBfFeeCostTrtFee=0;    //변경_전_수수료_비용_취급_수수료
		chngBfFeePrftTrtFee=0;    //변경_전_수수료_수익_취급_수수료
		chngBfPamt=0;    //변경_전_원금
		chngBfDferCostCprtFee=0;    //변경_전_이연_비용_제휴_수수료
		chngBfDferCostTrtFee=0;    //변경_전_이연_비용_취급_수수료
		chngBfDferPrftCprtFee=0;    //변경_전_이연_수익_제휴_수수료
		chngBfDferPrftTrtFee=0;    //변경_전_이연_수익_취급_수수료
		chngBfIntCostCprtFee=0;    //변경_전_이자_비용_제휴_수수료
		chngBfIntPrftCprtFee=0;    //변경_전_이자_수익_제휴_수수료
		chngAfFeeCostTrtFee=0;    //변경_후_수수료_비용_취급_수수료
		chngAfFeePrftTrtFee=0;    //변경_후_수수료_수익_취급_수수료
		chngAfPamt=0;    //변경_후_원금
		chngAfDferCostCprtFee=0;    //변경_후_이연_비용_제휴_수수료
		chngAfDferCostTrtFee=0;    //변경_후_이연_비용_취급_수수료
		chngAfDferPrftCprtFee=0;    //변경_후_이연_수익_제휴_수수료
		chngAfDferPrftTrtFee=0;    //변경_후_이연_수익_취급_수수료
		chngAfIntCostCprtFee=0;    //변경_후_이자_비용_제휴_수수료
		chngAfIntPrftCprtFee=0;    //변경_후_이자_수익_제휴_수수료
		feeCostTrtFee=0;    //수수료_비용_취급_수수료
		feePrftTrtFee=0;    //수수료_수익_취급_수수료
		dferCostCprtFee=0;    //이연_비용_제휴_수수료
		dferCostTrtFee=0;    //이연_비용_취급_수수료
		dferPrftCprtFee=0;    //이연_수익_제휴_수수료
		dferPrftTrtFee=0;    //이연_수익_취급_수수료
		intCostCprtFee=0;    //이자_비용_제휴_수수료
		intPrftCprtFee=0;    //이자_수익_제휴_수수료
		notaFee=0;    //공증료
		stmpFee=0;    //인지대
		htax=0;    //주민세
		setFee=0;    //설정료
		itax=0;    //소득세
		etcFee=0;    //기타_수수료
		debtmanFee=0;    //채무인_수수료
		prFee=0;    //판촉_수수료
		trtFee=0;    //취급_수수료
		badDebtApprAmt=0; //대손충당금
		badDebtDeprCost=0; //대손상각비
		depsAmt=0;
		ppayInt = 0;
		addInsuFee = 0;
		addCartax = 0;
		addEnvImprBrdnamt = 0;
		addAsfee = 0;
		ipayInsuFee = 0;
		ipayCartax = 0;
		ipayEnvImprBrdnamt = 0;
		ipayPnltAmt = 0;
		ipayEtc = 0;
		vtax = 0;
		ltrmBrcvAmt = 0;
		mngAsetCostDivCd = " ";
		unrcvAmtKindCd = " ";
		guarAmt = 0;
		nmChngGuarAmt = 0;
		nmChngExmpGuarAmt = 0;
		custCost = 0;
		retnDdueAmt = 0;
		overDrvFee = 0;
		orgupRcvrCost = 0;
		carsSellAmt = 0;
		midRmbrPamt = 0;
		midRmbrInt = 0;
		midRmbrPpayInt = 0;
		midRmbrAddInsuFee = 0;
		midRmbrAddCartax = 0;
		midRmbrAddEnvImprBrdnamt = 0;
		midRmbrVtax = 0;
		midRmbrAddAsfee = 0;

		midCdwCost = 0;
		midGapnotiCost = 0;

		deprDeprTamt = 0;
		dspLossApprAmt = 0;
		oprLeasAset = 0;
		mngAmt1 = 0;
		exmpTrtFee=0;
		midRmbrTrtFee=0;
		ivltClosFg = "0";
		trDescRmk = " ";
	}

	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}

	public int getTrDescNo() {
		return trDescNo;
	}
	public void setTrDescNo(int trDescNo) {
		this.trDescNo = trDescNo;
	}

	public int getTrSnum() {
		return trSnum;
	}
	public void setTrSnum(int trSnum) {
		this.trSnum = trSnum;
	}

	public String getTrTpCd() {
		return trTpCd;
	}
	public void setTrTpCd(String trTpCd) {
		this.trTpCd = trTpCd;
	}

	public String getTrStagCd() {
		return trStagCd;
	}
	public void setTrStagCd(String trStagCd) {
		this.trStagCd = trStagCd;
	}

	public String getTranTpCd() {
		return tranTpCd;
	}
	public void setTranTpCd(String tranTpCd) {
		this.tranTpCd = tranTpCd;
	}

	public String getIsrtDt() {
		return isrtDt;
	}
	public void setIsrtDt(String isrtDt) {
		this.isrtDt = isrtDt;
	}

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}

	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}

	public String getPrdtSmClasCd() { return prdtSmClasCd;	}

	public void setPrdtSmClasCd(String prdtSmClasCd) { this.prdtSmClasCd = prdtSmClasCd; }

	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}

	public String getMngAcctUnitCd() {
		return mngAcctUnitCd;
	}
	public void setMngAcctUnitCd(String mngAcctUnitCd) {
		this.mngAcctUnitCd = mngAcctUnitCd;
	}

	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}

	public String getBndStatCd() {
		return bndStatCd;
	}
	public void setBndStatCd(String bndStatCd) {
		this.bndStatCd = bndStatCd;
	}

	public String getOccrDeptCd() {
		return occrDeptCd;
	}
	public void setOccrDeptCd(String occrDeptCd) {
		this.occrDeptCd = occrDeptCd;
	}

	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}

	public String getMoBankCd() {
		return moBankCd;
	}
	public void setMoBankCd(String moBankCd) {
		this.moBankCd = moBankCd;
	}

	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}

	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}

	public String getCardNo() {
		return cardNo;
	}
	public void setCardNo(String cardNo) {
		this.cardNo = cardNo;
	}

	public String getCprtComNo() {
		return cprtComNo;
	}
	public void setCprtComNo(String cprtComNo) {
		this.cprtComNo = cprtComNo;
	}

	public String getBusiNo() {
		return busiNo;
	}
	public void setBusiNo(String busiNo) {
		this.busiNo = busiNo;
	}

	public long getSetlAmt() {
		return setlAmt;
	}
	public void setSetlAmt(long setlAmt) {
		this.setlAmt = setlAmt;
	}

	public long getDepo() {
		return depo;
	}
	public void setDepo(long depo) {
		this.depo = depo;
	}

	public long getCash() {
		return cash;
	}
	public void setCash(long cash) {
		this.cash = cash;
	}

	public String getDsrcAdjCd() {
		return dsrcAdjCd;
	}
	public void setDsrcAdjCd(String dsrcAdjCd) {
		this.dsrcAdjCd = dsrcAdjCd;
	}

	public String getDsrcOccrCd() {
		return dsrcOccrCd;
	}
	public void setDsrcOccrCd(String dsrcOccrCd) {
		this.dsrcOccrCd = dsrcOccrCd;
	}

	public long getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(long dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}

	public long getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(long dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}

	public long getPamt() {
		return pamt;
	}
	public void setPamt(long pamt) {
		this.pamt = pamt;
	}

	public long getIntt() {
		return intt;
	}
	public void setIntt(long intt) {
		this.intt = intt;
	}

	public long getDfee() {
		return dfee;
	}
	public void setDfee(long dfee) {
		this.dfee = dfee;
	}

	public long getAdjDfee() {
		return adjDfee;
	}
	public void setAdjDfee(long adjDfee) {
		this.adjDfee = adjDfee;
	}

	public long getPdueDiscDfee() {
		return pdueDiscDfee;
	}
	public void setPdueDiscDfee(long pdueDiscDfee) {
		this.pdueDiscDfee = pdueDiscDfee;
	}

	public long getLeglActnCost() {
		return leglActnCost;
	}
	public void setLeglActnCost(long leglActnCost) {
		this.leglActnCost = leglActnCost;
	}

	public long getMidRmbrFee() {
		return midRmbrFee;
	}
	public void setMidRmbrFee(long midRmbrFee) {
		this.midRmbrFee = midRmbrFee;
	}

	public long getTrtFeeDisc() {
		return trtFeeDisc;
	}
	public void setTrtFeeDisc(long trtFeeDisc) {
		this.trtFeeDisc = trtFeeDisc;
	}

	public long getEtcPrft() {
		return etcPrft;
	}
	public void setEtcPrft(long etcPrft) {
		this.etcPrft = etcPrft;
	}

	public long getExmpPamt() {
		return exmpPamt;
	}
	public void setExmpPamt(long exmpPamt) {
		this.exmpPamt = exmpPamt;
	}

	public long getExmpInt() {
		return exmpInt;
	}
	public void setExmpInt(long exmpInt) {
		this.exmpInt = exmpInt;
	}

	public long getExmpDfee() {
		return exmpDfee;
	}
	public void setExmpDfee(long exmpDfee) {
		this.exmpDfee = exmpDfee;
	}

	public long getExmpLeglActnCost() {
		return exmpLeglActnCost;
	}
	public void setExmpLeglActnCost(long exmpLeglActnCost) {
		this.exmpLeglActnCost = exmpLeglActnCost;
	}

	public long getExmpMidRmbrFee() {
		return exmpMidRmbrFee;
	}
	public void setExmpMidRmbrFee(long exmpMidRmbrFee) {
		this.exmpMidRmbrFee = exmpMidRmbrFee;
	}

	public long getCrdtRcvrUnrcvAmt() {
		return crdtRcvrUnrcvAmt;
	}
	public void setCrdtRcvrUnrcvAmt(long crdtRcvrUnrcvAmt) {
		this.crdtRcvrUnrcvAmt = crdtRcvrUnrcvAmt;
	}

	public long getPsgInt() {
		return psgInt;
	}
	public void setPsgInt(long psgInt) {
		this.psgInt = psgInt;
	}

	public long getPreRcptPamt() {
		return preRcptPamt;
	}
	public void setPreRcptPamt(long preRcptPamt) {
		this.preRcptPamt = preRcptPamt;
	}

	public long getPreRcptInt() {
		return preRcptInt;
	}
	public void setPreRcptInt(long preRcptInt) {
		this.preRcptInt = preRcptInt;
	}

	public long getPayAmt() {
		return payAmt;
	}
	public void setPayAmt(long payAmt) {
		this.payAmt = payAmt;
	}

	public long getRetnAmt() {
		return retnAmt;
	}
	public void setRetnAmt(long retnAmt) {
		this.retnAmt = retnAmt;
	}

	public long getChngBfFeeCostTrtFee() {
		return chngBfFeeCostTrtFee;
	}
	public void setChngBfFeeCostTrtFee(long chngBfFeeCostTrtFee) {
		this.chngBfFeeCostTrtFee = chngBfFeeCostTrtFee;
	}

	public long getChngBfFeePrftTrtFee() {
		return chngBfFeePrftTrtFee;
	}
	public void setChngBfFeePrftTrtFee(long chngBfFeePrftTrtFee) {
		this.chngBfFeePrftTrtFee = chngBfFeePrftTrtFee;
	}

	public long getChngBfPamt() {
		return chngBfPamt;
	}
	public void setChngBfPamt(long chngBfPamt) {
		this.chngBfPamt = chngBfPamt;
	}

	public long getChngBfDferCostCprtFee() {
		return chngBfDferCostCprtFee;
	}
	public void setChngBfDferCostCprtFee(long chngBfDferCostCprtFee) {
		this.chngBfDferCostCprtFee = chngBfDferCostCprtFee;
	}

	public long getChngBfDferCostTrtFee() {
		return chngBfDferCostTrtFee;
	}
	public void setChngBfDferCostTrtFee(long chngBfDferCostTrtFee) {
		this.chngBfDferCostTrtFee = chngBfDferCostTrtFee;
	}

	public long getChngBfDferPrftCprtFee() {
		return chngBfDferPrftCprtFee;
	}
	public void setChngBfDferPrftCprtFee(long chngBfDferPrftCprtFee) {
		this.chngBfDferPrftCprtFee = chngBfDferPrftCprtFee;
	}

	public long getChngBfDferPrftTrtFee() {
		return chngBfDferPrftTrtFee;
	}
	public void setChngBfDferPrftTrtFee(long chngBfDferPrftTrtFee) {
		this.chngBfDferPrftTrtFee = chngBfDferPrftTrtFee;
	}

	public long getChngBfIntCostCprtFee() {
		return chngBfIntCostCprtFee;
	}
	public void setChngBfIntCostCprtFee(long chngBfIntCostCprtFee) {
		this.chngBfIntCostCprtFee = chngBfIntCostCprtFee;
	}

	public long getChngBfIntPrftCprtFee() {
		return chngBfIntPrftCprtFee;
	}
	public void setChngBfIntPrftCprtFee(long chngBfIntPrftCprtFee) {
		this.chngBfIntPrftCprtFee = chngBfIntPrftCprtFee;
	}

	public long getChngAfFeeCostTrtFee() {
		return chngAfFeeCostTrtFee;
	}
	public void setChngAfFeeCostTrtFee(long chngAfFeeCostTrtFee) {
		this.chngAfFeeCostTrtFee = chngAfFeeCostTrtFee;
	}

	public long getChngAfFeePrftTrtFee() {
		return chngAfFeePrftTrtFee;
	}
	public void setChngAfFeePrftTrtFee(long chngAfFeePrftTrtFee) {
		this.chngAfFeePrftTrtFee = chngAfFeePrftTrtFee;
	}

	public long getChngAfPamt() {
		return chngAfPamt;
	}
	public void setChngAfPamt(long chngAfPamt) {
		this.chngAfPamt = chngAfPamt;
	}

	public long getChngAfDferCostCprtFee() {
		return chngAfDferCostCprtFee;
	}
	public void setChngAfDferCostCprtFee(long chngAfDferCostCprtFee) {
		this.chngAfDferCostCprtFee = chngAfDferCostCprtFee;
	}

	public long getChngAfDferCostTrtFee() {
		return chngAfDferCostTrtFee;
	}
	public void setChngAfDferCostTrtFee(long chngAfDferCostTrtFee) {
		this.chngAfDferCostTrtFee = chngAfDferCostTrtFee;
	}

	public long getChngAfDferPrftCprtFee() {
		return chngAfDferPrftCprtFee;
	}
	public void setChngAfDferPrftCprtFee(long chngAfDferPrftCprtFee) {
		this.chngAfDferPrftCprtFee = chngAfDferPrftCprtFee;
	}

	public long getChngAfDferPrftTrtFee() {
		return chngAfDferPrftTrtFee;
	}
	public void setChngAfDferPrftTrtFee(long chngAfDferPrftTrtFee) {
		this.chngAfDferPrftTrtFee = chngAfDferPrftTrtFee;
	}

	public long getChngAfIntCostCprtFee() {
		return chngAfIntCostCprtFee;
	}
	public void setChngAfIntCostCprtFee(long chngAfIntCostCprtFee) {
		this.chngAfIntCostCprtFee = chngAfIntCostCprtFee;
	}

	public long getChngAfIntPrftCprtFee() {
		return chngAfIntPrftCprtFee;
	}
	public void setChngAfIntPrftCprtFee(long chngAfIntPrftCprtFee) {
		this.chngAfIntPrftCprtFee = chngAfIntPrftCprtFee;
	}

	public long getFeeCostTrtFee() {
		return feeCostTrtFee;
	}
	public void setFeeCostTrtFee(long feeCostTrtFee) {
		this.feeCostTrtFee = feeCostTrtFee;
	}

	public long getFeePrftTrtFee() {
		return feePrftTrtFee;
	}
	public void setFeePrftTrtFee(long feePrftTrtFee) {
		this.feePrftTrtFee = feePrftTrtFee;
	}

	public long getDferCostCprtFee() {
		return dferCostCprtFee;
	}
	public void setDferCostCprtFee(long dferCostCprtFee) {
		this.dferCostCprtFee = dferCostCprtFee;
	}

	public long getDferCostTrtFee() {
		return dferCostTrtFee;
	}
	public void setDferCostTrtFee(long dferCostTrtFee) {
		this.dferCostTrtFee = dferCostTrtFee;
	}

	public long getDferPrftCprtFee() {
		return dferPrftCprtFee;
	}
	public void setDferPrftCprtFee(long dferPrftCprtFee) {
		this.dferPrftCprtFee = dferPrftCprtFee;
	}

	public long getDferPrftTrtFee() {
		return dferPrftTrtFee;
	}
	public void setDferPrftTrtFee(long dferPrftTrtFee) {
		this.dferPrftTrtFee = dferPrftTrtFee;
	}

	public long getIntCostCprtFee() {
		return intCostCprtFee;
	}
	public void setIntCostCprtFee(long intCostCprtFee) {
		this.intCostCprtFee = intCostCprtFee;
	}

	public long getIntPrftCprtFee() {
		return intPrftCprtFee;
	}
	public void setIntPrftCprtFee(long intPrftCprtFee) {
		this.intPrftCprtFee = intPrftCprtFee;
	}

	public long getNotaFee() {
		return notaFee;
	}
	public void setNotaFee(long notaFee) {
		this.notaFee = notaFee;
	}

	public long getStmpFee() {
		return stmpFee;
	}
	public void setStmpFee(long stmpFee) {
		this.stmpFee = stmpFee;
	}

	public long getHtax() {
		return htax;
	}
	public void setHtax(long htax) {
		this.htax = htax;
	}

	public long getSetFee() {
		return setFee;
	}
	public void setSetFee(long setFee) {
		this.setFee = setFee;
	}

	public long getItax() {
		return itax;
	}
	public void setItax(long itax) {
		this.itax = itax;
	}

	public long getEtcFee() {
		return etcFee;
	}
	public void setEtcFee(long etcFee) {
		this.etcFee = etcFee;
	}

	public long getDebtmanFee() {
		return debtmanFee;
	}
	public void setDebtmanFee(long debtmanFee) {
		this.debtmanFee = debtmanFee;
	}

	public long getPrFee() {
		return prFee;
	}
	public void setPrFee(long prFee) {
		this.prFee = prFee;
	}

	public long getTrtFee() {
		return trtFee;
	}
	public void setTrtFee(long trtFee) {
		this.trtFee = trtFee;
	}

	public long getBadDebtApprAmt() {
		return badDebtApprAmt;
	}
	public void setBadDebtApprAmt(long badDebtApprAmt) {
		this.badDebtApprAmt = badDebtApprAmt;
	}

	public long getBadDebtDeprCost() {
		return badDebtDeprCost;
	}
	public void setBadDebtDeprCost(long badDebtDeprCost) {
		this.badDebtDeprCost = badDebtDeprCost;
	}

	public long getDepsAmt() {
		return depsAmt;
	}
	public void setDepsAmt(long depsAmt) {
		this.depsAmt = depsAmt;
	}

	public long getPpayInt() {
		return ppayInt;
	}
	public void setPpayInt(long ppayInt) {
		this.ppayInt = ppayInt;
	}

	public long getAddInsuFee() {
		return addInsuFee;
	}
	public void setAddInsuFee(long addInsuFee) {
		this.addInsuFee = addInsuFee;
	}

	public long getAddCartax() {
		return addCartax;
	}
	public void setAddCartax(long addCartax) {
		this.addCartax = addCartax;
	}

	public long getAddEnvImprBrdnamt() {
		return addEnvImprBrdnamt;
	}
	public void setAddEnvImprBrdnamt(long addEnvImprBrdnamt) {
		this.addEnvImprBrdnamt = addEnvImprBrdnamt;
	}

	public long getAddAsfee() {
		return addAsfee;
	}
	public void setAddAsfee(long addAsfee) {
		this.addAsfee = addAsfee;
	}

	public long getIpayInsuFee() {
		return ipayInsuFee;
	}
	public void setIpayInsuFee(long ipayInsuFee) {
		this.ipayInsuFee = ipayInsuFee;
	}

	public long getIpayCartax() {
		return ipayCartax;
	}
	public void setIpayCartax(long ipayCartax) {
		this.ipayCartax = ipayCartax;
	}

	public long getIpayEnvImprBrdnamt() {
		return ipayEnvImprBrdnamt;
	}
	public void setIpayEnvImprBrdnamt(long ipayEnvImprBrdnamt) {
		this.ipayEnvImprBrdnamt = ipayEnvImprBrdnamt;
	}

	public long getIpayPnltAmt() {
		return ipayPnltAmt;
	}
	public void setIpayPnltAmt(long ipayPnltAmt) {
		this.ipayPnltAmt = ipayPnltAmt;
	}

	public long getIpayEtc() {
		return ipayEtc;
	}
	public void setIpayEtc(long ipayEtc) {
		this.ipayEtc = ipayEtc;
	}

	public long getVtax() {
		return vtax;
	}
	public void setVtax(long vtax) {
		this.vtax = vtax;
	}

	public long getLtrmBrcvAmt() {
		return ltrmBrcvAmt;
	}
	public void setLtrmBrcvAmt(long ltrmBrcvAmt) {
		this.ltrmBrcvAmt = ltrmBrcvAmt;
	}

	public String getMngAsetCostDivCd() {
		return mngAsetCostDivCd;
	}
	public void setMngAsetCostDivCd(String mngAsetCostDivCd) {
		this.mngAsetCostDivCd = mngAsetCostDivCd;
	}

	public String getUnrcvAmtKindCd() {
		return unrcvAmtKindCd;
	}
	public void setUnrcvAmtKindCd(String unrcvAmtKindCd) {
		this.unrcvAmtKindCd = unrcvAmtKindCd;
	}

	public long getGuarAmt() {
		return guarAmt;
	}
	public void setGuarAmt(long guarAmt) {
		this.guarAmt = guarAmt;
	}

	public long getNmChngGuarAmt() {
		return nmChngGuarAmt;
	}
	public void setNmChngGuarAmt(long nmChngGuarAmt) {
		this.nmChngGuarAmt = nmChngGuarAmt;
	}

	public long getNmChngExmpGuarAmt() {
		return nmChngExmpGuarAmt;
	}
	public void setNmChngExmpGuarAmt(long nmChngExmpGuarAmt) {
		this.nmChngExmpGuarAmt = nmChngExmpGuarAmt;
	}

	public long getCustCost() {
		return custCost;
	}
	public void setCustCost(long custCost) {
		this.custCost = custCost;
	}

	public long getRetnDdueAmt() {
		return retnDdueAmt;
	}
	public void setRetnDdueAmt(long retnDdueAmt) {
		this.retnDdueAmt = retnDdueAmt;
	}

	public long getOverDrvFee() {
		return overDrvFee;
	}
	public void setOverDrvFee(long overDrvFee) {
		this.overDrvFee = overDrvFee;
	}

	public long getOrgupRcvrCost() {
		return orgupRcvrCost;
	}
	public void setOrgupRcvrCost(long orgupRcvrCost) {
		this.orgupRcvrCost = orgupRcvrCost;
	}

	public long getCarsSellAmt() {
		return carsSellAmt;
	}
	public void setCarsSellAmt(long carsSellAmt) {
		this.carsSellAmt = carsSellAmt;
	}

	public long getMidRmbrPamt() {
		return midRmbrPamt;
	}
	public void setMidRmbrPamt(long midRmbrPamt) {
		this.midRmbrPamt = midRmbrPamt;
	}

	public long getMidRmbrInt() {
		return midRmbrInt;
	}
	public void setMidRmbrInt(long midRmbrInt) {
		this.midRmbrInt = midRmbrInt;
	}

	public long getMidRmbrPpayInt() {
		return midRmbrPpayInt;
	}
	public void setMidRmbrPpayInt(long midRmbrPpayInt) {
		this.midRmbrPpayInt = midRmbrPpayInt;
	}

	public long getMidRmbrAddInsuFee() {
		return midRmbrAddInsuFee;
	}
	public void setMidRmbrAddInsuFee(long midRmbrAddInsuFee) {
		this.midRmbrAddInsuFee = midRmbrAddInsuFee;
	}

	public long getMidRmbrAddCartax() {
		return midRmbrAddCartax;
	}
	public void setMidRmbrAddCartax(long midRmbrAddCartax) {
		this.midRmbrAddCartax = midRmbrAddCartax;
	}

	public long getMidRmbrAddEnvImprBrdnamt() {
		return midRmbrAddEnvImprBrdnamt;
	}
	public void setMidRmbrAddEnvImprBrdnamt(long midRmbrAddEnvImprBrdnamt) {
		this.midRmbrAddEnvImprBrdnamt = midRmbrAddEnvImprBrdnamt;
	}

	public long getMidRmbrVtax() {
		return midRmbrVtax;
	}
	public void setMidRmbrVtax(long midRmbrVtax) {
		this.midRmbrVtax = midRmbrVtax;
	}

	public long getMidRmbrAddAsfee() {
		return midRmbrAddAsfee;
	}
	public void setMidRmbrAddAsfee(long midRmbrAddAsfee) {
		this.midRmbrAddAsfee = midRmbrAddAsfee;
	}

	public long getMidCdwCost() {
		return midCdwCost;
	}
	public void setMidCdwCost(long midCdwCost) {
		this.midCdwCost = midCdwCost;
	}

	public long getMidGapnotiCost() {
		return midGapnotiCost;
	}
	public void setMidGapnotiCost(long midGapnotiCost) {
		this.midGapnotiCost = midGapnotiCost;
	}

	public long getDeprDeprTamt() {
		return deprDeprTamt;
	}
	public void setDeprDeprTamt(long deprDeprTamt) {
		this.deprDeprTamt = deprDeprTamt;
	}

	public long getDspLossApprAmt() {
		return dspLossApprAmt;
	}
	public void setDspLossApprAmt(long dspLossApprAmt) {
		this.dspLossApprAmt = dspLossApprAmt;
	}

	public long getOprLeasAset() {
		return oprLeasAset;
	}
	public void setOprLeasAset(long oprLeasAset) {
		this.oprLeasAset = oprLeasAset;
	}

	public long getMngAmt1() {
		return mngAmt1;
	}
	public void setMngAmt1(long mngAmt1) {
		this.mngAmt1 = mngAmt1;
	}

	public long getExmpTrtFee() {
		return exmpTrtFee;
	}
	public void setExmpTrtFee(long exmpTrtFee) {
		this.exmpTrtFee = exmpTrtFee;
	}

	public long getMidRmbrTrtFee() {
		return midRmbrTrtFee;
	}
	public void setMidRmbrTrtFee(long midRmbrTrtFee) {
		this.midRmbrTrtFee = midRmbrTrtFee;
	}

	public String getIvltClosFg() {
		return ivltClosFg;
	}
	public void setIvltClosFg(String ivltClosFg) {
		this.ivltClosFg = ivltClosFg;
	}

	public String getTrDescRmk() {
		return trDescRmk;
	}
	public void setTrDescRmk(String trDescRmk) {
		this.trDescRmk = trDescRmk;
	}
    public String getMoAcntNo() {
        return moAcntNo;
    }

    public void setMoAcntNo(String moAcntNo) {
        this.moAcntNo = moAcntNo;
    }
}