package hanalife.r.dm.dl.vo;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSMRTGVO.java Class
 * 클래스설명  : 발송관리 (RDMDLM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSMRTGVO  {

	private String loanNo = ""; /* 대출번호 */
    private String judgDt = ""; /* 감정_일자 */
    private int qty = 0; /* 수량 */
    private long judgAmtAmt = 0; /* 감정가_액 */
    private String contManRelCd = ""; /* 계약자_관계_코드 */
    private String contManRelNm = ""; /* 계약자_관계_명 */
    private String mrtgSmClasCd = ""; /* 담보_소분류_코드 */
    private String mrtgSmClasNm = ""; /* 담보_소분류_명 */
    private String godsPlcAddr1 = ""; /* 물건지_주소1 */
    private String godsPlcAddr2 = ""; /* 물건지_주소2 */
    private long setAmt = 0; /* 설정_금액 */
    private String setDt = ""; /* 설정_일자 */
    private int setRank = 0; /* 설정_순위 */
    private String ownManNm = ""; /* 소유자_명 */
    private double bldArea = 0; /* 건물_면적 */
    private String gainDt = ""; /* 취득_일자 */
    private String rmrk = ""; /* 비고 */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getJudgDt() {
		return judgDt;
	}
	public void setJudgDt(String judgDt) {
		this.judgDt = judgDt;
	}
	public int getQty() {
		return qty;
	}
	public void setQty(int qty) {
		this.qty = qty;
	}
	public long getJudgAmtAmt() {
		return judgAmtAmt;
	}
	public void setJudgAmtAmt(long judgAmtAmt) {
		this.judgAmtAmt = judgAmtAmt;
	}
	public String getContManRelCd() {
		return contManRelCd;
	}
	public void setContManRelCd(String contManRelCd) {
		this.contManRelCd = contManRelCd;
	}
	public String getContManRelNm() {
		return contManRelNm;
	}
	public void setContManRelNm(String contManRelNm) {
		this.contManRelNm = contManRelNm;
	}
	public String getMrtgSmClasCd() {
		return mrtgSmClasCd;
	}
	public void setMrtgSmClasCd(String mrtgSmClasCd) {
		this.mrtgSmClasCd = mrtgSmClasCd;
	}
	public String getMrtgSmClasNm() {
		return mrtgSmClasNm;
	}
	public void setMrtgSmClasNm(String mrtgSmClasNm) {
		this.mrtgSmClasNm = mrtgSmClasNm;
	}
	public String getGodsPlcAddr1() {
		return godsPlcAddr1;
	}
	public void setGodsPlcAddr1(String godsPlcAddr1) {
		this.godsPlcAddr1 = godsPlcAddr1;
	}
	public String getGodsPlcAddr2() {
		return godsPlcAddr2;
	}
	public void setGodsPlcAddr2(String godsPlcAddr2) {
		this.godsPlcAddr2 = godsPlcAddr2;
	}
	public long getSetAmt() {
		return setAmt;
	}
	public void setSetAmt(long setAmt) {
		this.setAmt = setAmt;
	}
	public String getSetDt() {
		return setDt;
	}
	public void setSetDt(String setDt) {
		this.setDt = setDt;
	}
	public int getSetRank() {
		return setRank;
	}
	public void setSetRank(int setRank) {
		this.setRank = setRank;
	}
	public String getOwnManNm() {
		return ownManNm;
	}
	public void setOwnManNm(String ownManNm) {
		this.ownManNm = ownManNm;
	}
	public double getBldArea() {
		return bldArea;
	}
	public void setBldArea(double bldArea) {
		this.bldArea = bldArea;
	}
	public String getGainDt() {
		return gainDt;
	}
	public void setGainDt(String gainDt) {
		this.gainDt = gainDt;
	}
	public String getRmrk() {
		return rmrk;
	}
	public void setRmrk(String rmrk) {
		this.rmrk = rmrk;
	}

}
