package hanalife.r.dm.dl.vo;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSSM4VO.java Class
 * 클래스설명  : 발송관리 (RDMDLM01) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSSM4VO  {

	String loanNo       = ""; /* 대출번호 */
	String loanSeq      = ""; /* 대출순번 */
	String stndDt       = ""; /* 기준일자 */
	String dlvrThngCd   = ""; /* 발송물종류코드 */
	String deptCd       = ""; /* 부서코드 */
	String empNo        = ""; /* 사원번호 */
	String contManNo    = ""; /* 계약자번호 */
	String recvManNo    = ""; /* 받는분번호 */
	String recvManRelCd = ""; /* 받는사람관계코드 */
	String askPlcDivCd  = ""; /* 청구방법코드 */
	String preDlvrFg    = ""; /* 미사용 */
	String recvEmail    = ""; /* 이메일 */
	String totTims      = ""; /* 총회차 */
	String inputDivCd   = ""; /* 입력구분코드 */
	String inputCntn    = ""; /* 입력내용 */
	String attdDeptCd   = ""; /* 부서코드 */
	String recvFax1     = ""; /* 팩스번호1 */
	String recvFax2     = ""; /* 팩스번호2 */
	String recvFax3     = ""; /* 팩스번호3 */
	String cnslFg       = ""; /* 취소여부 */
	String guidNo       = ""; /* 미사용 */
	String guidSnum     = ""; /* 미사용 */
	String dlvrKindCd   = ""; /* 발송종류코드 */
	String dlvrMethCd   = ""; /* 발송방법코드 */
	String fileNm       = ""; /* 파일명 */
	String fileCntn     = ""; /* 파일내용 */
	String rmbrAmt      = ""; /* 상환금액 */
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getStndDt() {
		return stndDt;
	}
	public void setStndDt(String stndDt) {
		this.stndDt = stndDt;
	}
	public String getDlvrThngCd() {
		return dlvrThngCd;
	}
	public void setDlvrThngCd(String dlvrThngCd) {
		this.dlvrThngCd = dlvrThngCd;
	}
	public String getDeptCd() {
		return deptCd;
	}
	public void setDeptCd(String deptCd) {
		this.deptCd = deptCd;
	}
	public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public String getContManNo() {
		return contManNo;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public String getRecvManNo() {
		return recvManNo;
	}
	public void setRecvManNo(String recvManNo) {
		this.recvManNo = recvManNo;
	}
	public String getRecvManRelCd() {
		return recvManRelCd;
	}
	public void setRecvManRelCd(String recvManRelCd) {
		this.recvManRelCd = recvManRelCd;
	}
	public String getAskPlcDivCd() {
		return askPlcDivCd;
	}
	public void setAskPlcDivCd(String askPlcDivCd) {
		this.askPlcDivCd = askPlcDivCd;
	}
	public String getPreDlvrFg() {
		return preDlvrFg;
	}
	public void setPreDlvrFg(String preDlvrFg) {
		this.preDlvrFg = preDlvrFg;
	}
	public String getRecvEmail() {
		return recvEmail;
	}
	public void setRecvEmail(String recvEmail) {
		this.recvEmail = recvEmail;
	}
	public String getTotTims() {
		return totTims;
	}
	public void setTotTims(String totTims) {
		this.totTims = totTims;
	}
	public String getInputDivCd() {
		return inputDivCd;
	}
	public void setInputDivCd(String inputDivCd) {
		this.inputDivCd = inputDivCd;
	}
	public String getInputCntn() {
		return inputCntn;
	}
	public void setInputCntn(String inputCntn) {
		this.inputCntn = inputCntn;
	}
	public String getAttdDeptCd() {
		return attdDeptCd;
	}
	public void setAttdDeptCd(String attdDeptCd) {
		this.attdDeptCd = attdDeptCd;
	}
	public String getRecvFax1() {
		return recvFax1;
	}
	public void setRecvFax1(String recvFax1) {
		this.recvFax1 = recvFax1;
	}
	public String getRecvFax2() {
		return recvFax2;
	}
	public void setRecvFax2(String recvFax2) {
		this.recvFax2 = recvFax2;
	}
	public String getRecvFax3() {
		return recvFax3;
	}
	public void setRecvFax3(String recvFax3) {
		this.recvFax3 = recvFax3;
	}
	public String getCnslFg() {
		return cnslFg;
	}
	public void setCnslFg(String cnslFg) {
		this.cnslFg = cnslFg;
	}
	public String getGuidNo() {
		return guidNo;
	}
	public void setGuidNo(String guidNo) {
		this.guidNo = guidNo;
	}
	public String getGuidSnum() {
		return guidSnum;
	}
	public void setGuidSnum(String guidSnum) {
		this.guidSnum = guidSnum;
	}
	public String getDlvrKindCd() {
		return dlvrKindCd;
	}
	public void setDlvrKindCd(String dlvrKindCd) {
		this.dlvrKindCd = dlvrKindCd;
	}
	public String getDlvrMethCd() {
		return dlvrMethCd;
	}
	public void setDlvrMethCd(String dlvrMethCd) {
		this.dlvrMethCd = dlvrMethCd;
	}
	public String getFileNm() {
		return fileNm;
	}
	public void setFileNm(String fileNm) {
		this.fileNm = fileNm;
	}
	public String getFileCntn() {
		return fileCntn;
	}
	public void setFileCntn(String fileCntn) {
		this.fileCntn = fileCntn;
	}
	public String getRmbrAmt() {
		return rmbrAmt;
	}
	public void setRmbrAmt(String rmbrAmt) {
		this.rmbrAmt = rmbrAmt;
	}

}
