package hanalife.r.dm.dl.vo;

import java.util.List;

/**
 * <pre>
 * 클래스명    : RDMDLM01S01InVO.java Class
 * 클래스설명  : 발송관리 (RDMDLM01) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01S01OutVO {

    private List<RDMDLM01DSSDDO01VO> RDMDLM01DSSDDO01VO;
    private List<RDMDLM01DSSDDO02VO> RDMDLM01DSSDDO02VO;
    private List<RDMDLM01DSSDDO03VO> RDMDLM01DSSDDO03VO;
    private List<RDMDLM01DSBNDVO> RDMDLM01DSBNDVO;
    private List<RDMDLM01DSDLVROBJVO> RDMDLM01DSDLVROBJVO;
    private List<RDMDLM01DSDLYVO> RDMDLM01DSDLYVO;
    private List<RDMDLM01DSFAXFILEVO> RDMDLM01DSFAXFILEVO;
    private List<RDMDLM01DSGUIDEVO> RDMDLM01DSGUIDEVO;

    public List<RDMDLM01DSSDDO01VO> getRDMDLM01DSSDDO01VO() {
		return RDMDLM01DSSDDO01VO;
	}
	public void setRDMDLM01DSSDDO01VO(List<RDMDLM01DSSDDO01VO> rDMDLM01DSSDDO01VO) {
		RDMDLM01DSSDDO01VO = rDMDLM01DSSDDO01VO;
	}
	public List<RDMDLM01DSSDDO02VO> getRDMDLM01DSSDDO02VO() {
		return RDMDLM01DSSDDO02VO;
	}
	public void setRDMDLM01DSSDDO02VO(List<RDMDLM01DSSDDO02VO> rDMDLM01DSSDDO02VO) {
		RDMDLM01DSSDDO02VO = rDMDLM01DSSDDO02VO;
	}
	public List<RDMDLM01DSSDDO03VO> getRDMDLM01DSSDDO03VO() {
		return RDMDLM01DSSDDO03VO;
	}
	public void setRDMDLM01DSSDDO03VO(List<RDMDLM01DSSDDO03VO> rDMDLM01DSSDDO03VO) {
		RDMDLM01DSSDDO03VO = rDMDLM01DSSDDO03VO;
	}
	public List<RDMDLM01DSBNDVO> getRDMDLM01DSBNDVO() {
		return RDMDLM01DSBNDVO;
	}
	public void setRDMDLM01DSBNDVO(List<RDMDLM01DSBNDVO> rDMDLM01DSBNDVO) {
		RDMDLM01DSBNDVO = rDMDLM01DSBNDVO;
	}
	public List<RDMDLM01DSDLVROBJVO> getRDMDLM01DSDLVROBJVO() {
		return RDMDLM01DSDLVROBJVO;
	}
	public void setRDMDLM01DSDLVROBJVO(List<RDMDLM01DSDLVROBJVO> rDMDLM01DSDLVROBJVO) {
		RDMDLM01DSDLVROBJVO = rDMDLM01DSDLVROBJVO;
	}
	public List<RDMDLM01DSDLYVO> getRDMDLM01DSDLYVO() {
		return RDMDLM01DSDLYVO;
	}
	public void setRDMDLM01DSDLYVO(List<RDMDLM01DSDLYVO> rDMDLM01DSDLYVO) {
		RDMDLM01DSDLYVO = rDMDLM01DSDLYVO;
	}
	public List<RDMDLM01DSFAXFILEVO> getRDMDLM01DSFAXFILEVO() {
		return RDMDLM01DSFAXFILEVO;
	}
	public void setRDMDLM01DSFAXFILEVO(List<RDMDLM01DSFAXFILEVO> rDMDLM01DSFAXFILEVO) {
		RDMDLM01DSFAXFILEVO = rDMDLM01DSFAXFILEVO;
	}
	public List<RDMDLM01DSGUIDEVO> getRDMDLM01DSGUIDEVO() {
		return RDMDLM01DSGUIDEVO;
	}
	public void setRDMDLM01DSGUIDEVO(List<RDMDLM01DSGUIDEVO> rDMDLM01DSGUIDEVO) {
		RDMDLM01DSGUIDEVO = rDMDLM01DSGUIDEVO;
	}

}
