package hanalife.r.rc.rd.vo;

/**
 * <pre>
 * 클래스명    : RRCRCM02DSSDDO01VO.java Class
 * 클래스설명  : 수납결제내역조회 (RRCRCM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 07.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 07.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RRCRCM02DSSDDO01VO {

	private String loanNo         = "";
    private String loanSeq        = "";
    private String contManNo      = "";
    private String custNm         = "";
    private String rlDueManNo     = "";
    private String rlDueManNm     = "";
    private String prdtLrgeClasCd = "";
    private String prdtLrgeClasNm = "";
    private String prdtMidClasCd  = "";
    private String prdtMidClasNm  = "";
    private String prdtSmClasCd   = "";
    private String prdtSmClasNm   = "";
    private String mngDeptCd      = "";
    private String mngDeptNm      = "";
    private String loanPiamt      = "";
    private String rmbrPiamt      = "";
    private String rmbrFrmlNm     = "";
    private String loanStatCd     = "";
    private String loanStatNm     = "";
    private String loanPamt       = "";
    private String rmbrPamt       = "";
    private String mrtgKindNm     = "";
    private String loanIntRt      = "";
    private String loanInt        = "";
    private String rmbrInt        = "";
    private String rmbrDfee       = "";
    private String dfeeRt         = "";
    private String dueMethCd      = "";
    private String dueMethNm      = "";
    private String acctUnitCd     = "";
    private String acctUnitNm     = "";

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getContManNo() {
		return contManNo;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getRlDueManNo() {
		return rlDueManNo;
	}
	public void setRlDueManNo(String rlDueManNo) {
		this.rlDueManNo = rlDueManNo;
	}
	public String getRlDueManNm() {
		return rlDueManNm;
	}
	public void setRlDueManNm(String rlDueManNm) {
		this.rlDueManNm = rlDueManNm;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getPrdtLrgeClasNm() {
		return prdtLrgeClasNm;
	}
	public void setPrdtLrgeClasNm(String prdtLrgeClasNm) {
		this.prdtLrgeClasNm = prdtLrgeClasNm;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getPrdtMidClasNm() {
		return prdtMidClasNm;
	}
	public void setPrdtMidClasNm(String prdtMidClasNm) {
		this.prdtMidClasNm = prdtMidClasNm;
	}
	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}
	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}
	public String getPrdtSmClasNm() {
		return prdtSmClasNm;
	}
	public void setPrdtSmClasNm(String prdtSmClasNm) {
		this.prdtSmClasNm = prdtSmClasNm;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getLoanPiamt() {
		return loanPiamt;
	}
	public void setLoanPiamt(String loanPiamt) {
		this.loanPiamt = loanPiamt;
	}
	public String getRmbrPiamt() {
		return rmbrPiamt;
	}
	public void setRmbrPiamt(String rmbrPiamt) {
		this.rmbrPiamt = rmbrPiamt;
	}
	public String getRmbrFrmlNm() {
		return rmbrFrmlNm;
	}
	public void setRmbrFrmlNm(String rmbrFrmlNm) {
		this.rmbrFrmlNm = rmbrFrmlNm;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public String getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(String loanPamt) {
		this.loanPamt = loanPamt;
	}
	public String getRmbrPamt() {
		return rmbrPamt;
	}
	public void setRmbrPamt(String rmbrPamt) {
		this.rmbrPamt = rmbrPamt;
	}
	public String getMrtgKindNm() {
		return mrtgKindNm;
	}
	public void setMrtgKindNm(String mrtgKindNm) {
		this.mrtgKindNm = mrtgKindNm;
	}
	public String getLoanIntRt() {
		return loanIntRt;
	}
	public void setLoanIntRt(String loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public String getLoanInt() {
		return loanInt;
	}
	public void setLoanInt(String loanInt) {
		this.loanInt = loanInt;
	}
	public String getRmbrInt() {
		return rmbrInt;
	}
	public void setRmbrInt(String rmbrInt) {
		this.rmbrInt = rmbrInt;
	}
	public String getRmbrDfee() {
		return rmbrDfee;
	}
	public void setRmbrDfee(String rmbrDfee) {
		this.rmbrDfee = rmbrDfee;
	}
	public String getDfeeRt() {
		return dfeeRt;
	}
	public void setDfeeRt(String dfeeRt) {
		this.dfeeRt = dfeeRt;
	}
	public String getDueMethCd() {
		return dueMethCd;
	}
	public void setDueMethCd(String dueMethCd) {
		this.dueMethCd = dueMethCd;
	}
	public String getDueMethNm() {
		return dueMethNm;
	}
	public void setDueMethNm(String dueMethNm) {
		this.dueMethNm = dueMethNm;
	}
	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}
	public String getAcctUnitNm() {
		return acctUnitNm;
	}
	public void setAcctUnitNm(String acctUnitNm) {
		this.acctUnitNm = acctUnitNm;
	}

}
