package hanalife.r.rc.rd.vo;

import java.io.Serializable;

/**
 * <pre>
 * 클래스명    : RRCRD0101S0101VO.java Class
 * 클래스설명  : 수납결제내역조회 (RRCRD0101) 대출정보 VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 24.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RRCRD0101DSSMVO implements Serializable {

    private static final long serialVersionUID = 1224949090972034489L;

    String loanNo;
    /** @Description */
    String loanSeq;
    /** @Description */
    String contManNo;
    /** @Description */
    String custNm;
    /** @Description */
    String rlDueManNo;
    /** @Description */
    String rlDueManNm;
    /** @Description */
    String prdtLrgeClasCd;
    /** @Description */
    String prdtLrgeClasNm;
    /** @Description */
    String prdtMidClasCd;
    /** @Description */
    String prdtMidClasNm;
    /** @Description */
    String prdtSmClasCd;
    /** @Description */
    String prdtSmClasNm;
    /** @Description */
    String mngDeptCd;
    /** @Description */
    String mngDeptNm;
    /** @Description */
    String loanPiamt;
    /** @Description */
    String rmbrPiamt;
    /** @Description */
    String rmbrFrmlNm;
    /** @Description */
    String loanStatCd;
    /** @Description */
    String loanStatNm;
    /** @Description */
    String loanPamt;
    /** @Description */
    String rmbrPamt;
    /** @Description */
    String mrtgKindNm;
    /** @Description */
    String loanIntRt;
    /** @Description */
    String loanInt;
    /** @Description */
    String rmbrInt;
    /** @Description */
    String rmbrDfee;
    /** @Description */
    String dfeeRt;
    /** @Description */
    String dueMethCd;
    /** @Description */
    String dueMethNm;
    /** @Description */
    String acctUnitCd;
    /** @Description */
    String acctUnitNm;

    /** @Description */

    public String getLoanNo() {
        return loanNo;
    }

    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }

    public String getLoanSeq() {
        return loanSeq;
    }

    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }

    public String getContManNo() {
        return contManNo;
    }

    public void setContManNo(String contManNo) {
        this.contManNo = contManNo;
    }

    public String getCustNm() {
        return custNm;
    }

    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }

    public String getRlDueManNo() {
        return rlDueManNo;
    }

    public void setRlDueManNo(String rlDueManNo) {
        this.rlDueManNo = rlDueManNo;
    }

    public String getRlDueManNm() {
        return rlDueManNm;
    }

    public void setRlDueManNm(String rlDueManNm) {
        this.rlDueManNm = rlDueManNm;
    }

    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }

    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }

    public String getPrdtLrgeClasNm() {
        return prdtLrgeClasNm;
    }

    public void setPrdtLrgeClasNm(String prdtLrgeClasNm) {
        this.prdtLrgeClasNm = prdtLrgeClasNm;
    }

    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }

    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }

    public String getPrdtMidClasNm() {
        return prdtMidClasNm;
    }

    public void setPrdtMidClasNm(String prdtMidClasNm) {
        this.prdtMidClasNm = prdtMidClasNm;
    }

    public String getPrdtSmClasCd() {
        return prdtSmClasCd;
    }

    public void setPrdtSmClasCd(String prdtSmClasCd) {
        this.prdtSmClasCd = prdtSmClasCd;
    }

    public String getPrdtSmClasNm() {
        return prdtSmClasNm;
    }

    public void setPrdtSmClasNm(String prdtSmClasNm) {
        this.prdtSmClasNm = prdtSmClasNm;
    }

    public String getMngDeptCd() {
        return mngDeptCd;
    }

    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }

    public String getMngDeptNm() {
        return mngDeptNm;
    }

    public void setMngDeptNm(String mngDeptNm) {
        this.mngDeptNm = mngDeptNm;
    }

    public String getLoanPiamt() {
        return loanPiamt;
    }

    public void setLoanPiamt(String loanPiamt) {
        this.loanPiamt = loanPiamt;
    }

    public String getRmbrPiamt() {
        return rmbrPiamt;
    }

    public void setRmbrPiamt(String rmbrPiamt) {
        this.rmbrPiamt = rmbrPiamt;
    }

    public String getRmbrFrmlNm() {
        return rmbrFrmlNm;
    }

    public void setRmbrFrmlNm(String rmbrFrmlNm) {
        this.rmbrFrmlNm = rmbrFrmlNm;
    }

    public String getLoanStatCd() {
        return loanStatCd;
    }

    public void setLoanStatCd(String loanStatCd) {
        this.loanStatCd = loanStatCd;
    }

    public String getLoanStatNm() {
        return loanStatNm;
    }

    public void setLoanStatNm(String loanStatNm) {
        this.loanStatNm = loanStatNm;
    }

    public String getLoanPamt() {
        return loanPamt;
    }

    public void setLoanPamt(String loanPamt) {
        this.loanPamt = loanPamt;
    }

    public String getRmbrPamt() {
        return rmbrPamt;
    }

    public void setRmbrPamt(String rmbrPamt) {
        this.rmbrPamt = rmbrPamt;
    }

    public String getMrtgKindNm() {
        return mrtgKindNm;
    }

    public void setMrtgKindNm(String mrtgKindNm) {
        this.mrtgKindNm = mrtgKindNm;
    }

    public String getLoanIntRt() {
        return loanIntRt;
    }

    public void setLoanIntRt(String loanIntRt) {
        this.loanIntRt = loanIntRt;
    }

    public String getLoanInt() {
        return loanInt;
    }

    public void setLoanInt(String loanInt) {
        this.loanInt = loanInt;
    }

    public String getRmbrInt() {
        return rmbrInt;
    }

    public void setRmbrInt(String rmbrInt) {
        this.rmbrInt = rmbrInt;
    }

    public String getRmbrDfee() {
        return rmbrDfee;
    }

    public void setRmbrDfee(String rmbrDfee) {
        this.rmbrDfee = rmbrDfee;
    }

    public String getDfeeRt() {
        return dfeeRt;
    }

    public void setDfeeRt(String dfeeRt) {
        this.dfeeRt = dfeeRt;
    }

    public String getDueMethCd() {
        return dueMethCd;
    }

    public void setDueMethCd(String dueMethCd) {
        this.dueMethCd = dueMethCd;
    }

    public String getDueMethNm() {
        return dueMethNm;
    }

    public void setDueMethNm(String dueMethNm) {
        this.dueMethNm = dueMethNm;
    }

    public String getAcctUnitCd() {
        return acctUnitCd;
    }

    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }

    public String getAcctUnitNm() {
        return acctUnitNm;
    }

    public void setAcctUnitNm(String acctUnitNm) {
        this.acctUnitNm = acctUnitNm;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
