package hanalife.r.rc.rd.vo;

import java.io.Serializable;
import java.util.List;

/**
 * <pre>
 * 클래스명    : RRCRD0101S01OutVO.java Class
 * 클래스설명  : 수납결제내역조회 (RRCRD0101) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 24.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RRCRD0101S01OutVO implements Serializable {

    private static final long serialVersionUID = 7618715646868132913L;

    List<RRCRD0101S0101VO> RRCRD0101S0101VO;  /** 대출정보 */
    List<RRCRD0101S0102VO> RRCRD0101S0102VO;  /** 수납정보 */

	public List<RRCRD0101S0101VO> getRRCRD0101S0101VO() {
		return RRCRD0101S0101VO;
	}
	public void setRRCRD0101S0101VO(List<RRCRD0101S0101VO> rRCRD0101S0101VO) {
		RRCRD0101S0101VO = rRCRD0101S0101VO;
	}
	public List<RRCRD0101S0102VO> getRRCRD0101S0102VO() {
		return RRCRD0101S0102VO;
	}
	public void setRRCRD0101S0102VO(List<RRCRD0101S0102VO> rRCRD0101S0102VO) {
		RRCRD0101S0102VO = rRCRD0101S0102VO;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}
