package hanalife.r.sr.sr.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DsrcAdjDescReadDSDSRCADJDESCSMDTO.java Class
 * 클래스설명   : 예/가수내역 및 합계 조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class DsrcAdjDescReadDSDSRCADJDESCSMDTO {

	private String sumKind;
	private String acctDtFr;
	private String acctDtTo;
	private String dsrcRamt;
	private String mmDlyFg;
	private String mngPlcDivCd;
	private String loanNo;
	private String loanSeq;
	private String dsrcNo;
	private String mngDeptCd;
	private String dsrcAdjCd;
	private String setlDtFr;
	private String setlDtTo;
	private String acctUnitCd;
	public String getSumKind() {
		return sumKind;
	}
	public void setSumKind(String sumKind) {
		this.sumKind = sumKind;
	}
	public String getAcctDtFr() {
		return acctDtFr;
	}
	public void setAcctDtFr(String acctDtFr) {
		this.acctDtFr = acctDtFr;
	}
	public String getAcctDtTo() {
		return acctDtTo;
	}
	public void setAcctDtTo(String acctDtTo) {
		this.acctDtTo = acctDtTo;
	}
	public String getDsrcRamt() {
		return dsrcRamt;
	}
	public void setDsrcRamt(String dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}
	public String getMmDlyFg() {
		return mmDlyFg;
	}
	public void setMmDlyFg(String mmDlyFg) {
		this.mmDlyFg = mmDlyFg;
	}
	public String getMngPlcDivCd() {
		return mngPlcDivCd;
	}
	public void setMngPlcDivCd(String mngPlcDivCd) {
		this.mngPlcDivCd = mngPlcDivCd;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDsrcNo() {
		return dsrcNo;
	}
	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getDsrcAdjCd() {
		return dsrcAdjCd;
	}
	public void setDsrcAdjCd(String dsrcAdjCd) {
		this.dsrcAdjCd = dsrcAdjCd;
	}
	public String getSetlDtFr() {
		return setlDtFr;
	}
	public void setSetlDtFr(String setlDtFr) {
		this.setlDtFr = setlDtFr;
	}
	public String getSetlDtTo() {
		return setlDtTo;
	}
	public void setSetlDtTo(String setlDtTo) {
		this.setlDtTo = setlDtTo;
	}
	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}

}
