package hanalife.r.sr.sr.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DsrcAdjDescReadDSDSRCADJDESCSUMSDDTO.java Class
 * 클래스설명   : 예/가수내역 및 합계 조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class DsrcAdjDescReadDSDSRCADJDESCSUMSDDTO {

	private int cnt; /**  */
	private int dsrcOccrAmt; /**  */
	private int dsrcAdjAmt; /**  */
	private int dsrcRamt; /**  */

	public int getCnt() {
		return cnt;
	}
	public void setCnt(int cnt) {
		this.cnt = cnt;
	}
	public int getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(int dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	public int getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(int dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	public int getDsrcRamt() {
		return dsrcRamt;
	}
	public void setDsrcRamt(int dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}

}
