package hanalife.r.sr.sr.service;

import java.util.Map;

/**
 * <pre>
 * 프로젝트명  	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명   	: RSRSRP03Service.java Class
 * 클래스설명  	: 예가수강제정산팝업 (RSRSRP03) Service Interface
 * 작성일자   	: 2023. 5. 30.
 * 작성자명   	: 70326 / YHS / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 30.][70326 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRSRSRP03I01 : 예가수강제정산처리
 * </pre>
 */

public interface RSRSRP03Service {

	/**
	 * <p>메소드명      	: ivltAdjDsrc </p>
	 * <p>작성일자      	: 2023. 5. 30.
	 * <p>작성자(author)	: 70323 / YHS
	 * <p>설명         	: 예가수강제정산처리한다.</p>
	 * <p>메소드인수    	: Map<String, Object> </p>
	 * <p>메소드리턴값  	: RSRSRP03OutVO</p>
	 * <p>예외처리      	: Exception</p>
	 */
	public void ivltAdjDsrc(Map<String, Object> inMap) throws Exception;

}
