package hanalife.r.sr.sr.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM01S02InVO.java Class
 * 클래스설명   : 예가수정산정보 조회(입력)를(을) 위한 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RSRSRM01S02InVO {

	/** 예가수 결제정보 조회 입력 VO 객체 선언 */
	private RSRSRM01DSSETLINFOVO RSRSRM01DSSETLINFO;

    public RSRSRM01DSSETLINFOVO getRSRSRM01DSSETLINFO() {
        return RSRSRM01DSSETLINFO;
    }

    public void setRSRSRM01DSSETLINFO(RSRSRM01DSSETLINFOVO rSRSRM01DSSETLINFO) {
        RSRSRM01DSSETLINFO = rSRSRM01DSSETLINFO;
    }

}
