package hanalife.r.zz.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.zz.mapper.dto.SearchBatchProcInfoOutDTO;

@Mapper("ProcSysMapper")
public interface ProcSysMapper {

    /**
    * <pre>
    * 메소드명     : searchBatchProcInfo
    * 설명        : 배치실행 기본값 조회(배치담당 사원,부서정보) - R00038
    * 메소드인수값  : N/A
    * 메소드리턴값  : SearchBatchProcInfoOutDTO
    * 예외처리     : Exception
    * </pre>
    */
    public SearchBatchProcInfoOutDTO searchBatchProcInfo() throws Exception;
}
