package hanalife.s.as.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.as.as.mapper.dto.CnslListReadDSSDDTO;
import hanalife.s.as.as.mapper.dto.CnslListReadDSSMDTO;

@Mapper("CnslListReadMapper")
public interface CnslListReadMapper {

    /**
     * <pre>
     * 메소드명      : searchCnslReadList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 상담목록조회을(를) 조회 한다.
     * 메소드인수1   : 상담목록조회 입력
     * 메소드리턴값  : 상담목록조회 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<CnslListReadDSSDDTO> searchCnslReadList(CnslListReadDSSMDTO inDto) throws Exception;

}
