package hanalife.s.ln.ch.mapper.dto;

import java.util.List;

public class RmbrPlanUpdtOutVODTO {

	private long loanIntSum;
	private int totTims;
	private String eprtDt;

	// 납입일 변경이력 조회
	private int tims;
	private int chngTims;
    private String chngAfDueDt;
    private int psgInt;
    private int snum;
    private int trSnum;

    // 결제일 변경 ( 메서드명 : setlDdChng )
    private String intStrtDt;		  /** 이자시작일자 */

    // 경과이자계산 ( 메서드명 : psgIntCalc )
    private long timsBfPamtRamt;	  /** 회차전 원금잔액 */
    private String dueDt;			  /** 변경전납입일자 */
    private double loanIntRt;		  /** 대출이자율 */
    private long frstRank;            /** 첫등급 */

	// 상환계획수정
	private double aplyIntRt;         /** 적용이자율 */
	private int psgDdCnt;             /** 경과일수 */

	// 취급수수료 잔액 조회
	private long trtFeeRamt;          /** 취급수수료 */

	// 경과이자계산
	private List<long[]> psgIntList;

    // 응답코드
	private String rsltCd = "0000";   /** 결과코드 */
    private String rsltCntn = "";     /** 결과내용 */

    private int timsDdcnt; //회차일수 (월이자 일할계산시 적용위해 추가)
    private String rmbrFrmlCd; //상환방식코드
    private String dueTimsYn; //납입회차여부
    private long mmPamt; //원금
    private long mmInt; //이자
    private long mmPiamt; //월원리금
    private long timsAfPamtRamt; //회차후 잔여원금
    private long timsBfIntRamt; //회차전 잔여이자
    private long timsAfIntRamt; //회차후 잔여이자
    private String pdueFg; //선납여부
    private long intDa; //이자 차액
    private long intDamt; //이자 차액 누적
    private String intCalcDay; //이자계산일자
    private long intSum; //이자합계
    private long loanPrinSum; //대출원금합계
    private double intRt; //이자율
    private String intStrtDay; //이자시작일자
    private String intEndDay; //이자종료일자
    /**인사 임직원 대출용 시작**/
    private String lendEmpNo;
    private String lendKindCd;
    private int lendSeq;
    /**인사 임직원 대출용 끝**/

    //취급수수료 분납 추가
    private long mmTrtFee; //월취급수수료
    private long timsBfTrtFeeRamt; //회차전 취급수수료 잔액
    private long timsAfTrtFeeRamt; //회차후 취급수수료 잔액
	/*
	 * public RmbrPlanUpdtOutVODTO() { psgIntList = new ArrayList(); }
	 */

	public long getLoanIntSum() {
		return loanIntSum;
	}
	public void setLoanIntSum(long loanIntSum) {
		this.loanIntSum = loanIntSum;
	}
	public int getTotTims() {
		return totTims;
	}
	public void setTotTims(int totTims) {
		this.totTims = totTims;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public String getRsltCd() {
		return rsltCd;
	}
	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}
	public String getRsltCntn() {
		return rsltCntn;
	}
	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}
	public int getChngTims() {
		return chngTims;
	}
	public void setChngTims(int chngTims) {
		this.chngTims = chngTims;
	}
	public String getChngAfDueDt() {
		return chngAfDueDt;
	}
	public void setChngAfDueDt(String chngAfDueDt) {
		this.chngAfDueDt = chngAfDueDt;
	}
	public int getPsgInt() {
		return psgInt;
	}
	public void setPsgInt(int psgInt) {
		this.psgInt = psgInt;
	}
	public int getSnum() {
		return snum;
	}
	public void setSnum(int snum) {
		this.snum = snum;
	}
	public long getTimsBfPamtRamt() {
		return timsBfPamtRamt;
	}
	public void setTimsBfPamtRamt(long timsBfPamtRamt) {
		this.timsBfPamtRamt = timsBfPamtRamt;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public double getLoanIntRt() {
		return loanIntRt;
	}
	public void setLoanIntRt(double loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public long getFrstRank() {
		return frstRank;
	}
	public void setFrstRank(long frstRank) {
		this.frstRank = frstRank;
	}
	public double getAplyIntRt() {
		return aplyIntRt;
	}
	public void setAplyIntRt(double aplyIntRt) {
		this.aplyIntRt = aplyIntRt;
	}
	public int getPsgDdCnt() {
		return psgDdCnt;
	}
	public void setPsgDdCnt(int psgDdCnt) {
		this.psgDdCnt = psgDdCnt;
	}
	public int getTims() {
		return tims;
	}
	public void setTims(int tims) {
		this.tims = tims;
	}


	public List<long[]> getPsgIntList() {
		return psgIntList;
	}

	public void setPsgIntList(List<long[]> psgIntList) {
		this.psgIntList = psgIntList;
	}

	public String getIntStrtDt() {
		return intStrtDt;
	}
	public void setIntStrtDt(String intStrtDt) {
		this.intStrtDt = intStrtDt;
	}

	public int getTrSnum() {
		return trSnum;
	}

	public void setTrSnum(int trSnum) {
		this.trSnum = trSnum;
	}

	public long getTrtFeeRamt() {
		return trtFeeRamt;
	}

	public void setTrtFeeRamt(long trtFeeRamt) {
		this.trtFeeRamt = trtFeeRamt;
	}
	public int getTimsDdcnt() {
		return timsDdcnt;
	}
	public void setTimsDdcnt(int timsDdcnt) {
		this.timsDdcnt = timsDdcnt;
	}
	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}
	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}
	public String getDueTimsYn() {
		return dueTimsYn;
	}
	public void setDueTimsYn(String dueTimsYn) {
		this.dueTimsYn = dueTimsYn;
	}
	public long getMmPamt() {
		return mmPamt;
	}
	public void setMmPamt(long mmPamt) {
		this.mmPamt = mmPamt;
	}
	public long getMmInt() {
		return mmInt;
	}
	public void setMmInt(long mmInt) {
		this.mmInt = mmInt;
	}
	public long getMmPiamt() {
		return mmPiamt;
	}
	public void setMmPiamt(long mmPiamt) {
		this.mmPiamt = mmPiamt;
	}
	public long getTimsAfPamtRamt() {
		return timsAfPamtRamt;
	}
	public void setTimsAfPamtRamt(long timsAfPamtRamt) {
		this.timsAfPamtRamt = timsAfPamtRamt;
	}
	public long getTimsBfIntRamt() {
		return timsBfIntRamt;
	}
	public void setTimsBfIntRamt(long timsBfIntRamt) {
		this.timsBfIntRamt = timsBfIntRamt;
	}
	public long getTimsAfIntRamt() {
		return timsAfIntRamt;
	}
	public void setTimsAfIntRamt(long timsAfIntRamt) {
		this.timsAfIntRamt = timsAfIntRamt;
	}
	public String getPdueFg() {
		return pdueFg;
	}
	public void setPdueFg(String pdueFg) {
		this.pdueFg = pdueFg;
	}
	public long getIntDa() {
		return intDa;
	}
	public void setIntDa(long intDa) {
		this.intDa = intDa;
	}
	public long getIntDamt() {
		return intDamt;
	}
	public void setIntDamt(long intDamt) {
		this.intDamt = intDamt;
	}
	public String getIntCalcDay() {
		return intCalcDay;
	}
	public void setIntCalcDay(String intCalcDay) {
		this.intCalcDay = intCalcDay;
	}
	public long getIntSum() {
		return intSum;
	}
	public void setIntSum(long intSum) {
		this.intSum = intSum;
	}
	public long getLoanPrinSum() {
		return loanPrinSum;
	}
	public void setLoanPrinSum(long loanPrinSum) {
		this.loanPrinSum = loanPrinSum;
	}
	public double getIntRt() {
		return intRt;
	}
	public void setIntRt(double intRt) {
		this.intRt = intRt;
	}
	public String getIntStrtDay() {
		return intStrtDay;
	}
	public void setIntStrtDay(String intStrtDay) {
		this.intStrtDay = intStrtDay;
	}
	public String getIntEndDay() {
		return intEndDay;
	}
	public void setIntEndDay(String intEndDay) {
		this.intEndDay = intEndDay;
	}
	public String getLendEmpNo() {
		return lendEmpNo;
	}
	public void setLendEmpNo(String lendEmpNo) {
		this.lendEmpNo = lendEmpNo;
	}
	public String getLendKindCd() {
		return lendKindCd;
	}
	public void setLendKindCd(String lendKindCd) {
		this.lendKindCd = lendKindCd;
	}
	public int getLendSeq() {
		return lendSeq;
	}
	public void setLendSeq(int lendSeq) {
		this.lendSeq = lendSeq;
	}
	public long getMmTrtFee() {
		return mmTrtFee;
	}
	public void setMmTrtFee(long mmTrtFee) {
		this.mmTrtFee = mmTrtFee;
	}
	public long getTimsBfTrtFeeRamt() {
		return timsBfTrtFeeRamt;
	}
	public void setTimsBfTrtFeeRamt(long timsBfTrtFeeRamt) {
		this.timsBfTrtFeeRamt = timsBfTrtFeeRamt;
	}
	public long getTimsAfTrtFeeRamt() {
		return timsAfTrtFeeRamt;
	}
	public void setTimsAfTrtFeeRamt(long timsAfTrtFeeRamt) {
		this.timsAfTrtFeeRamt = timsAfTrtFeeRamt;
	}



}