package hanalife.s.ln.lm.vo;

import java.math.BigDecimal;

/**
 * <pre>
 * 클래스명    : IntnPrftRtObj
 * 클래스설명 : 상환계획생성의 Obj
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class IntnPrftRtObj
{
  public BigDecimal frstOutAmt; //초기유출금액
  //public BigDecimal salgValAmt; //잔존가치금액
  //public BigDecimal guarAmt; //보증금
  public BigDecimal[] mmDueAmt; //월불입금
  //public String adueFg; //선불여부
  //public String deferFg; //거치여부
  public BigDecimal term; //기간
  public BigDecimal dueCycl; //납입주기
  public BigDecimal repeatCnt; //반복횟수
  public BigDecimal frstIntnPrftRt; //최초내부수익률
  public BigDecimal allowErr; //허용오차
  public BigDecimal intnPrftRt; //내부수익률
}
