package hanalife.s.pd.pd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM02SD05OutDTO.java Class
 * 클래스설명  : 상품관리 상품구성조건상세 (SPDPDM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM02SD05OutDTO {
	private String prdtCd;      // 상품_코드
	private String condNo;      // 조건_구분코드
	private String condAplyNo;  // 조건_적용_일련번호
	private String condCd;      // 조건_코드
	private String condSpecSnum;// 조건_일련번호
	private String condFr;      // 조건_FROM
	private String condTo;      // 조건_TO
	private String cdDescKorNm; // 조건명
	private String clas1;       // 구분1
	private String clas2;       // 구분2
	private String cdDescEtcNm; // 코드_내역_기타_명
	private String condNm;      // 명
	private String frstRegEmpNo;    //FRST_REG_EMP_NO       최초등록사원
    private String lastProcEmpNo;   //LAST_PROC_EMP_NO      최종처리사원

	public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getCondNo() {
		return condNo;
	}
	public void setCondNo(String condNo) {
		this.condNo = condNo;
	}
	public String getCondAplyNo() {
		return condAplyNo;
	}
	public void setCondAplyNo(String condAplyNo) {
		this.condAplyNo = condAplyNo;
	}
	public String getCondCd() {
		return condCd;
	}
	public void setCondCd(String condCd) {
		this.condCd = condCd;
	}
	public String getCondSpecSnum() {
		return condSpecSnum;
	}
	public void setCondSpecSnum(String condSpecSnum) {
		this.condSpecSnum = condSpecSnum;
	}
	public String getCondFr() {
		return condFr;
	}
	public void setCondFr(String condFr) {
		this.condFr = condFr;
	}
	public String getCondTo() {
		return condTo;
	}
	public void setCondTo(String condTo) {
		this.condTo = condTo;
	}
	public String getCdDescKorNm() {
		return cdDescKorNm;
	}
	public void setCdDescKorNm(String cdDescKorNm) {
		this.cdDescKorNm = cdDescKorNm;
	}
	public String getClas1() {
		return clas1;
	}
	public void setClas1(String clas1) {
		this.clas1 = clas1;
	}
	public String getClas2() {
		return clas2;
	}
	public void setClas2(String clas2) {
		this.clas2 = clas2;
	}
	public String getCdDescEtcNm() {
		return cdDescEtcNm;
	}
	public void setCdDescEtcNm(String cdDescEtcNm) {
		this.cdDescEtcNm = cdDescEtcNm;
	}
	public String getCondNm() {
		return condNm;
	}
	public void setCondNm(String condNm) {
		this.condNm = condNm;
	}
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }
}