package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.SSPASP06DSSDDODTO;
import hanalife.s.sp.as.mapper.dto.SSPASP06DSSMDODTO;

@Mapper("/SSPASP06Mapper")
public interface SSPASP06Mapper {

    /**
     * <pre>
     * 메소드명 : srchExamOpnReg
     * 작성일자 : 2023.05.12.
     * 작성자(author) : 70398 LJW
     * 설명 : 심사의견 조회
     * 예외처리 : Exception
     * </pre>
     */
	public List<SSPASP06DSSDDODTO> srchExamOpnReg(SSPASP06DSSMDODTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : insertTbudStsMang
     * 작성일자      : 2023. 3. 29.
     * 작성자(author): 70325 Jaeheon Kim
     * 설명          : 심사의견을 등록한다.
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */

	public String insertTbudStsMang(SSPASP06DSSMDODTO iDTO) throws Exception;

    /**
     * <pre>
     * 메소드명      : insertTbudStsMang
     * 작성일자      : 2023. 3. 29.
     * 작성자(author): 70325 Jaeheon Kim
     * 설명          : 심사의견을 수정한다.
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */

	public void updateTbudStsMang(SSPASP06DSSMDODTO iDTO) throws Exception;

    /**
     * <pre>
     * 메소드명      : insertTbudStsMang
     * 작성일자      : 2023. 3. 29.
     * 작성자(author): 70325 Jaeheon Kim
     * 설명          : 심사의견을 삭제한다.
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */

	public void deleteTbudStsMang(SSPASP06DSSMDODTO iDTO) throws Exception;

    /**
     * <pre>
     * 메소드명      : insertTbudStsMang
     * 작성일자      : 2023. 3. 29.
     * 작성자(author): 70325 Jaeheon Kim
     * 설명          : 심사의견을 조회한다.
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */

	public List<SSPASP06DSSDDODTO> selectTbudStsMang(SSPASP06DSSMDODTO iDTO) throws Exception;

    /**
     * <pre>
     * 메소드명      : insertTbudStsMang
     * 작성일자      : 2023. 3. 29.
     * 작성자(author): 70325 Jaeheon Kim
     * 설명          : 심사의견 목록을 조회한다.
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */

    public List<SSPASP06DSSDDODTO> searchTbudStsMangList(SSPASP06DSSMDODTO iDTO) throws Exception;

    /**
     * <pre>
     * 메소드명      : insertTbudStsMang
     * 작성일자      : 2023. 3. 29.
     * 작성자(author): 70325 Jaeheon Kim
     * 설명          : 심사의견 총 개수를 조회한다(count).
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */

    public int selectTbudStsMangListTotCnt(SSPASP06DSSMDODTO searchDTO);


}
