package hanalife.s.sp.gd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM01DSSDOutDTO.java Class
 * 클래스설명  : 상품분류관리 (SPDPDM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SSPGDM03DSSDOutDTO {

	private String intRtDivCd;  /* INT_RT_DIV_CD   	긂리_종류_코드 */
	private String aplyStrtDt;  /* APLY_STRT_DT   	적용_시작_일자 */
	private String aplyEndDt;   /* APLY_END_DT   	적용_종료_일자 */
	private String baseInt;  	/* BASE_INT   		금리 */
	private String regFg;       /* REG_FG           등록여부(전영업일) */
	private String regCnt;      /* REG_CNT          금리종류코드별 등록건수*/
	private String aveMnrt;      /* AVE_MNRT        평균금리*/

	public String getIntRtDivCd() {
		return intRtDivCd;
	}
	public void setIntRtDivCd(String intRtDivCd) {
		this.intRtDivCd = intRtDivCd;
	}
	public String getAplyStrtDt() {
		return aplyStrtDt;
	}
	public void setAplyStrtDt(String aplyStrtDt) {
		this.aplyStrtDt = aplyStrtDt;
	}
	public String getAplyEndDt() {
		return aplyEndDt;
	}
	public void setAplyEndDt(String aplyEndDt) {
		this.aplyEndDt = aplyEndDt;
	}
	public String getBaseInt() {
		return baseInt;
	}
	public void setBaseInt(String baseInt) {
		this.baseInt = baseInt;
	}
    public String getRegFg() {
        return regFg;
    }
    public void setRegFg(String regFg) {
        this.regFg = regFg;
    }
    public String getRegCnt() {
        return regCnt;
    }
    public void setRegCnt(String regCnt) {
        this.regCnt = regCnt;
    }
    public String getAveMnrt() {
        return aveMnrt;
    }
    public void setAveMnrt(String aveMnrt) {
        this.aveMnrt = aveMnrt;
    }
}