package hanalife.t.ch.on.service;

import hanalife.t.ch.on.vo.ReqBodyVO;


/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : TCHON002Service.java Class
 * 클래스설명   : 대출신청정보 저장 (todo0) Service Interface
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : saveLoanApplInfo : 대출신청정보 저장
 * </pre>
 */
public interface TCHON006Service {

    /**
     *<pre>
     * 메소드명      : saveLoanAppl :
     * 작성일자      : 2023. 3. 27.
     * 작성자(author): 70278 / younghwe.kim
     * 설명          : todo1목록을 조회 한다.
     * 메소드인수    : todo0S01InVo
     * 메소드리턴값  : todo0S01OutVo
     * 예외처리      : Exception
     *</pre>
     */
    public String saveLoanApplInfo(ReqBodyVO inVo) throws Exception;


}
