package hanalife.t.ch.on.vo;

import java.math.BigDecimal;
import java.util.List;

/**
 * 채널 리스폰스 바디 VO
 * @author 70278
 *
 */
public class ResBodyVO {

    /* 결과 공통*/
    private String rspnCd;                  // 응답코드
    private String rspnMsg;                 // 응답메시지

    /* 대출(신청)관련  */
    private String loanCnslNo;              // 대출상담번호
    private String loanApplNo;              // 대출신청번호
    private String loanNo;                  // 대출번호
    private String amlkey;                  // AMLKEY

    /* IF-CH-ON-005 한도조회 관련 */
    private BigDecimal loanPossAmt1;        // 대출가능금액1
    private double loanMnrt;                // 대출금리
    private String judgGbCd;                // 판정결과
    private String rejtTinkGbCd;            // 판정사유
    private BigDecimal loanPossAmt2;        // 대출가능금액2
    private String mciEntrQlfcFg;           // MCI가입적격여부
    private String crdtInfoReadKey;         // 신용정보조회키

    /* ETC (SQL로 검색해서 미사용인 파라미터) */
    /* IF-CH-ON-001 대출상담사목록조회 */
    private String srHpNo;                                                   // SR_휴대폰번호
    private String srEmpNo;                                                  // SR_사번
    private String srNm;                                                     // SR_성명
    private String srBlngCorpNm;                                             // SR_소속법인명
    private String dwscBlngEmpFg;                                            // 당사소속직원여부

    /* IF-CH-ON-004 KB시세조회 */
    private String godsRcgn;                                                 // 물건식별자
    private BigDecimal pntpSnum;                                             // 평형일련번호
    private String roadBaseAddr;                                             // 도로기본주소
    private String roadSpecAddr;                                             // 도로상세주소
    private String zipCd;                                                    // 우편번호
    private String ldongCd;                                                  // 법정동코드
    private String kbStndYmd;                                                // KB_기준년월일
    private BigDecimal kbSalePrce;                                           // KB_매매가
    private BigDecimal splyArea;                                             // 공급면적
    private BigDecimal euseArea;                                             // 전용면적
    private BigDecimal pyng;                                                 // 평수

    /* IF-CH-ON-009 승인내역조회 */
    private BigDecimal loanAprvAmt;                                      // 대출승인금액
    private BigDecimal yyLoanMnrt;                                       // 연대출금리
    private String loanTermCd;                                           // 대출기간코드
    private String loanTermCdNm;                                         // 대출기간코드명
    private String rmbrMethCd;                                           // 상환방법코드
    private String rmbrMethCdNm;                                         // 상환방법코드명
    private String defrTermCd;                                           // 거치기간코드
    private String defrTermCdNm;                                         // 거치기간코드명
    private String loanObjCd;                                            // 대출목적코드
    private String loanObjCdNm;                                          // 대출목적코드명
//    private String roadBaseAddr;                                         // 도로기본주소
//    private String roadSpecAddr;                                         // 도로상세주소
    private String specAddrDong;                                         // 상세주소_동
    private String specAddrHo;                                           // 상세주소_호수
    private BigDecimal flor;                                             // 층수
    private String loanExecSchdDt;                                       // 대출실행예정일
    private BigDecimal custBrdnCost1;                                    // 고객부담비용1
    private BigDecimal custBrdnCost2;                                    // 고객부담비용2
    private BigDecimal custBrdnCost3;                                    // 고객부담비용3
    private BigDecimal custBrdnCost4;                                    // 고객부담비용4
    private BigDecimal custBrdnCost5;                                    // 고객부담비용5
    private BigDecimal custBrdnCost6;                                    // 고객부담비용6
    private BigDecimal custBrdnCost7;                                    // 고객부담비용7
    private BigDecimal custBrdnCost8;                                    // 고객부담비용8
    private BigDecimal custBrdnCost9;                                    // 고객부담비용9
    private BigDecimal custBrdnCost10;                                   // 고객부담비용10

    /* IF-CH-ON-015 대출목록조회 */
//    private String loanNo;                                                   // 대출번호
    private String custNo;                                                   // 고객번호
//    private String loanObjCd;                                                // 대출목적코드
//    private String loanCnslNo;                                               // 대출상담번호
    private String loanPrdtCd;                                               // 대출상품코드
    private String loanPrdtNm;                                               // 대출상품명
    private BigDecimal loanAmt;                                              // 대출금액
    private BigDecimal loanRamt;                                             // 대출잔액
    private String loanExecDt;                                               // 대출실행일자
    private String loanEprtDt;                                               // 대출만기일자
//    private String rmbrMethCd;                                               // 상환방법코드
//    private String rmbrMethCdNm;                                             // 상환방법코드명
//    private String roadBaseAddr;                                             // 도로기본주소
//    private String roadSpecAddr;                                             // 도로상세주소
//    private String specAddrDong;                                             // 상세주소_동
//    private String specAddrHo;                                               // 상세주소_호수
//    private BigDecimal flor;                                                 // 층수
//    private BigDecimal loanMnrt;                                             // 대출금리

    /* IF-CH-ON-016 대출목록조회 */
//    private String loanNo;                                                   // 대출번호
//    private String custNo;                                                   // 고객번호
//    private String loanCnslNo;                                               // 대출상담번호
//    private String loanPrdtCd;                                               // 대출상품코드
//    private String loanPrdtNm;                                               // 대출상품명
    private BigDecimal dlyTims;                                              // 연체회차
    private BigDecimal dlyDdcnt;                                             // 연체일수
    private BigDecimal pamtSum;                                              // 원금합계
    private BigDecimal intSum;                                               // 이자합계
    private BigDecimal dfeeSum;                                              // 연체료합계
    private BigDecimal intDfeeSum;                                           // 이자연체료합계
    private BigDecimal dlyAmtSum;                                            // 연체금액합계
    private List<LoanDlyDescVo> loanDlyArray;        // 대출연체내역 리스트
    private String autoTranBankCd;                                           // 자동이체은행코드
    private String autoTranBankNm;                                           // 자동이체은행명
    private String autoTranAcntNo;                                           // 자동이체계좌번호

    /* IF-CH-ON-025 진행상태조회 */
    private String prgsStatCd;                                               // 진행상태코드

    /* IF-CH-ON-026 상환내역목록조회 (미사용) */
    private List<RmbrDescListVo> rmbrDescListVoArray;                        // 대출연체내역 리스트

    /* IF-CH-ON-027 대출내역상세조회 (미사용) */
//    private String loanPrdtNm;                                               // 대출상품명
//    private BigDecimal loanAmt;                                              // 대출금액
//    private BigDecimal loanRamt;                                             // 대출잔액
//    private String loanExecDt;                                               // 대출실행일자
//    private String loanEprtDt;                                               // 대출만기일자
//    private String rmbrMethCd;                                               // 상환방법코드
//    private String rmbrMethCdNm;                                             // 상환방법코드명
//    private String roadBaseAddr;                                             // 도로기본주소
//    private String roadSpecAddr;                                             // 도로상세주소
//    private String specAddrDong;                                             // 상세주소_동
//    private String specAddrHo;                                               // 상세주소_호수
//    private BigDecimal flor;                                                 // 층수
//    private BigDecimal loanMnrt;                                             // 대출금리

    private List<DueInfoVo> dueInfoArray;        // 납입정보 리스트(Array)

    private List<ApplStatVo> applStatArray;        // 신청상태정보 리스트(Array)

    private String applDivCd;                                                    // 신청구분코드
    private String applStatCd;                                                   // 신청상태코드
    private String applDt;                                                   // 신청일자

    private List<ChngAutoTranVo> chngAutoTranArray;        // 변경자동이체정보 리스트(Array)

    public String getRspnCd() {
        return rspnCd;
    }

    public void setRspnCd(String rspnCd) {
        this.rspnCd = rspnCd;
    }

    public String getRspnMsg() {
        return rspnMsg;
    }

    public void setRspnMsg(String rspnMsg) {
        this.rspnMsg = rspnMsg;
    }

    public String getLoanCnslNo() {
        return loanCnslNo;
    }

    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }

    public String getLoanApplNo() {
        return loanApplNo;
    }

    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }

    public String getLoanNo() {
        return loanNo;
    }

    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }

    public String getAmlkey() {
        return amlkey;
    }

    public void setAmlkey(String amlKey) {
        this.amlkey = amlKey;
    }

    public BigDecimal getLoanPossAmt1() {
        return loanPossAmt1;
    }

    public void setLoanPossAmt1(BigDecimal loanPossAmt1) {
        this.loanPossAmt1 = loanPossAmt1;
    }

    public double getLoanMnrt() {
        return loanMnrt;
    }

    public void setLoanMnrt(double loanMnrt) {
        this.loanMnrt = loanMnrt;
    }

    public String getJudgGbCd() {
        return judgGbCd;
    }

    public void setJudgGbCd(String judgGbCd) {
        this.judgGbCd = judgGbCd;
    }

    public String getRejtTinkGbCd() {
        return rejtTinkGbCd;
    }

    public void setRejtTinkGbCd(String rejtTinkGbCd) {
        this.rejtTinkGbCd = rejtTinkGbCd;
    }

    public BigDecimal getLoanPossAmt2() {
        return loanPossAmt2;
    }

    public void setLoanPossAmt2(BigDecimal loanPossAmt2) {
        this.loanPossAmt2 = loanPossAmt2;
    }

    public String getMciEntrQlfcFg() {
        return mciEntrQlfcFg;
    }

    public void setMciEntrQlfcFg(String mciEntrQlfcFg) {
        this.mciEntrQlfcFg = mciEntrQlfcFg;
    }

    public String getCrdtInfoReadKey() {
        return crdtInfoReadKey;
    }

    public void setCrdtInfoReadKey(String crdtInfoReadKey) {
        this.crdtInfoReadKey = crdtInfoReadKey;
    }

    public String getSrHpNo() {
        return srHpNo;
    }

    public void setSrHpNo(String srHpNo) {
        this.srHpNo = srHpNo;
    }

    public String getSrEmpNo() {
        return srEmpNo;
    }

    public void setSrEmpNo(String srEmpNo) {
        this.srEmpNo = srEmpNo;
    }

    public String getSrNm() {
        return srNm;
    }

    public void setSrNm(String srNm) {
        this.srNm = srNm;
    }

    public String getSrBlngCorpNm() {
        return srBlngCorpNm;
    }

    public void setSrBlngCorpNm(String srBlngCorpNm) {
        this.srBlngCorpNm = srBlngCorpNm;
    }

    public String getDwscBlngEmpFg() {
        return dwscBlngEmpFg;
    }

    public void setDwscBlngEmpFg(String dwscBlngEmpFg) {
        this.dwscBlngEmpFg = dwscBlngEmpFg;
    }

    public String getGodsRcgn() {
        return godsRcgn;
    }

    public void setGodsRcgn(String godsRcgn) {
        this.godsRcgn = godsRcgn;
    }

    public BigDecimal getPntpSnum() {
        return pntpSnum;
    }

    public void setPntpSnum(BigDecimal pntpSnum) {
        this.pntpSnum = pntpSnum;
    }

    public String getRoadBaseAddr() {
        return roadBaseAddr;
    }

    public void setRoadBaseAddr(String roadBaseAddr) {
        this.roadBaseAddr = roadBaseAddr;
    }

    public String getRoadSpecAddr() {
        return roadSpecAddr;
    }

    public void setRoadSpecAddr(String roadSpecAddr) {
        this.roadSpecAddr = roadSpecAddr;
    }

    public String getZipCd() {
        return zipCd;
    }

    public void setZipCd(String zipCd) {
        this.zipCd = zipCd;
    }

    public String getLdongCd() {
        return ldongCd;
    }

    public void setLdongCd(String ldongCd) {
        this.ldongCd = ldongCd;
    }

    public String getKbStndYmd() {
        return kbStndYmd;
    }

    public void setKbStndYmd(String kbStndYmd) {
        this.kbStndYmd = kbStndYmd;
    }

    public BigDecimal getKbSalePrce() {
        return kbSalePrce;
    }

    public void setKbSalePrce(BigDecimal kbSalePrce) {
        this.kbSalePrce = kbSalePrce;
    }

    public BigDecimal getSplyArea() {
        return splyArea;
    }

    public void setSplyArea(BigDecimal splyArea) {
        this.splyArea = splyArea;
    }

    public BigDecimal getEuseArea() {
        return euseArea;
    }

    public void setEuseArea(BigDecimal euseArea) {
        this.euseArea = euseArea;
    }

    public BigDecimal getPyng() {
        return pyng;
    }

    public void setPyng(BigDecimal pyng) {
        this.pyng = pyng;
    }

    public BigDecimal getLoanAprvAmt() {
        return loanAprvAmt;
    }

    public void setLoanAprvAmt(BigDecimal loanAprvAmt) {
        this.loanAprvAmt = loanAprvAmt;
    }

    public BigDecimal getYyLoanMnrt() {
        return yyLoanMnrt;
    }

    public void setYyLoanMnrt(BigDecimal yyLoanMnrt) {
        this.yyLoanMnrt = yyLoanMnrt;
    }

    public String getLoanTermCd() {
        return loanTermCd;
    }

    public void setLoanTermCd(String loanTermCd) {
        this.loanTermCd = loanTermCd;
    }

    public String getLoanTermCdNm() {
        return loanTermCdNm;
    }

    public void setLoanTermCdNm(String loanTermCdNm) {
        this.loanTermCdNm = loanTermCdNm;
    }

    public String getRmbrMethCd() {
        return rmbrMethCd;
    }

    public void setRmbrMethCd(String rmbrMethCd) {
        this.rmbrMethCd = rmbrMethCd;
    }

    public String getRmbrMethCdNm() {
        return rmbrMethCdNm;
    }

    public void setRmbrMethCdNm(String rmbrMethCdNm) {
        this.rmbrMethCdNm = rmbrMethCdNm;
    }

    public String getDefrTermCd() {
        return defrTermCd;
    }

    public void setDefrTermCd(String defrTermCd) {
        this.defrTermCd = defrTermCd;
    }

    public String getDefrTermCdNm() {
        return defrTermCdNm;
    }

    public void setDefrTermCdNm(String defrTermCdNm) {
        this.defrTermCdNm = defrTermCdNm;
    }

    public String getLoanObjCd() {
        return loanObjCd;
    }

    public void setLoanObjCd(String loanObjCd) {
        this.loanObjCd = loanObjCd;
    }

    public String getLoanObjCdNm() {
        return loanObjCdNm;
    }

    public void setLoanObjCdNm(String loanObjCdNm) {
        this.loanObjCdNm = loanObjCdNm;
    }

    public String getSpecAddrDong() {
        return specAddrDong;
    }

    public void setSpecAddrDong(String specAddrDong) {
        this.specAddrDong = specAddrDong;
    }

    public String getSpecAddrHo() {
        return specAddrHo;
    }

    public void setSpecAddrHo(String specAddrHo) {
        this.specAddrHo = specAddrHo;
    }

    public BigDecimal getFlor() {
        return flor;
    }

    public void setFlor(BigDecimal flor) {
        this.flor = flor;
    }

    public String getLoanExecSchdDt() {
        return loanExecSchdDt;
    }

    public void setLoanExecSchdDt(String loanExecSchdDt) {
        this.loanExecSchdDt = loanExecSchdDt;
    }

    public BigDecimal getCustBrdnCost1() {
        return custBrdnCost1;
    }

    public void setCustBrdnCost1(BigDecimal custBrdnCost1) {
        this.custBrdnCost1 = custBrdnCost1;
    }

    public BigDecimal getCustBrdnCost2() {
        return custBrdnCost2;
    }

    public void setCustBrdnCost2(BigDecimal custBrdnCost2) {
        this.custBrdnCost2 = custBrdnCost2;
    }

    public BigDecimal getCustBrdnCost3() {
        return custBrdnCost3;
    }

    public void setCustBrdnCost3(BigDecimal custBrdnCost3) {
        this.custBrdnCost3 = custBrdnCost3;
    }

    public BigDecimal getCustBrdnCost4() {
        return custBrdnCost4;
    }

    public void setCustBrdnCost4(BigDecimal custBrdnCost4) {
        this.custBrdnCost4 = custBrdnCost4;
    }

    public BigDecimal getCustBrdnCost5() {
        return custBrdnCost5;
    }

    public void setCustBrdnCost5(BigDecimal custBrdnCost5) {
        this.custBrdnCost5 = custBrdnCost5;
    }

    public BigDecimal getCustBrdnCost6() {
        return custBrdnCost6;
    }

    public void setCustBrdnCost6(BigDecimal custBrdnCost6) {
        this.custBrdnCost6 = custBrdnCost6;
    }

    public BigDecimal getCustBrdnCost7() {
        return custBrdnCost7;
    }

    public void setCustBrdnCost7(BigDecimal custBrdnCost7) {
        this.custBrdnCost7 = custBrdnCost7;
    }

    public BigDecimal getCustBrdnCost8() {
        return custBrdnCost8;
    }

    public void setCustBrdnCost8(BigDecimal custBrdnCost8) {
        this.custBrdnCost8 = custBrdnCost8;
    }

    public BigDecimal getCustBrdnCost9() {
        return custBrdnCost9;
    }

    public void setCustBrdnCost9(BigDecimal custBrdnCost9) {
        this.custBrdnCost9 = custBrdnCost9;
    }

    public BigDecimal getCustBrdnCost10() {
        return custBrdnCost10;
    }

    public void setCustBrdnCost10(BigDecimal custBrdnCost10) {
        this.custBrdnCost10 = custBrdnCost10;
    }

    public String getCustNo() {
        return custNo;
    }

    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }

    public String getLoanPrdtCd() {
        return loanPrdtCd;
    }

    public void setLoanPrdtCd(String loanPrdtCd) {
        this.loanPrdtCd = loanPrdtCd;
    }

    public String getLoanPrdtNm() {
        return loanPrdtNm;
    }

    public void setLoanPrdtNm(String loanPrdtNm) {
        this.loanPrdtNm = loanPrdtNm;
    }

    public BigDecimal getLoanAmt() {
        return loanAmt;
    }

    public void setLoanAmt(BigDecimal loanAmt) {
        this.loanAmt = loanAmt;
    }

    public BigDecimal getLoanRamt() {
        return loanRamt;
    }

    public void setLoanRamt(BigDecimal loanRamt) {
        this.loanRamt = loanRamt;
    }

    public String getLoanExecDt() {
        return loanExecDt;
    }

    public void setLoanExecDt(String loanExecDt) {
        this.loanExecDt = loanExecDt;
    }

    public String getLoanEprtDt() {
        return loanEprtDt;
    }

    public void setLoanEprtDt(String loanEprtDt) {
        this.loanEprtDt = loanEprtDt;
    }

    public BigDecimal getDlyTims() {
        return dlyTims;
    }

    public void setDlyTims(BigDecimal dlyTims) {
        this.dlyTims = dlyTims;
    }

    public BigDecimal getDlyDdcnt() {
        return dlyDdcnt;
    }

    public void setDlyDdcnt(BigDecimal dlyDdcnt) {
        this.dlyDdcnt = dlyDdcnt;
    }

    public BigDecimal getPamtSum() {
        return pamtSum;
    }

    public void setPamtSum(BigDecimal pamtSum) {
        this.pamtSum = pamtSum;
    }

    public BigDecimal getIntSum() {
        return intSum;
    }

    public void setIntSum(BigDecimal intSum) {
        this.intSum = intSum;
    }

    public BigDecimal getDfeeSum() {
        return dfeeSum;
    }

    public void setDfeeSum(BigDecimal dfeeSum) {
        this.dfeeSum = dfeeSum;
    }

    public BigDecimal getIntDfeeSum() {
        return intDfeeSum;
    }

    public void setIntDfeeSum(BigDecimal intDfeeSum) {
        this.intDfeeSum = intDfeeSum;
    }

    public BigDecimal getDlyAmtSum() {
        return dlyAmtSum;
    }

    public void setDlyAmtSum(BigDecimal dlyAmtSum) {
        this.dlyAmtSum = dlyAmtSum;
    }

    public List<LoanDlyDescVo> getLoanDlyArray() {
        return loanDlyArray;
    }

    public void setLoanDlyArray(List<LoanDlyDescVo> loanDlyArray) {
        this.loanDlyArray = loanDlyArray;
    }

    public String getAutoTranBankCd() {
        return autoTranBankCd;
    }

    public void setAutoTranBankCd(String autoTranBankCd) {
        this.autoTranBankCd = autoTranBankCd;
    }

    public String getAutoTranBankNm() {
        return autoTranBankNm;
    }

    public void setAutoTranBankNm(String autoTranBankNm) {
        this.autoTranBankNm = autoTranBankNm;
    }

    public String getAutoTranAcntNo() {
        return autoTranAcntNo;
    }

    public void setAutoTranAcntNo(String autoTranAcntNo) {
        this.autoTranAcntNo = autoTranAcntNo;
    }

    public String getPrgsStatCd() {
        return prgsStatCd;
    }

    public void setPrgsStatCd(String prgsStatCd) {
        this.prgsStatCd = prgsStatCd;
    }

    public List<RmbrDescListVo> getRmbrDescListVoArray() {
        return rmbrDescListVoArray;
    }

    public void setRmbrDescListVoArray(List<RmbrDescListVo> rmbrDescListVoArray) {
        this.rmbrDescListVoArray = rmbrDescListVoArray;
    }

    public List<DueInfoVo> getDueInfoArray() {
        return dueInfoArray;
    }

    public void setDueInfoArray(List<DueInfoVo> dueInfoArray) {
        this.dueInfoArray = dueInfoArray;
    }

    public List<ApplStatVo> getApplStatArray() {
        return applStatArray;
    }

    public void setApplStatArray(List<ApplStatVo> applStatArray) {
        this.applStatArray = applStatArray;
    }

    public String getApplDivCd() {
        return applDivCd;
    }

    public void setApplDivCd(String applDivCd) {
        this.applDivCd = applDivCd;
    }

    public String getApplStatCd() {
        return applStatCd;
    }

    public void setApplStatCd(String applStatCd) {
        this.applStatCd = applStatCd;
    }

    public String getApplDt() {
        return applDt;
    }

    public void setApplDt(String applDt) {
        this.applDt = applDt;
    }

    public List<ChngAutoTranVo> getChngAutoTranArray() {
        return chngAutoTranArray;
    }

    public void setChngAutoTranArray(List<ChngAutoTranVo> chngAutoTranArray) {
        this.chngAutoTranArray = chngAutoTranArray;
    }
}
