<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/jsp/frame/tagLib.jsf" %>
<c:set var="userSession" value="${sessionScope.userSession}" />
<c:set var="userMenu" value="${sessionScope.userSession.menuList}" />
<header class="header">
</header>

<!-- mGnb (s) -->
<div class="mGnb">
	<div class="gnbHead">

		<div class="directLink">
			<button type="button" class="icoBtn_linkCert1" onclick="authCenter.finCertRegPageMv();">금융인증서 등록/해지</button>
			<button type="button" class="icoBtn_linkCert2" onclick="authCenter.finCertManage();">금융인증서 관리</button>
		</div>
	</div>

	<div class="gnbBody">
		<ul class="menu" id="menuTree"></ul>
	</div>
</div>
<div class="dimmed"></div>
<!-- mGnb (e) -->

<script type="text/javascript" src="/resources/comm/js/hlFinCertAgent.js"></script>
<script>
	const oneDepthMnuArr = new Array();		//1Depth 메뉴목록
	const twoDepthMnuArr = new Array();		//2Depth 메뉴목록
	const threeDepthMnuArr = new Array();	//3Depth 메뉴목록

	window.onload=function() {
		vTimeout.init('MO');

		<c:forEach items="${userMenu}" var="mnu">
			<c:choose>
				<c:when test="${mnu.mnuLve eq 1}">
					oneDepthMnuArr.push({
						mnuId: '${mnu.mnuId}',
						mnuLve: '${mnu.mnuLve}',
						mnuNm : '${mnu.mnuNm}',
						otptOdr: '${mnu.otptOdr}',
						mnuLinkAddr: '${mnu.mnuLinkAddr}'
					});
				</c:when>
				<c:when test="${mnu.mnuLve eq 2}">
					twoDepthMnuArr.push({
						mnuId: '${mnu.mnuId}',
						mnuLve: '${mnu.mnuLve}',
						mnuNm : '${mnu.mnuNm}',
						otptOdr: '${mnu.otptOdr}',
						mnuGrpId: '${mnu.mnuGrpId}',
						mnuLinkAddr: '${mnu.mnuLinkAddr}'
					});
				</c:when>
				<c:when test="${mnu.mnuLve eq 3}">
					threeDepthMnuArr.push({
						mnuId: '${mnu.mnuId}',
						mnuLve: '${mnu.mnuLve}',
						mnuNm : '${mnu.mnuNm}',
						otptOdr: '${mnu.otptOdr}',
						mnuGrpId: '${mnu.mnuGrpId}',
						mnuLinkAddr: '${mnu.mnuLinkAddr}'
					});
				</c:when>
				<c:otherwise></c:otherwise>
			</c:choose>
		</c:forEach>

	}

	const authCenter = {
			finCertRegPageMv: function() {
				window.location.href = "/cm/mo/comm/finCertRegDel.do";
			},
			finCertManage: function() {
				hlFct.manage();				
			}
		}

</script>
