<%@page import="com.ahnlab.v3mobileplus.webinterface.V3MobileManager"%>
<%@page import="com.ahnlab.v3mobileplus.webinterface.LicenseKeyManager"%>
<%@page import="hanalife.framework.comm.util.PropertiesHandler"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/jsp/frame/tagLib.jsf" %>
<spring:eval expression="@globalProperties['global.domainName.hlfl']" var="serverDomain" />
<%!
	String time;
	String aLicenseKey = PropertiesHandler.getInstance().getProperty("v3.license.key");

	public String getEncrptedLicenseKey(String aLicenseKey) {
		time = LicenseKeyManager.getInstance().getTimeValueForGettingEncLicenseKey();
		return LicenseKeyManager.getInstance().getEncLicenseKey(aLicenseKey, time);
	}
%>
<%
	String serverMode = PropertiesHandler.getInstance().getProperty("global.current.access.SERVER");
	boolean isExec = ("PROD".equals(serverMode) || "UAT".equals(serverMode)) ? true : false;

	String license = "";
	int cryptoKeyVersion = 0;
	int RootCheckTimeout = 10;	/* 기본값:10, 3 ~ 60초 설정 가능 */

	if (isExec) {
		license = getEncrptedLicenseKey(aLicenseKey);
		cryptoKeyVersion = V3MobileManager.getInstance().getCryptoKeyVersion();
	}

	//out.println("<br/>");
	//out.println("time="+time);
	//out.println("license="+license);
	//out.println("cryptoKeyVersion="+ cryptoKeyVersion);
%>
<!DOCTYPE html>
<html lang="ko">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
	<meta name="format-detection" content="telephone=no">

	<link rel="Shortcut Icon" href="/resources/mo/images/fav/favicon.png">

	<title>타이틀</title>

	<%@ include file="/WEB-INF/jsp/frame/commJsLib.jsf" %>
	<%@ include file="/WEB-INF/jsp/frame/mo/jsLib.jsf" %>
	<%@ include file="/WEB-INF/jsp/frame/mo/cssLib.jsf" %>
	<script type="text/javascript">
		let isMoLanding = true;
	</script>
<%
//로컬에서는 바인딩도 되지 않게 하기 위하여
if (isExec) {
	//V3스크립트 영역
%>
	<%--
	테스트를 위해 mpl_webview_cm.js 를 로컬에서 사용
	실제 운영시 웹 URL 사용 해당 부분 copy 해서 필요한 화면에 붙여서 사용
	<script type="text/javascript" src="https://mpl.ahnlab.com/js/mpl_webview_cm.js"></script>
	--%>
	<%
		if ("PROD".equals(serverMode)){
	%>
			<script type="text/javascript" src="https://mpl.ahnlab.com/js/mpl_webview_cm.js"></script>
	<%
		} else {
	%>
			<script type="text/javascript" src="https://${serverDomain}/solutions/v3/mpl_webview_cm.js"></script>
	<%
		}
	%>
	
	<script>
	//Global Variable.
	var V3M_NAME = 'v3m';
	var V3M_NAME_SESSION = 'session';
	var V3M_STATUS_ALIVE = 'ALIVE';
	var V3M_GLOBAL_RETRY_CNT = 0; // send 실패시 retry 3번을 counting 하기 위한 global 변수
	var V3M_GLOBAL_RETRY_83ERROR_CNT = 0;	// 83에러 카운트
	var V3M_TIMEOUT = 0;
	var V3M_TIMEOUT_MAX = 5000;
	var V3M_ALIVE_CHECK_INTERVAL = 500;
	var V3M_INTERVAL; 

	//17.05.11
	var V3M_START_STATUS = "";
	var V3M_LOAD_STATUS = "";

	/**
	 * HTML5 session Storage Data Setting.
	 * @param key
	 * @param value
	 * @param storagePlace
	 */
	function v3mSetStorage(key, value, storagePlace){
		var place;
		
		if(typeof storagePlace == 'undefined'){
			place = sessionStorage;
		} else if(storagePlace == 'local'){
			place = localStorage;
		} else if(storagePlace == 'session'){
			place = sessionStorage;
		} else {
			console.log('Storage Place Type Error!');
		}
		
		console.log('v3mSetStorage key:' + key + ' value:' + JSON.stringify(value));
		place.setItem(key, JSON.stringify(value));
	}

	/**
	 * HTML5 session Storage Data Called.
	 * @param key
	 * @param storagePlace
	 * @returns
	 */
	function v3mGetStorage(key, storagePlace){
		var place;

		if(typeof storagePlace == 'undefined'){
			place = sessionStorage;
		} else if(storagePlace == 'local'){
			place = localStorage;
		} else if(storagePlace == 'session'){
			place = sessionStorage;
		} else {
			console.log('Storage Place Type Error!');
		}

		console.log('v3mGetStorage key : ' + key + ' value:'+ place.getItem(key));
		return JSON.parse(place.getItem(key));
	}

	/**
	 * storage Data Check.
	 */
	function v3mCheckStorage(){

		var v3mParam = v3mGetStorage(V3M_NAME, V3M_NAME_SESSION)||{};

		if((v3mParam.tk != null && v3mParam.tk.length > 0)
				&& (v3mParam.cd != null && v3mParam.cd.length > 0)){
			return true;
		}

		return false;
	}

	/**
	 * mpl_start CallBack
	 * function Name fixed. (from AhnLab)
	 * @param res_code
	 * @param res_dtl
	 */
	function _callback_ahnlab(res_code, res_dtl) {
		/*
		XHR(XML Http Response)
		*/
		if(res_code != 200) {
			V3M_GLOBAL_RETRY_CNT++;
			
			switch(res_dtl) {
				case 70: /* HTTP REQUEST SENDING FAILED */
					console.log('ERROR HTTP CODE : ' + res_code + ' DETAIL CODE : ' + res_dtl);
					break;
				case 71: /* HTTP REQUEST SENDING FAILED WHEN INITIALIZING */
					console.log('ERROR HTTP CODE : ' + res_code + ' DETAIL CODE : ' + res_dtl);
					if(V3M_GLOBAL_RETRY_CNT < 3){
						v3mStart();			//V3 App 실행.
					}
					break;
				case 72: /* HTTP REQUEST SENDING FAILED WHEN CONNECTING */
					console.log('ERROR HTTP CODE : ' + res_code + ' DETAIL CODE : ' + res_dtl);
					if(V3M_GLOBAL_RETRY_CNT < 3){
						v3mStart();			//V3 App 실행.
					}
					break;
				case 73: /* HTTP REQUEST SENDING FAILED WHEN SENDING WEB_STATUS */
					console.log('ERROR HTTP CODE : ' + res_code + ' DETAIL CODE : ' + res_dtl);
					break;
				default:
					console.log('ERROR HTTP: ' + res_code);
				break;
			}
			return;
		}

		if(res_dtl == 0) {
			V3M_GLOBAL_RETRY_CNT = 0;
			V3M_GLOBAL_RETRY_83ERROR_CNT = 0;
			V3M_LOAD_STATUS = "Y";
			V3M_START_STATUS = "N";
			console.log('SUCCESS: ' + res_dtl);
			endV3mInterval();
			return;
		}

		console.log('ERROR DETAIL: ' + res_dtl);

		switch(res_dtl) {
		case 83: /* STATUS_NOT_EXIST */
			V3M_GLOBAL_RETRY_83ERROR_CNT++;
			console.log('V3M_GLOBAL_RETRY_83ERROR_CNT:' + V3M_GLOBAL_RETRY_83ERROR_CNT);
			console.log('V3M_LOAD_STATUS :' + V3M_LOAD_STATUS);
			console.log('V3M_START_STATUS :' + V3M_START_STATUS);
			
			//83에러가 
			if(V3M_GLOBAL_RETRY_83ERROR_CNT < 3){
				if(V3M_LOAD_STATUS == "Y"){
					if(!$('#v3Popup').is('visible')){
						v3mOpenLayerPopup();	
					}
				} else {
					v3mStart();			//V3 App 실행.
				}
			}

		case 99: /* UNKNOWN (System Error) */
			break;
		default:
			/* log */
			break;
		}

		if(V3M_GLOBAL_RETRY_83ERROR_CNT >= 3){
			uiInfo.mo.alert('(V3 ERROR : 83)\nV3 실행을 다시 시도 해 주시기 바랍니다.\n계속해서 정상 실행 되지 않는다면\n고객센터에 문의 바랍니다. 1899-8877', function() {
				location.href="/sb/mo/smartInfo.do?sbcDsgnNo=${sbcDsgnNo}";
			});
		}

	}
	
	/**
	 * 팝업 열기
	 */
	function v3mOpenLayerPopup(){
		$('#v3Start').off('click').on('click', function() {
			console.log('click event!!!');

			v3mAliveCheck();	//V3 ALIVE 체크 interval 실행.
			v3mStart();			//V3 App 실행.

<%
// 운영이 아닌 환경에서는 팝업을 강제로 닫도록 작업
if (!"PROD".equals(serverMode)){
	
%>
			v3mPopupClose();
<%
}
%>
		});
		setTimeout(function() {
			layerPop.open('v3Popup');
		}, 1000);
	}
	
	/**
	 * 팝업 닫기
	 */
	function v3mPopupClose(){
		layerPop.close('v3Popup');
	}

	/**
	 * load
	 */
	function v3mGetLoad(){
		var v3mParam = v3mGetStorage(V3M_NAME, V3M_NAME_SESSION)||{};
		if(v3mParam.tk != '' && v3mParam.cd != ''){
			V3M_LOAD_STATUS = "Y";
			V3M_START_STATUS = "N";
			mpl_load(v3mParam.tk, v3mParam.cd);
		}
	}

	/**
	 * initialize.
	 */
	function v3mInitialize(){
		
		//1. V3 상태 확인
		if(v3mCheckStorage()){	//토큰 값이 있으면 Load 시도.
			
			v3mGetLoad();
		
			//1.0 초뒤에 status 체크
			setTimeout(function(){
				
				var status = mpl_status();
				if(status == V3M_STATUS_ALIVE){ //ALIVE 상태면 
					V3M_GLOBAL_RETRY_83ERROR_CNT = 0;
					V3M_LOAD_STATUS = "Y";
					V3M_START_STATUS = "N";
				}
			}, 1000);
			
		} else {
			v3mOpenLayerPopup();
			return;
		}
	}

	/**
	 * End V3m Interval.
	 */
	function endV3mInterval(){
		clearInterval(V3M_INTERVAL);
		V3M_INTERVAL = null;
		layerPop.close('v3Popup');
	}

	/**
	 * App(with Server status) AliveCheck.
	 */
	function v3mAliveCheck(){

		if(V3M_INTERVAL != null){
			return false;
		}

		V3M_INTERVAL = setInterval(function(){
			
			V3M_TIMEOUT = V3M_TIMEOUT + V3M_ALIVE_CHECK_INTERVAL;
			
			var status = mpl_status();
			if(status == V3M_STATUS_ALIVE){//V3 Token 유지
				
				V3M_TIMEOUT = 0;
				V3M_GLOBAL_RETRY_83ERROR_CNT = 0;
				endV3mInterval();
				
			} else {
				
			}
			
		}, V3M_ALIVE_CHECK_INTERVAL);
		
	}

	/**
	 * App start.
	 * @param randomKey
	 */
	function v3mStart(){
		console.log('v3mStart..');
		
		mpl_start('<%= license %>', '<%= time %>');
		V3M_START_STATUS = "Y";
		V3M_LOAD_STATUS = "N";
		
		console.log('v3mStart..complete.');
		
		setTimeout(function(){
			var tk = mpl_token();
			var cd = (mpl_enc_param()||'').toString();
			
			var v3mParam = {};
			v3mParam.tk = tk||'';
			v3mParam.cd = cd||'';
			v3mSetStorage(V3M_NAME, v3mParam, V3M_NAME_SESSION);

		}, 1000);
	}

	/**
	 * V3 실행
	 */
	$(window).on('load', function() {
		if(hlflApp.isAndroid()) {
			// 안드로이드에서만 V3 실행
			var v3mUrlPath = location.pathname;	//접속 URL.
			//if(	v3mUrlPath.indexOf('/sb/mo/sbIdentification.do') > -1) {
				v3mInitialize();
			//}
		}
	});
	</script>
<%
}
%>
</head>
<body>
<header class="header"><button type="button" class="icoBtn_appLogo" aria-label="하나생명"></button><h1>하나생명</h1></header>

<!-- content (s) -->
<tiles:insertAttribute name="body" />
<!-- content (e) -->

<div class="popWrap" id="v3Popup">
	<section class="popup bottomSheet">
		<div class="popCont">
			<div class="popBody">
				<div class="surveyItem">
					<p class="txtM">
					고객님의 안전을 위한 앱이니 안심하고 실행해주세요.<br>-앱 설치가 안되신분은 설치화면으로 자동이동됩니다.-<br>(설치 후 앱을 열지말고 뒤로가기를 해주세요.)
					</p>
				</div>
				<div class="btnArea sticky">
					<button type="button" class="btn_p" id="v3Start">V3 Mobile Plus 2.0 실행</button>
				</div>
			</div>
		</div>
	</section>
</div>

</body>
</html>