<!-- * 프로젝트 : 하나생명 NEW SFA 시스템 구축
     * 설   명 :
     * 작 성 자 :
     *
     * << 개정이력(Modification Information) >>
     * ========================================================
     *   수정일                   수정자             수정 내용
     * --------------------------------------------------------
     *   2022.06.23                      최초 생성
     * ======================================================== -->
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>

<!-- popup (s) -->
<div class="popWrap" id="mobileAuthPop">
	<section class="popup">
		<header><h1>휴대폰 본인인증</h1></header>
		<!-- 여기서부터 실제 내용입니다. (s) -->

		<div class="pageTit">
			<h2 class="titH2 fwL"><em class="pointC1">본인명의 휴대폰</em>으로 <br>인증을 진행해 주세요.</h2>
		</div>

		<ul class="formList">
			<li>
				<div class="itemTh">이름</div>
				<div class="dataTd">
					<input type="text" class="ipt" id="hpAuthName vaildationInputArea" placeholder="예 : 김하나">
				</div>
			</li>
			<li>
				<div class="itemTh">주민등록번호</div>
				<div class="setHalf">
					<input type="tel" class="ipt" id="hpAuthBirth vaildationInputArea" maxlength="6" title="주민등록번호 앞 생년월일 6자리">
					<span class="sign">-</span>
					<div class="keypad letter1">
						<input type="tel" class="ipt" id="hpAuthGender vaildationInputArea" maxlength="1" title="주민등록번호 뒤 첫 1자리">
					</div>
				</div>
			</li>
			<li>
				<div class="itemTh">휴대폰번호</div>
				<select class="ipt" id="hpAuthTelCorp vaildationInputArea" title="통신사 선택">
					<option value="SKT">SKT</option>
		            <option value="KTF">KT</option>
		            <option value="LGT">LGU+</option>
					<option value="SKM">SK MVNO</option>
					<option value="KTM">KT MVNO</option>
					<option value="LGM">LG MVNO</option>
				</select>
				<div class="setPhone">
					<select class="ipt" id="hpAuthTel1 vaildationInputArea" title="휴대폰번호 앞 3자리 입력">
						<option value="010">010</option>
			            <option value="011">011</option>
			            <option value="016">016</option>
			            <option value="017">018</option>
			            <option value="018">018</option>
			            <option value="019">019</option>
					</select>
					<input type="tel" class="ipt" id="hpAuthTel2 vaildationInputArea" maxlength="8" placeholder="숫자만 입력" >
				</div>
			</li>
		</ul>

		<div class="termsAll accoItem on">
			<div class="accoHead">
				<input type="checkbox" class="ipt" name="" id="terms_all_1" onclick="allCehckVaildation(this)">
				<label for="terms_all_1" class="allChk">전체 동의</label>
				<button type="button" class="icoBtn_acco"></button>
			</div>
			<div class="accoBody">
				<!-- 약관 (s) -->
				<ul class="termsWrap">
					<li class="on">
						<div class="accoHead">
							<input type="checkbox" class="ipt chkRk" name="" id="terms_all_1_1" onclick="authBtnEvent()">
							<label for="terms_all_1_1" class="chkR">개인(신용)정보 수집 및 이용 동의 <em class="pointC1">(필수)</em></label>
							<button type="button" class="icoBtn_arrow"></button>
						</div>
					</li>
					<li>
						<div class="accoHead">
							<input type="checkbox" class="ipt chkRk" name="" id="terms_all_1_2" onclick="authBtnEvent()">
							<label for="terms_all_1_2" class="chkR">고유식별정보 처리 동의 <em class="pointC1">(필수)</em></label>
							<button type="button" class="icoBtn_arrow"></button>
						</div>
					</li>
					<li>
						<div class="accoHead">
							<input type="checkbox" class="ipt chkRk" name="" id="terms_all_1_3" onclick="authBtnEvent()">
							<label for="terms_all_1_3" class="chkR">통신사 이용약관 동의 <em class="pointC1">(필수)</em></label>
							<button type="button" class="icoBtn_arrow"></button>
						</div>
					</li>
					<li>
						<div class="accoHead">
							<input type="checkbox" class="ipt chkRk" name="" id="terms_all_1_4" onclick="authBtnEvent()">
							<label for="terms_all_1_4" class="chkR">서비스 이용약관 동의 <em class="pointC1">(필수)</em></label>
							<button type="button" class="icoBtn_arrow"></button>
						</div>
					</li>
				</ul>
				<!-- 약관 (e) -->
			</div>
		</div>
		<div class="ac">
			<button type="button" class="btn_s m" id="authReqBtn" disabled="disabled" onclick = "MCM00002102P.fn_requestMobileAuth();">인증요청</button>
		</div>

		<hr>

		<ul class="formList">
			<li>
				<div class="itemTh">인증번호</div>
				<div class="setCount">
					<input type="tel" class="ipt notDel" id = "hpsmsnum" maxlength="6" placeholder="숫자만 입력" title="인증번호 입력">
					<span class="count" id="countDownTimerIj">남은시간 <em></em></span>
				</div>
			</li>
		</ul>

		<!-- 여기서부터 실제 내용입니다. (e) -->
		<div class="btnArea half sticky ">
			<button type="button" class="btn_g" onclick = "layerPop.close('mobileAuthPop')">취소(인증수단 변경)</button>
			<button type="button" class="btn_p" disabled="disabled" id="authExecBtn" onclick = "MCM00002102P.fn_confirmMobileAuth();">인증</button>
		</div>

		<button type="button" class="icoBtn_close" onclick = "layerPop.close('mobileAuthPop')"></button>
	</section>
</div>
<!-- popup (e) -->

<script type="text/javascript" src="/resources/mo/js/cm/comm/MCM00002102P.js"></script>