﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

var strTitle = "알람";
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	var roleFg = false;
	for(var i = 0; i < G_USER_ROLE.getrowcount(); i++){
		var role = G_USER_ROLE.getdatabyname(i , "roleNo");
		if(G_USER_ROLE.getdatabyname(i , "roleNo") == "AD23"){
			this.Grid_acct.setcolumneditable(9,true);
			this.Grid_acct.setcolumneditable(10,true);
		}else{
			this.Grid_acct.setcolumneditable(9,false);
			this.Grid_acct.setcolumneditable(10,false);
		} 
		
		if(role == "AK01" || role == "AK03" || role == "SYS02" ){
			roleFg = true;
		}
	}
	
	if(roleFg){
		this.Btn_add.setvisible(true);
		this.Btn_del.setvisible(true);
		this.Btn_copy.setvisible(true);
	}else {
		this.Btn_add.setvisible(false);
		this.Btn_del.setvisible(false);
		this.Btn_copy.setvisible(false);
		
	}
	
	SYSTran.getComCode(this.screen, "A00009", this.DS_CD_A00009, true);	// 계정_구분코드
	SYSTran.getComCode(this.screen, "A00002", this.DS_CD_A00002, true);	// 차대_구분코드
	SYSTran.getComCode(this.screen, "A00010", this.DS_CD_A00010, true);	// 관리_번호_구분코드
	
	SYSTran.getComCode(this.screen, "A00002", this.DS_CD_A00002, true);	// 차대_구분코드
	SYSTran.getComCode(this.screen, "A00119", this.DS_CD_A00119, true);
	SYSTran.getComCode(this.screen, "A00120", this.DS_CD_A00120, true);
	
	this.DS_ACCT_SM.init();
	this.DS_ACCT_SM.addrow();
	
	// 기준일자 오늘날짜로 셋팅
	this.DS_ACCT_SM.setdatabyname(0, "acctYy", factory.datetoday());
	
	this.DS_ACCT_SD_01.init();
	
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");

	if(factory.stringbytelen(this.Cal_condAcctYy.gettext()) < 4){
		SYSUtil.loadMessageBox(screen, "알림", 1, "회계년도를 입력하세요.", "msg01");
		this.Cal_condAcctYy.setfocus();
		return false;
	}

	this.screen.setscreenprotect(true); // 화면잠금
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen,"AACSFM03S01");

}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_insert() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	var chkRow = 0;
	var delRow = 0;
	for(var i=0; i<this.DS_ACCT_SD_01.getrowcount(); i++ ) {
		var strOperation = this.DS_ACCT_SD_01.getrowoperation(i);
		if(strOperation == XFD_ROWOP_INSERT || strOperation == XFD_ROWOP_UPDATE) {
			chkRow++;
		} else if(strOperation == XFD_ROWOP_DELETE) {
			chkRow++;
			delRow++;
		}
	}
	
	if (chkRow == 0) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "변경된 데이터가 없습니다.", "msg01");
		return;
	}
	
	for(var j =0; j< this.DS_ACCT_SD_01.getrowcount(); j++){
		var chkOperation = this.DS_ACCT_SD_01.getrowoperation(j);	
		if(chkOperation == XFD_ROWOP_INSERT || chkOperation == XFD_ROWOP_UPDATE) {
			if(factory.stringbytelen(factory.stringtrim(this.DS_ACCT_SD_01.getdatabyname(j,"acctYy"))) == 0) {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "년도는 필수 입력 항목입니다.", "msg01");
				this.Grid_acct.setselectitemex(j, 0, false);
				this.Grid_acct.setitemeditable(j, 0, true);
				return; 
			}
			
			if(factory.stringbytelen(factory.stringtrim(this.DS_ACCT_SD_01.getdatabyname(j,"acctDivCd"))) == 0) {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "계정구분은 필수 입력 항목입니다.", "msg01");
				this.Grid_acct.setselectitemex(j, 1, false);
				this.Grid_acct.setitemeditable(j, 1, true);
				return; 
			}
			
			if(factory.stringbytelen(factory.stringtrim(this.DS_ACCT_SD_01.getdatabyname(j,"acctCd"))) == 0) {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "계정코드는 필수 입력 항목입니다.", "msg01");
				this.Grid_acct.setselectitemex(j, 2, false);
				this.Grid_acct.setitemeditable(j, 2, true);
				return; 
			}
			
			if(factory.stringbytelen(factory.stringtrim(this.DS_ACCT_SD_01.getdatabyname(j,"acctNm"))) == 0) {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "계정명은 필수 입력 항목입니다.", "msg01");
				this.Grid_acct.setselectitemex(j, 4, false);
				this.Grid_acct.setitemeditable(j, 4, true);
				return; 
			}
			
			if(factory.stringbytelen(factory.stringtrim(this.DS_ACCT_SD_01.getdatabyname(j,"dcDivCd"))) == 0) {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "차대구분은 필수입력 항목입니다.", "msg01");
				this.Grid_acct.setselectitemex(j, 8, false);
				this.Grid_acct.setitemeditable(j, 8, true);
				return; 
			}
		}
	}
	
	if(delRow > 0){
		if(!SYSUtil.comConfirm("삭제 항목이 존재합니다. 정말 삭제하시겠습니까?")){
			for(var k = 0; k<this.DS_ACCT_SD_01.getrowcount(); k++){
				if(this.DS_ACCT_SD_01.getrowoperation(k) == XFD_ROWOP_DELETE){
					this.DS_ACCT_SD_01.setrowoperation(k, XFD_ROWOP_NONE);
				}
			}
		}	
	}
	
	screen.setscreenprotect(true); //화면잠금
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen,"AACSFM03I01");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	this.DS_ACCT_SM.init();
	this.DS_ACCT_SD_01.init();
	this.DS_ACCT_SD_02.init();
	
	this.DS_ACCT_SM.addrow();
	this.DS_ACCT_SM.setdatabyname(0, "acctYy", factory.datetoday().substr(0,4));
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
//추가버튼
function Btn_add_on_mouseup(objInst)
{
	var nRow = this.DS_ACCT_SD_01.addrow();
	this.Grid_acct.setselectitemex(nRow, 0, false);
	this.Grid_acct.setitemeditable(nRow, 0, true);
	// Grid Edit상태 변경
	this.fn_gridExpr();
}

//삭제버튼
function Btn_del_on_mouseup(objInst)
{
	this.DS_ACCT_SD_01.setrowoperation(this.Grid_acct.getselectrow(), XFD_ROWOP_DELETE);
	this.Grid_acct.setrowhidden(this.Grid_acct.getselectrow(), true);
}

//계정복사
function Btn_copy_on_mouseup(objInst)
{
	if(factory.stringbytelen(factory.stringtrim(this.Cal_fromAcctYy.gettext())) != 4 ){
		SYSUtil.loadMessageBox(screen, strTitle, 1, "년도(From)를 입력하세요.", "errMsg01");
		this.Cal_fromAcctYy.setfocus();
		return false;	
	}
	
	if(factory.stringbytelen(factory.stringtrim(this.Cal_toAcctYy.gettext())) != 4){
		SYSUtil.loadMessageBox(screen, strTitle, 1, "년도(To)를 입력하세요.", "errMsg01");
		this.Cal_toAcctYy.setfocus();
		return false;	
	}
	
	if(this.Cal_fromAcctYy.gettext () == this.Cal_toAcctYy.gettext()) {
		SYSUtil.loadMessageBox(screen, strTitle, 1, "복사할 년도(From)와 년도(To)가 달라야 합니다.", "errMsg01");
		this.Cal_toAcctYy.setfocus();	
		return false;
	}
	
	this.screen.setscreenprotect(true); // 화면잠금
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "AACSFM03U01");

}
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
	
	if(mapid == "AACSFM03S01"){
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
			// Grid Edit상태 변경
			this.DS_ACCT_SD_01.setallrowoperation(XFD_ROWOP_NONE);
		} else {
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "AACSFM03I01"){
		if(result == "1") {
			console.log("저장이 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("저장이 완료 되었습니다.");
			this.ue_query();
		} else {
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "AACSFM03U01") {
		if(result == "1") {
			this.ue_query();
			console.log("복사가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("복사가 완료 되었습니다.");
		} else {
			screen.setscreenprotect(false); //화면잠금해제
			if(recv_code < 0) {
				recv_msg = SYSUtil.replaceAll(recv_msg, "java.lang.Exception: ", "");
		        SYSUtil.setStatusMsg(recv_msg);
		        SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "msg00");
			} else {
				SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
			}
		}
	}
}

// AS-IS 그리드 edit expr 작성부분
function fn_gridExpr(){
	if(this.DS_ACCT_SD_01.getrowoperation(this.DS_ACCT_SD_01.getpos()) == XFD_ROWOP_INSERT) {
		this.Grid_acct.setitemeditable(this.DS_ACCT_SD_01.getpos(), 0, true);
		this.Grid_acct.setitemeditable(this.DS_ACCT_SD_01.getpos(), 2, true);
	} else {
		this.Grid_acct.setitemeditable(this.DS_ACCT_SD_01.getpos(), 0, false);
		this.Grid_acct.setitemeditable(this.DS_ACCT_SD_01.getpos(), 2, false);
	}
	
	if(this.DS_ACCT_SD_01.getdatabyname(this.DS_ACCT_SD_01.getpos(), "acctDivCd") == '5' &&
	   this.DS_ACCT_SD_01.getdatabyname(this.DS_ACCT_SD_01.getpos(), "budgAcctFg") == '1') {
		this.Grid_acct.setitemeditable(this.DS_ACCT_SD_01.getpos(), 10, true);
	} else {
		this.Grid_acct.setitemeditable(this.DS_ACCT_SD_01.getpos(), 10, false);
	}
	
	if(this.DS_ACCT_SD_01.getdatabyname(this.DS_ACCT_SD_01.getpos(), "totAcctFg") == '1') {
		this.Grid_acct.setitemeditable(this.DS_ACCT_SD_01.getpos(), 16, false);
	} else {
		this.Grid_acct.setitemeditable(this.DS_ACCT_SD_01.getpos(), 16, true);
	}
}

function Grid_acct_on_click(objInst)
{
	this.fn_gridExpr();
}

function Grid_acct_on_itemvaluechanged(objInst, nRow, nColumn, strPrevItemText, strItemText)
{
	if(this.DS_ACCT_SD_01.getdatabyname(nRow, "acctDivCd") == '5' &&
	   this.DS_ACCT_SD_01.getdatabyname(nRow, "budgAcctFg") == '1') {
		this.Grid_acct.setitemeditable(nRow, 10, true);
	} else {
		this.Grid_acct.setitemeditable(nRow, 10, false);
	}
	
	if(this.DS_ACCT_SD_01.getdatabyname(nRow, "totAcctFg") == '1') {
		this.Grid_acct.setitemeditable(nRow, 16, false);
	} else {
		this.Grid_acct.setitemeditable(nRow, 16, true);
	}
}