﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");

	SYSUtil.setCommonButtonVisible(this.screen,"INSERT",false);
	SYSUtil.setCommonButtonVisible(this.screen,"UPDATE",false);
	SYSUtil.setCommonButtonVisible(this.screen,"DELETE",false);
	SYSUtil.setCommonButtonVisible(this.screen,"PRINT",false);
	
	 
	/*관리부서*/
	this.DS_HT_ORG.copy(G_DEPT,"");
	SYSUtil.addComboAllColumn(this.cbo_Org);
	this.cbo_Org.settext("");
	
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_HTEMPBASE52);
	this.DS_DIC_HTEMPBASE52.insertrow(0,1);
	this.DS_DIC_HTEMPBASE52.setdatabyname(0,"empNo","");
	this.DS_DIC_HTEMPBASE52.setdatabyname(0,"korName","- 선택 -");
	this.cbo_bndDivsEmpNo.setselectedindex(0);
	
	/*공통코드 정의*/
	SYSTran.getComCode(this.screen, "B00050", this.DS_CD_B00050, true);	// DS_ASGN_STAT
	SYSTran.getComCode(this.screen, "B00226", this.DS_CD_B00226, true);	// DS_BND_MNG_PLC_CD
	SYSTran.getComCode(this.screen, "S00138", this.DS_CD_S00138, true);	// DS_GOD_CD
	
	/*상품 콤보 박스 데이터 불러오기 */
	SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_PRDT_CLAS_LGMID);
	this.DS_DIC_BT_PRDT_CLAS_LGMID.insertrow(0,1,true);
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0, "code", "");
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0, "value", "- 선택 -");
	this.cbo_Prdt.setselectedindex(0);
	
	
	this.cal_EprtDtSt.settext(factory.datetoday());
	this.cal_EprtDtEd.settext(factory.datetoday());
	this.opt_LoanRegStat.setcheck(true);
	
} 

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	if(this.cbo_Org.getselectedcode() == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "관리부서를 선택하시오", "msg07");
		this.cbo_Org.setfocus();
		return false;
	}
	
	this.DS_SMDO01.deleteallrows();
	this.DS_SMDO01.addrow();


	this.DS_SDDO01.deleteallrows();
	this.DS_SDDO02.deleteallrows();

	
	this.DS_SMDO01.setdatabyname(0,"deptCd",this.cbo_Org.getselectedcode());
	this.DS_SMDO01.setdatabyname(0,"prodLrgeClasCd", this.cbo_Prdt.getselectedcode().substr(0,1));
	this.DS_SMDO01.setdatabyname(0,"prodMidClasCd",this.cbo_Prdt.getselectedcode().substr(1,2));
	this.DS_SMDO01.setdatabyname(0,"bndDivsEmpNo",this.cbo_DivsMan.getselectedcode());
	
	this.DS_SMDO01.setdatabyname(0,"comgTimsSt",this.edt_ComgTimsSt.gettext());
	this.DS_SMDO01.setdatabyname(0,"comgTimsEd",this.edt_ComgTimsEd.gettext());
	this.DS_SMDO01.setdatabyname(0,"dlyTimsSt", this.edt_DlyTimsSt.gettext());
	this.DS_SMDO01.setdatabyname(0,"dlyTimsEd",this.edt_DlyTimsEd.gettext());
	
	this.DS_SMDO01.setdatabyname(0,"eprtDtSt",this.cal_EprtDtSt.gettext());
	this.DS_SMDO01.setdatabyname(0,"eprtDtEd",this.cal_EprtDtEd.gettext());
	
	this.DS_SMDO01.setdatabyname(0,"crdtStatCd",this.cbo_CrdtStatCd.getselectedcode());
	this.DS_SMDO01.setdatabyname(0,"leglActnFg",this.cbo_LeglActnFg.getselectedcode());
	this.DS_SMDO01.setdatabyname(0,"asgnStat",this.cbo_AsgnStat.getselectedcode());
	
	this.DS_SMDO01.setdatabyname(0,"loanNo",this.edt_LoanNo.gettext());
	this.DS_SMDO01.setdatabyname(0,"loanSeq",this.edt_LoanSeq.gettext());
	
	this.DS_SMDO01.setdatabyname(0,"preDlyTimsSt",this.edt_PreDlyTimsSt.gettext());
	this.DS_SMDO01.setdatabyname(0,"preDlyTimsEd",this.edt_PreDlyTimsEd.gettext());
	
	
	if(this.edt_TranTimsSt.gettext().trim().length != 0 && this.edt_TranTimsEd.gettext().trim().length != 0){
		this.DS_SMDO01.setdatabyname(0,"tranTimsSt", this.edt_TranTimsSt.gettext());
		this.DS_SMDO01.setdatabyname(0,"tranTimsEd",this.edt_TranTimsEd.gettext());
	}else if(this.edt_TranTimsSt.gettext().trim().length == 0 && this.edt_TranTimsEd.gettext().trim().length == 0){
		this.DS_SMDO01.setdatabyname(0,"tranTimsSt", "");
		this.DS_SMDO01.setdatabyname(0,"tranTimsEd","");
	}else {
		SYSUtil.loadMessageBox(screen, "알림", 1, "전이회차는 전월/당월 모두 입력해야 합니다.", "msg07");
		this.edt_TranTimsSt.setfocus();
		return false;
	}
	if(this.opt_LoanRegStat.getcheck()){
		this.DS_SMDO01.setdatabyname(0,"loanRegStat",1);
	}else{
		this.DS_SMDO01.setdatabyname(0,"loanRegStat",0);
	}
	
	if(this.opt_BadDebtStat.getcheck()){
		this.DS_SMDO01.setdatabyname(0,"badDebtStat",1);
	}else{
		this.DS_SMDO01.setdatabyname(0,"badDebtStat",0);
	}
	
	this.DS_SMDO01.setdatabyname(0,"bndMngPlcCd","");
	this.DS_SMDO01.setdatabyname(0,"setlDtTo",this.cbo_Combo1.getselectedcode());
	this.DS_SMDO01.setdatabyname(0,"setlDtFr",this.cbo_Combo2.getselectedcode());
	this.DS_SMDO01.setdatabyname(0,"lnDivsEmpNo",this.cbo_bndDivsEmpNo.getselectedcode());
	this.DS_SMDO01.setdatabyname(0,"godCd",this.cbo_Combo3.getselectedcode());
	
	if(this.tab_Rslt.gettabitemfocus() == 0){ // 담당자별 tab 선택 되었을때 
		this.DS_SDDO01.deleteallrows();
		this.DS_SMDO01.setdatabyname(0,"tabFlag",0);
	}else{ //명세 tab 선택 되었을때
		this.DS_SDDO02.deleteallrows();
		this.DS_SMDO01.setdatabyname(0,"tabFlag",1);
	}
	
	this.screen.setscreenprotect(true);
	console.log("-=-=-=-=-=-=-=-=-현재 탭 값  :"+this.tab_Rslt.gettabitemfocus()+"-=-=-=-=-==-=-==-=-=" );
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "BBMGMM02S01");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	this.DS_SMDO01.init();
	this.DS_SDDO02.init();
	this.DS_SDDO01.init();
	
	this.cbo_Org.setselectedindex(0); 	//관리부서
	this.cbo_Prdt.setselectedindex(0); 	//상품
	this.cbo_DivsMan.setselectedindex(0);	//채권 담당자
	
	this.cal_EprtDtSt.settext(factory.datetoday()); 	//만기일자_시작일자
	this.cal_EprtDtEd.settext(factory.datetoday());	//만기일자_종료일자
	
	this.edt_ComgTimsSt.settext("");	//당월도래회차_시작
	this.edt_ComgTimsEd.settext("");	//당월도래회차_종료
	
	this.edt_DlyTimsSt.settext("");	//당월연체회차_시작
	this.edt_DlyTimsEd.settext("");	//당월연체회차_종료
	
	this.edt_PreDlyTimsSt.settext("");	//전월연체회차_시작
	this.edt_PreDlyTimsEd.settext("");	//전월연체회차_종료
	
	this.edt_TranTimsSt.settext("");	//전이회차_시작
	this.edt_TranTimsEd.settext("");	//전이회차_시작
	
	this.cbo_CrdtStatCd.setselectedindex(0);	//신용상태
	this.cbo_LeglActnFg.setselectedindex(0);	//법적조치
	this.cbo_AsgnStat.setselectedindex(0);	//배정상태

	this.edt_LoanNo.settext("");		//대출번호
	this.edt_LoanSeq.settext("");	   //대출순서
	
	this.cbo_bndDivsEmpNo.setselectedindex(0);	//여신 담당자
	this.cbo_Combo1.setselectedindex(0);	//결제일_시작
	this.cbo_Combo2.setselectedindex(0);	//결제일_종료
	this.cbo_Combo3.setselectedindex(0);	//물품구분
	
	this.opt_LoanRegStat.setcheck(true);	//대출확정
	this.opt_BadDebtStat.setcheck(false);	//대손채권
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

//공통 조회 클릭 이벤트 함수
function image6_on_mouseup(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edt_LoanNo.gettext(), "loanSeq":this.edt_LoanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}
/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edt_LoanNo.settext(objExtdata.loanNo);
			this.edt_LoanSeq.settext(objExtdata.loanSeq);	
		}
	}		
}

function cboOrg_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	this.DS_MNG_DEPT_CD.init();
	this.DS_MNG_DEPT_CD.addrow();
	this.DS_MNG_DEPT_CD.setdatabyname(0, "mngDeptCd", this.cbo_Org.getselectedcode());
	
	this.DS_DIVS_MAN.init();
	
	this.screen.setscreenprotect(true); // 화면잠금
	var reqSubmit = SYSTran.requestSubmitAsync(this.screen, "BBMGMM02S02");
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false);
	
	if(mapid == "BBMGMM02S01"){
		if(result == 1){
			console.log("조회가 완료 되었습니다.");
			this.DS_SMDO01_C.init();
			this.DS_SMDO01_C.copy(this.DS_SMDO01,0, false);
		}else{
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
			SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}
	else if(mapid == "BBMGMM02S02"){
		
		if(result == 1){
			this.DS_DIVS_MAN.insertrow(0,1,true);
			this.DS_DIVS_MAN.setdatabyname(0,"empNo", "");
			this.DS_DIVS_MAN.setdatabyname(0,"korName","- 선택 -");
			this.cbo_DivsMan.setselectedindex(0);
			console.log("관리 부서에 해당하는 사원 정보 조회 완료 되었습니다.");
		}else{
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	     SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
		
	}
}

function grd_Rslt1_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("###### grid dbclick row : "+ nDblClickRow);
	this.tab_Rslt.settabitemfocus(1);
	
	this.DS_SMDO01.init();
	this.DS_SMDO01.copy(this.DS_SMDO01_C,0,false);
	
	var bndDivsEmpNm = this.DS_SDDO01.getdatabyname(nDblClickRow, "bndDivsEmpNm");
	
	this.DS_SMDO01.setdatabyname(0,"bndDivsEmpNo", this.DS_SDDO01.getdatabyname(nDblClickRow, "bndDivsEmpNm"));
	this.DS_SMDO01.setdatabyname(0,"tabFlag",1);
	
	var reqSubmit = SYSTran.requestSubmit(screen, "BBMGMM02S01");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}



function grd_Rslt2_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("##### grd_Rslt2 item dbclick #####");
	
	//채권상담관리 화면 이동
	var G_LOAN_NO = this.DS_SDDO02.getdatabyname(nDblClickRow, "loanNo");
	var G_LOAN_SEQ = this.DS_SDDO02.getdatabyname(nDblClickRow, "loanSeq'");
	var G_CS_NO = ""; //G_CS_NO = "";
	var G_CS_NM = ""; //G_TMPVAL10 = "";
	
	var sendData = {"LOAN_NO" : G_LOAN_NO, "LOAN_SEQ" : G_LOAN_SEQ };
	
	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/CN/UI/BCNUIM02","채권상담관리" , sendData);
}