﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

var initFlag = false;

var PARAM_LOAN_NO 	= "";
var PARAM_LOAN_SEQ 	= "";
var PARAM_CUST_NO	= "";

var param = "";
var popupOpenYn = false;
var popupId = 0;
var popupRefrId = 0;

var logInUserNo = G_EMP_INFO.getdatabyname(0,"USER_NO");
var logInDeptCd = G_EMP_INFO.getdatabyname(0,"DEPT_CD");

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	

	
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;
	
	SYSTran.getComCode(this.screen, "B00082", this.DS_CD_B00082);	// 상담안내관계코드(B00082) DS_LOAN_REL_CD > DS_CD_B00082
	SYSTran.getComCode(this.screen, "B00086", this.DS_CD_B00086);	// 연락상태(B00086) DS_CNTC_STAT > DS_CD_B00086
	SYSTran.getComCode(this.screen, "B00105", this.DS_CD_B00105);	// 고객성향(B00105) DS_CUST_TRND > DS_CD_B00105
	SYSTran.getComCode(this.screen, "B00103", this.DS_CD_B00103);	// 통화안내유형코드(B00103) DS_TELC_TP > DS_CD_B00103
	SYSTran.getComCode(this.screen, "B00060", this.DS_CD_B00060);	// 중점사유코드(B00060) DS_POINT > DS_CD_B00060
	
	SYSTran.getComCode(this.screen, "S00008", this.DS_CD_S00008);	// 통화처(S00008) DS_TELC_PLC > DS_CD_S00008
	// CD_DESC_NO IN ('01','04','07','08','10','13','14','15','16','17','18','21','99') 적용
	strFilter = "";
	strFilter += "\"cdDescNo\":=:\"01\":|,";
	strFilter += "\"cdDescNo\":=:\"04\":|,";
	strFilter += "\"cdDescNo\":=:\"07\":|,";
	strFilter += "\"cdDescNo\":=:\"08\":|,";
	strFilter += "\"cdDescNo\":=:\"10\":|,";
	strFilter += "\"cdDescNo\":=:\"13\":|,";
	strFilter += "\"cdDescNo\":=:\"14\":|,";
	strFilter += "\"cdDescNo\":=:\"15\":|,";
	strFilter += "\"cdDescNo\":=:\"16\":|,";
	strFilter += "\"cdDescNo\":=:\"17\":|,";
	strFilter += "\"cdDescNo\":=:\"18\":|,";
	strFilter += "\"cdDescNo\":=:\"21\":|,";
	strFilter += "\"cdDescNo\":=:\"99\"";
	this.DS_CD_S00008.copy(this.DS_CD_S00008, strFilter);
	
	this.calSetlDt.settext( factory.datetoday() );
	
	if(this.EXTRA_DATA != null){
		this.edtLoanNo.settext(this.EXTRA_DATA.loanNo);
		this.edtLoanSeq.settext(this.EXTRA_DATA.loanSeq);
		this.edtCustNo.settext(this.EXTRA_DATA.csNo);
	}
	
	if( this.edtLoanNo.gettext() != "" || this.edtCustNo.gettext() != "" ){
		this.ue_query();
	}
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	
	console.log("#### ue_query() call");
	
	if (SYSUtil.Trim(this.edtLoanNo.gettext()) == "" && SYSUtil.Trim(this.edtCustNo.gettext()) == "" && SYSUtil.Trim(this.edtTelNo.gettext()) == "") 
	{
		//alert("대출번호 또는 고객번호 또는 휴대전화번호를 입력하십시요");
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호 또는 고객번호 또는 휴대전화번호를 입력하십시요", "msg01");
		return false;
	}
	
	if (SYSUtil.Trim(this.edtLoanNo.gettext()) == null && SYSUtil.Trim(this.edtCustNo.gettext()) == null && SYSUtil.Trim(this.edtTelNo.gettext()) == null) 
	{
		//alert("대출번호 또는 고객번호 또는 휴대전화번호를 입력하십시요");
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호 또는 고객번호 또는 휴대전화번호를 입력하십시요", "msg01");
		return false;
	}
	
	SYSTran.requestSubmitAsync(screen, "BCNUIM02S01");	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SMDO.deleteallrows();
	this.DS_SDDO01.deleteallrows();
	this.DS_SDDO02.deleteallrows();
	this.DS_SDDO03.deleteallrows();
	this.DS_SDDO04.deleteallrows();
	this.DS_SDDO05.deleteallrows();
	this.DS_SDDO06.deleteallrows();
	this.DS_SDDO07.deleteallrows();
	this.DS_SDDO08.deleteallrows();
	this.DS_SDDO09.deleteallrows();
	this.DS_SDDO11.deleteallrows();
	this.DS_SDDO12.deleteallrows();
	this.DS_SDDO13.deleteallrows();
	this.DS_SDDO14.deleteallrows();
	this.DS_SDDO15.deleteallrows();
	this.DS_SDDO16.deleteallrows();
	this.DS_SDDO17.deleteallrows();
	this.DS_SDDO18.deleteallrows();
	this.DS_SDDO19.deleteallrows();
	this.DS_SDDO20.deleteallrows();
	this.DS_SDDO21.deleteallrows();
	this.DS_SDDO23.deleteallrows();
	this.DS_SDDO24.deleteallrows();
	
	this.edtCustResiNo.settext("");
	
	this.edtCnslMemoLoanNo.settext("");
	this.edtCnslMemoLoanSeq.settext("");
	this.edtCnslMemoCustNo.settext("");
	this.edtCnslMemoCustNm.settext("");
	this.edtTelcTelNo.settext("");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function btnCustState_on_click(objInst)
{
	
	//팝업명	
	var popupTitle = "고객상태 팝업";
	//팝업 경로
	var popupPath = "/BIZ/B/CN/UI/BCNUIP01";
	
	var PARAM_CUST_NO = SYSUtil.Trim(this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo"));
	var PARAM_CUST_NM = SYSUtil.Trim(this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNm"));
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, {"custNo":PARAM_CUST_NO,"custNm":PARAM_CUST_NM});
	
}

function btnCsnlSave_on_click(objInst)
{
	//팝업명	
	var popupTitle = "상담메모";
	//팝업 경로
	var popupPath = "/BIZ/B/CN/UI/BCNUIP04";
	//this.DS_SDDO01.addrow();
	this.DS_SDDO01.setdatabyname(0,"loanNo", this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo"));
	this.DS_SDDO01.setdatabyname(0,"loanSeq",this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq"));
	this.DS_SDDO01.setdatabyname(0,"custNo",this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo"));
	this.DS_SDDO01.setdatabyname(0,"custNm",this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNm"));
	/*loanNo  = parentObjDs01.getdatabyname(0, "loanNo");
	loanSeq = parentObjDs01.getdatabyname(0, "loanSeq");
	custNo = parentObjDs01.getdatabyname(0, "custNo");
	custNm = parentObjDs01.getdatabyname(0, "custNm");*/
	//this.DS_SDDO01.setdatabyname();
	this.DS_SDDO06.addrow();
	this.DS_SDDO06.setdatabyname(0,"cntcPlcTel","01012345678");
	this.DS_SDDO06.setdatabyname(0,"cntcStatCd","7");
	var param = {"DS_SDDO01":this.DS_SDDO01,"DS_SDDO06":this.DS_SDDO06,"DS_SDDO02":this.DS_SDDO02,"DS_SDDO04":this.DS_SDDO04};	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

function grdSDDO07_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	//팝업명	
	var popupTitle = "상담메모";
	//팝업 경로
	var popupPath = "/BIZ/B/CN/UI/BCNUIP03";
	/*
	this.DS_SDDO07.addrow();
	this.DS_SDDO07.setdatabyname(0, "telcCntn","telcCntn");
	this.DS_SDDO07.setdatabyname(0, "readDiv","readDiv");
	this.DS_SDDO07.setdatabyname(0, "cnslObjManNm","cnslObjManNm");
	this.DS_SDDO07.setdatabyname(0, "regDt","regDt");
	this.DS_SDDO07.setdatabyname(0, "regTm","regTm");
	this.DS_SDDO07.setdatabyname(0, "cntctPlcDivCd","cntctPlcDivCd" );
	this.DS_SDDO07.setdatabyname(0, "telcTelNo","telcTelNo");
	this.DS_SDDO07.setdatabyname(0, "cntcStatCd","cntcStatCd");
	this.DS_SDDO07.setdatabyname(0, "prmsDt","prmsDt");
	this.DS_SDDO07.setdatabyname(0, "prmsAmt","prmsAmt");
	this.DS_SDDO07.setdatabyname(0, "txtRecvFg","txtRecvFg");
*/
	var param = {"DS_SDDO07":this.DS_SDDO07,"nClickRow":nClickRow};
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("#### screen_on_submitcomplete call");
	
	// 송신 성공시 처리
	if (result == 1) {
		if( mapid == "BCNUIM02S01" ){
			console.log("#### submitcomplete BCNUIM02S01 call");
			
			var loanNo  = "";
			var loanSeq = "";
			var custNo  = "";
			var custNm  = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
				custNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo");
				custNm  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNm");
			
				this.edtLoanNo.settext(this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo"));
				this.edtLoanSeq.settext(this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq"));
				this.edtCustNo.settext(this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo"));
				this.edtCustNm.settext(this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNm"));
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			
				if (this.edtCustNo.gettext() == "" || this.edtCustNo.gettext() == null) {
					this.edtCustNo.settext(this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo"));
					this.edtCustNm.settext(this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNm"));
				}
			
				custNo  = this.edtCustNo.gettext();
				custNm  = this.edtCustNm.gettext();
			}
		
			if (loanSeq == "" || loanSeq == null) {
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
				this.edtLoanSeq.settext(loanSeq);
			}
			
			this.edtTelNo.settext( this.DS_SDDO01.getdatabyname(0, "cntcPlcTel") );
			this.edtCustResiNo.settext( this.DS_SDDO01.getdatabyname(0, "custResiNo") );

			// 녹취정보세팅
			this.DS_NOCH_INFO.deleteallrows();
			this.DS_NOCH_INFO.addrow();
			this.DS_NOCH_INFO.setdatabyname(0, "loanNo" , loanNo);
			this.DS_NOCH_INFO.setdatabyname(0, "loanSeq", loanSeq);
			this.DS_NOCH_INFO.setdatabyname(0, "custNo" , custNo);
			this.DS_NOCH_INFO.setdatabyname(0, "custNm" , custNm);

			if (loanNo != "" && loanNo != null) {
				//대출상세내역 조회 CALL
				this.fn_SearchMainInfo2(loanNo, loanSeq); 
			}
		
		} else if( mapid == "BCNUIM02S02" ){
			console.log("#### submitcomplete BCNUIM02S02 call");
			var loanNo  = "";
			var loanSeq = "";

			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			

			//주요메모
			this.DS_SDDO20.addrow();
			this.DS_SDDO20.setdatabyname(0, "custMemo", this.DS_SDDO02.getdatabyname(0, "custMemo"));

			/*var loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_NO");
			var loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_SEQ");*/
		
			//대출상세내역 조회-청구미수내역 조회 CALL
			this.fn_SearchMainInfo3(loanNo, loanSeq);
			
		} else if( mapid == "BCNUIM02S03" ){
			console.log("#### submitcomplete BCNUIM02S03 call");
			var loanNo  = "";
			var loanSeq = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
		
			for ( var i = 0; i < this.DS_SDDO01.getrowcount(); i ++ )	{	
				if (this.DS_SDDO01.getdatabyname(i, "loanNo") == loanNo) {			
					//if ("대손" == this.DS_SDDO01.getdatabyname(i, "bndStatNm")) {
						//Tab0.TabIndex = 4;
						//this.fn_SearchMainInfo17(loanNo, loanSeq);
					//}else{
						//Tab0.TabIndex = 0;
						//일반채권조회
						//this.fn_SearchMainInfo11(loanNo, loanSeq);
					//}
					//일반채권조회
					this.fn_SearchMainInfo11(loanNo, loanSeq);
				}
			}
		} else  if( mapid == "BCNUIM02S11" || mapid == "BCNUIM02S17" ){
			console.log("#### submitcomplete BCNUIM02S11, BCNUIM02S17 call");
			var loanNo  = "";
			var loanSeq = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			} else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
		
			//입금조회
			this.fn_SearchMainInfo12(loanNo, loanSeq);
			
		} else if( mapid == "BCNUIM02S12" ){
			console.log("#### submitcomplete BCNUIM02S12 call");
			var loanNo  = "";
			var loanSeq = "";
			
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
		
			//회수활동_재산조사정보 조회
			this.fn_SearchMainInfo13(loanNo, loanSeq);
			
		} else if( mapid == "BCNUIM02S13" ){
			console.log("#### submitcomplete BCNUIM02S13 call");
			var loanNo  = "";
			var loanSeq = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			
			//회수활동_법적조치정보 조회
			this.fn_SearchMainInfo14(loanNo, loanSeq);
		
		} else if( mapid == "BCNUIM02S14" ){
			console.log("#### submitcomplete BCNUIM02S14 call");
			var loanNo  = "";
			var loanSeq = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
		
			//회수활동_방문관리정보 조회
			this.fn_SearchMainInfo15(loanNo, loanSeq);			
			
		} else if( mapid == "BCNUIM02S15" ){
			console.log("#### submitcomplete BCNUIM02S15 call");
			var loanNo  = "";
			var loanSeq = "";
			
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			
			//주요사항 조회
			this.fn_SearchMainInfo16(loanNo, loanSeq);			
			
		} else if( mapid == "BCNUIM02S16" ){
			console.log("#### submitcomplete BCNUIM02S16 call");
			var loanNo  = "";
			var loanSeq = "";
			
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			
			//대출담보내역 조회
			this.fn_SearchMainInfo19(loanNo, loanSeq);	
					
		} else if( mapid == "BCNUIM02S19" ){
			console.log("#### submitcomplete BCNUIM02S19 call");
			var loanNo  = "";
			var loanSeq = "";
			var custNo  = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			
			if (this.edtCustNo.gettext() == "" || this.edtCustNo.gettext() == null) {
				custNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo");
			}
			else {
				custNo  = this.edtCustNo.gettext();
			}
			
			this.fn_SearchMainInfo5(loanNo, loanSeq, custNo);	
						
		} else if( mapid == "BCNUIM02S05" ){
			console.log("#### submitcomplete BCNUIM02S05 call");
			var loanNo  = "";
			var loanSeq = "";
			var custNo  = "";
			
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
	
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				custNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo");
			}
			else {
				custNo  = this.edtCustNo.gettext();
			}
			
			this.fn_SearchMainInfo6(loanNo, loanSeq, custNo);
			
		} else if( mapid == "BCNUIM02S06" ){
			console.log("#### submitcomplete BCNUIM02S06 call");
			var loanNo  = "";
			var loanSeq = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			
			this.fn_SearchMainInfo7(loanNo, loanSeq);
		
		} else if( mapid == "BCNUIM02S07" ){
			console.log("#### submitcomplete BCNUIM02S07 call");

			var loanNo  = "";
			var loanSeq = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_NO");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_SEQ");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			
			
			
			this.fn_SearchMainInfo21(loanNo, loanSeq);
			
		} else if( mapid == "BCNUIM02S21" ){
			console.log("#### submitcomplete BCNUIM02S21 call");
			
			var loanNo  = "";
			var loanSeq = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_NO");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_SEQ");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			this.fn_SearchMainInfo23(loanNo, loanSeq);
			
		} else if( mapid == "BCNUIM02S23" ){
			console.log("#### submitcomplete BCNUIM02S23 call");
			
			var loanNo  = "";
			var loanSeq = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_NO");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_SEQ");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			this.fn_SearchMainInfo24(loanNo, loanSeq);
			
			
		} else if( mapid == "BCNUIM02S24" ){
			console.log("#### submitcomplete BCNUIM02S24 call");
			
			this.fn_getCustStatInfo();	//고객상태정보		
			initFlag = true;
		} else if( mapid == "BCNUIM02S08" ){
			console.log("#### submitcomplete BCNUIM02S08 call");
				
			this.btnNew_on_click();
			
			
			
		} else if( mapid == "BCNUIM02U01" ){
			console.log("#### submitcomplete BCNUIM02U01 call");
			var loanNo  = "";
			var loanSeq = "";
			
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			//주요사항 조회
			this.fn_SearchMainInfo16(loanNo, loanSeq);			
		} else if ( mapid == "TS_BCNUIP04I01" ){
			console.log("#### submitcomplete TS_BCNUIP04I01 call");
			SYSUtil.loadMessageBox(screen, "알림", 1, "정상 처리되었습니다", "succMsg01");
			
			var loanNo  = "";
			var loanSeq = "";
		
			if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
				loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
				loanSeq = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq");
			}
			else {
				loanNo  = this.edtLoanNo.gettext();
				loanSeq = this.edtLoanSeq.gettext();
			}
			
			this.fn_SearchMainInfo7(loanNo, loanSeq);
		}
		
	}
}

function fn_SearchMainInfo2(loanNo, loanSeq){
	console.log("#### fn_SearchMainInfo2 call");
	
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));
	
	SYSTran.requestSubmitAsync(screen, "BCNUIM02S02");	
}

/********************************************************************
* 대출상세내역 조회_2
********************************************************************/
function fn_SearchMainInfo3(loanNo, loanSeq) {	
	console.log("#### fn_SearchMainInfo3 call");
		
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));


	SYSTran.requestSubmitAsync(screen, "BCNUIM02S03");	
}


/********************************************************************
* 일반채권 조회
********************************************************************/
function fn_SearchMainInfo11(loanNo, loanSeq) {
	console.log("#### fn_SearchMainInfo11 call");
	
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));

	this.DS_SDDO11.deleteallrows();
	//this.DS_SDDO11.Contents = fstrContents11;

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S11");	
}

/********************************************************************
* 입금 상세 정보 조회(대출번호/대출순번)
********************************************************************/
function fn_SearchMainInfo12(loanNo, loanSeq) {
	console.log("#### fn_SearchMainInfo12 call");
	
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));
	
	this.DS_SDDO12.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S12");	
}

/********************************************************************
* 회수활동_재산조사정보 조회(대출번호/대출순번)
********************************************************************/
function fn_SearchMainInfo13(loanNo, loanSeq) {
	console.log("#### fn_SearchMainInfo13 call");
	
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));
	
	this.DS_SDDO13.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S13");	
}

/********************************************************************
* 회수활동_법적조치정보 조회(대출번호/대출순번)
********************************************************************/
function fn_SearchMainInfo14(loanNo, loanSeq) {
	console.log("#### fn_SearchMainInfo14 call");
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));
	
	this.DS_SDDO14.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S14");	
}

/********************************************************************
* 회수활동_방문관리정보 조회(대출번호/대출순번)
********************************************************************/
function fn_SearchMainInfo15(loanNo, loanSeq) {
	console.log("#### fn_SearchMainInfo15 call");
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));
	
	this.DS_SDDO15.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S15");	
}

/********************************************************************
* 주요사항 조회(대출번호/대출순번)
********************************************************************/
function fn_SearchMainInfo16(loanNo, loanSeq) {
	console.log("#### fn_SearchMainInfo16 call");
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));
	
	this.DS_SDDO16.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S16");	
}

/********************************************************************
* 대출담보내역 조회(대출번호/대출순번)
********************************************************************/
function fn_SearchMainInfo19(loanNo, loanSeq) {
	console.log("#### fn_SearchMainInfo19 call");
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));
	
	this.DS_SDDO19.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S19");	
}


/********************************************************************
* 고객 주소  정보 조회
********************************************************************/
function fn_SearchMainInfo5(loanNo, loanSeq, custNo){
	console.log("#### fn_SearchMainInfo5 call");
	this.DS_SMDO.setdatabyname(0, "custNo", SYSUtil.Trim(custNo));

	this.DS_SDDO05.deleteallrows();
	//this.DS_SDDO05.Contents = fstrContents5;

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S05");	
	
}

/********************************************************************
* 고객 연락처 정보 조회
********************************************************************/
function fn_SearchMainInfo6(loanNo, loanSeq, custNo){
	console.log("#### fn_SearchMainInfo6 call");
	this.DS_SMDO.setdatabyname(0, "custNo", SYSUtil.Trim(custNo));

	this.DS_SDDO06.deleteallrows();
	
	SYSTran.requestSubmitAsync(screen, "BCNUIM02S06");

}

/********************************************************************
* 통화이력조회
********************************************************************/
function fn_SearchMainInfo7(loanNo, loanSeq){
	console.log("#### fn_SearchMainInfo7 call");
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));

	this.DS_SDDO07.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S07");	
}


/********************************************************************
* 문자발송내역조회
********************************************************************/
function fn_SearchMainInfo21(loanNo, loanSeq){

	console.log("#### fn_SearchMainInfo21 call");
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));

	this.DS_SDDO21.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S21");		
}


/********************************************************************
* 자동이체청구이력조회
********************************************************************/
function fn_SearchMainInfo23(loanNo, loanSeq){

	console.log("#### fn_SearchMainInfo23 call");
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));

	this.DS_SDDO23.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S23");
}

/********************************************************************
* 안내장발송내역조회
********************************************************************/
function fn_SearchMainInfo24(loanNo, loanSeq){

	console.log("#### fn_SearchMainInfo24 call");
	this.DS_SMDO.setdatabyname(0,"loanNo" , SYSUtil.Trim(loanNo));
	this.DS_SMDO.setdatabyname(0,"loanSeq", SYSUtil.Trim(loanSeq));

	this.DS_SDDO24.deleteallrows();

	SYSTran.requestSubmitAsync(screen, "BCNUIM02S24");
}

//상태정보조회
function fn_getCustStatInfo(){
	console.log("#### fn_getCustStatInfo call");
	this.DS_CUST_STAT_INFO.deleteallrows();
	
	this.DS_SM_CUST_STAT_INFO.deleteallrows();
	this.DS_SM_CUST_STAT_INFO.addrow();
	
	this.DS_SM_CUST_STAT_INFO.setdatabyname(0, "custNo", this.DS_SDDO01.getdatabyname(0, "custNo") );
	
	SYSTran.requestSubmitAsync(screen, "BCNUIM02S08"); //searchCustStatInfo
	
	//		   , "DS_SMDO=DS_SM_CUST_STAT_INFO"
	//		   , "DS_CUST_STAT_INFO=DS_CUST_STAT_INFO"
	
}

function btnSms_on_click(objInst)
{
	console.log("#### btnSms_on_click call");
	var cntcPlcTel = this.DS_SDDO06.getdatabyname(this.DS_SDDO06.getpos(), "cntcPlcTel");
	
	var pCustNm = this.edtCustNm.gettext();
	var pRThmmDueDt = this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "rThmmDueDt") ;
	var pRRcptObjAmt = this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "rRcptObjAmt");
	var pHp = this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "rRcptObjAmt");
	var pLoanNo = this.edtLoanNo.gettext();
	var pLoanSeq = this.edtLoanSeq.gettext();
	var pCustNo = this.edtCustNo.gettext();
	
	var param = {"PARAM_CUST_NM":pCustNm, "PARAM_R_THMM_DUE_DT":pRThmmDueDt, "PARAM_R_RCPT_OBJ_AMT":pRRcptObjAmt
	           , "PARAM_HP":pHp, "PARAM_LOAN_NO":pLoanNo, "pLoanSeq":pLoanSeq, "pCustNo":pCustNo};
	
	// 업무화면으로 전달할 데이터
	var popupTitle = "SMS발송";
	//팝업 경로
	var popupPath = "/BIZ/B/CN/UI/BCNUIP02";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	
}

function btnimsi_on_click(objInst)
{
	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/CN/UI/BCNUIM07","콜센터채권상담관리" , "");
}

function btnAdd_on_click(objInst)
{
	console.log("#### btnAdd_on_click call");
	if (initFlag == true){
	
		var to_day = factory.datetoday();
		
		var loanNo  = "";
		
		if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
			loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
		}
		else {
			loanNo  = this.edtLoanNo.gettext()
		}
		
		this.DS_SDDO16.addrow();
		//--this.DS_SDDO16.setdatabyname(this.DS_SDDO16.getpos(), "loanNo", this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_NO"));
		this.DS_SDDO16.setdatabyname(this.DS_SDDO16.getrowcount()-1, "loanNo", loanNo);
		this.DS_SDDO16.setdatabyname(this.DS_SDDO16.getrowcount()-1, "regDt" , to_day);
		this.DS_SDDO16.setdatabyname(this.DS_SDDO16.getrowcount()-1, "regNm" , G_EMP_INFO.getdatabyname(0,"USER_NM"));
		this.DS_SDDO16.setdatabyname(this.DS_SDDO16.getrowcount()-1, "delYn" , "0");

	}
}

function btnDel_on_click(objInst)
{
	console.log("#### btnDel_on_click call");
	var curRow = this.DS_SDDO16.getpos();
	
	if (curRow < 0) return false;
	
	if (SYSUtil.comConfirm("등록된 중요정보를 '삭제' 하시겠습니까?")) {
		this.DS_SDDO16.setdatabyname(this.DS_SDDO16.getpos(), "delYn", "1");
	}
	else {
		return false;
	}
	
	this.fn_InsertRefInfo();
}

/********************************************************************
* 중요사항 저장/삭제
********************************************************************/
function fn_InsertRefInfo()
{
	console.log("#### fn_InsertRefInfo call");
	
	this.DS_SDDO16_SEND.deleteallrows();
	
	for (i = 0; i < this.DS_SDDO16.getrowcount(); i ++) {
/*
		if (SYSUtil.Trim(this.DS_SDDO16.getdatabyname(i, "imptRsn")).length == 0 || SYSUtil.Trim(this.DS_SDDO16.getdatabyname(i, "imptRsn")) == "" ) {
			alert("중점사유는 필수입력사항입니다!");
			return false;
		}
*/	
		if (SYSUtil.Trim(this.DS_SDDO16.getdatabyname(i, "refrCntn")).length == 0 || SYSUtil.Trim(this.DS_SDDO16.getdatabyname(i, "refrCntn")) == "" ) {
			//alert("참고내용은 필수입력사항입니다!");
			SYSUtil.loadMessageBox(screen, "알림", 1, "참고내용은 필수입력사항입니다!", "msg01");
			return false;
		}
		
		if (this.DS_SDDO16.getdatabyname(i, "delYn") != "1") {
			this.DS_SDDO16.setdatabyname(i, "delYn", "0");
		}
		
		this.DS_SDDO16.setdatabyname(i, "logInEmpNo", logInUserNo);
	}
	
	var loanNo  = "";
	
	if (this.edtLoanNo.gettext() == "" || this.edtLoanNo.gettext() == null) {
		loanNo  = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo");
	}
	else {
		loanNo  = this.edtLoanNo.gettext();
	}

	//--this.DS_SDDO16.setdatabyname(this.DS_SDDO16.getpos(), "loanNo", this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "LOAN_NO"));
	this.DS_SDDO16.setdatabyname(this.DS_SDDO16.getpos(), "loanNo", loanNo);
	this.DS_SDDO16_SEND.copy(this.DS_SDDO16, "");
		
	for (i = 0; i < this.DS_SDDO16_SEND.getrowcount(); i ++) {
		this.DS_SDDO16_SEND.setrowoperation(i, XFD_ROWOP_UPDATE);	
	}
	
	SYSTran.requestSubmitAsync(screen, "BCNUIM02U01");

}

function btnSaveSDDO16_on_click(objInst)
{
	this.fn_InsertRefInfo();
}

// 메모저장
function btnMemoSave_on_click(objInst)
{
	var custNo  = "";
	
	if (SYSUtil.Trim(this.DS_SDDO20.getdatabyname(0, "custMemo")).length == 0) {
		//alert("주요메모를 입력 후 저장하여 주십시오.");
		SYSUtil.loadMessageBox(screen, "알림", 1, "주요메모를 입력 후 저장하여 주십시오.", "msg01");
		//Tab1.tab1.Image_custMemoSave.SetFocus();
		this.btnMemoSave.setfocus();
		return false;
	}
	
	if (this.edtCustNo.gettext() == "" || this.edtCustNo.gettext() == null) {
		custNo = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo");
	}
	else {
		custNo = this.edtCustNo.gettext();
	}
	
	this.DS_SDDO20.setdatabyname(0, "custNo", custNo);

	SYSTran.requestSubmitAsync(screen, "BCNUIM02U02");
}

function btnRefuseCanCel_on_click(objInst)
{
	this.DS_SDDO201.deleteallrows();
	this.DS_SDDO201.addrow();
	
	this.DS_SDDO201.setdatabyname(this.DS_SDDO201.getrowcount()-1, "custNo", this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo") );
	this.DS_SDDO201.setdatabyname(this.DS_SDDO201.getrowcount()-1, "loanNo", this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo") );
	this.DS_SDDO201.setdatabyname(this.DS_SDDO201.getrowcount()-1, "loanSeq", this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq") );
	
	SYSTran.requestSubmitAsync(screen, "BCNUIM02U03");
}

function btnNew_on_click(objInst)
{
	console.log("########## btnNew_on_click ");
	
	this.edtCnslMemoLoanNo.settext( this.DS_SDDO01.getdatabyname(0, "loanNo") );
	this.edtCnslMemoLoanSeq.settext( this.DS_SDDO01.getdatabyname(0, "loanSeq") );
	this.edtCnslMemoCustNo.settext( this.DS_SDDO01.getdatabyname(0, "custNo") );
	this.edtCnslMemoCustNm.settext( this.DS_SDDO01.getdatabyname(0, "custNm") );
	this.cboLoanRelCd.settext( this.DS_SDDO06.getdatabyname(0, "cntcPlcRelNm") );
	
	if( this.DS_SDDO02.getdatabyname(0, "txtRecvFg") == "1" ){
		this.DS_SDDO09.setdatabyname(0, "txtRecvFg", this.DS_SDDO02.getdatabyname(0, "txtRecvFg") );
	}
	
	this.chkImptRsn.setenable(true);
	this.chkImptRsn.settext("");
	
	
	
	// 문자거부 전상태 인식
	var imsiTxtRevcFg = this.DS_SDDO09.getdatabyname(0,"txtRecvFg");
	if(imsiTxtRevcFg.length < 1){
		imsiTxtRevcFg = "0";
	}
	
	// 연락상태 전상태 인식
	var imsiCntcStatCd = this.DS_SDDO09.getdatabyname(0,"cntcStatCd");

	/*
	if (length(trim(DS_SDDO09.GetColumn(DS_SDDO09.currow, "regDt"))) > 0) {
		DS_SDDO09.SetColumn(0, "divsManNm2", DS_SDDO09.GetColumn(DS_SDDO09.currow, "divsManNm"));
		DS_SDDO09.SetColumn(0, "regDt2"    , DS_SDDO09.GetColumn(DS_SDDO09.currow, "regDt"));
		DS_SDDO09.SetColumn(0, "regTm2"    , DS_SDDO09.GetColumn(DS_SDDO09.currow, "regTm"));
		DS_SDDO09.SetColumn(0, "telcCntn2" , DS_SDDO09.GetColumn(DS_SDDO09.currow, "telcCntn"));
	}
	*/
	
	this.DS_SDDO09.removeallrows();

	this.DS_SDDO09.addrow();
	this.DS_SDDO09.setdatabyname(0,"loanNo" , this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanNo"));
	this.DS_SDDO09.setdatabyname(0,"loanSeq", this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "loanSeq"));
	this.DS_SDDO09.setdatabyname(0,"inOutBoundDivCd", "1");
	this.DS_SDDO09.setdatabyname(0,"txtRecvFg", imsiTxtRevcFg);
	this.DS_SDDO09.setdatabyname(0,"telcGuidTpCd", "02");
	this.DS_SDDO09.setdatabyname(0,"cntcStatCd", imsiCntcStatCd);
	
	//var parentObjDs06 = this.EXTRA_DATA.DS_SDDO06;
	//통화처
	var parentCntcPlcDivCd = this.DS_SDDO06.getdatabyname(0, "cntcPlcDivCd");
	this.cboCntcPlcDivCd.settext(parentCntcPlcDivCd);
	
	this.edtTelcTelNo.settext(SYSUtil.replaceAll(SYSUtil.Trim(this.DS_SDDO06.getdatabyname(0, "cntcPlcTel")), "-" , "" ));
	
	// 연락상태
	var parentCntcStatCd = this.DS_SDDO06.getdatabyname(0, "cntcStatCd");
	this.cboCntcStatCd.settext(parentCntcStatCd);
	
	//var parentObjDs04 = this.EXTRA_DATA.DS_SDDO04;
	this.DS_SDDO09.setdatabyname(0,"custNo"      , this.DS_SDDO01.getdatabyname(0, "custNo"));
	this.DS_SDDO09.setdatabyname(0,"cnslObjManNm", this.DS_SDDO01.getdatabyname(0, "custNm"));	//수신인
	this.DS_SDDO09.setdatabyname(0,"loanRelNm"   , this.DS_SDDO04.getdatabyname(0, "loanRelNm"));
	
	this.DS_SDDO09.setdatabyname(0,"loanRelCd", "01");
	//Combo_cntcPlcDivCd.Index = 2;

	this.chkImptRsn.setenable(true);
	this.chkImptRsn.settext("");
	
	this.btnSave.setenable(true);
}

function btnSave_on_click(objInst)
{
	console.log("########## btnSave_on_click ");
	var regDt = factory.datetoday();
	
	if (SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "loanNo")).length == 0 || SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "loanSeq")).length == 0) {
		this.fn_vaildMsg("신규 버튼을 눌러주세요");
		return false;
	}
	
	if (SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "inOutBoundDivCd")).length == 0) {
		this.fn_vaildMsg("발신/수신 여부는 필수입력사항입니다!");
		this.cboInOutBoundDivCd.setfocus();
		return false;
	}
	
	
	if( SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "cnslObjManNm")).length == 0 ){
		this.fn_vaildMsg("수신인을 입력 하세요.");
		this.edtCnslObjManNm.setfocus();
		return false;
	}
	
	if (SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "inOutBoundDivCd")) == "1" && SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "cntcPlcDivCd")).length == 0) {
		this.fn_vaildMsg("통화처는 필수입력사항입니다!");
		this.cboCntcPlcDivCd.setfocus();
		return false;
	}

	if (SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "inOutBoundDivCd")) == "1" && SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "loanRelCd")).length == 0) {
		this.fn_vaildMsg("고객관계는 필수입력사항입니다!");
		this.cboLoanRelCd.setfocus();
		return false;
	}

	if (SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "inOutBoundDivCd")) == "1" && SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "cntcStatCd")).length == 0) {
		this.fn_vaildMsg("연락상태는 필수입력사항입니다!");
		this.cboCntcStatCd.setfocus();
		return false;
	}

	if (SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "telcGuidTpCd")).length == 0) {
		this.fn_vaildMsg("통화유형은 필수입력사항입니다!");
		return false;
	}

	if (this.DS_SDDO09.getdatabyname(0, "telcGuidTpCd")=="01" && this.calEx1.gettext() < factory.datetoday()) {
		this.fn_vaildMsg("입금약속일은 현재날짜보다 커야 합니다!");
		this.calEx1.setfocus();
		return false;
	}

	if (this.calEx1.gettext() != '' &&
	    (this.DS_SDDO09.getdatabyname(0, "prmsAmt") == 0 || SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "prmsAmt")).length == 0))
	{
		this.fn_vaildMsg("약속금액을 입력하시길 바랍니다.");
		this.edtMask.setfocus();
		return false;
	}
	
	if (SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "telcCntn")).length == 0) {
		this.fn_vaildMsg("※ 통화내용 및 채무자정보는 필수입력사항입니다!");
		this.txaTelcCntn.setfocus();
		return false;
	}

	if (SYSUtil.Trim(this.DS_SDDO09.getdatabyname(0, "telcTelNo")).length > 12) {
		this.fn_vaildMsg("통화전화번호는 12자리를 초과할 수 없습니다.");
		this.edtTelcTelNo.setfocus();
		return false;
	}

	this.DS_SDDO09.setdatabyname(0, "txtRecvFg", this.chkTxtRecvFg.gettext());
	
	// 중점사유저장 선택시
	if ( this.chkImptRsn.gettext() == "1") {
		this.DS_SDDO09.setdatabyname(0, "imptRsnSaveFg", "1");

	}else{
		this.DS_SDDO09.setdatabyname(0, "imptRsnSaveFg", "0");
	}

	this.DS_SDDO09_SEND.copy(this.DS_SDDO09,"",true);	
	
	SYSTran.requestSubmitSync(this.screen, "TS_BCNUIP04I01");
}

function fn_vaildMsg(msg){
	var strTitle    = "오류 알림"; 
	var strMsg      = msg;
	var nBtnType    = 1;
	var strMsgId    = "message01";
	
	// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
	SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);	
}


function btnSearch_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}



function edtCustNo_on_click(objInst, buttonclick)
{
	if(buttonclick) {
		// 업무화면으로 전달할 데이터
		var param = {"GUBUN":"SELECT", "loanNo":this.edtLoanNo.gettext(), "custNo":this.edtCustNo.gettext() };
		// 팝업 Title
		var popupTitle = "고객검색";
		//팝업 경로
		var popupPath = "/BIZ/C/BC/CC/CBCCCP02";
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}	
}

function grdLoanList_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var loanNo  = this.DS_SDDO01.getdatabyname(nDblClickRow, "loanNo");
	var loanSeq = this.DS_SDDO01.getdatabyname(nDblClickRow, "loanSeq");
	var custNo  = this.DS_SDDO01.getdatabyname(nDblClickRow, "custNo");
	var custNm  = this.DS_SDDO01.getdatabyname(nDblClickRow, "custNm");
	
	if( SYSUtil.Trim(loanNo).length < 1 || SYSUtil.Trim(loanSeq).length < 1 ){
		return;
	}
	
	this.edtLoanNo.settext(loanNo);
	this.edtLoanSeq.settext(loanSeq);
	this.edtCustNo.settext(custNo);
	this.edtCustNm.settext(custNm);

	//대출상세내역 조회 CALL
	this.fn_SearchMainInfo2(loanNo, loanSeq); 
}


function edtCustNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	//alert(keycode);
	if(keycode == "13"){
		this.ue_query();
	}
	
	return 0;
}

function edtLoanNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == "13"){
		this.ue_query();
	}
		
	return 0;
}

function edtLoanSeq_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == "13"){
		this.ue_query();
	}
	
	return 0;
}

function edtCustNo_on_change(objInst, event_type)
{
	if( this.edtCustNo.gettext().length != 13 ){
		this.edtCustNm.settext("");
	}
}

function edtLoanNo_on_change(objInst, event_type)
{
	if( this.edtLoanNo.gettext().length != 11 ){
		this.edtLoanSeq.settext("");
	}
}

function btnVist_on_click(objInst)
{
	var pCustNm = "";
	var pConsShNo = "";
	var pObjManNo = "";

	if (this.edtCustNm.gettext() != ""){
		pCustNm = this.edtCustNm.gettext();
	}
	
	if (this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "consShNo") != ""){
		pConsShNo = this.DS_SDDO02.getdatabyname(this.DS_SDDO11.getpos(), "consShNo");
	}
	
	if(this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "custNo") != ""){
		pObjManNo = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "custNo");
	}
	
	var param = {"PARAM_CUST_NM":pCustNm, "PARAM_CONS_SH_NO":pConsShNo, "PARAM_OBJ_MAN_NO":pObjManNo};
	
	// 업무화면으로 전달할 데이터
	var popupTitle = "방문계획관리";
	//팝업 경로
	var popupPath = "/BIZ/B/VI/WD/BVIWDP01";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

function btnAprv_on_click(objInst)
{	
	var custNoLen = "";
 
	SYSUtil.goToWorkPage(this.screen, "/BIZ/S/XM/PV/SXMPVM02","심사승인관리" , "");
}

function grdSmsSendList_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	this.traSmsMsg.settext( this.DS_SDDO21.getdatabyname(nClickRow, "sendTxt") );
}

function btnRRCRCP01_on_click(objInst)
{
	var pLoanNo = this.edtLoanNo.gettext();
	var ploanSeq = this.edtLoanSeq.gettext();
	
	var param = {"PARAM_LOAN_NO":pLoanNo, "PARAM_LOAN_SEQ":ploanSeq};
	// 업무화면으로 전달할 데이터
	var popupTitle = "결제일자별 수납금액";
	//팝업 경로
	var popupPath = "/BIZ/R/RC/RC/RRCRCP01";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

function btnCustInfoChg_on_click(objInst)
{
	var pCustNo = this.edtCustNo.gettext();
	var pCustNm = this.edtCustNm.gettext();
	var pCustResiNo = this.edtCustResiNo.gettext();
	
	var param = {"PARAM_CUST_NO":pCustNo, "PARAM_CUST_NM":pCustNm, "PARAM_CUST_RESI_NO":pCustResiNo};
	// 업무화면으로 전달할 데이터
	var popupTitle = "결제일자별 수납금액";
	//팝업 경로
	var popupPath = "/BIZ/R/CH/CS/RCHCSP01";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

function btnCustInfoChgList_on_click(objInst)
{
	var pCustNo = this.edtCustNo.gettext();
	var pCustNm = this.edtCustNm.gettext();
	
	var param = {"PARAM_CUST_NO":pCustNo, "PARAM_CUST_NM":pCustNm};
	// 업무화면으로 전달할 데이터
	var popupTitle = "결제일자별 수납금액";
	//팝업 경로
	var popupPath = "/BIZ/R/CH/CS/RCHCSP02";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}


function popupCallback(objExtdata) {
	// 팝업에서 전달한 내용 출력
	console.log("popupCallback 실행::");
	console.log(objExtdata);
	if(objExtdata.popId == "CBCCCP02"){
		this.edtLoanNo.settext(objExtdata.loanNo);
		this.edtLoanSeq.settext(objExtdata.loanSeq);
		this.edtCustNo.settext(objExtdata.custNo);
		this.edtCustNm.settext(objExtdata.custNm);
	} else if(objExtdata.popId == "CBCCCP01"){
		this.edtLoanNo.settext(objExtdata.loanNo);
		this.edtLoanSeq.settext(objExtdata.loanSeq);
		this.edtCustNo.settext(objExtdata.custNo);
		this.edtCustNm.settext(objExtdata.custNm);
	}
	
	if (objExtdata != undefined || objExtdata != null) {
		
	}
}


function btnRRCRCP06_on_click(objInst)
{
	console.log("btnRRCRCP07_on_click");
	var pLoanNo = this.edtLoanNo.gettext();
	var pLoanSeq = this.edtLoanSeq.gettext();
	
	var param = {"PARAM_LOAN_NO":pLoanNo, "PARAM_LOAN_SEQ":pLoanSeq};
	// 업무화면으로 전달할 데이터
	var popupTitle = "즉시출금관리";
	//팝업 경로
	var popupPath = "/BIZ/R/RC/RC/RRCRCP06";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

function btnRATMNM01_on_click(objInst)
{
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/AT/MN/RATMNM01","자동이체계좌관리" , "");
}

function btnRRCRCP02_on_click(objInst)
{
	console.log("btnRRCRCP02_on_click");
	var pLoanNo = this.edtLoanNo.gettext();
	var pLoanSeq = this.edtLoanSeq.gettext();
	
	var param = {"loanNo":pLoanNo, "loanSeq":pLoanSeq};
	// 업무화면으로 전달할 데이터
	var popupTitle = "상환계획";
	//팝업 경로
	var popupPath = "/BIZ/R/RC/RC/RRCRCP02";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}