﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */



/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
    console.log("#### screen_on_popupdestroy() call");  
    // 처리 sample
    //if(popup_name == "message01") {
    //  this.txtResult.settext(result);
    //}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
    console.log("#### screen_on_load() call");
    SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
    SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
    
    this.DS_SMDO.addrow();
    this.DS_HT_ORG.copy(G_DEPT,"");
    SYSUtil.addComboAllColumn(this.cboDlvrDeptCd);
    this.cboDlvrDeptCd.settext("");
    
    SYSTran.getComCode(this.screen, "B00361", this.DS_CD_B00361, true); // 발송목적
    SYSTran.getComCode(this.screen, "C91105", this.DS_CD_C91105, true); // 전송상태
    this.cboSendStatDiv.settext("");
    this.cboDlvrObjCd.settext("");
    //debugger;
    // SYSTran.getComCode(this.screen, "BT_HT_ORG_TP2", "", this.DS_HT_ORG);    // 전송상태 자료사전 조회용
    
    this.calDlvrFromDt.settext(factory.datetoday());
    this.calDlvrToDt.settext(factory.datetoday());
    
    // 팝업 버튼 숨김처리
    
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
    console.log("#### ue_print() call");
    if(this.DS_SDDO.getrowcount() > 0){
        var excelName = "SMS발송내역조회_" + factory.datetoday() + ".xlsx"
        this.grdSms.setexcelsheetname("발송내역");
        this.grdSms.downloadexcel(excelName);   
    } else {
        SYSUtil.setStatusMsg("조회된 데이터가 없습니다.");
    }
}

// 공통 조회 버튼 이벤트
function ue_query(){
    console.log("#### ue_query() call");
    SYSTran.requestSubmitSync(this.screen, "TS_BCNUIM04S01");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
    console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
    console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
    console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
    this.DS_SMDO.init();
    this.DS_SDDO.init();
    this.DS_SMDO.addrow();
    this.calDlvrFromDt.settext(factory.datetoday());
    this.calDlvrToDt.settext(factory.datetoday());
    this.edtDlvrEmpNm.settext("");
    this.edtCustNm.settext("");
    console.log("#### ue_init() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function grd_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
    /* 
    var fintOpenWinCnt = Global.allwindows.count;
    var fintCloseWinCnt = 0;
    
    for ( var i = 0; i < fintOpenWinCnt; i ++ ) {   
        if (Global.windows[i].id == trim('b/bc/ui/UrgeGuidMng.xml')) {          
            Global.windows[i].Close();
        }
    }   

    var arg = "";
    G_LOAN_NO = DS_SDDO.GetColumn(nRow, "LOAN_NO");
    G_LOAN_SEQ = DS_SDDO.GetColumn(nRow, "LOAN_SEQ");
    G_CS_NO = DS_SDDO.GetColumn(nRow, "CUST_NO");
    G_TMPVAL10 = 'BBCCS0601';
    
    arg = "argLoanNo = " + quote(DS_SDDO.GetColumn(nRow, "LOAN_NO"))
          + " argLoanSeq=" + quote(DS_SDDO.GetColumn(nRow, "LOAN_SEQ"))
          + " argCustNo=" + quote(DS_SDDO.GetColumn(nRow, "CUST_NO"))
          ;
    
    parent.fn_LinkPage('BBCUI0101',arg);
    */

}

function btn_totsearch_on_mouseup(objInst)
{
    var param = {"loanNo":this.edtLoanNo.gettext()};
    // 팝업 Title
    var popupTitle = "통합검색 팝업";
    //팝업 경로
    var popupPath = "/BIZ/C/BC/CC/CBCCCP01";

    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

function edtDlvrEmpNo_on_click(objInst, buttonclick)
{
    if(buttonclick){
        // 업무화면으로 전달할 데이터
        var param = {"DATADICNO":"BT_EMP_BASE"};
        // 팝업 Title
        var popupTitle = "방문자 검색";
        //팝업 경로
        var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
        
        SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
    }
}

function edtCustNo_on_click(objInst, buttonclick)
{
    if(buttonclick){
        // 팝업 파라미터
        var param = {"custNo":this.edtCustNo.gettext()};        
        // 팝업ㅁ
        var popupTitle = "고객검색 팝업";
        //팝업 경로
        var popupPath = "/BIZ/C/BC/CC/CBCCCP02";
    
        SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
    }
}

function popupCallback(objExtdata) {
    // 팝업에서 전달한 내용 출력
    console.log("popupCallback 실행::");
    console.log(objExtdata);
    if(objExtdata.popId == "CBCCCP01") {
        this.edtLoanNo.settext(objExtdata.loanNo);
        this.edtLoanSeq.settext(objExtdata.loanSeq);
    } else if(objExtdata.popId == "CBCCCP02"){
        this.edtCustNm.settext(objExtdata.custNm);
        this.edtCustNo.settext(objExtdata.custNo);
    } else if(objExtdata.popId == "CCMCMP05"){
        this.edtDlvrEmpNm.settext(objExtdata.korName);
        this.edtDlvrEmpNo.settext(objExtdata.empNo);
    } else if (objExtdata.popId == "SSPASP04") { //신청번호
        this.txtApplNo.settext(objExtdata.loanApplNo);
    }
}


function screen_on_submitcomplete(mapid, result) {
   /*
    [result]
    -1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
     0 : 서버에서 setErrorMessage를 호출한 경우
     1 : 정상 처리가 된 경우
    */
    console.log("########## mapid >> "+mapid);
    console.log("########## result >> "+result);
    if(mapid == "TS_BCNUIM04S01"){

        if(result == 0){
            var strTitle    = "오류 알림"; 
            var strMsg      = "데이터 송신중 오류가 발생하였습니다.";
            var nBtnType    = 1;
            var strMsgId    = "message01";
            
            // 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
            SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
            SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        } else {
            SYSUtil.setStatusMsg("정상처리되었습니다.");
        }   
    }
    
}

/****************************************************************
 * ★ 조회조건 신청번호 클릭 팝업
 ****************************************************************/
function txtApplNo_on_click(objInst, buttonclick)
{
    var popupTitle = "신청번호검색";
    var popupPath = "/BIZ/S/SP/AS/SSPASP04";

    if(buttonclick) {
        SYSUtil.loadPopup(this.screen, popupTitle, popupPath) ;

    }
    
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
    if(this.DS_SDDO.getrowcount() > 0){
         for(var i = 0; i < this.DS_SDDO.getrowcount(); i++){
            var lineCnt = this.DS_SDDO.getdatabyname(i,"sendTxt").split("\n").length;
            var lineHeight = this.grdSms.getrowheight(i);
            var chgHeight = lineHeight * lineCnt * 0.8
            if(chgHeight > 100){
                chgHeight = 100;
            }
            this.grdSms.setrowheight(i, chgHeight, false);
         }
         this.grdSms.refresh();
     }
}