﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
/**************************************
 * 팝업 화면 종료시 호출됨
 **************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) {

}

/**************************************
 * 화면로드시 발생하는 이벤트
 **************************************/
function screen_on_load(){

	console.log("call ::: screen_on_load");
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
		
    // 초기화 Set
    this.ue_init();

    // 공통코드 조회 Set
    this.searchCodeList();

	var bsnDeptCd = G_EMP_INFO.getdatabyname(0,"DEPT_CD");
	var strFilter = "";
	//strFilter = "\"deptCd\":=:\"" + bsnDeptCd + "\"";
    this.DS_HT_ORG.copy(G_DEPT,strFilter);
	
	SYSUtil.addComboAllColumn(this.cboMngDeptCd);
	this.cboMngDeptCd.settext("");


    //this.DS_CD_B00049.insertrow(0);
    //this.DS_CD_B00049.setdatabyname(0, "cdDescKorNm", "", true);
}

// 메세지 처리하는 이벤트
function screen_on_messagebox(messagebox_id, result)
{
    
}

// 거래후 콜백처리 이벤트
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{

	if(mapid == "BDLDLM01S01" || mapid == "BDLDLM01S02" || mapid == "BDLDLM01S03" || mapid == "BDLDLM01S04"){
		if(mapid== "BDLDLM01S01"){
			
		}
		if(result == 0){
			var strTitle    = "오류 알림"; 
			var strMsg      = "데이터 송신중 오류가 발생하였습니다.";
			var nBtnType    = 1;
			var strMsgId    = "message01";
			
			// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
			SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		} else {
			SYSUtil.setStatusMsg("정상처리되었습니다.");
		}	
	}
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */ 
/**************************************
 * 공통 인쇄 버튼 이벤트
 **************************************/
function ue_print(){
    console.log("#### ue_print() call");
	var gridO;
	var gridDs;
	var excelNm;
	var isData = true;
	switch(this.tabDlyDesc.gettabitemfocus()) {
		case 0:
			gridDs = this.DS_SDDO01;
			excelNm = "연체현황(부서별)_" + this.calStndDt.gettext() + ".xlsx"
			gridObj = this.grdDept;
			break;
		case 1:
			gridDs = this.DS_SDDO02;
			excelNm = "연체현황(상품별)_" + this.calStndDt.gettext() + ".xlsx";
			gridObj = this.grdPrdt;
			break;
		case 2:
			gridDs = this.DS_SDDO03;
			excelNm = "연체현황(담당자별)_" + this.calStndDt.gettext() + ".xlsx";
			gridObj = this.grdEmp;
			break;
		case 3:
			gridDs = this.DS_SDDO04;
			excelNm = "연체현황(명세)_" + this.calStndDt.gettext() + ".xlsx";
			gridObj = this.grdSpec;
			break;			
	}
	
	if(gridDs.getrowcount() > 0){
		gridObj.downloadexcel(excelNm);
	} else {
		var strTitle    = "엑셀다운로드 알림"; 
		var strMsg      = "데이터가 없습니다.";
		var nBtnType    = 1;
		var strMsgId    = "message01";
		// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
		SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
	}
	
}

/**************************************
 * 공통 조회 버튼 이벤트
 **************************************/
function ue_query(){
    
    if(!this.validationCheck()) {
        return false;   
    }
    
    // Tab인덱스 셋팅
    var tabIndex = this.tabDlyDesc.gettabitemfocus();
        
    // 부서별 Tab
    if(tabIndex == 0) {
        SYSTran.requestSubmitAsync(this.screen, "BDLDLM01S01");
    } 
    // 상품별 Tab
    else if(tabIndex == 1) {
        SYSTran.requestSubmitAsync(this.screen, "BDLDLM01S02");
    } 
    // 담당자별 Tab
    else if(tabIndex == 2) {
        SYSTran.requestSubmitAsync(this.screen, "BDLDLM01S03");
    }
    // 명세 Tab
    else if(tabIndex == 3) {
        SYSTran.requestSubmitAsync(this.screen, "BDLDLM01S04"); 
    }

}

/**************************************
 * 공통 추가 버튼 이벤트
 **************************************/
function ue_insert(){
    
}
 
/**************************************
 * 공통 저장 버튼 이벤트
 **************************************/
function ue_update(){

}
    
/**************************************
 * 공통 삭제 버튼 이벤트
 **************************************/
function ue_delete(){
    
}

/**************************************
 * 공통 초기화 버튼 이벤트
 **************************************/
function ue_init(){
    this.DS_SMDO.init();
    this.DS_SDDO01.init();
    this.DS_SDDO02.init();
    this.DS_SDDO03.init();
    this.DS_SDDO04.init();
    
    // 기준일자 오늘날짜로 셋팅
    var today = SYSUtil.getToday("");
    
    // 조회조건 로우 생성 셋팅
    this.DS_SMDO.addrow();
    this.DS_SMDO.setdatabyname(0, "stndDt", today); 

    // 연체회차 기본 셋팅
    this.DS_SMDO.setdatabyname(0, "dlyTcntFr", "1"); 
    this.DS_SMDO.setdatabyname(0, "dlyTcntTo", "99"); 
    
    // 화면로드시 부서별 탭 포커스 디폴트 설정
    this.tabDlyDesc.settabitemfocus(0);
	this.edtPrdtNm.settext("");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */
/**************************************
 * 공통코드 조회하는 이벤트
 **************************************/
function searchCodeList() {
    
    // 공통 상품대분류코드(B00220) 조회 
    //SYSTran.getComCode(this.screen, "B00220", this.DS_CD_B00220, true);
    SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_PRDT_CLAS_LGMID);
	this.DS_DIC_BT_PRDT_CLAS_LGMID.insertrow(0);
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0,"code","");
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0,"value","- 선택 -");
	this.cboPrdtLrgeClasCd.settext("");
    // 공통 상품소분류코드(B00049) 조회 
    SYSTran.getComCode(this.screen, "B00049", this.DS_CD_B00049, true);
}

/**************************************
 * 조회조건 필수값 체크
 **************************************/
function validationCheck() {
    
    // 기준일자 필수 체크
    if (this.calStndDt.value == "" || SYSUtil.isEmpty(this.DS_SMDO.getcolumn("stndDt"))) {
		this.fn_validMsg("기준일자는 필수 입력 항목입니다.",this.calStndDt)
        return false;
    }
    
    // 연체회차 범위 체크
    if (this.edtDlyTcntFr.value != "" && this.edtDlyTcntTo.value != ""
    &&  parseInt(this.edtDlyTcntTo.value) < parseInt(this.edtDlyTcntFr.value)) {
		this.fn_validMsg("연체회차 검색 범위가 유효하지 않습니다.",this.edtDlyTcntTo);
        return false;   
    }
    
    // 도래회차 범위 체크
    if (this.edtThmmComgTimsFr.value != "" && this.edtThmmComgTimsTo.value != ""
    &&  parseInt(this.edtThmmComgTimsTo.value) < parseInt(this.edtThmmComgTimsFr.value)) {
		this.fn_validMsg("도래회차 검색 범위가 유효하지 않습니다.",this.edtThmmComgTimsTo);       
        return false;   
    }
    
    // 연체일수 범위 체크
    if (this.edtDlyDdCntFr.value != "" && this.edtDlyDdCntTo.value != ""
    &&  parseInt(this.edtDlyDdCntTo.value) < parseInt(this.edtDlyDdCntFr.value)) {
		this.fn_validMsg("연체일수 검색 범위가 유효하지 않습니다.",this.edtDlyDdCntTo);       
        return false;   
    }
    
    return true;
}

function fn_validMsg(strMsg, focusObj){
	var strTitle    = "알림"; 
	var nBtnType    = 1;
	var strMsgId    = "message01";
	// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
	SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
	focusObj.setfocus();
}

/**************************************
 * 명세 그리드 더블 클릭시 발생하는 이벤트
 **************************************/
function grid_spec_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
    
}

function popupCallback(objExtdata) {
	debugger;
	if(objExtdata.popId == "CBCCCP01"){
		this.edtLoanNo.settext(objExtdata.loanNo);
		this.edtLoanSeq.settext(objExtdata.loanSeq);
	} else if(objExtdata.popId == "CCMCMP05"){
		if(objExtdata.empNo !== undefined){
			this.DS_DIVS_MAN.init();
			this.DS_DIVS_MAN.addrow();
			this.DS_DIVS_MAN.setdatabyname(0, "cd", objExtdata.empNo);
			this.DS_DIVS_MAN.setdatabyname(0, "data", objExtdata.korName);	
		} else if(objExtdata.prdtCd !== undefined){
			this.edtPrdtCd.settext(objExtdata.prdtCd);
			this.edtPrdtNm.settext(objExtdata.prdtNm);
		}
		
		this.cboDivsEmpNo.settext(objExtdata.empNo);
	}
}

function edtPrdtCd_on_click(objInst, buttonclick)
{	
	if(buttonclick){
		// 업무화면으로 전달할 데이터
		var param = {"DATADICNO":"Get_PrdtClasCd"};
		// 팝업 Title
		var popupTitle = "데이타사전";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;	
	}
}

function cboDivsEmpNo_on_focusin(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"DATADICNO":"HTEMPBASE01"};
	// 팝업 Title
	var popupTitle = "데이타사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function tabDlyDesc_on_itemchange(objInst, itemindex)
{
	if(itemindex == 3){
		this.staCurUnitNm.settext("단위(원)");
	} else {
		this.staCurUnitNm.settext("단위(천원)");
	}
}

/**************************************
 * 통합검색팝업 버튼 클릭시 발생하는 이벤트
 **************************************/
function btnLoanNoSrch_on_click(objInst)
{
	console.log("call :: btn_loanNoSrch_on_mouseup");
    var param ={};
	var loanNo = this.edtLoanNo.gettext();
	
    if(!SYSUtil.isEmpty(loanNo)){
		param.loanNo = loanNo;
	}
	
    // 팝업 Title
    var popupTitle = "대출통합검색";
    var popupPath  = "/BIZ/C/BC/CC/CBCCCP01";
        
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}