﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.grd = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	this.DS_SMDO.addrow();
	
	this.cboTp.setselectedindex(1);
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	//SYSUtil.setCommonButtonVisible(this.screen, "INIT", false);
	
	this.DS_HT_ORG.copy(G_DEPT, "");
	this.cboDeptCd.settext("");
	this.DS_HT_ORG.insertrow(0);
	this.DS_HT_ORG.setdatabyname(0, "deptCd", "");
	this.DS_HT_ORG.setdatabyname(0, "deptNm", "-선택-");
	// 화면 초기화
	 this.ue_init();
	
	console.log("#### screen_on_load() call");
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	var reqSubmit = SYSTran.requestSubmit(screen, "BLMLMM01S01");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SMDO.deleteallrows();
	this.DS_SDDO.deleteallrows();
	this.calConsFromDt.settext(factory.datetoday());
	this.calConsToDt.settext(factory.datefrom("month", 1));
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
function grd_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var loanNo = this.grd.getitemtext( nDblClickRow , 0); // 대출번호
	var loanSeq = this.grd.getitemtext( nDblClickRow , 12); // 대출순번
	var custNo = this.grd.getitemtext( nDblClickRow , 2); // 고객번호
	var consShNo = this.grd.getitemtext( nDblClickRow , 4); // 품의번호
	
	var sendData = {"g_loanNo":loanNo , "g_loanSeq":loanSeq , 
	                "g_custNo":custNo , "g_consShNo":consShNo };
	
	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/LM/LM/BLMLMM02","법조치 품의서관리" , sendData);	
}