﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var searchGubun = "";
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	

}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;
	
	this.edLoanNo.setfocus();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	
	if(this.edLoanNo.gettext() == ""){
		if(this.edCustNo.gettext() == ""){
			SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호나 고객번호를 입력하십시요", "msg07");
			return;	
		}		
	}
	
	this.DS_BTLEGLACTNCOST_SMDO.deleteallrows();
	this.DS_BTLEGLACTNCOST_SMDO.addrow();
	
	this.DS_BTLEGLACTNCOST_SMDO.setdatabyname(0, "loanNo", this.edLoanNo.gettext());
	this.DS_BTLEGLACTNCOST_SMDO.setdatabyname(0, "loanSeq", this.edLoanSeq.gettext());
	this.DS_BTLEGLACTNCOST_SMDO.setdatabyname(0, "custNo", this.edCustNo.gettext());
	
	this.DS_BTLEGLACTNCOST_SDDO.deleteallrows();
	
	var bRet = SYSTran.requestSubmitAsync(screen, "BLMLMM08S01");	
   
	if(bRet == false) {
        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    }else{
		
    }   
	
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	
	this.DS_BTLEGLACTNCOST_SDDO.deleteallrows();
	
	this.edLoanNo.settext("");
	this.edLoanSeq.settext("");
	this.edCustNo.settext("");
	this.edCustNm.settext("");
	
	this.edLoanNo.setfocus();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if(mapid == "BLMLMM08S01"){
		this.edLoanNo.setfocus();
	}
}
// 대출통합검색
function Image6_on_click(objInst)
{
	searchGubun = "Y";
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edLoanNo.gettext(), "loanSeq":this.edLoanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}
// 고객통합검색
function Image1_on_click(objInst)
{
	searchGubun = "N";
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edLoanNo.gettext(), "loanSeq":this.edLoanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}
/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			if(searchGubun == "N"){
				this.edCustNo.settext(objExtdata.custNo); 
				this.edCustNm.settext(objExtdata.custNm); 	
			}else{
				this.edLoanNo.settext(objExtdata.loanNo);
				this.edLoanSeq.settext(objExtdata.loanSeq);	
			}	
		}
	}		
}