﻿// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	// if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	// }
}

/****************************************************************
 * ■ 화면 Onload 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("#### screen_on_load() call");
	
	// 공통버튼 활성화 여부
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);		//공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);	   //공통 삭제 버튼 숨김 처리
	
	// 로그인 사원번호 확인
	// console.log("set first reg empno : " + SYSVar.loginUserInfo.USER_NO);
	
	// 조회조건 공통코드 조회
	// console.log("#### 업무영역 공통코드 조회");
    // SYSTran.getComCode(this.screen, "BSNZON", this.DS_CD_BSNZON);       // 전체선택 표시 off
	SYSTran.getComCode(this.screen, "BSNZON", this.DS_CD_BSNZON, true); // 전체선택 표시 on
	
	// 추가된 신규 로우의 Combo 세팅
	this.fn_DataCopy();
}

/* --------------------------------------------------
 * ■ 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print(){ console.log("#### ue_print() call");
}
/****************************************************************
 * ■ 공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query(){
	console.log("#### ue_query() call");
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 초회처리
	var reqSubmit = SYSTran.requestSubmit(screen, "CSCPGM05S01");
	if(reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// setStatusMsg 세팅
		SYSUtil.setStatusMsg("조회 완료");	
	}
}

/****************************************************************
 * ■ 공통 추가 버튼 이벤트
 ****************************************************************/
// 공통 추가 버튼 이벤트
function ue_insert(){ console.log("#### ue_update() call"); }

/****************************************************************
 * ■ 공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update()
{
	console.log("#### ue_update() call");

	// □ 데이터셋에 사용자가 수정(INSERT, UPDATE)을 한 레코드 갯수를 반환
	var iModifyCount = this.DS_SDDO.getmodifyrowcount();

	// console.log("로그인 유저사번::" + SYSVar.loginUserInfo.USER_NO);
	// console.log("데이터셋 초기화");
	
	if( iModifyCount > 0 )
	{
		// □ 데이터셋 복사
		for( var i=0; i<this.DS_SDDO.getrowcount(); i++ ) 
		{
			if( this.DS_SDDO.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_SDDO.getrowoperation(i) == XFD_ROWOP_UPDATE) 
			{
			    console.log("#### insert / update");
							
				// 세션의 최초 & 최종 등록사번 get
				console.log("set first reg empno : " + SYSVar.loginUserInfo.USER_NO);
				this.DS_SDDO.setdatabyname(i, "frstRegEmpNo",  SYSVar.loginUserInfo.USER_NO, false);
				this.DS_SDDO.setdatabyname(i, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO, false);
				
				this.DS_SDDO_C.copyinsertrow(-1, this.DS_SDDO, i , true);
			}
		}
		// console.log("DS_SDDO_C 데이터셋 내역");
	    SYSUtil.showDataSetLog(this.DS_SDDO_C);
		
		// □ 데이터 등록 전 체크
		if( this.DS_SDDO_C.getrowcount() == 0 ) 
		{
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "저장 할 데이터가 없습니다.", "msgC01");
		    return;
		} 
		else
		{	 	
			for( var idx=0; idx<this.DS_SDDO_C.getrowcount(); idx++ ) 
			{
				// □ 신규입력 된 row에 해당하는 키 value가 없는 경우 alert 알림
				if( this.DS_SDDO_C.getrowoperation(idx) == XFD_ROWOP_INSERT ) 
				{
					if( this.DS_SDDO_C.getdatabyname(idx, "dutyZonCd") == "" ) 
					{
						SYSUtil.loadMessageBox(this.screen, "알림", 1, "[" + idx + "] 행의 업무영역이 빈 값 입니다.", "msgC05");						
						return;
					}
					if( this.DS_SDDO_C.getdatabyname(idx, "cnstNm") == "" ) 
					{
						SYSUtil.loadMessageBox(this.screen, "알림", 2, "[" + idx + "] 행의 상수명이 빈 값 입니다.", "msgC05");						
						return;
					}
				}
			}
		}
	}

	// □ 데이터 등록 service
	var bRet = SYSTran.requestSubmitSync(this.screen, "CSCPGM05I01");

    if(bRet == false)
    {
	    // □ 화면잠금해제
	    screen.setscreenprotect(false);
	    SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msgC03");
    }
    else
	{
	    // □ 화면잠금해제
	    screen.setscreenprotect(false);
		// setStatusMsg 세팅
		SYSUtil.setStatusMsg("저장 & 수정 완료");	
    }
}

// 공통 삭제 버튼 이벤트
function ue_delete()
{
	console.log("#### ue_delete() call");
	
	// □ 삭제 한 행 복사.
	// this.iDelRow = this.grdRoleList.getcheckedrow();
	// console.log("#### iDelRow = " + this.iDelRow);
	
	this.DS_SDDO_D.copyinsertrow(-1, this.DS_SDDO, this.iDelRow, true);
	this.DS_SDDO_D.setallrowoperation(XFD_ROWOP_DELETE);
	
	SYSUtil.showDataSetLog(this.DS_SDDO_D);
	
	// □ 그리드 데이터셋 row 삭제	
    this.DS_SDDO.deleterow(this.iDelRow);
}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init()
{
	console.log("#### ue_init() call");
	
	// dataset clear
	this.DS_SMDO.init();
	if( this.DS_SMDO.getrowcount() == 0 )
	{
	    this.DS_SMDO.addrow();
	}
	this.DS_SDDO.init();
//	this.DS_SDDO_C.init();
//	this.DS_SDDO_D.init();
}

/* 
 * --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

/**************************************************
 * ■ 그리드 row 추가 이벤트
 **************************************************/
function btn_AddRow_on_click(objInst)
{
	console.log("#### btn_AddRow_on_click() call");	
	// grid1 행_추가
	this.grid1.addrow();

	// 추가row의 컬럼 활성화
	this.grid1.setcolumneditable(0, true);  // 업무영역
	this.grid1.setcolumneditable(1, true);  // 상수명
	
	SYSUtil.setStatusMsg("신규 row 추가");
}

/****************************************************************
 * ■ 그리드 컬럼 변경 이벤트
 ****************************************************************/ 
function grid1_on_itemvaluechanged(objInst, nRow, nColumn, strPrevItemText, strItemText)
{
	console.log("#### grdRoleList_on_itemvaluechanged() call");	
	
	var strChkDutyZonCd  = this.DS_SDDO.getdata(nRow, 0);
	var strChkCnstNm     = this.DS_SDDO.getdata(nRow, 1);
	var strOperation     = this.DS_SDDO.getrowoperation(nRow);
	var strPrevDutyZonCd = this.DS_SDDO.getprevdata(nRow, nColumn);
	var strPrevCnstNm    = this.DS_SDDO.getprevdata(nRow, nColumn);
	this.iDelRow = nRow;
	
	// console.log("#### grid1_on_itemvaluechanged() strOperation == " + strOperation);
	// console.log("#### nColumn :: " + nColumn + ", strPrevItemText :: " + strPrevItemText + ", strItemText :: " + strItemText);
	
	// □ 데이터가 변경 되었을 때 CREATE 데이터셋에 추가
	if( strOperation == XFD_ROWOP_UPDATE ) 
	{
		if( nColumn == 0 && (strPrevItemText != strItemText) ) 
		{
		    SYSUtil.loadMessageBox(this.screen, "알림", 1, "수정 시 업무영역은 변경 할 수 없습니다.", "msgC04");
			this.grid1.setcolumntext(nColumn, strPrevDutyZonCd)
			
			return;
		}
		if( nColumn == 1 && (strPrevItemText != strItemText) ) 
		{
		    SYSUtil.loadMessageBox(this.screen, "알림", 1, "수정 시 상수명은 변경 할 수 없습니다.", "msgC04");
			this.grid1.setcolumntext(nColumn, strPrevCnstNm)
			
			return;
		}
	}
}

/****************************************************************
 * ■ 데이터셋 카피(그리드 내 공통코드 로드시 전체 항목 제거)
****************************************************************/
function fn_DataCopy() 
{	
	console.log("#### fn_DataCopy() call");
	var strFilterOpt = "";
	
	// cdDescNo를 제외한 값 삭제
	strFilterOpt += "\"cdDescNo\":<>:\"\":";
	this.DS_CD_BSNZON_I.copy(this.DS_CD_BSNZON, strFilterOpt, true);
	
}

/****************************************************************
 * ■ 그리드 클릭 이벤트
 ****************************************************************/ 
function grid1_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grdRoleList_on_itemclick() call");
	
	// □ 선택 한 row를 전역변수에 셋팅
	if( nClickRow > -1 ) 
	{
		this.iDelRow = nClickRow;
		// console.log("this.iDelRow :: " + this.iDelRow);
	}
}

/****************************************************************
 * ■ 그리드 row 삭제 이벤트
 ****************************************************************/ 
function btn_DelRow_on_click(objInst)
{
	console.log("#### btn_DelRow_on_click() call");
	
	var confirm = SYSUtil.comConfirm("선택한 행을 삭제하시겠습니까?");
	
	if( confirm ) 
	{
		// □ 그리드 내 선택된 행의 인덱스
		var nRow = this.grid1.getselectrow();
	
		// □ 삭제 한 행 복사
		this.DS_SDDO_D.copyinsertrow(-1, this.DS_SDDO, this.iDelRow, true);
		this.DS_SDDO_D.setallrowoperation(XFD_ROWOP_DELETE);

		SYSUtil.showDataSetLog(this.DS_SDDO_D);

	    // □ 그리드 데이터셋 row 삭제
		this.DS_SDDO.deleterow(this.iDelRow);
	}
}