﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var gLoanNo = null;
var gLoanSeq = null;

var dataDicFg = "";
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	SYSTran.getComCode(this.screen, "R00055", this.DS_CD_R00055, true);
	SYSTran.getComCode(this.screen, "R00056", this.DS_CD_R00056, true);
	SYSTran.getComCode(this.screen, "R00026", this.DS_CD_R00026, true);
	SYSTran.getComCode(this.screen, "R00028", this.DS_CD_R00028, true);
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTTRORGBASE01);
	this.DS_DIC_RTTRORGBASE01.insertrow(0, 1);     
	this.DS_DIC_RTTRORGBASE01.setdatabyname(0, "code","");
	this.DS_DIC_RTTRORGBASE01.setdatabyname(0,"value", "-선택-");
	
	console.log(this.DS_DIC_RTTRORGBASE01.getrowcount());
	
		for(var i = this.DS_DIC_RTTRORGBASE01.getrowcount(); i > 0; i--){ 
		
		if(this.DS_DIC_RTTRORGBASE01.getdatabyname(i,"code").substr(0,1) != "A" ){ 
			this.DS_DIC_RTTRORGBASE01.deleterow(i); 
		}	
	}
	
		
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTTRBANK_AUTOTRAN_READ); 
	this.DS_DIC_RTTRBANK_AUTOTRAN_READ.insertrow(0, 1);     
	this.DS_DIC_RTTRBANK_AUTOTRAN_READ.setdatabyname(0, "cdDescNo","");
	this.DS_DIC_RTTRBANK_AUTOTRAN_READ.setdatabyname(0,"cdDescKorNm", "-선택-");
	
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	this.ue_init();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	
	/* 콤보박스 : getselectedcode() 
	      텍스트 : gettext()*/
	
	this.screen.setscreenprotect(true);
	var reqSubmit = SYSTran.requestSubmitAsync(this.screen, "RATMNM03S01");
	

}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	//데이터 초기화
	this.DS_SD_01.deleteallrows();
	this.Calendar_rlDueDtFr.settext(factory.datetoday());
	this.Calendar_rlDueDtTo.settext(factory.datetoday()); 
	this.Edit_loanNo.settext("");
	this.Edit_loanSeq.settext("");
	this.edit0.settext("");
	this.edit1.settext("");
	this.Edit_acctDeptCd.settext("");
	this.Edit_acctDeptNm.settext("");
	this.edit2.settext(""); 
	this.edit3.settext("");	 	
	// 콤보박스
	this.trTpCd.setselectedindex(0);
	this.Combo1.setselectedindex(0);
	this.Combo0.setselectedindex(0);
	this.Combo_TrOrgCd.setselectedindex(0);
	this.Combo3.setselectedindex(0);
	this.Combo2.setselectedindex(0);
	
	this.DS_SEARCH.setdatabyname(0, "rlDueDtFr", factory.datetoday());
	this.DS_SEARCH.setdatabyname(0, "rlDueDtTo", factory.datetoday());
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

//계좌관리 버튼
function Image_AutoAcntMng_on_mouseup(objInst)
{
	var selectedIdx = this.DS_SD_01.getpos();
	if(this.GRID.getselectedrowcount() < 1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "그리드 행을 선택해주세요", "msg07");
		return false;;
	}else{
		var sendData = {"arg_loanNo" : this.DS_SD_01.getdatabyname(selectedIdx, "loanNo"),
					     "arg_loanSeq" : this.DS_SD_01.getdatabyname(selectedIdx, "loanSeq")};
					
		SYSUtil.goToWorkPage(this.screen, "/BIZ/R/AT/MN/RATMNM01", "자동이체계좌관리", sendData);
	}
		
}

function GRID_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	gLoanNo   = this.DS_SD_01.getdatabyname(nClickRow, "loanNo");
	gLoanSeq = this.DS_SD_01.getdatabyname(nClickRow, "loanSeq");
	
	console.log("대출번호 :" + gLoanNo);
	console.log("대출순번 :" + gLoanSeq);
}

//수납관리 버튼
function Image_RcptMng_on_mouseup(objInst)
{
	var selectedIdx = this.DS_SD_01.getpos();
	if(this.GRID.getselectedrowcount() < 1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "그리드 행을 선택해주세요", "msg07");
		return;
	}else{
		var sendData = {"loanNo" : this.DS_SD_01.getdatabyname(selectedIdx,"loanNo"),
					     "loanSeq" : this.DS_SD_01.getdatabyname(selectedIdx, "loanSeq")};
		SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM01","수납관리" , sendData);	
	}
}

//예가수관리 버튼
function Image_DsrcMng_on_mouseup(objInst)
{
	var selectedIdx = this.DS_SD_01.getpos();
	if(this.GRID.getselectedrowcount() < 1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "그리드 행을 선택해주세요", "msg07");
		return;
	}else{
		var sendData = {"loanNo" : this.DS_SD_01.getdatabyname(selectedIdx,"loanNo"),
					     "loanSeq" : this.DS_SD_01.getdatabyname(selectedIdx, "loanSeq"),
						"dsrcNo" : this.DS_SD_01.getdatabyname(selectedIdx, "dsrcNo")};
	
		SYSUtil.goToWorkPage(this.screen, "/BIZ/R/SR/SR/RSRSRM01","예가수관리" , sendData);	
	}
	
	
	
}

function Image_Search_Loan_on_mouseup(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.Edit_loanNo.gettext(), "loanSeq":this.Edit_loanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}
/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.Edit_loanNo.settext(objExtdata.loanNo);
			this.Edit_loanSeq.settext(objExtdata.loanSeq);	
		}else if(objExtdata.popId == "CCMCMP05"){
			
			if(dataDicFg == "A"){
				/**채권담당자*/
				this.DS_SEARCH.setdatabyname(0, "bndDivsEmpNo", objExtdata.empNo);
				this.DS_SEARCH.setdatabyname(0, "bndDivsEmpNm", objExtdata.korName);
			}else if(dataDicFg == "B"){
				/** 여신담당자 */
				this.DS_SEARCH.setdatabyname(0, "lnDivsEmpNo", objExtdata.empNo);
				this.DS_SEARCH.setdatabyname(0, "lnDivsEmpNm", objExtdata.korName);
			}else if(dataDicFg == "C"){
				/** 관리부서 */
				this.DS_SEARCH.setdatabyname(0, "mngDeptCd" ,objExtdata.deptCd);
				this.DS_SEARCH.setdatabyname(0, "mngDeptNm", objExtdata.deptNm);
			}
			
		}
	}		
}
/** 채권담당자 돋보기 버튼 클릭 이벤트*/
function edit0_on_click(objInst, buttonclick)
{
	if(buttonclick){
		dataDicFg= "A";
		var param = {"DATADICNO" : "BT_EMP_BASE"};
		var popupTitle = "채권담당자";
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);	
	}
	
}

/** 여신담당자 돋보기 버튼 클릭 이벤트 */
function Edit_acctDeptCd_on_click(objInst, buttonclick)
{
	if(buttonclick){
		dataDicFg = "B";
		var param = {"DATADICNO" : "STLNDIVSMAN02"};
		var popupTitle = "여신담당자";
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	}

	
}

/** 관리부서 돋보기 버튼 클릭 이벤트 */
function edit2_on_click(objInst, buttonclick)
{
	if(buttonclick){
		dataDicFg = "C";
		var param = {"DATADICNO" : "HTORG18"};
		var popupTitle = "관리부서";
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	}
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false);
	
	if(mapid == "RATMNM03S01"){
		if(result == 1){
			SYSUtil.setStatusMsg("조회가 완료되었습니다.");
		}else {
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
	}
}