﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */

// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */

// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
	

}

function popupCallback(objExtdata) {
	
	// 팝업에서 전달한 내용 출력
	console.log("popupCallback 실행::");
	console.log(objExtdata);
	if(objExtdata.popId == "CCMCMP05"){
		this.DS_SEARCH.setdatabyname(0, "mngDeptCd", objExtdata.deptCd);
		this.DS_SEARCH.setdatabyname(0, "mngDeptNm", objExtdata.deptNm);
	}
	
	if (objExtdata != undefined || objExtdata != null) {
		
	}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통코드 정의
	SYSTran.getComCode(this.screen, "N00026", this.DS_CD_N00026, true);			 // 은행코드
	SYSTran.getComCode(this.screen, "R00055", this.DS_CD_R00055, true);	// 상품대분류코드
	SYSTran.getComCode(this.screen, "R00056", this.DS_CD_R00056, true);	 // 상품중분류코드
	
	// 공통 버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	this.ue_init();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
//function ue_print(){
//	console.log("#### ue_print() call");
//	if(this.DS_SD_01.getrowcount() > 0){
//		var excelName = "입금자약속자명세_" + factory.datetoday() + ".xlsx"
//		this.Grid_busi.downloadexcel(excelName);	
//	} else {
//		var strMsg = "조회된 데이터가 없습니다.";
//		SYSUtil.loadToastBox(this.screen, strMsg, viewTime);
//	}
//}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### RATMNM04_ue_query() call");
	if(this.Checkbox2.getcheck()){
		this.DS_SEARCH.setdatabyname(0,"chkRlDueDt","1");
	}else{
		this.DS_SEARCH.setdatabyname(0,"chkRlDueDt","0");
	}
	
	if(this.Checkbox1.getcheck()){
		this.DS_SEARCH.setdatabyname(0,"chkMngDeptCd","1");
	}else{
		this.DS_SEARCH.setdatabyname(0,"chkMngDeptCd","0");
	}
	
	if(this.Checkbox3.getcheck()){
		this.DS_SEARCH.setdatabyname(0,"chkBankCd","1");
	}else{
		this.DS_SEARCH.setdatabyname(0,"chkBankCd","0");
	}
	
	if(this.Checkbox4.getcheck()){
		this.DS_SEARCH.setdatabyname(0,"chkPrdtClasCd","1");
	}else{
		this.DS_SEARCH.setdatabyname(0,"chkPrdtClasCd","0");
	}
	
	
	var reqSubmit = SYSTran.requestSubmit(screen, "TS_RATMNM04S01");
	
	if(reqSubmit == false) {
		SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	}
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SEARCH.removeallrows();
	this.DS_SEARCH.addrow();

       // 기준일자 오늘날짜로 셋팅
	this.DS_SEARCH.setdatabyname(0, "rlDueDtFr", factory.datetoday());
	this.DS_SEARCH.setdatabyname(0, "rlDueDtTo", factory.datetoday());

	this.DS_SD_01.deleteallrows();    
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */ 

function edit2_on_click(objInst, buttonclick)
{
	if(buttonclick){
	/* SYSUtil.loadToastBox(this.screen, "TODO 자료사전 팝업 검색 구현이후 적용", viewTime); */
		// 업무화면으로 전달할 데이터
		var param = {"DATADICNO":"HTORG18"};
		//팝업명	
		var popupTitle = "자료사전";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";

		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	}
}