﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	if(popup_name == "deleteConfirm") {
		if (result == "확인"){
			this.DS_CYCL_DLVR_THNG_DESC_SD_C.setdatabyname(0, "RT", "D");
			SYSTran.requestSubmitAsync(screen,"RBMGMM06I01");
		}
	}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", true);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", true);
	this.ue_init();

	this.DS_DIC_RTCYCLCLSBASE01.init();
	this.DS_CD_R00011.init();
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTCYCLCLSBASE01);   // 주기 목록 조회
	SYSUtil.addComboAllColumn(this.cboDlvrThngCdSearch);
	
	
	SYSTran.getComCode(this.screen, "R00011", this.DS_CD_R00011, true);
	SYSUtil.addComboAllColumn(this.cboCyclClsCdSearch);

}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.init();
	this.DS_CYCL_DLVR_THNG_DESC_SD.init();
	SYSTran.requestSubmitAsync(screen,"RBMGMM06S01");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
	
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.init();
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.addrow();
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.setdatabyname(0,"RT","I");
	
	this.cboDlvrThngCd.setenable(true);
	this.cboCyclClsNm.setenable(true);

	this.cboDlvrThngCd.setfocus();
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	if (this.DS_CYCL_DLVR_THNG_DESC_SD_C.getdatabyname(0,"dlvrThngCd").length == 0){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "발송물코드를 확인하세요.", "message01");
		return false;
	}
	
	if (this.DS_CYCL_DLVR_THNG_DESC_SD_C.getdatabyname(0,"cyclClsCd").length == 0){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "주기마감을 확인하세요.", "message01");
		return false;
	}
	
	var rowType = this.DS_CYCL_DLVR_THNG_DESC_SD_C.getrowoperation(0);
	var intSMCnt = 1;
	if(factory.stringtrim(rowType) == ''){
		intSMCnt = 0;
	}

	if(intSMCnt < 1){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "변경된 건이 없습니다.", "message01");
		return false;
	}
	
	if(rowType == "U"){
		this.DS_CYCL_DLVR_THNG_DESC_SD_C.setdatabyname(0,"RT","U");
	}
	
	SYSTran.requestSubmitAsync(screen,"RBMGMM06I01");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
	var strCyclClsCd = this.DS_CYCL_DLVR_THNG_DESC_SD_C.getdatabyname(0, "cyclClsCd");
	var strDlvrThngCd = this.DS_CYCL_DLVR_THNG_DESC_SD_C.getdatabyname(0, "dlvrThngCd");
	
	if( strCyclClsCd.length < 1 || strDlvrThngCd.length < 1 ) {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "발송물내역 선택 후 가능합니다.", "message01");
		return false;
	}
	
	var rowType = this.DS_CYCL_DLVR_THNG_DESC_SD_C.getdatabyname(0,"RT");
	if(rowType == "I"){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "조회된 데이터가 아니므로 삭제할수 없습니다.", "message01");
		return false;
	}
	
	//삭제 flag셋팅
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.setdatabyname(0, "RT", "D");
	
	//gf_PrintDataset( DS_CYCL_DLVR_THNG_DESC_SD_C);
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "발송물을 삭제하시겠습니까?\n주기마감코드 : " + strCyclClsCd + "\n발송물코드 : " + strDlvrThngCd, "deleteConfirm");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_CYCL_DLVR_THNG_SM01.init();
	this.DS_CYCL_DLVR_THNG_SM01.addrow();
	
	this.DS_CYCL_DLVR_THNG_DESC_SD.init();
	
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.init();
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.addrow();
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.setdatabyname(0,"RT","I");
	
	this.cboDlvrThngCdSearch.settext("");
	this.cboCyclClsCdSearch.settext("");
	
	this.cboDlvrThngCd.setenable(true);
	this.cboCyclClsNm.setenable(true);
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function grdSendThng_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	//입력창 초기화
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.init();
	this.DS_CYCL_DLVR_THNG_DESC_SD_C.copyrow(this.DS_CYCL_DLVR_THNG_DESC_SD,nClickRow,0);
	
	this.cboDlvrThngCd.setenable(false);
	this.cboCyclClsNm.setenable(true);
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if(mapid == "RBMGMM06S01"){
		if(this.DS_CYCL_DLVR_THNG_DESC_SD.getrowcount() > 0){
			this.grdSendThng.setselectrow(0, false, true);
			this.grdSendThng_on_itemclick(null, 0, null, null, null, null);
		} else {
			this.DS_CYCL_DLVR_THNG_DESC_SD_C.init();
			this.DS_CYCL_DLVR_THNG_DESC_SD_C.setdatabyname(0,"RT","I");
			this.cboDlvrThngCd.setenable(true);
		}
	} 
	
	if(mapid == "RBMGMM06I01"){
		if(result < 0 ){
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "시스템 오류가 발생하였습니다. 관리자에게 문의하세요.", "message01");
		} else {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "message01");
		}
		if(recv_code == "0000"){
			this.ue_query();
		}
	}
}