﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */

// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	if(popup_name == "deleteConfirm") {
		if (result == "확인"){
			var clsDtStr =  this.DS_SD01.getdatabyname(this.grdDlvr.getselectrow(),"clsDt");
			var clsSnumStr = this.DS_SD01.getdatabyname(this.grdDlvr.getselectrow(),"clsSnum");
			this.DS_SD02.init();
			this.DS_SD02.addrow();
			this.DS_SD02.setdatabyname(0,"clsDt",clsDtStr);
			this.DS_SD02.setdatabyname(0,"clsSnum",clsSnumStr);
			
			var reqSubmit = SYSTran.requestSubmitAsync(screen, "TS_RDMDLM02D01");
		}
	}
}

// 팝업 화면 종료시 호출됨
function popupCallback(objExtdata) {
	// 팝업에서 전달한 내용 출력
	console.log("popupCallback 실행::");
	console.log(objExtdata);
	if (objExtdata != undefined || objExtdata != null) {
		if(objExtdata.popId == "CBCCCP02"){
			this.edtCustNo.settext(objExtdata.custNo);
			this.edtCustNm.settext(objExtdata.custNm);
		} else if(objExtdata.popId == "CBCCCP01"){
			this.edtLoanNo.settext(objExtdata.loanNo);
			this.edtLoanSeq.settext(objExtdata.loanSeq);
		} else if(objExtdata.popId == "CCMCMP05"){
			this.edtMngDeptCd.settext(objExtdata.deptCd);
			this.edtMngDeptNm.settext(objExtdata.deptNm);
		}
	}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통코드 정의
	SYSTran.getComCode(this.screen, "R00052", this.DS_CD_R00052, true);			// 발송방법
	SYSTran.getComCode(this.screen, "R00053", this.DS_CD_R00053, true);			// 발송종류
	SYSTran.getComCode(this.screen, "S00057", this.DS_CD_S00057, true);			// 전화지역
	this.DS_HP_COMBO.copy(this.DS_CD_S00057,"");
	SYSTran.getComCode(this.screen, "R00043", this.DS_CD_R00043, true);			// 회계단위
	SYSTran.getComCode(this.screen, "N00018", this.DS_CD_N00018, true);			// 상품
	//SYSTran.getComCode(this.screen, "???", this.DS_RECV_TEL_DIV_COMBO, true);			// 전화종류(전화와 팩스 구분)
	// 공통 버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	this.ue_init();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
//function ue_print(){
//	console.log("#### ue_print() call");
//	if(this.DS_SD01.getrowcount() > 0){
//		var excelName = "입금자약속자명세_" + factory.datetoday() + ".xlsx"
//		this.Grid_busi.downloadexcel(excelName);	
//	} else {
//		var strMsg = "조회된 데이터가 없습니다.";
//		SYSUtil.loadToastBox(this.screen, strMsg, viewTime);
//	}
//}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	if( this.chkDlvrDt() ){
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "TS_RDMDLM02S01");
	}
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
	/*
	if(this.grdDlvr.getselectrow() == -1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "선택된 항목이 없습니다.", "errMsg01");
		return false;	
	}
	var dlvrThngCd = this.DS_SD01.getdatabyname(this.grdDlvr.getselectrow(),"dlvrThngCd");
	if(factory.substringbyte(dlvrThngCd,2,3) !='3') {
		SYSUtil.loadMessageBox(screen, "알림", 1, "일괄(배치) 발송물에 대해서만 발송취소 가능합니다.", "errMsg01");
		return false;
	}
	
	if(this.DS_SD01.getdatabyname(this.grdDlvr.getselectrow(),"clsDt") == factory.datetoday()){
		SYSUtil.loadMessageBox(screen, "알림", 1, "당일 신청건에 대해서만 발송 취소 가능합니다.", "errMsg01");
		return false;
	}
	*/
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "발송물을 삭제하시겠습니까?", "deleteConfirm");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM.removeallrows();
	this.DS_SM.addrow();
    
    // 기준일자 오늘날짜로 셋팅
	this.DS_SM.setdatabyname(0, "dlvrDtFr", factory.datetoday());
	this.DS_SM.setdatabyname(0, "dlvrDtTo", factory.datetoday());
	this.DS_SD01.init();
	this.cboHpNo1.settext("");
	this.cboRecvTelDiv.settext("");
	this.cboRecvTelDiv_on_itemchange(null, null, "", null);
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

/**
오브젝트 속성 : btn
오브젝트명 : CustSrchBtn
이벤트명 : on_click
설명 : 고객검색 팝업
화면ID : RDMDLM02
거래코드 : 
*/
function btnCustSrchBtn_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"custNo":this.edtCustNo.gettext(), "custNm":this.edtCustNm.gettext(), "loanNo":this.edtLoanNo.gettext()};
	// 팝업 Title
	var popupTitle = "고객검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP02";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/**
오브젝트 속성 : btn
오브젝트명 : LoanIntgSrch
이벤트명 : on_click
설명 : 대출통합검색 팝업
화면ID : RDMDLM02
거래코드 : 
*/

function btnLoanIntgSrch_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext()};
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/**
오브젝트 속성 : 
오브젝트명 : 
이벤트명 : chkDlvrDt
설명 : 발송일자 체크 function
화면ID : RDMDLM02
거래코드 : 
*/

 function chkDlvrDt()
{
	//ASIS에 있긴 하나, 데이트피커에 굳이 필요 없을 것으로 보임
	var dtFr = this.calDlvrDtFr.gettext().length;
	var dtTo = this.calDlvrDtTo.gettext().length;
	
	if (dtFr == 0 || dtTo == 0 ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "발송일자를 입력하셔야 합니다.", "errMsg01");
		
		if( dtFr == 0 ){
			this.calDlvrDtFr.setfocus();
		}
		
		if( dtTo == 0){
			this.calDlvrDtTo.setfocus();
		}
		return false;
	}
	if( factory.datediff("day", this.calDlvrDtFr.gettext(), this.calDlvrDtTo.gettext()) < 0 ) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "발송일자의 시작일과 종료일을 확인하세요.", "errMsg01");
		return false;
	}
	
	return true;
}

/**
오브젝트 속성 : 
오브젝트명 : 
이벤트명 : telChk
설명 : 전화,팩스 구분 값에 따라 데이터 셋에 다른 네이밍 function
화면ID : RDMDLM02
거래코드 : 
*/

function telChk()
{
	//수정필요.. 전화종류(전화, 팩스 구분) 공통코드 못찾음 (DS_RECV_TEL_DIV_COMBO)
	var strCode = this.cboRecvTelDiv.val();
	
	if(strCode != undefined && strCode != null){
		if( "1" == strCode ){
			this.DS_SM.setdatabyname(0, "hpNo1", this.cboHpNo1.val());
			this.DS_SM.setdatabyname(0, "hpNo2", this.edtHpNo2.val());
			this.DS_SM.setdatabyname(0, "hpNo3", this.edtHpNo3.val());
		}else if( "2" == strCode ){
			this.DS_SM.setdatabyname(0, "recvFax1", this.cboHpNo1.val());
			this.DS_SM.setdatabyname(0, "recvFax2", this.edtHpNo2.val());
			this.DS_SM.setdatabyname(0, "recvFax3", this.edtHpNo3.val());
		}
		return true;
	}
	return false;
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if(mapid == "TS_RDMDLM02D01"){
		this.ue_query();
		if(result == 0){
			// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
			SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "데이터 송신중 오류가 발생하였습니다.", "message01");
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		} else {
			SYSUtil.setStatusMsg("정상처리되었습니다.");
		}
	}
}

function cboRecvTelDiv_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	var strFilter = "";
    
	if( ncur_item == "1" ){
		//핸드폰 번호
		strFilter += "\"clas2\":=:\"0\"";
		this.DS_CD_S00057.copy(this.DS_HP_COMBO,strFilter);
		
		this.cboHpNo1.setenable(true);
		this.edtHpNo2.setenable(true);
		this.edtHpNo3.setenable(true);
		
	}else if( ncur_item == "2" ){
		//fax 번호
		strFilter += "\"clas2\":=:\"1\"";
		this.DS_CD_S00057.copy(this.DS_HP_COMBO,strFilter);
		
		this.cboHpNo1.setenable(true);
		this.edtHpNo2.setenable(true);
		this.edtHpNo3.setenable(true);
	}else{
		//전체
		strFilter += "\"clas2\":<>:\"1\":,";
		strFilter += "\"clas2\":<>:\"0\"";
		this.DS_CD_S00057.copy(this.DS_HP_COMBO,strFilter);
		
		
		this.DS_SM.setdatabyname(0, "hpNo1", "");
		this.DS_SM.setdatabyname(0, "hpNo2", "");
		this.DS_SM.setdatabyname(0, "hpNo3", "");
		
		this.cboHpNo1.settext("");
		this.edtHpNo2.settext("");
		this.edtHpNo3.settext("");
		
		this.cboHpNo1.setenable(false);
		this.edtHpNo2.setenable(false);
		this.edtHpNo3.setenable(false);
	}
}

function edtMngDeptCd_on_click(objInst, buttonclick)
{
	if(buttonclick){
        // 업무화면으로 전달할 데이터
        var param = {"DATADICNO":"HTORG17"};
        // 팝업 Title
        var popupTitle = "관리부서 조회";
        //팝업 경로
        var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
        
        SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
    }
}