﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */



//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	SYSTran.getComCode(this.screen, "R00052", this.DS_CD_R00052, true);	//발송방법
	SYSTran.getComCode(this.screen, "R00053", this.DS_CD_R00053, true);	//발송종류
	SYSTran.getComCode(this.screen, "N00018", this.DS_CD_N00018, true);	//상품
	
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	if(this.dlvrDtFr.gettext().length < 1){
	SYSUtil.loadMessageBox(screen, "알림", 1, "발송일자 조회시작일자를 입력하세요.", "msg07");
	this.dlvrDtFr.setfocus();
	return false;
	}
	
	if(this.dlvrDtTo.gettext().length <1){
		SYSUtil.loadMessageBox(screen, "발송일자 조회종료일자를 입력하세요.", "msg07");
		this.dlvrDtTo.setfocus();
		return false;
	}
	if(this.dlvrDtFr.gettext().length<1){
		SYSUtil.loadMessageBox(screen, "발송일자 조회기간을 확인하세요.(from ~ to, 기간이 반대로 입력)", "msg07");
		this.dlvrDtFr.setfocus();
		return false;
	}
	
	
	
	if(this.dueDtFr.gettext().length < 1){
	SYSUtil.loadMessageBox(screen, "알림", 1, "반입일자 조회시작일자를 입력하세요.", "msg07");
	this.dueDtFr.setfocus();
	return false;
	}
	
	if(this.dueDtTo.gettext().length <1){
		SYSUtil.loadMessageBox(screen, "반입일자 조회종료일자를 입력하세요.", "msg07");
		this.dueDtTo.setfocus();
		return false;
	}
	if(this.dueDtFr.gettext().length<1){
		SYSUtil.loadMessageBox(screen, "반입일자 조회기간을 확인하세요.(from ~ to, 기간이 반대로 입력)", "msg07");
		this.dueDtFr.setfocus();
		return false;
	}
	
	this.DS_SEARCH.deleteallrows();
	this.DS_SEARCH.addrow();
	
	this.DS_SEARCH.setdatabyname(0,"dlvrDtFr",this.dlvrDtFr.gettext());
	this.DS_SEARCH.setdatabyname(0,"dlvrDtTo",this.dlvrDtTo.gettext());
	this.DS_SEARCH.setdatabyname(0,"dueDtFr",this.dueDtFr.gettext());
	this.DS_SEARCH.setdatabyname(0,"dueDtTo",this.dueDtTo.gettext());
	
	this.DS_SEARCH.setdatabyname(0,"dlvrMethCd",this.dlvrMethCd.getselectedcode());
	this.DS_SEARCH.setdatabyname(0,"dlvrKindCd",this.dlvrKindCd.getselectedcode());
	this.DS_SEARCH.setdatabyname(0,"prdtClasCd",this.prdtClasCd.getselectedcode());
	
	this.DS_SEARCH.setdatabyname(0,"mngDeptNm",this.edtMngDeptNm.gettext());
	this.DS_SEARCH.setdatabyname(0,"mngDeptCd",this.edtMngDeptCd.gettext());
	
	/* 콤보박스 : getselectedcode() 
	      텍스트 : gettext()*/
	
	var reqSubmit = SYSTran.requestSubmitSync(this.screen, "RDMDLM03S01");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	//데이터 초기화
	this.DS_SD_01.deleteallrows();
	this.dlvrDtFr.settext(factory.datetoday());
	this.dlvrDtTo.settext(factory.datetoday());
	this.dueDtFr.settext(factory.datetoday()); 
	this.dueDtTo.settext(factory.datetoday()); 
	this.edtMngDeptCd.settext("");
	this.edtMngDeptNm.settext("");
	
	// 콤보박스
	this.dlvrMethCd.setselectedindex(0);
	this.dlvrKindCd.setselectedindex(0);
	this.prdtClasCd.setselectedindex(0);	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function Grid_RcptTrDesc_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	
}

function edtMngDeptCd_on_click(objInst, buttonclick)
{
	if(buttonclick){
        // 업무화면으로 전달할 데이터
        var param = {"DATADICNO":"HTORG17"};
        // 팝업 Title
        var popupTitle = "관리부서 조회";
        //팝업 경로
        var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
        
        SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
    }
}

// 팝업 화면 종료시 호출됨
function popupCallback(objExtdata) {
	// 팝업에서 전달한 내용 출력
	console.log("popupCallback 실행::");
	console.log(objExtdata);
	if (objExtdata != undefined || objExtdata != null) {
		if(objExtdata.popId == "CCMCMP05"){
			this.edtMngDeptCd.settext(objExtdata.deptCd);
			this.edtMngDeptNm.settext(objExtdata.deptNm);
		}
	}
}
