﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

var fstrContents = "0"; // 0 : 결제정보사용가 1 : 결제정보사용가
// Hidden Value;
var tmp_loanNo = ""; //대출번호
var tmp_loanSeq = ""; //대출순번
var tmp_setlNo = ""; //결제일자
var tmp_Today = ""; //현재일자
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */

// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	
	// 날짜세팅
	tmp_Today = factory.datetoday();
	
	//공통버튼 visible 설정.
	SYSUtil.setCommonButtonVisible(this.screen , "DELETE" , false); //삭제
	SYSUtil.setCommonButtonVisible(this.screen , "PRINT"  , false);    //인쇄
	
	//콤보박스 세팅
	SYSTran.getComCode(this.screen, "R00139" , this.DS_CD_R00139 , true);
	SYSTran.getComCode(this.screen, "R00140" , this.DS_CD_R00140 , true);
	SYSTran.getComCode(this.screen, "S00035" , this.DS_CD_S00035 , true);
	
	// 데이터셋 초기화
	this.DS_SEARCH.init();
	this.DS_SEARCH.addrow();
	
	// 초기값 세팅
	this.rdo_DateDiv.setselectedindex(0);
	this.cbo_RmbrDiv.setselectedindex(1);
	
	// 날짜세팅
	this.cal_sdt.settext(tmp_Today);
	this.cal_edt.settext(tmp_Today);
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	
	if(factory.stringtrim(this.DS_SEARCH.getdatabyname(0, "sdt")) > factory.stringtrim(this.DS_SEARCH.getdatabyname(0, "edt")) ){
		SYSUtil.loadMessageBox(this.screen, "안내" , 1, "조회기준 시작일이 종료일보다 큽니다." , "msg04");
		return false;
	}
	if(factory.stringtrim(this.DS_SEARCH.getdatabyname(0,"sdt")) == null ){
		SYSUtil.loadMessageBox(this.screen, "안내" , 1, "조회기준 시작일을 확인하여 주십시요." , "msg04");
		return false;
	}
	if(factory.stringtrim(this.DS_SEARCH.getdatabyname(0,"edt")) == null ){
		SYSUtil.loadMessageBox(this.screen, "안내" , 1, "조회기준 종료일을 확인하여 주십시요." , "msg04");
		return false;
	}
	
	this.screen.setscreenprotect(true);
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCMNM02S01");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	
	if(this.grd_accDetl.getselectedrowcount() == 0){
		SYSUtil.loadMessageBox(this.screen, "안내" , 1, "선택된 건이 없습니다." , "msg04");
		return false;
	}else{
		if (SYSUtil.comConfirm("조기상환처리 하시겠습니까?")) {
			
			// 데이터셋 초기화
			this.DS_MID_RMBR_RSRV_PROC.init();
			
			// 선택된 로우 데이터셋 복사			
			this.DS_MID_RMBR_RSRV_PROC.copyrow(this.DS_MID_RMBR_RSRV_SCH, this.DS_MID_RMBR_RSRV_SCH.getpos());			
						
			
			this.DS_MID_RMBR_RSRV_PROC.setdatabyname(0, "deptCd", G_EMP_INFO.getdatabyname(0,"DEPT_CD"));
				
			console.log(this.DS_MID_RMBR_RSRV_PROC.getdatabyname(0,"deptCd"));		
						
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCMNM02U01");
		
		} else{
			return false;
		}
	}
}

// 공통 초기화 버튼 이벤트
function ue_init(){

	fstrContents = "0";
	
	this.DS_SEARCH.init();
	this.DS_MID_RMBR_RSRV_SCH.init();
	
	this.DS_SEARCH.addrow();
	
	this.cal_sdt.settext(tmp_Today);
	this.cal_edt.settext(tmp_Today);
	this.rdo_DateDiv.setselectedindex(1);
	
	this.edt_loanNo.setfocus(true);
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false);
	
	if(mapid == "RRCMNM02S01" && recv_code == "0000"){
		
		// postFind start
		this.Set_Temp_Value();
		
		if (Number(tmp_setlNo) > 0) {
			fstrContents = "2";
		}
		else {
			fstrContents = "1";
		}  
	    
		var rCnt = this.DS_MID_RMBR_RSRV_SCH.getrowcount();
		if (rCnt == 0) {
			this.cbo_ObankDepAmtCd.setenable(true);
			fstrContents = "3";
		}
	
		this.grd_accDetl.seteditable(true);
		// postFind end		
	}
	else if(mapid == "RRCMNM02U01" && recv_code == "0000"){
		
		SYSUtil.loadMessageBox(this.screen, "안내" , 1, "수납 처리 되었습니다." , "msg04");
		
		this.ue_query();
	}
}
/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 통합검색 버튼 클릭 이벤트
function btn_Image3_on_mouseup(objInst)
{
	// 업무화면으로 전달할 데이터 
	var param = {"GUBUN":"SELECT", "loanNo":this.edt_loanNo.gettext(), "loanSeq":this.edt_loanSeq.gettext()}; 
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

/**	
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01" && objExtdata.loanNo != null){
			this.edt_loanNo.settext(objExtdata.loanNo);
			this.edt_loanSeq.settext(objExtdata.loanSeq);	
			this.edt_custNm.settext(objExtdata.custNm);
			this.edt_custNo.settext(objExtdata.custNo);
			this.cbo_loanStatCd.setselectedcode(objExtdata.loanStatCd);
			this.edt_loanStatNm.settext(this.cbo_loanStatCd.getselectedcomment());
			
			if(factory.stringtrim(this.edt_loanNo.gettext()).length == 11 ){
				this.ue_query();	
			}
		}else{
		
			this.edt_loanNo.settext("");
			this.edt_loanSeq.settext("");				
			this.edt_custNm.settext("");
			this.edt_custNo.settext("");
			this.edt_loanStatNm.settext("");
		
		}
	}
}

/*******************************************************************************
* 기  능 : 더블클릭 시 예약화면으로 이동 (상태-예약인 건 만)
*******************************************************************************/
function grd_accDetl_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	// 예약인것만 링크
	var prgsStatCd = this.DS_MID_RMBR_RSRV_SCH.getdatabyname(nDblClickRow, "prgsStatCd");
	if (prgsStatCd != "1") return;
	
	var rsrvDt  = this.DS_MID_RMBR_RSRV_SCH.getdatabyname(nDblClickRow, "earlRmbrRsrvDt");
	var loanNo  = this.DS_MID_RMBR_RSRV_SCH.getdatabyname(nDblClickRow, "loanNo");
	var loanSeq = this.DS_MID_RMBR_RSRV_SCH.getdatabyname(nDblClickRow, "loanSeq");
	
	//예약화면 이동
	var sendData = {"loanNo": loanNo , "loanSeq":loanSeq, "rsrvDt":rsrvDt};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/MN/RRCMNM01", "조기상환예약" , sendData);	
}

function edt_loanNo_on_changed(objInst, prev_text, curr_text, event_type)
{
	if(factory.stringtrim(curr_text).length == 11){
		this.edt_loanSeq.settext("01");
	}
}

// 초기상환처리 버튼 클릭 이벤트
function btn_Image0_on_click(objInst)
{
	this.ue_update();
}

/*********************************
* 기  능 : Hidden Value  Setting
**********************************/
function Set_Temp_Value() 
{
	tmp_loanNo  = this.edt_loanNo.gettext();   //대출번호
	tmp_loanSeq = this.edt_loanSeq.gettext();  //대출순번	
}