﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

// 히든 값
var fstrContents     = "0"; // 0:결제정보사용가  1:결제정보사용가
var tmp_loanNo       = "";  // 대출번호
var tmp_loanSeq      = "";  //대출순번
var tmp_setlDt       = "";  //결제일자
var tmp_setlDiv      = "";  //결제구분
var tmp_setlNo       = "";  //결제번호
var tmp_leglUnCalcFg = "";  
var tmp_dsrc_ramt    = 0;   // 예가수잔액
var tmp_Today        = "";  //현재일자
var selectGubun      = "N";
var focusObj;
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
		
	if(popup_name == "msg04" && focusObj != null){
		focusObj.setfocus(true);
	}
}

/******************************************************************
* 1. 화면로드시 발생하는 이벤트
*******************************************************************/
function screen_on_load(){
	
	if(this.EXTRA_DATA != null){
		this.edt_loanNo.settext(this.EXTRA_DATA.loanNo);
		this.edt_loanSeq.settext(this.EXTRA_DATA.loanSeq);
		this.edt_setlNo.settext(this.EXTRA_DATA.setlNo);
	}
	
	
	// 공통 인쇄 버튼 숨김 처리		
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	// 탭 포커스
	this.tab0.settabitemfocus(0);
	this.tab1.settabitemfocus(1);
	
	// 날짜 세팅
	this.cal_setlDt.settext(factory.datetoday());
		
	// 결제구분 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RCPTMNG_SETLDIV);
	this.DS_DIC_RCPTMNG_SETLDIV.insertrow(0);
	this.DS_DIC_RCPTMNG_SETLDIV.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_RCPTMNG_SETLDIV.setdatabyname(0,"cdDescKorNm","");
	this.cbo_setlDiv.setselectedindex(1); 
	
	// 수납유형 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RCPTMNG_RCPTTP);
	this.DS_DIC_RCPTMNG_RCPTTP.insertrow(0);
	this.DS_DIC_RCPTMNG_RCPTTP.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_RCPTMNG_RCPTTP.setdatabyname(0,"cdDescKorNm","전체");
	
	// (창구수납_예금, 가수정리, 자동이체수납, 가상계좌수납) 제외한 값들 삭제
	for(var i = this.DS_DIC_RCPTMNG_RCPTTP.getrowcount(); i > 0; i--){
		if(i == 1 ){
			this.DS_DIC_RCPTMNG_RCPTTP.removerow(i);
		}
		else if(i > 5 ){
			this.DS_DIC_RCPTMNG_RCPTTP.removerow(i);	
		}
	}
	this.cbo_RcptTp.setselectedindex(1);
	
	// 예가수발생코드 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RCPTMNG_DSCROCCR);
	this.DS_DIC_RCPTMNG_DSCROCCR.insertrow(0);
	this.DS_DIC_RCPTMNG_DSCROCCR.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_RCPTMNG_DSCROCCR.setdatabyname(0,"cdDescKorNm","전체");
	this.cbo_SrcpOccr.setselectedindex(0);
	
	// 결제순위 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RCPTMNG_SETLSEQ);
	this.DS_DIC_RCPTMNG_SETLSEQ.insertrow(0);
	this.DS_DIC_RCPTMNG_SETLSEQ.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_RCPTMNG_SETLSEQ.setdatabyname(0,"cdDescKorNm","전체");
	this.cbo_setlFrstRank.setselectedindex(1);
	
	// 청구입금 프로그램 역할 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_R_PRGM_ROLE);
		
	// 입출금계좌(수납관리) 콤보박스	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RAC002);
	this.DS_DIC_RAC002.insertrow(0);
	this.DS_DIC_RAC002.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_RAC002.setdatabyname(0,"cdDescKorNm","전체");
	this.cbo_rcptAcnt.setselectedindex(0); 
	
	// 상품코드 콤보박스
	SYSTran.getComCode(this.screen, "A00003", this.DS_CD_A00003, true); 
	
	// 대출번호로 포커스 이동
	this.edt_loanNo.setfocus();
}	

/******************************************************************
* 2. 공통 버튼 이벤트
*******************************************************************/

// 인쇄 버튼
function ue_print(){
	
}

// 조회 버튼
function ue_query(){
	
	// 대출번호 & 순번 체크
	if (factory.stringtrim(this.edt_loanNo.gettext()).length == 11 && factory.stringtrim(this.edt_loanSeq.gettext()).length == 2) {
		
		//결제일자 체크
		if (factory.stringtrim(this.cal_setlDt.gettext()).length != 8) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "결제일자를 확인하세요.", "msg04");
			focusObj = this.cal_setlDt;
			return false;
		}
		
		//결제구분 체크
		if(Number(factory.stringtrim(this.edt_setlNo.gettext())) == 0){
			if(factory.stringtrim(this.cbo_setlDiv.getselectedindex()) == 0){
				SYSUtil.loadMessageBox(screen, "알림", 1, "결제구분을 확인하세요.", "msg04");
				focusObj = this.cbo_setlDiv;
				return false;
			}
		}
		
		this.DS_SEARCH.setdatabyname(0,"dsrcNo",this.DS_SETLINFO.getdatabyname(0,"dsrcNo"));
		if(tmp_loanNo == this.edt_loanNo.gettext() && tmp_loanSeq == this.edt_loanSeq.gettext()){
			var tempPartPamt = this.edt_partRmbrPamt.gettext(); 
			// gf_TraceDebug("====> 부분원금="+ tempPartPamt);
			this.DS_SEARCH.setdatabyname(0,"partRmbrPamt",tempPartPamt);
		}
		else {
			this.DS_SEARCH.setdatabyname(0,"partRmbrPamt","");
			this.fn_PreSearchInit();
		}
		
		// 플래그 Y
		selectGubun = "Y";
	}
	else{
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호를 확인하세요.", "msg04");
		// 플래그 N
		selectGubun = "N";		
		focusObj = this.edt_loanNo;
		return false;
	}
	
	if(selectGubun == "Y"){ 
	
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCRCM01S01");
	
		if(reqSubmit == false) {
			screen.setscreenprotect(false); //화면잠금해제
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
			//SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		}else{
			screen.setscreenprotect(false); //화면잠금해제
		}	
	}	
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	if (fstrContents != "3") {
		SYSUtil.loadMessageBox(screen, "알림", 1, "결제내역 입력후 가능합니다.", "msg04");	
		focusObj = this.edt_setlNo;	
		return false;
	}
	/*
	//거치기간 이상 분할 상환 상품 
	if ((DS_SEARCH.getdatabyname(0,"setlDiv") == '3' || DS_SEARCH.getdatabyname(0,"setlDiv") == '4')  && DS_SM.getdatabyname(0,"termIntCalcFg") == '0') {
		gf_SetMsg('1',"거치기간 이자 분할 상환 상품은 중도상환이자 계산 후 결제 가능합니다.");
		Edit_loanNo.SetFocus();
		return();
	}
	*/

	if (this.Check_Validate()) {
		return false;
	}
		
	if (factory.stringtrim(this.DS_SETLINFO.getdatabyname(0,"acctDt")).length != 8){
		SYSUtil.loadMessageBox(screen, "알림", 1, "회계일자를 확인하세요.", "msg04");
		focusObj = this.cal_AcctDt;	
		return false;
	}
	
	if (this.DS_SETLINFO.getdatabyname(0,"rcptTpCd").length == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "수납유형을 확인하세요.", "msg04");
		focusObj = this.cbo_RcptTp;	
		return false;
	}
	
	if (this.DS_SETLINFO.getdatabyname(0,"setlFrstRank").length == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "결제순위를 확인하세요.", "msg04");
		focusObj = this.cbo_setlFrstRank;	
		return false;
	}

	if (this.DS_SETLINFO.getdatabyname(0,"dsrcOccrCd").length != 0){
		if (factory.stringtrim(this.DS_SETLINFO.getdatabyname(0,"dsrcNo")).length != 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "예가수 발생시 예가수번호에 대한 정산은 불가합니다.", "msg04");
			focusObj = this.cbo_SrcpOccr;	
			return false;
		}
	}
	
	if (this.DS_SETLINFO.getdatabyname(0,"rcptTpCd") == "D1") {
	
		if ( factory.stringtrim(this.DS_SETLINFO.getdatabyname(0,"dsrcNo")).length != 11) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "예가수번호를 확인하세요.", "msg04");
			focusObj = this.edt_DsrcNo;	
			return false;
		}
	  
		if ( Number(this.edt_SetlAmt.gettext()) != 0 ){
			SYSUtil.loadMessageBox(screen, "알림", 1, "가수정리에서는 결제금액 입력할 수 없습니다.", "msg04");
			focusObj = this.edt_CashAmt;	
			return false;
		}
	}else{
		
		var rCd    = this.DS_SETLINFO.getdatabyname(0, "rcptAcntCd");
		var bankCd = this.DS_SETLINFO.getdatabyname(0, "bankCd");
		var acntNo = this.DS_SETLINFO.getdatabyname(0, "acntNo");
		
		if (this.fn_isNull(factory.stringtrim(rCd))) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "수납계좌를 선택하세요.", "msg04");
			focusObj = this.cbo_rcptAcnt; 
			return false;
		}
		if (this.fn_isNull(factory.stringtrim(bankCd))) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "수납계좌(은행)를 선택하세요.", "msg04");
			focusObj = this.cbo_rBankCd; 
			return false;
		}
		if (this.fn_isNull(factory.stringtrim(acntNo))) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "수납계좌(계좌)를 입력하세요.", "msg04");
			focusObj = this.edt_rAcntNo; 
			return false;
		}	
	}
	
	if ((this.DS_SM.getdatabyname(0,"prdtSmClasCd") == "4" || this.DS_SM.getdatabyname(0,"prdtSmClasCd") == "5")
	    && (Number(this.edt_SetlAmt.gettext()) != 0 || Number(this.edt_ExmpAmt.gettext()) != 0)) {
		if (this.DS_SETLINFO.getdatabyname(0,"rcptTpCd") != "S1") {
			SYSUtil.loadMessageBox(screen, "알림", 1, "개인회생,신용회복 대출 결제시 신용회복수납(수납유형)으로 가능합니다!", "msg04");
			focusObj = this.cbo_RcptTp; 
			return false;
		}
	}
	
	var nDsrcAdjAmt = Number(this.DS_SETLINFO.getdatabyname(0,"dsrcAdjAmt"));

	if (factory.stringtrim(this.DS_SETLINFO.getdatabyname(0,"dsrcNo")).length != 0) {
	  
		if (nDsrcAdjAmt <= 0
		   || nDsrcAdjAmt > tmp_dsrc_ramt) {
		  SYSUtil.loadMessageBox(screen, "알림", 1, "예가수금액을 확인하세요.[ 0 < 예가수금액 <= 예가수잔액("+tmp_dsrc_ramt+")]", "msg04");
		  focusObj = this.edt_DsrcAdjAmt; 
		  return false;
		}
	} else {
		if (nDsrcAdjAmt != 0) {
		  SYSUtil.loadMessageBox(screen, "알림", 1, "예가수 정산시에만 예가수금액을 입력하세요.", "msg04");
		  focusObj = this.edt_DsrcAdjAmt; 
		  return false;
		}
	}
		
	if (Number(this.edt_CashAmt.gettext()) < 0) {		
		SYSUtil.loadMessageBox(screen, "알림", 1, "현금은 0보다 작을 수 없습니다.", "msg04");
		focusObj = this.edt_CashAmt; 
		return false;
	}
	
	if (Number(this.edt_DsrcAdjAmt.gettext()) < 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "예가수금액은 0보다 작을 수 없습니다.", "msg04");
		focusObj = this.edt_CashAmt; 
		return false;
	}

	if (Number(this.edt_ExmpAmt.gettext()) < 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "면제금액은 0보다 작을 수 없습니다.", "msg04");
		focusObj = this.edt_CashAmt; 
		return false;
	}
	
	if (Number(this.edt_RcptTpAmt.gettext()) == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "수납금액(현금,예가수,수표금액,면제금액)을 확인하세요.", "msg04");
		focusObj = this.edt_CashAmt; 
		return false;
	}
	
	//선결제대상 존재여부 판단(첫번째는 검색 대상세서 제외 빈row i=1)
	for (var i = 1; i < this.DS_PRESETL.getrowcount(); i++) {
		if (SYSUtil.replaceAll(this.DS_PRESETL.getdatabyname(i,"rlDueDt"),"-","") < this.DS_SEARCH.getdatabyname(0,"setlDt")) {
			if (!SYSUtil.comConfirm("자동이체출금 대기중인 결제가 있습니다."
				+" \n■ 수납유형: "+this.DS_PRESETL.getdatabyname(i,"rcptTpNm")
				+" \n■ 결제일자: "+this.DS_PRESETL.getdatabyname(i,"rlDueDt")
				+" \n■ 회계일자: "+this.DS_PRESETL.getdatabyname(i,"acctDt")
				+" \n■ 결제금액: "+this.DS_PRESETL.getdatabyname(i,"setlAmt")
				+" \n그래도 결제하시겠습니까?")) {
				this.cal_setlDt.setfocus();
				return false;
			}
		}
	}
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCRCM01U01");
	
	if(reqSubmit == false) {
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else{
		screen.setscreenprotect(false); //화면잠금해제
	}
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
	
	if(fstrContents != "2") {
		
		SYSUtil.loadMessageBox(screen, "알림", 1, "결제내역 조회후 가능합니다.", "msg04");			
		focusObj = this.edt_setlNo; 
		return;		
	}
		
	if(this.Check_Validate()){
		return;
	}
		
	var bContinue = SYSUtil.comConfirm("수납정보를 취소 하시겠습니까?" );
		
	if(!bContinue) {
		this.edt_setlNo.setfocus();
		return;
	} 	
		
	this.DS_SEARCH.setdatabyname(0, "acctDt", this.DS_SETLINFO.getdatabyname(0,"acctDt"));
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCRCM01D01");
	
	if(reqSubmit == false) {
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		//SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	}else{
		screen.setscreenprotect(false); //화면잠금해제	
	}
}

// 공통 초기화 버튼 이벤트
function ue_init(){
		
	fstrContents = "0";
	
	// 데이터셋 초기화
	this.DS_SEARCH.init();
	this.DS_SEARCH.addrow();
	this.DS_SM.init();
	this.DS_BND.init();
	this.DS_SETLINFO.init();
	this.DS_CHK.init();
	this.DS_TIMEUNRCV.init();
	this.DS_PRESETL.init();
	
	this.cbo_setlDiv.setselectedcode("1");
	this.cbo_setlFrstRank.setselectedcode("01");
	this.cal_setlDt.settext(factory.datetoday());
	
	this.fn_PreSetlEnable();
		
	this.edt_loanNo.setfocus();
	
	this.edt_Static_askFbid.setvisible(false);
	this.edt_calcRcptAmt.settext(""); 
	this.edt_CalcPartPamt.settext(""); 
	
	this.fn_Cust_Init();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 대출통합검색 팝업 호출
function Image_Search_cust_on_click(objInst)
{
	// 팝업화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo": this.edt_loanNo.gettext() , "loanSeq": this.edt_loanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			
			if(objExtdata.loanNo != null){
				this.edt_loanNo.settext(objExtdata.loanNo); 
				this.edt_loanSeq.settext(objExtdata.loanSeq);	
			}else{
				this.edt_loanNo.settext(""); 
				this.edt_loanSeq.settext("");
			}
			
			if(factory.stringtrim(this.edt_loanNo.gettext()).length == 11){
				this.edt_setlNo.settext("");
				this.ue_query();
			}
				
		}
		// 자료사전 팝업 콜백
		else if(objExtdata.popId == "CCMCMP05"){
			
			if(fstrContents == "3" ){
				this.edt_DsrcNo.settext(objExtdata.dsrcNo);
				this.edt_DsrcAdjAmt.settext(objExtdata.dsrcRamt);
				tmp_dsrc_ramt = Number(objExtdata.dsrcRamt);
				
				if(Number(this.edt_CashAmt.gettext()) == 0 && Number(this.edt_DsrcAdjAmt.gettext()) != 0){
					// 수납유형 가수정리로 고정
					this.DS_SETLINFO.setdatabyname(0, "rcptTpCd", "D1");
				}
			}
			
			// 면제품의 팝업 콜백
			else if(objExtdata.loanNo != "" && fstrContents != "2"){
				
				if(objExtdata.exmpAmt != ""){
					var f_ExmpLoanNo  = objExtdata.loanNo;
					var f_ExmpLoanSeq = objExtdata.loanSeq;
					var f_ExmpPassFg  = objExtdata.exmpYn;
					
					if (f_ExmpLoanNo != this.edt_loanNo.gettext() || f_ExmpLoanSeq != this.edt_loanSeq.gettext()) {
						SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호("+f_ExmpLoanNo+"-"+f_ExmpLoanSeq+")가 일치하지 않습니다.", "msg04");
						focusObj = this.edt_loanNo; 
						return;
					}
			
					if (f_ExmpPassFg != "Y") {
						SYSUtil.loadMessageBox(screen, "알림", 1, "면제 품의 상태가 면제 가능상태가 아닙니다.", "msg04");
						focusObj = this.edt_CashAmt; 
						return;
					}
			
					this.edt_ExmpAmt.settext(Number(objExtdata.exmpAmt));
					this.DS_SETLINFO.setdatabyname(0,"exmpConsNo",objExtdata.exmpConsNo);
					this.DS_SETLINFO.setdatabyname(0,"exmpPamt",objExtdata.exmpLoanPamt);
					this.DS_SETLINFO.setdatabyname(0,"exmpInt",objExtdata.exmpLoanInt);
					this.DS_SETLINFO.setdatabyname(0,"exmpLeglActnCost",objExtdata.exmpSpayAmt);
					this.DS_SETLINFO.setdatabyname(0,"exmpDfee",objExtdata.exmpDlyFee);
					this.DS_SETLINFO.setdatabyname(0,"exmpMidRmbrFee",objExtdata.exmpMidRmbrFee);
					
				}else{
					this.edt_ExmpAmt.settext(0);
					this.DS_SETLINFO.setdatabyname(0,"exmpConsNo","");
					this.DS_SETLINFO.setdatabyname(0,"exmpPamt","");
					this.DS_SETLINFO.setdatabyname(0,"exmpInt","");
					this.DS_SETLINFO.setdatabyname(0,"exmpDfee","");
					this.DS_SETLINFO.setdatabyname(0,"exmpLeglActnCost","");
					this.DS_SETLINFO.setdatabyname(0,"exmpMidRmbrFee","");
				}
					
				
			}
		}
	}
}

function fn_PreSearchInit(){
	this.DS_SEARCH.setdatabyname(0,"preSetlAmt","");
	this.DS_SEARCH.setdatabyname(0,"preRcptTpCd","");
	this.DS_SEARCH.setdatabyname(0,"preAcctDt","");
	this.DS_SEARCH.setdatabyname(0,"preBankCd","");
	this.DS_SEARCH.setdatabyname(0,"preAcntNo","");
	this.DS_SEARCH.setdatabyname(0,"preIsrtDeptCd","");
	this.DS_SEARCH.setdatabyname(0,"preTrOrgCd","");
	this.DS_SEARCH.setdatabyname(0,"preGiroSnum","");
	this.DS_SEARCH.setdatabyname(0,"preGiroDivCd","");
	this.DS_SEARCH.setdatabyname(0,"preAcctUnitCd","");
	this.DS_SEARCH.setdatabyname(0,"leglUnCalcFg","0");
	this.fn_PreSetlEnable();	
}

// 결제일변경 클릭시
function Image11_on_click(objInst)
{
	var gLoanNo   = this.DS_SEARCH.getdatabyname(0, "loanNo");
	var gLoanSeq  = this.DS_SEARCH.getdatabyname(0, "loanSeq");
		
	var sendData = {"LOAN_NO":gLoanNo , "LOAN_SEQ":gLoanSeq};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/CH/MN/RCHMNM01","결제일변경관리" , sendData);		
}

// 대출변경내역 클릭시
function Image9_on_click(objInst)
{
	var gLoanNo   = this.DS_SEARCH.getdatabyname(0, "loanNo");
	var gLoanSeq  = this.DS_SEARCH.getdatabyname(0, "loanSeq");
		
	var sendData = {"LOAN_NO":gLoanNo , "LOAN_SEQ":gLoanSeq};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/CH/MN/RCHMNM01","대출변경내역조회" , sendData);		
}

function btn_Image6_on_click(objInst)
{
	var sendData = {"CS_NO": this.DS_SM.getdatabyname(0, "contManNo")};

	//SYSUtil.goToWorkPage(this.screen, "/BIZ/R/CH/MN/RCHMNM01","기대출정보조회" , sendData);		
}

function btn_Image4_on_click(objInst)
{
	var gLoanNo   = this.DS_SEARCH.getdatabyname(0, "loanNo");
	var gLoanSeq  = this.DS_SEARCH.getdatabyname(0, "loanSeq");
	
	var sendData = {"loanNo": gLoanNo , "loanSeq":gLoanSeq};
	
	// 팝업 Title
	var popupTitle = "상환스케쥴조회";

	//팝업 경로
	var popupPath = "/BIZ/R/RC/RC/RRCRCP02";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, sendData) ;
}

// 부분상환스케줄 이동(RRCRCP03 중도상환계획조회)
function btn_Image0_on_click(objInst)
{
	if(this.DS_SEARCH.getdatabyname(0,"loanNo").length < 1 || this.DS_SEARCH.getdatabyname(0,"loanSeq").length < 1 ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호, 순번을 입력하세요", "msg04");	
		return;
	}
	
	var f_pamtRamt     = Number(this.DS_SM.getdatabyname(0,"loanPamtRamt"));	
	var f_partRmbrPamt = Number(this.DS_BND.getdatabyname(0,"partRmbrPamt"));
	var f_balPamt      = f_pamtRamt - f_partRmbrPamt;
	var f_loanNo       = this.DS_SEARCH.getdatabyname(0,"loanNo");
	var f_loanSeq      = this.DS_SEARCH.getdatabyname(0,"loanSeq");
	var f_tims         = this.DS_BND.getdatabyname(0,"midRmbrTims");
	var f_rmbrDt       = this.DS_SEARCH.getdatabyname(0,"setlDt");

	var sendData = {"arg_AutoSearch": "Y" , "arg_LoanNo": f_loanNo, "arg_LoanSeq": f_loanSeq, "arg_Tims": f_tims , "arg_RmbrDt": f_rmbrDt, "arg_PamtRamt": f_balPamt};

	// 팝업 Title
	var popupTitle = "중도상환계획조회";

	//팝업 경로
	var popupPath = "/BIZ/R/RC/RC/RRCRCP03";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, sendData) ;
}

// 법적조치비용내역조회 이동(BLMLMM08)
function btn_Image8_on_click(objInst)
{
	var gCsNo     = this.DS_SM.getdatabyname(0, "contManNo");
	var gLoanNo   = this.DS_SEARCH.getdatabyname(0, "loanNo");
	var gLoanSeq  = this.DS_SEARCH.getdatabyname(0, "loanSeq");
	
	var sendData = {"csNo": gCsNo, "loanNo": gLoanNo , "loanSeq":gLoanSeq};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/LM/LM/BLMLMM08","법적조치비용내역조회" , sendData);			
}

// 채권상담 클릭 이벤트(BCNUILM02 채권상담관리)
function btn_Image7_on_click(objInst)
{
	var gCsNo     = this.DS_SM.getdatabyname(0, "contManNo");
	var gLoanNo   = this.DS_SEARCH.getdatabyname(0, "loanNo");
	var gLoanSeq  = this.DS_SEARCH.getdatabyname(0, "loanSeq");
	
	var sendData = {"csNo": gCsNo, "loanNo": gLoanNo , "loanSeq":gLoanSeq};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/CN/UI/BCNUIM02","채권상담관리" , sendData);			
}

// 보고서
function btn_Image12_on_click(objInst)
{
	SYSUtil.loadMessageBox(screen, "알림", 1, "준비중입니다.", "msg04");	
	return false;
	
	if(this.edt_custNm.gettext().length == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출정보를 조회하세요.", "msg04");	
		return false;
	}
	
	if(this.DS_SM.getdatabyname(0, "loanNo").length == 0 || this.DS_SM.getdatabyname(0, "loanSeq").length == 0) {		
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회후 영수증처리 가능합니다.", "msg04");	
		focusObj = this.edt_loanNo;
		return false;
	}
	
	if(parseInt(factory.datetoday) < parseInt(this.cal_setlDt.gettext())) {		
		SYSUtil.loadMessageBox(screen, "알림", 1, "결제일이 현재일 보다 큼니다.", "msg04");	
		focusObj = this.cal_setlDt;
		return false;
	}
	
	if(this.cal_setlDt.gettext().length != 8) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "결제일자를 선택하세요.", "msg04");	
		focusObj = this.cal_setlDt;
		return false;
	}
	
}

// 수납상세 클릭 이벤트(RRCRCM03 수납내역상세조회)
function btn_Image5_on_click(objInst)
{
	var gLoanNo   = "";
	var gLoanSeq  = "";
	
	if(this.DS_SEARCH.getdatabyname(0,"loanNo").length > 0){
		gLoanNo  = this.DS_SEARCH.getdatabyname(0, "loanNo");
		gLoanSeq = this.DS_SEARCH.getdatabyname(0, "loanSeq");
	}
	
	var sendData = {"loanNo": gLoanNo , "loanSeq":gLoanSeq};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM03","수납내역상세조회" , sendData);	
}

// 수납내역 클릭 이벤트(RRCRCM02 수납결제내역조회)
function btn_Image2_on_click(objInst)
{
	var gLoanNo   = "";
	var gLoanSeq  = "";
	
	if(this.DS_SEARCH.getdatabyname(0,"loanNo").length > 0){
		gLoanNo  = this.DS_SEARCH.getdatabyname(0, "loanNo");
		gLoanSeq = this.DS_SEARCH.getdatabyname(0, "loanSeq");
	}
	
	var sendData = {"loanNo": gLoanNo , "loanSeq":gLoanSeq};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM02","수납결제내역조회" , sendData);	
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	
	// 조회 후 콜백
	if(mapid == "RRCRCM01S01"){
		
		// 청구금지일 경우
		var askFbidFg = this.DS_SM.getdatabyname(0, "askFbidFg");
	
		if (askFbidFg == "1") {
			this.edt_Static_askFbid.setvisible(true);
		} else {
			this.edt_Static_askFbid.setvisible(false);
		}
		this.edt_calcRcptAmt.settext("");
		this.edt_CalcPartPamt.settext("");
	
		this.Set_Temp_Value();
		
		if(Number(tmp_setlNo) > 0){
			
			fstrContents = "2";
			this.SetlInfo_Disable();
			this.fn_PreSearchDisable();

		}else{
		
			fstrContents = "1";
			
			this.DS_SETLINFO.init();
			this.DS_SETLINFO.addrow();
			
			this.DS_CHK.init();
			
			this.SetlInfo_Enable();
			this.fn_PreSearchEnable();
			
			this.cal_AcctDt.settext(factory.datetoday());
		
			if (this.DS_SM.getdatabyname(0,"prdtSmClasCd") == "4" || this.DS_SM.getdatabyname(0,"prdtSmClasCd") == "5") {
				this.cbo_RcptTp.setselectedcode("S1");
			} else {
				this.cbo_RcptTp.setselectedcode("W2");
			}
			this.cbo_RcptTp_on_itemchange();
			
			this.cbo_setlFrstRank.setselectedcode("01");
			this.edt_CashAmt.setfocus();
			
			// 조회시의 선수납대상 set(선결제대상이 사라져서 삭제)
//			if (factory.stringtrim(this.DS_SEARCH.getdatabyname(0,"preRcptTpCd")).length != 0) {
//				var tmp_rcptTpcd = this.DS_SEARCH.getdatabyname(0,"preRcptTpCd");
//				var idx = 0;
//				for(var i = 0; i < this.DS_PRESETL.getrowcount(); i++){
//					if(tmp_rcptTpcd == this.DS_PRESETL.getdatabyname(i,"rcptTpCd")){
//						idx = i;
//						console.log(i);
//						console.log("tmp_rcptTpcd : " + tmp_rcptTpcd);
//						console.log("DS_PRESETL   : " + this.DS_PRESETL.getdatabyname(i,"rcptTpCd"));
//						break;
//					}
//				}
//				this.fn_preSetTrue(idx);
//			}
			
			//fLinkFg = ""; 
			this.tab1.settabitemclick(1);
			fstrContents = "3";		
		}
		
		// 툴팁 설정
		this.setToolTip();
	}
	// 저장 이후 콜백
	else if(mapid == "RRCRCM01U01"){
		fstrContents = "2";

		SYSUtil.loadMessageBox(screen, "알림", 1, "결제 완료되었습니다.", "msg04");			
		
		this.fn_PreSearchInit();
		
		this.ue_query();		
	}	
	// 삭제 이후 콜백
	else if(mapid == "RRCRCM01D01"){

		SYSUtil.loadMessageBox(screen, "알림", 1, "삭제 완료되었습니다.", "msg04");			
		
		this.ue_query();		
	}
}

//Hidden Value  Check...
function Check_Validate() {

	if (tmp_loanNo != factory.stringtrim(this.edt_loanNo.gettext())) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호 변경후 다음업무를 진행할수 없습니다.(조회 후 가능)", "msg04");			
		return true;
	}
	if (tmp_loanSeq != factory.stringtrim(this.edt_loanSeq.gettext())) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출순번 변경후 다음업무를 진행할수 없습니다.(조회 후 가능)", "msg04");			
		return true;
	}
	if (tmp_setlDt != factory.stringtrim(this.cal_setlDt.gettext())) { 
		SYSUtil.loadMessageBox(screen, "알림", 1, "결제일자 변경후 다음업무를 진행할수 없습니다.(조회 후 가능)", "msg04");			
		return true;
	}
	if (tmp_setlDiv != factory.stringtrim(this.cbo_setlDiv.getselectedcode())) { 
		SYSUtil.loadMessageBox(screen, "알림", 1, "결제구분 변경후 다음업무를 진행할수 없습니다.(조회 후 가능)", "msg04");			
		return true;
	}
	
	if (tmp_leglUnCalcFg != this.DS_SEARCH.getdatabyname(0,"leglUnCalcFg")) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "배제수납 변경후 다음업무를 진행할수 없습니다.(조회 후 가능) ", "msg04");			
		return true;
	}
	
	if (!tmp_setlNo.length == 0 && factory.stringtrim(this.edt_setlNo.gettext().length == 0)) {
		if (tmp_setlNo != factory.stringtrim(this.edt_setlNo.gettext())) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "결제번호 변경후 다음업무를 진행할수 없습니다.(조회 후 가능) ", "msg04");			
			return true;
		}
	}
	return false;	
}

function Set_Temp_Value(){
	
	tmp_loanNo       = this.edt_loanNo.gettext();                       // 대출번호
	tmp_loanSeq      = this.edt_loanSeq.gettext();                      // 대출순번
	tmp_setlDt       = this.cal_setlDt.gettext();                       // 결제일자
	tmp_setlDiv      = this.cbo_setlDiv.getselectedcode();              // 결제구분
	tmp_setlNo       = this.edt_setlNo.gettext();                       // 결제번호
	tmp_leglUnCalcFg = this.DS_SEARCH.getdatabyname(0,"leglUnCalcFg");  // 가지급미계산여부
	
}

function SetlInfo_Disable() {
	
	this.cbo_RcptTp.setenable(false);
	this.cbo_SrcpOccr.setenable(false);
	this.cbo_setlFrstRank.setenable(false);	
	this.edt_DsrcAdjAmt.setenable(false);
	this.edt_CashAmt.setenable(false);
	this.edt_DsrcNo.setenable(false);
	// 수납계좌
	this.cbo_rcptAcnt.setenable(false);
	this.cbo_rBankCd.setenable(false);
	this.edt_rAcntNo.setenable(false);
}

function SetlInfo_Enable() {
	
	this.cbo_RcptTp.setenable(true);
	this.cbo_SrcpOccr.setenable(false);
	this.cbo_setlFrstRank.setenable(true);	
	this.edt_DsrcAdjAmt.setenable(true);
	this.edt_CashAmt.setenable(true);
	this.edt_DsrcNo.setenable(true);
	// 수납계좌
	this.cbo_rcptAcnt.setenable(true);
	this.cbo_rBankCd.setenable(true);
	this.edt_rAcntNo.setenable(true);
}

// 가지급금 비활성화
function fn_PreSearchDisable() {	
	this.chk_leglUnCalcFg.setenable(false);
}

// 가지급금 활성화
function fn_PreSearchEnable() {
	this.chk_leglUnCalcFg.setenable(true);	
}

// 수납유형 콤보박스 아이템 변경 이벤트
function cbo_RcptTp_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	var acctUnit = this.DS_SM.getdatabyname(0, "acctUnitCd");
	if(acctUnit != ""){
		 acctUnit = "W01";
	}
	var rcptTpCd = this.cbo_RcptTp.getselectedcode();
	
	if (rcptTpCd == "D1") {
		
		this.cbo_rcptAcnt.setenable(false);
		this.cbo_rcptAcnt.setselectedcode("");
	} else {
//		DS_RAC002.Filter("acctUnitCd="+quote(acctUnit)+" && rcptTpCd="+quote(rcptTpCd));
//		Combo_rcptAcnt.Enable = true;
//		Combo_rcptAcnt.Index  = 0;
		this.cbo_rcptAcnt.setenable(true);
		this.cbo_rcptAcnt.setselectedindex(1);
	}
	this.cbo_rcptAcnt_on_itemchange();
}


function cbo_rcptAcnt_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	var rcptTpCd = this.DS_SETLINFO.getdatabyname(0, "rcptTpCd");
	
	if (rcptTpCd == "W2" || rcptTpCd == "A1" || rcptTpCd == "C1") {
	
		var rCd    = this.DS_SETLINFO.getdatabyname(0, "rcptAcntCd");		
		var idx = 0;
				
		for(var i = 0 ; i < this.DS_DIC_RAC002.getrowcount(); i++){
		
			if(rCd == this.DS_DIC_RAC002.getdatabyname(i,"cdDescNo")){
				idx = i;
				break;
			}
		}
		
		var bankCd = this.DS_DIC_RAC002.getdatabyname(idx, "cdDescEtcNm");
		var acntNo = this.DS_DIC_RAC002.getdatabyname(idx, "cdDescShrtNm");
		
		//T('rCd=='+rCd +" / idx = "+idx +" / "+bankCd+"]"+acntNo);
		
		// 직접입력
		if (!this.fn_isNull(factory.stringtrim(rCd)) && this.fn_isNull(factory.stringtrim(bankCd)) && this.fn_isNull(factory.stringtrim(acntNo))) {
			this.cbo_rBankCd.setenable(true);
			this.cbo_rBankCd.setselectedindex(0);
			this.edt_rAcntNo.setenable(true);
			this.edt_rAcntNo.settext("");
		} else {
			this.cbo_rBankCd.setenable(false);
			this.cbo_rBankCd.setselectedcode(bankCd);
			this.edt_rAcntNo.setenable(false);
			this.edt_rAcntNo.settext(acntNo);
		}
	}
	else {
		this.cbo_rBankCd.setenable(false);
		this.cbo_rBankCd.setselectedindex(0);
		this.edt_rAcntNo.setenable(false);
		this.edt_rAcntNo.settext("");
	}
}

function fn_preSetTrue(nNewIndex) {
	
	this.DS_SEARCH.setdatabyname(0,"preSetlAmt"   ,this.DS_PRESETL.getdatabyname(nNewIndex,"setlAmt"));
	this.DS_SEARCH.setdatabyname(0,"preRcptTpCd"  ,this.DS_PRESETL.getdatabyname(nNewIndex,"rcptTpCd"));
	this.DS_SEARCH.setdatabyname(0,"preAcctDt"    ,SYSUtil.replaceAll(this.DS_PRESETL.getdatabyname(nNewIndex,"acctDt"),"-",""));
	this.DS_SEARCH.setdatabyname(0,"setlDt"       ,SYSUtil.replaceAll(this.DS_PRESETL.getdatabyname(nNewIndex,"rlDueDt"),"-",""));
	this.DS_SEARCH.setdatabyname(0,"preBankCd"    ,this.DS_PRESETL.getdatabyname(nNewIndex,"bankCd"));
	this.DS_SEARCH.setdatabyname(0,"preAcntNo"    ,this.DS_PRESETL.getdatabyname(nNewIndex,"acntNo"));
	this.DS_SEARCH.setdatabyname(0,"preIsrtDeptCd",this.DS_PRESETL.getdatabyname(nNewIndex,"isrtDeptCd"));
	this.DS_SEARCH.setdatabyname(0,"preTrOrgCd"   ,this.DS_PRESETL.getdatabyname(nNewIndex,"trOrgCd"));
	this.DS_SEARCH.setdatabyname(0,"preGiroSnum"  ,this.DS_PRESETL.getdatabyname(nNewIndex,"giroSnum"));
	this.DS_SEARCH.setdatabyname(0,"preGiroDivCd" ,this.DS_PRESETL.getdatabyname(nNewIndex,"giroDivCd"));
	this.DS_SEARCH.setdatabyname(0,"preAcctUnitCd",this.DS_PRESETL.getdatabyname(nNewIndex,"acctUnitCd"));
	
	this.edt_CashAmt.settext(this.DS_PRESETL.getdatabyname(nNewIndex,"setlAmt"));
	this.cal_AcctDt.settext(SYSUtil.replaceAll(this.DS_PRESETL.getdatabyname(nNewIndex,"acctDt"),"-",""));
	this.DS_SETLINFO.setdatabyname(0,"rcptTpCd",this.DS_PRESETL.getdatabyname(nNewIndex,"rcptTpCd"));
	
	this.fn_PreSetlDisable();
}

function fn_PreSetlDisable() {
	this.cal_setlDt.setenable(false);
	this.cal_AcctDt.setenable(false);
	this.cbo_RcptTp.setenable(false);
	this.btn_Dsrc.setenable(false);
	this.btn_Exmp.setenable(false);
	this.edt_CashAmt.setenable(false);
}

function fn_PreSetlEnable() {
	this.cal_setlDt.setenable(true); 
	this.cal_AcctDt.setenable(true); 
	this.cbo_RcptTp.setenable(true);
	this.btn_Dsrc.setenable(true);
	this.btn_Exmp.setenable(true);
	this.edt_CashAmt.setenable(true);
}

function fn_Cust_Init() {
	
	this.DS_CUST_SEARCH.init();
	this.DS_CUST_SEARCH.addrow();
	
    this.DS_CUST_SEARCH.setdatabyname(0,"loanContFg","1");
    this.DS_CUST_SEARCH.setdatabyname(0,"loanRlDueFg","1");
	this.DS_CUST_SEARCH.setdatabyname(0,"loanEtcFg","0");
    this.DS_CUST_SEARCH.setdatabyname(0,"loanStatRegFg","1");
    this.DS_CUST_SEARCH.setdatabyname(0,"loanStatCnfmFg","1");
    this.DS_CUST_SEARCH.setdatabyname(0,"loanStatEndFg","0");
  
    this.DS_CUST_LOAN.init();
}

function fn_isNull(str){
	
	if (str == null || str== "") {
		return true;
	} else {
		return false;
	}
}

function Setl_Btn_Chk() {
	
	if (fstrContents == "0" || fstrContents == "1") {
		SYSUtil.loadMessageBox(screen, "알림", 1, "결제정보 조회 및 입력(신규) 후 선택가능합니다.", "msg04");	
		return true;
	}
	return false;
}


// 예가수 버튼 클릭 이벤트
function btn_Dsrc_on_click(objInst)
{

	var fpopFg = "1";
	
	if (this.Check_Validate()) {
		return;
	}
	
	if (this.Setl_Btn_Chk()) {
		return;
	}
	
	if (fstrContents == "2" && factory.stringtrim(this.DS_SETLINFO.getdatabyname(0,"dsrcNo")).length != 11) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "예가수 정산정보가 없습니다.", "msg04");	
		return true;
	}
	
	//sql에 검색 조건이 있는 경우에만 추가 검색조건이 없는 경우 생략 가능
	var sqlCon = { "loanNo":tmp_loanNo, "loanSeq":tmp_loanSeq , "dsrcNo":this.DS_SETLINFO.getdatabyname(0,"dsrcNo"), "setlDiv":tmp_setlDiv}; 

	// 데이타사전 팝업으로 전달할 데이터
	var param = {"DATADICNO":"RTRCPTDSRCBASE01" ,  "extParam" : sqlCon };   

	// 팝업 Title
	var popupTitle = "데이터사전";

	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	
}

// 면제 버튼 클릭 이벤트
function btn_Exmp_on_click(objInst)
{
	
	if (this.Setl_Btn_Chk()) {
		return;
	}
    
	if (fstrContents == "2" && Number(this.DS_SETLINFO.getdatabyname(0,"exmpAmt")) == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "면제 정산정보가 없습니다.", "msg04");	
		return true;
	}
	
	var sFlag = "";
	
	if(Number(tmp_setlNo) > 0){
		sFlag = "1";
	}
	
	//sql에 검색 조건이 있는 경우에만 추가 검색조건이 없는 경우 생략 가능
	var sqlCon = { "loanNo": this.DS_SEARCH.getdatabyname(0,"loanNo")}; 

	// 데이타사전 팝업으로 전달할 데이터
	var param = {"DATADICNO":"BT_EXMP_SEARCH" ,  "extParam" : sqlCon };   

	// 팝업 Title
	var popupTitle = "데이터사전";

	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	
}

// 일수 계산
function cal_on_changed(objInst, prev_text, curr_text, event_type)
{
	var n_CalcDateFr = this.cal_Fr.gettext();
	var n_CalcDateTo = this.cal_To.gettext();
	var n_CalcDdCnt = factory.datediff("day", n_CalcDateFr, n_CalcDateTo);
	
	this.edt_DdCnt.settext(n_CalcDdCnt);
}

function tab0_on_itemchange(objInst, itemindex)
{
	if(itemindex == 1){
		this.cal_Fr.settext("");
		this.cal_To.settext("");
	}
}




function fn_calcMidRmbrPamt(bndVO, setlDt, midRmbrAmt) {
	// 원리금수납용 원금, 이자, 연체료
	var piPamt = 0;
	var piInt  = 0;
	var rlTamt  = Number(midRmbrAmt);
	var stmpFee = Number(bndVO.getdatabyname(0, "stmpFeeRamt"));
	
	// 연체이거나 결제일 당일일 경우 사용
	if (bndVO.getdatabyname(0, "dlyDdcnt")>0) {
		//Trace("연체 원리금 --------------("+bndVO.getdatabyname(0, 'dlyPamt')+" + "+bndVO.getdatabyname(0,  'dlyInt') + ")");
		piPamt += Number(bndVO.getdatabyname(0, "dlyPamt"));
		piInt  += (Number(bndVO.getdatabyname(0, "dlyInt")) + Number(bndVO.getdatabyname(0, "dfee")));
	}
	if (bndVO.getdatabyname(0, "setlDt") == bndVO.getdatabyname(0, "thmmRlDueDt")) {
		//Trace("결제일 당일 원리금 --------("+bndVO.getdatabyname(0, 'normPamt')+" + "+bndVO.getdatabyname(0, 'normInt') + ")");
		piPamt += Number(bndVO.getdatabyname(0, "normPamt"));
		piInt  += Number(bndVO.getdatabyname(0, "normInt"));
	}
	rlTamt = rlTamt - (piPamt+piInt+stmpFee);
	
	//  1.   중도상환수수료 0%       : 0원
	//  2.   1년미만                           : 중도원금 * 중도수수료율% * 잔존기간/(대출기간-30)
	//  3-1. 1년이상, 수수료율 1%미만 : 중도원금 * 중도수수료율%
	//  3-2. 1년이상, 수수료울 1%이상 : 부대비용(중도원금*1%) + 중도원금 *(중도수수료율%-1%)*잔존기간/(대출기간-30)
	
	var rmbrInt  = Number(bndVO.getdatabyname(0, "midRmbrInt"));			// 중도상환이자
	var feeRt    = Number(bndVO.getdatabyname(0, "midRmbrFeeRt"))/100;	// 중도상환수수료율
	var costRt   = 1.00/100;											// 부대비용율
	var totDdcnt = Number(bndVO.getdatabyname(0, "loanTotDdcnt"));		// 대출총일수
	var balDdcnt = Number(bndVO.getdatabyname(0, "midRmbrBalDdcnt"));		// 잔존일수
	if (totDdcnt - balDdcnt < 30) {
		balDdcnt = totDdcnt - 30;
	}
	
	var feeLog = '';
	var calcFee = 0.0;
	if (feeRt==0) {
		calcFee = 0;
	} else if (rf_yrDdCnt(bndVO.getdatabyname(0, "loanDt"))>totDdcnt) {
		//feeLog += "1년미만 (부대비용 X)";
		calcFee = feeRt * balDdcnt / (totDdcnt-30);
	} else {
		if (feeRt<0.01) {
			//feeLog += "1년이상, 수수료율 1%미만 (부대비용X)";
			calcFee = feeRt;
		} else {
			//feeLog += "1년이상, 수수료율 1%이상";
			calcFee = costRt + (feeRt-costRt) * balDdcnt / (totDdcnt-30);
		}
	}
	//Trace(feeLog + " => calcFee : "+calcFee + " / rlTamt : " + rlTamt);
	
	var pamt = (rlTamt-rmbrInt) / (1.0+calcFee);
	return pamt + piPamt;
}


function Image7_on_click(objInst)
{
	var midRmbrPamt = Number(this.edt_CalcPartPamt.gettext());
	var pamtRamt    = Number(this.DS_SM.getdatabyname(0, "loanPamtRamt"));
	var normAmt     = Number(this.DS_BND.getdatabyname(0, "normAmt"));
	var dlyAmt      = Number(this.DS_BND.getdatabyname(0, "dlyAmt"));
	
	if (midRmbrPamt>pamtRamt) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "중도상환원금은 대출잔액보다 클 수 없습니다. 원금잔액 :"+pamtRamt, "msg04");
		return false;
	}
	
	var setlDt = this.DS_BND.getdatabyname(0, "setlDt").replace("-","");
	var dueDt  = this.DS_BND.getdatabyname(0, "thmmDueDt").replace("-","");
	
	if (dueDt <= setlDt && midRmbrPamt<(normAmt+dlyAmt)) {
		if (dlyAmt>0) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "결제일의 경우 중도상환원금은 당월원리금+연체금액 보다 큰 금액이어야 합니다.", "msg04");
		} else {
			SYSUtil.loadMessageBox(screen, "알림", 1, "결제일의 경우 중도상환원금은 당월원리금 보다 큰 금액이어야 합니다.", "msg04");
		}
		return false;
	} else if (Number(this.DS_BND.getdatabyname(0, "dlyDdcnt"))>0 && midRmbrPamt < dlyAmt) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "연체일 경우 중도상환원금은 연체금액 보다 큰 금액이어야 합니다.", "msg04");
		return false;
	}
	
	this.edt_partRmbrPamt.settext(this.edt_CalcPartPamt.gettext());
	
	this.tab0.settabitemfocus(0);
	
	if (factory.stringtrim(this.edt_loanNo.gettext()).length == 11) {
		
		this.ue_query();
		  
	}	
}

function setToolTip(){
	
	// 상품 툴팁
	this.edt_prdtLrgeClasNm.settooltiptext(
		"상품대분류: "+this.DS_SM.getdatabyname(0,"prdtLrgeClasCd")+"-"+this.DS_SM.getdatabyname(0,"prdtLrgeClasNm")+ "\n"+
		"상품중분류: "+this.DS_SM.getdatabyname(0,"prdtMidClasCd")+"-"+this.DS_SM.getdatabyname(0,"prdtMidClasNm")+ "\n"+
		"상품소분류: "+this.DS_SM.getdatabyname(0,"prdtSmClasCd")+"-"+this.DS_SM.getdatabyname(0,"prdtSmClasNm")+ "\n"+
		"상품코드: "+this.DS_SM.getdatabyname(0,"prdtCd")+ "\n"+
		"물품코드: "+this.DS_SM.getdatabyname(0,"godsCd")+ "\n"+
		"물품명: "+this.DS_SM.getdatabyname(0,"godsNm")+ "\n"+
		"수량: "+this.DS_SM.getdatabyname(0,"godsQty")
	);
										
	// 고객명 툴팁
	this.edt_custNm.settooltiptext(
		"계약자번호: "+this.DS_SM.getdatabyname(0,"contManNo")
	);
	
	// 실납입자 툴팁
	this.edt_rlDueManNmr.settooltiptext(
		"실납입자번호: "+this.DS_SM.getdatabyname(0,"rlDueManNo")
	);
	
	// 회계단위 툴팁
	this.edt_acctUnitNm.settooltiptext(
		"회계단위코드: "+this.DS_SM.getdatabyname(0,"acctUnitCd")
	);
	
	// 관리부서 툴팁
	this.edt_mngDeptNm.settooltiptext(
		"관리부서코드: "+this.DS_SM.getdatabyname(0,"mngDeptCd")
	);
	
	// 상환방식 툴팁
	var sTipText = Array(3);
	sTipText = this.DS_SM.getdatabyname(0,"rmbrFrmlNm").split("+");
	this.edt_rmbrFrmlNm.settooltiptext(
		"우선순위.상환방식명(대출원금-이자율) "+"\n"
		+sTipText[0] +"\n"
		+sTipText[1] +"\n"
		+sTipText[2] +"\n"
		+sTipText[3] 
	);
	
	// 대출상태코드 툴팁
	this.edt_loanStatCd.settooltiptext(
		"대출상태코드: "+ this.DS_SM.getdatabyname(0,"loanStatCd")
	);
	
	// 채권상태코드 툴팁
	this.edt_bndAcquStatCd.settooltiptext(
		"채권상태코드: "+ this.DS_SM.getdatabyname(0,"bndStatCd")
	);
	
	// 전액상환이자 툴팁
	this.edt_tamtRmbrInt.settooltiptext(
		this.DS_BND.getdatabyname(0, "tmatRmbrIntTooltip")
	);
	
	// 부분상환이자 툴팁
	this.edt_partRmbrInt.settooltiptext(
		this.DS_BND.getdatabyname(0, "partRmbrIntTooltip")
	);
	
	// 전액상환수수료 툴팁
	this.edt_tamtRmbrFee.settooltiptext(
		this.DS_BND.getdatabyname(0, "tmatRmbrFeeTooltip")
	);
	
	// 부분상환수수료 툴팁
	this.edt_partRmbrFee.settooltiptext(
		this.DS_BND.getdatabyname(0, "partRmbrFeeTooltip")
	);

	// 전액상환금액 툴팁
	this.edt_tamtRmbrObjAmt.settooltiptext(
		"전액상환금액: 전액상환원금 + 전액상환이자 + 전액상환수수료 - 취급수수료할인 + 연체료 + 가지급금 + 인지세 - 중도선납이자"
	);

	// 부분상환금액 툴팁
	this.edt_partRmbrObjAmt.settooltiptext(
		"부분상환금액: 부분상환원금 + 부분상환이자 + 부분상환수수료 + 연체료 + 가지급금 + 인지세 - 중도선납이자"
	);

	// 중도선납이자 툴팁
	this.edt_midPreDueInt.settooltiptext(
		"중도선납금액: 중도선납원금 + 중도선납이자"+"\n"+
		"=> " + Number(this.DS_BND.getdatabyname(0,"midPreDuePamt")) + " + " + Number(this.DS_BND.getdatabyname(0,"midPreDueInt"))
	);

	// 배제수납금액 툴팁
	this.edt_unLeglActnCostRamt.settooltiptext(
		"배제수납금액: 가지급금(" + Number(this.DS_BND.getdatabyname(0,"unLeglActnCostRamt")) + ")"
	);
	
	// 발송주소 툴팁
	this.edt_addr.settooltiptext(
		"주소: " + this.DS_SM.getdatabyname(0,"addr")
	);
	
	
}


/* 면제금액 입력 완료 후 */
function edt_ExmpAmt_on_changed(objInst, prev_text, curr_text, event_type)
{
	this.edt_SetlAmt.settext(Number(this.edt_CashAmt.gettext())); // ASIS는 수표금액도 더하지만 TOBE는 수표금액X
	this.edt_RcptTpAmt.settext(Number(this.edt_SetlAmt.gettext()) + Number(this.edt_DsrcAdjAmt.gettext()) + Number(this.edt_ExmpAmt.gettext()));
}

// 예가수금액 입력 완료 후
function edt_DsrcAdjAmt_on_changed(objInst, prev_text, curr_text, event_type)
{
	this.edt_SetlAmt.settext(Number(this.edt_CashAmt.gettext())); 
	this.edt_RcptTpAmt.settext(Number(this.edt_SetlAmt.gettext()) + Number(curr_text) + Number(this.edt_ExmpAmt.gettext()) );
}

function grd_accDetl_on_columnmousehover(objInst, bHeader, nRow, nColumn)
{
	// 실납입일자 컬럼 마우스오버 이벤트
	if(nColumn == 2){
		this.grd_accDetl.setitemtooltiptext(nRow,nColumn, "납입일자: " + this.DS_TIMEUNRCV.getdatabyname(nRow,"dueDt") +  "\n" +
		                                                  "이자구간: " + this.DS_TIMEUNRCV.getdatabyname(nRow,"intStrtDt") + " ~ " + this.DS_TIMEUNRCV.getdatabyname(nRow,"intEndDt")		                                    
		                                    )		
	}
	// 청구금액 컬럼 마우스오버 이벤트
	else if(nColumn == 4){
			this.grd_accDetl.setitemtooltiptext(nRow,nColumn, "(월원금+월이자) - (결제원금+결제이자) + 연체료 + 가지급금 + 인지세" +  "\n" +
		                                                      "("   + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"mmPamt")) +
			                                                  " + " + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"mmInt")) +
			                                                  ") - (" + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"setlPamt")) +
			                                                  "+ " + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"setlInt")) +
			                                                  ") + " + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"askDfee")) +
			                                                  " + " + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"leglActnCost")) +
			                                                  " + " + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"stmpFee")) 
		                                    )		
	}
	// 청구원금 컬럼 마우스오버 이벤트
	else if(nColumn == 6){
		this.grd_accDetl.setitemtooltiptext(nRow,nColumn, "월원금 - 결제원금" + "\n" +
		                                                  Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"mmPamt")) + " - " + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"setlPamt"))
			                                )
	}
	// 청구이자 컬럼 마우스오버 이벤트
	else if(nColumn == 7){
		this.grd_accDetl.setitemtooltiptext(nRow,nColumn, "월이자 - 결제이자" + "\n" +
		                                                  Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"mmInt")) + " - " + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"setlInt"))
			                                )	
	}
	// 연체료 컬럼 마우스오버 이벤트
	else if(nColumn == 8){
		
		if (this.DS_TIMEUNRCV.getdatabyname(nRow,"askDivCd") != "1") {
				return;
		}
		var sTipText = Array(5);
		
		sTipText[0] = "■ 연체료계산근거[=발생연체료 + 기발생연체료 - 선납할인연체료]";
		sTipText[1] = "■ 연체료계산근거[=발생연체료 + 기발생연체료 - 선납할인연체료]" + "\n" +
		              "☞ 기발생연체료(" + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"preOccrDfee")) +
			          ") => 기수납일까지의 연체료(" + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"preObjDfee")) + ")" + 
			          " - 수납연체료(" + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"preAdjDfee"))+")"
		var v_askPiamt = Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"askPamt")) + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"askInt"));
				
		sTipText[2] = " ☞ 발생연체료("+Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"occrDfee")) +
					  ") => 청구원금 + 청구이자("+ Number(v_askPiamt) +")" ;
		
		if (this.DS_TIMEUNRCV.getdatabyname(nRow,"occrDlyDdcnt") != 0) {
			sTipText[2] = sTipText[2] + " * 발생연체일수("+ Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"occrDlyDdcnt")) +"/년일수)" ;
		} else {
			sTipText[2] = sTipText[2] + " * 발생연체일수(0/년일수)" ;
		}
		sTipText[2] = sTipText[2] +" * 연체율("+ this.DS_TIMEUNRCV.getdatabyname(nRow,"dfeeRt") +"%/100)";
		sTipText[3] = " ☞ 발생연체계산기간 : " + this.DS_TIMEUNRCV.getdatabyname(nRow,"dlyCalcSdt") + " ~ " + this.DS_TIMEUNRCV.getdatabyname(nRow,"dlyCalcEdt");
		if (this.DS_TIMEUNRCV.getdatabyname(nRow,"dlyToolTip").length > 0) {
			sTipText[3] += this.DS_TIMEUNRCV.getdatabyname(nRow,"dlyToolTip");
		}
		sTipText[4] = " ☞ 선납할인연체료 => " + Number(this.DS_TIMEUNRCV.getdatabyname(nRow,"pdueDiscDfee"));
		
		this.grd_accDetl.setitemtooltiptext(nRow,nColumn, factory.jsonstringify(sTipText));
		
	}
}

function edt_calcRcptAmt_on_change(objInst, event_type)
{
	var pamt = this.fn_calcMidRmbrPamt(this.DS_BND, this.DS_SEARCH.getdatabyname(0, "setlDt"), curr_text);
	this.edt_CalcPartPamt.settext(pamt);
}

function edt_CashAmt_on_change(objInst, event_type)
{
	this.edt_SetlAmt.settext(Number(this.edt_CashAmt.gettext()));
	this.edt_RcptTpAmt.settext(Number(this.edt_SetlAmt.gettext()) + Number(this.edt_DsrcAdjAmt.gettext()) + Number(this.edt_ExmpAmt.gettext())); 
}

function edt_CashAmt_on_changed(objInst, prev_text, curr_text, event_type)
{
	this.edt_SetlAmt.settext(Number(this.edt_CashAmt.gettext()));
	this.edt_RcptTpAmt.settext(Number(this.edt_SetlAmt.gettext()) + Number(this.edt_DsrcAdjAmt.gettext()) + Number(this.edt_ExmpAmt.gettext())); 
}

function edt_DsrcAdjAmt_on_change(objInst, event_type)
{
	this.edt_SetlAmt.settext(Number(this.edt_CashAmt.gettext()));    
	this.edt_RcptTpAmt.settext(Number(this.edt_SetlAmt.gettext()) + Number(this.edt_DsrcAdjAmt.gettext()) + Number(this.edt_ExmpAmt.gettext()));  
}

function edt_partRmbrPamt_on_changed(objInst, prev_text, curr_text, event_type)
{
	var sTipText = Array(1);
	var dlyPamt        = Number(this.DS_BND.getdatabyname(0, "dlyPamt"));
	var rlPartRmbrPamt = Number(this.DS_BND.getdatabyname(0, "rlPartRmbrPamt"));
	var partRmbrPamt   = Number(this.DS_BND.getdatabyname(0, "partRmbrPamt"));
	var normPamt       = Number(this.DS_BND.getdatabyname(0, "normPamt"));
	var dueDtMidRmbrFg = this.DS_BND.getdatabyname(0, "dueDtMidRmbrFg");
	
		if (dueDtMidRmbrFg == "1" || dlyPamt > 0) {
			sTipText[0] = "중도상환원금(" + rlPartRmbrPamt + ")";
		if (dlyPamt > 0) {
			sTipText[0] = sTipText[0] + " + 연체원금 (" + dlyPamt + ")";
		}
		
		if (normPamt > 0 && (partRmbrPamt != rlPartRmbrPamt + dlyPamt)) {
			sTipText[0] = sTipText[0] + " + 정상원금 (" + normPamt + ")";
		}
		
		this.edt_partRmbrPamt.settooltiptext(
			sTipText[0]
		)
		
	}
}

function edt_loanNo_on_changed(objInst, prev_text, curr_text, event_type)
{
	if(curr_text.length == 11){
		this.edt_loanSeq.settext("01");	
	}
}

function screen_on_portletdestroy(portlet_name, result)
{
	console.log("por : " + portlet_name);
}