﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var fstrCurrentDt = "";
var loanFlag = "";
var dicFlag  = "";
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	

}

// 부모창에 load 할 data 설정
function paranet_screen_data_load (){
	console.log("########### paranet_screen_data_load #######" );
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	var param = {};
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	
	// 초기화
	this.fn_Init();
	
	this.fn_InitFormData();
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	
		
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

/*******************************************************************************
* 기  능 : Form 초기화
*******************************************************************************/
function fn_Init(){

	// DS 초기화
	this.DS_SM01.deleteallrows();  // 즉시출금내역 리스트 조회조건
	this.DS_SM01.addrow();

	this.DS_SD01.deleteallrows();
	this.DS_SD02.deleteallrows();
	
	this.DS_OAMT_STAT_COMBO.deleteallrows();
	this.DS_OAMT_RSN_COMBO.deleteallrows();
	this.DS_OAMT_BANK_COMBO.deleteallrows();
	this.DS_DEPO_OWN_REL_COMBO.deleteallrows();
	this.DS_PRESETL.deleteallrows();
	this.DS_MNG_PLC_DIV_CD_COMBO.deleteallrows();
		
	//초기값 얻기
	this.fn_clearLoanCond();
	
	//초기로드시 로그인한 사용자의 부서코드, 부서명을 자동셋팅
	this.DS_SM01.setdatabyname(0,"isrtDeptCd", G_EMP_INFO.getdatabyname(0,"DEPT_CD"));
	this.DS_SM01.setdatabyname(0,"isrtDeptNm", G_EMP_INFO.getdatabyname(0,"DEPT_NM"));
	
	if(G_EMP_INFO.getdatabyname(0,"USER_DIV_CD") != 1){
		this.Edit_IsrtDeptCd.setenable(false);
	}
	
}

function fn_clearLoanCond(){
	
	this.DS_SM02.deleteallrows(); //수납내역 조회조건 ( 대출번호, 대출순번 -결제일자)
	this.DS_SM02.addrow();
	
	this.fn_setCurrDt(); // 현재 시간 얻기	
}

function fn_setCurrDt(){
	
	fstrCurrentDt = factory.datetoday();  //현재일자로 초기화
	
	//달력컴포넌트에 현재일자 넣기.
	this.fn_SetInitDt();
}

function fn_SetInitDt(){
	
	this.Calendar_oamtDtFrom.val(fstrCurrentDt);
	this.Calendar_oamtDtTo.val(fstrCurrentDt);
	
	if(this.DS_SM02.getrowcount() > 0){
		this.DS_SM02.setdatabyname(0,"setlDt",fstrCurrentDt);
	}
}

// Form 데이터 초기화
function fn_InitFormData(){
	
	SYSTran.getComCode(this.screen, "R00037", this.DS_CD_R00037);  
	SYSTran.getComCode(this.screen, "S00050", this.DS_CD_S00050); 
	SYSTran.getComCode(this.screen, "R00030", this.DS_CD_R00030); 
	SYSTran.getComCode(this.screen, "R00049", this.DS_CD_R00049); 
	SYSTran.getComCode(this.screen, "B00226", this.DS_CD_B00226); 
	SYSTran.getComCode(this.screen, "R00126", this.DS_CD_R00126); 
	SYSTran.getComCode(this.screen, "S00057", this.DS_CD_S00057); 
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTTRBANK02);
	
	this.DS_CD_R00037.insertrow(0);
	this.DS_CD_S00050.insertrow(0);
	this.DS_CD_R00030.insertrow(0);
	this.DS_CD_R00049.insertrow(0);
	this.DS_CD_B00226.insertrow(0);
	this.DS_CD_R00126.insertrow(0);
	this.DS_CD_S00057.insertrow(0);
	this.DS_DIC_RTTRBANK02.insertrow(0);
	
	// 콤보박스 데이터셋에 - 선택 - 행 추가
	this.DS_CD_R00037.setdatabyname(0,"cdDescNo","");
	this.DS_CD_R00037.setdatabyname(0,"cdDescKorNm","- 선택 -");
	
	this.DS_CD_S00050.setdatabyname(0,"cdDescNo","");
	this.DS_CD_S00050.setdatabyname(0,"cdDescKorNm","- 선택 -");
	
	this.DS_CD_R00030.setdatabyname(0,"cdDescNo","");
	this.DS_CD_R00030.setdatabyname(0,"cdDescKorNm","- 선택 -");
	
	this.DS_CD_R00049.setdatabyname(0,"cdDescNo","");
	this.DS_CD_R00049.setdatabyname(0,"cdDescKorNm","- 선택 -");
	
	this.DS_CD_B00226.setdatabyname(0,"cdDescNo","");
	this.DS_CD_B00226.setdatabyname(0,"cdDescKorNm","- 선택 -");
	
	this.DS_CD_R00126.setdatabyname(0,"cdDescNo","");
	this.DS_CD_R00126.setdatabyname(0,"cdDescKorNm","- 선택 -");
	
	// 연락처 콤보박스는 sel스타일이 code라 code에도 세팅
	this.DS_CD_S00057.setdatabyname(0,"cdDescNo","- 선택 -");
	this.DS_CD_S00057.setdatabyname(0,"cdDescKorNm","- 선택 -");
	
	this.DS_DIC_RTTRBANK02.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_RTTRBANK02.setdatabyname(0,"cdDescKorNm","- 선택 -");	
}

// 통합검색 버튼이벤트 ( 대출통합검색 )
function Image_Search_cust_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.Edit_loanNo.gettext(), "loanSeq":this.Edit_loanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	loanFlag = "down";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

// 통합검색 버튼이벤트 ( 대출통합검색 )
function Image6_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.Edit_loanNo.gettext(), "loanSeq":this.Edit_loanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	loanFlag = "up";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			
			// 조회조건탭 통합검색
			if(loanFlag == "up"){
				
				if(objExtdata.loanNo != null){
					this.DS_SM01.setdatabyname(0,"loanNo",objExtdata.loanNo);
					this.DS_SM01.setdatabyname(0,"loanSeq",objExtdata.loanSeq);	
				}else{
					this.DS_SM01.setdatabyname(0,"loanNo","");
					this.DS_SM01.setdatabyname(0,"loanSeq","");	
				}
			}
			// 수납대상 통합검색
			else{
				
				if(objExtdata.loanNo != null){
					this.DS_SM02.setdatabyname(0,"oamtLoanNo",objExtdata.loanNo);
					this.DS_SM02.setdatabyname(0,"oamtLoanSeq",objExtdata.loanSeq);	
				}else{
					this.DS_SM02.setdatabyname(0,"oamtLoanNo","");
					this.DS_SM02.setdatabyname(0,"oamtLoanSeq","");	
				}
			}
		}
		// 자료사전 팝업 콜백
		else if(objExtdata.popId == "CCMCMP05"){
			
			// 부서 자료사전
			if(dicFlag == "org"){
				this.Edit_IsrtDeptCd.settext(objExtdata.deptCd);
				this.Edit_IsrtDeptNm.settext(objExtdata.deptNm);
			
			}
			// 담당자 자료사전
			else if(dicFlag == "emp"){
				this.Edit_bndDivsManEmpNo.settext(objExtdata.empNo);
				this.Edit_bndDivsManEmpNm.settext(objExtdata.korName);
			}
		}
	}		
}


// 조회
function btn_search_on_click(objInst)
{
	this.preFind();
	
	screen.setscreenprotect(true); //화면잠금
			
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCRCP06S01");
	
	if(reqSubmit == false) {
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else{
		screen.setscreenprotect(false); //화면잠금해제
	}
}

function preFind(){
	var from = this.DS_SM01.getdatabyname(0, "oamtDtFrom");
	var to   = this.DS_SM01.getdatabyname(0, "oamtDtTo");
	
	// 환불일자
	if ( from.length != 8 || to.length != 8 ){
			SYSUtil.loadMessageBox(screen, "알림", 1, "출금일자를 확인하세요.", "msg04");
			this.Calendar_oamtDtFrom.setfocus();
			return false;
	}

	if( from > to ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "출금일자 From조건이 출금일자 To 조건보다 크게 입력되었습니다.", "msg04");
		this.Calendar_oamtDtTo.setfocus();
		return false;
	}
	
	this.DS_SM02.deleteallrows();
	this.DS_SM02.addrow();
	this.DS_SD01.deleteallrows();
	this.DS_SD02.deleteallrows();
	this.DS_PRESETL.deleteallrows();
	this.DS_SD04.deleteallrows();
	
	return true;
}

function Edit_IsrtDeptCd_on_click(objInst, buttonclick)
{
	if(buttonclick){
		dicFlag = "org";
		// 업무화면으로 전달할 데이터
		var param = {"DATADICNO":"HTORG18"};
		// 팝업 Title
		var popupTitle = "데이터사전";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;	
	}
}

function Edit_bndDivsManEmpNo_on_click(objInst, buttonclick)
{
	if(buttonclick){
		dicFlag = "emp";
		// 업무화면으로 전달할 데이터
		var param = {"DATADICNO":"HTEMPBASE01"};
		// 팝업 Title
		var popupTitle = "데이터사전";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;	
	}
}

// 결재 버튼 이벤트
function Image7_on_click(objInst)
{
	console.log("DS_SD01 : " + this.DS_SD01.getrowcount());
	this.DS_SD01_C.deleteallrows();
	
	for(var i = 0; i < this.DS_SD01.getrowcount(); i++){
		console.log("DS_SD01 slct : " + this.Grid_ImmdOamtDesc.getcheckedrow(i));	
		//if(this.DS_SD01.getdatabyname(i,"slct")){
		
		if(this.Grid_ImmdOamtDesc.getcheckedrow(i+1)){
			
			var rowIdx = this.DS_SD01_C.addrow();
			this.DS_SD01_C.copyrow(this.DS_SD01,rowIdx,true);
			
			// 즉시출금은 당일만 가능
			var oamtDt = this.DS_SD01_C.getdatabyname(rowIdx, "oamtDt");
			console.log(factory.datetoday());
			if(factory.datetoday() != oamtDt){
				
				SYSUtil.loadMessageBox(screen, "알림", 1, "출금은 당일에만 가능합니다.(출금요청일자 :"+ oamtDt +")" , "msg04");
				return false;
			}
			
			if(this.DS_SD01.getdatabyname(rowIdx,"oamtStatCd") != "30"){
				SYSUtil.loadMessageBox(screen, "알림", 1, "출금상태가 결재대기('30')에서만 계좌 결재 가능합니다." , "msg04");
				return false;	
			}
		}
	}
	
	if(this.DS_SD01_C.getrowcount() > 0){
		screen.setscreenprotect(true); //화면잠금
			
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCRCP06U01");
		
		if(reqSubmit == false) {
			screen.setscreenprotect(false); //화면잠금해제
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}else{
			screen.setscreenprotect(false); //화면잠금해제
		}
	}
	
}