﻿/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */

function screen_on_load()
{
	console.log("#### RSRSR02_screen_on_load() call");
	
	// 공통 버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	// 공통코드 정의
	SYSTran.getComCode(this.screen, "R00001", this.DS_CD_R00001, true);	// 예가수발생코드
	SYSTran.getComCode(this.screen, "R00043", this.DS_CD_R00043, true);	// 회계단위코드
	SYSTran.getComCode(this.screen, "B00226", this.DS_CD_B00226, true);	// 관리처코드
	
	/** 데이터셋 & 화면 초기화.*/
	this.ue_init();
}

// 화면 초기  사용자 버튼 
function ue_init_menu(){
    console.log("####### 사용자 버튼 활성화 #####");
	GM.wf_SetUserEvent(screen, "샘플버튼0", 0);
    GM.wf_EnablePrintMenu(screen);
}

// 메시지 박스에서 버튼 선택시 호출됨
function screen_on_messagebox(messagebox_id, result) {
	
}

// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	
}

// 팝업 화면 종료시 호출됨
function popupCallback(objExtdata) {
	// 팝업에서 전달한 내용 출력
	console.log("popupCallback 실행::");
	console.log(objExtdata);
	if (objExtdata != undefined || objExtdata != null) {
		if(objExtdata.popId == "CBCCCP01"){	
			this.edt_loanNo.settext(objExtdata.loanNo);
			this.edt_loanSeq.settext(objExtdata.loanSeq);
		}
	}
}

// 조회
function ue_query(){
	console.log("#### ue_query() call");
	
	this.DS_DESC_SD.init();
	this.DS_DSRC_ADJ_DESC_SUM_SD.init();
	
	/** 라디오 버튼 값 데이터셋에 등록 */
	/** 합계구분 sumKind*/
	if(this.opt_sumKind_0.getcheck()){	//전체
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "sumKind", "0");
	}else if(this.opt_sumKind_1.getcheck()){	//잔액
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "sumKind", "1");
	}
	
	/** 잔액 dsrcRamt */
	if(this.opt_Radio0_0.getcheck()){	// 전체
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "dsrcRamt", "0");
	}else if(this.opt_Radio0_1.getcheck()){	// 유
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "dsrcRamt", "1");
	}else if(this.opt_Radio0_2.getcheck()){	// 무
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "dsrcRamt", "2");
	}
	
	/** 연체 mmDlyFg */
	if(this.opt_Radio1_0.getcheck()){	// 전체
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "mmDlyFg", "0");
	}else if(this.opt_Radio1_1.getcheck()){	// 유
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "mmDlyFg", "1");
	}else if(this.opt_Radio1_2.getcheck()){	// 무
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "mmDlyFg", "2");
	}
	
	this.screen.setscreenprotect(true);
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "TS_RSRSRM02S01");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	this.DS_DSRC_ADJ_DESC_SM.init();
	this.DS_DESC_SD.init();
	this.DS_DSRC_ADJ_DESC_SUM_SD.init();
	
	
	this.DS_DSRC_ADJ_DESC_SM.addrow();
	
	/** 회계일자, 결제일자 날짜 셋팅 */
	this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "acctDtFr", factory.datefrom("month", -1, factory.datetoday()));
	this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "acctDtTo", factory.datetoday());
	this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "setlDtFr", factory.datefrom("month", -1, factory.datetoday()));
	this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "setlDtTo", factory.datetoday());
	
	/** 조회 Form 에 있는 라디오 버튼 값 초기화 */
	/** 합계구분 */
	this.opt_sumKind_0.setcheck(true);
	/** 잔액 */
	this.opt_Radio0_0.setcheck(true);
	/** 연체 */
	this.opt_Radio1_0.setcheck(true);

}

function ue_custom01() {
	screen.alert("ue_custom01()");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

/**
오브젝트 속성 : btn
오브젝트명 : DsrcMng
이벤트명 : on_mouseup
설명 : 예/가수 관리 이동
화면ID : RSRSRM02
거래코드 : 
*/
function btn_DsrcMng_on_mouseup(objInst)
{
	var param = "";
	var selectedIdx = this.DS_DESC_SD.getpos();
	if(selectedIdx != -1){
		param = {"dsrcNo" : this.DS_DESC_SD.getdatabyname(selectedIdx, "dsrcNo")};
	}
	
	var pagePath = "/BIZ/R/SR/SR/RSRSRM01";
	var pageTitle = "예/가수관리";
	
	// 예가수관리
	SYSUtil.goToWorkPage(this.screen, pagePath, pageTitle, param);
}


/**
오브젝트 속성 : btn
오브젝트명 : DsrcRfndMng
이벤트명 : on_mouseup
설명 : 예/가수 환불관리 이동
화면ID : RSRSRM02
거래코드 : 
*/
function btn_DsrcRfndMng_on_mouseup(objInst)
{
	var param = "";
	var selectedIdx = this.DS_DESC_SD.getpos();
	
	if(selectedIdx != -1){
		param = {"dsrcNo" : this.DS_DESC_SD.getdatabyname(selectedIdx, "dsrcNo")};
	}
	
	var pagePath = "/BIZ/R/SR/SR/RSRSRM03"
	var pageTitle = "예/가수환불관리"
	// 예가수환불관리
	SYSUtil.goToWorkPage(this.screen, pagePath, pageTitle, param);
}

/**
오브젝트 속성 : btn
오브젝트명 : SearchLoan
이벤트명 : on_mouseup
설명 : 대출통합검색 팝업
화면ID : RSRSRM02
거래코드 : 
*/
function btn_Search_Loan_on_mouseup(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"loanNo":this.edt_loanNo.gettext(), "loanSeq":this.edt_loanSeq.gettext()};
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}
/*팝업 콜백함수.*/
function popupCallback(objExtdata){
	
	if(objExtdata.popId == "CBCCCP01"){
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "loanNo", objExtdata.loanNo);
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "loanSeq", objExtdata.loanSeq);
	}else if(objExtdata.popId == "CCMCP05"){
		this.DS_DSRC_ADJ_DESC_SM.setdatabyname(0, "mngDeptCd", objExtdata.deptCd);
		this.edt_mngDeptNm.settext(objExtdata.deptNm);
	}
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false);
	
	if(mapid == "TS_RSRSRM02S01"){
		if(result == 1){
			SYSUtil.setStatusMsg("데이터 조회가 완료되었습니다.");
		}else{
			SYSUtil.setStatusMsg("데이터 송신 중 에러가 발생하였습니다.");
			SYSUtil.loadMessageBox(this.screen, "안내", 1, "데이터 송신 중 에러가 발생하였습니다.", "msg00");
		}
	}
}

function edt_mngDeptCd_on_click(objInst)
{
	console.log("#### edt_mngDeptCd_on_click() call ");
	var dataDicNo = "HTORG18";
	
	var popupTitle = "관리부서검색"
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	var param = {"DATADICNO" : dataDicNo};
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}