﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);	
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTTRBANK01); 
	
	this.DS_DIC_RTTRBANK01.insertrow(0);
	this.DS_DIC_RTTRBANK01.setdatabyname(0,"bankCd","");
	this.DS_DIC_RTTRBANK01.setdatabyname(0,"bankNm","- 선택 -");
	
	this.combo_imgAcntBank.setselectedindex(0);
	this.combo_Yn.setselectedindex(0);
	//this.combo_imgAcntBank.getitemcomment("- 선택 -");
	//this.combo_Yn.getitemcomment("- 선택 -");
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	screen.setscreenprotect(true); //화면잠금
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RVAVAM04S01");
		
	if(reqSubmit == false) {
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	this.preSave();
	
	this.DS_SD_01_C.init();	
	
	var strFilterOpt = "";
	this.DS_SD_01_C.copy(this.DS_SD_01,strFilterOpt,true);
	
	for(var i = this.DS_SD_01_C.getrowcount(); i > 0; i--){
	
		if(this.DS_SD_01_C.getrowoperation(i) == " "){
			this.DS_SD_01_C.deleterow(i);	
		}		
	}	
	
	if(this.DS_SD_01_C.getrowcount() == 0 ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "저장 가능한 데이터가 존재하지 않습니다.", "msg04");
		return;
	}
		
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RVAVAM04U01");
		
	if(reqSubmit == false) {

		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	// 데이터셋 초기화
	this.DS_SD_01.deleteallrows();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function Image_add1_on_click(objInst)
{
	var row = this.DS_SD_01.addrow();
	
	this.Grid_imgAcntMng.setitemeditable(row,0,true);
	this.Grid_imgAcntMng.setitemeditable(row,1,true);
	this.Grid_imgAcntMng.setitemeditable(row,2,true);
	this.Grid_imgAcntMng.setitemeditable(row,3,true);
	this.Grid_imgAcntMng.setitemeditable(row,4,true);
	
	this.Grid_imgAcntMng.setitem
}

function Image_del1_on_click(objInst)
{
	console.log("pos :" + this.DS_SD_01.getpos());
	this.DS_SD_01_D.copyrow(this.DS_SD_01,this.DS_SD_01.getpos(),true);
	this.DS_SD_01.deleterow(this.DS_SD_01.getpos());
	
	console.log("D :" + this.DS_SD_01_D.getrowcount());
}

function preSave(){
	
	for(var i = 1; i < this.DS_SD_01.getrowcount(); i++){
		
		var imgAcntBankCd = this.DS_SD_01.getdatabyname(i, "imgAcntBankCd");
		var imgAcntNo     = this.DS_SD_01.getdatabyname(i, "imgAcntNo");
		
		if( imgAcntBankCd.length == 0 ){
			SYSUtil.loadMessageBox(screen, "알림", 1, (i+1) + "번째에 가상계좌은행을 선택하세요." , "msg04");
			this.DS_SD_01.getpos() = i;
			return false;
		}else if( imgAcntNo.length == 0 ){
			SYSUtil.loadMessageBox(screen, "알림", 1, (i+1) + "번째에 가상계좌번호를 입력하세요." , "msg04");
			this.DS_SD_01.getpos() = i;
			return false;
		}
		
		for(var j = 1; j < this.DS_SD_01.getrowcount(); j++){
			
			if( i != j){
				var imgAcntBankCd2 = this.DS_SD_01.getdatabyname(j , "imgAcntBankCd");
				var imgAcntNo2     = this.DS_SD_01.getdatabyname(j , "imgAcntNo");
				
				if( (imgAcntBankCd == imgAcntBankCd2) && (imgAcntNo == imgAcntNo2) ){
					SYSUtil.loadMessageBox(screen, "알림", 1, (i+1) + "번째 와" + (j+1) + "번째에 중복된 데이터 가있습니다." , "msg04");
					this.DS_SD_01.getpos() = j;
					return false;
				}
			}
		}	
	}
	
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if(mapid == "RVAVAM04U01"){
		console.log("recv_code" + recv_code);
	}
}