﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

this.OUT_DATA_VAL = "";
this.ACNT_CHK_YN  = "";    // 계좌확인여부
this.ACNT_UPD_YN  = "";    // 수정할 계좌 정보 구분

var logInUserNo = G_EMP_INFO.getdatabyname(0,"USER_NO");
var STR_LOAN_EXE_STAT = "70009";    // 대출실행 완료

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
/****************************************************************
 * ■ 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
 ****************************************************************/
function ue_init_menu(){
    console.log("#### ue_init_menu() call");
    console.log("####### 사용자 버튼 활성화 #####");
    
    // □ 버튼 제어 추가
    SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);    // 저장 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 삭제 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);    // 인쇄 버튼 삭제
}

/****************************************************************
 * ■  메시지 박스에서 버튼 선택시 호출됨
 ****************************************************************/
function screen_on_messagebox(messagebox_id, result) {
    console.log("#### screen_on_messagebox() call");        
}

/****************************************************************
 * ■ 팝업 화면 종료시 호출됨
 ****************************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) {
    console.log("#### screen_on_popupdestroy() call");
    console.log("#### screen_on_popupdestroy() popup_name = " + popup_name + "|, result = " + result );

    // 계좌번호 수정    btnAcntNoSave
    if( popup_name == "btnAcntNoSave" ) {
        if( result == "확인" ) {
            // □ 화면 잠금 처리
            SYSUtil.setScreenLock(this.screen, true);
	
//SYSUtil.showDataSetLog(this.DS_ACNT_CHK_C);
	        if( this.DS_ACNT_CHK_C.getrowcount() > 0 ) {
	            SYSTran.requestSubmitAsync(screen, "SCTLNM02C02");
	        }
        }
    } 
    // CMS계좌확인, 대출금지급계좌확인, 세입자계좌확인
    else if( popup_name == "btnCmsAcntNoChk" || popup_name == "btnLoanAcntNoChk" || popup_name == "btnAcntNoChk" ) {
        if( result == "확인" ) {
	        SYSTran.requestSubmitAsync(screen, "SCTLNM02C01");
        }
    }
    // 대출계약실행
    else if( popup_name == "btnExec" ) {
        if( result == "확인" ) {
            SYSTran.requestSubmitAsync(screen, "SCTLNM02C03");
        }
    }
    // CMS계좌확인 후 버튼 ENABLE 변경
    else if( popup_name == "CMS" ) {
        if( result == "확인" ) {

        }
    }
    // 대출금지급계좌확인 후 버튼 ENABLE 변경
    else if( popup_name == "LOAN" ) { 
        if( result == "확인" ) {
            this.btnLoanAcntNoChk.setenable(false);
        }
    }
    // 세입자계좌확인 후 버튼 ENABLE 변경
    else if( popup_name == "LEAS" ) { 
        if( result == "확인" ) {
            this.btnAcntNoChk.setenable(false);
        }
    }
}

/****************************************************************
 * ■ 화면로드시 발생하는 이벤트
 ****************************************************************/
function screen_on_load(){
    console.log("#### screen_on_load() call");
    
    // □ 공통코드 정의
    SYSTran.getComCode(this.screen, "A00003", this.DS_CD_A00003);            // 은행코드
    SYSTran.getComCode(this.screen, "R00121", this.DS_CD_R00121);            // 여부_10
    SYSTran.getComCode(this.screen, "S12004", this.DS_CD_S12004);            // 신청점검구분코드

    // □ 부모화면서 넘겨받은 데이터
    this.EXTRA_DATA = screen.getextradata();    
    if(this.EXTRA_DATA != undefined || this.EXTRA_DATA != null){
        var strPsLoanApplNo = this.EXTRA_DATA.LOAN_APPL_NO;    // 대출신청번호
        
        // □ 대출신청번호
        if(strPsLoanApplNo != undefined || strPsLoanApplNo != null){
            this.edtSmLoanApplNo.settext(strPsLoanApplNo);
        }

        // □ 대출신청번호가 있으면 조회
        if( this.fn_preSrchCheck() == true ) {
            // □ 화면잠금
            SYSUtil.setScreenLock(this.screen, true);
            var reqSubmit = SYSTran.requestSubmitAsync(this.screen, "SCTLNM02S01");
        }
    }
}

/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *    [result]
 *    -1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *     0 : 서버에서 setErrorMessage를 호출한 경우
 *     1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
    console.log("########## submitcomplete mapid     >> " + mapid);
    console.log("########## submitcomplete result    >> " + result);
    console.log("########## submitcomplete recv_code >> " + recv_code);
    console.log("########## submitcomplete recv_msg  >> " + recv_msg);
    
//SYSUtil.showDataSetLog(this.DS_ACNT_CHK);

    // □ 화면 잠금 해제
    SYSUtil.setScreenLock(this.screen, false);

    // □ [공통] 정상 및 오류 응답 처리
    if( result == 1 ) {
        if( mapid == "SCTLNM02S01" ) {
            var iSddoCnt = this.DS_SDDO01.getrowcount();

            // □ 조회 시 후처리 데이터 셋팅
            if( iSddoCnt > 0 ) {
                this.fn_SetAfSearch();
            }
        } else if( mapid == "SCTLNM02C01" ) {
    console.log("########## submitcomplete 2222222  >> ");

            // □ 계좌번호 체크
            var strMsg = "";
            this.OUT_DATA_VAL = recv_code;                         // 확인결과코드 전역변수에 담기 : 1:정상, 그외 에러

            // □ 계좌확인에 대한 버튼을 셋팅 함(버튼에 따라 setenable 항목이 달라짐)
            var rtnData     = this.OUT_DATA_VAL.split("|");
            var rtnCode     = rtnData[0];
            var rtnChkGubun = rtnData[1];

            // □ 계좌번호 체크여부
            this.ACNT_CHK_YN += rtnData[0];
            
            if(result <= 0 || recv_code != 1){
    console.log("########## submitcomplete 33333333333333 >> ");
                if( rtnCode == "0000") {
    console.log("########## submitcomplete 444444444  >> ");
	                strMsg = "정상계좌입니다.";
	
	                // □ 에러인 경우 계좌확인 항목 입력 활성화
	                if( rtnChkGubun == "CMS" ) {
    console.log("########## submitcomplete 444455555  >> ");
		                if( this.cboAutoBankCd.getenable() == true ) {
        	                this.cboAutoBankCd.setenable(false);       // 은행코드
		                    this.edtAutoAccoNo.setenable(false);       // 계좌번호
		                    this.edtAutoResId.setenable(false);        // 생년월일
		                    this.edtAutoDepoCust.setenable(false);     // 예금주명
    console.log("########## submitcomplete 444455555 2122222  >> ");
		                }
		
    console.log("########## submitcomplete 444455555 999999999  >> ");
		                
	                }
	                if( rtnChkGubun == "LOAN" ) {
		                if( this.cboActTrsfBankCd.getenable() == true ) {
        	                this.cboActTrsfBankCd.setenable(false);    // 은행코드
	                    	this.edtActTrsfAccNo.setenable(false);     // 계좌번호
		                    this.edtActCustResiNo.setenable(false);    // 생년월일
		                    this.edtActTrsfDpstNm.setenable(false);    // 예금주명
		                }
	                }
		            if( rtnChkGubun == "LEAS") {
			            if( this.cboLeasBankCd.getenable() == true ) {
        	                this.cboLeasBankCd.setenable(false);       // 은행코드
		                    this.edtLeasAcctNo.setenable(false);       // 계좌번호
		                    this.edtLeasResiNoFrn.setenable(false);    // 생년월일
		                    this.edtLeasManNm.setenable(false);        // 예금주명
		                }
	                }
                } else {
	
    console.log("########## submitcomplete 555555555  >> ");
	                // 결과코드가 정상이 아닌 경우에만 수정이 필요 함
		            if( this.DS_ACNT_CHK.getrowcount() > 0 ) {
			            this.DS_ACNT_CHK_C.copyinsertrow(-1, this.DS_ACNT_CHK, 0, true);
		            }

		            // 메시지 정보
		            strMsg = rtnChkGubun + "의 계좌정보를 변경 해 주세요.";

                    // □ 에러인 경우 계좌확인 항목 입력 활성화
	                if( rtnChkGubun == "CMS" ) {
	                    this.cboAutoBankCd.setenable(true);       // 은행코드
	                    this.edtAutoAccoNo.setenable(true);       // 계좌번호
	                    this.edtAutoResId.setenable(true);        // 생년월일
	                    this.edtAutoDepoCust.setenable(true);     // 예금주명
	                }
	                if( rtnChkGubun == "LOAN" ) {
	                    this.cboActTrsfBankCd.setenable(true);    // 은행코드
	                    this.edtActTrsfAccNo.setenable(true);     // 계좌번호
	                    this.edtActCustResiNo.setenable(true);    // 생년월일
	                    this.edtActTrsfDpstNm.setenable(true);    // 예금주명
		
	                }		
		            if( rtnChkGubun == "LEAS") {
	                    this.cboLeasBankCd.setenable(true);       // 은행코드
	                    this.edtLeasAcctNo.setenable(true);       // 계좌번호
	                    this.edtLeasResiNoFrn.setenable(true);    // 생년월일
	                    this.edtLeasManNm.setenable(true);        // 예금주명
	                }
                }
                SYSUtil.setStatusMsg(strMsg);
                SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, rtnChkGubun );
            } else {
                strMsg = "확인 완료되었습니다.";
            }
        } else if( mapid == "SCTLNM02C02" ) {
            // □ 계좌번호 수정
            SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "SUSS");
            SYSUtil.setStatusMsg(recv_msg);

            this.DS_ACNT_CHK.deleteallrows();
        } else if( mapid == "SCTLNM02C03" ) {
            // □ 대출계약관리 실행
            SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "SUSS");
            SYSUtil.setStatusMsg(recv_msg);
        } else {
        }
    } else {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "ERR");
        SYSUtil.setStatusMsg(recv_msg);
    }
}

/* -------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

/****************************************************************
 * ■ 공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print(){
    console.log("#### ue_print() call");
}

/****************************************************************
 * ■ 공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query(){
    console.log("#### ue_query() call");

    // □ 조회 전 필수항목 체크
    if( this.fn_preSrchCheck() == true ) {
        // □ 조회 처리
        SYSUtil.setScreenLock(this.screen, true);
        SYSTran.requestSubmitSync(this.screen, "SCTLNM02S01");
    }
}

/****************************************************************
 * ■ 공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update(){
    console.log("#### ue_update() call");
}

/****************************************************************
 * ■ 공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete(){
    console.log("#### ue_delete() call");
}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init(){
    console.log("#### ue_init() call");
    
    this.EXTRA_DATA = "";

    // □ dataset clear
    this.DS_SM.init();
    this.DS_SDDO01.init();
    this.DS_SDDO02.init();
    this.DS_ACNT_CHK.init();
    this.DS_ACNT_CHK_C.init();

    // □ 전역변수 clear
	this.OUT_DATA_VAL = "";
	this.ACNT_CHK_YN  = "";    // 계좌확인여부
	this.ACNT_UPD_YN  = "";    // 수정할 계좌 정보 구분
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */
/****************************************************************
 * ■ 조회 전 처리
 ****************************************************************/
function fn_preSrchCheck() {
    
    // □ 조회 전 필수항목 체크
    var strLoanApplNo = this.edtSmLoanApplNo.val();    // 신청번호

    // □ 조회조건 null 체크
    if( factory.stringbytelen(strLoanApplNo) == 0 && SYSUtil.isEmpty(strLoanApplNo) ) {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "대출신청번호를 입력하세요.", "");

        this.edtSmLoanApplNo.setfocus();
        return false;
    }  

    return true;
}

/****************************************************************
 * ■ 조회 후 처리
 ****************************************************************/
function fn_SetAfSearch() {

    SYSUtil.showDataSetLog(this.DS_SDDO01);
    SYSUtil.showDataSetLog(this.DS_SDDO02);

    // 하단 그리드 editable setting
    if( this.DS_SDDO02.getrowcount() > 0 ) {
        this.grdSddo2.setcolumneditable(0, false);
        this.grdSddo2.setcolumneditable(1, true);
        this.grdSddo2.setcolumneditable(2, false);
        this.grdSddo2.setcolumneditable(3, false);
    }
    
    var strLoanCurStsCd = this.DS_SDDO01.getdatabyname(0, "applRealStsCd");    // 신청현재진행상태코드
    var strChnlStsCd    = this.DS_SDDO01.getdatabyname(0, "chnlPrgsStagCd");   // 모바일진행단계코드
    var strCapUseGbCd   = this.DS_SDDO01.getdatabyname(0, "capUseGbCd");       // 대출자금용도

    var strMciEntrYn    = this.DS_SDDO01.getdatabyname(0, "mciEntrYn");        // [SGI_MCI]MCI가입_여부
    var strHiIngStsCd   = this.DS_SDDO01.getdatabyname(0, "hiIngStsCd");       // [권원보험]권원진행상태
    var strElecStepCd   = this.DS_SDDO01.getdatabyname(0, "eregStepCd");       // [전자등기]등기진행상태

    //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
    // test
    /*strLoanCurStsCd = "60009";
    strChnlStsCd = "399";
    strHiIngStsCd = "00041";
    strElecStepCd = "480";
    strMciEntrYn = "Y"; */
    //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

    // □ 신청현재진행상태코드[60009] & 모바일진행단계코드[399]
    if( strLoanCurStsCd == "60009" && strChnlStsCd == "399" ) {
        // □ 실행 process 처리 가능
        // □ - [권원보험]권원진행상태 체크 : 00041
        if( strHiIngStsCd != "00041" ) {
            this.btnHiMng.setenable(false);            
        }
        // □ - [전자등기]등기진행상태 체크 : 480
        if( strElecStepCd != "480" ) {
            this.btnFtMng.setenable(false);
        }
        // MCI가입_여부
        if( strMciEntrYn == "N" ) {
            this.btnSgiMng.setenable(false);
        }
    } else {
        // □ 실행 process 처리 불가
        // □ - 버튼 enable false 처리
        //this.btnHiMng.setenable(false);
        //this.btnFtMng.setenable(false);
        //this.btnSgiMng.setenable(false);
        this.btnExec.setenable(false);
        //this.btnAcntNoChk.setenable(false);
        //this.btnAcntNoSave.setenable(false);
    }

    // □ 대출번호가 존재 하면 DS_SM에 셋팅
    var strLoanNo     = this.DS_SDDO01.getdatabyname(0, "loanNo");
    var strCustNo     = this.DS_SDDO01.getdatabyname(0, "custNo");
    var strLoanCustNo = this.DS_SDDO01.getdatabyname(0, "loanCnslNo");
    if( factory.stringbytelen(strLoanNo) != 0 && !SYSUtil.isEmpty(strLoanNo) ) {
        this.DS_SM.setdatabyname(0, "loanNo", strLoanNo);
    }
    if( factory.stringbytelen(strCustNo) != 0 && !SYSUtil.isEmpty(strCustNo) ) {
        this.DS_SM.setdatabyname(0, "custNo", strCustNo);
    }
    if( factory.stringbytelen(strLoanCustNo) != 0 && !SYSUtil.isEmpty(strLoanCustNo) ) {
        this.DS_SM.setdatabyname(0, "loanCnslNo", strLoanCustNo);
    }

    // !!!!!!!!!!!!!!!!!!!! TEST !!!!!!!!!!!!!!!!!!!!!!
    // □ 계좌정보 임시 셋팅
    /*this.DS_SDDO01.setdatabyname(0, "autoBankCd", "081");
    this.DS_SDDO01.setdatabyname(0, "autoBankNm", "하나은행");
    this.DS_SDDO01.setdatabyname(0, "autoAccoNo", "11691025334107");
    this.DS_SDDO01.setdatabyname(0, "autoResId", "850104");
    this.DS_SDDO01.setdatabyname(0, "autoDepoCust", "신정선");
    this.DS_SDDO01.setdatabyname(0, "actTrsfBankCd", "081");
    this.DS_SDDO01.setdatabyname(0, "actTrsfBankNm", "하나은행");
    this.DS_SDDO01.setdatabyname(0, "actTrsfAccNo", "11691025334107");
    this.DS_SDDO01.setdatabyname(0, "actCustResiNo", "850104");
    this.DS_SDDO01.setdatabyname(0, "actTrsfDpstNm", "신정선"); */
    // !!!!!!!!!!!!!!!!!!!! TEST !!!!!!!!!!!!!!!!!!!!!!

    //SYSUtil.showDataSetLog(this.DS_SM); 
    // □ 임대차세입자계좌확인 버튼은 임대보증금반환인 경우에만 진행 됨
    if( this.DS_SDDO01.getdatabyname(0, "capUseGbCd") == "3" ) {
	    this.btnAcntNoChk.setenable(true);
	} else {
	    this.btnAcntNoChk.setenable(false);
	}
}

/****************************************************************
 * ■ 조회 전 처리
 ****************************************************************/
function fn_preSaveCheck( psStrOperation, psStrBtnNm ) {
    
    // □ 조회 전 필수항목 체크
    var strLoanApplNo   = this.edtSmLoanApplNo.val();    // 신청번호
    var strBankcdVal    = "";                            // 은행코드
    var strAcntNoVal    = "";                            // 계좌번호
    var strBirthNoVal   = "";                            // 생년월일
    var strDepoOwnnmVal = "";                            // 예금주
    
    // □ 조회조건 null 체크
    if( factory.stringbytelen(strLoanApplNo) == 0 && SYSUtil.isEmpty(strLoanApplNo) ) {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "대출신청번호를 입력하세요.", "");

        this.edtSmLoanApplNo.setfocus();
        return false;
    }

    var strBtnMsg   = "";
    // □ 계좌번호 확인 시 체크
    if( psStrOperation == "C01" ) {
	    if( !SYSUtil.isEmpty(psStrBtnNm) || factory.stringbytelen(factory.stringtrim(psStrBtnNm)) > 0 ) {
		    // CMS자동이체 계좌번호
		    if( psStrBtnNm == "btnCmsAcntNoChk" ) {
                strBankcdVal    = this.DS_SDDO01.getdatabyname(0, "autoBankCd");       // 은행코드
                strAcntNoVal    = this.edtAutoAccoNo.val();                            // 계좌번호
                strBirthNoVal   = this.edtAutoResId.val();                             // 생년월일
                strDepoOwnnmVal = this.edtAutoDepoCust.val();                          // 예금주
                strBtnMsg = "CMS자동이체";
            } 
            // 대출금지급 계좌번호
            else if( psStrBtnNm == "btnLoanAcntNoChk" ) {
			    strBankcdVal    = this.DS_SDDO01.getdatabyname(0, "actTrsfBankCd");    // 은행코드
                strAcntNoVal    = this.edtActTrsfAccNo.val();                          // 계좌번호
                strBirthNoVal   = this.edtActCustResiNo.val();                         // 생년월일
                strDepoOwnnmVal = this.edtActTrsfDpstNm.val();                         // 예금주
                strBtnMsg = "대출금지급";
            }
            // 임대인계좌번호 
            else {  
	            strBankcdVal    = this.cboLeasBankCd.val();       // 은행코드
			    strAcntNoVal    = this.edtLeasAcctNo.val();       // 계좌번호
			    strBirthNoVal   = this.edtLeasResiNoFrn.val();    // 생년월일
			    strDepoOwnnmVal = this.edtLeasManNm.val();        // 예금주
                strBtnMsg = "세입자";
            }

            // - 은행
		    if( factory.stringbytelen(factory.stringtrim(strBankcdVal)) == 0  ) {
                SYSUtil.loadMessageBox(screen, "알림", 1, strBtnMsg + " 은행코드를 선택하세요.", "");
                return false;
		    }
		    // - 계좌
		    if( factory.stringbytelen(factory.stringtrim(strAcntNoVal)) == 0  ) {
                SYSUtil.loadMessageBox(screen, "알림", 1, strBtnMsg + " 계좌번호를 입력하세요.", "");
                return false;
		    }
		    // - 생년월일
		    if( factory.stringbytelen(factory.stringtrim(strBirthNoVal)) == 0  ) {
                SYSUtil.loadMessageBox(screen, "알림", 1, strBtnMsg + " 생년월일을 입력하세요.", "");
                return false;
		    }
	        // - 예금주명
		    if( factory.stringbytelen(factory.stringtrim(strDepoOwnnmVal)) == 0  ) {
                SYSUtil.loadMessageBox(screen, "알림", 1, strBtnMsg + " 예금주를 입력하세요.", "");
                return false;
		    }
	    }
	/*console.log("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
    SYSUtil.showDataSetLog(this.DS_ACNT_CHK_C);
	console.log("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");*/
	
	    if( factory.stringbytelen(factory.stringtrim(this.ACNT_CHK_YN)) > 0 && 
	        factory.stringbytelen(factory.stringtrim(psStrBtnNm)) == 0 ) {
		    // 버튼 parameter가 안들어오는 경우, 계좌체크 DS 데이터로 구분 함
		    var strDsBankCd = "";
		    var strDsAcntNo = "";
		    var strDsBirth = "";
		    var strDsManNm = "";
	
		    for( var i=0; this.DS_ACNT_CHK_C.getrowcount(); i++ ) {
			    psStrBtnNm  = this.DS_ACNT_CHK_C.getdatabyname(i, "chkGubun");
			
		        if( factory.stringbytelen(psStrBtnNm) > 0 ) {
				    strDsBankCd = this.DS_ACNT_CHK_C.getdatabyname(i, "acntBankCd");
				    strDsAcntNo = this.DS_ACNT_CHK_C.getdatabyname(i, "acntNo");
				    strDsBirth  = this.DS_ACNT_CHK_C.getdatabyname(i, "acntResiNoFrn");
				    strDsManNm  = this.DS_ACNT_CHK_C.getdatabyname(i, "acntManNm");
				    
					/*console.log("psStrBtnNm >>>>>>>>>>>>> " + psStrBtnNm);
					console.log("strDsBankCd >>>>>>>>>>>>> " + strDsBankCd);
					console.log("strDsAcntNo >>>>>>>>>>>>> " + strDsAcntNo);
					console.log("strDsBirth >>>>>>>>>>>>> " + strDsBirth);
					console.log("strDsManNm >>>>>>>>>>>>> " + strDsManNm);*/
				
				    if( psStrBtnNm == "CMS" ) {
					    strBtnMsg = "CMS자동이체";
					} else if( psStrBtnNm == "LOAN" ) {
						strBtnMsg = "대출금지급";
					} else {
						if( this.DS_SDDO01.getdatabyname(0, "capUseGbCd") == "3" &&
						    factory.stringbytelen(this.DS_SDDO01.getdatabyname(0, "capUseGbCd")) > 0 ) {
							strBtnMsg = "세입자";
						}
					}
			    
					// - 은행
				    if( factory.stringbytelen(factory.stringtrim(strDsBankCd)) == 0  ) {
		                SYSUtil.loadMessageBox(screen, "알림", 1, strBtnMsg + " 은행코드를 선택하세요.", "");
		                return false;
				    }
				    // - 계좌
				    if( factory.stringbytelen(factory.stringtrim(strDsAcntNo)) == 0  ) {
		                SYSUtil.loadMessageBox(screen, "알림", 1, strBtnMsg + " 계좌번호를 입력하세요.", "");
		                return false;
				    }
				    // - 생년월일
				    if( factory.stringbytelen(factory.stringtrim(strDsBirth)) == 0  ) {
		                SYSUtil.loadMessageBox(screen, "알림", 1, strBtnMsg + " 생년월일을 입력하세요.", "");
		                return false;
				    }
			        // - 예금주명
				    if( factory.stringbytelen(factory.stringtrim(strDsManNm)) == 0  ) {
		                SYSUtil.loadMessageBox(screen, "알림", 1, strBtnMsg + " 예금주를 입력하세요.", "");
		                return false;
				    }
			    } else {
			        return true;
		        }
			}    // if( factory.
	    }    // for( 
    }

    // □ 대출실행 시 체크
    var strLoanCurStsCd = this.DS_SDDO01.getdatabyname(0, "applRealStsCd");    // 신청현재진행상태코드
    var strChnlStsCd    = this.DS_SDDO01.getdatabyname(0, "chnlPrgsStagCd");   // 모바일진행단계코드
    // [SGI_MCI]
    var strMciEntrYn    = this.DS_SDDO01.getdatabyname(0, "mciEntrYn");        // [SGI_MCI]MCI가입_여부
    var strMciRsltCd    = this.DS_SDDO01.getdatabyname(0, "rsltCd");           // [SGI_MCI]SGI_결과코드
    var strMciBsnDivCd  = this.DS_SDDO01.getdatabyname(0, "bsnDivCd");         // [SGI_MCI]업무구분코드
    // [권원보험]
    var strHiAprvCd     = this.DS_SDDO01.getdatabyname(0, "aprvCd");           // [권원보험]승인코드
    var strHiStockNo    = this.DS_SDDO01.getdatabyname(0, "bsnDivCd");         // [권원보험]권원증권번호
    var strHiIngStsCd   = this.DS_SDDO01.getdatabyname(0, "hiIngStsCd");       // [권원보험]권원진행상태
    // [전자등기]
    var strElecStepCd   = this.DS_SDDO01.getdatabyname(0, "eregStepCd");       // [전자등기]등기진행상태
    var strElecRsnCd    = this.DS_SDDO01.getdatabyname(0, "rsnCd");            // [전자등기-비용보고전문]응답코드

    var bHiChkYn   = "N";
    var bFtChkYn   = "N";
    var bSgiChkYn  = "N";
    var bAcntChkYn = "N";

//!!!!!!!!!!!!!!!!! TEST !!!!!!!!!!!!!!!!!!!!!
/*strLoanCurStsCd = "60009";
strChnlStsCd = "399";
strElecRsnCd = "000";
strMciRsltCd = "A000";*/
//!!!!!!!!!!!!!!!!! TEST !!!!!!!!!!!!!!!!!!!!!

    if( psStrOperation == "C03" ) {
	
        // - 모바일진행단계 & 대출진행상태 체크
        if( strLoanCurStsCd == "60009" && strChnlStsCd == "399" ) {
            // □ 실행 process 처리 가능
            // □ - [권원보험]권원진행상태 체크 : 00041
            if( strHiIngStsCd == "00041" && (strHiAprvCd != "6" && strHiAprvCd != "7") && 
                factory.stringbytelen(factory.stringtrim(strHiStockNo)) > 0 ) {
                bHiChkYn = "Y";
            }
            // □ - [전자등기]등기진행상태 체크 : 480
            else if( strElecStepCd == "480" && strElecRsnCd == "000" ) {
                bFtChkYn = "Y";
            }
            // □ - [SGI]MCI가입_여부 체크
            else if( strMciEntrYn == "Y" && strMciRsltCd == "A000" ) {
                bSgiChkYn = "Y";
            }        
            // - 예금주 체크
            else if(factory.stringbytelen(this.ACNT_CHK_YN) > 0) {
                bAcntChkYn = "Y";
            }
            // 체크 항목 모두 Y인 경우 대출 실행 처리
            var strStatChk = bHiChkYn + bFtChkYn + bSgiChkYn + bAcntChkYn;
            strStatChk = "YYYY";

            if( strStatChk != "YYYY" ) {
                SYSUtil.loadMessageBox(screen, "알림", 1, "대출계약실행이 불가능 한 상태 입니다.", "");
                return false;
            }
        } else {
            SYSUtil.loadMessageBox(screen, "알림", 1, "대출계약실행이 불가능 한 상태 입니다. 각 단계별 진행을 먼저 해 주세요.", "");
            return false;
        }
    }

    return true;
}

/****************************************************************
 * ■ 신청번호 텍스트 엔터 키 이벤트
 ****************************************************************/
function edtSmLoanApplNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
    console.log("#### edtSmLoanApplNo_on_keydown() call");
    // □ 엔터키
    if(keycode == 13){
        // □ 조회
        this.ue_query();
    }
    return 0;
}

/****************************************************************
 * ■ 주민번호 텍스트 엔터 키 이벤트
 ****************************************************************/
function edtSmCustResiNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
    console.log("#### edtSmCustResiNo_on_keydown() call");
    // □ 엔터키
    if(keycode == 13){
        // □ 조회
        this.ue_query();
    }
    return 0;
}

/****************************************************************
 * ■ CMS자동이체 계좌번호확인 버튼 클릭 시 발생
 ****************************************************************/
function btnCmsAcntNoChk_on_click(objInst)
{
    console.log("#### btnCmsAcntNoChk_on_click() call");
    var check = this.fn_preSaveCheck("C01", "btnCmsAcntNoChk");    // 확인 전 체크

    if(check){
        this.DS_ACNT_CHK.deleteallrows();

        this.DS_ACNT_CHK.addrow();
        var curRow = this.DS_ACNT_CHK.getrowcount()-1;

        this.DS_ACNT_CHK.setdatabyname(curRow, "chkGubun"     , "CMS");                           // 계좌체크구분
        this.DS_ACNT_CHK.setdatabyname(curRow, "acntBankCd"   , this.cboAutoBankCd.val()) ;       // 은행코드
        this.DS_ACNT_CHK.setdatabyname(curRow, "acntNo"       , this.edtAutoAccoNo.gettext());    // 계좌번호
        this.DS_ACNT_CHK.setdatabyname(curRow, "acntResiNoFrn", this.edtAutoResId.gettext());     // 생년월일
        this.DS_ACNT_CHK.setdatabyname(curRow, "acntManNm"    , this.edtAutoDepoCust.gettext());  // 예금주명

        SYSUtil.loadMessageBox(this.screen, "알림", 2, "CMS계좌확인을 하시겠습니까?", "btnCmsAcntNoChk");
    }
}

/****************************************************************
 * ■ 대출금지급 계좌번호확인 버튼 클릭 시 발생
 ****************************************************************/
function btnLoanAcntNoChk_on_click(objInst)
{
    console.log("#### btnLoanAcntNoChk_on_click() call");
    var check = this.fn_preSaveCheck("C01", "btnLoanAcntNoChk");    // 확인 전 체크
    
    if(check){
	    this.DS_ACNT_CHK.deleteallrows();
	
	    this.DS_ACNT_CHK.addrow();
        var curRow = this.DS_ACNT_CHK.getrowcount()-1;

        this.DS_ACNT_CHK.setdatabyname(curRow, "chkGubun"     , "LOAN");                             // 계좌체크구분
        this.DS_ACNT_CHK.setdatabyname(curRow, "acntBankCd"   , this.cboActTrsfBankCd.val()) ;       // 은행코드
        this.DS_ACNT_CHK.setdatabyname(curRow, "acntNo"       , this.edtActTrsfAccNo.gettext());     // 계좌번호
        this.DS_ACNT_CHK.setdatabyname(curRow, "acntResiNoFrn", this.edtActCustResiNo.gettext());    // 생년월일
        this.DS_ACNT_CHK.setdatabyname(curRow, "acntManNm"    , this.edtActTrsfDpstNm.gettext());    // 예금주명

        SYSUtil.loadMessageBox(this.screen, "알림", 2, "대출금지급 계좌확인을 하시겠습니까?", "btnLoanAcntNoChk");
    }
}

/****************************************************************
 * ■ 계좌번호 확인 버튼 클릭 시 발생
 ****************************************************************/
function btnAcntNoChk_on_click(objInst)
{
    console.log("#### btnAcntNoChk_on_click() call");
    var check = this.fn_preSaveCheck("C01", "btnAcntNoChk");    // 확인 전 체크
    
    if(check){
        this.DS_ACNT_CHK.deleteallrows();
        //this.DS_ACNT_CHK.copyrow(this.DS_SDDO01, 0, true);    // 데이터셋 복사

        this.DS_ACNT_CHK.addrow();
        var curRow = this.DS_ACNT_CHK.getrowcount()-1;

        this.DS_ACNT_CHK.setdatabyname(0, "chkGubun"     , "LEAS");                             // 계좌체크구분
        this.DS_ACNT_CHK.setdatabyname(0, "acntBankCd"   , this.cboLeasBankCd.val()) ;          // 은행코드
        this.DS_ACNT_CHK.setdatabyname(0, "acntNo"       , this.edtLeasAcctNo.gettext());       // 계좌번호
        this.DS_ACNT_CHK.setdatabyname(0, "acntResiNoFrn", this.edtLeasResiNoFrn.gettext());    // 생년월일
        this.DS_ACNT_CHK.setdatabyname(0, "acntManNm"    , this.edtLeasManNm.gettext());        // 예금주명

        SYSTran.requestSubmitAsync(screen, "SCTLNM02C01");
    }
}

/****************************************************************
 * ■ 계좌번호 수정 버튼 클릭 시 발생
 ****************************************************************/
function btnAcntNoSave_on_click(objInst)
{
    console.log("#### btnAcntNoSave_on_click() call");
    
    // □ 계좌확인 전 데이터 채크를 안한 경우 alert
    if( this.ACNT_CHK_YN == "" && factory.stringbytelen(this.ACNT_CHK_YN) == 0 ) {
        SYSUtil.loadMessageBox(screen, "알림", 1, "계좌확인 후 수정이 가능합니다.", "");
    } else {
	    // □ 계좌확인은 했지만, 수정할 정보가 없는 경우
	    if( this.DS_ACNT_CHK_C.getrowcount() == 0 ) {
		    SYSUtil.loadMessageBox(screen, "알림", 1, "수정할 계좌정보가 없습니다.", "");
	    } else {
	        var check = this.fn_preSaveCheck("C01", "");    // 확인 전 체크
		
		    if( check ) {
			    SYSUtil.loadMessageBox(this.screen, "알림", 2, "계좌정보 수정을 하시겠습니까?", "btnAcntNoSave");
		    }
	    }
    }
}

/****************************************************************
 * ■ 제비용정보 버튼 클릭시 화면 이동
 ****************************************************************/
function btnExtrExpsMng_on_click(objInst)
{
    console.log("#### btnExtrExpsMng_on_click() call");
    // 업무화면으로 전달할 데이터
    var param = {"LOAN_APPL_NO":this.edtSmLoanApplNo.gettext()};
    // 팝업 Title
    var popupTitle = "제비용등록";
    //팝업 경로
    var popupPath = "/BIZ/S/CT/LN/SCTLNM03";
        
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/****************************************************************
 * ■ 권원보험청약의뢰 버튼 클릭시 화면 이동
 ****************************************************************/
function btnHiMng_on_click(objInst)
{
    console.log("#### btnHiMng_on_click() call");
    var sendData = {"LOAN_APPL_NO":this.edtSmLoanApplNo.gettext()};
    SYSUtil.goToWorkPage(this.screen, "/BIZ/S/MO/IN/SMOINM02", "권원보험관리" , sendData);
}

/****************************************************************
 * ■ 전자등기의뢰 버튼 클릭시 화면 이동
 ****************************************************************/
function btnFtMng_on_click(objInst)
{
    console.log("#### btnFtMng_on_click() call");
    var sendData = {"LOAN_APPL_NO":this.edtSmLoanApplNo.gettext()};
    SYSUtil.goToWorkPage(this.screen, "/BIZ/S/MO/LC/SMOLCM02", "전자등기관리" , sendData);
}
/****************************************************************
 * ■ MCI청약의뢰 버튼 클릭시 화면 이동
 ****************************************************************/
function btnSgiMng_on_click(objInst)
{
    console.log("#### btnSgiMng_on_click() call");
    var strSrchLoanApplNo = this.edtSmLoanApplNo.gettext();
    var rsltCdVal   = this.DS_SDDO01.getdatabyname("rsltCd");
    var bsnDivCdVal = this.DS_SDDO01.getdatabyname("bsnDivCd");
    
    var sendData = {"rsltCd":rsltCdVal, "loanApplNo":strSrchLoanApplNo, "bsnDivCd":bsnDivCdVal};
    SYSUtil.goToWorkPage(this.screen, "/BIZ/S/MO/IN/SMOINM04", "MCI관리" , sendData);
}

/****************************************************************
 * ■ 실행 버튼 클릭시 화면 이동
 ****************************************************************/
function btnExec_on_click(objInst)
{
    console.log("#### btnExec_on_click() call");
    
    var check = this.fn_preSaveCheck("C03");    // 확인 전 체크
    if( check ) {
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "대출계약을 진행 하시겠습니까?", "btnExec");
    }
}

/****************************************************************
 * ■ 심사정보상세 버튼 클릭시 화면 이동
 ****************************************************************/
function btnExamInfo_on_click(objInst)
{
    console.log("#### btnExamInfo_on_click() call");
    var sendData = {"LOAN_APPL_NO":this.edtSmLoanApplNo.gettext(), "LOAN_CNSL_NO":this.DS_SDDO01.getdatabyname(0,"loanCnslNo")};
    SYSUtil.goToWorkPage(this.screen, "/BIZ/S/XM/PV/SXMPVM02", "심사승인관리" , sendData);
}

/****************************************************************
 * ■ 실행 전 점검사항 그리드 대출실행점검여부 컬럼 선택 이벤트
 ****************************************************************/
function grdSddo2_on_itemvaluechanged(objInst, nRow, nColumn, strPrevItemText, strItemText)
{
    console.log("#### grdSddo2_on_itemvaluechanged() call");

    if( nColumn == 1 && (strPrevItemText != strItemText) ) {
        var strColumnVal = this.DS_SDDO02.getdatabyname(nRow, "loanExecInspYn");
        if( strColumnVal == true ) {
            this.DS_SDDO02.setdatabyname(nRow, "cnfmDt"   , factory.datetoday());
            this.DS_SDDO02.setdatabyname(nRow, "cnfmEmpNo", SYSVar.loginUserInfo.USER_NO);
        } else {
            this.DS_SDDO02.setdatabyname(nRow, "cnfmDt"   , "");
            this.DS_SDDO02.setdatabyname(nRow, "cnfmEmpNo", "");
        }

        SYSUtil.showDataSetLog(this.DS_SDDO02);
    }
}

/****************************************************************
 * ■ 대출금 지급 오류 시 재처리를 위한 버튼 클릭 이벤트
 ****************************************************************/
function btnLoanAmtRePay_on_click(objInst)
{
    console.log("#### btnLoanAmtRePay_on_click() call");
}