﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

// 삭제 row 셋팅
this.iDelRow = -1;

var logInUserNo = G_EMP_INFO.getdatabyname(0,"USER_NO");
var STR_GRAM_SEND     = "1000";     // 등기의뢰
var STR_GRAM_CNCL     = "9900";     // 등기취소
var STR_LOAN_EXE_STAT = "70009";    // 대출실행 완료

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
/****************************************************************
 * ■ 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
 ****************************************************************/
function ue_init_menu(){
    console.log("#### ue_init_menu() call");
    console.log("####### 사용자 버튼 활성화 #####");
    
    // □ 버튼 제어 추가
    SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);    // 저장 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 삭제 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);    // 인쇄 버튼 삭제
}

/****************************************************************
 * ■  메시지 박스에서 버튼 선택시 호출됨
 ****************************************************************/
function screen_on_messagebox(messagebox_id, result) {
    console.log("#### screen_on_messagebox() call");        
}

/****************************************************************
 * ■ 팝업 화면 종료시 호출됨
 ****************************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) {
    console.log("#### screen_on_popupdestroy() call");
    console.log("#### screen_on_popupdestroy() popup_name = " + popup_name + " , result = " + result );

    // 의뢰      btnReq
    if( popup_name == "btnReq" ) {
        if( result == "확인" ) {
            // □ 의뢰 전 권리조사의뢰 응답 코드 체크
	        var strGramRtnVal = this.fn_GetGramRspnCd(STR_GRAM_SEND);
	        var strFnStatCd   = this.DS_SDDO01.getdatabyname(0, "finalStsCd");
	        var strReSendYn   = this.DS_SM.getdatabyname(0, "bsnDiv");
	        strFnStatCd = "399";
	        console.log("strGramRtnVal = " + strGramRtnVal + ", strFnStatCd = " + strFnStatCd);
            
            // □ case 1. 신규 - 최종진행상태만 체크
	        // □ case 2. 재의뢰 - 전자등기의뢰 내역이 존재, 의뢰등록번호를 동일하게 셋팅
            if( strReSendYn == "1" ) {
	            if( strFnStatCd == "399" ) {
		            // □ 인터페이스용 데이터셋 복사
	                this.DS_SDDO01_IF.copy(this.DS_SDDO01, "", true);
	
                    // □ 화면 잠금 처리
                    SYSUtil.setScreenLock(this.screen, true);
                    // □ 의뢰 처리
                    SYSTran.requestSubmitSync(this.screen, "SMOLCM02I01");
	            } else {
		            SYSUtil.loadMessageBox(this.screen, "알림", 1, "의뢰를 할 수 없는 대출진행상태 입니다.", "REQ_CHK2");
                }
            } else {
	            //if( strGramRtnVal == "000") {
	            // □ 인터페이스용 데이터셋 복사
	            this.DS_SDDO01_IF.copy(this.DS_SDDO01, "", true);
	
	            // □ 화면 잠금 처리
	            SYSUtil.setScreenLock(this.screen, true);
	            // □ 의뢰 처리
	            SYSTran.requestSubmitSync(this.screen, "SMOLCM02I01");
	           // }
            }
        }
    }
    // 의뢰취소    btnCnclReq
    else if( popup_name == "btnCnclReq" ) {
	    if( result == "확인" ) {
		    // □ 인터페이스용 데이터셋 복사
            this.DS_SDDO_I02.copy(this.DS_SDDO01, "", true);

            // □ 화면 잠금 처리
            SYSUtil.setScreenLock(this.screen, true);
            // □ 의뢰 처리
            SYSTran.requestSubmitSync(this.screen, "SMOLCM02I02");
	    }
    }
    // 대출실행일자 변경    btnChngLnExeDt
    else if( popup_name == "btnChngLnExeDt" ) {
	    if( result == "확인" ) {
		    // □ 인터페이스용 데이터셋 복사
            this.DS_SDDO_I03.copy(this.DS_SDDO01, "", true);

            // □ 화면 잠금 처리
            SYSUtil.setScreenLock(this.screen, true);
            // □ 의뢰 처리
            SYSTran.requestSubmitSync(this.screen, "SMOLCM02I03");
	    }
    }
    // 카카오톡 재발송
    else if( popup_name == "btnKakaoReSend" ) {
	    if( result == "확인" ) {
	        // □ 화면 잠금 처리
            SYSUtil.setScreenLock(this.screen, true);
            // □ 의뢰 처리
            SYSTran.requestSubmitSync(this.screen, "SMOLCM02I04");
	    }
    }
}

/****************************************************************
 * ■ 화면로드시 발생하는 이벤트
 ****************************************************************/
function screen_on_load(){
    console.log("#### screen_on_load() call");
    
    // □ 공통코드 정의
    SYSTran.getComCode(this.screen, "C00002", this.DS_CD_C00002);            // 담당자확인여부(사용여부)
    SYSTran.getComCode(this.screen, "A00003", this.DS_CD_A00003);            // 은행코드
    SYSTran.getComCode(this.screen, "S00057", this.DS_CD_S00057);            // 전화지역코드
    SYSTran.getComCode(this.screen, "TFT002", this.DS_CD_TFT002);            // 등기유형코드
    SYSTran.getComCode(this.screen, "TFT003", this.DS_CD_TFT003);            // 등기유형코드
    SYSTran.getComCode(this.screen, "TFT004", this.DS_CD_TFT004);            // 대출지급코드
    SYSTran.getComCode(this.screen, "TFT005", this.DS_CD_TFT005);            // 전자등기구분
    SYSTran.getComCode(this.screen, "TFT006", this.DS_CD_TFT006);            // 신규/재의뢰여부
    SYSTran.getComCode(this.screen, "TFT007", this.DS_CD_TFT007);            // 상품구분
    SYSTran.getComCode(this.screen, "TFT008", this.DS_CD_TFT008);            // 말소진행구분
    SYSTran.getComCode(this.screen, "TFT009", this.DS_CD_TFT009);            // 타행상환여부
    SYSTran.getComCode(this.screen, "TFT010", this.DS_CD_TFT010);            // 지상권설정구분
    SYSTran.getComCode(this.screen, "TFT016", this.DS_CD_TFT016);            // 담보제공자와동일여부
    SYSTran.getComCode(this.screen, "TFT018", this.DS_CD_TFT018);            // 서류심사결과
    SYSTran.getComCode(this.screen, "TFT020", this.DS_CD_TFT020);            // 상환금구분
    SYSTran.getComCode(this.screen, "TFT028", this.DS_CD_TFT028);            // 전자등기진행상태
    SYSTran.getComCode(this.screen, "TFT030", this.DS_CD_TFT030);            // 등기전문종별코드

    // □ 부모화면서 넘겨받은 데이터
    this.EXTRA_DATA = screen.getextradata();    
    if(this.EXTRA_DATA != undefined || this.EXTRA_DATA != null){
        var strPsLoanApplNo = this.EXTRA_DATA.LOAN_APPL_NO;    // 대출신청번호
        
        // □ 대출신청번호
        if(strPsLoanApplNo != undefined || strPsLoanApplNo != null){
            this.edtSmLoanApplNo.settext(strPsLoanApplNo);
        }

        // □ 대출신청번호가 있으면 조회
        if( this.fn_preSrchCheck() == true ) {
            // □ 화면잠금
            SYSUtil.setScreenLock(this.screen, true);
            var reqSubmit = SYSTran.requestSubmitAsync(this.screen, "SMOLCM02S01");
        }
    }
}

/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *    [result]
 *    -1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *     0 : 서버에서 setErrorMessage를 호출한 경우
 *     1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
    console.log("########## submitcomplete mapid     >> " + mapid);
    console.log("########## submitcomplete result    >> " + result);
    console.log("########## submitcomplete recv_code >> " + recv_code);
    console.log("########## submitcomplete recv_msg  >> " + recv_msg);
    
    // □ 화면 잠금 해제
    SYSUtil.setScreenLock(this.screen, false);

    // □ [공통] 정상 및 오류 응답 처리
    if( result == 1 ) {
	    if( mapid == "SMOLCM02S01" ) {
		    var iSddoCnt = this.DS_SDDO01.getrowcount();

            // □ 조회 시 후처리 데이터 셋팅
            if( iSddoCnt > 0 ) {
                this.fn_SetAfSearch();
            }
		} else {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "SUSS");
			SYSUtil.setStatusMsg(recv_msg);
	    }
    } else {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "ERR");
        SYSUtil.setStatusMsg(recv_msg);
    }

    // □ 서비스 후 개별후처리
    // □ 의뢰 후처리
    if( mapid == "SMOLCM02I01" ) {
	    if( result == 1 && recv_code == "0000" ) {
		    this.btnCnclReq.setenable(true);    // 의뢰취소 버튼 활성화
		    
		    // □ 조회
		    this.ue_query();
	    }
    }
    // □ 의뢰취소 후처리
    else if( mapid == "SMOLCM02I02" ) {
        if( result == 1 && recv_code == "0000" ) {
	        //this.btnCnclReq.setenable(false);    // 의뢰취소버튼 비활성화	
		    // □ 조회
	        this.ue_query();
	    }
    }
    // □ 대출실행일 변경 후처리
    else if( mapid == "SMOLCM02I03" ) {
	    if( result == 1 && recv_code == "0000" ) {
		    // □ 조회
		    this.ue_query();
	    }
    }
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

/****************************************************************
 * ■ 공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print(){
    console.log("#### ue_print() call");
}

/****************************************************************
 * ■ 공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query(){
    console.log("#### ue_query() call");

    // □ 조회 전 필수항목 체크
    if( this.fn_preSrchCheck() == true ) {
        // □ 조회 처리
        SYSUtil.setScreenLock(this.screen, true);
        SYSTran.requestSubmitSync(this.screen, "SMOLCM02S01");
    }
}

/****************************************************************
 * ■ 공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update(){
    console.log("#### ue_update() call");
}

/****************************************************************
 * ■ 공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete(){
    console.log("#### ue_delete() call");
}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init(){
    console.log("#### ue_init() call");
    
    this.EXTRA_DATA = "";
    // □ dataset clear
    this.DS_SM.init();
    this.DS_SDDO01.init();
    this.DS_SDDO02.init();
    this.DS_SDDO03.init();
    this.DS_SDDO_GRAM.init();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */
/****************************************************************
 * ■ 조회 전 처리
 ****************************************************************/
function fn_preSrchCheck() {
    
    // □ 조회 전 필수항목 체크
    var strLoanApplNo = this.edtSmLoanApplNo.val();    // 신청번호

    // □ 조회조건 null 체크
    if( factory.stringbytelen(strLoanApplNo) == 0 && SYSUtil.isEmpty(strLoanApplNo) ) {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "신청번호를 입력하세요.", "");

        this.edtLoanApplNo.setfocus();
        return false;
    }  

    return true;
}

/****************************************************************
 * ■ 조회 후 처리
 ****************************************************************/
function fn_SetAfSearch() {

    SYSUtil.showDataSetLog(this.DS_SDDO01);
    SYSUtil.showDataSetLog(this.DS_SDDO02);
    SYSUtil.showDataSetLog(this.DS_SDDO03);
    SYSUtil.showDataSetLog(this.DS_SDDO_GRAM);

    // □ 등기진행상태
    var strRegPrgsStatCd = this.DS_SDDO01.getdatabyname(0, "regPrgsStatCd");

    // □ - 등기취소 상태 이면 의뢰취소 버튼 enable false
    if( strRegPrgsStatCd == "990" ) {
	    this.btnCnclReq.setenable(false);
	    this.edtCnclRsnCntn.setenable(false);
    } else {
	    this.btnCnclReq.setenable(true);
	    this.edtCnclRsnCntn.setenable(true);
    }
    
    // □ 의뢰 버튼 제어    
    this.DS_SDDO01.setdatabyname(0, "finalStsCd", "399");    // imsi test - 심사승인완료
    this.DS_SDDO01.setdatabyname(0, "finalStsNm", "심사승인"); // imsi test 

    //this.DS_SDDO01.setdatabyname(0, "finalStsCd", "501");    // imsi test - 정상
    //this.DS_SDDO01.setdatabyname(0, "finalStsNm", "정상");    // imsi test
    //strFnStatCd = "399";
    var strApplRealStsCd = this.DS_SDDO01.getdatabyname(0, "applRealStsCd");
    var strFnStatCd = this.DS_SDDO01.getdatabyname(0, "finalStsCd");
    if( strFnStatCd == "399" || strApplRealStsCd == "60009" ) { 
        this.btnReq.setenable(true);
    } else {
	    this.btnReq.setenable(false);
    }

    // □ 실행일자변경 버튼 제어 
    //    - 여신진행상태[실행] 체크
    strApplRealStsCd = this.DS_SDDO01.getdatabyname(0, "applRealStsCd");
    if( strApplRealStsCd == STR_LOAN_EXE_STAT && !SYSUtil.isEmpty(strApplRealStsCd) ) {
	    this.btnChngLnExeDt.setenable(false);
    } else {
	    this.btnChngLnExeDt.setenable(true);
    }
	
    // □ 실행일자변경 체크박스 셋팅
    var strChkChngLoanDt  = this.chkChngLoanDt.val();
    var strChngLoanHopeDt = this.DS_SDDO01.getdatabyname(0, "chngLoanHopeDt");
    if( strChngLoanHopeDt != "" || !SYSUtil.isEmpty(strChngLoanHopeDt) ) {
	    this.chkChngLoanDt.val("Y");
	    this.calChngLoanHopeDt.setvisible(true);
	    this.calChngLoanHopeDt.setenable(false);
	    this.btnChngLnExeDt.setenable(false);
    } else {
	    this.chkChngLoanDt.val("N");
	    this.calChngLoanHopeDt.setvisible(false);
    }
}

/****************************************************************
 * ■ 전문 전송 전 체크
 ****************************************************************/
function fn_preSendGram( psStrSendGubun ) {
	// □ 의뢰
	if( psStrSendGubun == "REQ" ) {
		
		var strGramRtnVal = "";
		
		// □ 거래(의뢰)구분
		if( this.cboBsnDiv.val() == "" || SYSUtil.isEmpty(this.cboBsnDiv.val()) ) {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "거래구분을 선택 해 주세요.", "");
			return false;
		}
		
		// □ 거래구분 선택 시 이전 거래 체크
		if( this.cboBsnDiv.val() == "2" ) {
			// □ 의뢰취소 여부 체크 - 재의뢰인 경우 거래가 불가능 함
			strGramRtnVal = this.fn_GetGramRspnCd(STR_GRAM_CNCL);
			if( strGramRtnVal == "000" ) {
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "재의뢰가 불가능 한 상태[등기취소]입니다. \n신규의뢰만 가능합니다.", "");
				return false;
			}
			
			// □ 의뢰 여부 체크 - 재의뢰 전 등기의뢰 전문에 대한 내역이 있는지 체크
			strGramRtnVal = this.fn_GetGramRspnCd(STR_GRAM_SEND);
			if( strGramRtnVal == "" || SYSUtil.isEmpty(strGramRtnVal) ) {
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "재의뢰가 불가능 한 상태[의뢰전]입니다. \n신규의뢰만 가능합니다.", "");
				return false;
			}
		} else {
			// □ 의뢰 여부 체크 - 의뢰 전문 내역이 있는 경우 신규의뢰 불가능
			strGramRtnVal = this.fn_GetGramRspnCd(STR_GRAM_SEND);
			//strGramRtnVal = "000";
			if( strGramRtnVal == "000" || !SYSUtil.isEmpty(strGramRtnVal) ) {
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "신규의뢰가 불가능 한 상태[등기의뢰완료]입니다. \n재의뢰만 가능합니다.", "");
				return false;
			}
			
			// □ 의뢰취소 여부 체크 - 취소 전문 내역이 없는 경우 신규의뢰 불가능
			strGramRtnVal = this.fn_GetGramRspnCd(STR_GRAM_CNCL);
			//strGramRtnVal = "000";
			if( strGramRtnVal == "000" || !SYSUtil.isEmpty(strGramRtnVal) ) {
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "신규의뢰가 불가능 한 상태[등기의뢰완료]입니다. \n재의뢰만 가능합니다.", "");
				return false;
			}
		}
	}
	// □ 의뢰취소
	else if( psStrSendGubun == "CNCL" ) {
		
		// □ 의뢰 여부 체크 - 재의뢰 전 등기의뢰 전문에 대한 내역이 있는지 체크
		strGramRtnVal = this.fn_GetGramRspnCd(STR_GRAM_SEND);
		if( strGramRtnVal == "" || SYSUtil.isEmpty(strGramRtnVal) ) {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "의뢰취소가 불가능 한 상태[의뢰전]입니다. \n의뢰 후 가능합니다.", "");
			return false;
		}
		
		// □ 여신진행상태[실행] 체크
        var strApplRealStsCd = this.DS_SDDO01.getdatabyname(0, "applRealStsCd");
        if( strApplRealStsCd == STR_LOAN_EXE_STAT && !SYSUtil.isEmpty(strApplRealStsCd) ) {
	        SYSUtil.loadMessageBox(this.screen, "알림", 1, "실행이 완료된 건 입니다. 의뢰취소는 불가합니다.", "");
			return false;
        }
		
		// □ 취소사유 입력 체크
		if( this.edtCnclRsnCntn.gettext() == "" || SYSUtil.isEmpty(this.edtCnclRsnCntn.gettext()) ) {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "취소사유를 입력 해 주세요.", "");
			return false;
		}
	}
	// □ 대출실행일 변경
	else if( psStrSendGubun == "CHNG" ) {
        var strChkChngLoanDt  = this.chkChngLoanDt.val();
        var strChngLoanHopeDt = this.DS_SDDO01.getdatabyname(0, "chngLoanHopeDt");

        // □ 등기진행상태[의뢰전] 체크
        var strRegPrgsStatCd = this.DS_SDDO01.getdatabyname(0, "regPrgsStatCd");
        if( strRegPrgsStatCd == "" || SYSUtil.isEmpty(strRegPrgsStatCd) ) {
	        SYSUtil.loadMessageBox(this.screen, "알림", 1, "등기의뢰 상태가 아니라 실행일자변경이 불가합니다.", "");
			return false;
        }

        // □ 등기진행상태[취소] 체크
        strRegPrgsStatCd = this.DS_SDDO01.getdatabyname(0, "regPrgsStatCd");
        if( strRegPrgsStatCd == "990" ) {
	        SYSUtil.loadMessageBox(this.screen, "알림", 1, "등기취소 상태에서는 실행일자변경이 불가합니다.", "");
			return false;
        }

        // □ 여신진행상태[실행] 체크
        var strApplRealStsCd = this.DS_SDDO01.getdatabyname(0, "applRealStsCd");
        if( strApplRealStsCd == STR_LOAN_EXE_STAT && !SYSUtil.isEmpty(strApplRealStsCd) ) {
	        SYSUtil.loadMessageBox(this.screen, "알림", 1, "실행이 완료된 건 입니다. 실행일자변경이 불가합니다.", "");
			return false;
        }

		// □ 변경희망일자 입력 체크
		if( strChkChngLoanDt == "Y" ) {
		    if( strChngLoanHopeDt == "" || SYSUtil.isEmpty(strChngLoanHopeDt) ) {
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, "변경희망일자를 입력 해 주세요.", "");
			    return false;
		    }
		
		    if( factory.datediff("day", factory.datetoday(), strChngLoanHopeDt) < 0 ) {
		        SYSUtil.loadMessageBox(this.screen, "알림", 1, "오늘 날짜 이후로 변경희망일자를 입력 해 주세요.", "");
			    return false;
		    }
		} else {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "실행일자변경 체크박스를 선택 해 주세요.", "");
			return false;
		}
	}
	
	return true;
}

/****************************************************************
 * ■ 실행일자 변경 체크박스 버튼 클릭 이벤트
 ****************************************************************/
function chkChngLoanDt_on_click(objInst)
{
    console.log("#### chkChngLoanDt_on_click() call");

    var strChkChngLoanDt  = this.chkChngLoanDt.val();
    var strChngLoanHopeDt = this.DS_SDDO01.getdatabyname(0, "chngLoanHopeDt");

    // □ 체크박스 클릭
    if( strChkChngLoanDt == "Y" ) {
	    // □ 변경실행일자 데이터 체크 : 권리보험에서도 변경을 할 수 있기 때문에 체크 해야 함
        if( !SYSUtil.isEmpty(strChngLoanHopeDt) ) {
	        SYSUtil.loadMessageBox(this.screen, "알림", 1, "권리보험 진행 시 변경이 되었습니다.", "");
	        return false;
        }
        
        // □ 변경희망일자 hidden false 변경
        this.calChngLoanHopeDt.setvisible(true);
        this.DS_SDDO01.setdatabyname(0, "chngLoanHopeDt", factory.datetoday());
    } else {
	    // □ 변경희망일자 hidden true 변경
        this.calChngLoanHopeDt.setvisible(false);
        this.DS_SDDO01.setdatabyname(0, "chngLoanHopeDt", "");
    }
}

/****************************************************************
 * ■ 각 사용한 전문별 응답코드 return
 ****************************************************************/
function fn_GetGramRspnCd( strPsGramNo ) {
    var strGramRtnVal = ""; 
    if( !SYSUtil.isEmpty(strPsGramNo) ) {
        var nFindRow  = this.DS_SDDO_GRAM.findrowbyname(0, "gramNo:=:\"*"+strPsGramNo+"*\":1:&");
        strGramRtnVal = this.DS_SDDO_GRAM.getdatabyname(nFindRow, "rspnCd");
    }
    return strGramRtnVal;
}

/****************************************************************
 * ■ 신청번호 텍스트 엔터 키 이벤트
 ****************************************************************/
function edtSmLoanApplNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	console.log("#### edtSmLoanApplNo_on_keydown() call");
	// □ 엔터키
	if(keycode == 13){
		// □ 조회
		this.ue_query();
	}
	
	return 0;
}

/****************************************************************
 * ■ 채권서류조회하기 버튼 클릭 이벤트
 ****************************************************************/
function btnBndDocRead_on_click(objInst)
{
	console.log("#### btnBndDocRead_on_click() call");
	
}

/****************************************************************
 * ■ 전자등기 송수신 내역조회 버튼 클릭 이벤트
 ****************************************************************/
function btnFtSnrDescRead_on_click(objInst)
{
	console.log("#### btnFtSnrDescRead_on_click() call");
	
    SYSUtil.goToWorkPage(this.screen, "/BIZ/S/SP/AS/SSPASM03", "전자등기송수신내역조회", ""); 
}

/****************************************************************
 * ■ 의뢰 버튼 클릭 이벤트
 ****************************************************************/
function btnReq_on_click(objInst)
{
    console.log("#### btnReq_on_click() call");
    // □ 의뢰 CONFIRM 창 
    if( this.fn_preSendGram("REQ") ) {
        var strBsnDiv = this.cboBsnDiv.getdisplaytext();
	    SYSUtil.loadMessageBox(this.screen, "알림", 2, strBsnDiv + "를 하시겠습니까?", "btnReq");
    }
}

/****************************************************************
 * ■ 대출변경일 버튼 클릭 이벤트
 ****************************************************************/
function btnChngLnExeDt_on_click(objInst)
{
	console.log("#### btnChngLnExeDt_on_click() call");
    // □ 대출변경일 변경 CONFIRM 창 
    if( this.fn_preSendGram("CHNG") ) {
	    SYSUtil.loadMessageBox(this.screen, "알림", 2, "대출변경일 변경을 하시겠습니까?", "btnChngLnExeDt");
    }
}

/****************************************************************
 * ■ 의뢰취소 버튼 클릭 이벤트
 ****************************************************************/
function btnCnclReq_on_click(objInst)
{
	console.log("#### btnCnclReq_on_click() call");
    // □ 의뢰취소 CONFIRM 창 
    if( this.fn_preSendGram("CNCL") ) {
	    SYSUtil.loadMessageBox(this.screen, "알림", 2, "의뢰취소를 하시겠습니까?", "btnCnclReq");
    }
}

/****************************************************************
 * ■ 약정의뢰 카카오톡 재발송 버튼 클릭 이벤트
 ****************************************************************/
function btnKakaoReSend_on_click(objInst)
{
	console.log("#### btnKakaoReSend_on_click() call");
	// □ 카카오톡 재발송 CONFIRM 창 
    SYSUtil.loadMessageBox(this.screen, "알림", 2, "약정의뢰 카카오톡 재발송을 하시겠습니까?", "btnKakaoReSend");
}