﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
function ue_init_menu(){
	console.log("#### ue_init_menu() call");
	console.log("####### 사용자 버튼 활성화 #####");
	
	GM.wf_SetUserEvent(screen, "샘플버튼0", 0);
	GM.wf_SetUserEvent(screen, "샘플버튼1", 1);
	GM.wf_SetUserEvent(screen, "샘플버튼2", 2);
	GM.wf_SetUserEvent(screen, "샘플버튼3", 3);
	GM.wf_SetUserEvent(screen, "샘플버튼4", 4);
	GM.wf_SetUserEvent(screen, "샘플버튼5", 5);
	GM.wf_SetUserEvent(screen, "샘플버튼6", 6);
	GM.wf_SetUserEvent(screen, "샘플버튼7", 7);
	GM.wf_SetUserEvent(screen, "샘플버튼8", 8);
	GM.wf_SetUserEvent(screen, "샘플버튼9", 9);
    GM.wf_EnablePrintMenu(screen);
}

// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통코드 조회
	SYSTran.getComCode(this.screen, "B00299", this.DS_CD_B00299);
	
    SYSUtil.showDataSetLog(G_EMP_INFO)
	
    // 초기 데이터 셋팅
    this.fnSetDefaultData();
}

/* 
 *  SYSTran.requestSubmitSync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	if(mapid == "SPDPDM01S01") {
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
	    	//this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
    	}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			strTitle = "알람";
        	SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(this.screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "SPDPDM01I01") {
		if(result == "1") {
			this.DS_PRDTCLAS_SD.setallrowoperation(XFD_ROWOP_NONE);
			
			screen.setscreenprotect(false); //화면잠금해제
		    SYSUtil.setStatusMsg("상품분류 저장을 완료하였습니다.");
		    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
	    }else{
			screen.setscreenprotect(false); //화면잠금해제
			// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
	        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	// 조회 전 체크
	this.screen.setscreenprotect(true); // 화면잠금
	// 상품분류관리 조회
	var bRet = SYSTran.requestSubmitSync(screen, "SPDPDM01S01");

}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_insert() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	var chekRow = 0;
	for(var k = 0; k< this.DS_PRDTCLAS_SD.getrowcount() ; k++) {
		var strOperation = this.DS_PRDTCLAS_SD.getrowoperation(k);
		if (strOperation == XFD_ROWOP_INSERT || strOperation == XFD_ROWOP_UPDATE || strOperation == XFD_ROWOP_DELETE) {
			chekRow++;
		}
	}
	
	if (chekRow == 0) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "변경된 데이터가 없습니다.", "msg01");
		return;
	}
	
	for(var i = 0; i<this.DS_PRDTCLAS_SD.getrowcount() ; i++) {

		var strOperation = this.DS_PRDTCLAS_SD.getrowoperation(i);
		if (strOperation == XFD_ROWOP_INSERT || strOperation == XFD_ROWOP_UPDATE) {
			if (factory.stringbytelen(factory.stringtrim(this.DS_PRDTCLAS_SD.getdatabyname(i,"clasNm"))) == 0)  {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "분류명이 없습니다.", "msg01");
				this.Grid0.setselectitemex(i, 3, false);
				this.Grid0.setitemeditable(i, 3, true);
				return; 
			}
			
			if (factory.stringbytelen(factory.stringtrim(this.DS_PRDTCLAS_SD.getdatabyname(i,"ddayPrftLoseFg"))) == 0)  {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "기한이익상실여부를 선택하세요.", "msg01");
				this.Grid0.setselectitemex(i, 4, false);
				this.Grid0.setitemeditable(i, 4, true);
				return; 
			}
		}
		if (strOperation == XFD_ROWOP_INSERT ) {				
			if (factory.stringbytelen(factory.stringtrim(this.DS_PRDTCLAS_SD.getdatabyname(i,"lrgeClasCd"))) < 1) {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "대분류코드는 1자리를 입력해야 합니다.", "msg01");
				this.Grid0.setselectitemex(i, 0, false);
				this.Grid0.setitemeditable(i, 0, true);
				return;
			} else if (factory.stringbytelen(factory.stringtrim(this.DS_PRDTCLAS_SD.getdatabyname(i,"midClasCd"))) < 2 && factory.stringbytelen(factory.stringtrim(this.DS_PRDTCLAS_SD.getdatabyname(i,"midClasCd"))) != 0 ) {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "중분류코드는 2자리를 입력해야 합니다.", "msg01");
				this.Grid0.setselectitemex(i, 1, false);
				this.Grid0.setitemeditable(i, 1, true);
				return;
			} else if (factory.stringbytelen(factory.stringtrim(this.DS_PRDTCLAS_SD.getdatabyname(i,"smClasCd"))) < 1 && factory.stringbytelen(factory.stringtrim(this.DS_PRDTCLAS_SD.getdatabyname(i,"smClasCd"))) != 0 ) {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "소분류코드는 1자리를 입력해야 합니다.", "msg01");
				this.Grid0.setselectitemex(i, 2, false);
				this.Grid0.setitemeditable(i, 2, true);
				return;
			}
			// 상품분류코드 조립
			var prdtClasCd = this.DS_PRDTCLAS_SD.getdatabyname(i,"lrgeClasCd") +
							 this.DS_PRDTCLAS_SD.getdatabyname(i,"midClasCd") +
							 this.DS_PRDTCLAS_SD.getdatabyname(i,"smClasCd");
			this.DS_PRDTCLAS_SD.setdatabyname(i, "prdtClasCd", prdtClasCd);
			
			//분류구분코드 세팅
			if(factory.stringbytelen(prdtClasCd) == 1) {
				this.DS_PRDTCLAS_SD.setdatabyname(i, "clasDivCd", "1");
			} else if (factory.stringbytelen(prdtClasCd) == 3) {
				this.DS_PRDTCLAS_SD.setdatabyname(i, "clasDivCd", "2");
			} else if (factory.stringbytelen(prdtClasCd) == 4) {
				this.DS_PRDTCLAS_SD.setdatabyname(i, "clasDivCd", "3");
			}
		}
	}
	
	this.screen.setscreenprotect(true); // 화면잠금
	// 상품분류관리 저장
	var bRet = SYSTran.requestSubmitSync(screen, "SPDPDM01I01");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
// 초기 데이터 셋팅
function fnSetDefaultData() {    
    
    // dataset rowcount 체크
	if( this.DS_PRDTCLAS_SM.getrowcount() == 0 ) {
		this.DS_PRDTCLAS_SM.addrow();
		this.DS_PRDTCLAS_SM.setdatabyname(0, "userNo", SYSVar.loginUserInfo.USER_NO);
    }    
	
	this.ue_query();
	
	SYSUtil.showDataSetLog(this.DS_PRDTCLAS_SM);
}

function Btn_Add_on_mouseup(objInst)
{
	this.DS_PRDTCLAS_SD.addrow();
}

function Btn_Del_on_mouseup(objInst)
{
	this.DS_PRDTCLAS_SD.setrowoperation(this.Grid0.getselectrow(), XFD_ROWOP_DELETE);
	this.Grid0.setrowhidden(this.Grid0.getselectrow(), true);
}

function Grid0_on_click(objInst)
{
	var nRow = this.Grid0.getselectrow();
	var strOperation = this.DS_PRDTCLAS_SD.getrowoperation(nRow);
	
	if (strOperation == XFD_ROWOP_INSERT) {
		this.Grid0.setitemeditable(nRow, 0, true);
		this.Grid0.setitemeditable(nRow, 1, true);
		this.Grid0.setitemeditable(nRow, 2, true);
		this.Grid0.setitemeditable(nRow, 3, true);
	} else {
		this.Grid0.setitemeditable(nRow, 0, false);
		this.Grid0.setitemeditable(nRow, 1, false);
		this.Grid0.setitemeditable(nRow, 2, false);
	}
}