﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();
// 처리 그리드
//this.GRID = null;

// ■■■■■■■■■■■■■■■■■■ 공통 버튼 영역 시작 ■■■■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 1.공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print() {console.log("#### ue_print() call");}
/****************************************************************
 * ■ 2.공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query() 
{
	console.log("#### ue_query() call");
	
	// 조회
	this.fn_Search();
}

/****************************************************************
 * ■ 3.공통 추가 버튼 이벤트
 ****************************************************************/
function ue_insert() {console.log("#### ue_update() call");}

/****************************************************************
 * ■ 4.공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update() 
{
	console.log("#### ue_update() call");

	// 그리드 내 수정된 행의 수
	var modifyCnt = this.DS_KB_SPCL_ZONE_SD.getmodifyrowcount(); 
	
	if( modifyCnt == '0') 
	{
		// 수정된 내역이 없을 경우,
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "수정된 내역이 존재하지 않습니다.", "");
		return;
	}
	else
	{
		// 수정내역 존재,
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "변경내역을 저장하시겠습니까?", "Save");
	}
}
/****************************************************************
 * ■ 5.공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete() {console.log("#### ue_delete() call");}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init() 
{
	console.log("#### ue_init() call");
	
	// fn_초기화 호출
	this.fn_init();
}

// ■■■■■■■■■■■■■■■■■■ 화면 이벤트 영역 시작 ■■■■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 화면 On_load 이벤트
 ****************************************************************/
function screen_on_load() 
{
	console.log("#### screen_on_load() call");
	
	// 공통버튼 활성화 여부
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);	// 공통 인쇄버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 공통 삭제버튼 숨김처리
	
	// 공통코드_소액임대차구분코드
	SYSTran.getComCode(this.screen, "S11103", this.DS_CD_S11103); 
	
	// 그리드용_공통코드_소액임대차 데이터셋 생성
	this.fn_MakeDataset();
	
	// 기준일자 콤보box set
	this.fn_SrchStndDt();
	
	// 시도명 콤보box set
	this.fn_Srch_LDongCd("cboProvNm", true);
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) 
{
	console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	// 시군 조회
	if( mapid == "SSPASM02S01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
			    SYSUtil.setStatusMsg(recv_msg + "시도 [" + this.DS_KB_LDONG_CD_SD01.getrowcount() + "]건 조회완료");
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	
	// 시군구 조회
	if( mapid == "SSPASM02S02" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
			    SYSUtil.setStatusMsg(recv_msg + "시군구 [" + this.DS_KB_LDONG_CD_SD02.getrowcount() + "]건 조회완료");
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	
	// 읍면동 조회
	if( mapid == "SSPASM02S03" )
	{
		if( result > -1 )
		{
			if( result == 1 )
			{
			    SYSUtil.setStatusMsg(recv_msg + "읍면동 [" + this.DS_KB_LDONG_CD_SD03.getrowcount() + "]건 조회완료");
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	
	// 리명 조회
	if( mapid == "SSPASM02S04" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				if( this.DS_KB_LDONG_CD_SD04.getrowcount() == 0 )
				{
					// 리내역 없음
					SYSUtil.setStatusMsg(recv_msg + "리 조회내역 없음");
				}
				else
				{
					// 리내역 존재
					SYSUtil.setStatusMsg(recv_msg + "리 [" + this.DS_KB_LDONG_CD_SD04.getrowcount() + "]건 조회완료");
				}
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
		
	// 특수지역관리 내역조회
	if( mapid == "SSPASM02S05" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
			    SYSUtil.setStatusMsg(recv_msg + "특수지역내역 [" + this.DS_KB_SPCL_ZONE_SD.getrowcount() + "]건");
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	
	// 기준일자조회
	if( mapid == "SSPASM02S06" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				// 기준일자 max값 set
			    this.cboStndDt.setselectedindex(0);
			
				// 시도 조회
				this.fn_Srch_LDongCd();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		    }
		}
	}
	
	// 특수지역내역 수정
	if( mapid == "SSPASM02U01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				// 변경완료 팝업
				SYSUtil.loadMessageBox(this.screen, "알림", 1, " 특수지역관리내역이 변경되었습니다.", "");
				this.fn_Search();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
}

/****************************************************************
 * ■ itemchange_이벤트_기준일자 콤보박스 
 ****************************************************************/
function cboStndDt_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("##### cboStndDt_on_itemchange() #####" + objInst.toString());
	
	// 초기화
	this.cboProvNm.setselectedcode("");
	this.cboCiGunguNm.setselectedcode("");
	this.cboEubmyundongNm.setselectedcode("");
	this.cboRiNm.setselectedcode("");
	
	this.nRowNo_grdSpclZoneDesc = -1;
	
	this.DS_KB_LDONG_CD_SD01.init();
	this.DS_KB_LDONG_CD_SD02.init();
	this.DS_KB_LDONG_CD_SD03.init();
	this.DS_KB_LDONG_CD_SD04.init();
	
	this.fn_Srch_LDongCd("cboProvNm", true);
}
/****************************************************************
 * ■ itemchange_이벤트_시도 콤보박스 
 ****************************************************************/
function cboProvNm_on_itemchange(objInst, nprev_item, ncur_item, event_type) 
{
	console.log("##### cboProvNm_on_itemchange() #####" + objInst.toString());

	// 초기화
	this.cboCiGunguNm.setselectedcode("");
	this.cboEubmyundongNm.setselectedcode("");
	this.cboRiNm.setselectedcode("");
	this.nRowNo_grdSpclZoneDesc = -1;
	
	this.DS_KB_LDONG_CD_SD02.init();
	this.DS_KB_LDONG_CD_SD03.init();
	this.DS_KB_LDONG_CD_SD04.init();
	
	// console.log("시도 콤보 선택row :"+ this.cboProvNm.getselectedindex())

	if( this.cboProvNm.getselectedindex() != -1) 
	{
		this.fn_Srch_LDongCd2("cboProvNm", true);
		this.cboCiGunguNm.setfocus();
	}
	else
	{
		this.cboProvNm.setfocus();
	}
	return 1;
}
/****************************************************************
 * ■ itemchange_이벤트_시군구 콤보박스 
 ****************************************************************/
function cboCiGunguNm_on_itemchange(objInst, nprev_item, ncur_item, event_type) 
{
	console.log("##### cboCiGunguNm_on_itemchange() #####" + objInst.toString());
	
	// 전체 콤보박스 & 그리드 초기화	
	this.cboEubmyundongNm.setselectedcode("");
	this.cboRiNm.setselectedcode("");
	this.nRowNo_grdSpclZoneDesc = -1;

	// 전체 dataset 초기화
	this.DS_KB_LDONG_CD_SD03.init();
	this.DS_KB_LDONG_CD_SD04.init();

	// console.log("시군구 콤보 row :"+ this.cboCiGunguNm.getselectedindex())

	if( this.cboCiGunguNm.getselectedindex() != -1) 
	{
		this.fn_Srch_LDongCd2("cboCiGunguNm", true);
		this.cboEubmyundongNm.setfocus();
	}
	else
	{
		this.cboCiGunguNm.setfocus();
	}
	
	return 1;
}
/****************************************************************
 * ■ itemchange_이벤트_읍면동 콤보박스 
 ****************************************************************/
function cboEubmyundongNm_on_itemchange(objInst, nprev_item, ncur_item, event_type) 
{
	console.log("##### cboEubmyundongNm_on_itemchange() #####" + objInst.toString());

	// 전체 콤보박스 & 그리드 초기화
	this.cboRiNm.setselectedcode("");	
	this.nRowNo_grdSpclZoneDesc = -1;

	// 전체 dataset 초기화
	this.DS_KB_LDONG_CD_SD04.init();

	// console.log("읍면동 콤보 row :"+ this.cboEubmyundongNm.getselectedindex())

	if( this.cboEubmyundongNm.getselectedindex() != -1) 
	{
		this.fn_Srch_LDongCd2("cboEubmyundongNm", true);
		this.cboRiNm.setfocus();
	}
	else
	{
		this.cboEubmyundongNm.setfocus();
	}
}

/****************************************************************
 * ■ 내역복사 팝업_btn_click 이벤트
 ****************************************************************/
function btn_CopyData_on_click(objInst)
{
	console.log("##### btn_CopyData_on_click() #####" + objInst.toString());
	
	// 팝업화면에 전달할 데이터(기준일자)
	var param = {"DS_KB_LDONG_CD_SD06":this.DS_KB_LDONG_CD_SD06};
	
	// 팝업 Title
	var popupTitle = "특수지역관리 데이터 복사";
	
	//팝업 경로
	var popupPath = "/BIZ/S/SP/AS/SSPASP14";
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/****************************************************************
 * ■ Excel Down_btn_click 이벤트
 ****************************************************************/
function btn_ExcelDown_on_click(objInst)
{
	console.log("##### btn_ExcelDown_on_click() #####");
	
	if( this.DS_KB_SPCL_ZONE_SD.getrowcount() > 0 )
	{
		var excelName = "특수지역관리내역_" + factory.datetoday() + ".xlsx"
		this.grdSpclZoneDesc.downloadexcel(excelName);	
	}
	else 
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회된 데이터가 없습니다.", " ");
	}
}

/****************************************************************
 * ■ 내역복사 팝업 종료 후 호출
 ****************************************************************/
function popupCallback(objExtdata) 
{
	console.log("#### popupCallback() call");
	
	// 팝업에서 전달한 내용 출력
	console.log(objExtdata);
	
	if (objExtdata != undefined || objExtdata != null) 
	{
		// 데이터 존재
//		 console.log("objExtdata.FG:" + objExtdata.FG);
		 console.log("objExtdata.SUCCYN:" + objExtdata.SUCCYN);
		
//		if( objExtdata.FG != 0 && objExtdata.FG != null )
		if( objExtdata.SUCCYN != 'N' && objExtdata.SUCCYN != '' )
		{
			// 화면초기화(내역복사 완료시)
			this.fn_init();
		}
		else
		{
			// just 닫기, 기준일자 focus
			console.log("여기");
			this.cboStndDt.setfocus();
		}
	}
}

/****************************************************************
 * ■ MessageBox팝업 종료 이벤트_수정내역 저장
 ****************************************************************/	
function screen_on_popupdestroy(popup_screen, popup_name, result, param)
{
	console.log("#### screen_on_popupdestroy() call");

	// 저장 버튼
	if(popup_name == "Save")
	{	
		if (result == "확인")
		{
			this.DS_KB_SPCL_ZONE_SD_C.init();
			var modifyCnt = this.DS_KB_SPCL_ZONE_SD.getmodifyrowcount(); //데이터셋 내 수정된 행의 수	
			var rowCnt    = this.DS_KB_SPCL_ZONE_SD.getrowcount(); //데이터셋 전체 행의 수
			var i;
			
			console.log("변경된 행의 개수" + modifyCnt);
			// 추가한 행 데이터셋 복사
			if(modifyCnt != 0)
			{
				for(i=0; i < rowCnt; i++)
				{
					if(this.DS_KB_SPCL_ZONE_SD.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_KB_SPCL_ZONE_SD.getrowoperation(i) == XFD_ROWOP_UPDATE)
					{	
						// 변경내역 set
    	            	var sStndDt              = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "stndDt");              // 기준일자
	                	var sLdongCd             = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "ldongCd");             // 법정동코드
					    var sSmallAreaGbCd       = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "smallAreaGbCd");       // 소액임대차구분						
                        var sSpcuZoneFg          = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "spcuZoneFg");          // 투기여부
                        var sSpcuZoneExclFg      = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "spcuZoneExclFg");      // 투기제외여부
                        var sSpcuOverhRegnFg     = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "spcuOverhRegnFg");     // 투기과열지구여부
                        var sSpcuOverhRegnExclFg = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "spcuOverhRegnExclFg"); // 투기과열지구제외여부
                        var sOverpCotrZoneFg     = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "overpCotrZoneFg");     // 과밀억제권역여부
                        var sOverpCotrZoneExclFg = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "overpCotrZoneExclFg"); // 과밀억제권역제외여부
                        var sWdarCiFg            = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "wdarCiFg");            // 광역시여부
                        var sWdarCiExclFg        = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "wdarCiExclFg");        // 광역시제외여부
                        var sCapiRegnFg          = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "capiRegnFg");          // 수도권여부
                        var sCapiRegnExclFg      = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "capiRegnExclFg");      // 수도권제외여부
                        var sAdjuRegnFg          = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "adjuRegnFg");          // 조정지역여부
                        var sAdjuRegnExclFg      = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "adjuRegnExclFg");      // 조정지역제외여부
                        var sSpclAdmtZoneFg      = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "spclAdmtZoneFg");      // 특별인정지역여부
                        var sSpclAdmtZoneExclFg  = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "spclAdmtZoneExclFg");  // 특별인정지역제외여부
                        var sEtcZoneFg           = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "etcZoneFg");           // 기타지역여부
                        var sEtcZoneExclFg       = this.DS_KB_SPCL_ZONE_SD.getdatabyname(i, "etcZoneExclFg");       // 기타지역제외여부

						// 최종변경사원번호 set
						this.DS_KB_SPCL_ZONE_SD.setdatabyname(i, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO);    // 최종수정사원번호
						
						// 수정된 데이터 내역을 copy
						this.DS_KB_SPCL_ZONE_SD_C.copyinsertrow(-1, this.DS_KB_SPCL_ZONE_SD, i, true);
					}
				}
			}
			// 화면잠금
			screen.setscreenprotect(true); 
			SYSUtil.showDataSetLog(this.DS_KB_SPCL_ZONE_SD_C);
			
			// 수정
			SYSTran.requestSubmitSync(screen, "SSPASM02U01");
		}
	}
}

// ★★★★★★★★★★★★★★★★★★ 사용자 정의 함수 시작 ★★★★★★★★★★★★★★★★★★
/****************************************************************
 * ★ 초기화 이벤트
 ****************************************************************/
function fn_init()
{
	console.log("#### fn_init() call");
	
	// 화면초기화-콤보박스
	this.cboStndDt.setselectedindex(0);          // 기준일자
	this.cboProvNm.setselectedcode("");		  // 시도명
	this.cboCiGunguNm.setselectedcode("");	   // 시군구명
	this.cboEubmyundongNm.setselectedcode("");   // 읍면동명
	this.cboRiNm.setselectedcode("");			// 리명
	this.cbo_smallAreaGbCd.setselectedcode("");  // 소액임대차구분
	
	// 체크박스
	this.chkSpcuZoneFg.setcheck(false); 		 // 투기지역여부
	this.chkSpcuZoneExclFg.setcheck(false); 	 // 투기지역제외여부
	this.chkSpcuOverhRegnFg.setcheck(false);     // 투기과열지구여부
	this.chkSpcuOverhRegnExclFg.setcheck(false); // 투기과열지구제외여부
	this.chkOverpCotrZoneFg.setcheck(false); 	// 과밀억제권역여부
	this.chkOverpCotrZoneExclFg.setcheck(false); // 과밀억제권역제외여부
	this.chkWdarCiFg.setcheck(false); 		   // 광역시여부
	this.chkWdarCiExclFg.setcheck(false);		// 광역시제외여부
	this.chkCapiRegnFg.setcheck(false);		  // 수도권여부
	this.chkCapiRegnExclFg.setcheck(false);	  // 수도권제외여부
	this.chkAdjuRegnFg.setcheck(false); 		 // 조정지역여부
	this.chkAdjuRegnExclFg.setcheck(false);      // 조정지역제외여부
	this.chkSpclAdmtZoneFg.setcheck(false);	  // 특별인정지역여부
	this.chkSpclAdmtZoneExclFg.setcheck(false);  // 특별인정지역제외여부
	this.chkEtcZoneFg.setcheck(false);	       // 기타지역여부
	this.chkEtcZoneExclFg.setcheck(false);       // 기타지역제외여부
	
	// 그리드
	this.nRowNo_grdSpclZoneDesc = -1;		    // 특수지역내역

	// 전체 dataset 초기화
	this.DS_KB_SPCL_ZONE_SRCH.init();
	this.DS_KB_LDONG_CD_SD01.init();
	this.DS_KB_LDONG_CD_SD02.init();
	this.DS_KB_LDONG_CD_SD03.init();
	this.DS_KB_LDONG_CD_SD04.init();
	this.DS_KB_LDONG_CD_SD06.init();
	this.DS_KB_SPCL_ZONE_SD.init();

	// 기준일자 조회
	this.fn_SrchStndDt();
	this.cboStndDt.setfocus();
}

/****************************************************************
 * ★ 조회 이벤트_기준일자
 ****************************************************************/
function fn_SrchStndDt() 
{
	console.log("#### fn_SrchStndDt() call");
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM02S06");
	
	if(reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}	
}
/****************************************************************
 * ★ 조회 이벤트_시도명
 ****************************************************************/
function fn_Srch_LDongCd() 
{
	console.log("#### fn_Srch_LDongCd() call");
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM02S01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}
/****************************************************************
 * ★ 조회 이벤트_시군구,읍면동,리명 조회처리
 ****************************************************************/
function fn_Srch_LDongCd2(sCntrlName) 
{
	console.log("#### fn_Srch_LDongCd2() call");
	
	// 시도 콤보박스 체크
	if( sCntrlName == "cboProvNm" && this.cboProvNm.getselectedcode() != "" ) 
	{		
		// 시군구 조회 입력값 set
		var sProvNm = this.cboProvNm.getselectedcomment(); // 시도명
		
		// 조회 데이터셋 set
		this.DS_KB_SPCL_ZONE_SRCH.init();
		this.DS_KB_SPCL_ZONE_SRCH.addrow();
		this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "provNm", sProvNm, false);

		// 조회처리
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM02S02");
		
		if( reqSubmit == false ) 
		{
			// 화면잠금 해제
			this.screen.setscreenprotect(false);
			// 데이터 송신중 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
		else 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
		}
	}
	
	// 시군구 콤보박스 체크
	else if( sCntrlName == "cboCiGunguNm" && this.cboCiGunguNm.getselectedcode() != "") 
	{
		// 읍면동 조회 입력값 set
		var sProvNm    = this.cboProvNm.getselectedcomment();    // 시도명
		var sCiGunguNm = this.cboCiGunguNm.getselectedcomment(); // 시군구명
		
		this.DS_KB_SPCL_ZONE_SRCH.init();
		this.DS_KB_SPCL_ZONE_SRCH.addrow();
		this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "provNm",    sProvNm,    false);
		this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "cigunguNm", sCiGunguNm, false);
		
		// 조회처리
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM02S03");
		
		if( reqSubmit == false ) 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
			// 데이터 송신중 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
		else 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
		}
		
	}
	// 읍면동 콤보박스 체크
	else if( sCntrlName == "cboEubmyundongNm" && this.cboEubmyundongNm.getselectedcode() != "") 
	{		
		// 읍면동 조회 입력값 set
		var sProvNm        = this.cboProvNm.getselectedcomment();        // 시도명
		var sCiGunguNm     = this.cboCiGunguNm.getselectedcomment();     // 시군구명
		var sEubmyundongNm = this.cboEubmyundongNm.getselectedcomment(); // 읍면동명

		this.DS_KB_SPCL_ZONE_SRCH.init();
		this.DS_KB_SPCL_ZONE_SRCH.addrow();
		this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "provNm",        sProvNm,        false);
		this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "cigunguNm",     sCiGunguNm,     false);
		this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "eubmyundongNm", sEubmyundongNm, false);
		
		// 조회처리
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM02S04");
		
		if( reqSubmit == false ) 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
			// 데이터 송신중 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
		else 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
		}
	}
}

/****************************************************************
 * ★ 특수지역관리내역 조회 이벤트
 ****************************************************************/
function fn_Search()
{
	console.log("#### fn_Search() call");

	// 특수지역관리내역 조회 입력값 set
	var sStndDt              = this.cboStndDt.getselectedcode();           // 기준일자
	var sLdongCd1            = this.cboProvNm.getselectedcomment();        // 시도명
	var sLdongCd2            = this.cboCiGunguNm.getselectedcomment();     // 시군구명
	var sLdongCd3            = this.cboEubmyundongNm.getselectedcomment(); // 읍면동명
	var sLdongCd4            = this.cboRiNm.getselectedcomment();          // 리명
    var sSpcuZoneFg          = this.chkSpcuZoneFg.gettext();               // 투기여부
    var sSpcuZoneExclFg      = this.chkSpcuZoneExclFg.gettext();           // 투기제외여부
    var sSpcuOverhRegnFg     = this.chkSpcuOverhRegnFg.gettext();          // 투기과열지구여부
    var sSpcuOverhRegnExclFg = this.chkSpcuOverhRegnExclFg.gettext();      // 투기과열지구제외여부
    var sOverpCotrZoneFg     = this.chkOverpCotrZoneFg.gettext();          // 과밀억제권역여부
    var sOverpCotrZoneExclFg = this.chkOverpCotrZoneExclFg.gettext();      // 과밀억제권역제외여부
    var sWdarCiFg            = this.chkWdarCiFg.gettext();                 // 광역시여부
    var sWdarCiExclFg        = this.chkWdarCiExclFg.gettext();             // 광역시제외여부
    var sCapiRegnFg          = this.chkCapiRegnFg.gettext();               // 수도권여부
    var sCapiRegnExclFg      = this.chkCapiRegnExclFg.gettext();           // 수도권제외여부
    var sAdjuRegnFg          = this.chkAdjuRegnFg.gettext();               // 조정지역여부
    var sAdjuRegnExclFg      = this.chkAdjuRegnExclFg.gettext();           // 조정지역제외여부
    var sSpclAdmtZoneFg      = this.chkSpclAdmtZoneFg.gettext();           // 특별인정지역여부
    var sSpclAdmtZoneExclFg  = this.chkSpclAdmtZoneExclFg.gettext();       // 특별인정지역제외여부
    var sEtcZoneFg           = this.chkEtcZoneFg.gettext();                // 기타지역여부
    var sEtcZoneExclFg       = this.chkEtcZoneExclFg.gettext();            // 기타지역제외여부
	var sProvNm              = this.cboProvNm.getselectedcomment();        // 시도명
	var sCiGunguNm           = this.cboCiGunguNm.getselectedcomment();     // 시군구명
	var sEubmyundongNm       = this.cboEubmyundongNm.getselectedcomment(); // 읍면동명
	var sRiNm                = this.cboRiNm.getselectedcomment();          // 리명
	var sSmallAreaGbCd       = this.cbo_smallAreaGbCd.getselectedcode();   // 소액임대차구분

	this.DS_KB_SPCL_ZONE_SRCH.init();
	this.DS_KB_SPCL_ZONE_SRCH.addrow();
	this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "stndDt",              sStndDt,              false);
	this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "provNm",              sProvNm,              false);
	this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "cigunguNm",           sCiGunguNm,           false);
	this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "eubmyundongNm",       sEubmyundongNm,       false);
	this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "riNm",                sRiNm,                false);
	this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "spcuZoneFg",          sSpcuZoneFg,          false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "spcuZoneExclFg",      sSpcuZoneExclFg,      false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "spcuOverhRegnFg",     sSpcuOverhRegnFg,     false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "spcuOverhRegnExclFg", sSpcuOverhRegnExclFg, false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "overpCotrZoneFg",     sOverpCotrZoneFg,     false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "overpCotrZoneExclFg", sOverpCotrZoneExclFg, false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "wdarCiFg",            sWdarCiFg,            false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "wdarCiExclFg",        sWdarCiExclFg,        false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "capiRegnFg",          sCapiRegnFg,          false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "capiRegnExclFg",      sCapiRegnExclFg,      false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "adjuRegnFg",          sAdjuRegnFg,          false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "adjuRegnExclFg",      sAdjuRegnExclFg,      false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "spclAdmtZoneFg",      sSpclAdmtZoneFg,      false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "spclAdmtZoneExclFg",  sSpclAdmtZoneExclFg,  false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "etcZoneFg",           sEtcZoneFg,           false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "etcZoneExclFg",       sEtcZoneExclFg,       false);
    this.DS_KB_SPCL_ZONE_SRCH.setdatabyname(this.DS_KB_SPCL_ZONE_SRCH.getrowcount() - 1, "smallAreaGbCd",       sSmallAreaGbCd,       false);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM02S05");
		
	if( reqSubmit == false ) 
	{
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ★ 그리드용 공통코드_소액임대차코드 데이터셋 생성
 ****************************************************************/
function fn_MakeDataset()
{
	console.log("#### fn_MakeDataset() call");
	
	var strFilterOpt = "";
	this.DS_CD_S11103_C.copy(this.DS_CD_S11103, strFilterOpt, true);
	
	// 콤보박스 "" 추가
	var AddData = this.DS_CD_S11103_C.insertrow(0);
	
	if( AddData == false ) 
	{
    	screen.alert("새로운 레코드를 삽입하는 도중 오류가 발생하였습니다.");
	}
	else 
	{
		// 추가된 row에 data input
	    var addcdDescNo = this.DS_CD_S11103_C.setdatabyname(0, "cdDescNo", "");

		if( addcdDescNo == false ) 
		{
    		screen.alert("데이터셋에 데이터를 넣는중 오류가 발생하였습니다");					
    	}
    }
}

/****************************************************************
 * ★ 그리드 헤더 전체선택 체크박스 클릭 이벤트
 ****************************************************************/
function grdSpclZoneDesc_on_headercheckclick(objInst, nHeaderRow, nHeaderCol, bChecked)
{
	console.log("#### grdSpclZoneDesc_on_headercheckclick() call");
	// console.log("nHeaderRow :: " + nHeaderRow + "nHeaderCol" + nHeaderCol);
	// console.log(bChecked);
	if (nHeaderCol == 5  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 6, false, true, true, true);}
	else if (nHeaderCol == 6  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 5, false, true, true, true);}
	
	if (nHeaderCol == 7  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 8, false, true, true, true);}
	else if (nHeaderCol == 8  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 7, false, true, true, true);}
	
	if (nHeaderCol == 9  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 10, false, true, true, true);}
	else if (nHeaderCol == 10  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 9, false, true, true, true);}
	
	if (nHeaderCol == 11  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 12, false, true, true, true);}
	else if (nHeaderCol == 12  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 11, false, true, true, true);}
	
	if (nHeaderCol == 13  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 14, false, true, true, true);}
	else if (nHeaderCol == 14  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 13, false, true, true, true);}

	if (nHeaderCol == 15  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 16, false, true, true, true);}
	else if (nHeaderCol == 16  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 15, false, true, true, true);}
	
	if (nHeaderCol == 17  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 18, false, true, true, true);}
	else if (nHeaderCol == 18  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 17, false, true, true, true);}
	
	if (nHeaderCol == 19  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 20, false, true, true, true);}
	else if (nHeaderCol == 20  &&  bChecked == true) {this.grdSpclZoneDesc.setheadercheck(0, 19, false, true, true, true);}
}

/****************************************************************
 * ★ 그리드 내 체크박스 클릭 이벤트
 ****************************************************************/
function grdSpclZoneDesc_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grdSpclZoneDesc_on_itemclick() call");
//	console.log("nClickRow : '" + nClickRow + "'");
//	console.log("nClickColumn : '" + nClickColumn + "'");
	
	// 투기지역
	if( nClickColumn == "7" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spcuZoneFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spcuZoneExclFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "spcuZoneExclFg", "N");}	} 
	else if( nClickColumn == "8" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spcuZoneExclFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spcuZoneFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "spcuZoneFg", "N");}	}
	// 투기과열
	else if( nClickColumn == "9" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spcuOverhRegnFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spcuOverhRegnExclFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "spcuOverhRegnExclFg", "N");}	}
	else if( nClickColumn == "10" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spcuOverhRegnExclFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spcuOverhRegnFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "spcuOverhRegnFg", "N");}	}
	// 조정지역
	else if( nClickColumn == "11" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "adjuRegnFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "adjuRegnExclFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "adjuRegnExclFg", "N");}	}
	else if( nClickColumn == "12" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "adjuRegnExclFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "adjuRegnFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "adjuRegnFg", "N");}	}	
	// 과밀억제
	else if( nClickColumn == "13" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "overpCotrZoneFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "overpCotrZoneExclFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "overpCotrZoneExclFg", "N");}	}
	else if( nClickColumn == "14" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "overpCotrZoneExclFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "overpCotrZoneFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "overpCotrZoneFg", "N");}	}	
	// 광역시
	else if( nClickColumn == "15" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "wdarCiFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "wdarCiExclFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "wdarCiExclFg", "N");}	}
	else if( nClickColumn == "16" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "wdarCiExclFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "wdarCiFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "wdarCiFg", "N");}	}
	// 수도권
	else if( nClickColumn == "17" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "capiRegnFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "capiRegnExclFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "capiRegnExclFg", "N");}	}
	else if( nClickColumn == "18" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "capiRegnExclFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "capiRegnFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "capiRegnFg", "N");}	}
	// 특별인정
	else if( nClickColumn == "19" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spclAdmtZoneFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spclAdmtZoneExclFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "spclAdmtZoneExclFg", "N");}	}
	else if( nClickColumn == "20" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spclAdmtZoneExclFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "spclAdmtZoneFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "spclAdmtZoneFg", "N");}	}
	
	// 기타지역
	else if( nClickColumn == "21" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "etcZoneFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "etcZoneExclFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "etcZoneExclFg", "N");}	}
	else if( nClickColumn == "22" && this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "etcZoneExclFg" ) == "Y" )
	{	if( this.DS_KB_SPCL_ZONE_SD.getdatabyname( nClickRow, "etcZoneFg" ) == "Y" )
			{this.DS_KB_SPCL_ZONE_SD.setdatabyname( nClickRow, "etcZoneFg", "N");}	}
}

// not used
/****************************************************************
 * ■ 검색조건의 체크박스 클릭시, 대응하는 체크박스 해제
 ****************************************************************/
//function chkSpcuZoneFg_on_click(objInst)          {this.fn_CheckBox("chkSpcuZoneFg", true);}          // 투기지역
//function chkSpcuZoneExclFg_on_click(objInst)      {this.fn_CheckBox("chkSpcuZoneExclFg", true);}      // 투기지역제외
//function chkSpcuOverhRegnFg_on_click(objInst)     {this.fn_CheckBox("chkSpcuOverhRegnFg", true);}     // 투기과열
//function chkSpcuOverhRegnExclFg_on_click(objInst) {this.fn_CheckBox("chkSpcuOverhRegnExclFg", true);} // 투기과열제외
//function chkAdjuRegnFg_on_click(objInst)          {this.fn_CheckBox("chkAdjuRegnFg", true);}          // 조정지역
//function chkAdjuRegnExclFg_on_click(objInst)      {this.fn_CheckBox("chkAdjuRegnExclFg", true);}      // 조정지역제외
//function chkOverpCotrZoneFg_on_click(objInst)     {this.fn_CheckBox("chkOverpCotrZoneFg", true);}     // 과밀억제
//function chkOverpCotrZoneExclFg_on_click(objInst) {this.fn_CheckBox("chkOverpCotrZoneExclFg", true);} // 과밀억제제외
//function chkWdarCiFg_on_click(objInst)            {this.fn_CheckBox("chkWdarCiFg", true);}            // 광역시
//function chkWdarCiExclFg_on_click(objInst)        {this.fn_CheckBox("chkWdarCiExclFg", true);}        // 광역시제외
//function chkCapiRegnFg_on_click(objInst)          {this.fn_CheckBox("chkCapiRegnFg", true);}          // 수도권
//function chkCapiRegnExclFg_on_click(objInst)      {this.fn_CheckBox("chkCapiRegnExclFg", true);}      // 수도권제외
//function chkSpclAdmtZoneFg_on_click(objInst)      {this.fn_CheckBox("chkSpclAdmtZoneFg", true);}      // 특별인정
//function chkSpclAdmtZoneExclFg_on_click(objInst)  {this.fn_CheckBox("chkSpclAdmtZoneExclFg", true);}  // 특별인정제외
//function chkEtcZoneFg_on_click(objInst)           {this.fn_CheckBox("chkEtcZoneExclFg", true);}       // 기타지역
//function chkEtcZoneExclFg_on_click(objInst)       {this.fn_CheckBox("chkEtcZoneFg", true);}           // 기타지역제외

/****************************************************************
 * ★ 체크박스 선택 시, 대응하는 체크박스 해제 처리
 ****************************************************************/
//function fn_CheckBox(sCheckBox) 
//{
//	console.log("#### fn_CheckBox() call");
////	console.log("sCheckBox ::" + sCheckBox);
//
//	// 투기지역
//    if( sCheckBox == "chkSpcuZoneFg" ) 
//	{     
//		if( this.chkSpcuZoneFg.getcheck() ) 
//		{
//			// true
//			this.chkSpcuZoneFg.setcheck(true);           // 투기 선택
//			this.chkSpcuZoneExclFg.setcheck(false);      // 투기제외 해제
//		}
//		else 
//		{
//			// false
//			this.chkSpcuZoneFg.setcheck(false);          // 투기 해제
//		}
//	}
//	// 투기지역 제외
//	else if( sCheckBox == "chkSpcuZoneExclFg" ) 
//	{
//		if( this.chkSpcuZoneExclFg.getcheck() ) 
//		{
//			// true
//			this.chkSpcuZoneExclFg.setcheck(true);       // 투기제외 선택
//			this.chkSpcuZoneFg.setcheck(false);          // 투기 해제
//		}
//		else 
//		{
//			// false
//			this.chkSpcuZoneExclFg.setcheck(false);      // 투기 해제
//		}
//	}
//	// 투기과열
//	else if( sCheckBox == "chkSpcuOverhRegnFg" ) 
//	{
//		if( this.chkSpcuOverhRegnFg.getcheck() ) 
//		{
//			// true
//			this.chkSpcuOverhRegnFg.setcheck(true);      // 투기과열 선택
//        	this.chkSpcuOverhRegnExclFg.setcheck(false); // 투기과열 제외 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkSpcuOverhRegnFg.setcheck(false);     // 투기제외 해제
//		}
//	}
//	// 투기과열 제외
//	else if( sCheckBox == "chkSpcuOverhRegnExclFg" ) 
//	{
//		if( this.chkSpcuOverhRegnExclFg.getcheck() ) 
//		{
//			// true
//			this.chkSpcuOverhRegnExclFg.setcheck(true);  // 투기과열 선택
//			this.chkSpcuOverhRegnFg.setcheck(false);     // 투기제외 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkSpcuOverhRegnExclFg.setcheck(false); // 투기과열 선택
//		}
//	}
//	// 조정지역
//	else if( sCheckBox == "chkAdjuRegnFg" ) 
//	{
//		if( this.chkAdjuRegnFg.getcheck() ) 
//		{
//			// true
//			this.chkAdjuRegnFg.setcheck(true);           // 조정지역 선택 
//			this.chkAdjuRegnExclFg.setcheck(false);      // 조정지역 제외 선택해제
//		}
//		else 
//		{ 
//			// false
//			this.chkAdjuRegnFg.setcheck(false);          // 조정지역 해제 
//		}
//	}
//	// 조정지역 제외 
//	else if( sCheckBox == "chkAdjuRegnExclFg" ) 
//	{
//		if( this.chkAdjuRegnExclFg.getcheck() ) 
//		{
//			// true
//			this.chkAdjuRegnExclFg.setcheck(true);       // 조정지역 제외 선택
//        	this.chkAdjuRegnFg.setcheck(false);          // 조정지역 선택해제 
//		}
//		else 
//		{ 
//			// false
//			this.chkAdjuRegnExclFg.setcheck(false);      // 조정지역 제외 해제	
//		}
//	}
//	// 과밀억제
//	else if( sCheckBox == "chkOverpCotrZoneFg" ) 
//	{
//		if( this.chkOverpCotrZoneFg.getcheck() ) 
//		{
//			// true
//			this.chkOverpCotrZoneFg.setcheck(true);      // 과밀억제 선택
//        	this.chkOverpCotrZoneExclFg.setcheck(false); // 과밀억제 제외 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkOverpCotrZoneFg.setcheck(false);     // 과밀억제 제외 해제
//		}
//	}
//	// 과밀억제 제외
//	else if( sCheckBox == "chkOverpCotrZoneExclFg" ) 
//	{
//		if( this.chkOverpCotrZoneExclFg.getcheck() ) 
//		{
//			// true
//			this.chkOverpCotrZoneExclFg.setcheck(true);  // 과밀억제 제외 선택
//			this.chkOverpCotrZoneFg.setcheck(false);     // 과밀억제 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkOverpCotrZoneExclFg.setcheck(false); // 과밀억제 제외 해제
//		}
//	}
//	//광역시
//	else if( sCheckBox == "chkWdarCiFg" ) 
//	{
//		if( this.chkWdarCiFg.getcheck() ) 
//		{
//			// true
//			this.chkWdarCiFg.setcheck(true);             // 광역시 선택
//	        this.chkWdarCiExclFg.setcheck(false);        // 광역시 제외 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkWdarCiFg.setcheck(false);            // 광역시 해제
//		}
//	}
//	// 광역시 제외
//	else if( sCheckBox == "chkWdarCiExclFg" ) 
//	{
//		if( this.chkWdarCiExclFg.getcheck() ) 
//		{
//			// true
//			this.chkWdarCiExclFg.setcheck(true);         // 광역시 제외 선택
//        	this.chkWdarCiFg.setcheck(false);            // 광역시 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkWdarCiExclFg.setcheck(false);         // 광역시 제외 해제
//		}
//	}
//	// 수도권
//	else if( sCheckBox == "chkCapiRegnFg" )
//	{
//		if( this.chkCapiRegnFg.getcheck() )
//		{
//			// true
//			this.chkCapiRegnFg.setcheck(true);           // 수도권 선택
//       	 this.chkCapiRegnExclFg.setcheck(false);      // 수도권 제외 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkCapiRegnFg.setcheck(false);          // 수도권 해제
//		}
//	}
//	// 수도권 제외
//	else if( sCheckBox == "chkCapiRegnExclFg" ) 
//	{
//		if( this.chkCapiRegnExclFg.getcheck() ) 
//		{
//			// true
//			this.chkCapiRegnExclFg.setcheck(true);       // 수도권 제외 선택
//       	 this.chkCapiRegnFg.setcheck(false);          // 수도권 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkCapiRegnExclFg.setcheck(false);      // 수도권 제외 해제
//		}
//	}
//	// 특별인정
//	else if( sCheckBox == "chkSpclAdmtZoneFg" ) 
//	{
//		if( this.chkSpclAdmtZoneFg.getcheck() ) 
//		{
//			// true
//			this.chkSpclAdmtZoneFg.setcheck(true);       // 특별인정 선택
//        	this.chkSpclAdmtZoneExclFg.setcheck(false);  // 특별인정 제외 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkSpclAdmtZoneFg.setcheck(false);      // 특별인정 해제
//		}
//	}
//	// 특별인정 제외
//	else if( sCheckBox == "chkSpclAdmtZoneExclFg" ) 
//	{
//		if( this.chkSpclAdmtZoneExclFg.getcheck() ) 
//		{
//			// true
//			this.chkSpclAdmtZoneExclFg.setcheck(true);   // 특별인정 제외 선택
//        	this.chkSpclAdmtZoneFg.setcheck(false);      // 특별인정 해제
//		}
//		else 
//		{
//			// false
//			this.chkSpclAdmtZoneExclFg.setcheck(false);  // 특별인정 제외 해제						
//		}
//	}
//	// 기타지역
//	else if( sCheckBox == "chkEtcZoneExclFg" )
//	{
//		if( this.chkEtcZoneFg.getcheck() ) 
//		{
//			// true
//			this.chkEtcZoneFg.setcheck(true);       // 기타지역 선택
//        	this.chkEtcZoneExclFg.setcheck(false);  // 지타지역제외 선택해제
//		}
//		else 
//		{
//			// false
//			this.chkEtcZoneFg.setcheck(false);      // 기타지역 해제
//		}
//	}
//	// 기타지역 제외
//	else if ( sCheckBox == "chkEtcZoneFg" )
//	{
//		console.log("4");
//		if( this.chkEtcZoneExclFg.getcheck() ) 
//		{
//			// true
//			this.chkEtcZoneExclFg.setcheck(true);   // 기타지역제외 선택
//        	this.chkEtcZoneFg.setcheck(false);      // 기타지역 해제
//		}
//		else 
//		{
//			// false
//			this.chkEtcZoneExclFg.setcheck(false);  // 기타지역제외 해제						
//		}
//	}
//}