﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */

this.nRowNo_grd_StCssIncome = -1;

// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 상수 데이터 (상수관리에서 관리)
this.YY_INCO_PPL_ANN_INSU_RT				= "";			// 국민연금 보험요율
this.YY_INCO_HLTH_INSU_RT					= "";			//건강보험 보험요율
this.YY_INCO_DECL_CARD_USE_RT		= "";			//신용(체크)카드 사용율


// 테스트 코드 (부모 화면에서 넘어온 전달값)
/*this.EXTRA_DATA =
{
	loanCnslNo : this.EXTRA_DATA.loanCnslNo,
	prodGbCd : BizCode.S12014_MRTG,
	INCM_TOT_GB_CD : this.EXTRA_DATA.incmTotGbCd // BizCode.S11001_SELF, BizCode.S11001_SPUS_SUM
};*/

/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */

function screen_on_load()
{
	console.log("##### screen_on_load() #####");

	this.YY_INCO_PPL_ANN_INSU_RT = SYSUtil.getCntnValue("YY_INCO_PPL_ANN_INSU_RT");
	this.YY_INCO_HLTH_INSU_RT = SYSUtil.getCntnValue("HLTH_INSU_RT");
	this.YY_INCO_DECL_CARD_USE_RT = SYSUtil.getCntnValue("YY_INCO_DECL_CARD_USE_RT");
	
	console.log("this.YY_INCO_PPL_ANN_INSU_RT : [" + this.YY_INCO_PPL_ANN_INSU_RT + "]");
	console.log("this.YY_INCO_HLTH_INSU_RT    : [" + this.YY_INCO_HLTH_INSU_RT + "]");
	console.log("this.YY_INCO_DECL_CARD_USE_RT     : [" + this.YY_INCO_DECL_CARD_USE_RT + "]");

	// 공통코드 조회 (콤보박스 항목)
	SYSTran.getComCode(this.screen, "S12014", this.DS_CD_S12014);	// 공통코드. 상품구분코드
	SYSTran.getComCode(this.screen, "S12020", this.DS_CD_S12020);	// 공통코드. 소득대상구분코드
	SYSTran.getComCode(this.screen, "S12043", this.DS_CD_S12043);	// 공통코드. 소득종류구분코드
	SYSTran.getComCode(this.screen, "S12044", this.DS_CD_S12044);	// 공통코드. 소득증빙서류코드
	SYSTran.getComCode(this.screen, "S12045", this.DS_CD_S12045);	// 공통코드. 소득자료제출기간코드

	this.fn_Init();
}


// 부모창으로 전달할 데이타 설정
function paranet_screen_data_load(param)
{
	console.log("##### paranet_screen_data_load() #####");

	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}


function screen_on_activate()
{
	console.log("##### screen_on_activate() #####");
}


function screen_on_deactivate()
{
	console.log("##### screen_on_deactivate() #####");
}


function screen_on_popupload(popup_screen, popup_name)
{
	console.log("##### screen_on_popupload() #####");
}


function screen_on_popupdestroy(popup_screen, popup_name, result)
{
	console.log("##### screen_on_popupdestroy() #####");
	
	console.log(" popup_screen : " + popup_screen);
	console.log(" popup_name : " + popup_name);
	console.log(" result : " + result);
	
	
	if (popup_name == "MSGBOX_DS_ST_CSS_INCOME_DEL")
	{
		if (result == "확인")
		{
			this.DS_CT_CSS_INCOME_D.init();
			this.DS_CT_CSS_INCOME_D.copyinsertrow(-1, this.DS_CT_CSS_INCOME, this.grd_StCssIncome.getxdatasetrow(this.nRowNo_grd_StCssIncome), true);
			this.DS_CT_CSS_INCOME_D.setallrowoperation(XFD_ROWOP_DELETE);

			SYSUtil.showDataSetLog(this.DS_CT_CSS_INCOME_D);
			this.nRowNo_grd_StCssIncome = -1;
			this.fn_SSPASP05D01();
		}
	}
}


function cbo_IncoObjDivCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("##### cbo_IncoObjDivCd_on_itemchange() #####");

	this.fn_UiCntrlSetting("cbo_IncoObjDivCd", true, true);

	return 1;
}


function cbo_IncoKindDivCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("##### cbo_IncoKindDivCd_on_itemchange() #####");

	this.fn_UiCntrlSetting("cbo_IncoKindDivCd", true, true);

	return 1;
}


function cbo_IncoProfDocCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("##### cbo_IncoProfDocCd_on_itemchange() #####");

	this.fn_UiCntrlSetting("cbo_IncoProfDocCd", true, true);

	return 1;
}


function cbo_IncoDataSubmTermCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("##### cbo_IncoDataSubmTermCd_on_itemchange() #####");

	this.fn_UiCntrlSetting("cbo_IncoDataSubmTermCd", true, true);

	return 1;
}


function btn_Save_on_click(objInst)
{
	console.log("##### btn_Save_on_click() #####");

	if (this.fn_Validate() == false)
	{
		return;
	}

	this.fn_SaveToDataset();
	this.fn_SSPASP05I01();
}


function btn_Add_on_click(objInst)
{
	console.log("##### btn_Add_on_click() #####");

	this.fn_Add();
}


function btn_Close_on_click(objInst)
{
	console.log("##### btn_Close_on_click() #####");

	this.fn_Close();
}


function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("#### screen_on_submitcomplete() call");
	console.log("mapid           : " + mapid);
	console.log("result          : " + result);
	console.log("recv_userheader : " + recv_userheader);
	console.log("recv_code       : " + recv_code);
	console.log("recv_msg        : " + recv_msg);

	this.screen.setscreenprotect(false);screen.setscreenprotect(false);	// 화면잠금해제

	if (mapid == "SSPASP05S02")
	{
		if (result > -1)
		{
			if (result == 1)
			{
				// SSPASP05S02
				if (this.DS_CT_CSS_INCOME.getrowcount() > 0)
				{
					this.edt_SelfIncoSumAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(0, "selfIncoSum").trim());
					this.edt_SpusIncoSumAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(0, "spusIncoSum").trim());
					this.edt_YyIncoSumAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(0, "yyIncoSumAmt").trim());
				}

				this.fn_Display_Income();
			}
			else
			{
		    }
		}
	}
	else if (mapid == "SSPASP05I01")
	{
		if (result > -1)
		{
			if (result == 1)
			{
				this.fn_Display_Income();

				if (recv_code != ""  &&  recv_msg != "")
				{
					SYSUtil.loadMessageBox(this.screen, "오류", 1 /* 확인 */, recv_msg, "");
				}
				else
				{
					SYSUtil.loadMessageBox(this.screen, "확인", 1 /* 확인 */, "저장되었습니다.", "");
				}
			}
			else
			{
		    }
		}
	}
	else if (mapid == "SSPASP05D01")
	{
		if (result > -1)
		{
			if (result == 1)
			{
				this.fn_Init();
				this.fn_Display_Income();

				if (recv_code != ""  &&  recv_msg != "")
				{
					SYSUtil.loadMessageBox(this.screen, "오류", 1 /* 확인 */, recv_msg, "");
				}
			}
			else
			{
		    }
		}
	}
}


function fn_Init()
{
	console.log("##### fn_Init() #####");

	this.sta_RcntYyIncoAmt.settext("최근년도 연소득");	// 기본 제목 지정

	this.grd_StCssIncome.setcolumndatatype(3, 0, false); 					// 컬럼 숫자 타입으로 변경
	this.grd_StCssIncome.setcolumnpattern(3, "Z,ZZZ,ZZZ,ZZZ,ZZ9", false);	// 컬럼 패턴 변경
	this.grd_StCssIncome.setcolumnhorzalign(3, 2, true);					// 우정렬

	this.grd_StCssIncome.setcolumndatatype(4, 0, false); 					// 컬럼 숫자 타입으로 변경
	this.grd_StCssIncome.setcolumnpattern(4, "Z,ZZZ,ZZZ,ZZZ,ZZ9", false);	// 컬럼 패턴 변경
	this.grd_StCssIncome.setcolumnhorzalign(4, 2, true);					// 우정렬

	this.grd_StCssIncome.setcolumndatatype(5, 0, false);					// 컬럼 숫자 타입으로 변경
	this.grd_StCssIncome.setcolumnpattern(5, "Z,ZZZ,ZZZ,ZZZ,ZZ9", false);	// 컬럼 패턴 변경
	this.grd_StCssIncome.setcolumnhorzalign(5, 2, true);					// 우정렬


	this.fn_UiCntrlSetting("fn_Init", true, true);

	this.fn_SSPASP05S02();								// 소득 정보 조회 (초기화 시점. 입력 시점은 SSPASP05I01에서 응답 받음)
}


function fn_Validate()
{
	console.log("##### fn_Validate() #####");

	var sIncoObjDivCd = this.cbo_IncoObjDivCd.getselectedcode();
	var sIncoKindDivCd = this.cbo_IncoKindDivCd.getselectedcode();
	var sIncoProfDocCd = this.cbo_IncoProfDocCd.getselectedcode();
	var sIncoDataSubmTermCd = this.cbo_IncoDataSubmTermCd.getselectedcode();
	var sRcntYyIncoAmt = this.edt_RcntYyIncoAmt.gettext().trim();
	var sRcntBfYyIncoAmt = this.edt_RcntBfYyIncoAmt.gettext().trim();

	console.log("##### fn_Validate() - sIncoObjDivCd       : [" + sIncoObjDivCd + "]");
	console.log("##### fn_Validate() - sIncoKindDivCd      : [" + sIncoKindDivCd + "]");
	console.log("##### fn_Validate() - sIncoProfDocCd      : [" + sIncoProfDocCd + "]");
	console.log("##### fn_Validate() - sIncoDataSubmTermCd : [" + sIncoDataSubmTermCd + "]");
	console.log("##### fn_Validate() - sRcntYyIncoAmt      : [" + sRcntYyIncoAmt + "]");
	console.log("##### fn_Validate() - sRcntBfYyIncoAmt    : [" + sRcntBfYyIncoAmt + "]");

	/* 소득대상 구분 */
	if (sIncoObjDivCd == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "[소득대상구분] 을 선택하십시오.", "MSGBOX_NULL");
		this.cbo_IncoObjDivCd.setfocus();
		return false;
	}

	/* 소득종류구분 */
	if (sIncoKindDivCd == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "[소득종류구분] 을 선택하십시오.", "MSGBOX_NULL");
		this.cbo_IncoKindDivCd.setfocus();
		return false;
	}

	/* 소득증빙서류 */
	if (sIncoProfDocCd == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "[소득증빙서류] 를 선택하십시오.", "MSGBOX_NULL");
		this.cbo_IncoProfDocCd.setfocus();
		return false;
	}

	/* 소득자료제출기간구분 */
	if ((sIncoKindDivCd != BizCode.S12020_ADMT  &&  sIncoKindDivCd != BizCode.S12020_DECL)  &&  sIncoDataSubmTermCd == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "[소득자료제출기간구분] 을 선택하십시오.", "MSGBOX_NULL");
		this.cbo_IncoDataSubmTermCd.setfocus();
		return false;
	}

	return true;
}


function fn_SaveToDataset()
{
	console.log("##### fn_SaveToDataset() #####");

	this.DS_CT_CSS_INCOME_C.init();
	this.DS_CT_CSS_INCOME_C.addrow();
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "loanCnslNo", this.EXTRA_DATA.loanCnslNo, true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "prodGbCd", this.EXTRA_DATA.prodGbCd, true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "incoObjDivCd", this.cbo_IncoObjDivCd.getselectedcode(), true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "incoKindDivCd", this.cbo_IncoKindDivCd.getselectedcode(), true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "incoProfDocCd", this.cbo_IncoProfDocCd.getselectedcode(), true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "incoDataSubmTermCd", this.cbo_IncoDataSubmTermCd.getselectedcode(), true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "rcntYyIncoAmt", this.edt_RcntYyIncoAmt.gettext(), true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "rcntBfYyIncoAmt", this.edt_RcntBfYyIncoAmt.gettext(), true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "cvrtYyIncoAmt", "0", true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "frstRegEmpNo", SYSVar.loginUserInfo.USER_NO, true);
	this.DS_CT_CSS_INCOME_C.setdatabyname(0, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO, true);
}


function fn_Add()
{
	console.log("##### fn_Add() #####");
	this.fn_Init();
}


function fn_Close()
{
	console.log("##### fn_Close() #####");

	// 부모 화면에 보낼 파라미터 설정
	var param =
	{
		"yyIncoSumAmt"	  : this.edt_YyIncoSumAmt.gettext()
	};

	this.paranet_screen_data_load(param);
}


function fn_SSPASP05I01()
{
	console.log("##### fn_SSPASP05I01() #####");

	screen.setscreenprotect(true); //화면잠금

	var reqSubmit = SYSTran.requestSubmitSync(this.screen, "SSPASP05I01");

	if (reqSubmit == false)
	{
    	// □ 화면잠금해제
        screen.setscreenprotect(false);

        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}


function fn_SSPASP05S02()
{
	console.log("##### fn_SSPASP05S02() #####");

	var sLoanCnslNo = this.EXTRA_DATA.loanCnslNo;
	var sProdGbCd = this.EXTRA_DATA.prodGbCd;


	this.DS_CT_CSS_INCOME_SEARCH.init();
	this.DS_CT_CSS_INCOME_SEARCH.addrow();
	this.DS_CT_CSS_INCOME_SEARCH.setdatabyname(this.DS_CT_CSS_INCOME_SEARCH.getrowcount() - 1, "loanCnslNo", sLoanCnslNo, false);
	this.DS_CT_CSS_INCOME_SEARCH.setdatabyname(this.DS_CT_CSS_INCOME_SEARCH.getrowcount() - 1, "prodGbCd", sProdGbCd, false);

	screen.setscreenprotect(true); //화면잠금

	var reqSubmit = SYSTran.requestSubmitSync(this.screen, "SSPASP05S02");

	if (reqSubmit == false)
	{
    	// □ 화면잠금해제
        screen.setscreenprotect(false);

        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}


function fn_SSPASP05D01()
{
	console.log("##### fn_SSPASP05D01() #####");

	screen.setscreenprotect(true); //화면잠금

	var reqSubmit = SYSTran.requestSubmitSync(this.screen, "SSPASP05D01");

	if (reqSubmit == false)
	{
    	// □ 화면잠금해제
        screen.setscreenprotect(false);

        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}


function fn_UiCntrlSetting(sCntrlName, bComboInit, bInitDataset)
{
	console.log("##### fn_UiCntrlSetting() #####");

	this.fn_UiCntrlSetting_IncoObjDivCd(sCntrlName, bComboInit, bInitDataset);
	this.fn_UiCntrlSetting_IncoKindDivCd(sCntrlName, bComboInit, bInitDataset);
	this.fn_UiCntrlSetting_IncoProfDocCd(sCntrlName, bComboInit, bInitDataset);
	this.fn_UiCntrlSetting_IncoDataSubmTermCd(sCntrlName, bComboInit, bInitDataset);
	this.fn_UiCntrlSetting_RcntYyIncoAmt(sCntrlName, bComboInit, bInitDataset);
	this.fn_UiCntrlSetting_RcntBfYyIncoAmt(sCntrlName, bComboInit, bInitDataset);
	this.fn_UiCntrlSetting_CvrtYyIncoAmt(sCntrlName, bComboInit, bInitDataset);
}


function fn_UiCntrlSetting_IncoObjDivCd(sCntrlName, bComboInit, bInitDataset)
{
	console.log("##### fn_UiCntrlSetting_IncoObjDivCd() #####");

	if (sCntrlName == "fn_Init")
	{
		if (bComboInit == true)
		{
			this.cbo_IncoObjDivCd.setselectedindex(-1);
		}

		if (bInitDataset == true)
		{
			this.fn_MakeDataset_cbo_IncoObjDivCd();
		}
	}
}


function fn_UiCntrlSetting_IncoKindDivCd(sCntrlName, bComboInit, bInitDataset)
{
	console.log("##### fn_UiCntrlSetting_IncoKindDivCd() #####");

	if (sCntrlName == "fn_Init"  ||  sCntrlName == "cbo_IncoObjDivCd")
	{
		if (bComboInit == true)
		{
			this.cbo_IncoKindDivCd.setselectedindex(-1);
		}

		if (bInitDataset == true)
		{
			this.fn_MakeDataset_cbo_IncoKindDivCd();
		}
	}
}


function fn_UiCntrlSetting_IncoProfDocCd(sCntrlName, bComboInit, bInitDataset)
{
	console.log("##### fn_UiCntrlSetting_IncoProfDocCd() #####");

	if (sCntrlName == "fn_Init"  ||  sCntrlName == "cbo_IncoObjDivCd"  ||  sCntrlName == "cbo_IncoKindDivCd")
	{
		if (bComboInit == true)
		{
			this.cbo_IncoProfDocCd.setselectedindex(-1);
		}

		if (bInitDataset == true)
		{
			this.fn_MakeDataset_cbo_IncoProfDocCd();
		}
	}
}


function fn_UiCntrlSetting_IncoDataSubmTermCd(sCntrlName, bComboInit, bInitDataset)
{
	console.log("##### fn_UiCntrlSetting_IncoDataSubmTermCd() #####");

	if (sCntrlName == "fn_Init"  ||  sCntrlName == "cbo_IncoObjDivCd"  ||  sCntrlName == "cbo_IncoKindDivCd"  ||  sCntrlName == "cbo_IncoProfDocCd")
	{
		if (bComboInit == true)
		{
			this.cbo_IncoDataSubmTermCd.setselectedindex(-1);
		}

		if (bInitDataset == true)
		{
			this.fn_MakeDataset_cbo_IncoDataSubmTermCd();
		}

		if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_ADMT)	// 인정소득
		{
			this.sta_IncoDataSubmTermCd.setenable(false);
			this.cbo_IncoDataSubmTermCd.setenable(false);
		}
		else if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_DECL)	// 신고소득
		{
			this.sta_IncoDataSubmTermCd.setenable(false);
			this.cbo_IncoDataSubmTermCd.setenable(false);
		}
		else
		{
			this.sta_IncoDataSubmTermCd.setenable(true);
			this.cbo_IncoDataSubmTermCd.setenable(true);
		}
	}
}


function fn_UiCntrlSetting_RcntYyIncoAmt(sCntrlName, bComboInit, bInitDataset)
{
	console.log("##### fn_UiCntrlSetting_RcntYyIncoAmt() #####");

	if (sCntrlName == "fn_Init"  ||  sCntrlName == "cbo_IncoObjDivCd"  ||  sCntrlName == "cbo_IncoKindDivCd"  ||  sCntrlName == "cbo_IncoProfDocCd"  ||  sCntrlName == "cbo_IncoDataSubmTermCd")
	{
		if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_ADMT)	// 인정소득
		{
			this.sta_RcntYyIncoAmt.settext("최근 3개월 평균보험료");

			this.sta_IncoDataSubmTermCd.setenable(false);
			this.cbo_IncoDataSubmTermCd.setenable(false);
		}
		else if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_DECL)	// 신고소득
		{
			this.sta_RcntYyIncoAmt.settext("신용카드 사용액");

			this.sta_IncoDataSubmTermCd.setenable(false);
			this.cbo_IncoDataSubmTermCd.setenable(false);

			if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_YYEND_CARD) // 연말정산용 원천징수 영수증(신용카드 원천징수액)
			{
				//
				this.sta_RcntYyIncoAmt.settext("신용카드 사용액");

				this.sta_IncoDataSubmTermCd.setenable(false);
				this.cbo_IncoDataSubmTermCd.setenable(false);
			}
			else if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_CRE_CARD) // 신용카드 사용 실적표
			{
				//
				this.sta_RcntYyIncoAmt.settext("신용카드 사용액");

				this.sta_IncoDataSubmTermCd.setenable(false);
				this.cbo_IncoDataSubmTermCd.setenable(false);
			}
		}
		else
		{
			this.sta_RcntYyIncoAmt.settext("최근년도 연소득");

			this.sta_IncoDataSubmTermCd.setenable(true);
			this.cbo_IncoDataSubmTermCd.setenable(true);
		}

		var sIncoDataSubmTermCd = this.cbo_IncoDataSubmTermCd.getselectedcode();

		if (sIncoDataSubmTermCd == BizCode.S12045_YY1_INCO  ||  sIncoDataSubmTermCd == BizCode.S12045_YY1_10P_DOWN  ||  sIncoDataSubmTermCd == BizCode.S12045_YY1_UNDR)
		{
			// 1개년도
			this.edt_RcntYyIncoAmt.setenable(true);
			this.edt_RcntYyIncoAmt.settext("0");

			this.edt_RcntBfYyIncoAmt.setenable(false);
			this.edt_RcntBfYyIncoAmt.settext("0");
		}
		else
		{
			// 2개년도
			this.edt_RcntYyIncoAmt.setenable(true);
			this.edt_RcntYyIncoAmt.settext("0");

			this.edt_RcntBfYyIncoAmt.setenable(true);
			this.edt_RcntBfYyIncoAmt.settext("0");
		}
	}
}


function fn_UiCntrlSetting_RcntBfYyIncoAmt(sCntrlName, bComboInit, bInitDataset)
{
	console.log("##### fn_UiCntrlSetting_RcntBfYyIncoAmt() #####");

	if (sCntrlName == "fn_Init"  ||  sCntrlName == "cbo_IncoObjDivCd"  ||  sCntrlName == "cbo_IncoKindDivCd"  ||  sCntrlName == "cbo_IncoProfDocCd"  ||  sCntrlName == "cbo_IncoDataSubmTermCd")
	{
		if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_ADMT)	// 인정소득
		{
			if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_ANN)
			{
				this.sta_RcntBfYyIncoAmt.settext("국민연금 보험요율 (%)");
				this.edt_RcntBfYyIncoAmt.setpattern("ZZ9.999");
				this.edt_RcntBfYyIncoAmt.settext(this.YY_INCO_PPL_ANN_INSU_RT);
			}
			else if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_INSU)
			{
				this.sta_RcntBfYyIncoAmt.settext("건강보험 보험요율 (%)");
				this.edt_RcntBfYyIncoAmt.setpattern("ZZ9.999");
				this.edt_RcntBfYyIncoAmt.settext(this.YY_INCO_HLTH_INSU_RT);
			}

			this.edt_RcntBfYyIncoAmt.setenable(false);
		}
		else if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_DECL)	// 신고소득
		{
			if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_YYEND_CARD) // 연말정산용 원천징수 영수증(신용카드 원천징수액)
			{
				this.sta_RcntBfYyIncoAmt.settext("신용(체크)카드 사용율 (%)");
				this.edt_RcntBfYyIncoAmt.setpattern("ZZ9.999");
				this.edt_RcntBfYyIncoAmt.settext(this.YY_INCO_DECL_CARD_USE_RT);
			}
			else if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_CRE_CARD)// 신용카드 사용 실적표
			{
				this.sta_RcntBfYyIncoAmt.settext("신용(체크)카드 사용율 (%)");
				this.edt_RcntBfYyIncoAmt.setpattern("ZZ9.999");
				this.edt_RcntBfYyIncoAmt.settext(this.YY_INCO_DECL_CARD_USE_RT);
			}

			this.edt_RcntBfYyIncoAmt.setenable(false);
		}
		else
		{
			this.sta_RcntBfYyIncoAmt.settext("최근년도의 전년도 연소득");
			this.edt_RcntBfYyIncoAmt.setpattern("Z,ZZZ,ZZZ,ZZZ,ZZ9");
			var sIncoDataSubmTermCd = this.cbo_IncoDataSubmTermCd.getselectedcode();

			if (sIncoDataSubmTermCd == BizCode.S12045_YY1_INCO  ||   sIncoDataSubmTermCd == BizCode.S12045_YY1_10P_DOWN ||  sIncoDataSubmTermCd == BizCode.S12045_YY1_UNDR)
			{
				// 1개년도
				this.edt_RcntBfYyIncoAmt.setenable(false);
				this.edt_RcntBfYyIncoAmt.settext("0");
			}
			else
			{
				// 2개년도
				this.edt_RcntBfYyIncoAmt.setenable(true);
				this.edt_RcntBfYyIncoAmt.settext("0");
			}
		}
	}
}


function fn_UiCntrlSetting_CvrtYyIncoAmt(sCntrlName, bComboInit, bInitDataset)
{
	console.log("##### fn_UiCntrlSetting_CvrtYyIncoAmt() #####");

	if (sCntrlName == "fn_Init"  ||  sCntrlName == "cbo_IncoObjDivCd"  ||  sCntrlName == "cbo_IncoKindDivCd"  ||  sCntrlName == "cbo_IncoProfDocCd"  ||  sCntrlName == "cbo_IncoDataSubmTermCd")
	{
		this.edt_CvrtYyIncoAmt.settext("0");
	}
}


function fn_MakeDataset_cbo_IncoObjDivCd()
{
	console.log("##### fn_MakeDataset_cbo_IncoObjDivCd() #####");

	this.DS_CD_FILTER_S12043.init();

	if (this.EXTRA_DATA.INCM_TOT_GB_CD == BizCode.S11001_SELF)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12043_SELF + "\":";

		this.DS_CD_FILTER_S12043.copy(this.DS_CD_S12043, sFilter, false, true);
	}
	else if (this.EXTRA_DATA.INCM_TOT_GB_CD == BizCode.S11001_SPUS_SUM)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12043_SELF + "\":|,";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12043_SPUS + "\":";

		this.DS_CD_FILTER_S12043.copy(this.DS_CD_S12043, sFilter, false, true);
	}
}


function fn_MakeDataset_cbo_IncoKindDivCd()
{
	console.log("##### fn_MakeDataset_cbo_IncoKindDivCd() #####");

	this.DS_CD_FILTER_S12020.init();
	
	if (this.cbo_IncoObjDivCd.getselectedcode() == BizCode.S12043_SELF)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_WORK	+ "\":|,";	// 근로소득
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_BIZ	+ "\":|,";	// 사업소득
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_ANN	+ "\":|,";	// 연금소득
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_ETC	+ "\":|,";	// 기타소득
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_ADMT	+ "\":|,";		// 인정소득
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_DECL	+ "\":";		// 신고소득
		console.log("sFilter : " + sFilter);

		this.DS_CD_FILTER_S12020.copy(this.DS_CD_S12020, sFilter, false, true);
	}
	else if (this.cbo_IncoObjDivCd.getselectedcode() == BizCode.S12043_SPUS)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_WORK + "\":|,";	// 근로소득
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_BIZ + "\":|,";	// 사업소득
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_ANN + "\":|,";		// 연금소득
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_ETC + "\":|,";		// 기타소득
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12020_DECL + "\":";		// 신고소득
		console.log("sFilter : " + sFilter);

		this.DS_CD_FILTER_S12020.copy(this.DS_CD_S12020, sFilter, false, true);
	}
}


function fn_MakeDataset_cbo_IncoProfDocCd()
{
	console.log("##### fn_MakeDataset_cbo_IncoProfDocCd() #####");

	this.DS_CD_FILTER_S12044.init();

	if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_WORK)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_INCO_AMT_CERT				+ "\":|,";	//
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_YYEND_ADJ					+ "\":|,";	//
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_SALR_SPEC					+ "\":";	//

		this.DS_CD_FILTER_S12044.copy(this.DS_CD_S12044, sFilter, false, true);
	}
	else if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_BIZ)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_BIZ_INCO_AMT_CERT				+ "\":|,";	//
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_TAX_STND						+ "\":|,";	//
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_RCNT_YY_BIZ_INCO				+ "\":|,";	//
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_RCNT_RESI_INCO				+ "\":";	//

		this.DS_CD_FILTER_S12044.copy(this.DS_CD_S12044, sFilter, false, true);
	}
	else if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_ANN)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_BNKB 						+ "\":";	//

		this.DS_CD_FILTER_S12044.copy(this.DS_CD_S12044, sFilter, false, true);
	}
	else if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_ETC)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_BIZ_INCO_AMT_CERT			+ "\":";	//

		this.DS_CD_FILTER_S12044.copy(this.DS_CD_S12044, sFilter, false, true);
	}
	else if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_ADMT)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_ANN						+ "\":|,";			//
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_INSU						+ "\":";			//

		this.DS_CD_FILTER_S12044.copy(this.DS_CD_S12044, sFilter, false, true);
	}
	else if (this.cbo_IncoKindDivCd.getselectedcode() == BizCode.S12020_DECL)
	{
		var sFilter = "";
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_YYEND_CARD				+ "\":|,";			//
		sFilter += "\"cdDescNo\":=:\"" + BizCode.S12044_CRE_CARD					+ "\":";			//

		this.DS_CD_FILTER_S12044.copy(this.DS_CD_S12044, sFilter, false, true);
	}
}


function fn_MakeDataset_cbo_IncoDataSubmTermCd()
{
	console.log("##### fn_MakeDataset_cbo_IncoDataSubmTermCd() #####");

	this.DS_CD_FILTER_S12045.init();

	if (this.cbo_IncoProfDocCd.getselectedcode() != "")
	{
		var sFilter = "";

		this.DS_CD_FILTER_S12045.copy(this.DS_CD_S12045, sFilter, false, true);
	}
}


function fn_Display_Income()
{
	console.log("##### fn_Display_Income() #####");

	var sIncoObjDivCd = this.cbo_IncoObjDivCd.getselectedcode();
	var sIncoKindDivCd = this.cbo_IncoKindDivCd.getselectedcode();
	var sIncoProfDocCd = this.cbo_IncoProfDocCd.getselectedcode();

	this.edt_RcntYyIncoAmt.settext("0");
	this.edt_RcntBfYyIncoAmt.settext("0");
	this.edt_CvrtYyIncoAmt.settext("0");

	this.edt_SelfIncoSumAmt.settext("0");
	this.edt_SpusIncoSumAmt.settext("0");
	this.edt_YyIncoSumAmt.settext("0");

	for (var i = 0; i < this.DS_CT_CSS_INCOME.getrowcount(); i++)
	{
		console.log("##### fn_Display_Income() ##### for - i : " + i);
		
		if (sIncoObjDivCd == this.DS_CT_CSS_INCOME.getdatabyname(i, "incoObjDivCd").trim()
			&&  sIncoKindDivCd == this.DS_CT_CSS_INCOME.getdatabyname(i, "incoKindDivCd").trim()
			&&  sIncoProfDocCd == this.DS_CT_CSS_INCOME.getdatabyname(i, "incoProfDocCd").trim())
		{
			console.log("##### fn_Display_Income() ##### for - i : " + i + " hit");

			this.edt_RcntYyIncoAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(i, "rcntYyIncoAmt").trim());
			this.edt_RcntBfYyIncoAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(i, "rcntBfYyIncoAmt").trim());
			this.edt_CvrtYyIncoAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(i, "cvrtYyIncoAmt").trim());

			break;
		}
	}

	// SSPASP05S02
	if (this.DS_CT_CSS_INCOME.getrowcount() > 0)
	{
		this.edt_SelfIncoSumAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(0, "selfIncoSum").trim());
		this.edt_SpusIncoSumAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(0, "spusIncoSum").trim());
		this.edt_YyIncoSumAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(0, "yyIncoSumAmt").trim());
	}
}


function btn_Delete_on_click(objInst)
{
	console.log("#### btn_Delete_on_click() call");

	// 삭제 가능한지 유효성 체크
	if (this.grd_StCssIncome.getrowcount() <= 0)
	{
		SYSUtil.loadMessageBox(this.screen, "확인", 0, "삭제할 연소득 정보를 선택하십시오.", "");
		return;
	}

	// 삭제 가능한지 유효성 체크
	if (this.nRowNo_grd_StCssIncome < 0)
	{
		SYSUtil.loadMessageBox(this.screen, "확인", 0 /* 확인 */, "삭제할 연소득 정보를 선택하십시오.", "");
		return;
	}

	// 삭제 가능한지 유효성 체크
	if (this.grd_StCssIncome.getxdatasetrow(this.nRowNo_grd_StCssIncome) < 0)
	{
		SYSUtil.loadMessageBox(this.screen, "확인", 0 /* 확인 */, "삭제할 연소득 정보를 선택하십시오.", "");
		return;
	}

	SYSUtil.loadMessageBox(this.screen, "삭제", 2 /* 확인/취소 */, "선택한 연소득 정보를 삭제하시겠습니까?", "MSGBOX_DS_ST_CSS_INCOME_DEL");
}


function grd_StCssIncome_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grd_StCssIncome_on_itemselchange() call");

	this.nRowNo_grd_StCssIncome = nClickRow;

	var nDatasetRow = this.grd_StCssIncome.getxdatasetrow(this.nRowNo_grd_StCssIncome);
	console.log("#### grd_StCssIncome_on_itemselchange() >>>>>>>>>>> nDatasetRow : " + nDatasetRow);

	this.fn_MakeDataset_cbo_IncoObjDivCd();
	this.cbo_IncoObjDivCd.setselectedcodeex(this.DS_CT_CSS_INCOME.getdatabyname(nDatasetRow, "incoObjDivCd", true), false, false);

	this.fn_MakeDataset_cbo_IncoKindDivCd();
	this.cbo_IncoKindDivCd.setselectedcodeex(this.DS_CT_CSS_INCOME.getdatabyname(nDatasetRow, "incoKindDivCd", true), false, false);

	this.fn_MakeDataset_cbo_IncoProfDocCd();
	this.cbo_IncoProfDocCd.setselectedcodeex(this.DS_CT_CSS_INCOME.getdatabyname(nDatasetRow, "incoProfDocCd", true), false, false);

	this.fn_MakeDataset_cbo_IncoDataSubmTermCd();
	this.cbo_IncoDataSubmTermCd.setselectedcodeex(this.DS_CT_CSS_INCOME.getdatabyname(nDatasetRow, "incoDataSubmTermCd", true), false, false);

	this.fn_UiCntrlSetting("fn_Init", false, false);

	this.edt_RcntYyIncoAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(nDatasetRow, "rcntYyIncoAmt", true));
	this.edt_RcntBfYyIncoAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(nDatasetRow, "rcntBfYyIncoAmt", true));
	this.edt_CvrtYyIncoAmt.settext(this.DS_CT_CSS_INCOME.getdatabyname(nDatasetRow, "cvrtYyIncoAmt", true));

	if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_ANN)
	{
		this.sta_RcntBfYyIncoAmt.settext("국민연금 보험요율 (%)");
		this.edt_RcntBfYyIncoAmt.setpattern("ZZ9.999");
		this.edt_RcntBfYyIncoAmt.settext(this.YY_INCO_PPL_ANN_INSU_RT);
	}
	else if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_INSU)
	{
		this.sta_RcntBfYyIncoAmt.settext("건강보험 보험요율 (%)");
		this.edt_RcntBfYyIncoAmt.setpattern("ZZ9.999");
		this.edt_RcntBfYyIncoAmt.settext(this.YY_INCO_HLTH_INSU_RT);
	}
	else if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_YYEND_CARD)
	{
		this.sta_RcntBfYyIncoAmt.settext("신용(체크)카드 사용율(%)");
		this.edt_RcntBfYyIncoAmt.setpattern("ZZ9.999");
		this.edt_RcntBfYyIncoAmt.settext(this.YY_INCO_DECL_CARD_USE_RT);
	}
	else if (this.cbo_IncoProfDocCd.getselectedcode() == BizCode.S12044_CRE_CARD)
	{
		this.sta_RcntBfYyIncoAmt.settext("신용(체크)카드 사용율(%)");
		this.edt_RcntBfYyIncoAmt.setpattern("ZZ9.999");
		this.edt_RcntBfYyIncoAmt.settext(this.YY_INCO_DECL_CARD_USE_RT);
	}
}


function screen_on_rclick(mouse_x, mouse_y, mouse_pagex, mouse_pagey)
{
	console.log("#### screen_on_rclick() call");
}