﻿/****************************************************************
 * ■ 전역변수 세팅
 ****************************************************************/
this.nRowNo_grd_AtrzMngm = -1;

// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

var sUSERNO        = this.EXTRA_DATA.userNo;        // 사용자사번  
var sLOANCNSLNO    = this.EXTRA_DATA.loanCnslNo;    // 대출상담번호
var sAPPLREALSTSCD = this.EXTRA_DATA.applRealStsCd; // 신청현재진행상태코드
var sLOANAPPLNO    = this.EXTRA_DATA.loanApplNo;    // 대출신청번호


// ■■■■■■■■■■■■■■■■■■ 화면 이벤트 영역 시작 ■■■■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 부모화면(심사승인관리)로 load 할 data 설정
 ****************************************************************/
function paranet_screen_data_load()
{
	console.log("########### paranet_screen_data_load #######" );
	
	var param = {};
	SYSUtil.popCloseCallBack(this.screen, param);
}

/****************************************************************
 * ■ 화면 On_load 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("#### screen_on_load() call");
    
	// test 데이터 *****************************************
	alert("현재 test를 위해 사원번호'70305'으로 세팅");
	sUSERNO = '70305'; // test용_1차 심사자 번호 set
	// test 데이터 *****************************************

	if (sAPPLREALSTSCD == '40000')
	{
		// 1차 심사상태일경우 저장버튼 보임 & 확인버튼 hidden
		this.btn_Confirm.setvisible(false);
	}
	else 
	{
		// 2,3차 심사상태일경우 저장버튼 hidden & 확인버튼 보임
		this.btn_Save.setvisible(false);
	}
	
	// 공통코드 조회 (콤보박스 항목)
	SYSTran.getComCode(this.screen, "S12051", this.DS_CD_S12051);  // 공통코드. 직무구분코드
	SYSTran.getComCode(this.screen, "H00360", this.DS_CD_H00360);  // 공통코드. 직위코드
	SYSTran.getComCode(this.screen, "S12053", this.DS_CD_S12053);  // 공통코드. 전결대리상태코드
	
	this.fn_SrchAtrzMngm();
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) 
{
	console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	// □ 조회 후처리
	if( mapid == "SSPASP10S01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
			    SYSUtil.setStatusMsg(recv_msg + "시도 [" + this.DS_ATRZ_MNGM_SD.getrowcount() + "]건");
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SSPASP10I01" ) 
	{
		console.log("10");
		if( result > -1 ) 
		{
			console.log("11");
			if( result == 1 ) 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "결재선이 저장되었습니다.", "");
				// 결재선내역 재조회
				this.fn_SrchAtrzMngm();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
}

/****************************************************************
 * ■ 그리드 내 콤보박스 데이터 변경 시
 ****************************************************************/
function grd_AtrzMngm_on_itemvaluechanged(objInst, nRow, nColumn, strPrevItemText, strItemText)
{
	console.log("#### grd_AtrzMngm_on_itemvaluechanged() call");
	
	// 선택한 직무구분 값이 심사인 경우
	if ( this.DS_ATRZ_MNGM_SD.getdatabyname(nRow,"roleDivCd") == BizCode.S12051_SALEEXAM)
	{
		// 역할값이 심사자 & 전결권자가 아닐경우.
		if ( this.DS_ATRZ_MNGM_SD.getdatabyname(nRow,"roleNo") != BizCode.ROLE_SALEEXAM && this.DS_ATRZ_MNGM_SD.getdatabyname(nRow,"roleNo") != BizCode.ROLE_SALEARVD )
		{
			SYSUtil.loadMessageBox(this.screen, "알림", 1, " 해당직원의 결재권한을 확인해 주시요.", "");
			
			this.DS_ATRZ_MNGM_SD.setdatabyname(nRow,"roleDivCd", "")
			return;
		}
	}
	
	// 선택한 직무구분 값이 전결권자인 경우
	if ( this.DS_ATRZ_MNGM_SD.getdatabyname(nRow,"roleDivCd") == BizCode.S12051_SALEARVD && this.DS_ATRZ_MNGM_SD.getdatabyname(nRow,"roleNo") != BizCode.ROLE_SALEARVD )
	{
		// 역할값이 전결권자가 아닐경우.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, " 해당직원의 결재권한을 확인해 주세요.", "");
		
		this.DS_ATRZ_MNGM_SD.setdatabyname(nRow,"roleDivCd", "")
		return;
	}
	
	// 직무구분코드_입력한 데이터의 중복여부 확인
	var nOtherRowNo = this.fn_GetRowNumByRoleDiv(nRow, strItemText);
	
	// 그리드 내 동일한 데이터가 없는 경우,
	if (nOtherRowNo <= -1)
	{
//		console.log("그리드 내 동일한 데이터가 없는 경우");
//		console.log("continue");
		// continue;
	}
	
	// 그리드 내 동일한 데이터가 존재할 경우,
	if (nOtherRowNo >= 0)
	{
		console.log("그리드 내" + nOtherRowNo + " 번째 row의 동일한 데이터가 존재");
		
		// 그리드 데이터 초기화 
		console.log("해당 row의 데이터 clear");
		this.grd_AtrzMngm.setitemtextex(nOtherRowNo, 3, "", false, false, false, false);
		
		// 그리드 refresh
		this.grd_AtrzMngm.refresh();
	}
	
	if( this.DS_ATRZ_MNGM_SD.getdatabyname(nRow,"agncStat") != "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, " 해당직원은 업무대행상태 중입니다. 확인해 주세요.", "");
		
		this.fn_SrchAtrzMngm();
	}
}

/****************************************************************
 * ■ 저장버튼 클릭 이벤트(데이터 저장)
 ****************************************************************/
function btn_Save_on_click(objInst)
{
	this.fn_Save();
}

/****************************************************************
 * ■ 확인버튼 클릭 이벤트(팝업 종료)
 ****************************************************************/
function btn_Confirm_on_click(objInst)
{
	this.fn_Close();
}


// ★★★★★★★★★★★★★★★★★★ 사용자 정의 함수 시작 ★★★★★★★★★★★★★★★★★★
/****************************************************************
 * ★ fn_결재선 조회
 ****************************************************************/
function fn_SrchAtrzMngm() 
{
	console.log("#### fn_SrchAtrzMngm() call");	
	
	// 조회 데이터셋 set
	this.DS_ATRZ_MNGM_SRCH.init();
	this.DS_ATRZ_MNGM_SRCH.addrow();
	this.DS_ATRZ_MNGM_SRCH.setdatabyname(this.DS_ATRZ_MNGM_SRCH.getrowcount() - 1, "userNo", sUSERNO, false);
	this.DS_ATRZ_MNGM_SRCH.setdatabyname(this.DS_ATRZ_MNGM_SRCH.getrowcount() - 1, "loanCnslNo", sLOANCNSLNO, false);
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP10S01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ★ fn_결재선 등록 & 저장
 ****************************************************************/
function fn_Save()
{
	console.log("##### fn_Save() #####");
	
	this.DS_ATRZ_MNGM_SD_C.init();
	var modifyCnt = this.DS_ATRZ_MNGM_SD.getmodifyrowcount(); // --데이터셋 내 수정된 행의 수	
	var rowCnt    = this.DS_ATRZ_MNGM_SD.getrowcount(); //데이터셋 전체 행의 수

	// 변경 데이터 유무 처리
	if( modifyCnt == 0 )
	{
		// 변경데이터 없음,
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "변경된 내역이 존재하지 않습니다.", "msgC01");
	    return;
	}
	else
	{
		// □ 세션의 data 세팅
		for( var i=0; i<this.DS_ATRZ_MNGM_SD.getrowcount(); i++ ) 
		{
            // 직무구분코드 존내 내역 insert
			// if(this.DS_ATRZ_MNGM_SD.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_ATRZ_MNGM_SD.getrowoperation(i) == XFD_ROWOP_UPDATE)
			if(this.grd_AtrzMngm.getitemtext(i,3) != "")
			{
				this.DS_ATRZ_MNGM_SD.setdatabyname(i, "loanCnslNo",    sLOANCNSLNO, true);    // 대출상담번호
				this.DS_ATRZ_MNGM_SD.setdatabyname(i, "applRealStsCd", sAPPLREALSTSCD, true); // 신청현재진행상태코드
				this.DS_ATRZ_MNGM_SD.setdatabyname(i, "loanApplNo",    sLOANAPPLNO, true);    // 대출신청번호
				this.DS_ATRZ_MNGM_SD.getdatabyname(i, "ingUserId");                     // 진행담당자ID
				this.DS_ATRZ_MNGM_SD.getdatabyname(i, "ingUserNm");                     // 진행담당자명
				this.DS_ATRZ_MNGM_SD.getdatabyname(i, "judgGbCd");                      // 직무구분코드
				this.DS_ATRZ_MNGM_SD.setdatabyname(i, "frstRegEmpNo",  sUSERNO, true);  // 최초등록사원번호
				this.DS_ATRZ_MNGM_SD.setdatabyname(i, "lastProcEmpNo", sUSERNO, true);  // 최종수정사원번호
				
				// 수정된 데이터 내역을 copy
				this.DS_ATRZ_MNGM_SD_C.copyinsertrow(-1, this.DS_ATRZ_MNGM_SD, i, true);
			}			
		}
		
		// 화면잠금
		screen.setscreenprotect(true); 
		
//		SYSUtil.showDataSetLog(this.DS_ATRZ_MNGM_SD);
//		SYSUtil.showDataSetLog(this.DS_ATRZ_MNGM_SD_C);
		
		// □ 데이터 등록
		var bRet = SYSTran.requestSubmitSync(this.screen, "SSPASP10I01");
	    if(bRet == false) 
		{  
		    // 화면잠금해제
		    screen.setscreenprotect(false);
		    SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msgC03");
	    }
		else
		{
		    // 화면잠금해제
		    screen.setscreenprotect(false);
	    }
	}
}	

/****************************************************************
 * ★ 그리드 내, 직무구분코드의 동일한 값 존재여부 비교
 ****************************************************************/
function fn_GetRowNumByRoleDiv(nCallerRowNo, roleCd)
{
	for (var i = 0; i < this.grd_AtrzMngm.getrowcount(); i++)
	{
		// 그리드의 모든  row의 데이터 비교
//		console.log("---------------");
//		console.log(nCallerRowNo + "번째 row의 데이터 비교");
//		console.log("nRow :: " + i + "     |" + roleCd);
//		console.log("---------------");
		
		// 그리드 row값 체크
		if (i == nCallerRowNo)
		{
//		  console.log("fn_GetRowNumByRoleDivCd >> 그리드 row값 체크");
//		  console.log("nCallerRowNo ::" + nCallerRowNo);
//		  console.log("continue");
			continue;
		}
		
		// nRow의 직무구분코드 값이 동일할 경우.
		if (this.grd_AtrzMngm.getitemtextbyname(i, "roleDiv") == roleCd)
		{
//			console.log("nRow의 직무구분코드 값이 동일할 경우의 rowNo ::" + i);
			return i;
		}
	}
	return -1;
}


/****************************************************************
 * ★ 화면 close
 ****************************************************************/
function fn_Close()
{
	console.log("##### fn_Close() #####");

	// 부모 화면에 보낼 파라미터 설정
	var param = {};
	this.paranet_screen_data_load(param);
}