﻿/****************************************************************
 * ■ 전역변수 세팅
 ****************************************************************/
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();
var sUSERNO     = "";	// 로그인사용자사번

// SMS발송용
var sLOANCNSLNO = "";    // 대출상담번호
var sRELANM     = "";    // sms용_관련인 성명
var sRELATELNO  = "";    // sms용_관련인 전화번호
var sDOCLIST    = "";    // sms용_대출서류명목록

// 테스트 코드 (부모 화면에서 넘어온 전달값)

/****************************************************************
 * ■ 부모화면(심사승인관리)로 load 할 data 설정
 ****************************************************************/
function paranet_screen_data_load ()
{
	console.log("########### paranet_screen_data_load #######" );
	
	// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달 시작
	var param = {};
	
	// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달 끝
	SYSUtil.popCloseCallBack(this.screen, param);
}

// ■■■■■■■■■■■■■■■■■■ 화면 이벤트 영역 시작 ■■■■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 화면 On_load 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("########### screen_on_load #######" );

	sUSERNO = SYSVar.loginUserInfo.USER_NO;
//	sLOANCNSLNO = "C202304040030";
//	sLOANCNSLNO = this.EXTRA_DATA.DS_SDDO;;

	console.log("sUSERNO:" + sUSERNO);

	// actual
	 
	// ************************ test 아이디 ************************
	
	// 부모화면에서 전달받은 서류보완내역 copy
    var param = this.EXTRA_DATA.DS_SDDO;
	var strFilterOpt = "";
	
	// 보완요청 체크 "Y" 값만 필터링 
	strFilterOpt +=  "\"docSpmtRqstFg\":=:\"Y\"";

	this.DS_DOC_SPMT_SD.copy(param, strFilterOpt, true);
	
	// copy한 데이터셋에 로그인 사용자 정보 저장
	for( var i=0; i<this.DS_DOC_SPMT_SD.getrowcount(); i++ ) 
	{
		this.DS_DOC_SPMT_SD.setdatabyname(i, "frstRegEmpNo",  sUSERNO, true);    // 최초등록사원번호
		this.DS_DOC_SPMT_SD.setdatabyname(i, "lastProcEmpNo", sUSERNO, true);    // 최종수정사원번호
	}
	
	console.log("DS_DOC_SPMT_SD 데이터셋 Start ==================");
	SYSUtil.showDataSetLog(this.DS_DOC_SPMT_SD);
	console.log("DS_DOC_SPMT_SD 데이터셋 End   ==================");	
	
	sLOANCNSLNO = this.DS_DOC_SPMT_SD.getdatabyname(0, "loanCnslNo");
	console.log("sLOANCNSLNO:" + sLOANCNSLNO);
	
	// 공통코드. EDMS서식코드
	SYSTran.getComCode(this.screen, "S91020", this.DS_CD_S91020);
	
	// 관련인 휴대폰 번호 조회
	this.fn_SrchRelaInfo();
}

/****************************************************************
 * ■ 보완요청 버튼 이벤트(데이터 저장)
 ****************************************************************/
function btn_RqstSpmt_on_mouseup(objInst)
{
	console.log("########### btn_RqstSpmt_on_mouseup #######" );
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 저장용 데이터셋 초기화
	this.DS_DOC_SPMT_SD_C.init();
	
//	var cd   = ""; // 코드복사
	
	for( var i=0; i<this.DS_DOC_SPMT_SD.getrowcount(); i++ ) 
	{
		if( this.DS_DOC_SPMT_SD.getdatabyname(i,"docSpmtRqstFg") == "Y" )
		{
			this.DS_DOC_SPMT_SD_C.copyinsertrow(-1, this.DS_DOC_SPMT_SD, i , true);
//			cd = this.DS_DOC_SPMT_SD_C.getdatabyname(i, "loanDocCd"); 코드복사	
//			sCDNM += cd +"\n"; 코드복사
		}
//		console.log(cd);	코드복사
//		console.log(sCDNM); 코드복사
	}
	
	// SYSUtil.showDataSetLog(this.DS_DOC_SPMT_SD_C);
	
	// 보완요청 체크 여부 확인
	if( this.DS_DOC_SPMT_SD_C.getrowcount() == 0 )
	{
		// 보완요청 체크값 미 존재
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "보완요청 체크된 항목이 없습니다. 확인 후 재 요청해 주세요.", "errMsg01");
		
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		return;
	}
	else
	{
		// 조회처리
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP11I01");
		
		if(reqSubmit == false) 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
			
			// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
		else 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
		}
	}
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	if( mapid == "SSPASP11S01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
//				console.log("관련인 조회결과");
//				SYSUtil.showDataSetLog(this.DS_DOC_INFO_SD);
				
//				var sLOANCNSLNO = this.DS_DOC_INFO_SD.getdatabyname(0, "loanCnslNo");  // 대출상담번호
//				var sRELANM     = this.DS_DOC_INFO_SD.getdatabyname(0, "relaNm");      // 관련인 성명
//				var sRELATELNO  = this.DS_DOC_INFO_SD.getdatabyname(0, "relaTelNo");   // 관련인 전화번호
				
//				console.log("- 상담번호:" + sLOANCNSLNO);
//				console.log("- 관련인명:" + sRELANM);
//				console.log("- 전화번호:" + sRELATELNO);
				
				
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SSPASP11I01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "서류보완요청이 완료되었습니다.", "errMsg01");
				alert("sms발송, 등록은 sms템플릿 수정이후 보완예정입니다.", "errMsg01");
//				var sLOANCNSLNO = this.DS_DOC_INFO_SD.getdatabyname(0, "loanCnslNo");  // 대출상담번호
//				var sRELANM     = this.DS_DOC_INFO_SD.getdatabyname(0, "relaNm");      // 관련인 성명
//				var sRELATELNO  = this.DS_DOC_INFO_SD.getdatabyname(0, "relaTelNo");   // 관련인 전화번호
//				
//				console.log("- 상담번호:" + sLOANCNSLNO);
//				console.log("- 관련인명:" + sRELANM);
//				console.log("- 전화번호:" + sRELATELNO);

//				// sms 발송 & 등록
//				this.fn_SendSms(sRELATELNO, sRELANM, sRELATELNO);
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SSPASP11I02" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "서류보완요청이 완료되었습니다.", "errMsg01");
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}	
}

// ★★★★★★★★★★★★★★★★★★ 사용자 정의 함수 시작 ★★★★★★★★★★★★★★★★★★

/****************************************************************
 * ★ fn_관련인 정보 조회
 ****************************************************************/
function fn_SrchRelaInfo() 
{	
	console.log("#### fn_SrchRelaInfo() call");
	
	// 조회 데이터셋 set
	this.DS_DOC_SPMT_SM.init();
	this.DS_DOC_SPMT_SM.addrow();
	
	this.DS_DOC_SPMT_SM.setdatabyname(this.DS_DOC_SPMT_SM.getrowcount() - 1, "loanCnslNo", sLOANCNSLNO, false);
	
	SYSUtil.showDataSetLog(this.DS_DOC_SPMT_SM);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP11S01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
	}
}

/****************************************************************
 * ★ fn_SMS 발송
 ****************************************************************/
function fn_SendSms(sRELATELNO, sRELANM, sRELATELNO) 
{
	console.log("#### fn_SendSms() call");
	
	this.DS_SMS_SEND_SM.init();
	this.DS_SMS_SEND_SM.addrow();
	
	this.DS_SMS_SEND_SM.setdatabyname   (0, "empNo",       sUSERNO,    false); // 로그인사용자번호
	this.DS_SMS_SEND_SM.setdatabyname   (0, "sendTelNo",   "18993636", false); // 발신번호
	this.DS_SMS_SEND_SM.setdatabyname   (0, "rsrvTelNo",   sRELATELNO, false); // 수신번호
	this.DS_SMS_SEND_SM.setdatabyname   (0, "rsrvSndFlg",  "N",        false); // 예약전송여부
	this.DS_SMS_SEND_SM.setdatabyname   (0, "rsrvSndTime", "",         false); // 예약전송시간
	this.DS_SMS_SEND_SM.setdatabyname   (0, "sendFlg",     "",         false); // 내메세지저장여부_미사용
	
	console.log("DS_SMS_SEND_SM");
	SYSUtil.showDataSetLog(this.DS_SMS_SEND_SM);
	
	this.DS_SMS_SEND_SD_01.init();
	this.DS_SMS_SEND_SD_01.addrow();
	
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "dlvrDt",     factory.datetoday());          // 발송일자(today)
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "mngDeptCd",  SYSVar.loginUserInfo.DEPT_NM); // 관리부서코드
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "dlvrEmpNo",  SYSVar.loginUserInfo.USER_NO); // 발송사원번호
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "loanNo",     "222222222215");               // **test_대출번호
//  this.DS_SMS_SEND_SD_01.setdatabyname(0, "loanNo",     this.DS_DOC_INFO_SD.getdatabyname(0, "loanNo")); // 대출번호
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "loanSeq",    "1");                          // **test_대출순번
//  this.DS_SMS_SEND_SD_01.setdatabyname(0, "loanSeq",    this.DS_DOC_INFO_SD.getdatabyname(0, "loanNo")); // 대출순번
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "seq",        "22");                         // **EAGLE.SMS_CD_MAST@D_BEST_HE테이블의 SMS_CD
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "custNo",     "33");                         // **고객번호
//  this.DS_SMS_SEND_SD_01.setdatabyname(0, "custNo",     this.DS_DOC_INFO_SD.getdatabyname(0, "custNo")); // test_고객번호
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "custNm",     sRELANM);                      // 고객명
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "sendDiv",    "");                           // 전송구분
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "sendDttm",   "");                           // 전송일시
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "recvTelNo",  "1899-3636");                  // 수신전화번호
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "rspnTelNo",  sRELATELNO);                   // 응답전화번호
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "sendTxt",    "#1{고객님} 안녕하세요....");                           // 전송문자
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "vfvParam01", sRELANM);                      // IN  파라미터1
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "vfvParam02", sDOCLIST);                     // **IN  파라미터2
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "vfvParam03", "URL:/");                      // IN  파라미터3
	this.DS_SMS_SEND_SD_01.setdatabyname(0, "vfvParam04", "1899-3636");                  // IN  파라미터4

//	console.log("DS_SMS_SEND_SD_01");
//	SYSUtil.showDataSetLog(this.DS_SMS_SEND_SD_01);

	// 문자발송 & 등록
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP11I02");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

function grd_DocSpmt_on_itembtnclick(objInst, nClickRow, nClickColumn)
{
	SYSUtil.loadMessageBox(screen, "알림", 1, "개발 예정입니다.", "");
}