﻿/****************************************************************
 * ■ 전역변수 세팅
 ****************************************************************/
var sPREAGNCUSER = "";    // 이전대리결재자사번
var sTODATE      = "";    // 날자
var sUSERNO      = "";	// 로그인사용자사번

/****************************************************************
 * ■ 부모화면(심사승인관리)로 load 할 data 설정
 ****************************************************************/
function paranet_screen_data_load ()
{
	// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달 시작*********
	console.log("########### paranet_screen_data_load #######" );
	var param = {};
	SYSUtil.popCloseCallBack(this.screen, param);
	// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달 끝**********
}

// ■■■■■■■■■■■■■■■■■■ 화면 이벤트 영역 시작 ■■■■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 화면 On_load 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("#### screen_on_load() call");
	
	// ************************ test 아이디 ************************
	sUSERNO = "70305";

	// actual
	// sUSERNO = SYSVar.loginUserInfo.USER_NO;
	// ************************ test 아이디 ************************
	
	// 전결권자대행 등록내역 조회
	this.fn_init();
}

/****************************************************************
 * ■ 대리결재자 사번 콤보박스 on_itemchange 이벤트
 ****************************************************************/
function cbo_AgncUserNo_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("#### cbo_AgncUserNo_on_itemchange() call");

	var sAfterAgncUser = this.cbo_AgncUserNo.getselectedcode();	// 새로 선택한 대리결재자 사번
	var sAgncUserNm    = this.cbo_AgncUserNo.getselectedcomment(); // 새로 선택한 대리결재자 명

	if( sPREAGNCUSER != "")
	{
		// 동일 대상 선택 시 
		if( sPREAGNCUSER == sAfterAgncUser )
		{
			// 재조회
			this.fn_SrchArvdAgnc();
		}
		else
		{
			// 이전 대리결재자와 다른대상 선택
			this.edt_AgncUserNm.settext(sAgncUserNm);
			this.cal_AgncStrtDt.settext(factory.datetoday());
		}	
	}
	else
	{
		// 이전대리결재자 미존재 >> 신규등록대상 선택
		this.edt_AgncUserNm.settext(sAgncUserNm);
		this.cal_AgncStrtDt.settext(factory.datetoday());
	}
}

/****************************************************************
 * ■ 클릭 이벤트_대리결재자 등록
 ****************************************************************/
function btn_RegArvdAgnc_on_click(objInst)
{
	console.log("#### btn_RegArvdAgnc_on_click() call");
	
	if( sTODATE != "" )
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "이미 등록된 대리결재자가 존재합니다. 해지 후 재 등록해 주세요.", "errMsg01");
		return;
	}

	var sArvdSeq    = this.edt_ArvdSeq.gettext();			   // 전결대리순번
	var sAgncUserNo = this.cbo_AgncUserNo.getselectedcode();    // 대리결재자
	var sAgncStrtDt = this.cal_AgncStrtDt.gettext();			// 대리시작일자
	var sAgncEndDt  = this.cal_AgncEndDt.gettext();			 // 대리종료일자
	
	if( sAgncStrtDt == "" ) 
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "대리결재시작일자를 입력해주세요.", "errMsg01");
		this.cal_AgncStrtDt.setfocus(); 
		
		return;
	}
	if( sAgncEndDt == "" ) 
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "대리결재종료일자를 입력해주세요.", "errMsg01");
		this.cal_AgncEndDt.setfocus(); 
		
		return;
	}
	
	this.DS_ARVD_AGNC_SRCH.init();
	this.DS_ARVD_AGNC_SRCH.addrow();
	
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "arvdSeq",       sArvdSeq,    false);
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "userNo",        sUSERNO,     false);
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "agncUserNo",    sAgncUserNo, false);
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "agncStrtDt",    sAgncStrtDt, false);
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "agncEndDt",     sAgncEndDt,   false);
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "frstRegEmpNo",  SYSVar.loginUserInfo.USER_NO, false);
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO, false);
	
	// 업데이트 데이터셋 값 확인
//	SYSUtil.showDataSetLog(this.DS_ARVD_AGNC_SRCH);
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP12I01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ■ 클릭 이벤트_대리결재자 해제
 ****************************************************************/
function btn_ClosArvdAgnc_on_click(objInst)
{
	var sAgncUserNo = this.cbo_AgncUserNo.getselectedcode();    // 대리결재자
	var sAgncStrtDt = this.cal_AgncStrtDt.gettext();			// 대리시작일자
	var sAgncEndDt  = this.cal_AgncEndDt.gettext();			  // 대리종료일자
	
	this.DS_ARVD_AGNC_SRCH.init();
	this.DS_ARVD_AGNC_SRCH.addrow();
	
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "userNo",        sUSERNO,                      false);
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "agncUserNo",    sAgncUserNo,                  false);
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "agncStrtDt",    sAgncStrtDt,                  false);
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO, false);
	
	if( sAgncEndDt == "") 
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "대리결재자 해지대상이 아닙니다.", "errMsg01");
		
		return;
	}
	
	// 업데이트 데이터셋 값 확인
//	SYSUtil.showDataSetLog(this.DS_ARVD_AGNC_SRCH);
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP12U01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ■ 클릭 이벤트_대리결재 시작&종료일자 validation
 ****************************************************************/
function cal_AgncEndDt_on_changed(objInst, prev_text, curr_text, event_type)
{	
    var sCalAgncStrtDt = this.cal_AgncStrtDt.gettext();    // 대리결재 시작일자
	var sCalAgncFromDt = this.cal_AgncEndDt.gettext();     // 대리결재 종료일자
	
	if( sCalAgncFromDt != "" )
	{
		if(sCalAgncStrtDt > sCalAgncFromDt) 
		{
			// 종료일자가 시작일자보다 이전일 경우,
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "종료일자는 시작일자보다 작을 수 없습니다.", "errMsg01");
			
			sCalAgncFromDt = this.cal_AgncEndDt.settext("");
			this.cal_AgncEndDt.setfocus();
			
			return;
		}
	}
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	if( mapid == "SSPASP12S01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
			    sPREAGNCUSER    = this.DS_ARVD_AGNC_SD.getdatabyname(this.DS_ARVD_AGNC_SD.getrowcount() - 1, "agncUserNo");
			    sTODATE         = this.DS_ARVD_AGNC_SD.getdatabyname(this.DS_ARVD_AGNC_SD.getrowcount() - 1, "agncEndDt");
			    var sAgncUserNo = this.DS_ARVD_AGNC_SD.getdatabyname(this.DS_ARVD_AGNC_SD.getrowcount() -1, "agncUserNo");
				
				if( sAgncUserNo == "")
				{
					// 대리결재자 지정내역 미존재 시_컨트롤 활성화
					this.cbo_AgncUserNo.setenable(true);
					this.edt_AgncUserNm.setenable(true);
					this.cal_AgncStrtDt.setenable(true);
					this.cal_AgncEndDt.setenable(true);
					this.btn_RegArvdAgnc.setenable(true);
				}
				else
				{
					// 대리결재자 지정내역 존재 시_컨트롤 비활성화
					this.cbo_AgncUserNo.setenable(false);
					this.edt_AgncUserNm.setenable(false);
					this.cal_AgncStrtDt.setenable(false);
					this.cal_AgncEndDt.setenable(false);
					this.btn_RegArvdAgnc.setenable(false);
				}
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SSPASP12U01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "대리결재자 해지가 완료되었습니다.", "errMsg01");
				this.fn_init();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SSPASP12I01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "대리결재자 등록이 완료되었습니다.", "errMsg01");
				this.fn_init();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
}


// ★★★★★★★★★★★★★★★★★★ 사용자 정의 함수 시작 ★★★★★★★★★★★★★★★★★★

/****************************************************************
 * ★ fn_초기화
 ****************************************************************/
function fn_init() 
{
	// 화면초기화-콤보박스
	this.cbo_AgncUserNo.setselectedcode("");
	
	// 전체 dataset 초기화
	this.DS_ARVD_AGNC_SRCH.init();
	this.DS_ARVD_AGNC_SD.init();
	this.DS_AGNC_USER_SD.init();

	// 전결권자대행내역조회(SSPASP12S01)
	this.fn_SrchArvdAgnc();
	
	// 대리사용자 콤보 포커스
	this.cbo_AgncUserNo.setfocus(); 
}

/****************************************************************
 * ★ 조회 이벤트_전결권자 대행등록 내역
 ****************************************************************/
function fn_SrchArvdAgnc() 
{
	console.log("#### fn_SrchArvdAgnc() call");
	
	if (this.sUSERNO == "")
	{
		this.sUSERNO = "SYSTEM";
		console.log("사용자 없는경우, 로그인사용자 사번 :: " + sUSERNO);
	}
	
	// 조회 데이터셋 set
	this.DS_ARVD_AGNC_SRCH.init();
	this.DS_ARVD_AGNC_SRCH.addrow();
	
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "userNo", sUSERNO, false);
	
	// 조회 데이타셋 데이터
//	SYSUtil.showDataSetLog(this.DS_ARVD_AGNC_SRCH);
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP12S01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
	
	// 대리결재자 대상목록 조회
	this.fn_SrchAgncUser();
	
}

/****************************************************************
 * ★ 조회 이벤트_대리결재자 대상목록
 ****************************************************************/
function fn_SrchAgncUser() 
{
	console.log("#### fn_SrchAgncUser() call");
	
	this.screen.setscreenprotect(true);
	
	this.DS_ARVD_AGNC_SRCH.init();
	this.DS_ARVD_AGNC_SRCH.addrow();
	
	this.DS_ARVD_AGNC_SRCH.setdatabyname(this.DS_ARVD_AGNC_SRCH.getrowcount() - 1, "userNo", sUSERNO, false);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP12S02");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}