﻿/****************************************************************
 * ■ 전역변수 세팅
 ****************************************************************/
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();
var SUCCYN      = ""; // 팝업화면 닫을 때 부모화면 초기화 여부

/****************************************************************
 * ■ 부모화면(특수지역관리)로 load 할 data 설정
 ****************************************************************/
function paranet_screen_data_load(param)
{
	console.log("########### paranet_screen_data_load #######" );
	// console.log("paranet_screen_data_load : " + SUCCYN);
	
	// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달 시작
	var param = {"SUCCYN":SUCCYN};
	
	// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달 끝
	SYSUtil.popCloseCallBack(this.screen, param);
}

/****************************************************************
 * ■ 화면 On_load 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("########### screen_on_load #######" );
	
	// 기준일자 데이터셋 복사
	this.DS_STND_DT_SD.init();

    // 부모화면에서 전달받은 서류보완내역 copy
    var param = this.EXTRA_DATA.DS_KB_LDONG_CD_SD06;
	var strFilterOpt = "";
	this.DS_STND_DT_SD.copy(param, strFilterOpt, true);
	
	// SYSUtil.showDataSetLog(this.DS_STND_DT_SD);

	this.cbo_StndDt.setselectedindex(0);
	
	console.log("기준일자:" + this.cbo_StndDt.gettext());
}
/****************************************************************
 * ■ 복사될 기준일자_on_changed 이벤트
 ****************************************************************/
function cal_CopyStndDt_on_changed(objInst, prev_text, curr_text, event_type)
{
	console.log("########### cal_CopyStndDt_on_changed #######" );
	
	// 조건 validation
	var sStrtDt       = this.cbo_StndDt.getselectedcode();    // 복사할 기준일자
	var sStrtDtFm     = this.cbo_StndDt.getselectedcomment(); // 복사할 기준일자(형식)
	var sCopyStndDt   = this.cal_CopyStndDt.gettext();        // 복사될 기준일자
	var sCopyStndDtFm = sCopyStndDt.substring(0,4) + "-" + sCopyStndDt.substring(4,6) + "-" + sCopyStndDt.substring(6,8); // 복사될 기준일자(형식)
	var sToday        = SYSUtil.getToday("");                 // 현재일자
	var sformatToday  = factory.getsystemtime("%Y-%M-%D")     // 현재일자 형식변환	
	var sNextMonth    = factory.datefrom("month", +1, factory.datetoday()) // 현재+1달 이후

	// 복사될 기준일자(to)가 null일 경우
	if( sCopyStndDt == "" ) 
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "복사될 기준일자를 입력해주세요.", "errMsg01");
		this.cal_CopyStndDt.setfocus(); 
		
		return;
	}
	// 복사될 기준일자(to)가 복사할기준일자(from) 보다 작을경우,
	if( sStrtDt >= sCopyStndDt )
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "복사될 기준일자(TO)는 복사할 기준일자(FROM)\n이후 일자여야 합니다.", "errMsg01");
		this.cal_CopyStndDt.setfocus(); 
		
		return;
	}
	// 복사될 기준일자(to)가 현재보다 1달 이상 일 경우,
	if( sCopyStndDt > sNextMonth )
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "복사될 기준일자는 현재('" + sformatToday + "') 기준 \n'1달' 이내에서만 선택 가능합니다.", "errMsg01");
		this.cal_CopyStndDt.setfocus(); 
		
		return;
	}
}

/****************************************************************
 * ■ 확인 버튼 이벤트
 ****************************************************************/
function btn_RegStndDt_on_click(objInst)
{
	console.log("########### btn_RegStndDt_on_click #######" );
	
	// 조건 validation
	var sStrtDt       = this.cbo_StndDt.getselectedcode();    // 복사할 기준일자
	var sStrtDtFm     = this.cbo_StndDt.getselectedcomment(); // 복사할 기준일자(형식)
	var sCopyStndDt   = this.cal_CopyStndDt.gettext();        // 복사될 기준일자
	var sCopyStndDtFm = sCopyStndDt.substring(0,4) + "-" + sCopyStndDt.substring(4,6) + "-" + sCopyStndDt.substring(6,8); // 복사될 기준일자(형식)
	
	// 
	if( sStrtDt == sCopyStndDt )
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "복사될 기준일자(TO)는 복사할 기준일자(FROM)\n이후 일자여야 합니다.", "errMsg01");
		this.cal_CopyStndDt.setfocus(); 
		
		return;
	}
	
	// 확인 팝업창 오픈
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "'" + sStrtDtFm + "'의 모든데이터를\n '" + sCopyStndDtFm + "' 으로 복사하시겠습니까?", "confirm");
}

/****************************************************************
 * ★ 팝업 화면 종료 이벤트_수정내역 저장
 ****************************************************************/	
function screen_on_popupdestroy(popup_screen, popup_name, result)
{
	console.log("#### screen_on_popupdestroy() call");
	// 저장 버튼
	if( popup_name == "confirm" )
	{	
		if( result == "확인" )
		{			
			// 특수지역관리내역 데이터 복사 입력값 세팅
			var sStrtDt      = this.cbo_StndDt.getselectedcode(); // 복사할 기준일자
			var sCopyStndDt  = this.cal_CopyStndDt.gettext();     // 복사될 기준일자
		
			// 복사될 기준일자(to)가 복사할기준일자(from) 보다 작을경우,
			if( sStrtDt >= sCopyStndDt )
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "복사될 기준일자(TO)는 복사할 기준일자(FROM)\n이후 일자여야 합니다.", "errMsg01");
				this.cal_CopyStndDt.setfocus(); 
				
				return;
			}
		
			// 조회 데이터셋 set
			this.DS_COPY_DATA_SD.init();
			this.DS_COPY_DATA_SD.addrow();
			
			this.DS_COPY_DATA_SD.setdatabyname(0, "baseStndDt", sStrtDt, false);
			this.DS_COPY_DATA_SD.setdatabyname(0, "copyStndDt", sCopyStndDt, false);
			this.DS_COPY_DATA_SD.setdatabyname(0, "frstRegEmpNo",  SYSVar.loginUserInfo.USER_NO, true);    // 최초등록사원번호
			this.DS_COPY_DATA_SD.setdatabyname(0, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO, true);    // 최종수정사원번호
	
			// 조회처리
			var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP14I01");
			
			if( reqSubmit == false ) 
			{
				// 화면잠금해제
				this.screen.setscreenprotect(false);
				// 데이터 송신중 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
			}
			else 
			{
				// 화면잠금해제
				this.screen.setscreenprotect(false);
			}
		}
	}
}

/****************************************************************
 * ■ 닫기 버튼 이벤트
 ****************************************************************/
function btn_close_on_click(objInst)
{
	console.log("########### btn_close_on_click #######" );
	
	// just 닫기
	SUCCYN = 'N'
	
	// 부모 화면에 보낼 파라미터 설정
	var param = {"SUCCYN":SUCCYN};
	// console.log(param);
	
	this.paranet_screen_data_load(param);
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) 
{
	console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	// 기준일자조회
	if( mapid == "SSPASP14I01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, " 특수지역관리내역이 복사가 완료되었습니다.", "");
				
				// 부모화면 새로고침
				SUCCYN = 'Y';
				this.paranet_screen_data_load();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		    }
		}
	}
}

/****************************************************************
 * ★ 데이터셋 복사 & 편집
 ****************************************************************/
function fn_MakeDataset()
{
	console.log("##### fn_MakeDataset() #####");

    // 데이터셋 초기화
	this.DS_STND_DT_SD.init();

    // 부모화면에서 전달받은 기준일자내역(DS_KB_LDONG_CD_SD06) copy
    var param = this.EXTRA_DATA.DS_KB_LDONG_CD_SD06;
	this.DS_STND_DT_SD.copy(param);

	// 복사된 데이터셋 내역 확인
	SYSUtil.showDataSetLog(this.DS_STND_DT_SD);
	
	// 콤보 max값 선택
	this.cbo_StndDt.setselectedindex(0);
}