﻿function screen_on_load()
{
	console.log("#### screen_on_load() call");

	// 공통버튼 처리
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT",  false); // 인쇄
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false); // 추가
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false); // 저장
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false); // 삭제
	
	this.ue_init();
}


function ue_query()
{
	console.log("#### ue_query() call");

	this.fn_SSPASP99I01();
}

function ue_init()
{
	console.log("#### ue_init() call");

	this.cbo_StrgMainTrDivCd.setselectedcode("01");
	this.edt_StrgMainTrDt.settext(factory.datetoday());
    this.edt_LoanCnslNo.settext("C202304040040");
    this.edt_LoanApplNo.settext("111111111111111");
    this.edt_LoanNo.settext("");
    this.edt_LoanSeq.settext("");
    this.edt_AptCd.settext("KBA000034");
    this.edt_LdongCd.settext("1171010800");
    this.edt_BrwrResiNo.settext("1111111111111");
    this.edt_SpusResiNo.settext("");
    this.cbo_StrgLicnRqstYn.setselectedcode("Y");
    this.cbo_StrgLmtRqstYn.setselectedcode("Y");
    this.cbo_StrgMnrtRqstYn.setselectedcode("Y");
}


function fn_SSPASP99I01()
{
	console.log("##### fn_SSPASP99I01() #####");

	this.DS_SSPASP99.init();
	this.DS_SSPASP99.addrow();
	this.DS_SSPASP99.setdatabyname(0, "strgMainTrDivCd", this.cbo_StrgMainTrDivCd.getselectedcode(), true);		// 전략메인거래구분코드 [S12054]
	this.DS_SSPASP99.setdatabyname(0, "strgMainTrDt", this.edt_StrgMainTrDt.gettext(), true);					// 거래일자
    this.DS_SSPASP99.setdatabyname(0, "loanCnslNo", this.edt_LoanCnslNo.gettext(), true);                   	// 대출상담번호
    this.DS_SSPASP99.setdatabyname(0, "loanApplNo", this.edt_LoanApplNo.gettext(), true);       				// 대출신청번호
    this.DS_SSPASP99.setdatabyname(0, "loanNo", this.edt_LoanNo.gettext(), true);     					// 대출번호
    this.DS_SSPASP99.setdatabyname(0, "loanSeq", this.edt_LoanSeq.gettext(), true);                 			// 대출일련번호(=대출순번)
    this.DS_SSPASP99.setdatabyname(0, "aptCd", this.edt_AptCd.gettext(), true);         				// 아파트코드
    this.DS_SSPASP99.setdatabyname(0, "ldongCd", this.edt_LdongCd.gettext(), true);        				// 법정동코드
    this.DS_SSPASP99.setdatabyname(0, "brwrResiNo", this.edt_BrwrResiNo.gettext(), true);                   	// 차주 주민번호
    this.DS_SSPASP99.setdatabyname(0, "spusResiNo", this.edt_SpusResiNo.gettext(), true);               		// 배우자 주민번호
    this.DS_SSPASP99.setdatabyname(0, "strgLicnRqstYn", this.cbo_StrgLicnRqstYn.getselectedcode(), true);           // 전략-자격 요청 여부
    this.DS_SSPASP99.setdatabyname(0, "strgLmtRqstYn", this.cbo_StrgLmtRqstYn.getselectedcode(), true);            // 전략-한도 요청 여부
    this.DS_SSPASP99.setdatabyname(0, "strgMnrtRqstYn", this.cbo_StrgMnrtRqstYn.getselectedcode(), true);           // 전략-금리 요청 여부


	screen.setscreenprotect(true);

	var bRequestSubmitSync = SYSTran.requestSubmitSync(this.screen, "SSPASP99I01");

	if (bRequestSubmitSync == false)
	{
        screen.setscreenprotect(false);

        SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("#### screen_on_submitcomplete() call");
	console.log("mapid           : " + mapid);
	console.log("result          : " + result);
	console.log("recv_userheader : " + recv_userheader);
	console.log("recv_code       : " + recv_code);
	console.log("recv_msg        : " + recv_msg);

	this.screen.setscreenprotect(false);screen.setscreenprotect(false);	// 화면잠금해제

	if (mapid == "SSPASP99I01")
	{
		if (result > -1)
		{
			SYSUtil.loadMessageBox(this.screen, "확인", 1 /* 확인 */, "전략 수행. 결과확인하십시오.", "");
		}
	}
}