﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

//HOMS 진행상태코드 전역 변수화
var homsStepCdVal = "";


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");
	
	// 저장 버튼
	if(popup_name == "famMembSave"){
		if (result == "확인"){
			var modifyCnt = this.DS_SD.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
			var delRowCnt = this.DS_SD_D.getrowcount(); //삭제된 데이터셋 전체 행의 수
			var rowCnt = this.DS_SD.getrowcount(); //데이터셋 전체 행의 수
			var i;
			
			if(rowCnt <= 0 && delRowCnt <= 0){	//전체 데이터가 1건 있는 상태에서 삭제할 경우에 대한 예외처리
				SYSUtil.loadMessageBox(screen, "알림", 1, "저장할 내역이 없습니다.", "");
				return;
			}
			
			// 추가한 행 데이터셋 복사
			if(modifyCnt != 0){
				for(i=0; i < rowCnt; i++){
					if(this.grdFamMemb.ischeckedrow(i)){
						if(this.DS_SD.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_SD.getrowoperation(i) == XFD_ROWOP_UPDATE){
							// 데이터셋 내 복호화된 값이 있을 경우엔 해당 값 세팅(수정),
							// 없을 경우 입력한 값 세팅(신규 입력)
							var newRelaResIdVal = this.DS_SD.getdatabyname(i, "maskRelaResId");		 //신규 입력된 주민등록번호
							var newRelaNmVal = this.DS_SD.getdatabyname(i, "maskRelaNm");		 	  //신규 입력된 관련인성명
							
							// 미성년세대원구분 세팅 : 대리인 정보가 있을 경우 미성년
							var newAgtNmVal = this.DS_SD.getdatabyname(i, "maskAgtNm");				 //대리인 성명
							var prevAgtNmVal = this.DS_SD.getprevdatabyname(i, "maskAgtNm");	   //수정 전 대리인 성명
							
							// 세대원동의여부 세팅 : 세대원동의일시 정보가 있을 경우 동의O
							var newFamMembAgreDtmVal = this.DS_SD.getdatabyname(i, "famMembAgreDtm");	   	//세대원동의일시
							var prevFamMembAgreDtmVal = this.DS_SD.getprevdatabyname(i, "famMembAgreDtm"); //수정 전 세대원동의일시
		
							//신규 등록의 경우
							if(this.DS_SD.getrowoperation(i) == XFD_ROWOP_INSERT){
								//주민등록번호 세팅
								this.DS_SD.setdatabyname(i, "relaResId", newRelaResIdVal);	 //신규 주민등록번호
								
								//관련인성명 세팅
								this.DS_SD.setdatabyname(i, "relaNm", newRelaNmVal);	 	   //신규 관련인성명
								
								// 미성년세대원구분 세팅
								if(factory.stringbytelen(factory.stringtrim(newAgtNmVal)) != 0){	 //미성년의 경우
									this.DS_SD.setdatabyname(i, "jvnlFamMembCd", "00020");		   //미성년 세대원
									//대리동의인성명 세팅
									this.DS_SD.setdatabyname(i, "agtNm", newAgtNmVal);	 		 //신규 대리동의인성명
								}else{
									this.DS_SD.setdatabyname(i, "jvnlFamMembCd", "00010");		   //성년 세대원
								}
								
								// 세대원동의여부 세팅
								if(factory.stringbytelen(factory.stringtrim(newFamMembAgreDtmVal)) != 0){	 //세대원 동의
									this.DS_SD.setdatabyname(i, "famMembAgreCd", "00020");		   //세대원동의 수행
								}else{																		//세대원 미동의
									this.DS_SD.setdatabyname(i, "famMembAgreCd", "00010");		   //세대원동의 미수행
								}
							//데이터 수정의 경우
							}else{
								//주민등록번호 세팅
								var indexNo = newRelaResIdVal.indexOf("*");						//주민등록번호 마스킹 여부 확인
								
								if(indexNo == -1){
									this.DS_SD.setdatabyname(i, "relaResId", newRelaResIdVal);	 //신규 주민등록번호
								}
								
								//관련인성명 세팅
								var indexNum = newRelaNmVal.indexOf("*");						  //관련인성명 마스킹 여부 확인
								
								if(indexNum == -1){
									this.DS_SD.setdatabyname(i, "relaNm", newRelaNmVal);	 	  //신규 관련인성명
								}
								
								// 미성년세대원구분 세팅
								if(newAgtNmVal != prevAgtNmVal){	//변동이 있을 경우
									if(factory.stringbytelen(factory.stringtrim(newAgtNmVal)) != 0){	 //미성년의 경우
										this.DS_SD.setdatabyname(i, "jvnlFamMembCd", "00020");		   //미성년 세대원
										//대리동의인성명 세팅
										this.DS_SD.setdatabyname(i, "agtNm", newAgtNmVal);	 		 //신규 대리동의인성명
									}else{
										this.DS_SD.setdatabyname(i, "jvnlFamMembCd", "00010");		   //성년 세대원
										//대리동의인성명 세팅 : 기존 등록되어 있던 데이터를 삭제할 경우
										this.DS_SD.setdatabyname(i, "agtNm", "");	 		 		//대리동의인성명
									}
								}
								
								// 세대원동의여부 세팅
								if(newFamMembAgreDtmVal != prevFamMembAgreDtmVal){	//변동이 있을 경우
									if(factory.stringbytelen(factory.stringtrim(newFamMembAgreDtmVal)) != 0){	 //세대원 동의
										this.DS_SD.setdatabyname(i, "famMembAgreCd", "00020");		   //세대원동의 수행
									}else{																		//세대원 미동의
										this.DS_SD.setdatabyname(i, "famMembAgreCd", "00010");		   //세대원동의 미수행
									}
								}
							}
							
							this.DS_SD_C.copyinsertrow(-1, this.DS_SD, i, true);
						}
					}
				}
			}
			
			screen.setscreenprotect(true); //화면잠금
			
			SYSTran.requestSubmitSync(screen, "SXMPVM03U01");
		}
	// 세대원 삭제
	}else if(popup_name == "famMembDelete"){
		if (result == "확인"){
			
			//var rowCnt = this.grdFamMemb.getcheckedrowcount();
			var rowCnt = this.grdFamMemb.getrowcount();
			
			// 뒤에서부터 반복해야 카운트 수가 꼬이지 않음
			for(var i = rowCnt; i >= 0; i--){
				if(this.grdFamMemb.ischeckedrow(i)){
					
					// 데이터셋 복사 후 그리드 행 삭제
					this.DS_SD_D.copyinsertrow(-1, this.DS_SD, i, true);	//세대원 목록 내 선택된 행
					this.DS_SD_D.setallrowoperation(XFD_ROWOP_DELETE);
			
					this.grdFamMemb.deleterow(i);
				}
			}
		}
	//세대원 동의 요청
	}else if(popup_name == "sendSms"){
		if (result == "확인"){
			this.DS_SD_SMS.deleteallrows();

			var rowCnt = this.DS_SD.getrowcount();
			
			// 동의하지 않은 세대원 정보 복사
			for (var i = 0; i < rowCnt; i++){
				var famMembInclCdVal = this.DS_SD.getdatabyname(i, "famMembInclCd");	  //세대원포함여부
				var famMembAgreDtmVal = this.DS_SD.getdatabyname(i, "famMembAgreDtm");	//세대원동의일시
				
				//세대원 포함이고, 세대원 동의 일시가 없는 경우
				if(famMembInclCdVal == "00010"
				&& factory.stringbytelen(factory.stringtrim(famMembAgreDtmVal)) == 0){
					this.DS_SD.setdatabyname(i, "smsMsgCd", "11");		//추후 세팅 예정
					this.DS_SD.setdatabyname(i, "agrObjDivCd", "30");	 //동의대상구분코드
					this.DS_SD.setdatabyname(i, "addAgrYn", "Y");		 //추가동의유무
					this.DS_SD.setdatabyname(i, "batchYn", "N");		  //배치여부
					this.DS_SD.setdatabyname(i, "isEecrypt", "Y");		//암호화여부
					
					this.DS_SD_SMS.copyinsertrow(-1, this.DS_SD, i, true);	//세대원 정보 복사
					this.grdFamMemb.setcheckedrow(i, true);
				}
			}
			
			SYSTran.requestSubmitSync(screen, "SXMPVM03C01");
		}
	//HOMS 진행 상태 변경
	}else if(popup_name == "homsStepChg"){
		if (result == "확인"){
			this.DS_SD_H.deleteallrows();
			this.DS_SD_H.copyinsertrow(-1, this.DS_SD, 0, true);	//HOMS 진행상태 변경용 DS 복사
			this.DS_SD_H.setdatabyname(0, "homsStepCd", homsStepCdVal);
			
			SYSTran.requestSubmitSync(screen, "SXMPVM03U02");
		}else{
			homsStepCdVal = "";	//HOMS 진행상태코드 초기화
		}
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SM.addrow();
	
	SYSTran.getComCode(this.screen, "S11092", this.DS_CD_S11092);	//관련인구분코드
	SYSTran.getComCode(this.screen, "S12037", this.DS_CD_S12037);	//HOMS진행상태
	SYSTran.getComCode(this.screen, "S12039", this.DS_CD_S12039);	//세대원포함여부
	
	var strFilter = "";
	strFilter += "cdDescNo:=:\"*40\":1:&"
	strFilter += ",";
	strFilter += "cdDescNo:=:\"*50\":1:&"
	
	this.DS_AGT_RELA_CD.init();
	this.DS_AGT_RELA_CD.copy(this.DS_CD_S11092, strFilter);		  //대리인관계코드
	
	//공통버튼 제어
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;		//공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;	   //공통 삭제 버튼 숨김 처리
	
	// 심사승인관리(SXMPVM02)에서 받은 파라메터 세팅 후 조회
	var param =  this.EXTRA_DATA;
	
	if(param != undefined || param != null){
		var loanApplNoVal = param.loanApplNo;	// 대출신청번호
		var loanCnslNoVal = param.loanCnslNo;	// 대출상담번호
		var custNmVal = param.custNm;			// 고객명
		
		// 대출신청번호 세팅
		if(loanApplNoVal != undefined || loanApplNoVal != null){
			this.DS_SM.setdatabyname(0, "loanApplNo", loanApplNoVal);
		}
		
		// 대출상담번호 세팅
		if(loanCnslNoVal != undefined || loanCnslNoVal != null){
			this.DS_SM.setdatabyname(0, "loanCnslNo", loanCnslNoVal);
		}
		
		// 고객명 세팅
		if(custNmVal != undefined || custNmVal != null){
			this.DS_SM.setdatabyname(0, "custNm", custNmVal);
		}
		
		this.ue_query();
		//SYSTran.requestSubmitSync(screen, "SXMPVM03S01");	//자동 조회 여부
	}
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var check = this.preQuery();	//조회 전 체크
	
	if(check){
		SYSTran.requestSubmitSync(screen, "SXMPVM03S01");
	}
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	var check = this.preSave();	// 저장 전 체크
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "저장하시겠습니까?", "famMembSave");
	}
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	this.DS_SD_C.deleteallrows();
	this.DS_SD_D.deleteallrows();
	this.DS_CNT.deleteallrows();
	this.DS_SD_SMS.deleteallrows();
	
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", true) ;	   //공통 저장 버튼 활성화
	this.btnAddRow.setenable(true);		//세대원 추가 버튼 활성화
	this.btnDelRow.setenable(true);		//선택 세대원 삭제 버튼 활성화
	this.btnSendSms.setenable(true);	   //세대원 동의 여부 버튼 활성화
	this.btnFamMembDscn.setenable(true);   //세대원 확정 버튼 활성화
	this.btnFamMembCncl.setenable(true);   //세대원 확정 취소 버튼 활성화
	this.grdFamMemb.seteditable(true)	  //그리드 수정 가능 여부 활성화
	
	this.DS_SM.addrow();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜잭션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	if(mapid == "SXMPVM03S01"){	//프로그램조회
		if(result <= 0 || recv_code != 0000){
			//strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(recv_msg);
			SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
			
			//HOMS진행상태가 세대원 확인중(00010)일 경우에만 CUD 가능
			var homsStepVal = this.DS_SD.getdatabyname(0, "homsStepCd");	//HOMS진행상태
			homsStepCdVal = homsStepVal;
			
			//버튼 상태 초기화
			SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", true) ;	   //공통 저장 버튼 활성화
			this.btnAddRow.setenable(true);		//세대원 추가 버튼 활성화
			this.btnDelRow.setenable(true);		//선택 세대원 삭제 버튼 활성화
			this.btnSendSms.setenable(true);	   //세대원 동의 여부 버튼 활성화
			this.btnFamMembDscn.setenable(true);   //세대원 확정 버튼 활성화
			this.btnFamMembCncl.setenable(true);   //세대원 확정 취소 버튼 활성화
			this.grdFamMemb.seteditable(true)	  //그리드 수정 가능 여부 활성화
			
			//HOMS진행상태에 따른 버튼 상태 분기
			if(homsStepVal == "00010" || homsStepVal == ""){
				this.btnFamMembCncl.setenable(false);   //세대원 확정 취소 버튼 비활성화
			}else{
				SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;	   //공통 저장 버튼 숨김 처리
				this.btnAddRow.setenable(false);		//세대원 추가 버튼 비활성화
				this.btnDelRow.setenable(false);		//선택 세대원 삭제 버튼 비활성화
				this.btnSendSms.setenable(false);	   //세대원 동의 여부 버튼 비활성화
				this.btnFamMembDscn.setenable(false);   //세대원 확정 버튼 비활성화
				this.grdFamMemb.seteditable(false)	  //그리드 수정 가능 여부 비활성화
			}
		}
	}else if(mapid == "SXMPVM03U01"){	//입력, 수정, 삭제
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="저장이 완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
	}else if(mapid == "SXMPVM03U02"){	//HOMS 진행상태 수정
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
	}else if(mapid == "SXMPVM03C01"){	//세대원 동의 요청 SMS전송
		if(result <= 0 || recv_code != 0000){
			strMsg = recv_msg;	//에러인경우 에러내용
		} else {
			strMsg ="전송 완료되었습니다.";
		}
		SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
	}
	
	screen.setscreenprotect(false); //화면잠금해제
	SYSUtil.setStatusMsg(strMsg);
	
}

// 세대원 추가 버튼 클릭 시
function addRow_on_click(objInst)
{
	var rowCnt = this.DS_SD.addrow();	//추가된 행 번호
	//대출신청번호 = 대출상담번호 값 같음
	var loanCnslNoVal = this.DS_SM.getdatabyname(0, "loanCnslNo");
	var loanApplNoVal = this.DS_SM.getdatabyname(0, "loanApplNo");
	
	// !!!!!!!! 테스트용 !!!!!!!!!!
	// 테스트 데이터는 신청 / 상담 번호가 달라서 테스트 기간에만 사용
	if(factory.stringbytelen(factory.stringtrim(loanCnslNoVal)) == 0){
		loanCnslNoVal = loanApplNoVal;
	}

	this.grdFamMemb.setcheckedrow(rowCnt, true);				  	//체크박스 활성화

	this.DS_SD.setdatabyname(rowCnt, "loanCnslNo", loanCnslNoVal);	//대출상담번호 초기값 세팅
	this.DS_SD.setdatabyname(rowCnt, "loanApplNo", loanApplNoVal);	//대출신청번호 초기값 세팅
}

// 세대원 삭제 버튼 클릭 시
function delRow_on_click(objInst)
{
	var chkCnt = this.grdFamMemb.getcheckedrowcount();	//그리드 내 체크된 행의 수
	
	if(chkCnt == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "삭제할 세대원을 선택해주세요.", "");
		return;
	}

	SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 세대원을 삭제하시겠습니까?", "famMembDelete");
}

// 조회 전 체크
function preQuery(){
	var loanApplNoVal = this.edtLoanApplNo.val();	//대출신청번호
	var homsStepCdSrchVal = this.cboHomsStepCd.val();	//홈즈진행상태
	
	//신청번호 체크
	if(factory.stringbytelen(factory.stringtrim(loanApplNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "신청번호를 입력하세요.", "");
		return false;
	}
	
	//홈즈진행상태 입력 시 신청번호 체크
	if(factory.stringbytelen(factory.stringtrim(homsStepCdSrchVal)) != 0
	&& factory.stringbytelen(factory.stringtrim(loanApplNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "신청번호를 입력하세요.", "");
		return false;
	}
	
	return true;
}

// 저장 전 체크
function preSave(){
	var rowCnt = this.DS_SD.getrowcount();
	var chkRowCnt = this.grdFamMemb.getcheckedrowcount();	//체크된 행 개수
	
	var delRowCnt = this.DS_SD_D.getrowcount();	//그리드 내 등록, 수정 없이 삭제만 하는 경우
	if(delRowCnt != 0){
		chkRowCnt = delRowCnt;
	}
	
	//저장 내역 여부 체크
	if(rowCnt == 0 && chkRowCnt == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "저장할 내역이 없습니다.", "");
		return;
	}
	
	for(i=0; i < rowCnt; i++){
		if(this.grdFamMemb.ischeckedrow(i)){
			var relaGbCdVal = this.grdFamMemb.getitemtextbyname(i, "grdRelaGbCd");			  //관련인구분코드
			var famMembInclCdVal = this.grdFamMemb.getitemtextbyname(i, "grdFamMembInclCd");	//세대원포함여부
			var relaNmVal = this.grdFamMemb.getitemtextbyname(i, "grdRelaNm");				  //관련인성명
			var relaResIdVal = this.grdFamMemb.getitemtextbyname(i, "grdMaskRelaResId");		//관련인주민번호
			var famMembAgreDtmVal = this.grdFamMemb.getitemtextbyname(i, "grdFamMembAgreDtm");  //세대원동의일시
			var agtNmVal = this.grdFamMemb.getitemtextbyname(i, "grdAgtNm");					//대리동의인성명
			var agtBrddVal = this.grdFamMemb.getitemtextbyname(i, "grdAgtBrdd");				//대리인생년월일
			var agtRelaCdVal = this.grdFamMemb.getitemtextbyname(i, "grdAgtRelaCd");			//대리인관계
			
			
			//관련인구분코드 체크
			if(factory.stringbytelen(factory.stringtrim(relaGbCdVal)) == 0){
				SYSUtil.loadMessageBox(screen, "알림", 1, "차주와의 관계를 선택해주세요.", "");
				return false;
			}
			
			//세대원포함여부 체크
			if(factory.stringbytelen(factory.stringtrim(famMembInclCdVal)) == 0){
				SYSUtil.loadMessageBox(screen, "알림", 1, "세대원 제외 여부를 선택해주세요.", "");
				return false;
			}
			
			//관련인성명 체크
			if(factory.stringbytelen(factory.stringtrim(relaNmVal)) == 0){
				SYSUtil.loadMessageBox(screen, "알림", 1, "성명을 입력해주세요.", "");
				return false;
			}
			
			//관련인주민번호 체크
			if(factory.stringbytelen(factory.stringtrim(relaResIdVal)) == 0){
				SYSUtil.loadMessageBox(screen, "알림", 1, "주민등록번호를 입력해주세요.", "");
				return false;
			}else{
				if(factory.stringbytelen(factory.stringtrim(relaResIdVal)) < 13){
					SYSUtil.loadMessageBox(screen, "알림", 1, "주민등록번호를 올바르게 입력해주세요.", "");
					return false;
				}
			}
			
			//세대원동의일시 체크
			if(factory.stringbytelen(factory.stringtrim(famMembAgreDtmVal)) != 0){
				if(factory.stringbytelen(factory.stringtrim(famMembAgreDtmVal)) < 14){
					SYSUtil.loadMessageBox(screen, "알림", 1, "세대원동의일시를 올바르게 입력해주세요.", "");
					return false;
				}
			}
			
			//대리인 정보 체크
			if(factory.stringbytelen(factory.stringtrim(agtNmVal)) != 0){
				if(factory.stringbytelen(factory.stringtrim(agtBrddVal)) == 0
				&& factory.stringbytelen(factory.stringtrim(agtRelaCdVal)) == 0){
					SYSUtil.loadMessageBox(screen, "알림", 1, "대리인 정보를 확인해주세요.", "");
					return false;
				}
			}
			
			if(factory.stringbytelen(factory.stringtrim(agtBrddVal)) != 0){
				if(factory.stringbytelen(factory.stringtrim(agtNmVal)) == 0
				&& factory.stringbytelen(factory.stringtrim(agtRelaCdVal)) == 0){
					SYSUtil.loadMessageBox(screen, "알림", 1, "대리인 정보를 확인해주세요.", "");
					return false;
				}
			}
			
			if(factory.stringbytelen(factory.stringtrim(agtRelaCdVal)) != 0){
				if(factory.stringbytelen(factory.stringtrim(agtNmVal)) == 0
				&& factory.stringbytelen(factory.stringtrim(agtBrddVal)) == 0){
					SYSUtil.loadMessageBox(screen, "알림", 1, "대리인 정보를 확인해주세요.", "");
					return false;
				}
			}
			
			//대리인 정보 입력 시 세대원동의일시 체크
			if(factory.stringbytelen(factory.stringtrim(agtNmVal)) != 0){
				if(factory.stringbytelen(factory.stringtrim(famMembAgreDtmVal)) == 0){
					SYSUtil.loadMessageBox(screen, "알림", 1, "세대원동의일시를 입력해주세요.", "");
					return false;
				}
			}
		}
	}
	
	return true;
}

// 엔터키 정의
function famMembReg_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "loanApplNo", this.edtLoanApplNo.val());		//신청번호
		this.DS_SM.setdatabyname(0, "homsStepCd", this.cboHomsStepCd.val());		//홈즈진행상태
		
		this.ue_query();
	}
	
	return 0;
}

// 신청번호 검색 이벤트
function edtLoanApplNo_on_click(objInst, buttonclick)
{
	if(buttonclick) {
		var param = {};
		// 팝업 Title
		var popupTitle = "신청번호검색";
		//팝업 경로
		var popupPath = "/BIZ/S/SP/AS/SSPASP04";
			
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

// 팝업 콜백
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 신청번호검색 팝업 콜백
		if(objExtdata.popId == "SSPASP04"){
			this.DS_SM.setdatabyname(0, "loanApplNo", objExtdata.loanApplNo);	//대출신청번호
			this.DS_SM.setdatabyname(0, "custNm", objExtdata.custNm);			//고객명
		}
	}		
}

// 주민등록표 버튼 클릭 시
function btnResId_on_click(objInst)
{
	SYSUtil.loadMessageBox(screen, "알림", 1, "개발 예정입니다.", "");
	return;
}

// 가족관계증명서 버튼 클릭 시
function btnFamRelCert_on_click(objInst)
{
	SYSUtil.loadMessageBox(screen, "알림", 1, "개발 예정입니다.", "");
	return;
}

// 세대원 동의 요청 버튼 클릭 시
function sendSms_on_click(objInst)
{
	var check = this.queryYn("S");
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "세대원 동의를 요청하시겠습니까?", "sendSms");
	}
}

// 조회 여부 체크
function queryYn(operation){
	var rowCnt = this.DS_SD.getrowcount();
	var modifyCnt = this.DS_SD.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
	var msg = "";
	
	if(operation == "D"){		  //세대원 확정
		msg = "확정할";
		this.grdFamMemb.setcheckrowheadercheck(true, true);	//전체 선택
	}else if(operation == "C"){	//세대원 확정 취소
		msg = "확정을 취소할";
		this.grdFamMemb.setcheckrowheadercheck(true, true);	//전체 선택
	}else{						 //세대원 동의 요청
		msg = "동의를 요청할";
	}
	
	if(rowCnt == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, msg + " 세대원이 없습니다.", "");
		return false;
	}
	
	if(modifyCnt != 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "변동된 내역이 있습니다.\n저장을 먼저 진행해주세요.", "");
		return false;
	}
	
	//세대원 확정 시 세대원 동의가 모두 이루어졌는지 체크크
	if(operation == "D"){
		for(var i=0; i < rowCnt; i++){
			var famMembInclCdVal = this.DS_SD.getdatabyname(i, "famMembInclCd");	    //세대원포함여부
			var famMembAgreCdVal = this.DS_SD.getdatabyname(i, "famMembAgreCd");		//세대원동의여부
			var famMembAgreDtmVal = this.DS_SD.getdatabyname(i, "famMembAgreDtm");	  //세대원동의일시
			
			//세대원동의여부 체크
			if(famMembInclCdVal == "00010"){		//세대원포함여부 : Y
				if(famMembAgreCdVal == "00010"	  //세대원동의여부 : N
				&& factory.stringbytelen(factory.stringtrim(famMembAgreDtmVal)) == 0){
					SYSUtil.loadMessageBox(screen, "알림", 1, "동의를 하지 않은 세대원이 있습니다.", "");
					return false;
				}
			}
		}
	}
	
	//세대원 확정 취소는 HOMS 의뢰 전만 가능
	if(operation == "C"){
		if(homsStepCdVal != "00020"){	//HOMS 의뢰전
			SYSUtil.loadMessageBox(screen, "알림", 1, "세대원 확정 취소가 불가능한 상태입니다.", "");
			return false;
		}
	}
	return true;
}

// 세대원 확정 버튼 클릭 시
function btnFamMembDscn_on_click(objInst)
{
	var check = this.queryYn("D");
	
	if(check){
		homsStepCdVal = "00020";	//HOMS 의뢰전
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "세대원을 확정하시겠습니까?", "homsStepChg");
	}
}

// 세대원 확정 취소 버튼 클릭 시
function btnFamMembCncl_on_click(objInst)
{
	var check = this.queryYn("C");
	
	if(check){
		homsStepCdVal = "00010";	//세대원 확인중
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "세대원 확정을 취소하시겠습니까?", "homsStepChg");
	}
}

// 그리드 행 선택 시 체크 활성화
/*function grdFamMemb_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var isCheck = this.grdFamMemb.ischeckedrow(nClickRow)
		
	if(isCheck){
		this.grdFamMemb.setcheckedrow(nClickRow, false);
	}else{
		this.grdFamMemb.setcheckedrow(nClickRow, true);
	}

}*/

// 그리드 값 변경 시 체크 활성화
function grdFamMemb_on_itemvaluechanged(objInst, nRow, nColumn, strPrevItemText, strItemText)
{
	this.grdFamMemb.setcheckedrow(nRow, true);
	
	//성명 및 대리동의인명 한글만 입력 가능
	if(nColumn == 2 || nColumn == 5){
		var chkPoint = {
			alpha:		/[A-Z]/gi,
			numeric:	/[0-9]/g
		};
		
		var nRow = this.grdFamMemb.getselectrow();		 //선택된 행 번호
		
		var str = this.grdFamMemb.getitemtext(nRow, nColumn);	//입력된 값
			str = str.replace(chkPoint['alpha'], "");	  //영문입력불가
			str = str.replace(chkPoint['numeric'], "");	//숫자입력불가
		
		this.grdFamMemb.setitemtext(nRow, nColumn, str);
	}
}