﻿function screen_on_load()
{
}

// 차트 라이브러리 로드 버튼 처리 
function btn_loadjs_on_mouseup(objInst)
{
	// Case1. 차트 기본 라이브라리 및 차트 유형별 라이브러리를 동적으로 로드하는 방식
	this.loadamchartslibrary();

	// Case2. 차트 유형별 라이브러리만 동적으로 로드하는 방식.
	// 포틀릿 기반으로 화면을 구성하는 경우에는, xframe5.html 파일에 아래와 같이 로드하고,
	// 차트 유형별 라이브러리만 동적으로 로드하는 방식을 사용할 수 있다.
	// <script type="text/javascript" src="./project/terminal/ext/amcharts_5.0.13/amcharts5/index.js"></script>
	// <script type="text/javascript" src="./project/terminal/ext/amcharts_5.0.13/amcharts5/themes/Animated.js"></script>
	// <script type="text/javascript" src="./project/terminal/ext/amcharts_5.0.13/amcharts5/plugins/exporting.js"></script>
	/*
	var chart_js_url = "./project/terminal/ext/amcharts_5.0.13/amcharts5/flow.js";	
	screen.loadjs(chart_js_url);
	this.chk_loadcoplete.setcheck(true);	// 로드 완료 여부 체크 처리
	*/
}

// 차트 라이브러리 로드
function loadamchartslibrary(js_url, is_success) {
	// 이미 로드가 완료되었으면, 그냥 리턴
	if (this.chk_loadcoplete.getcheck() == true) { return; }
	
	/////////////////////////////////////////////////////////////////////////////////////////////////
	// 주의: amcharts_js_url, animated_js_url, flow_js_url, exports_js_url 변수에 대한 값은 
	//      프로젝트 상황에 맞추어 변경해야 한다.
	/////////////////////////////////////////////////////////////////////////////////////////////////
	
	// 기본 amcharts 엔진 라이브러리 URL
	var amcharts_js_url = "./project/terminal/ext/amcharts_5.0.13/amcharts5/index.js";
	// 테마 애니메니션 처리 라이브러리 URL
	var animated_js_url = "./project/terminal/ext/amcharts_5.0.13/amcharts5/themes/Animated.js";
	// 차트 Export 메뉴 처리 라이브러리 URL
	var exports_js_url = "./project/terminal/ext/amcharts_5.0.13/amcharts5/plugins/exporting.js";
		
	// 차트 유형별 라이브러리 URL
	var chart_js_url = "./project/terminal/ext/amcharts_5.0.13/amcharts5/flow.js";
		
	factory.consoleprint("callback_loadjselement> start, js_url = " + js_url + ", is_success = " + is_success);
	
	if (is_success === false) {
		screen.alert("fail to load amchart library, url = " + js_url);
		return;
	}

	/////////////////////////////////////////////////////////////////////////////////////////////////
	// 주의: amcharts javascript 로드시 반드시 
	//      screen.loadjs 함수의 nLoadType 파라미터를 1로 지정하여 Async 방식으로 로드해야 한다.
	/////////////////////////////////////////////////////////////////////////////////////////////////		
	
	if (js_url === undefined || js_url.length == 0) { screen.loadjs(amcharts_js_url, "loadamchartslibrary", 1); }
	else if (js_url == amcharts_js_url) { screen.loadjs(animated_js_url, "loadamchartslibrary", 1); }
	else if (js_url == animated_js_url) { screen.loadjs(exports_js_url, "loadamchartslibrary", 1); }
	else if (js_url == exports_js_url) { screen.loadjs(chart_js_url, "loadamchartslibrary", 1); }
	else if (js_url == chart_js_url) { 
		factory.consoleprint("loadamchartslibrary> load complete"); 
		this.chk_loadcoplete.setcheck(true);	// 로드 완료 여부 체크 처리
	}
}

// 차트 표시 버튼 처리
function btn_drawchart_on_mouseup(objInst)
{
	var jdom_div, jdom_chart_div, div_id, i, overflow, jdom_in_chard_div; 

	/////////////////////////////////////////////////////////////////////
	// xFrame5 로직 시작
	/////////////////////////////////////////////////////////////////////
	// amchart 라이브러리 로드 완료 검사
	if (this.chk_loadcoplete.getcheck() == false) {
		screen.alert("amchart library is not loaded");
		return;
	}
		
    // DIV 컴포넌트의 내부 DIV에 대한 jQuery 오브젝트 및 id 속성을 구함
	jdom_div = this.div_chart.getjdom();
	div_id = jdom_div.prop("id");
	/////////////////////////////////////////////////////////////////////
	// xFrame5 로직 끝
	/////////////////////////////////////////////////////////////////////
	
	// Create root element
	// https://www.amcharts.com/docs/v5/getting-started/#Root_element
	var root = am5.Root.new(div_id);

	// Create export menu element
	var exporting = am5plugins_exporting.Exporting.new(root, {
		menu: am5plugins_exporting.ExportingMenu.new(root, {})
	});	
	
	/////////////////////////////////////////////////////////////////////
	// xFrame5 로직 시작 
	/////////////////////////////////////////////////////////////////////
	// DIV 내부 amchart 라이브리가 생성하는 DIV에 대한 "overflow" CSS 속성을 "visible"로 설정
	jdom_chart_div = jdom_div.find("div");
	if (jdom_chart_div.length > 0) {
		for (i = 0; i < jdom_chart_div.length; i++) {
			jdom_in_chard_div = $(jdom_chart_div[i]);
			overflow = jdom_in_chard_div.css("overflow");
			factory.consoleprint("overflow = " + overflow);
			if (overflow && overflow.toLowerCase() == "hidden") {
				jdom_in_chard_div.css("overflow", "visible");
			}
		}
		// jdom_chart_div.css("overflow", "visible");
	}
	/////////////////////////////////////////////////////////////////////
	// xFrame5 로직 끝
	/////////////////////////////////////////////////////////////////////
	
	// Set themes
	// https://www.amcharts.com/docs/v5/concepts/themes/
	root.setThemes([
		am5themes_Animated.new(root)
	]);
	
	// Create series
	// https://www.amcharts.com/docs/v5/charts/flow-charts/
	var series = root.container.children.push(am5flow.Chord.new(root, {
		sourceIdField: "source",
	  	targetIdField: "target",
	  	valueField: "value"
	}));
	series.nodes.get("colors").set("step", 2);
	
	// Set data
	// https://www.amcharts.com/docs/v5/charts/flow-charts/#Setting_data
	series.data.setAll([
		{ source: "Berlin", target: "Amsterdam", value: 14 },
		{ source: "Berlin", target: "London", value: 33 },
		{ source: "Berlin", target: "Paris", value: 13 },
		{ source: "Berlin", target: "Madrid", value: 36 },
		
		{ source: "Amsterdam", target: "Berlin", value: 42 },
		{ source: "Amsterdam", target: "London", value: 20 },
		{ source: "Amsterdam", target: "Paris", value: 19 },
		{ source: "Amsterdam", target: "Madrid", value: 11 },
		
		{ source: "London", target: "Amsterdam", value: 9 },
		{ source: "London", target: "Berlin", value: 38 },
		{ source: "London", target: "Paris", value: 41 },
		{ source: "London", target: "Madrid", value: 16 },
		
		{ source: "Paris", target: "Amsterdam", value: 12 },
		{ source: "Paris", target: "London", value: 16 },
		{ source: "Paris", target: "Berlin", value: 21 },
		{ source: "Paris", target: "Madrid", value: 8 },
		
		{ source: "Madrid", target: "Amsterdam", value: 22 },
		{ source: "Madrid", target: "London", value: 25 },
		{ source: "Madrid", target: "Paris", value: 19 },
		{ source: "Madrid", target: "Berlin", value: 7 }
	]);
	
	// Make stuff animate on load
	series.appear(1000, 100);
}