﻿function screen_on_load()
{
}

// 차트 라이브러리 로드 버튼 처리 
function btn_loadjs_on_mouseup(objInst)
{
	// 주의: amcharts_js_url, serial_js_url 변수에 대한 값은 프로젝트 상황에 맞추어 변경해야 한다.
	var amcharts_js_url = "./project/terminal/ext/amcharts_3.21.5.free/amcharts/amcharts.js";
	var serial_js_url = "./project/terminal/ext/amcharts_3.21.5.free/amcharts/serial.js";

	// 차트 라이브러리 로드 처리 
	screen.loadjs(amcharts_js_url);
	screen.loadjs(serial_js_url);
}

// 캔버스에 차트 표시 버튼 처리
function btn_drawchart_on_mouseup(objInst)
{
	var jdomDiv, div_id;
	var chart, chartData;
	
	chartData = [
	    { "country": "USA", "visits": 3025, "color": "#FF0F00" },
	    { "country": "China", "visits": 1882, "color": "#FF6600" },
	    { "country": "Japan", "visits": 1809, "color": "#FF9E01" },
	    { "country": "Germany", "visits": 1322, "color": "#FCD202" },
	    { "country": "UK", "visits": 1122, "color": "#F8FF01" },
	    { "country": "France", "visits": 1114, "color": "#B0DE09" },
	    { "country": "India", "visits": 984, "color": "#04D215" },
	    { "country": "Spain", "visits": 711, "color": "#0D8ECF" },
	    { "country": "Netherlands", "visits": 665, "color": "#0D52D1" },
	    { "country": "Russia", "visits": 580, "color": "#2A0CD0" },
	    { "country": "South Korea", "visits": 443, "color": "#8A0CCF" },
	    { "country": "Canada", "visits": 441, "color": "#CD0D74" }
	];
	
    // SERIAL CHART
    chart = new AmCharts.AmSerialChart();
    chart.dataProvider = chartData;
    chart.categoryField = "country";
    chart.startDuration = 1;

    // AXES
    // category
    var categoryAxis = chart.categoryAxis;
    categoryAxis.labelRotation = 45; // this line makes category values to be rotated
    categoryAxis.gridAlpha = 0;
    categoryAxis.fillAlpha = 1;
    categoryAxis.fillColor = "#FAFAFA";
    categoryAxis.gridPosition = "start";

    // value
    var valueAxis = new AmCharts.ValueAxis();
    valueAxis.dashLength = 5;
    valueAxis.title = "Visitors from country";
    valueAxis.axisAlpha = 0;
    chart.addValueAxis(valueAxis);

    // GRAPH
    var graph = new AmCharts.AmGraph();
    graph.valueField = "visits";
    graph.colorField = "color";
    graph.balloonText = "<b>[[category]]: [[value]]</b>";
    graph.type = "column";
    graph.lineAlpha = 0;
    graph.fillAlphas = 1;
    chart.addGraph(graph);

    // CURSOR
    var chartCursor = new AmCharts.ChartCursor();
    chartCursor.cursorAlpha = 0;
    chartCursor.zoomable = false;
    chartCursor.categoryBalloonEnabled = false;
    chart.addChartCursor(chartCursor);

    chart.creditsPosition = "top-right";

    // WRITE
	jdomDiv = divChart.getjdom();
	div_id = jdomDiv.prop("id");
	
    chart.write(div_id);
}