﻿// 팝업화면으로 전달할 파라미터 설정
var objPopupExtraData = {
	RETURN_OBJECT_NAME: "",   // 계산 결과를 전달받을 필드명
	RETURN_FUNCTION_NAME: "", // 계산 결과를 전달받기 위해 사용할 함수명
	RETURN_FUNCTION: null     // 계산 결과를 전달받기 위해 사용할 함수
};

/**
 * 일반 팝업화면에서 호출하여 결과값을 부모화면으로 전달한다.
 */
function setFldRes2(result)
{
	fld_res2.settext(result);
}

/**
 * 일반 팝업화면에서 호출하여 결과값을 부모화면으로 전달한다.
 */
function setFldRes3(result)
{
	fld_res3.settext(result);
}


/**
 * 포틀릿 팝업화면에서 호출하여 결과값을 부모화면으로 전달한다.
 */
function setFldRes6(result)
{
	fld_res6.settext(result);
}

/**
 * 포틀릿 팝업화면에서 호출하여 결과값을 부모화면으로 전달한다.
 */
function setFldRes7(result)
{
	fld_res7.settext(result);
}

/**
 * 권종계산기 일반화면을 팝업으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (필드명으로 결과 전달방식)
 */
function btn_pop1_on_mouseup(objInst)
{
	
	// 결과값을 전달받을 필드명 설정
	objPopupExtraData.RETURN_OBJECT_NAME = "fld_res1";
		
	factory.loadpopup("cal_normal", "/TEMPLATE/HTML5/UTIL/CALCUL/unit_calculator_screen", "계산기(일반화면)", false, 
		XFD_BORDER_RESIZE, 0, 0, true, true, screen, objPopupExtraData);
}

/**
 * 권종계산기 일반화면을 팝업으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (함수명으로 결과 전달방식)
 */
function btn_pop2_on_mouseup(objInst)
{
	// 결과값을 전달받을 함수명 설정
	objPopupExtraData.RETURN_FUNCTION_NAME = "setFldRes2";
	
	factory.loadpopup("cal_normal", "/TEMPLATE/HTML5/UTIL/CALCUL/unit_calculator_screen", "계산기(일반화면)", false, 
		XFD_BORDER_RESIZE, 0, 0, true, true, screen, objPopupExtraData);
}

/**
 * 권종계산기 일반화면을 팝업으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (함수로 결과 전달방식)
 */
function btn_pop3_on_mouseup(objInst)
{
	// 결과값을 전달받을 함수명 설정
	objPopupExtraData.RETURN_FUNCTION = setFldRes3;
	
	factory.loadpopup("cal_normal", "/TEMPLATE/HTML5/UTIL/CALCUL/unit_calculator_screen", "계산기(일반화면)", false, 
		XFD_BORDER_RESIZE, 0, 0, true, true, screen, objPopupExtraData);
}

/**
 * 권종계산기 일반화면을 팝업으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (부모화면의 on_destroy이벤트로 결과 전달방식)
 */
function btn_pop4_on_mouseup(objInst)
{
	factory.loadpopup("cal_normal", "/TEMPLATE/HTML5/UTIL/CALCUL/unit_calculator_screen", "계산기(일반화면)", false, 
		XFD_BORDER_RESIZE, 0, 0, true, true, screen, objPopupExtraData);
}

/**
 * 권종계산기 포틀릿화면을 팝업으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (필드명으로 결과 전달방식)
 */
function btn_pop5_on_mouseup(objInst)
{
	// 결과값을 전달받을 필드명 설정
	objPopupExtraData.RETURN_OBJECT_NAME = "fld_res5";
	
	screen.loadportletpopup("cal_portlet", "/TEMPLATE/HTML5/UTIL/CALCUL/unit_calculator_portlet", "계산기(포틀릿화면)", false, 
        XFD_BORDER_RAISED, 0, 0, 200, 500, true, true, false, objPopupExtraData);
}

/**
 * 권종계산기 포틀릿화면을 팝업으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (함수명으로 결과 전달방식)
 */
function btn_pop6_on_mouseup(objInst)
{
	// 결과값을 전달받을 함수명 설정
	objPopupExtraData.RETURN_FUNCTION_NAME = "setFldRes6";
	
	screen.loadportletpopup("cal_portlet", "/TEMPLATE/HTML5/UTIL/CALCUL/unit_calculator_portlet", "계산기(포틀릿화면)", false, 
        XFD_BORDER_RAISED, 0, 0, 200, 500, true, true, false, objPopupExtraData);
}

/**
 * 권종계산기 포틀릿화면을 팝업으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (함수로 결과 전달방식)
 */
function btn_pop7_on_mouseup(objInst)
{
	// 결과값을 전달받을 함수명 설정
	objPopupExtraData.RETURN_FUNCTION = setFldRes7;
	
	screen.loadportletpopup("cal_portlet", "/TEMPLATE/HTML5/UTIL/CALCUL/unit_calculator_portlet", "계산기(포틀릿화면)", false, 
        XFD_BORDER_RAISED, 0, 0, 200, 500, true, true, false, objPopupExtraData);
}

/**
 * 권종계산기 포틀릿화면을 팝업으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (부모화면의 on_destroy이벤트로 결과 전달방식)
 */
function btn_pop8_on_mouseup(objInst)
{
	screen.loadportletpopup("cal_portlet", "/TEMPLATE/HTML5/UTIL/CALCUL/unit_calculator_portlet", "계산기(포틀릿화면)", false, 
        XFD_BORDER_RAISED, 0, 0, 200, 500, true, true, false, objPopupExtraData);
}

/**
 * 팝업이 닫힌 후 결과값을 가져오는 화면의 popupdestroy 이벤트를 처리한다.
 */
function screen_on_popupdestroy(popup_screen, popup_name, result)
{
	// 설정했던 objPopupExtraData값 초기화
	objPopupExtraData.RETURN_OBJECT_NAME = "";
	objPopupExtraData.RETURN_FUNCTION_NAME = "";
	objPopupExtraData.RETURN_FUNCTION = null;
	
	// 팝업화면에서 unloadpopup API로 닫을때 전달할값이 설정된 경우 결과값 입력
	if (result !== undefined && result !== "") { 
		// 일반 팝업일 경우
		if (popup_name === "cal_normal") {
			fld_res4.settext(result);
		}
		// 포틀릿 팝업일 경우
		else if (popup_name === "cal_portlet") {
			fld_res8.settext(result);
		}
	}
}