﻿
/*
 * 화면 최초 로드 이벤트
 */
function screen_on_load()
{

	// 공통코드 데이터 설정
	SYSTran.getComCode(this.screen, "COM_DEPT", null, this.DS_CBO_DEPT);
	SYSTran.getComCode(this.screen, "COM_TITLE", null, this.DS_CBO_TITLE);
	
	// 상세영역 숨김처리
	//this._tv_templet.setrowhidden(3, true, true);

}


/*
 * 화면 송수신 콜백 이벤트 처리
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if (result != 1) {
		// TODO : 거래 실패시 처리
		
		return;
	} 
	
	// 조회 이벤트 콜백
	if (mapid == "TR_SELECT") {
			
	}
}

/*
 * 조회 버튼 이벤트 처리
 */
function _btn_select_on_mouseup(objInst)
{
	SYSTran.requestSubmitAsync(this.screen, "TR_SELECT");
}

/*
 * 신규등록 버튼 이벤트 처리
 */
function _btn_new_on_mouseup(objInst)
{
	// 상세영역 데이터셋 초기화
	this.DS_RES_DETAIL.init();
	// 상세영역 숨김처리 해제
	this._tv_templet.setrowhidden(3, false, true);
}

/*
 * 그리드 클릭 이벤트 처리
 */
function _grid_templet_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	
}
/*
 * 그리드 더블 클릭 이벤트 처리
 * 그리드 선택된 행을 상세 데이터셋으로 복사
 */
function _grid_templet_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	
	// 상세영역 데이터셋 초기화
	this.DS_RES_DETAIL.init();
	// 데이터셋 복사
	this.DS_RES_DETAIL.copyrow(this.DS_RES, nDblClickRow, false);
	
	// 그리드 선택된행 콤보박스에 설정된 데이터 변환
	let strDeptName = this._grid_templet.getitemcbcomment(nDblClickRow ,3);
	let strTitleName = this._grid_templet.getitemcbcomment(nDblClickRow ,4);
	this.DS_RES_DETAIL.setdatabyname(0, "DEPT_NAME", strDeptName);
	this.DS_RES_DETAIL.setdatabyname(0, "TITLE_NAME", strTitleName);
	
	// 상세영역 숨김처리 해제
	this._tv_templet.setrowhidden(3, false, true);
}


