﻿// 상수 정의
// 포틀릿 프레임 타입
var PORTLET_FRAME = 0;
// 컨테이너 프레임 타입
var CONTAINER_FRAME = 1;
// 일반화면 프레임 타입
var SCREEN_FRAME = 2;

var _BizCommonBtnJsLoaded = false;

/*
 * 현재 Frame 종류를 리턴한다.
 * @return {string} Frame 종류
 */
function _getFrameType() {
	return "MODULE";
}

/*
 * 화면 최초 로드시에
 */
function screen_on_load() {
	SYSVar.MODULE_MEMBER = this;
	this.setLibModule();
	this.setGMModule();
}

function setLibModule() {
	var strLibScreenUrl = "";
	var strNumber = "";
	var arrBizCd = SYSVar.BIZ_CODE;

	for (var nArr = 0; nArr < arrBizCd.length; nArr++) {
		strLibScreenUrl = "/" + arrBizCd[nArr] + "/LIB/" + "COMM_FUNC";
		nAddRet = this.tabLib.addportlettab("", 0, 0, strLibScreenUrl, arrBizCd[nArr], false, null, false, false, false);
	}
}

function setGMModule() {
	/*
	var module;
	SYSUtil.debug(this.screen, "/SYS/MODULE 로드 시작");
	for (module of SYSVar.GM_MODULES) {
		this.tabGMLib.addportlettab("MODULE_" + module, 0, 100, "/SYS/MODULE/" + module, "", false, "");
	}
	*/
}

function tabGMLib_on_itemcreate(objInst, itemindex) {
	/*
	var strItemText = objInst.gettabitemtext(itemindex);

	// 모듈성 화면인 경우 _screen_on_load()를 직접 호출해주어 이후 링크되는 모듈화면에서 사용 가능하게 한다.
	if (strItemText.indexOf("MODULE_") == 0) {
		var objLinkScreen = objInst.getchildscreeninstance(itemindex);
		objLinkScreen.callscriptmethod("_screen_on_load()", XFD_JAVASCRIPT);

		SYSUtil.debug(this.screen, "  > " + objLinkScreen.getscreenid() + " 로드 완료");
		SYSVar.GM_MODULE_LOAD_COUNT++;
		if (SYSVar.GM_MODULE_LOAD_COUNT == SYSVar.GM_MODULES.length) {
			SYSUtil.debug(this.screen, "/SYS/MODULE 로드 완료");

			// 서버시간을 Setting
		}
		
	
	}

	switch (strItemText) {
		case "MODULE_Global":
			//			this.tabStart.addportlettab("MODULE_TuxMgr", 0, 100, "/SYS/MODULE/TuxMgr", "", false, "");
			break;
		case "MODULE_TuxMgr":
			break;
		default:
	}
	*/
}

/**
 * 화면 탭 부가기능 관련
 * @param objScreen 업무화면 모브젝트
 * @param arrMenu context 메뉴 정보
 * @param nIndex 탭 인덱스
 * @return 없음
 */
function createBizTabMenu(objScreen, arrMenu, nIndex) {
	clsFont = function () {
		this.szfontname = "나눔고딕";
		this.nfontsize = 9;
		this.bfontbold = false;
		this.bfontitalic = false;
		this.bfontunderline = false;
		this.bfontstrikeout = false;
	};

	clsSize = function () {
		this.ncx = 0;
		this.ncy = 0;
	};

	clsFont.szfontname = "나눔고딕";
	clsFont.nfontsize = 10;

	var objBtn = null;
	var nScreenH = 0;
	var nWidth = 90;
	var nHeight = 0;
	var nOffset = 0;
	var nXpos = 5;
	var nYpos = 5;
	var objProp = {
		x: nXpos,
		y: nYpos,
		width: nWidth,
		height: nHeight,
		text: "New Button",
		border: 4,
		gradient_effect: 1,
		tabstop: false,
		click_setfocus: false,
		fore_color: "00FF0000",
		on_mouseup: "btn_button_on_mouseup",
	};
	//SYSVar.SELECTED_MIDDLE_TAB ??= SYSVar.MIDDLE_TAB;
	SYSVar.SELECTED_MIDDLE_TAB = SYSVar.SELECTED_MIDDLE_TAB == null ? SYSVar.MIDDLE_TAB : SYSVar.SELECTED_MIDDLE_TAB;
	var tabMiddle = SYSVar.SELECTED_MIDDLE_TAB;

	// 폰트에 따른 텍스트 높이 넓이 구하기
	for (var nIdx = 0; nIdx < arrMenu.length; nIdx++) {
		clsSize = factory.gettextdrawsize(clsFont, arrMenu[nIdx].MENU);
		if (clsSize != null) {
			nHeight = clsSize.ncy;
			if (nWidth < clsSize.ncx) {
				nWidth = clsSize.ncx;
			}
		}
	}
	objProp.height = nHeight;
	objProp.width = nWidth;
	for (var nIdx = 0; nIdx < arrMenu.length; nIdx++) {
		objProp.y = nYpos + nOffset;
		if (arrMenu[nIdx].MENU == "화면고정") {
			objProp.text = arrMenu[nIdx].MENU;
			if (tabMiddle.gettabitemlock(nIndex) == true) {
				objProp.text = "화면고정해제";
			}
		} else {
			objProp.text = arrMenu[nIdx].MENU;
		}
		objBtn = objScreen.createobjectex(XFD_CTRLKIND_PUSHBUTTON, objProp);
		objBtn.setuserdata(arrMenu[nIdx].MENU);
		nOffset += nHeight + 10;
		nScreenH = nOffset;
	}

	objScreen.setmenupos(objScreen.getmenuxpos(), objScreen.getmenuypos(), nWidth + nXpos + nXpos, nScreenH, true, true, false);
	objScreen.showscreen(true);
}

/**
 * 탭 context 메뉴 동작을 정의한다. createBizTabMenu 호출시에 arrMenu 정보로 구성
 * @param objScreen 업무화면 오브젝트
 * @param objInst context의 버튼 오브젝트
 * @return 없음
 */
function setBizTabMenuOperation(objScreen, objInst) {
	var strText = objInst.getuserdata();
	switch (strText) {
		case "화면고정":
			setScreenLock();
			break;
		case "화면닫기":
			objScreen.messagebox("화면을 닫으시겠습니까?", "화면 닫기", XFD_MB_QUESTION, XFD_MB_YESNO, XFD_MB_FOCUSBUTTON2, "close");
			break;
		case "열린화면닫기(고정제외)":
			objScreen.messagebox("열려 있는 화면(고정제외)을 모두 닫으시겠습니까?", "화면 닫기", XFD_MB_QUESTION, XFD_MB_YESNO, XFD_MB_FOCUSBUTTON2, "closeAllEx");
			break;
		case "열린화면닫기":
			objScreen.messagebox("열려 있는 화면을 모두 닫으시겠습니까?", "화면 닫기", XFD_MB_QUESTION, XFD_MB_YESNO, XFD_MB_FOCUSBUTTON2, "closeAll");
			break;
	}
}

/**
 * 업무별 공통 라이브러리를로드하여 멤버 오브젝트를 반환한다.
 * @param objScreen 업무화면 오브젝트
 * @param strBizCd 업무코드
 * @param strLibNm 라이브러리 화면ID
 * @return 성공시 Library 화면 멤버, 실패시 null
 */
function getLibMember(objScreen, strBizCd, strLibNm) {
	/**
	 * 업무 시스템코드에 해당하는 해당공통화면을 오픈하고 해당화면 오브젝트를 반환한다.
	 */
	function getPartCommonScreen(objTab, strBizCd, strLibScreenUrl) {
		var objPartScreen = null; // 오픈할 공통화면
		var nTabIndex = -1; //

		// 이미 열려있다면..
		nTabIndex = getPartCommonTabIndex(objTab, strLibScreenUrl);
		console.log("strLibScreenUrl:" + strLibScreenUrl);
		if (nTabIndex >= 0) {
			objPartScreen = objTab.getchildscreeninstance(nTabIndex);
		}
		return objPartScreen;
	}

	/**
	 * 업무 시스템코드 탭 인덱스를 가져온다.
	 */
	function getPartCommonTabIndex(objTab, strLibScreenUrl) {
		var nTabIdx = -1;

		for (var i = 0; i < objTab.gettabitemcount(); i++) {
			// 업무 시스템별 여러개의 공통화면을 띄울 수 있어서 full path로 확인한다.
			if (objTab.getinnerscreenurl(i) == strLibScreenUrl) {
				nTabIdx = i;
				break;
			}
		}
		return nTabIdx;
	}

	var strLibScreenUrl = "/" + strBizCd + "/LIB/" + strLibNm;
	var objPartScreen = getPartCommonScreen(this.tabLib, strBizCd, strLibScreenUrl);
	if (isPortletObject(objPartScreen) == false || objPartScreen == null) {
		return null;
	}
	console.log("objPartScreen:" + objPartScreen.getscreenid());
	return objPartScreen.getmembers();
}

function tabLib_on_itemcreate(objInst, itemindex) {}