﻿/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
this.m_objScreenInfo = screen.getextradata();
this.m_objChildScreen = null;
this.m_objParentScreen = null;

// 공통 버튼 처리를 위한 변수 (중복 가능성 있음. 추후 정리)
var commonButtonEvent = {};
var _commonButtonGroupObject;

// 중복 변수. 사용하지 않는것 하나 제거 필요
this.m_objScreenInfo = screen.getextradata();
var m_ScrInfo = {
	SCR_ID: "",
	SCR_PATH: "",
	MENU_ID: "",
	MENU_NM: "",
	P_MENU_ID: "",
	PARENT_SCR: null,
	AUTH_INFO: null,
};

// 현재화면의 활성화된 데이터셋
this.m_ActiveDS = null;
// 데이터셋을 감싸고 있는 최상위 오브젝트 정보
this.m_MasterObjects = [];
// 다음페이지여부
this.m_NextPage = false;
// 툴바이벤트 여부
this.m_WinEvent = true;
// 콜백 파라미터
this.m_CallbackParam = {};

var viewMenuId = "";


/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */

function screen_on_load() {
	
	SYSVar.MAIN_FRAME_SCREEN = this.screen;
	
	//console.log("[SYSLOG] mainFrame On Load");
	this._tranProcCnt = 0;
	var objExtra_data = screen.getextradata();
	var objBizExtra_data = null;

	m_ScrInfo.SCR_ID = "";

	//= 업무 화면정보
	m_ScrInfo.SCR_ID = objExtra_data.SCR_ID;
	m_ScrInfo.MENU_ID = objExtra_data.MENU_ID;
	m_ScrInfo.MENU_NM = objExtra_data.MENU_NM;
	m_ScrInfo.P_MENU_ID = objExtra_data.P_MENU_ID;
	m_ScrInfo.PARENT_SCR = objExtra_data.PARENT_SCR;
	m_ScrInfo.SCR_PATH = objExtra_data.SCR_PATH;
	m_ScrInfo.AUTH_INFO = objExtra_data.AUTH_INFO;
	objBizExtra_data = objExtra_data.BIZ_EXT; // 업무화면 전달 데이타
	
	/*
	console.log("m_ScrInfo.SCR_ID     : "+m_ScrInfo.SCR_ID);
	console.log("m_ScrInfo.MENU_ID    : "+m_ScrInfo.MENU_ID);
	console.log("m_ScrInfo.MENU_NM    : "+m_ScrInfo.MENU_NM);
	console.log("m_ScrInfo.P_MENU_ID  : "+m_ScrInfo.P_MENU_ID);
	console.log("m_ScrInfo.PARENT_SCR : "+m_ScrInfo.PARENT_SCR);
	console.log("m_ScrInfo.PARENT_SCR : "+m_ScrInfo.PARENT_SCR);
	console.log("m_ScrInfo.SCR_PATH   : "+m_ScrInfo.SCR_PATH);
	console.log("m_ScrInfo.AUTH_INFO  : "+m_ScrInfo.AUTH_INFO);
	*/


	/*
		-1: 파라미터에 문제가 있을 경우
		-2: 화면이 존재하지 않는 경우(_xf_param에 CHECK_SCREENURL 값이 true인 경우 적용)
	*/
	var nRet = this.tabBizScreen.addportlettab("", 0, 0, m_ScrInfo.SCR_PATH, "bizScreen", true, objBizExtra_data);
	if (nRet == -1) {
		screen.alert("[" + nRet + "]  파라미터에 문제가 있을 경우");
	} else if (nRet == -2) {
		screen.alert("[" + nRet + "]  화면이 존재하지 않는 경우(_xf_param에 CHECK_SCREENURL 값이 true인 경우 적용)");
	}

	// 화면 네비게이션 설정
	let strNaviPath = objExtra_data.NAVI_PATH;
	if (strNaviPath != "" && strNaviPath != undefined) {
		let strNaviArray = objExtra_data.NAVI_PATH.split(">");
		let strNavi;

		// 개별로 등록하는 방식
//		for (nIdx in strNaviArray) {
//			strNavi = strNaviArray[nIdx];
//			if (!SYSUtil.isEmpty(strNavi) && strNavi != "알리안츠제일생명"){
//				this._navi_var.additem(strNavi);
//			}
//		}
		
		// 한줄에 등록 
		let strTemp = SYSUtil.replaceAll(objExtra_data.NAVI_PATH, " > 하나생명 >", "");
		this._navi_var.additem(strTemp);
		
		
		// ex)아이템 추가
		//this._navi_var.additem("첫번째");
		//this._navi_var.additem("두번째");
		//this._navi_var.additem("세번째");
		// 첫번째 아이템만 왼쪽아이콘 표시
		//_navi_var.setitemlefticon(0, "/TEMPLATE/HTML5/COMPONENT/NAVIBAR/btn_navi_home.png");
		this._navi_var.setitemlefticonshow(0, true);
	} else {
		// TODO : 없을경우 임시로 보여줌
				
		if(m_ScrInfo.SCR_PATH!=""){
			
			this._navi_var.additem(SYSVar.MENU_INFO.m_1st);
			this._navi_var.additem("＞"+SYSVar.MENU_INFO.m_2nd);
			
			if(SYSVar.MENU_INFO.m_3rd!=""){
				this._navi_var.additem("＞"+SYSVar.MENU_INFO.m_3rd);
			}
		}else{
			this._navi_var.additem("첫번째");
			this._navi_var.additem("두번째");
			this._navi_var.additem("세번째");
		}
		
		this._navi_var.setitemlefticonshow(0, true);
	}
	
	// 사용자버튼 영역 숨김, 다음버튼 숨김 2023-02.31 요청사항 
	this.tv_main_frame.setrowhidden(2, true);
	this.tv_main_frame.setrowheight(1, 50, true);
	this.btnNextPage.setvisible(false);
	this.btnInsert.setvisible(false);
	
	if(m_ScrInfo.SCR_PATH.indexOf("/BIZ/dev/COM_")>=0  && m_ScrInfo.SCR_PATH != "/BIZ/dev/COM_COM_BTN"){
			this.tv_main_frame.setrowhidden(1, true);
	}
	
	//대출계산기
	if(m_ScrInfo.MENU_ID.indexOf("GS1")>=0){
			this.loanCalc.setvisible(true);
	}else{
		    this.loanCalc.setvisible(false);
	}
	
	
	this.setCommonBtnRole(m_ScrInfo.MENU_ID);
	
	SYSVar.ACTIVE_SCREEN_MENU_ID = m_ScrInfo.MENU_ID;
	
		// 업무에서 활용하기 위한 부서 정보를 가져옴
	//SYSTran.requestSubmitSync(this.screen , "TR_DEPT_INFO" );
	//SYSTran.requestSubmit(screen , "TR_DEPT_INFO" );
	//SYSTran.getDeptInfo(this.screen, this.DS_DEPT_INFO);
	//getCmmDataList(objScreen, objOutDs, extParam, ioTypeValue)
	SYSTran.getCmmDataList(this.screen , G_USER_ROLE , {"sqlId":"CT_USER_ROLE_SELECT"});
}

function screen_on_beforesubmit(mapid) {
	return 1;
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	//
}

/**
 * 화면 사이즈 변경 이벤트
 */
function screen_on_size(window_width, window_height) {
	//
}

//단축키
function screen_on_keydown(keycode, bctrldown, bshiftdown, baltdown, bnumpadkey) {
	let objButton = null;
	
	if (baltdown && keycode == 83) {
		// Alt + S : 저장
		objButton = this.btnUpdate;		
		console.log("저장");
	} else if (baltdown && keycode == 73) {
		// Alt + I : 초기화	
		objButton = this.btnInit;				
		console.log("초기화");
	} else if (baltdown && keycode == 81) {
		// Alt + Q : 조회
		objButton = this.btnQuery;						
		console.log("조회");
	} else if (baltdown && keycode == 68) {
		// Alt + D : 삭제	
		objButton = this.btnDelete;			
		console.log("삭제");
	} else if (baltdown && keycode == 76) {
		// Alt + L : 자료복사
		objButton = this.btnCopy;
	} else if (baltdown && keycode == 80) {
		// Alt + P : 인쇄
		objButton = this.btnPrint;		
		console.log("인쇄");
	}else if (baltdown && keycode == 67) {
		// Alt + C : 인쇄
		objButton = this.loanCalc;		
		console.log("계산기");
	}	
	
	if (objButton != null) {
		if (objButton.getenable() && objButton.getvisible()) { this.btnCommon_on_mouseup(objButton); }
	}
	return 1;
}

/* --------------------------------------------------
 * 2. 공통 이벤트 영역
 * -------------------------------------------------- */

/**
 * 현재 Frame 종류를 리턴한다.
 * @return {string} Frame 종류
 */
function _getFrameType() {
	return "MAIN_PORTLET";
}

// 거래 카운트 처리
var _tranProcCnt;
function _addTranProcCnt() {
	this._tranProcCnt++;
}

function _subtractTranProcCnt() {
	this._tranProcCnt--;
}

function _zeroTranProcCnt() {
	this._tranProcCnt = 0;
}

function _getTranProcCnt() {
	return this._tranProcCnt;
}

// 현재 프레임에 열린 업무 화면의 정보를 리턴
function getScreenInfo() {
	return m_ScrInfo;
}

function getScreenObj(){
	return this.tabBizScreen.getchildscreeninstance(0);
}

function getGlobalVaue() {
	return m_ScrInfo;
}

function includeModule(AScr) {
	if (factory.isobject(AScr)) {
		AScr.loadjs(_xf_param.SCREENBASEURL + "/SYS/INCLUDE/object_default.js");
		_ext_initObject(AScr);
	}
}

function showLoadingProcess(bShow) {
	var objLoding;
	objLoding = this.pnlLoading;

	if (bShow) {
		objLoding.setvisible(bShow);
	} else {
		// 로딩이미지 숨김처리는 0.5초 딜레이 설정
		setTimeout(function () {
			objLoding.setvisible(bShow);
		}, 500);
	}
	return true;
}

/**
 * 업무 프레임 Task 메세지
 */
function setTaskMessage(arrMsgTitle, arrMsg, msgNumber, duration) {
	let objTabScreen = this.tabErrorMsg.getchildscreeninstance(0);
	let tabScreenMembers = objTabScreen.getmembers();
	tabScreenMembers.setErrorMsg(arrMsgTitle, arrMsg, msgNumber, duration);
}

/* --------------------------------------------------
 * 3. 사용자정의 함수 영역
 * -------------------------------------------------- */
/**
 * 업무화면 오픈시 할일들 수행.
 * 초기메뉴상태 설정, 로그인 시간 보관
 */
function init() {
	// 공통버튼 MicroHelp 설정
	this.initMicroHelp();
	// 공통버튼 초기화
	this.initCommonButton();
	// 이 윈도우에 고유한 메뉴의 초기값을 설정
	try {
		this.m_objChildScreen.callscriptmethod("ue_init_menu()", XFD_JAVASCRIPT);		
	} catch(e) {
		screen.messagebox(this.m_objChildScreen.getscreenid() + ".ue_init_menu() 함수 오류\n\n" + e, "개발 오류", XFD_MB_STOP, XFD_MB_OK);		
	}	
	
	// Read Only 권한만 있는 경우 메뉴 disable
	//let lsv_Ret = GM.SecMgr.of_ChkAuthority(this.m_objChildScreen.getscreenid());
	let lsv_Ret = SYSUtil.of_ChkAuthority(this.m_objChildScreen.getscreenid());
	
	//console.log("###### 공통버튼 권한 조정 FN >> "+lsv_Ret);
	
	switch (lsv_Ret) {
		case "1":	
			//Read Only
			this.setCommonButtonEnable(screen, "INSERT", false);
			this.setCommonButtonEnable(screen, "DELETE", false);
			this.setCommonButtonEnable(screen, "UPDATE", false);
			this.setCommonButtonEnable(screen, "COPY", false);
			break;
		case "0":
		case "9": 
		    //this.setCommonButtonEnable(screen, "INSERT", false);
			//Access 불가			
			//GM.Util.of_ErrorHandle(screen, "TAINFXS012");
			break;			
	}
		
	//console.log("###### Initialize idw_active and set TransObject for each datawindow control ");
	
	// Initialize idw_active and set TransObject for each datawindow control
	let bFirst = true;
	let arrIds = this.m_objChildScreen.getxdatasetids();	
	
		
		
	//for ( let strId of arrIds ) {
	
   for (  var i =0; i< arrIds.length; i++ ) {
		// TO-BE 데이터셋 constructor() 실행시켜줌
		this.m_objChildScreen.callscriptmethodparam(arrIds[i] + "_constructor");
		let objDs = this.m_objChildScreen.getxdataset(arrIds[i]);
		
		if (bFirst) {
			let arrObjects = objDs.getlinkobjects(0);
			if (arrObjects.length > 0) {
				this.setActiveXDataSet(objDs);
				bFirst = false;
			}
		}		
		let objMaster = SYSUtil.getLinkMasterObject(objDs);		
		if (objMaster != null) {			
			this.m_MasterObjects.push(objMaster);
		}	
	}
	
	// 활성화된 데이터셋의 공통버튼 초기화
	let objActiveXDataSet = this.getActiveXDataSet();
	if (objActiveXDataSet != null) {
		//4/24
		//GM.DW.ue_init_menu(this.m_objChildScreen, objActiveXDataSet);
		this.m_objChildScreen.callscriptmethodparam(objActiveXDataSet.getid() + "_ue_init_menu", []);	
	}		
	
	//console.log("###### 업무 회면에 screen_on_load 화면 호출 ");
	//업무 회면에 screen_on_load 화면 호출
	//this.m_objChildScreen.callscriptmethod("screen_on_load", XFD_JAVASCRIPT);
}


function setCustomButtonRowHidden(bHidden) {
	this.tv_main_frame.setrowhidden(2, bHidden);
}

/**
 * 커스텀버튼 정보를 설정
 * @param objScreen : screen : 호출할 화면
 * @param strText : string : 버튼 텍스트
 * @param nItem : number : 버튼 인덱스
 * @param strMicroHelp : string : MicroHelp에 표시될 내용
 * @return
 * @remark
 */
function setCustomButtonInfo(objScreen, strText, nItem, strMicroHelp) {

	/*
	if (nItem == 0) {
		strText = "처리";
	} else if (nItem == 1) {
		strText = "확인";
	}
	*/

	if (SYSUtil.isEmpty(strMicroHelp)) {
		if (SYSUtil.isEmpty(strText)) {
			strMicroHelp = "작업을 수행합니다.";
		} else {
			strMicroHelp = strText + "을(를) 수행합니다.";
		}
	}
	
	this.btnCustom[nItem].settext(strText);
	this.btnCustom[nItem].settooltiptext(strText);
	this.btnCustom[nItem].setvisible(true);
	this.btnCustom[nItem].setcustomprop("MicroHelp", strMicroHelp);
	
	//버튼텍스트 사이즈에 맞춤
	let clsFont = this.btnCustom[nItem].getfont();
	let clsSize = factory.gettextdrawsize(clsFont, strText);
	let arrMargin = this.btnCustom[nItem].gettextmargin();
	let nWidth = clsSize.ncx + arrMargin[0] + arrMargin[1] + 6;	
	this.btnCustom[nItem].setwidth(nWidth);
}
/**
 * 공통버튼 활성화/비활성화 처리
 * @param objScreen : screen : 호출할 화면
 * @param strName : string : 버튼명
 * @param bEnable : boolean : 활성화여부
 * @return
 * @remark
 */
function setCommonButtonEnable(objScreen, strName, bEnable) {
	var objButton = this.getCommonButton(strName);
	if (objButton != null) {
		objButton.setenable(bEnable);
	}
}
/**
 * 공통버튼 보이기/숨기기 처리
 * @param objScreen : screen : 호출할 화면
 * @param strName : string : 버튼명
 * @param bVisible : boolean : 보이기여부
 * @return
 * @remark
 */
function setCommonButtonVisible(objScreen, strName, bVisible) {
    //console.log("공통버튼 숨김여부  >> "+objScreen+"     "+strName+"     "+bVisible);
	var objButton = this.getCommonButton(strName);
	if (objButton != null) {
		objButton.setvisible(bVisible);
	}
}
/**
 * 이름으로 공통 버튼 오브젝트를 가져온다.
 * @param strName : string : 버튼명
 * @return object : 버튼
 * @remark
 */
function getCommonButton(strName)
{
	var objButton = null;
	switch (strName.toUpperCase()) {
		case "NEW":
			break;
		case "INSERT":
			objButton = this.btnInsert;
			break;
		case "DELETE":
			objButton = this.btnDelete;
			break;
		case "UPDATE":
			objButton = this.btnUpdate;
			break;
		case "COPY":
			objButton = this.btnCopy;
			break;
		case "QUERY":
			objButton = this.btnQuery;
			break;
		case "PRINT":
			objButton = this.btnPrint;
			break;
		case "INIT":
			objButton = this.btnInit;
			break;
		case "PAGESETUP":
			break;
		case "PRINTOPTION":
			break;
		case "PREVIOUS":
			break;
		case "NEXT":
			objButton = this.btnNextPage;
			break;
		case "CAL":
			objButton = this.loanCalc;
			break;
		case "IMAGE":
			objButton = this.btnImage_Query;
			break;
		case "FIRST":
			break;
		case "DETAIL_QUERY":
			objButton = this.btnDetail_Query;
			break;
		default:
	}
	return objButton;
}
// 공통버튼을 초기화한다.
function initCommonButton() {
	this.setCommonButtonEnable(screen, "DETAIL_QUERY", false);
	this.setCommonButtonEnable(screen, "NEXT", false);	
}
// 현재화면의 활성 데이터셋을 가져온다.
function getActiveXDataSet() {
	return this.m_ActiveDS;	
}
// 현재화면의 활성 데이터셋을 설정한다.
function setActiveXDataSet(objXDataSet) {
	this.m_ActiveDS = objXDataSet;
	
	// 활성화 표시
	//for (let i in this.m_MasterObjects) {		
	for(var i=0; i < this.m_MasterObjects.length ; i++){	
		this.m_MasterObjects[i].setboxshadoweffecttype(0);
	}
	// TODO 차후 로딩시 등록된 정보로 처리
	let objMaster = SYSUtil.getLinkMasterObject(objXDataSet);		
	if (objMaster != null) {
		objMaster.setboxshadoweffecttype(1);
	}			
}
// 공통버튼을 초기상태로 돌린다.
function restoreCommonButton() {
	this.screen.applyattributemap("DEFAULT");	
}

// 현재 버튼 상태를 리턴
function getButtonStatus() {
	
}
// 공통버튼 MicroHelp 등록
function initMicroHelp() {
	this.btnPrint.setcustomprop("MicroHelp", "현재 조회중인 자료들을 인쇄 합니다.");
	this.btnQuery.setcustomprop("MicroHelp", "(조건에 일치하는)자료들을 조회합니다.");
	this.btnInsert.setcustomprop("MicroHelp", "자료를 신규입력 합니다.");
	this.btnUpdate.setcustomprop("MicroHelp", "변경사항들을 데이터베이스에 실제로 반영합니다.");
	this.btnDelete.setcustomprop("MicroHelp", "현재의 자료를 삭제합니다.");
	this.btnDetail_Query.setcustomprop("MicroHelp", "PopUp윈도우로 상세한 내역을 보실 수 있습니다.");
	this.btnCopy.setcustomprop("MicroHelp", "현재열과 똑같은내용을 복사하여 새로운 열을 만들어 줍니다.");
	this.btnNextPage.setcustomprop("MicroHelp", "다음 자료를 조회합니다.");
}

/* --------------------------------------------------
 * 4. 컨트롤 이벤트 영역
 * -------------------------------------------------- */

// 업무탭에 화면이 로딩된 후 처리
function tabBizScreen_on_itemcreate(objInst, itemindex) {
	var strMenuTitle;
	var objChildScreen;

	// 메인 프레임에 열린 화면을 구함
	objChildScreen = this.tabBizScreen.getchildscreeninstance(0);
	
	//console.log(" objChildScreen "+objChildScreen.getscreenid());

	if (!factory.isobject(objChildScreen)) {
		console.log("화면열기 실패");
	}
	// 화면 오브젝트를 변수에 저장
	this.m_objChildScreen = objChildScreen;
	this.m_objParentScreen = m_ScrInfo.PARENT_SCR;

	SYSVar.SELECTED_MIDDLE_TAB = SYSVar.SELECTED_MIDDLE_TAB == null ? SYSVar.MIDDLE_TAB : SYSVar.SELECTED_MIDDLE_TAB;
	if (!m_ScrInfo.MENU_NM) {
		strMenuTitle = objChildScreen.getscreentitle();
	} else {
		strMenuTitle = m_ScrInfo.MENU_NM;
	}

	SYSVar.SELECTED_MIDDLE_TAB.settabitemtext(SYSVar.SELECTED_MIDDLE_TAB.gettabitemfocus(), strMenuTitle);
	if(SYSVar.loginUserInfo.USER_NO == "system"){
		this.capScreenTitle.settext("" + strMenuTitle +" [" +m_ScrInfo.SCR_ID+"]" );
	}else{
		this.capScreenTitle.settext("" + strMenuTitle);
	}
	
	this.capScreenTitle.fittext(1, 2);
	var objBizScreen = this.tabBizScreen.getchildscreeninstance(itemindex);
	this.includeModule(objBizScreen);
	if (objBizScreen.geteventhandler("on_scroll") == "") {
		objBizScreen.registerevent("on_scroll", "bizScreen_on_scroll(hscroll_left, vscroll_top, hscroll_pos, vscroll_pos)");
	} else {
		console.log("objBizScreen.geteventhandler():" + objBizScreen.geteventhandler("on_scroll"));
	}
	SYSVar.LEFTMAIN_SCREEN.eventlock(false, true);
	
	// 2022.12.12 박찬순 : 화면 Open 후 처리
	this.init();	
}

function btnNaviHidden_on_mouseup(objInst) {
	if (this.tabBizScreen.gettop() == 0) {
		this.tabBizScreen.settop(36);
		this.tabBizScreen.setheight(95, 1);
	} else {
		this.tabBizScreen.settop(0);
		this.tabBizScreen.setheight(100, 1);
	}
}
// 공통버튼 mouseup
function btnCommon_on_mouseup(objInst) {
	//console.log("### 공통버튼 호출 ###");
	
	let strFuncName = objInst.getname().replace("btn", "").toLowerCase();
	
	console.log(" strFuncName >>> "+strFuncName);
	
	if (strFuncName == "nextpage") {
		this.m_NextPage = true;
	}	
	if (this.m_WinEvent) {
		//console.log("### if (this.m_WinEvent) Start.. ");
		//console.log("ue_" + strFuncName + "()");
		//console.log("ue_" + strFuncName + "()"+this.m_objChildScreen);
		//debugger;
		
		this.m_objChildScreen.callscriptmethod("ue_" + strFuncName + "()", XFD_JAVASCRIPT);
	} else {
		//console.log("### else (this.m_WinEvent) Start.. ");
		if (this.m_ActiveDS != null) {
			GM.DW.of_TriggerButton(this.m_objChildScreen, this.m_ActiveDS, strFuncName);
			//console.log(" this.m_ActiveDS >>> "+this.m_ActiveDS);
			//console.log(" strFuncName >>> "+strFuncName);
		}
	}
	
	if(strFuncName=="loancalc"){
		this.loanCalc_on_mouseup(objInst);
	}
}
// 커스텀버튼 mouseup
function btnCustom_on_mouseup(objInst, index) {
	let strFunctionName = "ue_custom" + factory.fillstring(index + 1, "0", 2, true) + "()";
	this.m_objChildScreen.callscriptmethod(strFunctionName, XFD_JAVASCRIPT);
}
// 공통버튼 mousein
function btnCommon_on_mousein(objInst) {
	// 단말 하단 상태바에 MicroHelp를 보여준다.
	SYSUtil.setStatusMsg(objInst.getcustomprop("MicroHelp"));
}
// 커스텀버튼 mousein
function btnCustom_on_mousein(objInst, index) {
	this.btnCommon_on_mousein(objInst);
}
// 북마크 이미지 click
function btn_add_bookmark_on_click(objInst)
{
	// TODO : 북마크 등록 서비스 실행
	// 서비스 callback 에서 관심화면 메뉴 리스트 갱신 처리
	
	// 이미지 변경 처리
	this.btn_add_bookmark.setimage("/COM/MODULE/ico_bookmark.png");
	
}

function loanCalc_on_mouseup(objInst) {
  // 업무화면으로 전달할 데이터
  var param = { };
  // 팝업 Title
  var popupTitle = "대출계산기";
  //팝업 경로
  var popupPath = "/BIZ/S/SP/AS/SSPASP03";
		
  SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function btnZoneVisible(bEnable){
	this.tv_main_frame.setrowhidden(1, bEnable);
}

function btnImage_Query_on_mouseup(objInst) {

  var popupPath = "http://21.98.206.165:9202";
  var option = "width=1200, height=800, left=300, top=100";

  var searchImg  = window.open( popupPath , "searchImgPopup", option);
}

function setCommonBtnRole(MENU_ID){
	let cnt = G_MENU.getrowcount();
	for(var i=0;i<cnt;i++){
		var menuId = G_MENU.getdatabyname(i, "menuId");
		
		if(MENU_ID == menuId){
			
			var queryGbn  =  G_MENU.getdatabyname(i, "btnSelectUseFg");
			var insertGbn =  G_MENU.getdatabyname(i, "btnInsertUseFg");
			var updateGbn =  G_MENU.getdatabyname(i, "btnUpdateUseFg");
			var deleteGbn =  G_MENU.getdatabyname(i, "btnDeleteUseFg");
			
			SYSVar.btnQueryUsbGbn  = queryGbn;
			SYSVar.btnUpdateUsbGbn = insertGbn;
			SYSVar.btnInsertUsbGbn = updateGbn;
			SYSVar.btnDeleteUsbGbn = deleteGbn;
			
			var objChildScreen = this.tabBizScreen.getchildscreeninstance(0);
			
			if(queryGbn=='N'){
				this.setCommonButtonEnable(screen, "QUERY", false);
			}
			if(insertGbn=='N'){
				this.setCommonButtonEnable(screen, "INSERT", false) ;
			}
			if(updateGbn=='N'){
			    this.setCommonButtonEnable(screen, "UPDATE", false) ;
			}
			if(deleteGbn=='N'){
				this.setCommonButtonEnable(screen, "DELETE", false) ;
			}
			break;
		}
	}
}