﻿//# sourceURL=http://softbase.frame/SYS/UTIL/menu_s.js
/****************************************************************************/

var m_ScrParent = null;

/*
 * 현재 Frame 종류를 리턴한다.
 * @return {string} Frame 종류
 */
function _getFrameType() 
{
	return "TEMP_PORTLET";
}

function _I_ScreenEvent() {}

/**
 * 화면 최초 로드시에
 */
function screen_on_load()
{

	var objExtraData = screen.getextradata();
	m_ScrParent = screen.getparent();

}

/**
 * 메뉴 버튼 on_mouseup 이벤트
 */
function btn_button_on_mouseup(objInst)
{

	this.setBizTabMenuOperation(m_ScrParent, objInst);

	if(screen.getscreentype() == 0) {
		screen.unload();
	} else if(screen.getscreentype() == 3) {	// loadportlet 으로 호출시에 getscreentype 은 3
		screen.unloadportlet();
	}
}


/**
 * 탭 context 메뉴 동작을 정의한다. createBizTabMenu 호출시에 arrMenu 정보로 구성
 * @param objScreen 업무화면 오브젝트
 * @param objInst context의 버튼 오브젝트
 * @return 없음
 */
function setBizTabMenuOperation(objScreen, objInst) {
	var strText = objInst.getname();
	switch (strText) {
		case "btn_fix":
			setScreenLock();
			break;
		case "btn_close":
			objScreen.messagebox("화면을 닫으시겠습니까?", "화면 닫기", XFD_MB_QUESTION, XFD_MB_YESNO, XFD_MB_FOCUSBUTTON2, "close");
			break;
		case "btn_close_all_ext":
			objScreen.messagebox("열려 있는 화면(고정제외)을 모두 닫으시겠습니까?", "화면 닫기", XFD_MB_QUESTION, XFD_MB_YESNO, XFD_MB_FOCUSBUTTON2, "closeAllEx");
			break;
		case "btn_close_all":
			objScreen.messagebox("열려 있는 화면을 모두 닫으시겠습니까?", "화면 닫기", XFD_MB_QUESTION, XFD_MB_YESNO, XFD_MB_FOCUSBUTTON2, "closeAll");
			break;
	}
}

