﻿function screen_on_load()
{
	var objExtraData = screen.getextradata();
	screen.setcustomprop("data", objExtraData);
	setCompOptionValue(objExtraData.options);
}

function setSaveExcelOptions(){
	var excelData = screen.getcustomprop("data");
	var options = {};
	options.screenname = excelData.screenname;
	options.headertitle = chkHeaderTitle.getcheck();
	options.pattern = chkPattern.getcheck();
	options.backcolor = chkBackColor.getcheck();
	options.statistics = chkStat.getcheck();
	options.numbertostring = chkNumToString.getcheck();
	options.rownumber = chkRowNumber.getcheck();
	options.rownumshow = excelData.linenumber.linenumshow;
	options.rownumtitle = excelData.linenumber.linenumtitle;
	
	excelData["options"] = options;
	screen.setcustomprop("data", excelData);
}

function setCompOptionValue(options){
	chkPattern.setcheck(options.pattern);
	chkHeaderTitle.setcheck(options.headertitle);
	chkBackColor.setcheck(options.backcolor);
}

function btnSave_on_mouseup(objInst)
{
	setSaveExcelOptions();
	console.log("***excelData***");
	console.log(screen.getcustomprop("data"));
	var excelData = factory.jsonstringify(screen.getcustomprop("data"));
	var rtn = SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("showexcel",[excelData]);
	if(rtn == true || rtn == "true"){
		mtState.settext("엑셀 열기 완료");
	}else{
		mtState.settext(rtn);
	}
}

function btnCancel_on_mouseup(objInst)
{
	var bConfirm = screen.confirm("취소 하시겠습니까?");
	if(bConfirm){
		screen.unload();
	}else{
		return;
	}
}