package hanalife.b.bd.br.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : ExmpConsCostProcOutVO.java Class
 * 클래스설명   : 면제품의 수납 조회, 수정 처리를 위한 테이블 OUTVO
 * 작성일자     : 2023. 3. 13.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class ExmpConsCostProcOutVO {

	private String rsltCd; /** 결과_코드 (출력용 */
	private String rsltCntn; /** 결과_내용 (출력용) */

	public String getRsltCd() {
		return rsltCd;
	}
	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}
	public String getRsltCntn() {
		return rsltCntn;
	}
	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}

}
