package hanalife.b.cl.dl.vo.tmp;

/**
 * <pre>
 * 클래스명    : AskUnrcvConst
 * 클래스설명 : ★★★★ 나중에 업무 VO 정리되면 해당 VO 사용 예정
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface AskUnrcvConst {
    /**
     * ※ 청구구분코드 ( R00026 )
     * 1: 연체, 2 : 정상, 3: 미도래
     */
    public static final String ASK_DIV_DLY    = "1";	// 연체
    public static final String ASK_DIV_NORM   = "2";	// 정상
    public static final String ASK_DIV_UNCOMG = "3";	// 미도래

    public static final String YES = "1";
    public static final String NO = "0";

    public static final String SUCCESS = "0000";
}