package hanalife.b.cl.dl.vo.tmp;

/**
 * <pre>
 * 클래스명    : DlyCalcVO
 * 클래스설명 : ★★★★ 나중에 업무 VO 정리되면 해당 VO 사용 예정
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DlyCalcVO {
	private String loanNo;		//대출_번호
	private String loanSeq;		//대출_순번
	private int tims;			//회차
	private String dueDt;		//납입_일자
	private String rlDueDt;		//실납입_일자
	private long dlyAmt;			//연체_금액
	private String dlyCalcDt;	//연체_계산_일자
	private String dfeeCalcDt;	//연체료_계산_일자
	private String setlDt;		//결제_예정일자 -> 결제일자
	private int thmmDueTims;		//당월_납입_회차
	private String thmmRlDueDt;	//당월_실_납입_일자
	private long dfee;			//연체료
	private long holyDfee;		//휴일연체료
	private int dlyDdcnt;		//연체_일수
	private int occrDlyDdcnt;	//발생_연체_일수
	private int dlyMmCnt;		//연체_개월수
	private int dlyTcnt;			//연체_횟수
	private double dfeeRt;		//연체료율 (대출이자율+가산연체이자율)
	private double addDfeeRt;	//가산연체료율
	private double loseDfeeRt;	//상실연체료율 (2018-08-01 두비스 추가)
	private String dlyCalcSdt;	//연체료계산_시작일 (기간별연체료_툴팁용)
	private String dlyCalcEdt;	//연체료계산_종료일 (기간별연체료_툴팁용)
	private String thmmDueDt;	//당월납입일자
	private String lastSetlDt;

	private String loseCalcStrtDt;
	private String loseCalcEndDt;
	private String loseIntPsgStrtDt;
	private String loseIntPsgEndDt;
	private String loseIntCalcStrtDt;
	private String loseIntCalcEndDt;
	private long loseBalPamt;
	private long loseObjPsgInt;
	private String loseDueDt;
	private String loseRvvlFg;
	private String loseFg;

	private long loseRamtDfee;		//상실_잔액연체료(상실이자)
	private long losePsgInt;
	private int losePsgDdcnt;
	private int loseIntPsgDdcnt;
	private int loseTimsDdcnt;
	private String loseDt;
	private String isLoseTims;	// 상실여부(현재회차)
	private String isLoseTims1;	// 상실 첫회차여부

	private String subStartDlyDt; //연체시작일자( 2018-08-01 추가)
	private String subEndDlyDt;   //연체종료일자( 2018-08-01 추가)
	private long timsBfAskPamt;   //연체_원금액( 2018-08-01 추가)
	private long askInt;          //회차_청구_이자
	private double stndRt;        //정상이자율 ( 2018-08-01 추가)
	private String rmbrFrmlCd;    //상환방식코드
	private String tooltipFg;

	private boolean isAddOneDayDfee;
	private boolean isAddOneDayLoseDfee;
	private String dlyToolTip;

    public String getLoanNo() {
		return loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public int getTims() {
		return tims;
	}

	public String getDueDt() {
		return dueDt;
	}

	public String getRlDueDt() {
		return rlDueDt;
	}

	public long getDlyAmt() {
		return dlyAmt;
	}

	public String getDlyCalcDt() {
		return dlyCalcDt;
	}

	public String getDfeeCalcDt() {
		return dfeeCalcDt;
	}

	public String getSetlDt() {
		return setlDt;
	}

	public int getThmmDueTims() {
		return thmmDueTims;
	}

	public String getThmmRlDueDt() {
		return thmmRlDueDt;
	}

	public long getDfee() {
		return dfee;
	}

	public long getHolyDfee() {
		return holyDfee;
	}

	public int getDlyDdcnt() {
		return dlyDdcnt;
	}

	public int getOccrDlyDdcnt() {
		return occrDlyDdcnt;
	}

	public int getDlyMmCnt() {
		return dlyMmCnt;
	}

	public int getDlyTcnt() {
		return dlyTcnt;
	}

	public double getDfeeRt() {
		return dfeeRt;
	}

	public double getAddDfeeRt() {
		return addDfeeRt;
	}

	public double getLoseDfeeRt() {
		return loseDfeeRt;
	}

	public String getDlyCalcSdt() {
		return dlyCalcSdt;
	}

	public String getDlyCalcEdt() {
		return dlyCalcEdt;
	}

	public String getThmmDueDt() {
		return thmmDueDt;
	}

	public String getLastSetlDt() {
		return lastSetlDt;
	}

	public String getLoseCalcStrtDt() {
		return loseCalcStrtDt;
	}

	public String getLoseCalcEndDt() {
		return loseCalcEndDt;
	}

	public String getLoseIntPsgStrtDt() {
		return loseIntPsgStrtDt;
	}

	public String getLoseIntPsgEndDt() {
		return loseIntPsgEndDt;
	}

	public String getLoseIntCalcStrtDt() {
		return loseIntCalcStrtDt;
	}

	public String getLoseIntCalcEndDt() {
		return loseIntCalcEndDt;
	}

	public long getLoseBalPamt() {
		return loseBalPamt;
	}

	public long getLoseObjPsgInt() {
		return loseObjPsgInt;
	}

	public String getLoseDueDt() {
		return loseDueDt;
	}

	public String getLoseRvvlFg() {
		return loseRvvlFg;
	}

	public String getLoseFg() {
		return loseFg;
	}

	public long getLoseRamtDfee() {
		return loseRamtDfee;
	}

	public long getLosePsgInt() {
		return losePsgInt;
	}

	public int getLosePsgDdcnt() {
		return losePsgDdcnt;
	}

	public int getLoseIntPsgDdcnt() {
		return loseIntPsgDdcnt;
	}

	public int getLoseTimsDdcnt() {
		return loseTimsDdcnt;
	}

	public String getLoseDt() {
		return loseDt;
	}

	public String getIsLoseTims() {
		return isLoseTims;
	}

	public String getIsLoseTims1() {
		return isLoseTims1;
	}

	public String getSubStartDlyDt() {
		return subStartDlyDt;
	}

	public String getSubEndDlyDt() {
		return subEndDlyDt;
	}

	public long getTimsBfAskPamt() {
		return timsBfAskPamt;
	}

	public long getAskInt() {
		return askInt;
	}

	public double getStndRt() {
		return stndRt;
	}

	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}

	public String getTooltipFg() {
		return tooltipFg;
	}

	public boolean isAddOneDayDfee() {
		return isAddOneDayDfee;
	}

	public boolean isAddOneDayLoseDfee() {
		return isAddOneDayLoseDfee;
	}

	public String getDlyToolTip() {
		return dlyToolTip;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public void setTims(int tims) {
		this.tims = tims;
	}

	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}

	public void setRlDueDt(String rlDueDt) {
		this.rlDueDt = rlDueDt;
	}

	public void setDlyAmt(long dlyAmt) {
		this.dlyAmt = dlyAmt;
	}

	public void setDlyCalcDt(String dlyCalcDt) {
		this.dlyCalcDt = dlyCalcDt;
	}

	public void setDfeeCalcDt(String dfeeCalcDt) {
		this.dfeeCalcDt = dfeeCalcDt;
	}

	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}

	public void setThmmDueTims(int thmmDueTims) {
		this.thmmDueTims = thmmDueTims;
	}

	public void setThmmRlDueDt(String thmmRlDueDt) {
		this.thmmRlDueDt = thmmRlDueDt;
	}

	public void setDfee(long dfee) {
		this.dfee = dfee;
	}

	public void setHolyDfee(long holyDfee) {
		this.holyDfee = holyDfee;
	}

	public void setDlyDdcnt(int dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}

	public void setOccrDlyDdcnt(int occrDlyDdcnt) {
		this.occrDlyDdcnt = occrDlyDdcnt;
	}

	public void setDlyMmCnt(int dlyMmCnt) {
		this.dlyMmCnt = dlyMmCnt;
	}

	public void setDlyTcnt(int dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}

	public void setDfeeRt(double dfeeRt) {
		this.dfeeRt = dfeeRt;
	}

	public void setAddDfeeRt(double addDfeeRt) {
		this.addDfeeRt = addDfeeRt;
	}

	public void setLoseDfeeRt(double loseDfeeRt) {
		this.loseDfeeRt = loseDfeeRt;
	}

	public void setDlyCalcSdt(String dlyCalcSdt) {
		this.dlyCalcSdt = dlyCalcSdt;
	}

	public void setDlyCalcEdt(String dlyCalcEdt) {
		this.dlyCalcEdt = dlyCalcEdt;
	}

	public void setThmmDueDt(String thmmDueDt) {
		this.thmmDueDt = thmmDueDt;
	}

	public void setLastSetlDt(String lastSetlDt) {
		this.lastSetlDt = lastSetlDt;
	}

	public void setLoseCalcStrtDt(String loseCalcStrtDt) {
		this.loseCalcStrtDt = loseCalcStrtDt;
	}

	public void setLoseCalcEndDt(String loseCalcEndDt) {
		this.loseCalcEndDt = loseCalcEndDt;
	}

	public void setLoseIntPsgStrtDt(String loseIntPsgStrtDt) {
		this.loseIntPsgStrtDt = loseIntPsgStrtDt;
	}

	public void setLoseIntPsgEndDt(String loseIntPsgEndDt) {
		this.loseIntPsgEndDt = loseIntPsgEndDt;
	}

	public void setLoseIntCalcStrtDt(String loseIntCalcStrtDt) {
		this.loseIntCalcStrtDt = loseIntCalcStrtDt;
	}

	public void setLoseIntCalcEndDt(String loseIntCalcEndDt) {
		this.loseIntCalcEndDt = loseIntCalcEndDt;
	}

	public void setLoseBalPamt(long loseBalPamt) {
		this.loseBalPamt = loseBalPamt;
	}

	public void setLoseObjPsgInt(long loseObjPsgInt) {
		this.loseObjPsgInt = loseObjPsgInt;
	}

	public void setLoseDueDt(String loseDueDt) {
		this.loseDueDt = loseDueDt;
	}

	public void setLoseRvvlFg(String loseRvvlFg) {
		this.loseRvvlFg = loseRvvlFg;
	}

	public void setLoseFg(String loseFg) {
		this.loseFg = loseFg;
	}

	public void setLoseRamtDfee(long loseRamtDfee) {
		this.loseRamtDfee = loseRamtDfee;
	}

	public void setLosePsgInt(long losePsgInt) {
		this.losePsgInt = losePsgInt;
	}

	public void setLosePsgDdcnt(int losePsgDdcnt) {
		this.losePsgDdcnt = losePsgDdcnt;
	}

	public void setLoseIntPsgDdcnt(int loseIntPsgDdcnt) {
		this.loseIntPsgDdcnt = loseIntPsgDdcnt;
	}

	public void setLoseTimsDdcnt(int loseTimsDdcnt) {
		this.loseTimsDdcnt = loseTimsDdcnt;
	}

	public void setLoseDt(String loseDt) {
		this.loseDt = loseDt;
	}

	public void setIsLoseTims(String isLoseTims) {
		this.isLoseTims = isLoseTims;
	}

	public void setIsLoseTims1(String isLoseTims1) {
		this.isLoseTims1 = isLoseTims1;
	}

	public void setSubStartDlyDt(String subStartDlyDt) {
		this.subStartDlyDt = subStartDlyDt;
	}

	public void setSubEndDlyDt(String subEndDlyDt) {
		this.subEndDlyDt = subEndDlyDt;
	}

	public void setTimsBfAskPamt(long timsBfAskPamt) {
		this.timsBfAskPamt = timsBfAskPamt;
	}

	public void setAskInt(long askInt) {
		this.askInt = askInt;
	}

	public void setStndRt(double stndRt) {
		this.stndRt = stndRt;
	}

	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}

	public void setTooltipFg(String tooltipFg) {
		this.tooltipFg = tooltipFg;
	}

	public void setAddOneDayDfee(boolean isAddOneDayDfee) {
		this.isAddOneDayDfee = isAddOneDayDfee;
	}

	public void setAddOneDayLoseDfee(boolean isAddOneDayLoseDfee) {
		this.isAddOneDayLoseDfee = isAddOneDayLoseDfee;
	}

	public void setDlyToolTip(String dlyToolTip) {
		this.dlyToolTip = dlyToolTip;
	}

	public boolean isTooltipShow(){
		return AskUnrcvConst.YES.equals(this.tooltipFg);
	}
}
