package hanalife.b.cm.kf.svc;

import hanalife.b.cm.kf.vo.BtKfbCrdtBadCntrErrTDO;
import hanalife.b.cm.kf.vo.BtKfbCrdtBadCntrHistTDO;
import hanalife.b.cm.kf.vo.BtKfbCrdtBadCntrModifyErrTDO;
import hanalife.b.cm.kf.vo.BtKfbCrdtBadCntrModifyHistTDO;
import hanalife.b.cm.kf.vo.BtKfbDebtGuarCntrErrTDO;
import hanalife.b.cm.kf.vo.BtKfbDebtGuarHistTDO;
import hanalife.b.cm.kf.vo.BtKfbEntGuarCntrErrTDO;
import hanalife.b.cm.kf.vo.BtKfbEntGuarHistTDO;
import hanalife.b.cm.kf.vo.BtKfbEntLoanTrCntrErrTDO;
import hanalife.b.cm.kf.vo.BtKfbEntLoanTrHistTDO;
import hanalife.b.cm.kf.vo.BtKfbEntMrtgCntrErrTDO;
import hanalife.b.cm.kf.vo.BtKfbEntMrtgHistTDO;
import hanalife.b.cm.kf.vo.BtKfbLoanTrCntrErrTDO;
import hanalife.b.cm.kf.vo.BtKfbLoanTrCntrchgErrTDO;
import hanalife.b.cm.kf.vo.BtKfbLoanTrHistTDO;

/**
 * <pre>
 * 클래스명    : KfbErrMngConverter
 * 클래스설명 : KfbErrMngConverter의 설명
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class KfbErrMngConverter
{

    public static void convertFile01ToErrTdo(String[] result,BtKfbLoanTrHistTDO tdo ,BtKfbLoanTrCntrErrTDO errTdo,boolean PKyn)
    {
    	System.out.println(" :::: convertFile01ToErrTdo :::: ");
    	if(PKyn)
    	{
        	errTdo.setJobDt            (tdo.getJobDt()); // 작업_일자
        	errTdo.setRegBlckSnum      (tdo.getRegBlckSnum()); // 등록_블록_일련번호
        	errTdo.setRegSnum          (tdo.getRegSnum()); // 등록_일련번호
        	errTdo.setDataSnum         (tdo.getDataSnum()); // 자료_일련번호
    	}
    	else
    	{

    		for(int i = 0; i < result.length; i++ ) {
    			System.out.println(i + "=" + result[i]);
    		}

        	//errTdo.setCustNo           (result[5]); // 고객번호
        	//errTdo.setLoanNo           (result[14]); // 계좌번호 => 확인 필요
        	errTdo.setErrCd            (result[40]); // 오류_코드
        	errTdo.setBsnDivErr        (result[41]); // 거래_구분_코드_오류
        	errTdo.setDataDivErr       (result[42]); // 자료_구분_오류
        	errTdo.setSnumErr          (result[43]); // 일련번호_오류
        	errTdo.setDataDivCdErr     (result[44]); // 자료_구분_코드_오류
        	errTdo.setRegCdErr         (result[45]); // 등록_코드_오류
        	errTdo.setCustNoErr        (result[46]); // 고객번호_오류
        	errTdo.setMtalErr          (result[47]); // 상호_오류
        	errTdo.setNameErr          (result[48]); // 성명_오류
        	errTdo.setJobCdErr         (result[49]); // 직업_코드_오류
        	errTdo.setBzitCdErr        (result[50]); // 업종_코드_오류
        	errTdo.setShopCdErr        (result[51]); // 점포_코드_오류
        	errTdo.setLoanDtErr        (result[52]); // 대출_일자_오류
        	errTdo.setAmtErr           (result[53]); // 금액_오류
        	errTdo.setVarDtErr         (result[54]); // 변동_일자_오류
            errTdo.setLoanNoErr        (result[55]); // 연계대출
            errTdo.setLoanDivErr       (result[56]); // 대출_구분_오류
            errTdo.setLnkLoanFgErr     (result[57]); // 연계대출_여부_오류
            errTdo.setSpclBndMoAcntNoErr(result[58]); // 특수채권_모_계좌번호_오류
            errTdo.setPpFincDivErr     (result[58]);  // 서민금융_구분_오류
            errTdo.setPartMrtgFgErr    (result[59]); // 부분_담보여부__오류
            errTdo.setDsrDivErr         (result[60]); // DSR 항목 Error

    	}
    }

    public static void convertFile02ToErrTdo(String[] result,BtKfbDebtGuarHistTDO tdo
       	,BtKfbDebtGuarCntrErrTDO errTdo,boolean PKyn)
    {
    	if(PKyn)
    	{
    		errTdo.setJobDt            (tdo.getJobDt()); // 작업_일자
    		errTdo.setRegBlckSnum      (tdo.getRegBlckSnum()); // 등록_블록_일련번호
    		errTdo.setRegSnum          (tdo.getRegSnum()); // 등록_일련번호
    		errTdo.setDataSnum         (tdo.getDataSnum()); // 자료_일련번호
    	}
    	else
    	{
    		errTdo.setCustNo           (result[5]); // 고객번호
    		errTdo.setErrCd            (result[20]); // 오류_코드
    		errTdo.setTrDivCdErr       (result[21]); // 거래_구분_코드_오류
    		errTdo.setDataDivErr       (result[22]); // 자료_구분_오류
    		errTdo.setSnumErr          (result[23]); // 일련번호_오류
    		errTdo.setDataDivCdErr     (result[24]); // 자료_구분_코드_오류
    		errTdo.setRegCdErr         (result[25]); // 등록_코드_오류
    		errTdo.setCustNoErr        (result[26]); // 고객번호_오류
    		errTdo.setCustNoDivErr     (result[27]); // 고객번호_구분_오류
    		errTdo.setMtalNmErr        (result[28]); // 상호_명_오류
    		errTdo.setNameErr          (result[29]); // 성명_오류
    		errTdo.setJobCdErr         (result[30]); // 직업_코드_오류
    		errTdo.setBzitCdErr        (result[31]); // 업종_코드_오류
    		errTdo.setShopCdErr        (result[32]); // 점포_코드_오류
    		errTdo.setDebtGuarOccrDtErr(result[33]); // 발생_일자_오류
    		errTdo.setAmtErr           (result[34]); // 금액_오류
    		errTdo.setDebtGuarVarDtErr (result[40]); // 변동_일자_오류
    	}
    }

    public static void convertFile03ToErrTdo(String[] result,BtKfbCrdtBadCntrHistTDO tdo
       	,BtKfbCrdtBadCntrErrTDO errTdo,boolean PKyn)
    {
    	if(PKyn)
    	{
    		errTdo.setJobDt           (tdo.getJobDt()); // 작업_일자
    		errTdo.setRegBlckSnum     (tdo.getRegBlckSnum()); // 등록_블록_일련번호
    		errTdo.setRegSnum         (tdo.getRegSnum()); // 등록_일련번호
    		errTdo.setDataSnum        (tdo.getDataSnum()); // 자료_일련번호
    	}
    	else
    	{
    		errTdo.setAcntNo          (result[12]); // 대출_번호
    		errTdo.setCustNo          (result[6]); // 고객번호
    		errTdo.setErrCd           (result[42]); // 오류_코드
    		errTdo.setBsnDivErr       (result[43]); // 거래_구분_코드_오류
    		errTdo.setDataDivErr      (result[44]); // 자료_구분_오류
    		errTdo.setSnumErr         (result[45]); // 일련번호_오류
    		errTdo.setDataDivCdErr    (result[46]); // 자료_구분_코드_오류
    		errTdo.setRsnDivCdErr     (result[47]); // 사유_구분_코드_오류
    		errTdo.setRegCdErr        (result[48]); // 등록_코드_오류
    		errTdo.setCustNoErr       (result[49]); // 고객번호_오류
    		errTdo.setCustNoDivErr    (result[50]); // 고객_유형_코드_오류
    		errTdo.setMtalErr         (result[51]); // 상호_오류
    		errTdo.setCustNmErr       (result[52]); // 고객_명_오류
    		errTdo.setJobCdErr        (result[53]); // 직업_코드_오류
    		errTdo.setBzitCdErr       (result[54]); // 업종_코드_오류
    		errTdo.setAcntNoErr       (result[55]); // 계좌_번호_오류
    		errTdo.setShopCdErr       (result[56]); // 점포_코드_오류
    		errTdo.setBadOccrDtErr    (result[57]); // 불량_발생_일자_오류
    		errTdo.setClosDtErr       (result[58]); // 해제_일자_오류
    		errTdo.setRegAmtErr       (result[59]); // 등록_금액_오류
    		errTdo.setRegAmtVeriFldErr(result[60]); // 등록_금액_검증_필드_오류
    		errTdo.setDlyAmtErr       (result[61]); // 연체_금액_오류
    		errTdo.setDlyAmtVeriFldErr(result[62]); // 연체_금액_검증_필드_오류
    		errTdo.setTranShopErr     (result[63]); // 이관_점포_오류
    		errTdo.setCorpRegNoErr    (result[64]); // 법인등록번호_오류
    		errTdo.setContDtErr       (result[65]); // 약정_일자_오류
    		errTdo.setClosDivCdErr    (result[66]); // 해제_구분_코드_오류
    		errTdo.setRelManCntErr    (result[67]); // 관련인_건수_오류
    		errTdo.setRelManErr       (result[68]); // 관련인_오류
    		errTdo.setPreWorkOutSnctamtFg (result[69]); // PRE_WORK_OUT_제재금_여부
    	}
    }

    public static void convertFile04ToErrTdo(String[] result,BtKfbCrdtBadCntrModifyHistTDO tdo
           	,BtKfbCrdtBadCntrModifyErrTDO errTdo,boolean PKyn)
        {
        	if(PKyn)
        	{
        		errTdo.setJobDt           (tdo.getJobDt()); // 작업_일자
        		errTdo.setRegBlckSnum     (tdo.getRegBlckSnum()); // 등록_블록_일련번호
        		errTdo.setRegSnum         (tdo.getRegSnum()); // 등록_일련번호
        		errTdo.setDataSnum        (tdo.getDataSnum()); // 자료_일련번호
        	}
        	else
        	{
        		errTdo.setAcntNo         (result[15]);
        		errTdo.setCustNo         (result[4]);
        		errTdo.setErrCd          (result[36]);
        		errTdo.setBsnDivErr      (result[37]);
        		errTdo.setDataDivErr     (result[38]);
        		errTdo.setSnumErr        (result[39]);
        		errTdo.setDataDivCdErr   (result[40]);
        		errTdo.setAftCustNoErr   (result[41]);
        		errTdo.setAftCustTpCdErr (result[42]);
        		errTdo.setBefCustNoErr   (result[43]);
        		errTdo.setBefCustTpCdErr (result[44]);
        		errTdo.setAftMtalErr     (result[45]);
        		errTdo.setAftCustNmErr   (result[46]);
        		errTdo.setAftJobCdErr    (result[47]);
        		errTdo.setAftBzitCdErr   (result[48]);
        		errTdo.setAftCorpRegNoErr(result[49]);
        		errTdo.setBefRsnDivCdErr (result[50]);
        		errTdo.setBefRegRsnCdErr (result[51]);
        		errTdo.setBefLoanNoErr   (result[52]);
        		errTdo.setBefShopCdErr   (result[53]);
        		errTdo.setBefBadOccrDtErr(result[54]);
        		errTdo.setAftRsnDivCdErr (result[55]);
        		errTdo.setAftRegRsnCdErr (result[56]);
        		errTdo.setAftLoanNoErr   (result[57]);
        		errTdo.setAftShopCdErr   (result[58]);
        		errTdo.setAftBadOccrDtErr(result[59]);
        		errTdo.setAftClosDtErr   (result[60]);
        		errTdo.setAftRegAmtErr   (result[61]);
        		errTdo.setAftRegAmtChkErr(result[62]);
        		errTdo.setAftDlyAmtErr   (result[63]);
        		errTdo.setAftDlyAmtChkErr(result[64]);
        		errTdo.setAftContDtErr   (result[65]);
        		errTdo.setAftClosDivCdErr(result[66]);
        	}
        }

    public static void convertFile06ToErrTdo(String[] result, BtKfbLoanTrHistTDO tdo
           	,BtKfbLoanTrCntrchgErrTDO errTdo,boolean PKyn)
        {
        	if(PKyn)
        	{
        		errTdo.setJobDt           (tdo.getJobDt()); // 작업_일자
        		errTdo.setRegBlckSnum     (tdo.getRegBlckSnum()); // 등록_블록_일련번호
        		errTdo.setRegSnum         (tdo.getRegSnum()); // 등록_일련번호
        		errTdo.setDataSnum        (tdo.getDataSnum()); // 자료_일련번호
        	}
            else
            {

                for(int i = 0; i < result.length; i++ ) {
                    System.out.println(i + "=" + result[i]);
                }
                errTdo.setErrCd             (result[27]); //오류_코드
                errTdo.setBsnDivErr         (result[28]); //거래_구분_코드_오류
                errTdo.setDataDivErr        (result[29]); //자료_구분_오류
                errTdo.setSnumErr           (result[30]); //일련번호_오류
                errTdo.setDataDivCdErr      (result[31]); //자료_구분_코드_오류
                errTdo.setCustNoErr         (result[32]); //고객번호_오류
                errTdo.setCustNoBfErr       (result[33]); //고객번호_전_오류
                errTdo.setMtalErr           (result[34]); //상호_오류
                errTdo.setNameErr           (result[35]); //성명_오류
                errTdo.setJobCdErr          (result[36]); //직업_코드_오류
                errTdo.setBzitCdErr         (result[37]); //업종_코드_오류
                errTdo.setShopCdBfErr       (result[38]); //점포_코드_전_오류
                errTdo.setRegCdBfErr        (result[39]); //등록_코드_전_오류
                errTdo.setLoanDtBfErr       (result[40]); //대출_일자_전_오류
                errTdo.setLoanNoBfErr       (result[41]); //계좌번호_전_오류
                errTdo.setShopCdErr         (result[42]); //점포_코드_오류
                errTdo.setRegCdErr          (result[43]); //등록_코드_오류
                errTdo.setLoanDtErr         (result[44]); //대출_일자_오류
                errTdo.setLoanNoErr         (result[45]); //계좌번호_오류
                errTdo.setAmtErr            (result[46]); //금액_오류
                errTdo.setVarDtErr          (result[47]); //변동일_오류
                errTdo.setLoanDivErr        (result[48]); //대출구분 오류
                errTdo.setLnkLoanFgErr      (result[49]); //연계_대출_여부_오류
                errTdo.setPpFincDivErr      (result[50]); //서민금융구분Error
                errTdo.setSpclBndMoAcntNoErr(result[51]); //특수채권모계좌번호Error
                errTdo.setRmrkErr           (result[52]); //비고_오류
                errTdo.setPartMrtgFgErr     (result[53]); //부분담보여부Error

            }

        }

    public static void convertFile07ToErrTdo(String[] result, BtKfbEntLoanTrHistTDO tdo
            ,BtKfbEntLoanTrCntrErrTDO errTdo,boolean PKyn)
        {
            if(PKyn)
            {
                errTdo.setJobDt           (tdo.getJobDt()); // 작업_일자
                errTdo.setRegBlckSnum     (tdo.getRegBlckSnum()); // 등록_블록_일련번호
                errTdo.setRegSnum         (tdo.getRegSnum()); // 등록_일련번호
                errTdo.setDataSnum        (tdo.getDataSnum()); // 자료_일련번호
            }
            else
            {

                for(int i = 0; i < result.length; i++ ) {
                    System.out.println(i + "=" + result[i]);
                }
                errTdo.setErrCd              (result[35]); //오류_코드
                errTdo.setBsnDivErr          (result[36]); //거래_구분_코드_오류
                errTdo.setDataDivErr         (result[37]); //자료_구분_오류
                errTdo.setSnumErr            (result[38]); //일련번호_오류
                errTdo.setRegDivCdErr        (result[39]); //처리구분코드 Error
                errTdo.setShopCdErr          (result[40]); //점포코드 Error
                errTdo.setRegRsnDtErr        (result[41]); //등록사유발생일자 Error
                errTdo.setLastChngDtErr      (result[42]); //최종변경일자 Error
                errTdo.setBrwrCdErr          (result[43]); //차주구분코드 Error
                errTdo.setCorpRegNoErr       (result[44]); //주민(법인)등록번호 Error
                errTdo.setBizNoErr           (result[45]); //사업자등록번호 Error
                errTdo.setCustNmErr          (result[46]); //상호명 Error
                errTdo.setReprNameErr        (result[47]); //대표자 성명 Error
                errTdo.setBzitDivCdErr       (result[48]); //업종코드 Error
                errTdo.setLoanNoErr          (result[49]); //거래번호 Error
                errTdo.setGodsNameErr        (result[50]); //상품명 Error
                errTdo.setLoanClosDtErr      (result[51]); //만기일자 Error
                errTdo.setChngAmtErr         (result[52]); //신용공여 잔액 Error
                errTdo.setLoanDivCdErr       (result[53]); //계정과목코드 Error
                errTdo.setLoanIntErr         (result[54]); //금리 Error
                errTdo.setDefrTermErr        (result[55]); //거치개월 Error
                errTdo.setDefrClosDtErr      (result[56]); //거치기간 종료일 Error
                errTdo.setRmbrFrmlCdErr      (result[57]); //상환방식코드 Error
                errTdo.setCloRmbrAmtErr      (result[58]); //만기지정상환금액 Error
                errTdo.setMrtgKindErr        (result[59]); //담보유형코드 Error
                errTdo.setFirstVndrCdErr     (result[60]); //최초 채권기관코드 Error
                errTdo.setPpFincDivCdErr     (result[61]); //서민금융코드 Error
                errTdo.setSpclBndMoAcntNoErr (result[62]); //특수채권의 모계좌번호 Error
                errTdo.setDeffFlErr          (result[63]); //10일이상 연체여부 Error
                errTdo.setDeffRsn1Err        (result[64]); //연체사유코드1 Error
                errTdo.setDeffRsn2Err        (result[65]); //연체사유코드2 Error
                errTdo.setDlyStrtDtErr       (result[66]); //연체사유발생일자 Error
                errTdo.setBadDebtDeprDtErr   (result[67]); //상각일자 Error
                errTdo.setDlyPamtErr         (result[68]); //원금연체금액 Error
                errTdo.setDlyIntErr          (result[69]); //이자연체금액 Error
            }

        }

    public static void convertFile08ToErrTdo(String[] result, BtKfbEntMrtgHistTDO tdo
            ,BtKfbEntMrtgCntrErrTDO errTdo,boolean PKyn)
        {
            if(PKyn)
            {
                errTdo.setJobDt           (tdo.getJobDt()); // 작업_일자
                errTdo.setRegBlckSnum     (tdo.getRegBlckSnum()); // 등록_블록_일련번호
                errTdo.setRegSnum         (tdo.getRegSnum()); // 등록_일련번호
                errTdo.setDataSnum        (tdo.getDataSnum()); // 자료_일련번호
            }
            else
            {

                for(int i = 0; i < result.length; i++ ) {
                    System.out.println(i + "=" + result[i]);
                }
                errTdo.setErrCd              (result[15]); //오류_코드
                errTdo.setBsnDivErr          (result[16]); //거래_구분_코드_오류
                errTdo.setDataDivErr         (result[17]); //자료_구분_오류
                errTdo.setSnumErr            (result[18]); //일련번호_오류
                errTdo.setRegDivCdErr        (result[19]); //처리구분코드 Error
                errTdo.setShopCdErr          (result[20]); //점포코드 Error
                errTdo.setRegRsnDtErr        (result[21]); //등록사유발생일자 Error
                errTdo.setLastChngDtErr      (result[22]); //최종변경일자 Error
                errTdo.setBrwrCdErr          (result[23]); //차주구분코드 Error
                errTdo.setCorpRegNoErr       (result[24]); //주민(법인)등록번호 Error
                errTdo.setBizNoErr           (result[25]); //사업자등록번호 Error
                errTdo.setCustNmErr          (result[26]); //상호명 Error
                errTdo.setReprNameErr        (result[27]); //대표자 성명 Error
                errTdo.setItemCdErr          (result[28]); //담보코드 Error
                errTdo.setChngAmtErr         (result[29]); //금액 Error
            }

        }

    public static void convertFile09ToErrTdo(String[] result, BtKfbEntGuarHistTDO tdo
            ,BtKfbEntGuarCntrErrTDO errTdo,boolean PKyn)
        {
            if(PKyn)
            {
                errTdo.setJobDt           (tdo.getJobDt()); // 작업_일자
                errTdo.setRegBlckSnum     (tdo.getRegBlckSnum()); // 등록_블록_일련번호
                errTdo.setRegSnum         (tdo.getRegSnum()); // 등록_일련번호
                errTdo.setDataSnum        (tdo.getDataSnum()); // 자료_일련번호
            }
            else
            {

                for(int i = 0; i < result.length; i++ ) {
                    System.out.println(i + "=" + result[i]);
                }
                errTdo.setErrCd              (result[15]); //오류_코드
                errTdo.setBsnDivErr          (result[16]); //거래_구분_코드_오류
                errTdo.setDataDivErr         (result[17]); //자료_구분_오류
                errTdo.setSnumErr            (result[18]); //일련번호_오류
                errTdo.setRegDivCdErr        (result[19]); //처리구분코드 Error
                errTdo.setShopCdErr          (result[20]); //점포코드 Error
                errTdo.setRegRsnDtErr        (result[21]); //등록사유발생일자 Error
                errTdo.setLastChngDtErr      (result[22]); //최종변경일자 Error
                errTdo.setBrwrCdErr          (result[23]); //차주구분코드 Error
                errTdo.setCorpRegNoErr       (result[24]); //주민(법인)등록번호 Error
                errTdo.setBizNoErr           (result[25]); //사업자등록번호 Error
                errTdo.setCustNmErr          (result[26]); //상호명 Error
                errTdo.setReprNameErr        (result[27]); //대표자 성명 Error
                errTdo.setItemCdErr          (result[28]); //담보코드 Error
                errTdo.setChngAmtErr         (result[29]); //금액 Error
            }

        }
}

