package hanalife.b.cm.kf.vo;
import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbCrdtBadCntrModifyHistTDO
 * 클래스설명 : 은행연합회_신용_불량_집중_정정_이력 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbCrdtBadCntrModifyHistTDO extends AbstractVO {
    private String jobDt;			//작업_일자
    private String regBlckSnum; 	//등록_블록_일련번호
    private String regSnum; 		//등록_일련번호
    private String dataSnum; 		//자료_일련번호
    private String regDivCd;		//REG_DIV_CD"  등록_구분_코드
    private String aftCustNo;		//AFT_CUST_NO"  변경후_고객번호
    private String aftCustTpCd;		//AFT_CUST_TP_CD"  변경후_고객_유형_코드
    private String befCustNo;		//BEF_CUST_NO"  변경전_고객번호
    private String befCustTpCd;		//BEF_CUST_TP_CD"  변경전_고객_유형_코드
    private String aftMtal;			//AFT_MTAL"  변경후_상호
    private String aftCustNm;		//AFT_CUST_NM"  변경후_고객_명
    private String aftJobCd;		//AFT_JOB_CD"  변경후_직업_코드
    private String aftBzitCd;		//AFT_BZIT_CD"  변경후_업종_코드
    private String aftCorpRegNo;	//AFT_CORP_REG_NO"  변경후_법인등록번호
    private String befRsnDivCd;		//BEF_RSN_DIV_CD"  변경전_사유_구분_코드
    private String befRegRsnCd;		//BEF_REG_RSN_CD"  변경전_등록_사유_코드
    private String befLoanNo;		//BEF_LOAN_NO"  변경전_대출_번호
    private String befLoanSeq;		//BEF_LOAN_SEQ"  변경전_대출_순번
    private String befShopCd;		//BEF_SHOP_CD"  변경전_점포_코드
    private String befBadOccrDt;	//BEF_BAD_OCCR_DT"  변경전_불량_발생_일자
    private String aftRsnDivCd;		//AFT_RSN_DIV_CD"  변경후_사유_구분_코드
    private String aftRegRsnCd;		//AFT_REG_RSN_CD"  변경후_등록_사유_코드
    private String aftLoanNo;		//AFT_LOAN_NO"  변경후_대출_번호
    private String aftLoanSeq;		//AFT_LOAN_SEQ"  변경후_대출_순번
    private String aftShopCd;		//AFT_SHOP_CD"  변경후_점포_코드
    private String aftBadOccrDt;	//AFT_BAD_OCCR_DT"  변경후_불량_발생_일자
    private String aftClosDt;		//AFT_CLOS_DT"  변경후_해제_일자
    private String aftRegAmt;		//AFT_REG_AMT"  변경후_등록_금액
    private String aftDlyAmt;		//AFT_DLY_AMT"  변경후_연체_금액
    private String aftContDt;		//AFT_CONT_DT"  변경후_약정_일자
    private String aftClosDivCd;	//AFT_CLOS_DIV_CD"  변경후_해제_구분_코드
    private String prgsStatCd;		//PRGS_STAT_CD"  진행_상태_코드
    private String rmrk;			//RMRK"  비고

    public String getJobDt		 () { return jobDt;       }
    public String getRegBlckSnum () { return regBlckSnum; }
    public String getRegSnum	 () { return regSnum;     }
    public String getDataSnum	 () { return dataSnum; 	  }
    public String getRegDivCd	 () { return regDivCd;    }
    public String getAftCustNo	 () { return aftCustNo;   }
    public String getAftCustTpCd () { return aftCustTpCd; }
    public String getBefCustNo	 () { return befCustNo;   }
    public String getBefCustTpCd () { return befCustTpCd; }
    public String getAftMtal	 () { return aftMtal;     }
    public String getAftCustNm	 () { return aftCustNm;   }
    public String getAftJobCd	 () { return aftJobCd;    }
    public String getAftBzitCd	 () { return aftBzitCd;   }
    public String getAftCorpRegNo() { return aftCorpRegNo;}
    public String getBefRsnDivCd () { return befRsnDivCd; }
    public String getBefRegRsnCd () { return befRegRsnCd; }
    public String getBefLoanNo	 () { return befLoanNo;   }
    public String getBefLoanSeq	 () { return befLoanSeq;  }
    public String getBefShopCd	 () { return befShopCd;   }
    public String getBefBadOccrDt() { return befBadOccrDt;}
    public String getAftRsnDivCd () { return aftRsnDivCd; }
    public String getAftRegRsnCd () { return aftRegRsnCd; }
    public String getAftLoanNo	 () { return aftLoanNo;   }
    public String getAftLoanSeq	 () { return aftLoanSeq;  }
    public String getAftShopCd	 () { return aftShopCd;   }
    public String getAftBadOccrDt() { return aftBadOccrDt;}
    public String getAftClosDt	 () { return aftClosDt;   }
    public String getAftRegAmt	 () { return aftRegAmt;   }
    public String getAftDlyAmt	 () { return aftDlyAmt;   }
    public String getAftContDt	 () { return aftContDt;   }
    public String getAftClosDivCd() { return aftClosDivCd;}
    public String getPrgsStatCd	 () { return prgsStatCd;  }
    public String getRmrk		 () { return rmrk;        }

    public void setJobDt       (String jobDt       ) {this.jobDt       = jobDt      ;}
    public void setRegBlckSnum (String regBlckSnum ) {this.regBlckSnum = regBlckSnum;}
    public void setRegSnum     (String regSnum     ) {this.regSnum     = regSnum    ;}
    public void setDataSnum    (String dataSnum    ) {this.dataSnum    = dataSnum   ;}
    public void setRegDivCd	   (String regDivCd    ) {this.regDivCd    =regDivCd    ;}
    public void setAftCustNo   (String aftCustNo   ) {this.aftCustNo   =aftCustNo   ;}
    public void setAftCustTpCd (String aftCustTpCd ) {this.aftCustTpCd =aftCustTpCd ;}
    public void setBefCustNo   (String befCustNo   ) {this.befCustNo   =befCustNo   ;}
    public void setBefCustTpCd (String befCustTpCd ) {this.befCustTpCd =befCustTpCd ;}
    public void setAftMtal	   (String aftMtal     ) {this.aftMtal     =aftMtal     ;}
    public void setAftCustNm   (String aftCustNm   ) {this.aftCustNm   =aftCustNm   ;}
    public void setAftJobCd	   (String aftJobCd    ) {this.aftJobCd    =aftJobCd    ;}
    public void setAftBzitCd   (String aftBzitCd   ) {this.aftBzitCd   =aftBzitCd   ;}
    public void setAftCorpRegNo(String aftCorpRegNo) {this.aftCorpRegNo=aftCorpRegNo;}
    public void setBefRsnDivCd (String befRsnDivCd ) {this.befRsnDivCd =befRsnDivCd ;}
    public void setBefRegRsnCd (String befRegRsnCd ) {this.befRegRsnCd =befRegRsnCd ;}
    public void setBefLoanNo   (String befLoanNo   ) {this.befLoanNo   =befLoanNo   ;}
    public void setBefLoanSeq  (String befLoanSeq  ) {this.befLoanSeq  =befLoanSeq  ;}
    public void setBefShopCd   (String befShopCd   ) {this.befShopCd   =befShopCd   ;}
    public void setBefBadOccrDt(String befBadOccrDt) {this.befBadOccrDt=befBadOccrDt;}
    public void setAftRsnDivCd (String aftRsnDivCd ) {this.aftRsnDivCd =aftRsnDivCd ;}
    public void setAftRegRsnCd (String aftRegRsnCd ) {this.aftRegRsnCd =aftRegRsnCd ;}
    public void setAftLoanNo   (String aftLoanNo   ) {this.aftLoanNo   =aftLoanNo   ;}
    public void setAftLoanSeq  (String aftLoanSeq  ) {this.aftLoanSeq  =aftLoanSeq  ;}
    public void setAftShopCd   (String aftShopCd   ) {this.aftShopCd   =aftShopCd   ;}
    public void setAftBadOccrDt(String aftBadOccrDt) {this.aftBadOccrDt=aftBadOccrDt;}
    public void setAftClosDt   (String aftClosDt   ) {this.aftClosDt   =aftClosDt   ;}
    public void setAftRegAmt   (String aftRegAmt   ) {this.aftRegAmt   =aftRegAmt   ;}
    public void setAftDlyAmt   (String aftDlyAmt   ) {this.aftDlyAmt   =aftDlyAmt   ;}
    public void setAftContDt   (String aftContDt   ) {this.aftContDt   =aftContDt   ;}
    public void setAftClosDivCd(String aftClosDivCd) {this.aftClosDivCd=aftClosDivCd;}
    public void setPrgsStatCd  (String prgsStatCd  ) {this.prgsStatCd  =prgsStatCd  ;}
    public void setRmrk		   (String rmrk        ) {this.rmrk        =rmrk        ;}
}
