package hanalife.b.cn.ui.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.cn.ui.mapper.dto.CntcIpssManReadDSSDDODTO;
import hanalife.b.cn.ui.mapper.dto.CntcIpssManReadDSSMDODTO;

@Mapper("cntcIpssManReadMapper")
public interface CntcIpssManReadMapper {

    /**
     * <pre>
     * 메소드명      : searchDeptList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 연락불능자목록조회을(를) 조회 한다.
     * 메소드인수1   : 연락불능자목록조회 입력
     * 메소드리턴값  : 연락불능자목록조회 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CntcIpssManReadDSSDDODTO> searchList(CntcIpssManReadDSSMDODTO inDto) throws Exception;


}
