package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO01DTO {

	private String custNo; /*  */
	private String custNm; /*  */
	private String loanNo; /*  */
	private String loanSeq; /*  */
	private String bndStatNm; /*  */
	private String dlyTcnt; /*  */
	private String dlyAmt; /*  */
	private String loanPamt; /*  */
	private String dlyPamt; /*  */
	private String loanTerm; /*  */
	private String dueMethNm; /*  */
	private String setlDd; /*  */
	private String deptNm; /*  */
	private String prdtClasNm; /*  */
	private String prdtNm; /*  */
	private String godsNm; /*  */
	private String custResiNo; /*  */
	private String carsNo; /*  */
	private String custTpCd; /*  */
	private String dlyDdcnt; /*  */
	private String loanStatNm; /*  */
	private String prdtLrgeClasCd; /*  */
	private String prdtMidClasCd; /*  */
	private String prdtSmClasCd; /*  */

	private String rcntSetlDt; /* 최근결제일자 */
	private String nextDueDt; /* 다음이자납입일자 */

	private String cntcPlcTel;

	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getBndStatNm() {
		return bndStatNm;
	}
	public void setBndStatNm(String bndStatNm) {
		this.bndStatNm = bndStatNm;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(String dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public String getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(String loanPamt) {
		this.loanPamt = loanPamt;
	}
	public String getDlyPamt() {
		return dlyPamt;
	}
	public void setDlyPamt(String dlyPamt) {
		this.dlyPamt = dlyPamt;
	}
	public String getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(String loanTerm) {
		this.loanTerm = loanTerm;
	}
	public String getDueMethNm() {
		return dueMethNm;
	}
	public void setDueMethNm(String dueMethNm) {
		this.dueMethNm = dueMethNm;
	}
	public String getSetlDd() {
		return setlDd;
	}
	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}
	public String getDeptNm() {
		return deptNm;
	}
	public void setDeptNm(String deptNm) {
		this.deptNm = deptNm;
	}
	public String getPrdtClasNm() {
		return prdtClasNm;
	}
	public void setPrdtClasNm(String prdtClasNm) {
		this.prdtClasNm = prdtClasNm;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public String getGodsNm() {
		return godsNm;
	}
	public void setGodsNm(String godsNm) {
		this.godsNm = godsNm;
	}
	public String getCustResiNo() {
		return custResiNo;
	}
	public void setCustResiNo(String custResiNo) {
		this.custResiNo = custResiNo;
	}
	public String getCarsNo() {
		return carsNo;
	}
	public void setCarsNo(String carsNo) {
		this.carsNo = carsNo;
	}
	public String getCustTpCd() {
		return custTpCd;
	}
	public void setCustTpCd(String custTpCd) {
		this.custTpCd = custTpCd;
	}
	public String getDlyDdcnt() {
		return dlyDdcnt;
	}
	public void setDlyDdcnt(String dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}
	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}
	public String getRcntSetlDt() {
		return rcntSetlDt;
	}
	public void setRcntSetlDt(String rcntSetlDt) {
		this.rcntSetlDt = rcntSetlDt;
	}
	public String getNextDueDt() {
		return nextDueDt;
	}
	public void setNextDueDt(String nextDueDt) {
		this.nextDueDt = nextDueDt;
	}
    public String getCntcPlcTel() {
        return cntcPlcTel;
    }
    public void setCntcPlcTel(String cntcPlcTel) {
        this.cntcPlcTel = cntcPlcTel;
    }
}
