package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO13DTO {

	private String loanRelNm;
	private String custNm;
	private String custNo;
	private String esttRschCnt;
	private String carRschCnt;
	private String bndRschCnt;
	private String propRschCnt;
	private String totCnt;
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getEsttRschCnt() {
		return esttRschCnt;
	}
	public void setEsttRschCnt(String esttRschCnt) {
		this.esttRschCnt = esttRschCnt;
	}
	public String getCarRschCnt() {
		return carRschCnt;
	}
	public void setCarRschCnt(String carRschCnt) {
		this.carRschCnt = carRschCnt;
	}
	public String getBndRschCnt() {
		return bndRschCnt;
	}
	public void setBndRschCnt(String bndRschCnt) {
		this.bndRschCnt = bndRschCnt;
	}
	public String getPropRschCnt() {
		return propRschCnt;
	}
	public void setPropRschCnt(String propRschCnt) {
		this.propRschCnt = propRschCnt;
	}
	public String getTotCnt() {
		return totCnt;
	}
	public void setTotCnt(String totCnt) {
		this.totCnt = totCnt;
	}


}
