package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO23DTO {

    private String rlDueDt; /* 실_납입_일자 */
    private String setlDd;
    private String dlyTcnt;
    private String askDivNm;
    private String askTims;
    private String askAmt;
    private String setlAmt;
    private String bankNm;
    private String acntNo;
    private String acntStatNm;
    private String depoOwnnm;
    private String loanPamtRamt;
    private String askPamt;
    private String askInt;
    private String askDfee;
    private String askLeglActnCost;
    private String askStmpFee;
    private String srcpRamt;
    private String rcptPamt;
    private String rcptInt;
    private String rcptDfee;
    private String leglActnCost;
    private String rcptStmpFee;
    private String dsrcOccrAmt;
    private String rcptAmt;
    private String dsrcNo;
    private String pdueAmt;
    private String unrcvAmt;
    private String oamtErrCd;
    private String oamtErr;
    private String setlNo;
    private String trOrgNm;/* 거래_기관_명 */
    public String getRlDueDt() {
        return rlDueDt;
    }
    public void setRlDueDt(String rlDueDt) {
        this.rlDueDt = rlDueDt;
    }
    public String getSetlDd() {
        return setlDd;
    }
    public void setSetlDd(String setlDd) {
        this.setlDd = setlDd;
    }
    public String getDlyTcnt() {
        return dlyTcnt;
    }
    public void setDlyTcnt(String dlyTcnt) {
        this.dlyTcnt = dlyTcnt;
    }
    public String getAskDivNm() {
        return askDivNm;
    }
    public void setAskDivNm(String askDivNm) {
        this.askDivNm = askDivNm;
    }
    public String getAskTims() {
        return askTims;
    }
    public void setAskTims(String askTims) {
        this.askTims = askTims;
    }
    public String getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(String askAmt) {
        this.askAmt = askAmt;
    }
    public String getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(String setlAmt) {
        this.setlAmt = setlAmt;
    }
    public String getBankNm() {
        return bankNm;
    }
    public void setBankNm(String bankNm) {
        this.bankNm = bankNm;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getAcntStatNm() {
        return acntStatNm;
    }
    public void setAcntStatNm(String acntStatNm) {
        this.acntStatNm = acntStatNm;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getLoanPamtRamt() {
        return loanPamtRamt;
    }
    public void setLoanPamtRamt(String loanPamtRamt) {
        this.loanPamtRamt = loanPamtRamt;
    }
    public String getAskPamt() {
        return askPamt;
    }
    public void setAskPamt(String askPamt) {
        this.askPamt = askPamt;
    }
    public String getAskInt() {
        return askInt;
    }
    public void setAskInt(String askInt) {
        this.askInt = askInt;
    }
    public String getAskDfee() {
        return askDfee;
    }
    public void setAskDfee(String askDfee) {
        this.askDfee = askDfee;
    }
    public String getAskLeglActnCost() {
        return askLeglActnCost;
    }
    public void setAskLeglActnCost(String askLeglActnCost) {
        this.askLeglActnCost = askLeglActnCost;
    }
    public String getAskStmpFee() {
        return askStmpFee;
    }
    public void setAskStmpFee(String askStmpFee) {
        this.askStmpFee = askStmpFee;
    }
    public String getSrcpRamt() {
        return srcpRamt;
    }
    public void setSrcpRamt(String srcpRamt) {
        this.srcpRamt = srcpRamt;
    }
    public String getRcptPamt() {
        return rcptPamt;
    }
    public void setRcptPamt(String rcptPamt) {
        this.rcptPamt = rcptPamt;
    }
    public String getRcptInt() {
        return rcptInt;
    }
    public void setRcptInt(String rcptInt) {
        this.rcptInt = rcptInt;
    }
    public String getRcptDfee() {
        return rcptDfee;
    }
    public void setRcptDfee(String rcptDfee) {
        this.rcptDfee = rcptDfee;
    }
    public String getLeglActnCost() {
        return leglActnCost;
    }
    public void setLeglActnCost(String leglActnCost) {
        this.leglActnCost = leglActnCost;
    }
    public String getRcptStmpFee() {
        return rcptStmpFee;
    }
    public void setRcptStmpFee(String rcptStmpFee) {
        this.rcptStmpFee = rcptStmpFee;
    }
    public String getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(String dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public String getRcptAmt() {
        return rcptAmt;
    }
    public void setRcptAmt(String rcptAmt) {
        this.rcptAmt = rcptAmt;
    }
    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getPdueAmt() {
        return pdueAmt;
    }
    public void setPdueAmt(String pdueAmt) {
        this.pdueAmt = pdueAmt;
    }
    public String getUnrcvAmt() {
        return unrcvAmt;
    }
    public void setUnrcvAmt(String unrcvAmt) {
        this.unrcvAmt = unrcvAmt;
    }
    public String getOamtErrCd() {
        return oamtErrCd;
    }
    public void setOamtErrCd(String oamtErrCd) {
        this.oamtErrCd = oamtErrCd;
    }
    public String getOamtErr() {
        return oamtErr;
    }
    public void setOamtErr(String oamtErr) {
        this.oamtErr = oamtErr;
    }
    public String getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(String setlNo) {
        this.setlNo = setlNo;
    }
    public String getTrOrgNm() {
        return trOrgNm;
    }
    public void setTrOrgNm(String trOrgNm) {
        this.trOrgNm = trOrgNm;
    }
}
