package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM02DSSDDO01VO.java Class
 * 클래스설명   : 채권상담관리 VO
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70281 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIM02DSSDDO02VO {

	private String loanNo; /*  */
	private String loanSeq; /*  */
	private String execDt; /*  */
	private String eprtDt; /*  */
	private String loanTerm; /*  */
	private String loanIntRt; /*  */
	private String dfeeRt; /*  */
	private String godsPrce; /*  */
	private String carsNo; /*  */
	private String makeYymm; /*  */
	private String carsNm; /*  */
	private String dueMethNm; /*  */
	private String instEmpNm; /*  */
	private String instCprtComNm; /*  */
	private String instCprtBranNm; /*  */
	private String setlDd; /*  */
	private String saleEmpResiNm; /*  */
	private String cprtComNm; /*  */
	private String cprtBranNm; /*  */
	private String setlAcntNo; /*  */
	private String setlBankNm; /*  */
	private String setlDepoOwnnm; /*  */
	private String imgAcntNo; /*  */
	private String imgAcntBankNm; /*  */
	private String imgDepoOwnnm; /*  */
	private String consShNo; /*  */
	private String reprTelNo; /*  */
	private String askPlcDivNm; /*  */
	private String emal; /*  */
	private String askPlcMethNm; /*  */
	private String rsndDt; /*  */
	private String dlvrThngNm; /*  */
	private String rsndRsnNm; /*  */
	private String askDt; /*  */
	private String askAmt; /*  */
	private String fcntDueDt; /*  */
	private String custMemo; /*  */
	private String txtRecvFg; /*  */
	private String imptRsn; /*  */
	private String rmbrFrmlNm; /*  */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getExecDt() {
		return execDt;
	}
	public void setExecDt(String execDt) {
		this.execDt = execDt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public String getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(String loanTerm) {
		this.loanTerm = loanTerm;
	}
	public String getLoanIntRt() {
		return loanIntRt;
	}
	public void setLoanIntRt(String loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public String getDfeeRt() {
		return dfeeRt;
	}
	public void setDfeeRt(String dfeeRt) {
		this.dfeeRt = dfeeRt;
	}
	public String getGodsPrce() {
		return godsPrce;
	}
	public void setGodsPrce(String godsPrce) {
		this.godsPrce = godsPrce;
	}
	public String getCarsNo() {
		return carsNo;
	}
	public void setCarsNo(String carsNo) {
		this.carsNo = carsNo;
	}
	public String getMakeYymm() {
		return makeYymm;
	}
	public void setMakeYymm(String makeYymm) {
		this.makeYymm = makeYymm;
	}
	public String getCarsNm() {
		return carsNm;
	}
	public void setCarsNm(String carsNm) {
		this.carsNm = carsNm;
	}
	public String getDueMethNm() {
		return dueMethNm;
	}
	public void setDueMethNm(String dueMethNm) {
		this.dueMethNm = dueMethNm;
	}
	public String getInstEmpNm() {
		return instEmpNm;
	}
	public void setInstEmpNm(String instEmpNm) {
		this.instEmpNm = instEmpNm;
	}
	public String getInstCprtComNm() {
		return instCprtComNm;
	}
	public void setInstCprtComNm(String instCprtComNm) {
		this.instCprtComNm = instCprtComNm;
	}
	public String getInstCprtBranNm() {
		return instCprtBranNm;
	}
	public void setInstCprtBranNm(String instCprtBranNm) {
		this.instCprtBranNm = instCprtBranNm;
	}
	public String getSetlDd() {
		return setlDd;
	}
	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}
	public String getSaleEmpResiNm() {
		return saleEmpResiNm;
	}
	public void setSaleEmpResiNm(String saleEmpResiNm) {
		this.saleEmpResiNm = saleEmpResiNm;
	}
	public String getCprtComNm() {
		return cprtComNm;
	}
	public void setCprtComNm(String cprtComNm) {
		this.cprtComNm = cprtComNm;
	}
	public String getCprtBranNm() {
		return cprtBranNm;
	}
	public void setCprtBranNm(String cprtBranNm) {
		this.cprtBranNm = cprtBranNm;
	}
	public String getSetlAcntNo() {
		return setlAcntNo;
	}
	public void setSetlAcntNo(String setlAcntNo) {
		this.setlAcntNo = setlAcntNo;
	}
	public String getSetlBankNm() {
		return setlBankNm;
	}
	public void setSetlBankNm(String setlBankNm) {
		this.setlBankNm = setlBankNm;
	}
	public String getSetlDepoOwnnm() {
		return setlDepoOwnnm;
	}
	public void setSetlDepoOwnnm(String setlDepoOwnnm) {
		this.setlDepoOwnnm = setlDepoOwnnm;
	}
	public String getImgAcntNo() {
		return imgAcntNo;
	}
	public void setImgAcntNo(String imgAcntNo) {
		this.imgAcntNo = imgAcntNo;
	}
	public String getImgAcntBankNm() {
		return imgAcntBankNm;
	}
	public void setImgAcntBankNm(String imgAcntBankNm) {
		this.imgAcntBankNm = imgAcntBankNm;
	}
	public String getImgDepoOwnnm() {
		return imgDepoOwnnm;
	}
	public void setImgDepoOwnnm(String imgDepoOwnnm) {
		this.imgDepoOwnnm = imgDepoOwnnm;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public String getReprTelNo() {
		return reprTelNo;
	}
	public void setReprTelNo(String reprTelNo) {
		this.reprTelNo = reprTelNo;
	}
	public String getAskPlcDivNm() {
		return askPlcDivNm;
	}
	public void setAskPlcDivNm(String askPlcDivNm) {
		this.askPlcDivNm = askPlcDivNm;
	}
	public String getEmal() {
		return emal;
	}
	public void setEmal(String emal) {
		this.emal = emal;
	}
	public String getAskPlcMethNm() {
		return askPlcMethNm;
	}
	public void setAskPlcMethNm(String askPlcMethNm) {
		this.askPlcMethNm = askPlcMethNm;
	}
	public String getRsndDt() {
		return rsndDt;
	}
	public void setRsndDt(String rsndDt) {
		this.rsndDt = rsndDt;
	}
	public String getDlvrThngNm() {
		return dlvrThngNm;
	}
	public void setDlvrThngNm(String dlvrThngNm) {
		this.dlvrThngNm = dlvrThngNm;
	}
	public String getRsndRsnNm() {
		return rsndRsnNm;
	}
	public void setRsndRsnNm(String rsndRsnNm) {
		this.rsndRsnNm = rsndRsnNm;
	}
	public String getAskDt() {
		return askDt;
	}
	public void setAskDt(String askDt) {
		this.askDt = askDt;
	}
	public String getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(String askAmt) {
		this.askAmt = askAmt;
	}
	public String getFcntDueDt() {
		return fcntDueDt;
	}
	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}
	public String getCustMemo() {
		return custMemo;
	}
	public void setCustMemo(String custMemo) {
		this.custMemo = custMemo;
	}
	public String getTxtRecvFg() {
		return txtRecvFg;
	}
	public void setTxtRecvFg(String txtRecvFg) {
		this.txtRecvFg = txtRecvFg;
	}
	public String getImptRsn() {
		return imptRsn;
	}
	public void setImptRsn(String imptRsn) {
		this.imptRsn = imptRsn;
	}
	public String getRmbrFrmlNm() {
		return rmbrFrmlNm;
	}
	public void setRmbrFrmlNm(String rmbrFrmlNm) {
		this.rmbrFrmlNm = rmbrFrmlNm;
	}
}