package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM02DSSDDO07VO.java Class
 * 클래스설명   : 채권상담관리 VO
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70281 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIM02DSSDDO07VO {

	private String loanNo;
	private String loanSeq;
	private String readDiv;
	private String custNo;
	private String divsManNm;
	private String cnslObjManNm;
	private String regDt;
	private String regTm;
	private String cntctPlcDivCd;
	private String cntctTpCd;
	private String telcCntn;
	private String telcTelNo;
	private String cntcStatCd;
	private String txtRecvFg;
	private String prmsDt;
	private String prmsAmt;
	private String cnslDivCd;
	private String cnslDivNm;
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getReadDiv() {
		return readDiv;
	}
	public void setReadDiv(String readDiv) {
		this.readDiv = readDiv;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getDivsManNm() {
		return divsManNm;
	}
	public void setDivsManNm(String divsManNm) {
		this.divsManNm = divsManNm;
	}
	public String getCnslObjManNm() {
		return cnslObjManNm;
	}
	public void setCnslObjManNm(String cnslObjManNm) {
		this.cnslObjManNm = cnslObjManNm;
	}
	public String getRegDt() {
		return regDt;
	}
	public void setRegDt(String regDt) {
		this.regDt = regDt;
	}
	public String getRegTm() {
		return regTm;
	}
	public void setRegTm(String regTm) {
		this.regTm = regTm;
	}
	public String getCntctPlcDivCd() {
		return cntctPlcDivCd;
	}
	public void setCntctPlcDivCd(String cntctPlcDivCd) {
		this.cntctPlcDivCd = cntctPlcDivCd;
	}
	public String getCntctTpCd() {
		return cntctTpCd;
	}
	public void setCntctTpCd(String cntctTpCd) {
		this.cntctTpCd = cntctTpCd;
	}
	public String getTelcCntn() {
		return telcCntn;
	}
	public void setTelcCntn(String telcCntn) {
		this.telcCntn = telcCntn;
	}
	public String getTelcTelNo() {
		return telcTelNo;
	}
	public void setTelcTelNo(String telcTelNo) {
		this.telcTelNo = telcTelNo;
	}
	public String getCntcStatCd() {
		return cntcStatCd;
	}
	public void setCntcStatCd(String cntcStatCd) {
		this.cntcStatCd = cntcStatCd;
	}
	public String getTxtRecvFg() {
		return txtRecvFg;
	}
	public void setTxtRecvFg(String txtRecvFg) {
		this.txtRecvFg = txtRecvFg;
	}
	public String getPrmsDt() {
		return prmsDt;
	}
	public void setPrmsDt(String prmsDt) {
		this.prmsDt = prmsDt;
	}
	public String getPrmsAmt() {
		return prmsAmt;
	}
	public void setPrmsAmt(String prmsAmt) {
		this.prmsAmt = prmsAmt;
	}
	public String getCnslDivCd() {
		return cnslDivCd;
	}
	public void setCnslDivCd(String cnslDivCd) {
		this.cnslDivCd = cnslDivCd;
	}
	public String getCnslDivNm() {
		return cnslDivNm;
	}
	public void setCnslDivNm(String cnslDivNm) {
		this.cnslDivNm = cnslDivNm;
	}
}