package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM02DSSDDO01VO.java Class
 * 클래스설명   : 채권상담관리 VO
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70281 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIM02DSSDDO16VO {

	private String loanNo;
	private String snum;
	private String regDt;
	private String regNm;
	private String imptRsn;
	private String refrCntn;
	private String delYn;
	private String logInEmpNo;
	private String operation;

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getSnum() {
		return snum;
	}
	public void setSnum(String snum) {
		this.snum = snum;
	}
	public String getRegDt() {
		return regDt;
	}
	public void setRegDt(String regDt) {
		this.regDt = regDt;
	}
	public String getRegNm() {
		return regNm;
	}
	public void setRegNm(String regNm) {
		this.regNm = regNm;
	}
	public String getImptRsn() {
		return imptRsn;
	}
	public void setImptRsn(String imptRsn) {
		this.imptRsn = imptRsn;
	}
	public String getRefrCntn() {
		return refrCntn;
	}
	public void setRefrCntn(String refrCntn) {
		this.refrCntn = refrCntn;
	}
	public String getDelYn() {
		return delYn;
	}
	public void setDelYn(String delYn) {
		this.delYn = delYn;
	}
    public String getLogInEmpNo() {
        return logInEmpNo;
    }
    public void setLogInEmpNo(String logInEmpNo) {
        this.logInEmpNo = logInEmpNo;
    }
    public String getOperation() {
        return operation;
    }
    public void setOperation(String operation) {
        this.operation = operation;
    }

}