package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM02DSSDDO01VO.java Class
 * 클래스설명   : 채권상담관리 VO
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70281 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIM02DSSDDO19VO {

	private String mrtgLrgeClasNm;
	private String mrtgSmClasNm;
	private String gainMethNm;
	private String mrtgOffrMannm;
	private String relNm;
	private String setDt;
	private String setMaxAmt;
	private String closDt;

	public String getMrtgLrgeClasNm() {
		return mrtgLrgeClasNm;
	}
	public void setMrtgLrgeClasNm(String mrtgLrgeClasNm) {
		this.mrtgLrgeClasNm = mrtgLrgeClasNm;
	}
	public String getMrtgSmClasNm() {
		return mrtgSmClasNm;
	}
	public void setMrtgSmClasNm(String mrtgSmClasNm) {
		this.mrtgSmClasNm = mrtgSmClasNm;
	}
	public String getGainMethNm() {
		return gainMethNm;
	}
	public void setGainMethNm(String gainMethNm) {
		this.gainMethNm = gainMethNm;
	}
	public String getMrtgOffrMannm() {
		return mrtgOffrMannm;
	}
	public void setMrtgOffrMannm(String mrtgOffrMannm) {
		this.mrtgOffrMannm = mrtgOffrMannm;
	}
	public String getRelNm() {
		return relNm;
	}
	public void setRelNm(String relNm) {
		this.relNm = relNm;
	}
	public String getSetDt() {
		return setDt;
	}
	public void setSetDt(String setDt) {
		this.setDt = setDt;
	}
	public String getSetMaxAmt() {
		return setMaxAmt;
	}
	public void setSetMaxAmt(String setMaxAmt) {
		this.setMaxAmt = setMaxAmt;
	}
	public String getClosDt() {
		return closDt;
	}
	public void setClosDt(String closDt) {
		this.closDt = closDt;
	}
}