package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIP02DSSDDO01.java Class
 * 클래스설명   : SMS 발송 관련 VO
 * 작성일자     : 2023. 4.14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4.14.][ 70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIP02DSSMDO01VO {
	private String empNo;
	private String sendTelNo;
	private String rsrvTelNo;
	private String rsrvSndFlg;
	private String rsrvSndTime;
	private String sendFlg;
	private String logInEmpNo;

	public String getLogInEmpNo() {
		return logInEmpNo;
	}
	public void setLogInEmpNo(String logInEmpNo) {
		this.logInEmpNo = logInEmpNo;
	}
	public String getEmpNo() {
		return empNo;
	}
	public String getSendTelNo() {
		return sendTelNo;
	}
	public String getRsrvTelNo() {
		return rsrvTelNo;
	}
	public String getRsrvSndFlg() {
		return rsrvSndFlg;
	}
	public String getRsrvSndTime() {
		return rsrvSndTime;
	}
	public String getSendFlg() {
		return sendFlg;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public void setSendTelNo(String sendTelNo) {
		this.sendTelNo = sendTelNo;
	}
	public void setRsrvTelNo(String rsrvTelNo) {
		this.rsrvTelNo = rsrvTelNo;
	}
	public void setRsrvSndFlg(String rsrvSndFlg) {
		this.rsrvSndFlg = rsrvSndFlg;
	}
	public void setRsrvSndTime(String rsrvSndTime) {
		this.rsrvSndTime = rsrvSndTime;
	}
	public void setSendFlg(String sendFlg) {
		this.sendFlg = sendFlg;
	}

}