package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIP02DSSDDO01.java Class
 * 클래스설명   : SMS 발송 관련 VO
 * 작성일자     : 2023. 4.14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4.14.][ 70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIP02DSSMDO02VO {
	private String orgCd;
	private String empNo;
	private String prodMidClas;
	private String ddcntSt;
	private String ddcntEd;
	private String setldtSt;
	private String setldtEd;
	private String loanNo;
	private String loanSeq;
	private String chkCtdtbad;
	private String chkLeglactn;
	private String chkEprtrmbr;
	private String closdtSt;
	private String closdtEd;
	private String prodLrgeClas;
	private String recvTelNo;
	private String logInEmpNo;

	public String getLogInEmpNo() {
		return logInEmpNo;
	}
	public void setLogInEmpNo(String logInEmpNo) {
		this.logInEmpNo = logInEmpNo;
	}
	public String getOrgCd() {
		return orgCd;
	}
	public String getEmpNo() {
		return empNo;
	}
	public String getProdMidClas() {
		return prodMidClas;
	}
	public String getDdcntSt() {
		return ddcntSt;
	}
	public String getDdcntEd() {
		return ddcntEd;
	}
	public String getSetldtSt() {
		return setldtSt;
	}
	public String getSetldtEd() {
		return setldtEd;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public String getChkCtdtbad() {
		return chkCtdtbad;
	}
	public String getChkLeglactn() {
		return chkLeglactn;
	}
	public String getChkEprtrmbr() {
		return chkEprtrmbr;
	}
	public String getClosdtSt() {
		return closdtSt;
	}
	public String getClosdtEd() {
		return closdtEd;
	}
	public String getProdLrgeClas() {
		return prodLrgeClas;
	}
	public String getRecvTelNo() {
		return recvTelNo;
	}
	public void setOrgCd(String orgCd) {
		this.orgCd = orgCd;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public void setProdMidClas(String prodMidClas) {
		this.prodMidClas = prodMidClas;
	}
	public void setDdcntSt(String ddcntSt) {
		this.ddcntSt = ddcntSt;
	}
	public void setDdcntEd(String ddcntEd) {
		this.ddcntEd = ddcntEd;
	}
	public void setSetldtSt(String setldtSt) {
		this.setldtSt = setldtSt;
	}
	public void setSetldtEd(String setldtEd) {
		this.setldtEd = setldtEd;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public void setChkCtdtbad(String chkCtdtbad) {
		this.chkCtdtbad = chkCtdtbad;
	}
	public void setChkLeglactn(String chkLeglactn) {
		this.chkLeglactn = chkLeglactn;
	}
	public void setChkEprtrmbr(String chkEprtrmbr) {
		this.chkEprtrmbr = chkEprtrmbr;
	}
	public void setClosdtSt(String closdtSt) {
		this.closdtSt = closdtSt;
	}
	public void setClosdtEd(String closdtEd) {
		this.closdtEd = closdtEd;
	}
	public void setProdLrgeClas(String prodLrgeClas) {
		this.prodLrgeClas = prodLrgeClas;
	}
	public void setRecvTelNo(String recvTelNo) {
		this.recvTelNo = recvTelNo;
	}
}