package hanalife.b.lm.em.vo;

/**
 * <pre>
 * 클래스명    : LeglActnCostVO.java Class
 * 클래스설명  : 법적조치비용정산 요청/응답 객체 관리 VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class LeglActnCostOutVO {

	private String rsltCd; //결과코드
	private String rsltCntn; //결과내용

	public LeglActnCostOutVO() {
		rsltCd = "0000"; //결과_코드
		rsltCntn = ""; //결과_내용
	}

	public String getRsltCd() {
		return rsltCd;
	}

	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}

	public String getRsltCntn() {
		return rsltCntn;
	}

	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}
}
