package hanalife.b.lm.lm.vo;

/**
 * <pre>
 * 클래스명    : BLMLMM02DSSDDO05VO.java Class
 * 클래스설명  : 법조치품의서관리 (BLMLMM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class BLMLMM02DSSDDO05VO {

	private String loanNo; //LOAN_NO   대출_번호
	private String loanSeq; //LOAN_SEQ   대출_순번
	private String consShNo; //CONS_SH_NO   품의서_번호
	private String prptTpCd; //PRPT_TP_CD   재산_유형_코드
	private long snum; //SNUM   일련번호
	private String custNo; //CUST_NO   고객_번호
	private String prptKindNm; //PRPT_KIND_NM   재산_종류
	private String area; //AREA   면적
	private String godsPlcAddr; //GODS_PLC_ADDR   물건_주소
	private String preRankMrtgCnt; //PRE_RANK_MRTG_CNT   선순위_담보_건수
	private String preRankMrtgAmt; //PRE_RANK_MRTG_AMT   선순위_담보_금액
	private String preRankProvSeizCnt; //PRE_RANK_PROV_SEIZ_CNT   선순위_가압류_건수
	private String preRankProvSeizAmt; //PRE_RANK_PROV_SEIZ_AMT   선순위_가압류_금액
	private String judgAmt; //JUDG_AMT   감정가
	private String cnvsVal; //CNVS_VAL   환가_가치
	private String delYn; //CNVS_VAL   환가_가치

	private String operation;

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public String getPrptTpCd() {
		return prptTpCd;
	}
	public void setPrptTpCd(String prptTpCd) {
		this.prptTpCd = prptTpCd;
	}
	public long getSnum() {
		return snum;
	}
	public void setSnum(long snum) {
		this.snum = snum;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getPrptKindNm() {
		return prptKindNm;
	}
	public void setPrptKindNm(String prptKindNm) {
		this.prptKindNm = prptKindNm;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getGodsPlcAddr() {
		return godsPlcAddr;
	}
	public void setGodsPlcAddr(String godsPlcAddr) {
		this.godsPlcAddr = godsPlcAddr;
	}
	public String getPreRankMrtgCnt() {
		return preRankMrtgCnt;
	}
	public void setPreRankMrtgCnt(String preRankMrtgCnt) {
		this.preRankMrtgCnt = preRankMrtgCnt;
	}
	public String getPreRankMrtgAmt() {
		return preRankMrtgAmt;
	}
	public void setPreRankMrtgAmt(String preRankMrtgAmt) {
		this.preRankMrtgAmt = preRankMrtgAmt;
	}
	public String getPreRankProvSeizCnt() {
		return preRankProvSeizCnt;
	}
	public void setPreRankProvSeizCnt(String preRankProvSeizCnt) {
		this.preRankProvSeizCnt = preRankProvSeizCnt;
	}
	public String getPreRankProvSeizAmt() {
		return preRankProvSeizAmt;
	}
	public void setPreRankProvSeizAmt(String preRankProvSeizAmt) {
		this.preRankProvSeizAmt = preRankProvSeizAmt;
	}
	public String getJudgAmt() {
		return judgAmt;
	}
	public void setJudgAmt(String judgAmt) {
		this.judgAmt = judgAmt;
	}
	public String getCnvsVal() {
		return cnvsVal;
	}
	public void setCnvsVal(String cnvsVal) {
		this.cnvsVal = cnvsVal;
	}
	public String getOperation() {
		return operation;
	}
	public void setOperation(String operation) {
		this.operation = operation;
	}
	public String getDelYn() {
		return delYn;
	}
	public void setDelYn(String delYn) {
		this.delYn = delYn;
	}


}
