package hanalife.b.vi.wd.service;

import hanalife.b.vi.wd.vo.BVIWDM01S01InVO;
import hanalife.b.vi.wd.vo.BVIWDM01S01OutVO;
import hanalife.b.vi.wd.vo.BVIWDM01S02InVO;
import hanalife.b.vi.wd.vo.BVIWDM01S02OutVO;
import hanalife.b.vi.wd.vo.BVIWDM01S03InVO;
import hanalife.b.vi.wd.vo.BVIWDM01S03OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BVIWDM01Service.java Class
 * 클래스설명   : BVIWDM01Service Service Interface
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70331 / P.S.Y / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70331 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBVIWDM01S01 : 면담대상자리스트  조회
 *              getBVIWDM01S02 : 면담내용리스트    조회
 *              getBVIWDM01S03 : 면담              조회
 * </pre>
 */
public interface BVIWDM01Service {

    /** 면담대상자리스트조회 */
    public BVIWDM01S01OutVO getBVIWDM01S01(BVIWDM01S01InVO inVo) throws Exception;

    /** 면담내용리스트조회 */
    public BVIWDM01S02OutVO getBVIWDM01S02(BVIWDM01S02InVO inVo) throws Exception;

    /** 면담 조회 */
    public BVIWDM01S03OutVO getBVIWDM01S03(BVIWDM01S03InVO inVo) throws Exception;
}
