package hanalife.c.cm.sp.vo;
import java.io.Serializable;
import java.math.BigDecimal;

import hanalife.c.co.vo.PageVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
* @author       : empno
* @date         : 2023.03.09
* @description  :
* ===========================================================
* DATE              AUTHOR             NOTE
* -----------------------------------------------------------
* 2023.03.09         empno             최초 생성
*/
@Getter
@Setter
@ToString
public class sendEmailVO extends PageVO implements Serializable{

	private static final long serialVersionUID = 3925488324293182368L;

	private BigDecimal vsvjgno       ; //대출번호(최대30자리)(null가능)(숫자만 가능)
	private String vsvreqdate        ; //이메일 전송시간(null이면 즉시전송) (형식:YYYYMMDDHH24MISS OR NULL)
	private String vsvemailTitle     ; //이메일 제목
	private String vsvsenderNm       ; //발신자이름(null인 경우는 하나생명)
	private String vsvsenderEmailId  ; //발신자이메일ID(null인 경우는 webmaster@hanalife.co.kr)
	private String vsvreceiverNm     ; //수신자이름
	private String vsvreceiverEmailId; //수신자이메일ID
	private String vsvemailContext   ; //이메일내용(html형식)
	private String vsvetc1           ; //기타내용
	private String vsvetc2           ; //기타내용
	private String vsvetc3           ; //기타내용
	private String vsvetc4           ; //기타내용
	private String vsvetc5           ; //기타내용
	private String vsvzCreateBy      ;
	private String vsvemailInfSvcPk  ; //EMAIL_INF_SVC 테이블의 PK
	private String vsvrtnCd          ; //1:정상, 그외는 에러
	private String vsvrtnCtt         ; //에러인경우의 에러내용

}