package hanalife.c.co.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.t.ch.on.mapper.dto.StApplLdgrDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StStrgSpecRsltInfoMapper.java Class
 * 클래스설명   : ST전략상세결과정보 Interface Mapper
 * 작성일자     : 2023.06.18.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.06.18.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@Mapper("StStrgSpecRsltInfoMapper")
public interface StStrgSpecRsltInfoMapper
{
    /**
     * <pre>
     * 메소드명      : selectFromStCssJudg
     * 설명          : 한도금리산출정보 저장
     * 메소드인수1   : {StApplLdgrDTO} inDto
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */
    public int insertFromStCssJudg(StApplLdgrDTO inDto) throws Exception;
}
