package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtSmsTxtMngDTO.java Class
 * 클래스설명   : BT_SMS_문자_관리 를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtSmsTxtMngDTO extends AbstractVO {

	private String empNo = ""; //EMP_NO   사원번호
	private String seq = ""; //SEQ   순번
	private String cntn = ""; //CNTN   내용
	private String procDt = ""; //PROC_DT   처리_일자
	private String dlvrObjCd = ""; //dlvr_Obj   발송문자
	private String dlvrDeptCd = ""; //dlvr_Dept_Cd   발송부서


	public String getEmpNo() {
		return empNo;
	}

	public String getSeq() {
		return seq;
	}

	public String getCntn() {
		return cntn;
	}

	public String getProcDt() {
		return procDt;
	}

	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}

	public void setSeq(String seq) {
		this.seq = seq;
	}

	public void setCntn(String cntn) {
		this.cntn = cntn;
	}

	public void setProcDt(String procDt) {
		this.procDt = procDt;
	}

	public String getDlvrObjCd() {
		return dlvrObjCd;
	}

	public void setDlvrObjCd(String dlvrObjCd) {
		this.dlvrObjCd = dlvrObjCd;
	}

	public String getDlvrDeptCd() {
		return dlvrDeptCd;
	}

	public void setDlvrDeptCd(String dlvrDeptCd) {
		this.dlvrDeptCd = dlvrDeptCd;
	}

}
