package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtCyclBaseDTO.java Class
 * 클래스설명   : RT-주기기본(RT_CYCL_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtCyclBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String cyclCd  = "";  /* 주기코드  */
    private String cyclNm  = "";  /* 주기명  */
    private String cyclDesc  = "";  /* 주기설명  */
    
    public String getCyclCd() {
        return cyclCd;
    }
    public void setCyclCd(String cyclCd) {
        this.cyclCd = cyclCd;
    }
    public String getCyclNm() {
        return cyclNm;
    }
    public void setCyclNm(String cyclNm) {
        this.cyclNm = cyclNm;
    }
    public String getCyclDesc() {
        return cyclDesc;
    }
    public void setCyclDesc(String cyclDesc) {
        this.cyclDesc = cyclDesc;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
    
}
