package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtRegdInfoPswdValdSrchDTO.java Class
 * 클래스설명    : ST_피노텍_등기필_정보_비밀번호_유효성_조회(ST_FT_REGD_INFO_PSWD_VALD_SRCH)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 29.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtRegdInfoPswdValdSrchDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String esttPclrNo = "";                     /* 부동산고유번호 */
    private String regdInfoSnum = "";                   /* 등기필정보 일련번호 */
    private String valdSeq01 = "";                      /* 순번 01 */
    private String valdSeq02 = "";                      /* 순번 02 */
    private String valdSeq03 = "";                      /* 순번 03 */
    private String valdSeq04 = "";                      /* 순번 04 */
    private String valdSeq05 = "";                      /* 순번 05 */
    private String valdSeq06 = "";                      /* 순번 06 */
    private String valdSeq07 = "";                      /* 순번 07 */
    private String valdSeq08 = "";                      /* 순번 08 */
    private String valdSeq09 = "";                      /* 순번 09 */
    private String valdSeq10 = "";                      /* 순번 10 */
    private String valdSeq11 = "";                      /* 순번 11 */
    private String valdSeq12 = "";                      /* 순번 12 */
    private String valdSeq13 = "";                      /* 순번 13 */
    private String valdSeq14 = "";                      /* 순번 14 */
    private String valdSeq15 = "";                      /* 순번 15 */
    private String valdSeq16 = "";                      /* 순번 16 */
    private String valdSeq17 = "";                      /* 순번 17 */
    private String valdSeq18 = "";                      /* 순번 18 */
    private String valdSeq19 = "";                      /* 순번 19 */
    private String valdSeq20 = "";                      /* 순번 20 */
    private String valdSeq21 = "";                      /* 순번 21 */
    private String valdSeq22 = "";                      /* 순번 22 */
    private String valdSeq23 = "";                      /* 순번 23 */
    private String valdSeq24 = "";                      /* 순번 24 */
    private String valdSeq25 = "";                      /* 순번 25 */
    private String valdSeq26 = "";                      /* 순번 26 */
    private String valdSeq27 = "";                      /* 순번 27 */
    private String valdSeq28 = "";                      /* 순번 28 */
    private String valdSeq29 = "";                      /* 순번 29 */
    private String valdSeq30 = "";                      /* 순번 30 */
    private String valdSeq31 = "";                      /* 순번 31 */
    private String valdSeq32 = "";                      /* 순번 32 */
    private String valdSeq33 = "";                      /* 순번 33 */
    private String valdSeq34 = "";                      /* 순번 34 */
    private String valdSeq35 = "";                      /* 순번 35 */
    private String valdSeq36 = "";                      /* 순번 36 */
    private String valdSeq37 = "";                      /* 순번 37 */
    private String valdSeq38 = "";                      /* 순번 38 */
    private String valdSeq39 = "";                      /* 순번 39 */
    private String valdSeq40 = "";                      /* 순번 40 */
    private String valdSeq41 = "";                      /* 순번 41 */
    private String valdSeq42 = "";                      /* 순번 42 */
    private String valdSeq43 = "";                      /* 순번 43 */
    private String valdSeq44 = "";                      /* 순번 44 */
    private String valdSeq45 = "";                      /* 순번 45 */
    private String valdSeq46 = "";                      /* 순번 46 */
    private String valdSeq47 = "";                      /* 순번 47 */
    private String valdSeq48 = "";                      /* 순번 48 */
    private String valdSeq49 = "";                      /* 순번 49 */
    private String valdSeq50 = "";                      /* 순번 50 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getEsttPclrNo() {
        return esttPclrNo;
    }
    public void setEsttPclrNo(String esttPclrNo) {
        this.esttPclrNo = esttPclrNo;
    }
    public String getRegdInfoSnum() {
        return regdInfoSnum;
    }
    public void setRegdInfoSnum(String regdInfoSnum) {
        this.regdInfoSnum = regdInfoSnum;
    }
    public String getValdSeq01() {
        return valdSeq01;
    }
    public void setValdSeq01(String valdSeq01) {
        this.valdSeq01 = valdSeq01;
    }
    public String getValdSeq02() {
        return valdSeq02;
    }
    public void setValdSeq02(String valdSeq02) {
        this.valdSeq02 = valdSeq02;
    }
    public String getValdSeq03() {
        return valdSeq03;
    }
    public void setValdSeq03(String valdSeq03) {
        this.valdSeq03 = valdSeq03;
    }
    public String getValdSeq04() {
        return valdSeq04;
    }
    public void setValdSeq04(String valdSeq04) {
        this.valdSeq04 = valdSeq04;
    }
    public String getValdSeq05() {
        return valdSeq05;
    }
    public void setValdSeq05(String valdSeq05) {
        this.valdSeq05 = valdSeq05;
    }
    public String getValdSeq06() {
        return valdSeq06;
    }
    public void setValdSeq06(String valdSeq06) {
        this.valdSeq06 = valdSeq06;
    }
    public String getValdSeq07() {
        return valdSeq07;
    }
    public void setValdSeq07(String valdSeq07) {
        this.valdSeq07 = valdSeq07;
    }
    public String getValdSeq08() {
        return valdSeq08;
    }
    public void setValdSeq08(String valdSeq08) {
        this.valdSeq08 = valdSeq08;
    }
    public String getValdSeq09() {
        return valdSeq09;
    }
    public void setValdSeq09(String valdSeq09) {
        this.valdSeq09 = valdSeq09;
    }
    public String getValdSeq10() {
        return valdSeq10;
    }
    public void setValdSeq10(String valdSeq10) {
        this.valdSeq10 = valdSeq10;
    }
    public String getValdSeq11() {
        return valdSeq11;
    }
    public void setValdSeq11(String valdSeq11) {
        this.valdSeq11 = valdSeq11;
    }
    public String getValdSeq12() {
        return valdSeq12;
    }
    public void setValdSeq12(String valdSeq12) {
        this.valdSeq12 = valdSeq12;
    }
    public String getValdSeq13() {
        return valdSeq13;
    }
    public void setValdSeq13(String valdSeq13) {
        this.valdSeq13 = valdSeq13;
    }
    public String getValdSeq14() {
        return valdSeq14;
    }
    public void setValdSeq14(String valdSeq14) {
        this.valdSeq14 = valdSeq14;
    }
    public String getValdSeq15() {
        return valdSeq15;
    }
    public void setValdSeq15(String valdSeq15) {
        this.valdSeq15 = valdSeq15;
    }
    public String getValdSeq16() {
        return valdSeq16;
    }
    public void setValdSeq16(String valdSeq16) {
        this.valdSeq16 = valdSeq16;
    }
    public String getValdSeq17() {
        return valdSeq17;
    }
    public void setValdSeq17(String valdSeq17) {
        this.valdSeq17 = valdSeq17;
    }
    public String getValdSeq18() {
        return valdSeq18;
    }
    public void setValdSeq18(String valdSeq18) {
        this.valdSeq18 = valdSeq18;
    }
    public String getValdSeq19() {
        return valdSeq19;
    }
    public void setValdSeq19(String valdSeq19) {
        this.valdSeq19 = valdSeq19;
    }
    public String getValdSeq20() {
        return valdSeq20;
    }
    public void setValdSeq20(String valdSeq20) {
        this.valdSeq20 = valdSeq20;
    }
    public String getValdSeq21() {
        return valdSeq21;
    }
    public void setValdSeq21(String valdSeq21) {
        this.valdSeq21 = valdSeq21;
    }
    public String getValdSeq22() {
        return valdSeq22;
    }
    public void setValdSeq22(String valdSeq22) {
        this.valdSeq22 = valdSeq22;
    }
    public String getValdSeq23() {
        return valdSeq23;
    }
    public void setValdSeq23(String valdSeq23) {
        this.valdSeq23 = valdSeq23;
    }
    public String getValdSeq24() {
        return valdSeq24;
    }
    public void setValdSeq24(String valdSeq24) {
        this.valdSeq24 = valdSeq24;
    }
    public String getValdSeq25() {
        return valdSeq25;
    }
    public void setValdSeq25(String valdSeq25) {
        this.valdSeq25 = valdSeq25;
    }
    public String getValdSeq26() {
        return valdSeq26;
    }
    public void setValdSeq26(String valdSeq26) {
        this.valdSeq26 = valdSeq26;
    }
    public String getValdSeq27() {
        return valdSeq27;
    }
    public void setValdSeq27(String valdSeq27) {
        this.valdSeq27 = valdSeq27;
    }
    public String getValdSeq28() {
        return valdSeq28;
    }
    public void setValdSeq28(String valdSeq28) {
        this.valdSeq28 = valdSeq28;
    }
    public String getValdSeq29() {
        return valdSeq29;
    }
    public void setValdSeq29(String valdSeq29) {
        this.valdSeq29 = valdSeq29;
    }
    public String getValdSeq30() {
        return valdSeq30;
    }
    public void setValdSeq30(String valdSeq30) {
        this.valdSeq30 = valdSeq30;
    }
    public String getValdSeq31() {
        return valdSeq31;
    }
    public void setValdSeq31(String valdSeq31) {
        this.valdSeq31 = valdSeq31;
    }
    public String getValdSeq32() {
        return valdSeq32;
    }
    public void setValdSeq32(String valdSeq32) {
        this.valdSeq32 = valdSeq32;
    }
    public String getValdSeq33() {
        return valdSeq33;
    }
    public void setValdSeq33(String valdSeq33) {
        this.valdSeq33 = valdSeq33;
    }
    public String getValdSeq34() {
        return valdSeq34;
    }
    public void setValdSeq34(String valdSeq34) {
        this.valdSeq34 = valdSeq34;
    }
    public String getValdSeq35() {
        return valdSeq35;
    }
    public void setValdSeq35(String valdSeq35) {
        this.valdSeq35 = valdSeq35;
    }
    public String getValdSeq36() {
        return valdSeq36;
    }
    public void setValdSeq36(String valdSeq36) {
        this.valdSeq36 = valdSeq36;
    }
    public String getValdSeq37() {
        return valdSeq37;
    }
    public void setValdSeq37(String valdSeq37) {
        this.valdSeq37 = valdSeq37;
    }
    public String getValdSeq38() {
        return valdSeq38;
    }
    public void setValdSeq38(String valdSeq38) {
        this.valdSeq38 = valdSeq38;
    }
    public String getValdSeq39() {
        return valdSeq39;
    }
    public void setValdSeq39(String valdSeq39) {
        this.valdSeq39 = valdSeq39;
    }
    public String getValdSeq40() {
        return valdSeq40;
    }
    public void setValdSeq40(String valdSeq40) {
        this.valdSeq40 = valdSeq40;
    }
    public String getValdSeq41() {
        return valdSeq41;
    }
    public void setValdSeq41(String valdSeq41) {
        this.valdSeq41 = valdSeq41;
    }
    public String getValdSeq42() {
        return valdSeq42;
    }
    public void setValdSeq42(String valdSeq42) {
        this.valdSeq42 = valdSeq42;
    }
    public String getValdSeq43() {
        return valdSeq43;
    }
    public void setValdSeq43(String valdSeq43) {
        this.valdSeq43 = valdSeq43;
    }
    public String getValdSeq44() {
        return valdSeq44;
    }
    public void setValdSeq44(String valdSeq44) {
        this.valdSeq44 = valdSeq44;
    }
    public String getValdSeq45() {
        return valdSeq45;
    }
    public void setValdSeq45(String valdSeq45) {
        this.valdSeq45 = valdSeq45;
    }
    public String getValdSeq46() {
        return valdSeq46;
    }
    public void setValdSeq46(String valdSeq46) {
        this.valdSeq46 = valdSeq46;
    }
    public String getValdSeq47() {
        return valdSeq47;
    }
    public void setValdSeq47(String valdSeq47) {
        this.valdSeq47 = valdSeq47;
    }
    public String getValdSeq48() {
        return valdSeq48;
    }
    public void setValdSeq48(String valdSeq48) {
        this.valdSeq48 = valdSeq48;
    }
    public String getValdSeq49() {
        return valdSeq49;
    }
    public void setValdSeq49(String valdSeq49) {
        this.valdSeq49 = valdSeq49;
    }
    public String getValdSeq50() {
        return valdSeq50;
    }
    public void setValdSeq50(String valdSeq50) {
        this.valdSeq50 = valdSeq50;
    }
}
