package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : stKcbOnlnMstrDTO.java Class
 * 클래스설명    : ST_KCB_온라인_103(ST_KCB_ONLN_SEG_103)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKcbOnlnSeg103DTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String profileCd = "";                      /* Profile 코드 */
    private String profileVal = "";                     /* Profile 결과값 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getProfileCd() {
        return profileCd;
    }
    public void setProfileCd(String profileCd) {
        this.profileCd = profileCd;
    }
    public String getProfileVal() {
        return profileVal;
    }
    public void setProfileVal(String profileVal) {
        this.profileVal = profileVal;
    }

}
