package hanalife.c.sc.pg.vo;

/**
 * <pre>
 * 클래스명	: CSCPGM05DSSDDO01VO.java Class
 * 클래스설명	: 상수리스트관리 조회 (CSCPGM05) 그리드 VO
 * 프로젝트명	: DOBSCAP
 * 작성일자	: 2023.03.27.
 * 작성자명	: 70305 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.03.27.][70305][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */

public class CSCPGM05DSSDDO01VO {

	private String cnstNm;
	/** 상수명 */
	private String dutyZonCd;
	/** 업무영역코드 */
	private String cnstCntn;
	/** 상수내용 */
	private String descCntn;
	/** 상수설명 */
    private String frstRegDt;
    /** 최초등록일시 */
    private String frstRegTm;
    /** 최초등록시각 */
    private String frstRegEmpNo;
    /** 최초등록사원번호 */
    private String lastProcDt;
    /** 최종처리일자 */
    private String lastProcTm;
    /** 최종처리시각 */
    private String lastProcEmpNo;
    /** 최종처리사원번호 */

	public String getCnstNm() {
		return cnstNm;
	}
	public void setCnstNm(String cnstNm) {
		this.cnstNm = cnstNm;
	}
	public String getDutyZonCd() {
		return dutyZonCd;
	}
	public void setDutyZonCd(String dutyZonCd) {
		this.dutyZonCd = dutyZonCd;
	}
	public String getCnstCntn() {
		return cnstCntn;
	}
	public void setCnstCntn(String cnstCntn) {
		this.cnstCntn = cnstCntn;
	}
	public String getDescCntn() {
		return descCntn;
	}
	public void setDescCntn(String descCntn) {
		this.descCntn = descCntn;
	}
	public String getFrstRegDt() {
		return frstRegDt;
	}
	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}
	public String getFrstRegTm() {
		return frstRegTm;
	}
	public void setFrstRegTm(String frstRegTm) {
		this.frstRegTm = frstRegTm;
	}
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	public String getLastProcDt() {
		return lastProcDt;
	}
	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}
	public String getLastProcTm() {
		return lastProcTm;
	}
	public void setLastProcTm(String lastProcTm) {
		this.lastProcTm = lastProcTm;
	}
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}

}
