package hanalife.c.sc.ro.vo;

/**
 * <pre>
 * 클래스명    : CSCROM01I01InVO.java Class
 * 클래스설명  : 역할정보 저장 (CSCROM01I01) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 24.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class CSCROM01I01InVO {

	private CSCROM01DSSMVO CSCROM01DSSMVO;
    private CSCROM01DSSDDO01VO CSCROM01DSSDDO01VO;
    private String logInUserNo;
    private String logInEmpNo;

    public CSCROM01DSSMVO getCSCROM01DSSMVO() {
        return CSCROM01DSSMVO;
    }
    public void setCSCROM01DSSMVO(CSCROM01DSSMVO cSCROM01DSSMVO) {
        CSCROM01DSSMVO = cSCROM01DSSMVO;
    }

    public CSCROM01DSSDDO01VO getCSCROM01DSSDDO01VO() {
        return CSCROM01DSSDDO01VO;
    }
    public void setCSCROM01DSSDDO01VO(CSCROM01DSSDDO01VO cSCROM01DSSDDO01VO) {
        CSCROM01DSSDDO01VO = cSCROM01DSSDDO01VO;
    }

    public String getLogInUserNo() {
        return logInUserNo;
    }
    public void setLogInUserNo(String logInUserNo) {
        this.logInUserNo = logInUserNo;
    }
    public String getLogInEmpNo() {
        return logInEmpNo;
    }
    public void setLogInEmpNo(String logInEmpNo) {
        this.logInEmpNo = logInEmpNo;
    }
}
