package hanalife.c.sc.sq.mapper;

import java.util.List;
import java.util.Map;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.sc.sq.vo.AllBcNoVO;
import hanalife.c.sc.sq.vo.SqlListVO;

@Mapper("SqlMngMapper")
public interface SqlMngMapper {

    /**
     * CT_SQL_INFO에서 BC_NO종류 출력
     * 
     * @param N/A
     * @return List
     * @exception Exception
     */
    List<AllBcNoVO> searchAllBcNo(Map<String, Object> param) throws Exception;

    /**
     * Data 목록을 조회한다.
     * 
     * @param searchVO - 조회할 정보가 담긴 VO
     * @return 글 목록
     * @exception Exception
     */
    List<SqlListVO> selectDataList(SqlListVO param) throws Exception;

}
