package hanalife.c.sc.sq.vo;

public class DlvrMsgVO {

	private String param[];				// (필수)치환할 Arguments
	private String gubun;				// (필수)발송 문구 구분

    private String recvTelNo;           // (필수)수신자전화번호
    private String callBackTelNo;       // (필수)회신번호

    private String mtPr;   				// KCSMS.EM_MMT_TRAN pk
    private String title;   			// 제목, 필수 아님, 메세지 내용을 구분하기 위함.
    private String reservedSendDttm;    // 예약전송일시 TO_CHAR(SYSDATE , 'YYYYMMDDHH24MISS'), 즉시발송시는 null
    private String recvManNm;           // 수신자명
    private String custNo;              // 고객번호
    private String loanNo;              // 대출번호
    private String loanSeq;				// 대출순번
    private String empNo;               // 전송사원번호
    private String sendTelNo;           // 발신번호
    private String clientIp;            // EAI 헤더
    private String prgmNo;

    //2019-06-12 Push 발송시 URL전달여부 추가
    // 1 = 미발송, else 발송
    private String sendURL;				// URL발송여부
    // 1 = 바로가기 있음, 0 = 없음
    private String shortCut;

    //KCP-ODS=AP, KCP-APP=고객
    private String senderName;			// 발송자명
    //S=SMS, P=PUSH
    private String smsPushDiv;			// SMS/PUSH 구분
    private String dlvrObjCd;			// 발송목적코드 (공통코드:B00361)
    private String dlvrDeptCd;			// 발송부서코드

//    // 알림톡 관련 항목
//    private String onlySms; // sms으로만 발송(1)
//    private String tmplId;  // 알림톡 템플릿 아이디

    // OUTPUT
    private String sendDttm;     		// 전송일시
    private String msgId;       		// 문자아이디(채번)
    private String msg;                 // sms 내용

	public String[] getParam() {
		return param;
	}
	public void setParam(String[] param) {
		this.param = param;
	}
	public String getGubun() {
		return gubun;
	}
	public void setGubun(String gubun) {
		this.gubun = gubun;
	}
	public String getRecvTelNo() {
		return recvTelNo;
	}
	public void setRecvTelNo(String recvTelNo) {
		this.recvTelNo = recvTelNo;
	}
	public String getCallBackTelNo() {
		return callBackTelNo;
	}
	public void setCallBackTelNo(String callBackTelNo) {
		this.callBackTelNo = callBackTelNo;
	}
	public String getMtPr() {
		return mtPr;
	}
	public void setMtPr(String mtPr) {
		this.mtPr = mtPr;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getReservedSendDttm() {
		return reservedSendDttm;
	}
	public void setReservedSendDttm(String reservedSendDttm) {
		this.reservedSendDttm = reservedSendDttm;
	}
	public String getRecvManNm() {
		return recvManNm;
	}
	public void setRecvManNm(String recvManNm) {
		this.recvManNm = recvManNm;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public String getSendTelNo() {
		return sendTelNo;
	}
	public void setSendTelNo(String sendTelNo) {
		this.sendTelNo = sendTelNo;
	}
	public String getClientIp() {
		return clientIp;
	}
	public void setClientIp(String clientIp) {
		this.clientIp = clientIp;
	}
	public String getPrgmNo() {
		return prgmNo;
	}
	public void setPrgmNo(String prgmNo) {
		this.prgmNo = prgmNo;
	}
	public String getSendURL() {
		return sendURL;
	}
	public void setSendURL(String sendURL) {
		this.sendURL = sendURL;
	}
	public String getShortCut() {
		return shortCut;
	}
	public void setShortCut(String shortCut) {
		this.shortCut = shortCut;
	}
	public String getSenderName() {
		return senderName;
	}
	public void setSenderName(String senderName) {
		this.senderName = senderName;
	}
	public String getSmsPushDiv() {
		return smsPushDiv;
	}
	public void setSmsPushDiv(String smsPushDiv) {
		this.smsPushDiv = smsPushDiv;
	}
	public String getDlvrObjCd() {
		return dlvrObjCd;
	}
	public void setDlvrObjCd(String dlvrObjCd) {
		this.dlvrObjCd = dlvrObjCd;
	}
	public String getDlvrDeptCd() {
		return dlvrDeptCd;
	}
	public void setDlvrDeptCd(String dlvrDeptCd) {
		this.dlvrDeptCd = dlvrDeptCd;
	}
	public String getSendDttm() {
		return sendDttm;
	}
	public void setSendDttm(String sendDttm) {
		this.sendDttm = sendDttm;
	}
	public String getMsgId() {
		return msgId;
	}
	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
}