package hanalife.l.cm.cm.vo;

/**
 * <pre>
 * 클래스명    : RsltFVvalueVO
 * 클래스설명 : 감가상각 Schedule 처리 를(을) 위한 Input req VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RsltFVvalueVO {

	private String loanNo  ;     	//대출_번호
	private String loanSeq ;		//대출_순번
	private String loanDt;			//대출_일자
	private String eprtDt;			//만기_일자
	private String acctCd;			//계정_코드
	private String prdtLrgeClasCd;  //상품_대분류_코드
	private String prdtMidClasCd;  //상품_대분류_코드
	private String prdtSmClasCd;  //상품_대분류_코드
	private Long   loanPamt;		//대출_원금
	private Long   currValDiscAmt;	//현재_가치_할인_금액
	private Long   procVal;			//공정_가치
	private String regDt;
	private String regTm;

	private Long vochAmt; //전표금액
  private String divCd;
  private int    snum;
  private String vochNo;

	public String getVochNo() {
    return vochNo;
  }
  public void setVochNo(String vochNo) {
    this.vochNo = vochNo;
  }
  public Long getVochAmt() {
    return vochAmt;
  }
  public void setVochAmt(Long vochAmt) {
    this.vochAmt = vochAmt;
  }
  public String getDivCd() {
    return divCd;
  }
  public void setDivCd(String divCd) {
    this.divCd = divCd;
  }
  public int getSnum() {
    return snum;
  }
  public void setSnum(int snum) {
    this.snum = snum;
  }
	public String getAcctCd() {
		return acctCd;
	}
	public void setAcctCd(String acctCd) {
		this.acctCd = acctCd;
	}
	public Long getCurrValDiscAmt() {
		return currValDiscAmt;
	}
	public void setCurrValDiscAmt(Long currValDiscAmt) {
		this.currValDiscAmt = currValDiscAmt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public Long getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(Long loanPamt) {
		this.loanPamt = loanPamt;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public Long getProcVal() {
		return procVal;
	}
	public void setProcVal(Long procVal) {
		this.procVal = procVal;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}
	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}
	public String getRegDt() {
		return regDt;
	}
	public void setRegDt(String regDt) {
		this.regDt = regDt;
	}
	public String getRegTm() {
		return regTm;
	}
	public void setRegTm(String regTm) {
		this.regTm = regTm;
	}

}
