package hanalife.r.at.vo.bat;

import java.io.Serializable;

import hanalife.r.co.as.vo.ValueObj;


/**
 * <pre>
 * 클래스　명 : AttrJobVO
 * 클래스설명 : 배치 플랜에 대한 정보를 담은 VO
 * 프로젝트명 : DOBSCAP
 * 작성　일자 : 2018-08-01
 * 변경　이력
 * -----------------------------------------------------------------------------
 * [변경 일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [18.08.01][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@SuppressWarnings("serial")
public class AttrJobVO extends ValueObj implements Serializable {

	public String jobId;
	public String jobDt;
	public int    snum = 0;
	public String jobStatCd;
	public String strtLoanNo = "";
	public String endLoanNo  = "";
	public String jobLoanNo  = "";

	// 현재시스템 일자-시각
	public String procDt = "";
	public String procTm = "";

	// 공통코드에서 얻는 필드
	public String isrtDeptCd = "";
	public String isrtEmpNo = "";
	public int    fetchCnt = 0;

	// param
	public String[] jobStatArr;
	public String trOrgCd = "";
	public String iamtSeq = "1";

	public String vochEmpNo = "SYSTEM";
}
