package hanalife.r.at.vo.bat;

import hanalife.batch.util.dtf.DTFMsgVO;

/**
 * <pre>
 * 클래스명    : EB13_Body
 * 클래스설명 : 청구입금 배치 Body
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EB13_Body extends DTFMsgVO {

    public String recTypeCd;
    public String dataSnum;
    public String trOrgCd;
    public String vndrCd;
    public String sendDt;
    public String acntApplDivCd;
    public String loanNo;
    public String loanSeq;
    public String bankCd;
    public String acntNo;
    public String depoOwnNo;
    public String trtShopCd;
    public String monyKind;
    public String rsltCd;
    public String ipssCd;
    private String telNo;
    public String filler;
    private String filler2;

    public String getAcntApplDivCd() {
        return acntApplDivCd;
    }
    public void setAcntApplDivCd(String acntApplDivCd) {
        this.acntApplDivCd = acntApplDivCd;
    }

    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }

    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }

    public String getDataSnum() {
        return dataSnum;
    }
    public void setDataSnum(String dataSnum) {
        this.dataSnum = dataSnum;
    }

    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }

    public String getFiller() {
        return filler;
    }
    public void setFiller(String filler) {
        this.filler = filler;
    }

    public String getIpssCd() {
        return ipssCd;
    }
    public void setIpssCd(String ipssCd) {
        this.ipssCd = ipssCd;
    }

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }

    public String getMonyKind() {
        return monyKind;
    }
    public void setMonyKind(String monyKind) {
        this.monyKind = monyKind;
    }

    public String getRecTypeCd() {
        return recTypeCd;
    }
    public void setRecTypeCd(String recTypeCd) {
        this.recTypeCd = recTypeCd;
    }

    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }

    public String getSendDt() {
        return sendDt;
    }
    public void setSendDt(String sendDt) {
        this.sendDt = sendDt;
    }

    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }

    public String getTrtShopCd() {
        return trtShopCd;
    }
    public void setTrtShopCd(String trtShopCd) {
        this.trtShopCd = trtShopCd;
    }

	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public String getTelNo() {
		return telNo;
	}
	public void setTelNo(String telNo) {
		this.telNo = telNo;
	}

	public String getFiller2() {
		return filler2;
	}
	public void setFiller2(String filler2) {
		this.filler2 = filler2;
	}

	public String getVndrCd() {
		return vndrCd;
	}
	public void setVndrCd(String vndrCd) {
		this.vndrCd = vndrCd;
	}
}
