package hanalife.r.bm.gm.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptDSSDDO01DTO.java Class
 * 클래스설명   : 주소발송물마감관리조회을를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70324 / 이웅희 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CyclClsMngDSCYCLCLSSM01DTO {

	private String cyclClsCd;    // 주기마감코드
	private String cyclCd;       // 주기코드

	public String getCyclClsCd() {
		return cyclClsCd;
	}
	public void setCyclClsCd(String cyclClsCd) {
		this.cyclClsCd = cyclClsCd;
	}
	public String getCyclCd() {
		return cyclCd;
	}
	public void setCyclCd(String cyclCd) {
		this.cyclCd = cyclCd;
	}

}
