package hanalife.r.ch.mn.vo;

/**
 * <pre>
 * 클래스명    : RCHMNM01DSDDSS04VO.java Class
 * 클래스설명  : 결제일 변경관리 (RCHMNM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01DSDDSS04VO  {
    private String thmmDueTims = "";    /* 당월납입회차 */
    private String thmmDueDt   = "";    /* 당월납입일자 */
    private long chngTims      = 0;     /* CHNG_TIMS   변경_회차 */
    private String chngBfDueDt = "";    /* CHNG_BF_DUE_DT   변경전_납입_일자 */
    private String chngAfDueDt = "";    /* CHNG_AF_DUE_DT   변경후_납입_일자 */
    private String psgInt      = "";    /* PSG_INT   경과이자 */
    private String psgIntYn    = "";    /* 경과이자 계산여부 */
    private String aplyIntRt   = "";    /* 적용이자율 */
    private String psgDdCnt    = "";    /* 경과일수 */
    private String isrtDeptCd  = "";    /* 입력부서 */

    public String getThmmDueTims() {
        return thmmDueTims;
    }
    public void setThmmDueTims(String thmmDueTims) {
        this.thmmDueTims = thmmDueTims;
    }
    public String getThmmDueDt() {
        return thmmDueDt;
    }
    public void setThmmDueDt(String thmmDueDt) {
        this.thmmDueDt = thmmDueDt;
    }
    public long getChngTims() {
        return chngTims;
    }
    public void setChngTims(long chngTims) {
        this.chngTims = chngTims;
    }
    public String getChngBfDueDt() {
        return chngBfDueDt;
    }
    public void setChngBfDueDt(String chngBfDueDt) {
        this.chngBfDueDt = chngBfDueDt;
    }
    public String getChngAfDueDt() {
        return chngAfDueDt;
    }
    public void setChngAfDueDt(String chngAfDueDt) {
        this.chngAfDueDt = chngAfDueDt;
    }
    public String getPsgInt() {
        return psgInt;
    }
    public void setPsgInt(String psgInt) {
        this.psgInt = psgInt;
    }
    public String getPsgIntYn() {
        return psgIntYn;
    }
    public void setPsgIntYn(String psgIntYn) {
        this.psgIntYn = psgIntYn;
    }
    public String getAplyIntRt() {
        return aplyIntRt;
    }
    public void setAplyIntRt(String aplyIntRt) {
        this.aplyIntRt = aplyIntRt;
    }
    public String getPsgDdCnt() {
        return psgDdCnt;
    }
    public void setPsgDdCnt(String psgDdCnt) {
        this.psgDdCnt = psgDdCnt;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
}
