package hanalife.r.ch.mn.vo;

/**
 * <pre>
 * 클래스명    : RCHMNM01DSDDSS06VO.java Class
 * 클래스설명  : 결제일 변경관리 (RCHMNM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01DSDDSS06VO  {
    private String loanNo = "";   /* LOAN_NO   대출_번호 */
    private String loanSeq = "";   /* LOAN_SEQ   대출_순번 */
    private String tims = "";   /* tims   회차 */
    private String dueDt1 = "";   /* dueDt1   납입일자 */
    private String dueDt2 = "";   /* dueDt2   납입일자 */
    private String saleDt = "";   /* saleDt   익영업일 */
    private String rcptTims = "";   /* rcptTims   수납회차 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getTims() {
        return tims;
    }
    public void setTims(String tims) {
        this.tims = tims;
    }
    public String getDueDt1() {
        return dueDt1;
    }
    public void setDueDt1(String dueDt1) {
        this.dueDt1 = dueDt1;
    }
    public String getDueDt2() {
        return dueDt2;
    }
    public void setDueDt2(String dueDt2) {
        this.dueDt2 = dueDt2;
    }
    public String getSaleDt() {
        return saleDt;
    }
    public void setSaleDt(String saleDt) {
        this.saleDt = saleDt;
    }
    public String getRcptTims() {
        return rcptTims;
    }
    public void setRcptTims(String rcptTims) {
        this.rcptTims = rcptTims;
    }
}
