package hanalife.r.ch.mn.vo;

/**
 * <pre>
 * 클래스명    : RCHMNM01DSSMVO.java Class
 * 클래스설명  : 결제일 변경관리 (RCHMNM01) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01DSSMVO  {

    private String loanNo      = "";    /* LOAN_NO   대출_번호 */
    private String loanSeq     = "";    /* LOAN_SEQ   대출_순번 */
    private String mngNo       = "";    /* MNG_NO   관리번호 */
    private String tims        = "";    /* TIMS  회차 */
    private String chngTims    = "";    /* 변경회차 */
    private String chngAfDueDt = "";    /* 변경납입일자 */
    private long snum          = 0;    /* 결제이력순번 */

	public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getMngNo() {
        return mngNo;
    }
    public void setMngNo(String mngNo) {
        this.mngNo = mngNo;
    }
    public String getTims() {
        return tims;
    }
    public void setTims(String tims) {
        this.tims = tims;
    }
    public String getChngTims() {
        return chngTims;
    }
    public void setChngTims(String chngTims) {
        this.chngTims = chngTims;
    }
    public String getChngAfDueDt() {
        return chngAfDueDt;
    }
    public void setChngAfDueDt(String chngAfDueDt) {
        this.chngAfDueDt = chngAfDueDt;
    }
    public long getSnum() {
		return snum;
	}
	public void setSnum(long snum) {
		this.snum = snum;
	}
}
