package hanalife.r.ch.mn.vo;

/**
 * <pre>
 * 클래스명    : RCHMNM01InVO.java Class
 * 클래스설명  : 결제일변경관리 (RDMDLM01) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01InVO {
    private RCHMNM01DSSMVO RCHMNM01DSSMVO;
    private RCHMNM01DSDDSS10VO RCHMNM01DSDDSS10VO;
    private RCHMNM01DSDDSS06VO RCHMNM01DSDDSS60VO;

    // register 진행 시 필요 한 SDDO
    private RCHMNM01DSDDSS01VO RCHMNM01DSDDSS01VO;
    private RCHMNM01DSDDSS04VO RCHMNM01DSDDSS04VO;
    private RCHMNM01DSDDSS08VO RCHMNM01DSDDSS08VO;
    private RCHMNM01DSDDSS09VO RCHMNM01DSDDSS09VO;

	public RCHMNM01DSSMVO getRCHMNM01DSSMVO() {
        return RCHMNM01DSSMVO;
    }
    public void setRCHMNM01DSSMVO(RCHMNM01DSSMVO rCHMNM01DSSMVO) {
        RCHMNM01DSSMVO = rCHMNM01DSSMVO;
    }
    public RCHMNM01DSDDSS10VO getRCHMNM01DSDDSS10VO() {
        return RCHMNM01DSDDSS10VO;
    }
    public void setRCHMNM01DSDDSS10VO(RCHMNM01DSDDSS10VO rCHMNM01DSDDSS10VO) {
        RCHMNM01DSDDSS10VO = rCHMNM01DSDDSS10VO;
    }
    public RCHMNM01DSDDSS06VO getRCHMNM01DSDDSS60VO() {
        return RCHMNM01DSDDSS60VO;
    }
    public void setRCHMNM01DSDDSS60VO(RCHMNM01DSDDSS06VO rCHMNM01DSDDSS60VO) {
        RCHMNM01DSDDSS60VO = rCHMNM01DSDDSS60VO;
    }

    // regisger 진행 시 필요 한 SDDO
    public RCHMNM01DSDDSS01VO getRCHMNM01DSDDSS01VO() {
		return RCHMNM01DSDDSS01VO;
	}
	public void setRCHMNM01DSDDSS01VO(RCHMNM01DSDDSS01VO rCHMNM01DSDDSS01VO) {
		RCHMNM01DSDDSS01VO = rCHMNM01DSDDSS01VO;
	}
	public RCHMNM01DSDDSS04VO getRCHMNM01DSDDSS04VO() {
		return RCHMNM01DSDDSS04VO;
	}
	public void setRCHMNM01DSDDSS04VO(RCHMNM01DSDDSS04VO rCHMNM01DSDDSS04VO) {
		RCHMNM01DSDDSS04VO = rCHMNM01DSDDSS04VO;
	}
	public RCHMNM01DSDDSS08VO getRCHMNM01DSDDSS08VO() {
		return RCHMNM01DSDDSS08VO;
	}
	public void setRCHMNM01DSDDSS08VO(RCHMNM01DSDDSS08VO rCHMNM01DSDDSS08VO) {
		RCHMNM01DSDDSS08VO = rCHMNM01DSDDSS08VO;
	}
	public RCHMNM01DSDDSS09VO getRCHMNM01DSDDSS09VO() {
		return RCHMNM01DSDDSS09VO;
	}
	public void setRCHMNM01DSDDSS09VO(RCHMNM01DSDDSS09VO rCHMNM01DSDDSS09VO) {
		RCHMNM01DSDDSS09VO = rCHMNM01DSDDSS09VO;
	}
}
