package hanalife.r.co.la.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.co.la.mapper.dto.LoanInfoProcMngObjDTO;

@Mapper("LoanInfoProcMngMapper")
public interface LoanInfoProcMngMapper {

    /**
     * <pre>
     * 메소드명      : searchLoanPrdtCdSQL
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 연체현황조회(상품별 검색)을(를) 조회 한다.
     * 메소드인수1   : 연체현황조회(상품별 검색) 입력
     * 메소드리턴값  : 연체현황조회(상품별 검색) 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<LoanInfoProcMngObjDTO> searchLoanPrdtCdSQL(LoanInfoProcMngObjDTO inDto) throws Exception;

}
