package hanalife.r.co.la.service;

import hanalife.r.at.at.vo.PreSetlSDDOOUTVO;
import hanalife.r.co.la.vo.LoanInfoProcMngInVO;
import hanalife.r.co.la.vo.LoanInfoProcMngOutVO;

public interface LoanInfoProcMngService {

	/**
	 * <p>메소드명      : getLoanInfo</p>
	 * <p>작성일자      : 2023. 3. 22.
	 * <p>작성자(author): 70322 / sungjin.park
	 * <p>설명          : 대출정보 조회</p>
	 * <p>메소드인수    : LoanInfoProcMngInVO</p>
	 * <p>메소드리턴값  : List<LoanInfoVO></p>
	 * <p>예외처리      : Exception</p>
	 */
	public LoanInfoProcMngOutVO getLoanInfo(LoanInfoProcMngInVO inVO) throws Exception;


	public PreSetlSDDOOUTVO getPreSetl(LoanInfoProcMngInVO inVO) throws Exception;

}
