package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스명    : PdueDescVO
 * 클래스설명 : 선납내역 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class PdueDescVO extends ValueObj {
	public String loanNo = ""; //대출_번호
	public String loanSeq = ""; //대출_순번
	public int    setlNo = 0; //결제_번호
	public int    setlSnum = 0; //결제_일련번호
	public String occrAdjDivCd = ""; //발생_정산_구분코드
	public long   pdueDiscDfee = 0; //선납_할인_연체료
	public String cnclFg = "0"; //취소_여부
	public String cnclDt = ""; //취소_일자
	public String procEmpNo = ""; //처리_사원_번호
	public String partCnclCd = "";	//2018-08-01 두비스 부분취소추가

//	public String loanNo; //대출_번호
//	public String loanSeq; //대출_순번
//	public double setlNo; //결제_번호
//	public double setlSnum; //결제_일련번호
//	public String occrAdjDivCd; //발생_정산_구분코드
//	public double pdueDiscDfee; //선납_할인_연체료
//	public String cnclFg; //취소_여부
//	public String cnclDt; //취소_일자
//    public String procEmpNo; //처리_사원_번호
//    public PdueDescVO() {
//		loanNo = ""; //대출_번호
//		loanSeq = ""; //대출_순번
//		setlNo = 0; //결제_번호
//		setlSnum = 0; //결제_일련번호
//		occrAdjDivCd = ""; //발생_정산_구분코드
//		pdueDiscDfee = 0; //선납_할인_연체료
//		cnclFg = ""; //취소_여부
//		cnclDt = ""; //취소_일자
//        procEmpNo = ""; //처리_사원_번호
//	}
}
