package hanalife.r.co.sr.vo;

/**
 * <pre>
 * 클래스명    : RfndDescVO
 * 클래스설명 : RfndDescVO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RfndDescVO {
	private String dsrcNo;    //예가수_번호
	private int rfndSnum;    //환불_일련번호
	private String rfndLoanNo;    //환불_대출_번호
	private String rfndLoanSeq;    //환불_대출_순번
	private String rfndDt;    //환불_일자
	private String acctDt;    //회계_일자
	private String rfndStatCd;    //환불_상태_코드
	private String rcptTpCd;    //수납_유형_코드
	private String rfndRsnCd;    //환불_사유_코드
	private long dsrcOccrAmt;    //예가수_발생_금액
	private long dsrcRamt;    //예가수_잔액
	private long dsrcAdjAmt;    //예가수_정산_금액
	private String autoTranAplyFg;    //자동이체_적용_여부
	private String bankCd;    //은행_코드
	private String acntNo;    //계좌번호
	private String depoOwnNo;    //예금주_번호
	private String depoOwnnm;    //예금주명
	private String depoOwnRelCd;    //예금주_관계_코드
	private String acntCnfmNo;    //계좌_확인_번호
	private String acntCnfmDt;    //계좌_확인_일자
	private String acntCnfmTm;    //계좌_확인_시각
	private String acntRsltCd;    //계좌_결과_코드
	private String ivltRegFg;    //강제_등록_여부
	private String cnfmDepoOwnnm;    //확인_예금주명
	private String payNo;    //지급_번호
	private String rfndRsltCd;    //환불_결과_코드
	private String isrtDeptCd;    //입력_부서_코드
	private String adjDeptCd;    //정산_부서_코드
	private int dsrcSnum;    //예가수_일련번호
	private String setlFg;    //결제_여부
	private int setlNo;    //결제_번호
	private String cnclFg;    //취소_여부
	private String cnclDt;    //취소_일자
	private int cnclDsrcSnum;    //취소_예가수_일련번호
	private String cnclSetlFg;    //취소_결제_여부
	private int cnclSetlNo;    //취소_결제_번호
	private String frstRegDt;    //최초_등록_일자
	private String frstRegTm;    //최초_등록_시각
	private String frstRegEmpNo;    //최초_등록_사원번호
	private String lastProcDt;    //최종_처리_일자
	private String lastProcTm;    //최종_처리_시각
	private String lastProcEmpNo;    //최종_처리_사원번호
        private String trOrgCd;    //거래_기관_코드

	public RfndDescVO() {
		init();
	}

	public void init() {
		dsrcNo = "";    //예가수_번호
		rfndSnum=0;    //환불_일련번호
		rfndLoanNo = "";    //환불_대출_번호
		rfndLoanSeq = "";    //환불_대출_순번
		rfndDt = "";    //환불_일자
		acctDt = "";    //회계_일자
		rfndStatCd = "";    //환불_상태_코드
		rcptTpCd = "";    //수납_유형_코드
		rfndRsnCd = "";    //환불_사유_코드
		dsrcOccrAmt=0;    //예가수_발생_금액
		dsrcRamt=0;    //예가수_잔액
		dsrcAdjAmt=0;    //예가수_정산_금액
		autoTranAplyFg = "0";    //자동이체_적용_여부
		bankCd = "";    //은행_코드
		acntNo = "";    //계좌번호
		depoOwnNo = "";    //예금주_번호
		depoOwnnm = "";    //예금주명
		depoOwnRelCd = "";    //예금주_관계_코드
		acntCnfmNo = "";    //계좌_확인_번호
		acntCnfmDt = "";    //계좌_확인_일자
		acntCnfmTm = "";    //계좌_확인_시각
		acntRsltCd = "";    //계좌_결과_코드
		ivltRegFg = "0";    //강제_등록_여부
		cnfmDepoOwnnm = "";    //확인_예금주명
		payNo = "";    //지급_번호
		rfndRsltCd = "";    //환불_결과_코드
		isrtDeptCd = "";    //입력_부서_코드
		adjDeptCd = "";    //정산_부서_코드
		dsrcSnum =0;    //예가수_일련번호
		setlFg = "0";    //결제_여부
		setlNo =0;    //결제_번호
		cnclFg = "0";    //취소_여부
		cnclDt = "";    //취소_일자
		cnclDsrcSnum=0;    //취소_예가수_일련번호
		cnclSetlFg = "0";    //취소_결제_여부
		cnclSetlNo=0;    //취소_결제_번호
		frstRegDt = "";    //최초_등록_일자
		frstRegTm = "";    //최초_등록_시각
		frstRegEmpNo = "";    //최초_등록_사원번호
		lastProcDt = "";    //최종_처리_일자
		lastProcTm = "";    //최종_처리_시각
		lastProcEmpNo = "";    //최종_처리_사원번호
                trOrgCd = "";    //거래_기관_코드
	}

    /**
     * @return Returns the trOrgCd.
     */
    public String getTrOrgCd() {
            return trOrgCd;
    }
    /**
     * @param trOrgCd The trOrgCd to set.
     */
    public void setTrOrgCd(String trOrgCd) {
            this.trOrgCd = trOrgCd;
    }
	/**
	 * @return Returns the acctDt.
	 */
	public String getAcctDt() {
		return acctDt;
	}
	/**
	 * @param acctDt The acctDt to set.
	 */
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	/**
	 * @return Returns the acntCnfmDt.
	 */
	public String getAcntCnfmDt() {
		return acntCnfmDt;
	}
	/**
	 * @param acntCnfmDt The acntCnfmDt to set.
	 */
	public void setAcntCnfmDt(String acntCnfmDt) {
		this.acntCnfmDt = acntCnfmDt;
	}
	/**
	 * @return Returns the acntCnfmNo.
	 */
	public String getAcntCnfmNo() {
		return acntCnfmNo;
	}
	/**
	 * @param acntCnfmNo The acntCnfmNo to set.
	 */
	public void setAcntCnfmNo(String acntCnfmNo) {
		this.acntCnfmNo = acntCnfmNo;
	}
	/**
	 * @return Returns the acntCnfmTm.
	 */
	public String getAcntCnfmTm() {
		return acntCnfmTm;
	}
	/**
	 * @param acntCnfmTm The acntCnfmTm to set.
	 */
	public void setAcntCnfmTm(String acntCnfmTm) {
		this.acntCnfmTm = acntCnfmTm;
	}
	/**
	 * @return Returns the acntNo.
	 */
	public String getAcntNo() {
		return acntNo;
	}
	/**
	 * @param acntNo The acntNo to set.
	 */
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	/**
	 * @return Returns the acntRsltCd.
	 */
	public String getAcntRsltCd() {
		return acntRsltCd;
	}
	/**
	 * @param acntRsltCd The acntRsltCd to set.
	 */
	public void setAcntRsltCd(String acntRsltCd) {
		this.acntRsltCd = acntRsltCd;
	}
	/**
	 * @return Returns the adjDeptCd.
	 */
	public String getAdjDeptCd() {
		return adjDeptCd;
	}
	/**
	 * @param adjDeptCd The adjDeptCd to set.
	 */
	public void setAdjDeptCd(String adjDeptCd) {
		this.adjDeptCd = adjDeptCd;
	}
	/**
	 * @return Returns the autoTranAplyFg.
	 */
	public String getAutoTranAplyFg() {
		return autoTranAplyFg;
	}
	/**
	 * @param autoTranAplyFg The autoTranAplyFg to set.
	 */
	public void setAutoTranAplyFg(String autoTranAplyFg) {
		this.autoTranAplyFg = autoTranAplyFg;
	}
	/**
	 * @return Returns the bankCd.
	 */
	public String getBankCd() {
		return bankCd;
	}
	/**
	 * @param bankCd The bankCd to set.
	 */
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	/**
	 * @return Returns the cnclDsrcSnum.
	 */
	public int getCnclDsrcSnum() {
		return cnclDsrcSnum;
	}
	/**
	 * @param cnclDsrcSnum The cnclDsrcSnum to set.
	 */
	public void setCnclDsrcSnum(int cnclDsrcSnum) {
		this.cnclDsrcSnum = cnclDsrcSnum;
	}
	/**
	 * @return Returns the cnclDt.
	 */
	public String getCnclDt() {
		return cnclDt;
	}
	/**
	 * @param cnclDt The cnclDt to set.
	 */
	public void setCnclDt(String cnclDt) {
		this.cnclDt = cnclDt;
	}
	/**
	 * @return Returns the cnclFg.
	 */
	public String getCnclFg() {
		return cnclFg;
	}
	/**
	 * @param cnclFg The cnclFg to set.
	 */
	public void setCnclFg(String cnclFg) {
		this.cnclFg = cnclFg;
	}
	/**
	 * @return Returns the cnclSetlFg.
	 */
	public String getCnclSetlFg() {
		return cnclSetlFg;
	}
	/**
	 * @param cnclSetlFg The cnclSetlFg to set.
	 */
	public void setCnclSetlFg(String cnclSetlFg) {
		this.cnclSetlFg = cnclSetlFg;
	}
	/**
	 * @return Returns the cnclSetlNo.
	 */
	public int getCnclSetlNo() {
		return cnclSetlNo;
	}
	/**
	 * @param cnclSetlNo The cnclSetlNo to set.
	 */
	public void setCnclSetlNo(int cnclSetlNo) {
		this.cnclSetlNo = cnclSetlNo;
	}
	/**
	 * @return Returns the cnfmDepoOwnnm.
	 */
	public String getCnfmDepoOwnnm() {
		return cnfmDepoOwnnm;
	}
	/**
	 * @param cnfmDepoOwnnm The cnfmDepoOwnnm to set.
	 */
	public void setCnfmDepoOwnnm(String cnfmDepoOwnnm) {
		this.cnfmDepoOwnnm = cnfmDepoOwnnm;
	}
	/**
	 * @return Returns the depoOwnnm.
	 */
	public String getDepoOwnnm() {
		return depoOwnnm;
	}
	/**
	 * @param depoOwnnm The depoOwnnm to set.
	 */
	public void setDepoOwnnm(String depoOwnnm) {
		this.depoOwnnm = depoOwnnm;
	}
	/**
	 * @return Returns the depoOwnNo.
	 */
	public String getDepoOwnNo() {
		return depoOwnNo;
	}
	/**
	 * @param depoOwnNo The depoOwnNo to set.
	 */
	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}
	/**
	 * @return Returns the depoOwnRelCd.
	 */
	public String getDepoOwnRelCd() {
		return depoOwnRelCd;
	}
	/**
	 * @param depoOwnRelCd The depoOwnRelCd to set.
	 */
	public void setDepoOwnRelCd(String depoOwnRelCd) {
		this.depoOwnRelCd = depoOwnRelCd;
	}
	/**
	 * @return Returns the dsrcAdjAmt.
	 */
	public long getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	/**
	 * @param dsrcAdjAmt The dsrcAdjAmt to set.
	 */
	public void setDsrcAdjAmt(long dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	/**
	 * @return Returns the dsrcNo.
	 */
	public String getDsrcNo() {
		return dsrcNo;
	}
	/**
	 * @param dsrcNo The dsrcNo to set.
	 */
	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}
	/**
	 * @return Returns the dsrcOccrAmt.
	 */
	public long getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	/**
	 * @param dsrcOccrAmt The dsrcOccrAmt to set.
	 */
	public void setDsrcOccrAmt(long dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	/**
	 * @return Returns the dsrcRamt.
	 */
	public long getDsrcRamt() {
		return dsrcRamt;
	}
	/**
	 * @param dsrcRamt The dsrcRamt to set.
	 */
	public void setDsrcRamt(long dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}
	/**
	 * @return Returns the dsrcSnum.
	 */
	public int getDsrcSnum() {
		return dsrcSnum;
	}
	/**
	 * @param dsrcSnum The dsrcSnum to set.
	 */
	public void setDsrcSnum(int dsrcSnum) {
		this.dsrcSnum = dsrcSnum;
	}
	/**
	 * @return Returns the frstRegDt.
	 */
	public String getFrstRegDt() {
		return frstRegDt;
	}
	/**
	 * @param frstRegDt The frstRegDt to set.
	 */
	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}
	/**
	 * @return Returns the frstRegEmpNo.
	 */
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	/**
	 * @param frstRegEmpNo The frstRegEmpNo to set.
	 */
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	/**
	 * @return Returns the frstRegTm.
	 */
	public String getFrstRegTm() {
		return frstRegTm;
	}
	/**
	 * @param frstRegTm The frstRegTm to set.
	 */
	public void setFrstRegTm(String frstRegTm) {
		this.frstRegTm = frstRegTm;
	}
	/**
	 * @return Returns the isrtDeptCd.
	 */
	public String getIsrtDeptCd() {
		return isrtDeptCd;
	}
	/**
	 * @param isrtDeptCd The isrtDeptCd to set.
	 */
	public void setIsrtDeptCd(String isrtDeptCd) {
		this.isrtDeptCd = isrtDeptCd;
	}
	/**
	 * @return Returns the ivltRegFg.
	 */
	public String getIvltRegFg() {
		return ivltRegFg;
	}
	/**
	 * @param ivltRegFg The ivltRegFg to set.
	 */
	public void setIvltRegFg(String ivltRegFg) {
		this.ivltRegFg = ivltRegFg;
	}
	/**
	 * @return Returns the lastProcDt.
	 */
	public String getLastProcDt() {
		return lastProcDt;
	}
	/**
	 * @param lastProcDt The lastProcDt to set.
	 */
	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}
	/**
	 * @return Returns the lastProcEmpNo.
	 */
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	/**
	 * @param lastProcEmpNo The lastProcEmpNo to set.
	 */
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}
	/**
	 * @return Returns the lastProcTm.
	 */
	public String getLastProcTm() {
		return lastProcTm;
	}
	/**
	 * @param lastProcTm The lastProcTm to set.
	 */
	public void setLastProcTm(String lastProcTm) {
		this.lastProcTm = lastProcTm;
	}
	/**
	 * @return Returns the payNo.
	 */
	public String getPayNo() {
		return payNo;
	}
	/**
	 * @param payNo The payNo to set.
	 */
	public void setPayNo(String payNo) {
		this.payNo = payNo;
	}
	/**
	 * @return Returns the rcptTpCd.
	 */
	public String getRcptTpCd() {
		return rcptTpCd;
	}
	/**
	 * @param rcptTpCd The rcptTpCd to set.
	 */
	public void setRcptTpCd(String rcptTpCd) {
		this.rcptTpCd = rcptTpCd;
	}
	/**
	 * @return Returns the rfndDt.
	 */
	public String getRfndDt() {
		return rfndDt;
	}
	/**
	 * @param rfndDt The rfndDt to set.
	 */
	public void setRfndDt(String rfndDt) {
		this.rfndDt = rfndDt;
	}
	/**
	 * @return Returns the rfndLoanNo.
	 */
	public String getRfndLoanNo() {
		return rfndLoanNo;
	}
	/**
	 * @param rfndLoanNo The rfndLoanNo to set.
	 */
	public void setRfndLoanNo(String rfndLoanNo) {
		this.rfndLoanNo = rfndLoanNo;
	}
	/**
	 * @return Returns the rfndLoanSeq.
	 */
	public String getRfndLoanSeq() {
		return rfndLoanSeq;
	}
	/**
	 * @param rfndLoanSeq The rfndLoanSeq to set.
	 */
	public void setRfndLoanSeq(String rfndLoanSeq) {
		this.rfndLoanSeq = rfndLoanSeq;
	}
	/**
	 * @return Returns the rfndRsltCd.
	 */
	public String getRfndRsltCd() {
		return rfndRsltCd;
	}
	/**
	 * @param rfndRsltCd The rfndRsltCd to set.
	 */
	public void setRfndRsltCd(String rfndRsltCd) {
		this.rfndRsltCd = rfndRsltCd;
	}
	/**
	 * @return Returns the rfndRsnCd.
	 */
	public String getRfndRsnCd() {
		return rfndRsnCd;
	}
	/**
	 * @param rfndRsnCd The rfndRsnCd to set.
	 */
	public void setRfndRsnCd(String rfndRsnCd) {
		this.rfndRsnCd = rfndRsnCd;
	}
	/**
	 * @return Returns the rfndSnum.
	 */
	public int getRfndSnum() {
		return rfndSnum;
	}
	/**
	 * @param rfndSnum The rfndSnum to set.
	 */
	public void setRfndSnum(int rfndSnum) {
		this.rfndSnum = rfndSnum;
	}
	/**
	 * @return Returns the rfndStatCd.
	 */
	public String getRfndStatCd() {
		return rfndStatCd;
	}
	/**
	 * @param rfndStatCd The rfndStatCd to set.
	 */
	public void setRfndStatCd(String rfndStatCd) {
		this.rfndStatCd = rfndStatCd;
	}
	/**
	 * @return Returns the setlFg.
	 */
	public String getSetlFg() {
		return setlFg;
	}
	/**
	 * @param setlFg The setlFg to set.
	 */
	public void setSetlFg(String setlFg) {
		this.setlFg = setlFg;
	}
	/**
	 * @return Returns the setlNo.
	 */
	public int getSetlNo() {
		return setlNo;
	}
	/**
	 * @param setlNo The setlNo to set.
	 */
	public void setSetlNo(int setlNo) {
		this.setlNo = setlNo;
	}
}
