package hanalife.r.dm.dl.vo;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSSDDO02VO.java Class
 * 클래스설명  : 발송관리 대출관계자정보 조회 (RDMDLM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSSDDO02VO {

	private String loanNo        = ""; /* 대출번호 */
	private String loanSeq       = ""; /* 대출순번 */
	private String loanRelCd     = ""; /* 대출관계코드 */
	private String loanRelNm     = ""; /* 대출관계명 */
	private String custNo        = ""; /* 고객번호 */
	private String custNm        = ""; /* 고객명 */
	private String rlDueManFg    = ""; /* 실납입자여부 */
	private String askPlcDivCd   = ""; /* 청구지구분코드 */
	private String askPlc        = ""; /* 청구지 */
	private String recvEmail     = ""; /* 이메일 */
	private String billDlvrManFg = ""; /* 청구서발송여부 */
	private String custNoTran    = ""; /* 고객이관 */
	private String faxNo1        = ""; /* 팩스번호1 */
	private String faxNo2        = ""; /* 팩스번호2 */
	private String faxNo3        = ""; /* 팩스번호3 */
	private String faxNo         = ""; /* 팩스번호 */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getLoanRelCd() {
		return loanRelCd;
	}
	public void setLoanRelCd(String loanRelCd) {
		this.loanRelCd = loanRelCd;
	}
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getRlDueManFg() {
		return rlDueManFg;
	}
	public void setRlDueManFg(String rlDueManFg) {
		this.rlDueManFg = rlDueManFg;
	}
	public String getAskPlcDivCd() {
		return askPlcDivCd;
	}
	public void setAskPlcDivCd(String askPlcDivCd) {
		this.askPlcDivCd = askPlcDivCd;
	}
	public String getAskPlc() {
		return askPlc;
	}
	public void setAskPlc(String askPlc) {
		this.askPlc = askPlc;
	}
	public String getRecvEmail() {
		return recvEmail;
	}
	public void setRecvEmail(String recvEmail) {
		this.recvEmail = recvEmail;
	}
	public String getBillDlvrManFg() {
		return billDlvrManFg;
	}
	public void setBillDlvrManFg(String billDlvrManFg) {
		this.billDlvrManFg = billDlvrManFg;
	}
	public String getCustNoTran() {
		return custNoTran;
	}
	public void setCustNoTran(String custNoTran) {
		this.custNoTran = custNoTran;
	}
	public String getFaxNo1() {
		return faxNo1;
	}
	public void setFaxNo1(String faxNo1) {
		this.faxNo1 = faxNo1;
	}
	public String getFaxNo2() {
		return faxNo2;
	}
	public void setFaxNo2(String faxNo2) {
		this.faxNo2 = faxNo2;
	}
	public String getFaxNo3() {
		return faxNo3;
	}
	public void setFaxNo3(String faxNo3) {
		this.faxNo3 = faxNo3;
	}
	public String getFaxNo() {
		return faxNo;
	}
	public void setFaxNo(String faxNo) {
		this.faxNo = faxNo;
	}
}
