package hanalife.r.dm.dl.vo;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSSDDO03VO.java Class
 * 클래스설명  : 발송관리 고객주소정보 조회 (RDMDLM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSSDDO03VO {

	private String addrDivCd = ""; /* 주소구분코드 */
	private String addrDivNm = ""; /* 주소구분명 */
	private String zipCd     = ""; /* 우편번호 */
	private String addrDong  = ""; /* 주소동 */
	private String addrSpec  = ""; /* 주소상세 */
	private String emal      = ""; /* 이메일 */

	public String getAddrDivCd() {
		return addrDivCd;
	}
	public void setAddrDivCd(String addrDivCd) {
		this.addrDivCd = addrDivCd;
	}
	public String getAddrDivNm() {
		return addrDivNm;
	}
	public void setAddrDivNm(String addrDivNm) {
		this.addrDivNm = addrDivNm;
	}
	public String getZipCd() {
		return zipCd;
	}
	public void setZipCd(String zipCd) {
		this.zipCd = zipCd;
	}
	public String getAddrDong() {
		return addrDong;
	}
	public void setAddrDong(String addrDong) {
		this.addrDong = addrDong;
	}
	public String getAddrSpec() {
		return addrSpec;
	}
	public void setAddrSpec(String addrSpec) {
		this.addrSpec = addrSpec;
	}
	public String getEmal() {
		return emal;
	}
	public void setEmal(String emal) {
		this.emal = emal;
	}

}
