package hanalife.r.rc.cl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.rc.cl.mapper.dto.RcptTrDescReadIN2DTO;
import hanalife.r.rc.cl.mapper.dto.RcptTrDescReadINDTO;
import hanalife.r.rc.cl.mapper.dto.RcptTrDescReadOUT1DTO;
import hanalife.r.rc.cl.mapper.dto.RcptTrDescReadOUT2DTO;

@Mapper("rcptTrDescReadMapper")
public interface RcptTrDescReadMapper {
    /**
     * <pre>
     * 메소드명       : searchLoanPrdtCdSQL
     * 작성일자       : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 대출 상품 조회
     * 메소드인수1   : CprtContMngMdulObjDTO 입력
     * 메소드리턴값  : List<CprtContMngMdulObjDTO> 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<RcptTrDescReadOUT1DTO> searchDescList(RcptTrDescReadINDTO inDto) throws Exception;

    public List<RcptTrDescReadOUT2DTO> searchClsSubDescList(RcptTrDescReadIN2DTO inDto) throws Exception;

}
