package hanalife.r.rc.rc.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RcptDescSpecReadDSRMBRSMDTO.java Class
 * 클래스설명   : 연체현황조회(상품별)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70322 / sungjin.park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][70322 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RcptDescSpecReadDSRMBRSMDTO {
	private String loanNo;	/**대출_번호*/
	private String loanSeq;	/**대출_순번*/

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

}
