package hanalife.r.rc.rd.vo;

/**
 * <pre>
 * 클래스명    : RRCRCM02S01SD02OutVO.java Class
 * 클래스설명  : 수납결제내역조회 (RRCRCM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 24.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RRCRCM02DSSDDO02VO {

	private String setlNo = "";                /* 결제번호 */
    private String acctDt = "";                /* 회계일자 */
    private String setlDt = "";                /* 결제일자 */
    private String isrtDt = "";                /* 입력이자 */
    private String isrtDeptCd = "";            /* 입력부서코드 */
    private String isrtDeptNm = "";            /* 입력부서명 */
    private String rcptTpCd = "";              /* 수납유형코드 */
    private String rcptTpNm = "";              /* 수납유형명 */
    private String setlDivCd = "";             /* 결제구분코드 */
    private String setlDivNm = "";             /* 결제구분명 */
    private String setlAmt = "";               /* 결제금액 */
    private String rcptAmt = "";               /* 수납금액 */
    private String cashAmt = "";               /* 현금 */
    private String chkAmt = "";                /* 수표금액 */
    private String exmpAmt = "";               /* 면제금애  */
    private String dsrcOccrAmt = "";           /* 예가수발생금액 */
    private String dsrcAdjAmt = "";            /* 예가수정산금액 */
    private String midRmbrPamt = "";           /* 중도상환원금 */
    private String rcptPamt = "";              /* 수납원금 */
    private String rcptInt = "";               /* 수납이자 */
    private String rcptDfee = "";              /* 수납연체료 */
    private String leglActnCost = "";          /* 법조치비용 */
    private String midRmbrFee = "";            /* 중도상환수수료 */
    private String exmpPamt = "";              /* 면제원금 */
    private String exmpInt = "";               /* 면제이자 */
    private String exmpDfee = "";              /* 면제수수료 */
    private String exmpLeglActnCost = "";      /* 면제법조치비용 */
    private String exmpMidRmbrFee = "";        /* 면제중도상환수수료 */
    private String pdueDiscDfee = "";          /* 선납할인연체료 */
    private String trtFeeDisc = "";            /* 취급수수료할인 */
    private String cnclFg = "";                /* 취소여부 */
    private String rfndFg = "";                /* 환불여부 */
    private String frstRegEmpNo = "";          /* 최초등록자사원번호 */
    private String frstRegEmpNm = "";          /* 최초등록자사원명 */
    private String frstRegDt = "";             /* 최초등록일자 */
    private String frstRegTm = "";             /* 최초등록시각 */
    private String stmpFee = "";             /* 인지세 */

	public String getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(String setlNo) {
		this.setlNo = setlNo;
	}
	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getIsrtDt() {
		return isrtDt;
	}
	public void setIsrtDt(String isrtDt) {
		this.isrtDt = isrtDt;
	}
	public String getIsrtDeptCd() {
		return isrtDeptCd;
	}
	public void setIsrtDeptCd(String isrtDeptCd) {
		this.isrtDeptCd = isrtDeptCd;
	}
	public String getIsrtDeptNm() {
		return isrtDeptNm;
	}
	public void setIsrtDeptNm(String isrtDeptNm) {
		this.isrtDeptNm = isrtDeptNm;
	}
	public String getRcptTpCd() {
		return rcptTpCd;
	}
	public void setRcptTpCd(String rcptTpCd) {
		this.rcptTpCd = rcptTpCd;
	}
	public String getRcptTpNm() {
		return rcptTpNm;
	}
	public void setRcptTpNm(String rcptTpNm) {
		this.rcptTpNm = rcptTpNm;
	}
	public String getSetlDivCd() {
		return setlDivCd;
	}
	public void setSetlDivCd(String setlDivCd) {
		this.setlDivCd = setlDivCd;
	}
	public String getSetlDivNm() {
		return setlDivNm;
	}
	public void setSetlDivNm(String setlDivNm) {
		this.setlDivNm = setlDivNm;
	}
	public String getSetlAmt() {
		return setlAmt;
	}
	public void setSetlAmt(String setlAmt) {
		this.setlAmt = setlAmt;
	}
	public String getRcptAmt() {
		return rcptAmt;
	}
	public void setRcptAmt(String rcptAmt) {
		this.rcptAmt = rcptAmt;
	}
	public String getCashAmt() {
		return cashAmt;
	}
	public void setCashAmt(String cashAmt) {
		this.cashAmt = cashAmt;
	}
	public String getChkAmt() {
		return chkAmt;
	}
	public void setChkAmt(String chkAmt) {
		this.chkAmt = chkAmt;
	}
	public String getExmpAmt() {
		return exmpAmt;
	}
	public void setExmpAmt(String exmpAmt) {
		this.exmpAmt = exmpAmt;
	}
	public String getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(String dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	public String getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(String dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	public String getMidRmbrPamt() {
		return midRmbrPamt;
	}
	public void setMidRmbrPamt(String midRmbrPamt) {
		this.midRmbrPamt = midRmbrPamt;
	}
	public String getRcptPamt() {
		return rcptPamt;
	}
	public void setRcptPamt(String rcptPamt) {
		this.rcptPamt = rcptPamt;
	}
	public String getRcptInt() {
		return rcptInt;
	}
	public void setRcptInt(String rcptInt) {
		this.rcptInt = rcptInt;
	}
	public String getRcptDfee() {
		return rcptDfee;
	}
	public void setRcptDfee(String rcptDfee) {
		this.rcptDfee = rcptDfee;
	}
	public String getLeglActnCost() {
		return leglActnCost;
	}
	public void setLeglActnCost(String leglActnCost) {
		this.leglActnCost = leglActnCost;
	}
	public String getMidRmbrFee() {
		return midRmbrFee;
	}
	public void setMidRmbrFee(String midRmbrFee) {
		this.midRmbrFee = midRmbrFee;
	}
	public String getExmpPamt() {
		return exmpPamt;
	}
	public void setExmpPamt(String exmpPamt) {
		this.exmpPamt = exmpPamt;
	}
	public String getExmpInt() {
		return exmpInt;
	}
	public void setExmpInt(String exmpInt) {
		this.exmpInt = exmpInt;
	}
	public String getExmpDfee() {
		return exmpDfee;
	}
	public void setExmpDfee(String exmpDfee) {
		this.exmpDfee = exmpDfee;
	}
	public String getExmpLeglActnCost() {
		return exmpLeglActnCost;
	}
	public void setExmpLeglActnCost(String exmpLeglActnCost) {
		this.exmpLeglActnCost = exmpLeglActnCost;
	}
	public String getExmpMidRmbrFee() {
		return exmpMidRmbrFee;
	}
	public void setExmpMidRmbrFee(String exmpMidRmbrFee) {
		this.exmpMidRmbrFee = exmpMidRmbrFee;
	}
	public String getPdueDiscDfee() {
		return pdueDiscDfee;
	}
	public void setPdueDiscDfee(String pdueDiscDfee) {
		this.pdueDiscDfee = pdueDiscDfee;
	}
	public String getTrtFeeDisc() {
		return trtFeeDisc;
	}
	public void setTrtFeeDisc(String trtFeeDisc) {
		this.trtFeeDisc = trtFeeDisc;
	}
	public String getCnclFg() {
		return cnclFg;
	}
	public void setCnclFg(String cnclFg) {
		this.cnclFg = cnclFg;
	}
	public String getRfndFg() {
		return rfndFg;
	}
	public void setRfndFg(String rfndFg) {
		this.rfndFg = rfndFg;
	}
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	public String getFrstRegEmpNm() {
		return frstRegEmpNm;
	}
	public void setFrstRegEmpNm(String frstRegEmpNm) {
		this.frstRegEmpNm = frstRegEmpNm;
	}
	public String getFrstRegDt() {
		return frstRegDt;
	}
	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}
	public String getFrstRegTm() {
		return frstRegTm;
	}
	public void setFrstRegTm(String frstRegTm) {
		this.frstRegTm = frstRegTm;
	}
	public String getStmpFee() {
		return stmpFee;
	}
	public void setStmpFee(String stmpFee) {
		this.stmpFee = stmpFee;
	}
}
