package hanalife.r.rc.rd.vo;

/**
 * <pre>
 * 클래스명    : RRCRCM02DSSMDOVO.java Class
 * 클래스설명  : 수납결제내역조회 (RRCRCM02) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 07.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 07.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RRCRCM02DSSMDOVO  {

    private String loanNo;  /** 대출번호 */
    private String loanSeq;  /** 대출순번 */
    private String setlDiv;    /** 결제구분 */
    private String acctDtFr;  /** 회계조회시작일자 */
    private String acctDtTo;  /** 회계조회종료일자 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getSetlDiv() {
        return setlDiv;
    }
    public void setSetlDiv(String setlDiv) {
        this.setlDiv = setlDiv;
    }
    public String getAcctDtFr() {
        return acctDtFr;
    }
    public void setAcctDtFr(String acctDtFr) {
        this.acctDtFr = acctDtFr;
    }
    public String getAcctDtTo() {
        return acctDtTo;
    }
    public void setAcctDtTo(String acctDtTo) {
        this.acctDtTo = acctDtTo;
    }
}
