package hanalife.r.rc.rd.vo;

import java.io.Serializable;

/**
 * <pre>
 * 클래스명    : RRCRD0101S0102VO.java Class
 * 클래스설명  : 수납결제내역조회 (RRCRD0101) 수납정보 VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 24.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RRCRD0101S0102VO implements Serializable {

    private static final long serialVersionUID = 1370926268937967440L;

    String setlNo ;  /** @Description */
    String acctDt ;  /** @Description */
    String setlDt ;  /** @Description */
    String isrtDt ;  /** @Description */
    String isrtDeptCd ;  /** @Description */
    String isrtDeptNm ;  /** @Description */
    String rcptTpCd ;  /** @Description */
    String rcptTpNm ;  /** @Description */
    String setlDivCd ;  /** @Description */
    String setlDivNm ;  /** @Description */
    String setlAmt ;  /** @Description */
    String rcptAmt ;  /** @Description */
    String cashAmt ;  /** @Description */
    String chkAmt ;  /** @Description */
    String exmpAmt ;  /** @Description */
    String dsrcOccrAmt ;  /** @Description */
    String dsrcAdjAmt ;  /** @Description */
    String midRmbrPamt ;  /** @Description */
    String rcptPamt ;  /** @Description */
    String rcptInt ;  /** @Description */
    String rcptDfee ;  /** @Description */
    String leglActnCost ;  /** @Description */
    String midRmbrFee ;  /** @Description */
    String exmpPamt ;  /** @Description */
    String exmpInt ;  /** @Description */
    String exmpDfee ;  /** @Description */
    String exmpLeglActnCost ;  /** @Description */
    String exmpMidRmbrFee ;  /** @Description */
    String pdueDiscDfee ;  /** @Description */
    String trtFeeDisc ;  /** @Description */
    String cnclFg ;  /** @Description */
    String rfndFg ;  /** @Description */
    String frstRegEmpNo ;  /** @Description */
    String frstRegEmpNm ;  /** @Description */
    String frstRegDt ;  /** @Description */
    String frstRegTm ;  /** @Description */

    public String getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(String setlNo) {
        this.setlNo = setlNo;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getIsrtDt() {
        return isrtDt;
    }
    public void setIsrtDt(String isrtDt) {
        this.isrtDt = isrtDt;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public String getIsrtDeptNm() {
        return isrtDeptNm;
    }
    public void setIsrtDeptNm(String isrtDeptNm) {
        this.isrtDeptNm = isrtDeptNm;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getRcptTpNm() {
        return rcptTpNm;
    }
    public void setRcptTpNm(String rcptTpNm) {
        this.rcptTpNm = rcptTpNm;
    }
    public String getSetlDivCd() {
        return setlDivCd;
    }
    public void setSetlDivCd(String setlDivCd) {
        this.setlDivCd = setlDivCd;
    }
    public String getSetlDivNm() {
        return setlDivNm;
    }
    public void setSetlDivNm(String setlDivNm) {
        this.setlDivNm = setlDivNm;
    }
    public String getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(String setlAmt) {
        this.setlAmt = setlAmt;
    }
    public String getRcptAmt() {
        return rcptAmt;
    }
    public void setRcptAmt(String rcptAmt) {
        this.rcptAmt = rcptAmt;
    }
    public String getCashAmt() {
        return cashAmt;
    }
    public void setCashAmt(String cashAmt) {
        this.cashAmt = cashAmt;
    }
    public String getChkAmt() {
        return chkAmt;
    }
    public void setChkAmt(String chkAmt) {
        this.chkAmt = chkAmt;
    }
    public String getExmpAmt() {
        return exmpAmt;
    }
    public void setExmpAmt(String exmpAmt) {
        this.exmpAmt = exmpAmt;
    }
    public String getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(String dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public String getDsrcAdjAmt() {
        return dsrcAdjAmt;
    }
    public void setDsrcAdjAmt(String dsrcAdjAmt) {
        this.dsrcAdjAmt = dsrcAdjAmt;
    }
    public String getMidRmbrPamt() {
        return midRmbrPamt;
    }
    public void setMidRmbrPamt(String midRmbrPamt) {
        this.midRmbrPamt = midRmbrPamt;
    }
    public String getRcptPamt() {
        return rcptPamt;
    }
    public void setRcptPamt(String rcptPamt) {
        this.rcptPamt = rcptPamt;
    }
    public String getRcptInt() {
        return rcptInt;
    }
    public void setRcptInt(String rcptInt) {
        this.rcptInt = rcptInt;
    }
    public String getRcptDfee() {
        return rcptDfee;
    }
    public void setRcptDfee(String rcptDfee) {
        this.rcptDfee = rcptDfee;
    }
    public String getLeglActnCost() {
        return leglActnCost;
    }
    public void setLeglActnCost(String leglActnCost) {
        this.leglActnCost = leglActnCost;
    }
    public String getMidRmbrFee() {
        return midRmbrFee;
    }
    public void setMidRmbrFee(String midRmbrFee) {
        this.midRmbrFee = midRmbrFee;
    }
    public String getExmpPamt() {
        return exmpPamt;
    }
    public void setExmpPamt(String exmpPamt) {
        this.exmpPamt = exmpPamt;
    }
    public String getExmpInt() {
        return exmpInt;
    }
    public void setExmpInt(String exmpInt) {
        this.exmpInt = exmpInt;
    }
    public String getExmpDfee() {
        return exmpDfee;
    }
    public void setExmpDfee(String exmpDfee) {
        this.exmpDfee = exmpDfee;
    }
    public String getExmpLeglActnCost() {
        return exmpLeglActnCost;
    }
    public void setExmpLeglActnCost(String exmpLeglActnCost) {
        this.exmpLeglActnCost = exmpLeglActnCost;
    }
    public String getExmpMidRmbrFee() {
        return exmpMidRmbrFee;
    }
    public void setExmpMidRmbrFee(String exmpMidRmbrFee) {
        this.exmpMidRmbrFee = exmpMidRmbrFee;
    }
    public String getPdueDiscDfee() {
        return pdueDiscDfee;
    }
    public void setPdueDiscDfee(String pdueDiscDfee) {
        this.pdueDiscDfee = pdueDiscDfee;
    }
    public String getTrtFeeDisc() {
        return trtFeeDisc;
    }
    public void setTrtFeeDisc(String trtFeeDisc) {
        this.trtFeeDisc = trtFeeDisc;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getRfndFg() {
        return rfndFg;
    }
    public void setRfndFg(String rfndFg) {
        this.rfndFg = rfndFg;
    }
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getFrstRegEmpNm() {
        return frstRegEmpNm;
    }
    public void setFrstRegEmpNm(String frstRegEmpNm) {
        this.frstRegEmpNm = frstRegEmpNm;
    }
    public String getFrstRegDt() {
        return frstRegDt;
    }
    public void setFrstRegDt(String frstRegDt) {
        this.frstRegDt = frstRegDt;
    }
    public String getFrstRegTm() {
        return frstRegTm;
    }
    public void setFrstRegTm(String frstRegTm) {
        this.frstRegTm = frstRegTm;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
}
