package hanalife.r.rc.rd.vo;

import java.io.Serializable;

/**
 * <pre>
 * 클래스명    : RRCRD0101S01InVO.java Class
 * 클래스설명  : 수납결제내역조회 (RRCRD0101) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 24.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RRCRD0101S01InVO implements Serializable {

    private static final long serialVersionUID = -4782411017919600294L;

    String loanNo;  /** 대출번호 */
    String loanSeq;  /** 대출순번 */
    String setDiv;    /** 결제구분 */
    String acctDtFr;  /** 회계조회시작일자 */
    String acctDtTo;  /** 회계조회종료일자 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getSetDiv() {
        return setDiv;
    }
    public void setSetDiv(String setDiv) {
        this.setDiv = setDiv;
    }
    public String getAcctDtFr() {
        return acctDtFr;
    }
    public void setAcctDtFr(String acctDtFr) {
        this.acctDtFr = acctDtFr;
    }
    public String getAcctDtTo() {
        return acctDtTo;
    }
    public void setAcctDtTo(String acctDtTo) {
        this.acctDtTo = acctDtTo;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
