package hanalife.r.util;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스　명	: VLoanVO
 * 클래스설명	: 대출정보 VO (VUtil 사용)
 * 프로젝트명	: DOBSCAP
 * 작성　일자	: 2020-01-06
 * 변경　이력
 * -----------------------------------------------------------------------------
 * [변경  일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20.01.06][정우현][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class VLoanVO extends ValueObj {

	// PK
	public String loanNo     = "";	// 대출번호
	public String loanSeq    = "";	// 대출순번
	// COLUMN
	public String custNo     = "";	// 고객번호
	public String custNm     = "";	// 고객명
	public String mngDeptCd  = "";	// 관리부서
	public String acctUnitCd = "";	// 회계단위
	public String prdtLcd    = "";	// 상품대분류
	public String prdtMcd    = "";	// 상품중분류
	public String prdtScd    = "";	// 상품소분류

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("\n■ =============== "+this.getClass().getSimpleName()+" SPEC =============== ");
		sb.append("\n[loanNo] = " + loanNo + ", [loanSeq] = "+ loanSeq + ", [custNo] = "+ custNo +" : "+custNm + ", [mngDeptCd] = " + mngDeptCd);
		sb.append("\n[acctUnitCd] = " + acctUnitCd + ", [prdtClas] = " + prdtLcd + prdtMcd + prdtScd);
		return sb.toString();
	}
}
