package hanalife.s.cp.ct.vo;

/**
 * <pre>
 * 클래스명    : CprtContMngMdulObj
 * 클래스설명 : 제휴약정관리모듈의 Obj
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CprtContMngMdulObj {
    /*한도수정 Input Parameter*/
    //업무구분코드: 1- 승인처리 및 대출확정
    //            2- 승인취소 및 대출취소
    //            3- 등록원부 등록
    //            4- 등록원부 등록 취소
    //            5- 수납
    //            6- 수납취소
    // 3,4일 경우엔 대출금액을 넘기지 않음.
    public String bizDivCd; //업무구분코드
    public String loanNo; //대출번호
    public String loanSeq; //대출순번
    public long loanPamt; //대출금액
    public String empNo; //처리자사원

    /*조회용 Input Parameter*/
    public String cprtComNo; //제휴사번호
    public String cprtBranCd; //제휴점코드
    public String prdtCd; //상품코드
    //대출금액

    /*OutPut Parameter*/
    public long limAmt; //한도금액
    public long limRamt; //한도잔액
    public String loanAblFg; //대출가능여부
    public String ipssRsnCd ; //불능사유코드
    public String prdtLrgeClasCd ; //상품_대분류_코드
    public String prdtMidClasCd ; //상품_중분류_코드
    public String limMngFg ; //한도_관리_여부
    public String contClosFg ; //약정_해지_여부
    public String prdtClasCd ; //상품_분류_코드
    public String contManNo ; //주계약자_번호
    public String regLdgrFg ; //등록원부_여부
    public String aprvDt ; //대출_승인일

    public int limCnt ;
}
