package hanalife.s.ln.pm.vo;

/**
 * <pre>
 * 클래스명    : DferIncdPrftBaseObj
 * 클래스설명 : 이연부대수익스케줄 생성처리의 Obj
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DferIncdPrftBaseObj
{
  public String loanNo;//대출번호
  public String loanSeq;//대출순번
  public long trtFee;//취급수수료
  public long cprtFee;//제휴수수료
  public long loanPamt;//대출원금
  public int loanTerm;//대출기간

  public String loanDt;//대출일자
  public String payDt;//지급일자
  public String loanStatCd;//대출상태코드
  public String trtFeeDferProcFg;//취급수수료이연처리여부
  public String cprtFeeDferProcFg;//제휴수수료이연처리여부
  public String fcntMopaCalcFg;//초회월할계산여부
  public String dferIncdPrftDivCd;//이연부대수익구분코드
  public long totAmt;//이연처리총금액
  public double intnPrftRt;//내부수익률
  public String empNo;//사용자사번

  public int snum;//일련번호

  //2018-08-01 상품분류
  public String prdtLrgeClasCd;
  public String prdtMidClasCd;

  public String setFeeBrdnDivCd; //설정료부담여부
  public long setFee; //설정+권원
  public long prPayFee; //mc 수수료, 중고차수수료, pl수수료
  public String fcntDueDt;
  public double loanIntRt;

  public boolean minusFlag = false;//- 여부

  public long prFee;//판촉수수료

  //2018-08-01
  public long totLoanInt;


}
