package hanalife.s.mo.in.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.mo.in.mapper.dto.TitleInsuReadDSSDDODTO;
import hanalife.s.mo.in.mapper.dto.TitleInsuReadDSSMDTO;

@Mapper("TitleInsuReadMapper")
public interface TitleInsuReadMapper {

    /**
     * <pre>
     * 메소드명      : searchTitleInsuReadList
     * 작성일자      : 2023. 4. 03.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 권원보험현황조회을(를) 조회 한다.
     * 메소드인수1    : 권원보험현황조회 입력
     * 메소드리턴값   : 권원보험현황조회 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<TitleInsuReadDSSDDODTO> searchTitleInsuReadList(TitleInsuReadDSSMDTO inDto) throws Exception;

}
