package hanalife.s.mo.in.mapper.dto;

public class mciMngDSSDDTO {

	private String loanCnslNo;  			/** 대출상담번호 */
	private String loanApplNo;  			/** 대출신청번호 */
	private String custNo;  				/** 고객번호 */
	private String bsdcd;  					/** 보증서발행상태(업무구분코드) */
	private String bndno;  					/** 보증보험증권번호 */
	private String rslcd;  					/** 결과코드 */
	private String mzdbRsrno;  				/** 주채무자주민등록번호 */
	private String mzdbName;  				/** 주채무자명 */
	private long   loanRqstAmnt;  			/** 대출신청금액 */
	private double loanIntrt;  				/** 대출산출금리 */
	private String rpmcd;  					/** 상환방식구분코드 */
	private String rpyunMntcn;  			/** 상환주기구분코드 */
	private long   t1hRpyam;  				/** 최초상환금액 */
	private String lnprStrdt;  				/** 대출희망일자 */
	private String lnprEnddt;  				/** 대출만기일자 */
	private String frscnRpedt;  			/** 최초상환일자 */
	private long   loanPssam;  				/** 최종승인금액(총대출가능금액) */
	private long   incmAmnt;  				/** 연소득금액 */
	private String insprStrdt;  			/** 보험기간개시일자 */
	private String applcDate;  				/** 보험청약일자 */
	private String insprEnddt;  			/** 보험기간종료일자 */
	private long   insrnEniam;  			/** 보험가입금액 */
	private long   insuFee;  				/** 보험료 */
	private double insuFeert;  				/** 보험료율 */

	/** 부동산담보정보 */
	private String clltrRlesKndcd;  		/** 담보유형구분코드 */
	private long   rlesEsvam;  				/** 적용감정가액(부동산평가금액) */
	private long   orofpStupAmnt;  			/** 선순위설정금액 */
	private long   smlamTnncyGrnam; 		/** 소액임대차금액 */
	private double lntvLmtrt;  				/** 신청(산출)LTV */
	private long   vldtyClltrAmnt;  		/** 유효(가용)담보가 */
	private String mciRlesVztnMthcd;  		/** 감정평가구분코드 */
	private String mciRlesVztnOrgcd;  		/** 담보평가기관구분코드 */
	private String clltrLctnZpcd;  			/** 담보소재지우편번호 */
	private String clltrLctnZpcdSeq;  		/** 담보소재지우편번호일련번호 */
	private String clltrLctnLodnmPrmad; 	/** 담보소재지도로명기본주소 */
	private String clltrLctnLodnmEtcad; 	/** 담보소재지도로명상세주소 */
	private String totalVllgCount;  		/** 총동수 */
	private String totalGnrtnCount;  		/** 총세대수 */
	private String prvusAreaSqrmt;  		/** 건물전용면적 */
	private String roomCount;  				/** 총방수 */
	private String clltrregno;  			/** 등기필증일련번호(부동산고유번호) */

	/** 전문송신용정보 */
	private String mzdbQlfctCode;  			/** 소득유형코드 */
	private String mzdbAddrsZpcd;  			/** 주채무자주민등록주소우편번호 */
	private String mzdbAddrsZpcdSeq;  		/** 우편번호일련번호 */
	private String mzdbRsdrgLtnoPrmad1; 	/** 우편번호주소 */
	private String mzdbRsdrgLtnoPrmad2; 	/** 우편번호상세주소 */
	private String mzdbRsdrgLodnmPrmad; 	/** 주채무자도로명주소 */
	private String mzdbRsdrgLodnmEtcad1;	/** 주채무자도로명주소상세 */
	private String mzdbRsdrgLodnmEtcad2;	/** 주채무자도로명주소참고주소 */
	private String mzdbTlpno1;  				/** 주채무자주민등록주소전화번호 */
	private String mzdbTlpno2;  				/** 주채무자주민등록주소전화번호 */
	private String mzdbTlpno3;  				/** 주채무자주민등록주소전화번호 */
	private String mzdbMbpno1;  				/** 주채무자휴대폰번호 */
	private String mzdbMbpno2;  				/** 주채무자휴대폰번호 */
	private String mzdbMbpno3;  				/** 주채무자휴대폰번호 */

	public String getLoanCnslNo() {
		return loanCnslNo;
	}
	public void setLoanCnslNo(String loanCnslNo) {
		this.loanCnslNo = loanCnslNo;
	}
	public String getLoanApplNo() {
		return loanApplNo;
	}
	public void setLoanApplNo(String loanApplNo) {
		this.loanApplNo = loanApplNo;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getBsdcd() {
		return bsdcd;
	}
	public void setBsdcd(String bsdcd) {
		this.bsdcd = bsdcd;
	}
	public String getBndno() {
		return bndno;
	}
	public void setBndno(String bndno) {
		this.bndno = bndno;
	}
	public String getRslcd() {
		return rslcd;
	}
	public void setRslcd(String rslcd) {
		this.rslcd = rslcd;
	}
	public String getMzdbRsrno() {
		return mzdbRsrno;
	}
	public void setMzdbRsrno(String mzdbRsrno) {
		this.mzdbRsrno = mzdbRsrno;
	}
	public String getMzdbName() {
		return mzdbName;
	}
	public void setMzdbName(String mzdbName) {
		this.mzdbName = mzdbName;
	}
	public long getLoanRqstAmnt() {
		return loanRqstAmnt;
	}
	public void setLoanRqstAmnt(long loanRqstAmnt) {
		this.loanRqstAmnt = loanRqstAmnt;
	}
	public double getLoanIntrt() {
		return loanIntrt;
	}
	public void setLoanIntrt(double loanIntrt) {
		this.loanIntrt = loanIntrt;
	}
	public String getRpmcd() {
		return rpmcd;
	}
	public void setRpmcd(String rpmcd) {
		this.rpmcd = rpmcd;
	}
	public String getRpyunMntcn() {
		return rpyunMntcn;
	}
	public void setRpyunMntcn(String rpyunMntcn) {
		this.rpyunMntcn = rpyunMntcn;
	}
	public long getT1hRpyam() {
		return t1hRpyam;
	}
	public void setT1hRpyam(long t1hRpyam) {
		this.t1hRpyam = t1hRpyam;
	}
	public String getLnprStrdt() {
		return lnprStrdt;
	}
	public void setLnprStrdt(String lnprStrdt) {
		this.lnprStrdt = lnprStrdt;
	}
	public String getLnprEnddt() {
		return lnprEnddt;
	}
	public void setLnprEnddt(String lnprEnddt) {
		this.lnprEnddt = lnprEnddt;
	}
	public String getFrscnRpedt() {
		return frscnRpedt;
	}
	public void setFrscnRpedt(String frscnRpedt) {
		this.frscnRpedt = frscnRpedt;
	}
	public long getLoanPssam() {
		return loanPssam;
	}
	public void setLoanPssam(long loanPssam) {
		this.loanPssam = loanPssam;
	}
	public long getIncmAmnt() {
		return incmAmnt;
	}
	public void setIncmAmnt(long incmAmnt) {
		this.incmAmnt = incmAmnt;
	}
	public String getInsprStrdt() {
		return insprStrdt;
	}
	public void setInsprStrdt(String insprStrdt) {
		this.insprStrdt = insprStrdt;
	}
	public String getApplcDate() {
		return applcDate;
	}
	public void setApplcDate(String applcDate) {
		this.applcDate = applcDate;
	}
	public String getInsprEnddt() {
		return insprEnddt;
	}
	public void setInsprEnddt(String insprEnddt) {
		this.insprEnddt = insprEnddt;
	}
	public long getInsrnEniam() {
		return insrnEniam;
	}
	public void setInsrnEniam(long insrnEniam) {
		this.insrnEniam = insrnEniam;
	}
	public long getInsuFee() {
		return insuFee;
	}
	public void setInsuFee(long insuFee) {
		this.insuFee = insuFee;
	}
	public double getInsuFeert() {
		return insuFeert;
	}
	public void setInsuFeert(double insuFeert) {
		this.insuFeert = insuFeert;
	}
	public String getClltrRlesKndcd() {
		return clltrRlesKndcd;
	}
	public void setClltrRlesKndcd(String clltrRlesKndcd) {
		this.clltrRlesKndcd = clltrRlesKndcd;
	}
	public long getRlesEsvam() {
		return rlesEsvam;
	}
	public void setRlesEsvam(long rlesEsvam) {
		this.rlesEsvam = rlesEsvam;
	}
	public long getOrofpStupAmnt() {
		return orofpStupAmnt;
	}
	public void setOrofpStupAmnt(long orofpStupAmnt) {
		this.orofpStupAmnt = orofpStupAmnt;
	}
	public long getSmlamTnncyGrnam() {
		return smlamTnncyGrnam;
	}
	public void setSmlamTnncyGrnam(long smlamTnncyGrnam) {
		this.smlamTnncyGrnam = smlamTnncyGrnam;
	}
	public double getLntvLmtrt() {
		return lntvLmtrt;
	}
	public void setLntvLmtrt(double lntvLmtrt) {
		this.lntvLmtrt = lntvLmtrt;
	}
	public long getVldtyClltrAmnt() {
		return vldtyClltrAmnt;
	}
	public void setVldtyClltrAmnt(long vldtyClltrAmnt) {
		this.vldtyClltrAmnt = vldtyClltrAmnt;
	}
	public String getMciRlesVztnMthcd() {
		return mciRlesVztnMthcd;
	}
	public void setMciRlesVztnMthcd(String mciRlesVztnMthcd) {
		this.mciRlesVztnMthcd = mciRlesVztnMthcd;
	}
	public String getMciRlesVztnOrgcd() {
		return mciRlesVztnOrgcd;
	}
	public void setMciRlesVztnOrgcd(String mciRlesVztnOrgcd) {
		this.mciRlesVztnOrgcd = mciRlesVztnOrgcd;
	}
	public String getClltrLctnZpcd() {
		return clltrLctnZpcd;
	}
	public void setClltrLctnZpcd(String clltrLctnZpcd) {
		this.clltrLctnZpcd = clltrLctnZpcd;
	}
	public String getClltrLctnZpcdSeq() {
		return clltrLctnZpcdSeq;
	}
	public void setClltrLctnZpcdSeq(String clltrLctnZpcdSeq) {
		this.clltrLctnZpcdSeq = clltrLctnZpcdSeq;
	}
	public String getClltrLctnLodnmPrmad() {
		return clltrLctnLodnmPrmad;
	}
	public void setClltrLctnLodnmPrmad(String clltrLctnLodnmPrmad) {
		this.clltrLctnLodnmPrmad = clltrLctnLodnmPrmad;
	}
	public String getClltrLctnLodnmEtcad() {
		return clltrLctnLodnmEtcad;
	}
	public void setClltrLctnLodnmEtcad(String clltrLctnLodnmEtcad) {
		this.clltrLctnLodnmEtcad = clltrLctnLodnmEtcad;
	}
	public String getTotalVllgCount() {
		return totalVllgCount;
	}
	public void setTotalVllgCount(String totalVllgCount) {
		this.totalVllgCount = totalVllgCount;
	}
	public String getTotalGnrtnCount() {
		return totalGnrtnCount;
	}
	public void setTotalGnrtnCount(String totalGnrtnCount) {
		this.totalGnrtnCount = totalGnrtnCount;
	}
	public String getPrvusAreaSqrmt() {
		return prvusAreaSqrmt;
	}
	public void setPrvusAreaSqrmt(String prvusAreaSqrmt) {
		this.prvusAreaSqrmt = prvusAreaSqrmt;
	}
	public String getRoomCount() {
		return roomCount;
	}
	public void setRoomCount(String roomCount) {
		this.roomCount = roomCount;
	}
	public String getClltrregno() {
		return clltrregno;
	}
	public void setClltrregno(String clltrregno) {
		this.clltrregno = clltrregno;
	}
	public String getMzdbQlfctCode() {
		return mzdbQlfctCode;
	}
	public void setMzdbQlfctCode(String mzdbQlfctCode) {
		this.mzdbQlfctCode = mzdbQlfctCode;
	}
	public String getMzdbAddrsZpcd() {
		return mzdbAddrsZpcd;
	}
	public void setMzdbAddrsZpcd(String mzdbAddrsZpcd) {
		this.mzdbAddrsZpcd = mzdbAddrsZpcd;
	}
	public String getMzdbAddrsZpcdSeq() {
		return mzdbAddrsZpcdSeq;
	}
	public void setMzdbAddrsZpcdSeq(String mzdbAddrsZpcdSeq) {
		this.mzdbAddrsZpcdSeq = mzdbAddrsZpcdSeq;
	}
	public String getMzdbRsdrgLtnoPrmad1() {
		return mzdbRsdrgLtnoPrmad1;
	}
	public void setMzdbRsdrgLtnoPrmad1(String mzdbRsdrgLtnoPrmad1) {
		this.mzdbRsdrgLtnoPrmad1 = mzdbRsdrgLtnoPrmad1;
	}
	public String getMzdbRsdrgLtnoPrmad2() {
		return mzdbRsdrgLtnoPrmad2;
	}
	public void setMzdbRsdrgLtnoPrmad2(String mzdbRsdrgLtnoPrmad2) {
		this.mzdbRsdrgLtnoPrmad2 = mzdbRsdrgLtnoPrmad2;
	}
	public String getMzdbRsdrgLodnmPrmad() {
		return mzdbRsdrgLodnmPrmad;
	}
	public void setMzdbRsdrgLodnmPrmad(String mzdbRsdrgLodnmPrmad) {
		this.mzdbRsdrgLodnmPrmad = mzdbRsdrgLodnmPrmad;
	}
	public String getMzdbRsdrgLodnmEtcad1() {
		return mzdbRsdrgLodnmEtcad1;
	}
	public void setMzdbRsdrgLodnmEtcad1(String mzdbRsdrgLodnmEtcad1) {
		this.mzdbRsdrgLodnmEtcad1 = mzdbRsdrgLodnmEtcad1;
	}
	public String getMzdbRsdrgLodnmEtcad2() {
		return mzdbRsdrgLodnmEtcad2;
	}
	public void setMzdbRsdrgLodnmEtcad2(String mzdbRsdrgLodnmEtcad2) {
		this.mzdbRsdrgLodnmEtcad2 = mzdbRsdrgLodnmEtcad2;
	}
	public String getMzdbTlpno1() {
		return mzdbTlpno1;
	}
	public void setMzdbTlpno1(String mzdbTlpno1) {
		this.mzdbTlpno1 = mzdbTlpno1;
	}
	public String getMzdbTlpno2() {
		return mzdbTlpno2;
	}
	public void setMzdbTlpno2(String mzdbTlpno2) {
		this.mzdbTlpno2 = mzdbTlpno2;
	}
	public String getMzdbTlpno3() {
		return mzdbTlpno3;
	}
	public void setMzdbTlpno3(String mzdbTlpno3) {
		this.mzdbTlpno3 = mzdbTlpno3;
	}
	public String getMzdbMbpno1() {
		return mzdbMbpno1;
	}
	public void setMzdbMbpno1(String mzdbMbpno1) {
		this.mzdbMbpno1 = mzdbMbpno1;
	}
	public String getMzdbMbpno2() {
		return mzdbMbpno2;
	}
	public void setMzdbMbpno2(String mzdbMbpno2) {
		this.mzdbMbpno2 = mzdbMbpno2;
	}
	public String getMzdbMbpno3() {
		return mzdbMbpno3;
	}
	public void setMzdbMbpno3(String mzdbMbpno3) {
		this.mzdbMbpno3 = mzdbMbpno3;
	}

//	private String bsnDivCd;		/** 보증서발행상태(업무구분코드) */
//	private String guarBondNo;		/** 보증서번호(보증보험증권번호) */
//	private String custResiNo;		/** 고객주민번호 */
//	private String custNm;			/** 고객명 */
//	private String loanApplAmt;		/** 대출신청금액 */
//	private String loanRate;		/** 대출산출금리 */
//	private String repayTypeGbCd;	/** 상환방식구분코드 */
//	private String frstRfndAmt;		/** 균등분할금액(최초상환금액) */
//	private String loanStrtDt;		/** 대출기간개시일자 */
//	private String loanEndDt;		/** 대출기간종료일자 */
//	private String frstRfndDt;		/** 분할상환시작일자(최초상환일자) */
//
//	/** 부동산담보정보 */
//	private String collTypeGbCd;	/** 담보유형구분코드 */
//	private String apprBefoAmt;		/** 부동산평가금액(적용감정가액) */
//	private String prefAmt;			/** 선순위설정금액 */
//	private String smalDepoAmt;		/** 최우선변제금액(소액임대차금액) */
//	private String appLtv;			/** 신청(산출)LTV */
//	private String valdMrtgAmt;		/** 유효(가용)담보가 */
//	private String lastJudgAmt;		/** 최종승인금액 */
//	private String evelGbCd;		/** 감정평가구분코드 */
//	private String collEvelDd;		/** 담보평가기관구분코드 */
//	private String zipCd;			/** 우편번호 */
//	private String addr;			/** 주소 */
//	private String dtlAddr;			/** 상세주소 */
//	private String totDongCnt;		/** 총동수 */
//	private String totHousCnt;		/** 총세대수 */
//	private String builArea;		/** 건물전용면적 */
//	private String totRoomCnt;		/** 총방수 */
//	private String regCdocSnum;		/** 등기필증일련번호 */
//	private String yearIncomeAmt;	/** 연소득금액 */
//
//	/** 보험청약결과 */
//	private String insuStrtDt;		/** 보험기간개시일자 */
//	private String insuSubsDt;		/** 보험청약일자 */
//	private String insuEndDt;		/** 보험기간종료일자 */
//	private String insuEntrAmt;		/** 보험가입금액 */
//	private String insuFee;			/** 보험료 */
//	private String insuFeert;		/** 보험요율 */
//
//
//	public String getBsnDivCd() {
//		return bsnDivCd;
//	}
//	public void setBsnDivCd(String bsnDivCd) {
//		this.bsnDivCd = bsnDivCd;
//	}
//	public String getGuarBondNo() {
//		return guarBondNo;
//	}
//	public void setGuarBondNo(String guarBondNo) {
//		this.guarBondNo = guarBondNo;
//	}
//	public String getCustResiNo() {
//		return custResiNo;
//	}
//	public void setCustResiNo(String custResiNo) {
//		this.custResiNo = custResiNo;
//	}
//	public String getCustNm() {
//		return custNm;
//	}
//	public void setCustNm(String custNm) {
//		this.custNm = custNm;
//	}
//	public String getLoanApplAmt() {
//		return loanApplAmt;
//	}
//	public void setLoanApplAmt(String loanApplAmt) {
//		this.loanApplAmt = loanApplAmt;
//	}
//	public String getLoanRate() {
//		return loanRate;
//	}
//	public void setLoanRate(String loanRate) {
//		this.loanRate = loanRate;
//	}
//	public String getRepayTypeGbCd() {
//		return repayTypeGbCd;
//	}
//	public void setRepayTypeGbCd(String repayTypeGbCd) {
//		this.repayTypeGbCd = repayTypeGbCd;
//	}
//	public String getFrstRfndAmt() {
//		return frstRfndAmt;
//	}
//	public void setFrstRfndAmt(String frstRfndAmt) {
//		this.frstRfndAmt = frstRfndAmt;
//	}
//	public String getLoanStrtDt() {
//		return loanStrtDt;
//	}
//	public void setLoanStrtDt(String loanStrtDt) {
//		this.loanStrtDt = loanStrtDt;
//	}
//	public String getLoanEndDt() {
//		return loanEndDt;
//	}
//	public void setLoanEndDt(String loanEndDt) {
//		this.loanEndDt = loanEndDt;
//	}
//	public String getFrstRfndDt() {
//		return frstRfndDt;
//	}
//	public void setFrstRfndDt(String frstRfndDt) {
//		this.frstRfndDt = frstRfndDt;
//	}
//	public String getCollTypeGbCd() {
//		return collTypeGbCd;
//	}
//	public void setCollTypeGbCd(String collTypeGbCd) {
//		this.collTypeGbCd = collTypeGbCd;
//	}
//	public String getApprBefoAmt() {
//		return apprBefoAmt;
//	}
//	public void setApprBefoAmt(String apprBefoAmt) {
//		this.apprBefoAmt = apprBefoAmt;
//	}
//	public String getPrefAmt() {
//		return prefAmt;
//	}
//	public void setPrefAmt(String prefAmt) {
//		this.prefAmt = prefAmt;
//	}
//	public String getSmalDepoAmt() {
//		return smalDepoAmt;
//	}
//	public void setSmalDepoAmt(String smalDepoAmt) {
//		this.smalDepoAmt = smalDepoAmt;
//	}
//	public String getAppLtv() {
//		return appLtv;
//	}
//	public void setAppLtv(String appLtv) {
//		this.appLtv = appLtv;
//	}
//	public String getValdMrtgAmt() {
//		return valdMrtgAmt;
//	}
//	public void setValdMrtgAmt(String valdMrtgAmt) {
//		this.valdMrtgAmt = valdMrtgAmt;
//	}
//	public String getLastJudgAmt() {
//		return lastJudgAmt;
//	}
//	public void setLastJudgAmt(String lastJudgAmt) {
//		this.lastJudgAmt = lastJudgAmt;
//	}
//	public String getEvelGbCd() {
//		return evelGbCd;
//	}
//	public void setEvelGbCd(String evelGbCd) {
//		this.evelGbCd = evelGbCd;
//	}
//	public String getCollEvelDd() {
//		return collEvelDd;
//	}
//	public void setCollEvelDd(String collEvelDd) {
//		this.collEvelDd = collEvelDd;
//	}
//	public String getZipCd() {
//		return zipCd;
//	}
//	public void setZipCd(String zipCd) {
//		this.zipCd = zipCd;
//	}
//	public String getAddr() {
//		return addr;
//	}
//	public void setAddr(String addr) {
//		this.addr = addr;
//	}
//	public String getDtlAddr() {
//		return dtlAddr;
//	}
//	public void setDtlAddr(String dtlAddr) {
//		this.dtlAddr = dtlAddr;
//	}
//	public String getTotDongCnt() {
//		return totDongCnt;
//	}
//	public void setTotDongCnt(String totDongCnt) {
//		this.totDongCnt = totDongCnt;
//	}
//	public String getTotHousCnt() {
//		return totHousCnt;
//	}
//	public void setTotHousCnt(String totHousCnt) {
//		this.totHousCnt = totHousCnt;
//	}
//	public String getBuilArea() {
//		return builArea;
//	}
//	public void setBuilArea(String builArea) {
//		this.builArea = builArea;
//	}
//	public String getTotRoomCnt() {
//		return totRoomCnt;
//	}
//	public void setTotRoomCnt(String totRoomCnt) {
//		this.totRoomCnt = totRoomCnt;
//	}
//	public String getRegCdocSnum() {
//		return regCdocSnum;
//	}
//	public void setRegCdocSnum(String regCdocSnum) {
//		this.regCdocSnum = regCdocSnum;
//	}
//	public String getYearIncomeAmt() {
//		return yearIncomeAmt;
//	}
//	public void setYearIncomeAmt(String yearIncomeAmt) {
//		this.yearIncomeAmt = yearIncomeAmt;
//	}
//	public String getInsuStrtDt() {
//		return insuStrtDt;
//	}
//	public void setInsuStrtDt(String insuStrtDt) {
//		this.insuStrtDt = insuStrtDt;
//	}
//	public String getInsuSubsDt() {
//		return insuSubsDt;
//	}
//	public void setInsuSubsDt(String insuSubsDt) {
//		this.insuSubsDt = insuSubsDt;
//	}
//	public String getInsuEndDt() {
//		return insuEndDt;
//	}
//	public void setInsuEndDt(String insuEndDt) {
//		this.insuEndDt = insuEndDt;
//	}
//	public String getInsuEntrAmt() {
//		return insuEntrAmt;
//	}
//	public void setInsuEntrAmt(String insuEntrAmt) {
//		this.insuEntrAmt = insuEntrAmt;
//	}
//	public String getInsuFee() {
//		return insuFee;
//	}
//	public void setInsuFee(String insuFee) {
//		this.insuFee = insuFee;
//	}
//	public String getInsuFeert() {
//		return insuFeert;
//	}
//	public void setInsuFeert(String insuFeert) {
//		this.insuFeert = insuFeert;
//	}

}
