package hanalife.s.mo.in.mapper.dto;

public class stSgiInsuTrDescDTO {

	private String trMngNo;                            /** 거래관리번호 */
	private String bsnDivCd;                           /** 업무구분코드 */
	private String rsnCd;                              /** 사유코드 */
	private String rsltCd;                             /** 결과코드 */
	private String loanCnslNo;                         /** 대출상담번호 */
	private String loanApplNo;                         /** 대출신청번호 */
	private String custNo;                             /** 고객번호 */
	private String guarBondNo;                         /** 보증보험증권번호 */
	private String trDt;                               /** 거래일자 */
	private String endorNo;                            /** 배서번호 */
	private String rsnOccrDt;                          /** 사유발생일자 */
	private String mdebManResiNo;                      /** 주채무자주민등록번호 */
	private String afMdebManResiNo;                    /** 변경후_주채무자주민등록번호 */
	private String mrtgEsttKindCd;                     /** 담보부동산 종류 */
	private String mrtgLoctZipCd;                      /** 담보소재지 우편번호 */
	private String mrtgLoctAddr;                       /** 담보부동산소재지 */
	private String roomCnt;                            /** 방칸수 */
	private String euseArea;                           /** 전용면적 */
	private long   preSeqSetAmt;                       /** 선순위설정금액 */
	private long   esttEvalAmt;                        /** 부동산평가금액 */
	private long   totLoanPossAmt;                     /** 총대출가능금액 */
	private long   loanApplAmt;                        /** 대출신청금액 */
	private long   valdMrtgAmt;                        /** 유효(가용)담보가 */
	private String esttEvalMethCd;                     /** 부동산평가방법 */
	private String chngAfLoanApplAmt;                  /** 변경후_대출신청금액 */
	private String chngAfValdMrtgAmt;                  /** 변경후_유효담보가 */
	private String loanStrtDt;                         /** 대출기간개시일자 */
	private String loanEndDt;                          /** 대출기간종료일자 */
	private String calcLoanEndDt;                      /** 대출기간종료일자(보험료계산용도) */
	private String rmbrMethCd;                         /** 상환방법 */
	private long   timsRmbrAmt;                        /** 1회상환금액 */
	private double loanIntRt;                          /** 대출이자율 */
	private String fcntRmbrDt;                         /** 초회상환일자 */
	private String rmbrUnit;                           /** 상환단위 */
	private String insuSubsDt;                         /** 보험청약일자 */
	private long   insuEntrAmt;                        /** 보험가입금액 */
	private String insuTermStrtDt;                     /** 보험기간개시일자 */
	private String insuTermEndDt;                      /** 보험기간종료일자(당초,변경전) */
	private String chngAfInsuTermEndDt;                /** 보험기간종료일자(변경후) */
	private double aplyInsuRt;                         /** 적용보험요율 */
	private double chngAfAplyInsuRt;                   /** 적용보험요율(변경후) */
	private long   frstInsuFee;                        /** 최초보험료 */
	private long   toutInsuFee;                        /** 환급보험료 */
	private long   pentInsuFee;                        /** 추징보험료 */
	private String mdebManNm;                          /** 주채무자 성명 */
	private String mdebManJobCd;                       /** 주채무자직업구분코드 */
	private String mdebManResiZipCd;                   /** 주채무자 주민등록주소우편번호 */
	private String mdebManResiAddr;                    /** 주채무자 주민등록주소 */
	private String mdebManTelNo;                       /** 주채무자 주민등록주소전화번호 */
	private String mdebManHpNo;                        /** 주채무자 휴대폰번호 */
	private String sendDt;                             /** 전송일자 */
	private String sendTm;                             /** 전송시각 */
	private String emptRmFg;                           /** 공실여부 */
	private String loanKindCd;                         /** 대출종류 */
	private String insuUpdtFg;                         /** 보험갱신계약여부 */
	private String bfGuarBondNo;                       /** 보험증권번호(갱신전) */
	private String totBuildCnt;                        /** 총동수 */
	private String totHshdCnt;                         /** 총세대수 */
	private long   incoAmt;                            /** 소득금액 */
	private String esttEvalOrgCd;                      /** 부동산평가기관 */
	private double ltvLimRto;                          /** LTV한도 */
	private long   samtLeasGuarAmt;                    /** 소액임차보증금해당액 */
	private long   eprtRmbrAmt;                        /** 만기일시상환금 */
	private String jobGrpCd;                           /** 직업군코드 */
	private String mciEntrLimAmt;                      /** MCI가입한도(일부은행용) */
	private String mciEntrAfAddLimAmt;                 /** MCI가입후 추가대출한도(일부은행용) */
	private String mciEntrAfLastPossAmt;               /** MCI가입후 최종대출가능금액(일부은행용) */
	private String mciEntrAfValdMrtgAmt;               /** MCI가입후 유효담보가(일부은행용) */
	private String judgEvalCorpNm;                     /** 감정평가법인명 */
	private String etcSamtLeasGuarAmt;                 /** 기타주택 소액임차보증금(공제대상 방수) */
	private String debtManCiReadAgrFg;                 /** 채무자신용정보조회동의여부 */
	private String debtManOffrMndtAgrFg;               /** 채무자신용정보제공필수동의여부 */
	private String debtManOffrSlctAgrFg;               /** 채무자신용정보제공선택동의여부 */
	private String debtManGathUseMndtAgrFg;            /** 채무자신용정보수집이용필수동의여부 */
	private String debtManGathUseSlctAgrFg;            /** 채무자신용정보수집이용선택동의여부 */
	private String debtManRcgnAgrFg;                   /** 채무자고객식별정보동의여부 */
	private String mrtgLoctPlmkBaseAddr;               /** 담보소재지지번기본주소 */
	private String mrtgLoctAddrDivCd;                  /** 담보소재지주소구분코드 */
	private String mrtgLoctRoadBaseAddr;               /** 담보소재지도로명기본주소 */
	private String mrtgLoctRoadEtcAddr;                /** 담보소재지도로명기타주소 */
	private String mdebManAddrDivCd;                   /** 주채무자주소구분코드 */
	private String mdebManPlmkBaseAddr;                /** 주채무자지번기본주소 */
	private String mdebManRoadBaseAddr;                /** 주채무자도로명기본주소 */
	private String mdebManRoadEtcAddr;                 /** 주채무자도로명기타주소 */
	private String mrtgPclrNo;                         /** 부동산고유번호 */
	private String logInUserNo;                        /** 로그인사용자번호 */
	private String logInEmpNo;                         /** 로그인사원번호 */

	public String getTrMngNo() {
		return trMngNo;
	}
	public void setTrMngNo(String trMngNo) {
		this.trMngNo = trMngNo;
	}
	public String getBsnDivCd() {
		return bsnDivCd;
	}
	public void setBsnDivCd(String bsnDivCd) {
		this.bsnDivCd = bsnDivCd;
	}
	public String getRsnCd() {
		return rsnCd;
	}
	public void setRsnCd(String rsnCd) {
		this.rsnCd = rsnCd;
	}
	public String getRsltCd() {
		return rsltCd;
	}
	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}
	public String getLoanCnslNo() {
		return loanCnslNo;
	}
	public void setLoanCnslNo(String loanCnslNo) {
		this.loanCnslNo = loanCnslNo;
	}
	public String getLoanApplNo() {
		return loanApplNo;
	}
	public void setLoanApplNo(String loanApplNo) {
		this.loanApplNo = loanApplNo;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getGuarBondNo() {
		return guarBondNo;
	}
	public void setGuarBondNo(String guarBondNo) {
		this.guarBondNo = guarBondNo;
	}
	public String getTrDt() {
		return trDt;
	}
	public void setTrDt(String trDt) {
		this.trDt = trDt;
	}
	public String getEndorNo() {
		return endorNo;
	}
	public void setEndorNo(String endorNo) {
		this.endorNo = endorNo;
	}
	public String getRsnOccrDt() {
		return rsnOccrDt;
	}
	public void setRsnOccrDt(String rsnOccrDt) {
		this.rsnOccrDt = rsnOccrDt;
	}
	public String getMdebManResiNo() {
		return mdebManResiNo;
	}
	public void setMdebManResiNo(String mdebManResiNo) {
		this.mdebManResiNo = mdebManResiNo;
	}
	public String getAfMdebManResiNo() {
		return afMdebManResiNo;
	}
	public void setAfMdebManResiNo(String afMdebManResiNo) {
		this.afMdebManResiNo = afMdebManResiNo;
	}
	public String getMrtgEsttKindCd() {
		return mrtgEsttKindCd;
	}
	public void setMrtgEsttKindCd(String mrtgEsttKindCd) {
		this.mrtgEsttKindCd = mrtgEsttKindCd;
	}
	public String getMrtgLoctZipCd() {
		return mrtgLoctZipCd;
	}
	public void setMrtgLoctZipCd(String mrtgLoctZipCd) {
		this.mrtgLoctZipCd = mrtgLoctZipCd;
	}
	public String getMrtgLoctAddr() {
		return mrtgLoctAddr;
	}
	public void setMrtgLoctAddr(String mrtgLoctAddr) {
		this.mrtgLoctAddr = mrtgLoctAddr;
	}
	public String getRoomCnt() {
		return roomCnt;
	}
	public void setRoomCnt(String roomCnt) {
		this.roomCnt = roomCnt;
	}
	public String getEuseArea() {
		return euseArea;
	}
	public void setEuseArea(String euseArea) {
		this.euseArea = euseArea;
	}
	public long getPreSeqSetAmt() {
		return preSeqSetAmt;
	}
	public void setPreSeqSetAmt(long preSeqSetAmt) {
		this.preSeqSetAmt = preSeqSetAmt;
	}
	public long getEsttEvalAmt() {
		return esttEvalAmt;
	}
	public void setEsttEvalAmt(long esttEvalAmt) {
		this.esttEvalAmt = esttEvalAmt;
	}
	public long getTotLoanPossAmt() {
		return totLoanPossAmt;
	}
	public void setTotLoanPossAmt(long totLoanPossAmt) {
		this.totLoanPossAmt = totLoanPossAmt;
	}
	public long getLoanApplAmt() {
		return loanApplAmt;
	}
	public void setLoanApplAmt(long loanApplAmt) {
		this.loanApplAmt = loanApplAmt;
	}
	public long getValdMrtgAmt() {
		return valdMrtgAmt;
	}
	public void setValdMrtgAmt(long valdMrtgAmt) {
		this.valdMrtgAmt = valdMrtgAmt;
	}
	public String getEsttEvalMethCd() {
		return esttEvalMethCd;
	}
	public void setEsttEvalMethCd(String esttEvalMethCd) {
		this.esttEvalMethCd = esttEvalMethCd;
	}
	public String getChngAfLoanApplAmt() {
		return chngAfLoanApplAmt;
	}
	public void setChngAfLoanApplAmt(String chngAfLoanApplAmt) {
		this.chngAfLoanApplAmt = chngAfLoanApplAmt;
	}
	public String getChngAfValdMrtgAmt() {
		return chngAfValdMrtgAmt;
	}
	public void setChngAfValdMrtgAmt(String chngAfValdMrtgAmt) {
		this.chngAfValdMrtgAmt = chngAfValdMrtgAmt;
	}
	public String getLoanStrtDt() {
		return loanStrtDt;
	}
	public void setLoanStrtDt(String loanStrtDt) {
		this.loanStrtDt = loanStrtDt;
	}
	public String getLoanEndDt() {
		return loanEndDt;
	}
	public void setLoanEndDt(String loanEndDt) {
		this.loanEndDt = loanEndDt;
	}
	public String getCalcLoanEndDt() {
		return calcLoanEndDt;
	}
	public void setCalcLoanEndDt(String calcLoanEndDt) {
		this.calcLoanEndDt = calcLoanEndDt;
	}
	public String getRmbrMethCd() {
		return rmbrMethCd;
	}
	public void setRmbrMethCd(String rmbrMethCd) {
		this.rmbrMethCd = rmbrMethCd;
	}
	public long getTimsRmbrAmt() {
		return timsRmbrAmt;
	}
	public void setTimsRmbrAmt(long timsRmbrAmt) {
		this.timsRmbrAmt = timsRmbrAmt;
	}
	public double getLoanIntRt() {
		return loanIntRt;
	}
	public void setLoanIntRt(double loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public String getFcntRmbrDt() {
		return fcntRmbrDt;
	}
	public void setFcntRmbrDt(String fcntRmbrDt) {
		this.fcntRmbrDt = fcntRmbrDt;
	}
	public String getRmbrUnit() {
		return rmbrUnit;
	}
	public void setRmbrUnit(String rmbrUnit) {
		this.rmbrUnit = rmbrUnit;
	}
	public String getInsuSubsDt() {
		return insuSubsDt;
	}
	public void setInsuSubsDt(String insuSubsDt) {
		this.insuSubsDt = insuSubsDt;
	}
	public long getInsuEntrAmt() {
		return insuEntrAmt;
	}
	public void setInsuEntrAmt(long insuEntrAmt) {
		this.insuEntrAmt = insuEntrAmt;
	}
	public String getInsuTermStrtDt() {
		return insuTermStrtDt;
	}
	public void setInsuTermStrtDt(String insuTermStrtDt) {
		this.insuTermStrtDt = insuTermStrtDt;
	}
	public String getInsuTermEndDt() {
		return insuTermEndDt;
	}
	public void setInsuTermEndDt(String insuTermEndDt) {
		this.insuTermEndDt = insuTermEndDt;
	}
	public String getChngAfInsuTermEndDt() {
		return chngAfInsuTermEndDt;
	}
	public void setChngAfInsuTermEndDt(String chngAfInsuTermEndDt) {
		this.chngAfInsuTermEndDt = chngAfInsuTermEndDt;
	}
	public double getAplyInsuRt() {
		return aplyInsuRt;
	}
	public void setAplyInsuRt(double aplyInsuRt) {
		this.aplyInsuRt = aplyInsuRt;
	}
	public double getChngAfAplyInsuRt() {
		return chngAfAplyInsuRt;
	}
	public void setChngAfAplyInsuRt(double chngAfAplyInsuRt) {
		this.chngAfAplyInsuRt = chngAfAplyInsuRt;
	}
	public long getFrstInsuFee() {
		return frstInsuFee;
	}
	public void setFrstInsuFee(long frstInsuFee) {
		this.frstInsuFee = frstInsuFee;
	}
	public long getToutInsuFee() {
		return toutInsuFee;
	}
	public void setToutInsuFee(long toutInsuFee) {
		this.toutInsuFee = toutInsuFee;
	}
	public long getPentInsuFee() {
		return pentInsuFee;
	}
	public void setPentInsuFee(long pentInsuFee) {
		this.pentInsuFee = pentInsuFee;
	}
	public String getMdebManNm() {
		return mdebManNm;
	}
	public void setMdebManNm(String mdebManNm) {
		this.mdebManNm = mdebManNm;
	}
	public String getMdebManJobCd() {
		return mdebManJobCd;
	}
	public void setMdebManJobCd(String mdebManJobCd) {
		this.mdebManJobCd = mdebManJobCd;
	}
	public String getMdebManResiZipCd() {
		return mdebManResiZipCd;
	}
	public void setMdebManResiZipCd(String mdebManResiZipCd) {
		this.mdebManResiZipCd = mdebManResiZipCd;
	}
	public String getMdebManResiAddr() {
		return mdebManResiAddr;
	}
	public void setMdebManResiAddr(String mdebManResiAddr) {
		this.mdebManResiAddr = mdebManResiAddr;
	}
	public String getMdebManTelNo() {
		return mdebManTelNo;
	}
	public void setMdebManTelNo(String mdebManTelNo) {
		this.mdebManTelNo = mdebManTelNo;
	}
	public String getMdebManHpNo() {
		return mdebManHpNo;
	}
	public void setMdebManHpNo(String mdebManHpNo) {
		this.mdebManHpNo = mdebManHpNo;
	}
	public String getSendDt() {
		return sendDt;
	}
	public void setSendDt(String sendDt) {
		this.sendDt = sendDt;
	}
	public String getSendTm() {
		return sendTm;
	}
	public void setSendTm(String sendTm) {
		this.sendTm = sendTm;
	}
	public String getEmptRmFg() {
		return emptRmFg;
	}
	public void setEmptRmFg(String emptRmFg) {
		this.emptRmFg = emptRmFg;
	}
	public String getLoanKindCd() {
		return loanKindCd;
	}
	public void setLoanKindCd(String loanKindCd) {
		this.loanKindCd = loanKindCd;
	}
	public String getInsuUpdtFg() {
		return insuUpdtFg;
	}
	public void setInsuUpdtFg(String insuUpdtFg) {
		this.insuUpdtFg = insuUpdtFg;
	}
	public String getBfGuarBondNo() {
		return bfGuarBondNo;
	}
	public void setBfGuarBondNo(String bfGuarBondNo) {
		this.bfGuarBondNo = bfGuarBondNo;
	}
	public String getTotBuildCnt() {
		return totBuildCnt;
	}
	public void setTotBuildCnt(String totBuildCnt) {
		this.totBuildCnt = totBuildCnt;
	}
	public String getTotHshdCnt() {
		return totHshdCnt;
	}
	public void setTotHshdCnt(String totHshdCnt) {
		this.totHshdCnt = totHshdCnt;
	}
	public long getIncoAmt() {
		return incoAmt;
	}
	public void setIncoAmt(long incoAmt) {
		this.incoAmt = incoAmt;
	}
	public String getEsttEvalOrgCd() {
		return esttEvalOrgCd;
	}
	public void setEsttEvalOrgCd(String esttEvalOrgCd) {
		this.esttEvalOrgCd = esttEvalOrgCd;
	}
	public double getLtvLimRto() {
		return ltvLimRto;
	}
	public void setLtvLimRto(double ltvLimRto) {
		this.ltvLimRto = ltvLimRto;
	}
	public long getSamtLeasGuarAmt() {
		return samtLeasGuarAmt;
	}
	public void setSamtLeasGuarAmt(long samtLeasGuarAmt) {
		this.samtLeasGuarAmt = samtLeasGuarAmt;
	}
	public long getEprtRmbrAmt() {
		return eprtRmbrAmt;
	}
	public void setEprtRmbrAmt(long eprtRmbrAmt) {
		this.eprtRmbrAmt = eprtRmbrAmt;
	}
	public String getJobGrpCd() {
		return jobGrpCd;
	}
	public void setJobGrpCd(String jobGrpCd) {
		this.jobGrpCd = jobGrpCd;
	}
	public String getMciEntrLimAmt() {
		return mciEntrLimAmt;
	}
	public void setMciEntrLimAmt(String mciEntrLimAmt) {
		this.mciEntrLimAmt = mciEntrLimAmt;
	}
	public String getMciEntrAfAddLimAmt() {
		return mciEntrAfAddLimAmt;
	}
	public void setMciEntrAfAddLimAmt(String mciEntrAfAddLimAmt) {
		this.mciEntrAfAddLimAmt = mciEntrAfAddLimAmt;
	}
	public String getMciEntrAfLastPossAmt() {
		return mciEntrAfLastPossAmt;
	}
	public void setMciEntrAfLastPossAmt(String mciEntrAfLastPossAmt) {
		this.mciEntrAfLastPossAmt = mciEntrAfLastPossAmt;
	}
	public String getMciEntrAfValdMrtgAmt() {
		return mciEntrAfValdMrtgAmt;
	}
	public void setMciEntrAfValdMrtgAmt(String mciEntrAfValdMrtgAmt) {
		this.mciEntrAfValdMrtgAmt = mciEntrAfValdMrtgAmt;
	}
	public String getJudgEvalCorpNm() {
		return judgEvalCorpNm;
	}
	public void setJudgEvalCorpNm(String judgEvalCorpNm) {
		this.judgEvalCorpNm = judgEvalCorpNm;
	}
	public String getEtcSamtLeasGuarAmt() {
		return etcSamtLeasGuarAmt;
	}
	public void setEtcSamtLeasGuarAmt(String etcSamtLeasGuarAmt) {
		this.etcSamtLeasGuarAmt = etcSamtLeasGuarAmt;
	}
	public String getDebtManCiReadAgrFg() {
		return debtManCiReadAgrFg;
	}
	public void setDebtManCiReadAgrFg(String debtManCiReadAgrFg) {
		this.debtManCiReadAgrFg = debtManCiReadAgrFg;
	}
	public String getDebtManOffrMndtAgrFg() {
		return debtManOffrMndtAgrFg;
	}
	public void setDebtManOffrMndtAgrFg(String debtManOffrMndtAgrFg) {
		this.debtManOffrMndtAgrFg = debtManOffrMndtAgrFg;
	}
	public String getDebtManOffrSlctAgrFg() {
		return debtManOffrSlctAgrFg;
	}
	public void setDebtManOffrSlctAgrFg(String debtManOffrSlctAgrFg) {
		this.debtManOffrSlctAgrFg = debtManOffrSlctAgrFg;
	}
	public String getDebtManGathUseMndtAgrFg() {
		return debtManGathUseMndtAgrFg;
	}
	public void setDebtManGathUseMndtAgrFg(String debtManGathUseMndtAgrFg) {
		this.debtManGathUseMndtAgrFg = debtManGathUseMndtAgrFg;
	}
	public String getDebtManGathUseSlctAgrFg() {
		return debtManGathUseSlctAgrFg;
	}
	public void setDebtManGathUseSlctAgrFg(String debtManGathUseSlctAgrFg) {
		this.debtManGathUseSlctAgrFg = debtManGathUseSlctAgrFg;
	}
	public String getDebtManRcgnAgrFg() {
		return debtManRcgnAgrFg;
	}
	public void setDebtManRcgnAgrFg(String debtManRcgnAgrFg) {
		this.debtManRcgnAgrFg = debtManRcgnAgrFg;
	}
	public String getMrtgLoctPlmkBaseAddr() {
		return mrtgLoctPlmkBaseAddr;
	}
	public void setMrtgLoctPlmkBaseAddr(String mrtgLoctPlmkBaseAddr) {
		this.mrtgLoctPlmkBaseAddr = mrtgLoctPlmkBaseAddr;
	}
	public String getMrtgLoctAddrDivCd() {
		return mrtgLoctAddrDivCd;
	}
	public void setMrtgLoctAddrDivCd(String mrtgLoctAddrDivCd) {
		this.mrtgLoctAddrDivCd = mrtgLoctAddrDivCd;
	}
	public String getMrtgLoctRoadBaseAddr() {
		return mrtgLoctRoadBaseAddr;
	}
	public void setMrtgLoctRoadBaseAddr(String mrtgLoctRoadBaseAddr) {
		this.mrtgLoctRoadBaseAddr = mrtgLoctRoadBaseAddr;
	}
	public String getMrtgLoctRoadEtcAddr() {
		return mrtgLoctRoadEtcAddr;
	}
	public void setMrtgLoctRoadEtcAddr(String mrtgLoctRoadEtcAddr) {
		this.mrtgLoctRoadEtcAddr = mrtgLoctRoadEtcAddr;
	}
	public String getMdebManAddrDivCd() {
		return mdebManAddrDivCd;
	}
	public void setMdebManAddrDivCd(String mdebManAddrDivCd) {
		this.mdebManAddrDivCd = mdebManAddrDivCd;
	}
	public String getMdebManPlmkBaseAddr() {
		return mdebManPlmkBaseAddr;
	}
	public void setMdebManPlmkBaseAddr(String mdebManPlmkBaseAddr) {
		this.mdebManPlmkBaseAddr = mdebManPlmkBaseAddr;
	}
	public String getMdebManRoadBaseAddr() {
		return mdebManRoadBaseAddr;
	}
	public void setMdebManRoadBaseAddr(String mdebManRoadBaseAddr) {
		this.mdebManRoadBaseAddr = mdebManRoadBaseAddr;
	}
	public String getMdebManRoadEtcAddr() {
		return mdebManRoadEtcAddr;
	}
	public void setMdebManRoadEtcAddr(String mdebManRoadEtcAddr) {
		this.mdebManRoadEtcAddr = mdebManRoadEtcAddr;
	}
	public String getMrtgPclrNo() {
		return mrtgPclrNo;
	}
	public void setMrtgPclrNo(String mrtgPclrNo) {
		this.mrtgPclrNo = mrtgPclrNo;
	}
	public String getLogInUserNo() {
		return logInUserNo;
	}
	public void setLogInUserNo(String logInUserNo) {
		this.logInUserNo = logInUserNo;
	}
	public String getLogInEmpNo() {
		return logInEmpNo;
	}
	public void setLogInEmpNo(String logInEmpNo) {
		this.logInEmpNo = logInEmpNo;
	}

}
