package hanalife.s.mo.in.service;

import hanalife.s.mo.in.vo.SMOINM03S01InVO;
import hanalife.s.mo.in.vo.SMOINM03S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SMOINM03Service.java Class
 * 클래스설명   : MCI현황조회 (SMOINM03) Service Interface
 * 작성일자     : 2023. 4. 6.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 6.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSMOINM03S01 : MCI현황조회목록조회

 * </pre>
 */
public interface SMOINM03Service {

	/**
	 * <p>메소드명      : getSMOINM03S01 : MCI현황조회목록조회</p>
	 * <p>작성일자      : 2023. 4. 6.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : MCI현황조회 한다.</p>
	 * <p>메소드인수    : SMOINM03S01InVo </p>
	 * <p>메소드리턴값  : SMOINM03S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SMOINM03S01OutVO getSMOINM03S01(SMOINM03S01InVO inVo) throws Exception;

}
