package hanalife.s.pd.pd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM02SD01OutDTO.java Class
 * 클래스설명  : 상품관리 원리금구성조건 (SPDPDM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM02SD01OutDTO {
	private String prdtCd;   	    //PRDT_CD   상품_코드
    private String frstRank;   	    //FRST_RANK   우선_순위
    private String strtTims;        //STRT_TIMS   시작_회차
    private String mask;            //MASK   ~
    private String endTims;   	    //END_TIMS   종료_회차
    private String excpStrtDt;      //EXCP_STRT_DT   예외_시작일자
    private String excpEndDt;       //EXCP_END_DT   예외_종료일자
    private String loanIntRt;       //LOAN_INT_RT   대출_이자율
    private String baseIntRtFg;	    //BASE_INT_RT_FG   기본_이자율_여부
    private String rmbrFrmlCd;	    //RMBR_FRML_CD   상환_방식_코드
    private String dueCyclCd;       //DUE_CYCL_CD   납입_주기_코드
    private String frstRegEmpNo;    //FRST_REG_EMP_NO       최초등록사원
    private String lastProcEmpNo;   //LAST_PROC_EMP_NO      최종처리사원

    public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getFrstRank() {
		return frstRank;
	}
	public void setFrstRank(String frstRank) {
		this.frstRank = frstRank;
	}
	public String getStrtTims() {
		return strtTims;
	}
	public void setStrtTims(String strtTims) {
		this.strtTims = strtTims;
	}
	public String getMask() {
        return mask;
    }
    public void setMask(String mask) {
        this.mask = mask;
    }
    public String getEndTims() {
		return endTims;
	}
	public void setEndTims(String endTims) {
		this.endTims = endTims;
	}
	public String getExcpStrtDt() {
		return excpStrtDt;
	}
	public void setExcpStrtDt(String excpStrtDt) {
		this.excpStrtDt = excpStrtDt;
	}
	public String getExcpEndDt() {
		return excpEndDt;
	}
	public void setExcpEndDt(String excpEndDt) {
		this.excpEndDt = excpEndDt;
	}
	public String getLoanIntRt() {
		return loanIntRt;
	}
	public void setLoanIntRt(String loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public String getBaseIntRtFg() {
		return baseIntRtFg;
	}
	public void setBaseIntRtFg(String baseIntRtFg) {
		this.baseIntRtFg = baseIntRtFg;
	}
	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}
	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}
	public String getDueCyclCd() {
		return dueCyclCd;
	}
	public void setDueCyclCd(String dueCyclCd) {
		this.dueCyclCd = dueCyclCd;
	}
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }
}