package hanalife.s.pd.pd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM02SD12OutDTO.java Class
 * 클래스설명  : 상품관리 중도상환수수료율 (SPDPDM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM02SD12OutDTO {
	private String prdtCd; 			// 상품_코드
	private String aplyStrtDt; 		// 적용_시작_일자
	private String seq; 			// 순번
	private String aplyDiv; 		// 적용_구분
	private String sctnStrtVal; 	// 구간_시작_값
	private String sctnEndVal; 		// 구간_종료_값
    private String sctnAplyFeeRt;	// 구간_적용_수수료율
    private String intUplmitRt; 	// 이자_상한제_이율
	private String incdCostRt; 		// 부대비용율
    private String demIntRt; 		// 간주이자율
    private String frstRegEmpNo;    //FRST_REG_EMP_NO       최초등록사원
    private String lastProcEmpNo;   //LAST_PROC_EMP_NO      최종처리사원

    public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getAplyStrtDt() {
		return aplyStrtDt;
	}
	public void setAplyStrtDt(String aplyStrtDt) {
		this.aplyStrtDt = aplyStrtDt;
	}
	public String getSeq() {
		return seq;
	}
	public void setSeq(String seq) {
		this.seq = seq;
	}
	public String getAplyDiv() {
		return aplyDiv;
	}
	public void setAplyDiv(String aplyDiv) {
		this.aplyDiv = aplyDiv;
	}
	public String getSctnStrtVal() {
		return sctnStrtVal;
	}
	public void setSctnStrtVal(String sctnStrtVal) {
		this.sctnStrtVal = sctnStrtVal;
	}
	public String getSctnEndVal() {
		return sctnEndVal;
	}
	public void setSctnEndVal(String sctnEndVal) {
		this.sctnEndVal = sctnEndVal;
	}
	public String getSctnAplyFeeRt() {
		return sctnAplyFeeRt;
	}
	public void setSctnAplyFeeRt(String sctnAplyFeeRt) {
		this.sctnAplyFeeRt = sctnAplyFeeRt;
	}
	public String getIntUplmitRt() {
		return intUplmitRt;
	}
	public void setIntUplmitRt(String intUplmitRt) {
		this.intUplmitRt = intUplmitRt;
	}
	public String getIncdCostRt() {
		return incdCostRt;
	}
	public void setIncdCostRt(String incdCostRt) {
		this.incdCostRt = incdCostRt;
	}
	public String getDemIntRt() {
		return demIntRt;
	}
	public void setDemIntRt(String demIntRt) {
		this.demIntRt = demIntRt;
	}
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }
}