package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.LoanReptAccntReadPopDSSDDTO;
import hanalife.s.sp.as.mapper.dto.LoanReptAccntReadPopDSSMDTO;

@Mapper("LoanReptAccntReadPopMapper")
public interface LoanReptAccntReadPopMapper {

    /**
     * <pre>
     * 메소드명      : searchDeptList
     * 작성일자      : 2023. 3. 10.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 대출현황계좌목록조회을(를) 조회 한다.
     * 메소드인수1   : 대출현황계좌목록조회 입력
     * 메소드리턴값  : 대출현황계좌목록조회 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<LoanReptAccntReadPopDSSDDTO> searchList(LoanReptAccntReadPopDSSMDTO inDto) throws Exception;


}
