package hanalife.s.sp.as.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptDSSDDO01DTO.java Class
 * 클래스설명   : 대출현황계좌목록조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70324 / WoongHee.Lee / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class LoanReptAccntReadPopDSSDDTO {

	private String seq;
	private String accountCd;
	private String accountNm;
	private String accountNo;
	private String custNo;
	private String custNm;
	private String accountUseYn;
	private String firstRegDt;
	private String userNm;
	private String bcoNo;
	private String coNo;
	private String accountSeq;
	private String useGdCd;
	private String useGdNm;
	private String allocCustNm;
	private String custGdNm;
	private String loanNo;
	private String polNo;
	private String contYn;
	private String carId;
	private String carNum;
	private String carKindCd;
	private String carKindNm;
	private String loanPrcpAmt;
	private String loanRato;
	private String loanDate;
	private String exprDate;
	private String loanMmth;
	private String loanBalnAmt;
	private String dmndAmt;

	public String getSeq() {
		return seq;
	}
	public void setSeq(String seq) {
		this.seq = seq;
	}
	public String getAccountCd() {
		return accountCd;
	}
	public void setAccountCd(String accountCd) {
		this.accountCd = accountCd;
	}
	public String getAccountNm() {
		return accountNm;
	}
	public void setAccountNm(String accountNm) {
		this.accountNm = accountNm;
	}
	public String getAccountNo() {
		return accountNo;
	}
	public void setAccountNo(String accountNo) {
		this.accountNo = accountNo;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getAccountUseYn() {
		return accountUseYn;
	}
	public void setAccountUseYn(String accountUseYn) {
		this.accountUseYn = accountUseYn;
	}
	public String getFirstRegDt() {
		return firstRegDt;
	}
	public void setFirstRegDt(String firstRegDt) {
		this.firstRegDt = firstRegDt;
	}
	public String getUserNm() {
		return userNm;
	}
	public void setUserNm(String userNm) {
		this.userNm = userNm;
	}
	public String getBcoNo() {
		return bcoNo;
	}
	public void setBcoNo(String bcoNo) {
		this.bcoNo = bcoNo;
	}
	public String getCoNo() {
		return coNo;
	}
	public void setCoNo(String coNo) {
		this.coNo = coNo;
	}
	public String getAccountSeq() {
		return accountSeq;
	}
	public void setAccountSeq(String accountSeq) {
		this.accountSeq = accountSeq;
	}
	public String getUseGdCd() {
		return useGdCd;
	}
	public void setUseGdCd(String useGdCd) {
		this.useGdCd = useGdCd;
	}
	public String getUseGdNm() {
		return useGdNm;
	}
	public void setUseGdNm(String useGdNm) {
		this.useGdNm = useGdNm;
	}
	public String getAllocCustNm() {
		return allocCustNm;
	}
	public void setAllocCustNm(String allocCustNm) {
		this.allocCustNm = allocCustNm;
	}
	public String getCustGdNm() {
		return custGdNm;
	}
	public void setCustGdNm(String custGdNm) {
		this.custGdNm = custGdNm;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getPolNo() {
		return polNo;
	}
	public void setPolNo(String polNo) {
		this.polNo = polNo;
	}
	public String getContYn() {
		return contYn;
	}
	public void setContYn(String contYn) {
		this.contYn = contYn;
	}
	public String getCarId() {
		return carId;
	}
	public void setCarId(String carId) {
		this.carId = carId;
	}
	public String getCarNum() {
		return carNum;
	}
	public void setCarNum(String carNum) {
		this.carNum = carNum;
	}
	public String getCarKindCd() {
		return carKindCd;
	}
	public void setCarKindCd(String carKindCd) {
		this.carKindCd = carKindCd;
	}
	public String getCarKindNm() {
		return carKindNm;
	}
	public void setCarKindNm(String carKindNm) {
		this.carKindNm = carKindNm;
	}
	public String getLoanPrcpAmt() {
		return loanPrcpAmt;
	}
	public void setLoanPrcpAmt(String loanPrcpAmt) {
		this.loanPrcpAmt = loanPrcpAmt;
	}
	public String getLoanRato() {
		return loanRato;
	}
	public void setLoanRato(String loanRato) {
		this.loanRato = loanRato;
	}
	public String getLoanDate() {
		return loanDate;
	}
	public void setLoanDate(String loanDate) {
		this.loanDate = loanDate;
	}
	public String getExprDate() {
		return exprDate;
	}
	public void setExprDate(String exprDate) {
		this.exprDate = exprDate;
	}
	public String getLoanMmth() {
		return loanMmth;
	}
	public void setLoanMmth(String loanMmth) {
		this.loanMmth = loanMmth;
	}
	public String getLoanBalnAmt() {
		return loanBalnAmt;
	}
	public void setLoanBalnAmt(String loanBalnAmt) {
		this.loanBalnAmt = loanBalnAmt;
	}
	public String getDmndAmt() {
		return dmndAmt;
	}
	public void setDmndAmt(String dmndAmt) {
		this.dmndAmt = dmndAmt;
	}

}
