package hanalife.s.sp.gd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM01SrchDTO.java Class
 * 클래스설명  : 상품분류관리 (SPDPDM01) 입력DTO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SSPGDM03SrchDTO  {

	private String intRtDivCd;  /* INT_RT_DIV_CD   	긂리_종류_코드 */
	private String aplyStrtMm;  /* APLY_STRT_MM   	적용_시작_월 */
	private String aplyEndMm;   /* APLY_END_MM   	적용_종료_월 */
	private String aplyStrtDt;  /* APLY_STRT_DT   	적용_시작_일자 */
	private String aplyEndDt;   /* APLY_END_DT   	적용_종료_일자 */
	private String baseInt;  	/* BASE_INT   		금리 */
	private String empNo;  		/* EMP_NO   		사원_번호 */


	public String getIntRtDivCd() {
		return intRtDivCd;
	}
	public void setIntRtDivCd(String intRtDivCd) {
		this.intRtDivCd = intRtDivCd;
	}
	public String getAplyStrtMm() {
		return aplyStrtMm;
	}
	public void setAplyStrtMm(String aplyStrtMm) {
		this.aplyStrtMm = aplyStrtMm;
	}
	public String getAplyEndMm() {
		return aplyEndMm;
	}
	public void setAplyEndMm(String aplyEndMm) {
		this.aplyEndMm = aplyEndMm;
	}
	public String getAplyStrtDt() {
		return aplyStrtDt;
	}
	public void setAplyStrtDt(String aplyStrtDt) {
		this.aplyStrtDt = aplyStrtDt;
	}
	public String getAplyEndDt() {
		return aplyEndDt;
	}
	public void setAplyEndDt(String aplyEndDt) {
		this.aplyEndDt = aplyEndDt;
	}
	public String getBaseInt() {
		return baseInt;
	}
	public void setBaseInt(String baseInt) {
		this.baseInt = baseInt;
	}
	public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
}