package hanalife.t.ch.on.service;

//import hanalife.r.rc.rd.vo.todo0S01InVO;
//import hanalife.r.rc.rd.vo.todo0S01OutVO;


/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : TCHON001Service.java Class
 * 클래스설명   : 한도조회 (todo0) Service Interface
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : searchLoanLim : 대출한도조회
 * </pre>
 */
public interface TCHON001Service {

    /**
     *<pre>
     * 메소드명       : searchLoanLim : 대출한도조회
     * 작성일자        : 2023. 3. 27.
     * 작성자(author) : 70278 / younghwe.kim
     * 설명         : 대출한도조회
     * 메소드인수     : todo0S01InVo
     * 메소드리턴값    : todo0S01OutVo
     * 예외처리      : Exception
     *</pre>
     */
    String searchLoanLim(String strIn) throws Exception;
}
