package hanalife.t.kc.on.service;

import hanalife.t.kc.on.vo.KCBOnlnVo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : TCHON001Service.java Class
 * 클래스설명   : [KCB] - 한국개인신용 복수카드 조회 Service Interface
* 작성일자     : 2023. 4. 18.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 18.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : KCB_0400_Call : [KCB] - 한국개인신용 복수카드 조회
 * </pre>
 */
public interface TKCON001Service {

    /**
     *<pre>
     * 메소드명       : KCB_0400_Call
     * 작성일자        : 2023. 4. 18.
     * 작성자(author) : 70278 / KiHwan.Park
     * 설명         : [KCB] - 한국개인신용 복수카드 조회
     * 메소드인수     : KCBOnlnVo
     * 메소드리턴값    : KCBOnlnVo
     * 예외처리      : Exception
     *</pre>
     */
    public KCBOnlnVo KCB_0400_Call(KCBOnlnVo inVo) throws Exception;

}
