package hanalife.t.kf.on.service;

import hanalife.t.kf.on.vo.KFBOnlnVo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : TKFON005Service
 * 클래스설명   : [신정원] 대출계약 철회정보 조회(0200/237)
 * 작성일자     : 2023. 5. 5.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 5.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : KFB_0200237_Call : [신정원] 대출계약 철회정보 조회(0200/237)
 * </pre>
 */
public interface TKFON005Service {

    /**
     *<pre>
     * 메소드명       : KFB_0200237_Call : [신정원] 대출계약 철회정보 조회(0200/237)
     * 작성일자        : 2023. 5. 5.
     * 작성자(author) : 70278 / KiHwan.Park
     * 설명         : 대출계약 철회정보 조회
     * 메소드인수     : KCBOnlnVo
     * 메소드리턴값    : KCBOnlnVo
     * 예외처리      : Exception
     *</pre>
     */
    public KFBOnlnVo KFB_0200237_Call(KFBOnlnVo inVo) throws Exception;
}
