<!--
	* 프로젝트 : 하나생명 NEW SFA 시스템
	* 파 일 명 : OzViewerPopup_M.jsp
	* 설   명 : 오즈 모바일 뷰어 javascript


	* 호출
	*	var ozReportInfo = [];
	*	var param = {};
	*	param.bssrName = "청약서";																				// 문서 이름
	*	param.path = "/hlodeform/prodManual_20.ozr";															// 문서 이름을 포함한 경로
	*	param.xml = "<?xml version='1.0' encoding='EUC-KR' standalone='no'?><example>text<example/></root>"; 	// xml 스트링
	*	ozReportInfo.push(param);

	*	globalStorage.set('list_OzReportInfo', ozReportInfo);
	*	if(sbCommValid.CheckIsMobile())	{	window.open("/cm/pt/comm/OzReportMobileView.do");	}
	*	else							{	window.open("/cm/pt/comm/OzReportView.do");			}
	* 작 성 자 : 70112
	* Copyright ⓒ 2022 Hana Life Insurance, All Rights Reserved.
	*
	* ------------------------------------------------------------------
	* Modification Information
	* ------------------------------------------------------------------
	*   수정일          수정자              수정내용
	* ------------------------------------------------------------------
	* 2022.07.27      70112             최초생성
-->
<!DOCTYPE html>
<html >
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=no"/>
<script src="/solutions/ozhviewer/jquery-2.0.3.min.js"></script>
<link rel="stylesheet" href="/solutions/ozhviewer/jquery-ui.css" type="text/css"/>
<script src="/solutions/ozhviewer/jquery-ui.min.js"></script>
<link rel="stylesheet" href="/solutions/ozhviewer/mobile/jquery.mobile-1.4.5.min.css"/>



<script src="/solutions/ozhviewer/mobile/jquery.mobile-1.4.5.min.js"></script>

<link rel="stylesheet" type="text/css" href="/solutions/ozhviewer/mobile/jquery.mobile.simpledialog.min.css"/>
<script type="text/javascript" src="/solutions/ozhviewer/mobile/jquery.mobile.simpledialog2.min.js"></script>

<link rel="stylesheet" href="/solutions/ozhviewer/ui.dynatree.css" type="text/css"/>

<script type="text/javascript" src="/solutions/ozhviewer/jquery.dynatree.js" charset="utf-8"></script>
<script type="text/javascript" src="/solutions/ozhviewer/OZJSViewer.js" charset="utf-8"></script>
<script type="text/javascript" src="/solutions/ozhviewer/jquery.mouseSwipe.js" charset="utf-8"></script>
<script type="text/javascript" src="/solutions/ozhviewer/pdf_js/web/compatibility.js" charset="utf-8"></script>
<script type="text/javascript" src="/solutions/ozhviewer/pdf_js/build/pdf.js" charset="utf-8"></script>
<script type="text/javascript" src="/resources/comm/js/jQuery-FontSpy.js" charset="utf-8"></script>
<script type="text/javascript">
		if(typeof PDFJS != "undefined"){
			PDFJS.cMapUrl = "/solutions/ozhviewer/pdf_js/web/cmaps/";
			PDFJS.cMapPacked = true;
			}

</script>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<script type="text/javascript" src="/resources/comm/js/common-storage.js"></script>

<style type="text/css">
	@font-face {
		font-family: '하나 B';
		src: url(/resources/pt/fonts/HanaFont/hanaB.eot);
		src: local('하나 B'), url(/resources/pt/fonts/HanaFont/hanaB.woff) format('woff');
	}
	@font-face {
		font-family: '하나 L';
		src: url(/resources/pt/fonts/HanaFont/hanaL.eot);
		src: local('하나 L'), url('/resources/pt/fonts/HanaFont/hanaL.woff') format('woff');
	}
	@font-face {
		font-family: '하나 M';
		src: url(/resources/pt/fonts/HanaFont/hanaM.eot);
		src: local('하나 M'), url('/resources/pt/fonts/HanaFont/hanaM.woff') format('woff');
	}
</style>

</head>

<body style="width:100%;height:100%">
<div id="OZViewer" style="width:98%;height:98%"></div>

<script type="text/javascript">
let list_OzReportInfo = JSON.parse(globalStorage.get('list_OzReportInfo'));

console.log(window.parent.$('#iframe_Oz').width());
$("#OZViewer").width(window.parent.$('#iframe_Oz').width());
$("#OZViewer").height(window.parent.$('#iframe_Oz').height());

function GetInformation(){
    var pagecount;
    pagecount=OZViewer.GetInformation("TOTAL_PAGE");
}

function OZErrorCommand_OZViewer(code, message, detailmessage, reportname) {
	console.log("에러 메시지 코드 : " + code);
	console.log("에러 기본 메시지 : " + message);
	console.log("에러 상세 메시지 : " + detailmessage);
	console.log("보고서 이름 : " + reportname);
}


function OZProgressCommand_OZViewer(step, state, reportname) {
    if(step == "4" && state == "2"){
	    pagecount=OZViewer.GetInformation("TOTAL_PAGE");
	    if(pagecount <= 1){		window.parent.$('#btn_ConfirmDoc').attr("disabled", false);		}
    }
}

var pagecount;
var currentCount;
function OZUserActionCommand_OZViewer(type, attr) {
   var MyObj = eval('(' + attr + ')');

    if(type == "MovePage") {
        currentCount = MyObj.index;
		if(currentCount > pagecount * 0.5){
			window.parent.$('#btn_ConfirmDoc').attr("disabled", false);
		}
    }
    if(type == "ScrollReport") {
    }
}

function SetOZParamters_OZViewer(){
	console.log("SetOZParamters_OZViewer()");

	var serverMode = "${serverMode}";
	var servletUrl = "${urlOzReport}";


	if(list_OzReportInfo.length <= 0)	{
		alert("오즈 레포트 정보가 없습니다.");
		return;
	}

	var oz = document.getElementById("OZViewer");
	for(var i = 0; i < list_OzReportInfo.length; i++) {
		var PARAM_OZREPORT_MULTI = "";
		if(i > 0) PARAM_OZREPORT_MULTI = "child" + String(i) + ".";

		if(i == 1) {
			// 다중 파일로 확인하여 설정 추가
			oz.sendToActionScript("viewer.childcount",		list_OzReportInfo.length - 1);
			oz.sendToActionScript("viewer.ismultidocassub",	"true");
			oz.sendToActionScript("global.concatpage", 		"true");
		}
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "viewer.usetoolbar",			"false");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "connection.pcount",			"1");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "connection.servlet",			servletUrl + "/oz80/server");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "connection.reportname",		list_OzReportInfo[i].path);
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "connection.args1",			"xmlData=" + list_OzReportInfo[i].xml);
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "connection.displayname",		list_OzReportInfo[i].bssrName);

		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "viewer.useprogressbar",		"true");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "viewer.viewMode",			"fittocontents");

		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "viewer.useractioncommand",	"true");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "viewer.progresscommand",		"true");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "viewer.errorcommand", 		"true");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "viewer.ignore_disable_color_inputcomponent",			"true");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "viewer.pagedisplay",			"continuous");

		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "pdf.fontembedding",			"true");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "pdf.fontembedding_subset",	"true");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "pdf.filename",				list_OzReportInfo[i].fileName);					// 파일명
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "toolbar.pagenavigator",		"false");
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "export.format", "pdf"); 				// pdf 선택되어 보여짐
		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "export.applyformat", "pdf,png"); 		//저장파일 리스트

		// 폰트 설정
// 		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "font.fontnames", 			"fontA,fontB");
// 		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "font.fontA.name", 		"하나 L");
// 		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "font.fontA.replacefont", 	"HANA");
// 		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "font.fontB.name", 		"하나 M");
// 		oz.sendToActionScript(PARAM_OZREPORT_MULTI + "font.fontB.replacefont", 	"HANA");

		// 각화면별 파라미터 세팅
		try {
			if (typeof window.parent.SetOZParamters === 'function') {
				window.parent.SetOZParamters(oz, PARAM_OZREPORT_MULTI);
			}
		} catch(e) {
			console.log(e);
		}
	}
	return true;
}

	var opt =[];
	opt["print_exportfrom"]="server";
	opt["save_exportfrom"] = {"pdf":"server"};
	opt["mstyle"] = true;
	//start_ozjs("OZViewer","/solutions/ozhviewer/", opt);

	var fontObject = {
			fontListObj : { //폰트 리스트
				  "하나 L" : false,
				  "하나 B" : false,
				  "하나 M" : false,
			},
			retryCnt : 30,  //재시도 횟수
			retryTime : 500, // ~msec 뒤 재시도
			fontName : "",  //로딩 실패한 폰트명

			fontCheck : function(){
				for (var key in fontObject.fontListObj){
					if(fontObject.fontListObj[key] == false){
						fontSpy(key, {
							success: function() {
								if(fontObject.fontListObj[key] == false){
									fontObject.fontListObj[key] = true;
								}
							},
							failure: function() {
								fontObject.fontListObj[key] == false;
							}
						});
					}
				}

				var flag = true;
				for ( var key in fontObject.fontListObj){
					if(fontObject.fontListObj[key] == false){ //font 다운 확인, false 가 있을 경우
						flag = false;
						fontObject.fontName = key;
						break;
					}
				}

				if(flag == true){
					console.log("loading 성공");
					//start_ozjs("OZViewer","/oz80/ozhviewer/", opt); //전체 폰트가 로드 되었으면 HTML5 뷰어 실행
					start_ozjs("OZViewer","/solutions/ozhviewer/", opt);
				}else{
					--fontObject.retryCnt;
					if(fontObject.retryCnt > 0){
						console.log("loading 재시도 >> ");
						setTimeout(function(){fontObject.fontCheck()}, fontObject.retryTime); //재시도
					}else{
						console.log("loading 실패");
						alert(fontObject.fontName+" 폰트가 정상적으로 다운되지 않았습니다. 다시 시도해주세요\n");
					}
				}
			}
	};

	fontObject.fontCheck(); //fontcheck -> HTML5뷰어 시작
	$.ajaxSetup({ cache: true }); //캐시 사용, false는 캐시사용 안함.
</script>
</body>
</html>