<%--
Copyright ⓒ 2022 Hana Life Insurance, All Rights Reserved.
------------------------------------------------------------------
프로젝트 : 하나생명 NEW SFA 시스템
파 일 명 : MCS00003004P.jsp
타 이 틀 :
설   명 : 고객검색 모바일 팝업
------------------------------------------------------------------
수정일          수정자              수정내용
------------------------------------------------------------------
2022.08.18    70083             최초생성
------------------------------------------------------------------
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/jsp/frame/tagLib.jsf" %>

<!-- popup (s) -->
<div class="popWrap" id="mobileCsSrchPop">
	<input type="hidden" name="csCommTp" />
    <input type="hidden" name="stbtDgnNedYn" />
    <input type="hidden" name="chpId" />
    
    <!-- 검색값 세팅 -->
    <input type="hidden" name="csNm"/>
    <input type="hidden" name="rgnoBhdt"/>
    <input type="hidden" name="sdt"/>
    <input type="hidden" name="mblPhn"/>
    
	<section class="popup">
		<header><h1>고객검색</h1></header>
		<!-- 여기서부터 실제 내용입니다. (s) -->

		<ul class="formList">
			<li>
				<div class="itemTh">구분</div>
				<div class="dataTd">
					<ul class="iptFilt">
						<li>
							<input type="radio" class="ipt" name="filtCsSrch" id="filtNm" value="name">
							<label for="filtNm">고객명</label>
						</li>
						<li>
							<input type="radio" class="ipt" name="filtCsSrch" id="filtMblPhn" value="mblphn" checked="">
							<label for="filtMblPhn">휴대폰번호</label>
						</li>
					</ul>
					<input type="text" class="ipt" name="srchcsNm" placeholder="예: 김하나" maxlength="30">
					<input type="text" class="ipt" name="srchMblPhn" placeholder="숫자만입력" maxlength="11">
				</div>
			</li>
		</ul>

		<div class="ac">
			<button type="button" class="btn_s m" id="btnFindCust">검색</button>
		</div>

		<hr>

		<div class="tblInfo">
      <div class="info">총 <em class="val csTotCnt">0</em>건</div>
    </div>
		<ul class="resulList" id="csListP" >
			
		</ul>
		
		<!-- 데이터 없음 -->
    	<div class="noData" id="noCsList">검색결과가 없습니다.</div>
		
		<!-- paging (s) -->
		<div class="paging" role="navigation" aria-label="페이지 선택 영역">
			<!-- <button type="button" class="icoBtn_prev" aria-label="이전"></button>
			<ul>
				<li class="on"><em><span class="blind">현재 페이지</span> 1</em></li>
				<li><a href="#"><span class="blind">페이지</span>2</a></li>
				<li><a href="#"><span class="blind">페이지</span>3</a></li>
				<li><a href="#"><span class="blind">페이지</span>4</a></li>
				<li><a href="#"><span class="blind">페이지</span>5</a></li>
			</ul>
			<button type="button" class="icoBtn_next" aria-label="다음"></button> -->
		</div>
		<!-- paging (e) -->

		<!-- 여기서부터 실제 내용입니다. (e) -->
		
		<button type="button" class="icoBtn_close"></button>
	</section>
</div>
<!-- popup (e) -->

<script type="text/javascript" src="/resources/comm/js/cs/comm-cs.js"></script>
<!-- <script type="text/javascript" src="/resources/comm/js/cs/commonCs.js"></script> -->
<script type="text/javascript" src="/resources/mo/js/cs/comm/MCS00003004P.js"></script>
