<%@ page contentType="text/html; charset=utf-8" pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/jsp/frame/tagLib.jsf" %>

<div style="display: inline-block;">
	<form id="regForm" name="regForm">
	    <div id="content_pop">
	    	<!-- 타이틀 -->
	    	<div id="title">
	    		<ul>
	    			<li>
	    				<img src="<c:url value='/resources/pt/images/sample/title_dot.gif'/>" alt=""/>
	                    등록
	                </li>
	    		</ul>
	    	</div>
	    	<!-- 타이틀 -->

	    	<div id="table">
		    	<table width="100%" border="1" cellpadding="0" cellspacing="0" style="bordercolor:#D3E2EC; bordercolordark:#FFFFFF; BORDER-TOP:#C2D0DB 2px solid; BORDER-LEFT:#ffffff 1px solid; BORDER-RIGHT:#ffffff 1px solid; BORDER-BOTTOM:#C2D0DB 1px solid; border-collapse: collapse;">
		    		<colgroup>
		    			<col width="150"/>
		    			<col width="?"/>
		    		</colgroup>
		    		<tr>
		    			<td class="tbtd_caption">
		    				<label for="boardTitle">ID</label>
		    			</td>
		    			<td class="tbtd_content">
		    				<input id="boardTitle" name="id" maxlength="500" class="txt" value="${sampleVO.id}"/>
		    			</td>
		    		</tr>
		    		<tr>
		    			<td class="tbtd_caption">
		    				<label for="boardWriter">제목</label>
		    			</td>
		    			<td class="tbtd_content">
		    				<input id="boardWriter" name="name" maxlength="50" class="txt" value="${sampleVO.name}"/>
		    			</td>
		    		</tr>
		    		<tr>
		    			<td class="tbtd_caption">
		    				<label for="boardContent">내용</label>
		    			</td>
		    			<td class="tbtd_content">
		    				<textarea id="boardContent" name="description" rows="5" cols="60">${sampleVO.description}</textarea>
		                </td>
		    		</tr>
		    	</table>
	      	</div>
	      	
	    	<div id="sysbtn1">
	    		<ul>
	    			<li>
	                    <span class="btn_blue_l">
	                        <a href="<c:url value='/sample/findSampleListView.do'/>">목록</a>
	                        <img src="<c:url value='/resources/pt/images/sample/btn_bg_r.gif'/>" style="margin-left:6px;" alt=""/>
	                    </span>
	                </li>
	    			<li>
	                    <span class="btn_blue_l">
	                        <a href="javascript:fn_modifySample();">
	                        	변경
	                        </a>
	                        <img src="<c:url value='/resources/pt/images/sample/btn_bg_r.gif'/>" style="margin-left:6px;" alt=""/>
	                    </span>
	                </li>
	            </ul>
	    	</div>
	    </div>

	    <!-- 검색조건 유지 -->
	    <%-- <input type="hidden" name="searchCondition" value="<c:out value='${sampleVO.searchCondition}'/>"/>
	    <input type="hidden" name="searchKeyword" value="<c:out value='${sampleVO.searchKeyword}'/>"/>
	    <input type="hidden" name="pageIndex" value="<c:out value='${sampleVO.pageIndex}'/>"/> --%>
	</form>
</div>
<!--For Commons Validator Client Side-->
<!-- valitor-rules.xml 파일의 모든 자바스크립트 라이브러리 입니다. -->
<%-- <script type="text/javascript" src="<c:url value='/common/cmmn/validator.do' />"></script> --%>

<!-- validator.xml의 sampleVO 를 검증하기위한 스크립트를 생성합니다. -->
<validator:javascript formName="sampleVO" staticJavascript="false" xhtml="true" cdata="false"/>

<script type="text/javaScript" language="javascript" defer="defer">

	function fnCallback(obj, resultData, textStatus, jqXHR){
		switch(obj.url){
			case '/addSample.do':
			break;
		}
	}
	
	function fn_modifySample() {
		
		var form = $("#regForm");
    	form.attr('action', "<c:url value='/sample/modifySampleView.do' />");
    	form.attr('method', 'POST');
    	form.submit();
    	
	}
	
	function fn_registerSample() { //목록
		
		var form = $("#regForm");
    	form.attr('action', "<c:url value='/sample/registerSampleView.do' />");
    	form.attr('method', 'POST');
    	form.submit();
    	
	}

</script>
