﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.Grid_acct = null;

var sysDate = factory.datetoday();
var sysYear = factory.substringbyte(sysDate, 0, 4);
var tmprmrk1 = "";
var strTitle = "알람";
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통코드 조회
	SYSTran.getComCode(this.screen, "C30010", this.DS_CD_C30010); 			   // 정렬구분
	
	// Default 세팅
	this.fn_defaultValue();
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	if(factory.stringbytelen(this.Cal_condAcctYy.gettext()) != 4) {
    	SYSUtil.loadMessageBox(this.screen, strTitle, 1, "회계년도를 선택하십시오.", "msg01");
		this.Cal_condAcctYy.setfocus();
		return;
	}

	this.screen.setscreenprotect(true); // 화면잠금
	// 계정매칭 조회
	var bRet = SYSTran.requestSubmitSync(screen, "AACSFM04S01");

}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_insert() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	var chekRow = 0;
	for(var i = 0; i< this.DS_ACCT_SD_01.getrowcount() ; i++) {
		var strOperation = this.DS_ACCT_SD_01.getrowoperation(i);
		if (strOperation == XFD_ROWOP_INSERT || strOperation == XFD_ROWOP_UPDATE || strOperation == XFD_ROWOP_DELETE) {
			chekRow++;
		}
	}
	
	if (chekRow == 0) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "변경된 데이터가 없습니다.", "msg01");
		return;
	}
	
	for(var j = 0; j< this.DS_ACCT_SD_01.getrowcount() ; j++) {
		if(this.DS_ACCT_SD_01.getdatabyname(j, "acctYy") == "") {
			SYSUtil.loadMessageBox(this.screen, strTitle, 1, "회계연도는 필수입력 항목입니다.", "msg01");
			this.Grid_acct.setselectrow(j);
			return;			
		}
		
		if(this.DS_ACCT_SD_01.getdatabyname(j, "rmrk1") == "") {
			SYSUtil.loadMessageBox(this.screen, strTitle, 1, "비고는 필수입력 항목입니다.", "msg01");
			this.Grid_acct.setselectrow(j);
			return;			
		}
			
		if (strOperation == XFD_ROWOP_INSERT || strOperation == XFD_ROWOP_UPDATE) {
			if(this.DS_ACCT_SD_01.getdatabyname(j, "acctCd") == "") {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "기간계 계정코드는 필수입력 항목입니다.", "msg01");
				this.Grid_acct.setselectrow(j);
				return;			
			}
			
			if(this.DS_ACCT_SD_01.getdatabyname(j, "acctCd2") == "") {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "하나생명(SAP) 계정코드는 필수입력 항목입니다.", "msg01");
				this.Grid_acct.setselectrow(j);
				return;			
			}
		}
	}
	
	this.screen.setscreenprotect(true); // 화면잠금
	// 계정매칭등록
	var bRet = SYSTran.requestSubmitSync(screen, "AACSFM04I01");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_ACCT_SM.init();
	this.DS_ACCT_SD_01.init();
	this.DS_ACCT_SD_02.init();
	
	this.fn_defaultValue();
	
}

/* 
 *  SYSTran.requestSubmitSync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	if(mapid == "AACSFM04S01") {
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
			tmprmrk1 = this.DS_ACCT_SD_01.getdatabyname(0, "rmrk1");
		}else{
			
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "AACSFM04I01") {
		if(result == "1") {
			console.log("저장이 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("저장이 완료 되었습니다.");
		}else{
			
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "AACSFM04I02") {
		if(result == "1") {
			console.log("복사가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("복사가 완료 되었습니다.");
		}else{
			screen.setscreenprotect(false); //화면잠금해제
			if(recv_code < 0) {
				recv_msg = SYSUtil.replaceAll(recv_msg, "java.lang.Exception: ", "");
		        SYSUtil.setStatusMsg(recv_msg);
		        SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "msg00");
			} else {
				SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
			}
		}
	}
	
}

// 기본값 세팅.
function fn_defaultValue(){
	if(this.DS_ACCT_SM.getrowcount() == 0){
		this.DS_ACCT_SM.addrow();
	}
	this.DS_ACCT_SM.setdatabyname(0, "acctYy", sysYear);
}

function Btn_add_on_click(objInst)
{
	var nRow = this.DS_ACCT_SD_01.addrow();	
	this.Grid_acct.setselectitemex(nRow, 0, false);
	this.Grid_acct.setitemeditable(nRow, 0, true);
	this.DS_ACCT_SD_01.setdatabyname(nRow, "acctYy", this.Cal_condAcctYy.gettext()); 	
}

function Btn_del_on_click(objInst)
{
	var rmkR = this.DS_ACCT_SD_01.getdatabyname(this.DS_ACCT_SD_01.getpos(), "rmrk1");
	
	if(tmprmrk1 == rmkR ||
	   factory.stringtrim(rmkR) == null ||
	  (tmprmrk1 != rmkR && factory.stringtrim(rmkR) == "")
	) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "삭제사유를 비고란에 입력해 주십시오.", "msg01");
		return;
	}
	
	this.DS_ACCT_SD_01.setrowoperation(this.DS_ACCT_SD_01.getpos(), XFD_ROWOP_DELETE);
	this.DS_ACCT_SD_01.setdatabyname(this.DS_ACCT_SD_01.getpos(), "delFg", "1");
	this.Grid_acct.setrowhidden(this.Grid_acct.getselectrow(), true);
	
}

function Grid_acct_on_itempopbtnclick(objInst, nClickRow, nClickColumn, strItemText)
{
	if(nClickColumn == 2) { //EPLS계정코드조회
		popupType = "A";
		var acctYy = this.Cal_condAcctYy.gettext();
		
		var extParam = {"acctYy":acctYy } ;
		var param = {"DATADICNO":"ATACCT01", "extParam":extParam};
			
		// 팝업 Title
		var popupTitle = "ePLS계정코드조회";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
			
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
		
	} else if(nClickColumn == 6) { //SAP계정코드조회
		popupType = "B";
		var acctYy = this.Cal_condAcctYy.gettext();
		
		var extParam = {"acctYy":acctYy } ;
		var param = {"DATADICNO":"ITACCT01", "extParam":extParam};
			
		// 팝업 Title
		var popupTitle = "SAP계정코드조회";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
			
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

function popupCallback(objExtdata) {
	console.log("#### popupCallback call");
	if(objExtdata.popId == "CCMCMP05"){
		if( popupType == "A" ){
			if(objExtdata.acctCd != undefined){
				this.DS_ACCT_SD_01.setdatabyname(this.DS_ACCT_SD_01.getpos(), "acctCd", objExtdata.acctCd);
				this.DS_ACCT_SD_01.setdatabyname(this.DS_ACCT_SD_01.getpos(), "acctNm", objExtdata.acctNm);
			}
		} else if(popupType == "B") {
			if(objExtdata.acctCd != undefined){
				this.DS_ACCT_SD_01.setdatabyname(this.DS_ACCT_SD_01.getpos(), "acctCd2", objExtdata.acctCd);
				this.DS_ACCT_SD_01.setdatabyname(this.DS_ACCT_SD_01.getpos(), "acctNm2", objExtdata.acctNm);
			}
		} 
		popupType = "";
	}
}

function Btn_copy_on_click(objInst)
{
	if(factory.stringbytelen(factory.stringtrim(this.Cal_copyFromAcctYy.gettext())) == 0) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "년도(From)는(은) 필수입력 항목입니다.", "msg01");
		this.Cal_copyFromAcctYy.setfocus();
		return;
	}
	if(factory.stringbytelen(factory.stringtrim(this.Cal_copyToAcctYy.gettext())) == 0) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "년도(To)는(은) 필수입력 항목입니다.", "msg01");
		this.Cal_copyToAcctYy.setfocus();
		return;
	}
	
	if(this.Cal_copyFromAcctYy.gettext() == this.Cal_copyToAcctYy.gettext()) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "복사할 년도(From)와 년도(To)가 달라야 합니다.", "msg01");
		this.Cal_copyToAcctYy.setfocus();
		return;
	}
	
	this.screen.setscreenprotect(true); // 화면잠금
	// 계정매칭복사
	var bRet = SYSTran.requestSubmitSync(screen, "AACSFM04I02");
}

function Grid_acct_on_click(objInst)
{
	tmprmrk1 = this.DS_ACCT_SD_01.getdatabyname(this.DS_ACCT_SD_01.getpos(), "rmrk1");
}