﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.Grid_intRtDesc = null;

var sysDate = factory.datetoday();
var sysYear = factory.substringbyte(sysDate, 0, 4);

var strTitle = "알람";
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	this.DS_TR_CALC_SM_01.init() ;
	this.DS_TR_CALC_SM_01.addrow();
	
	// 공통코드 조회
	SYSTran.getComCode(this.screen, "A00058", this.DS_CD_A00058);				// 연산자구분코드
	SYSTran.getComCode(this.screen, "A00070", this.DS_CD_A00070);				// 금액항목

	this.Edit_calcTpCd.setfocus();
}

// 부모창에 load 할 data 설정
function paranet_screen_data_load (){
	console.log("########### paranet_screen_data_load #######" );
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	var calcTpCd = this.DS_TR_CALC_SD_01.getdatabyname(this.DS_TR_CALC_SD_01.getpos(), "calcTpCd");
	var calcTpNm = this.DS_TR_CALC_SD_01.getdatabyname(this.DS_TR_CALC_SD_01.getpos(), "calcTpNm");
	var param = {"calcTpCd":calcTpCd, "calcTpNm":calcTpNm};
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_insert() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

/* 
 *  SYSTran.requestSubmitSync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	if(mapid == "AACSFP01S01") {
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
	
			if(this.DS_TR_CALC_SD_01.getrowcount() > 0) {
				//계산식내역 조회
				this.fn_SearchTrCalcDesc(0);
	    	}
    	}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			strTitle = "알람";
        	SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(this.screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "AACSFP01S02") {
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
			//계산식내역 조회
			
	    	
    	}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			strTitle = "알람";
        	SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(this.screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}
}
function Btn_search_on_click(objInst)
{
	// 조회 전 체크
	this.screen.setscreenprotect(true); // 화면잠금
	// 상품분류관리 조회
	var bRet = SYSTran.requestSubmitSync(screen, "AACSFP01S01");
}

/********************************************************************
* 거래계산코드에 해당하는 거래계산내역 조회하기
********************************************************************/
function fn_SearchTrCalcDesc(nRow)
{
	this.DS_TR_CALC_SM_02.init() ;
	this.DS_TR_CALC_SM_02.addrow();

	var calcTpCd   = this.DS_TR_CALC_SD_01.getdatabyname(nRow, "calcTpCd");

	this.DS_TR_CALC_SM_02.setdatabyname(0, "calcTpCd",  calcTpCd);

	var bRet = SYSTran.requestSubmitSync(screen, "AACSFP01S02");

}

function Grid_trCalcBase_on_click(objInst)
{
	// 거래계산내역 조회하기
	this.fn_SearchTrCalcDesc(this.Grid_trCalcBase.getselectrow());
}

function Btn_select_on_click(objInst)
{
	this.paranet_screen_data_load();
}