﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

var viewTime = 1000; // ms 1000 = 1초
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	this.ue_init();
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	console.log("#### screen_on_load() call");
	this.DS_HT_ORG.copy(G_DEPT,"");
	
	SYSUtil.addComboAllColumn(this.cdoOrg);
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	if(this.DS_SDDO.getrowcount() > 0){
		var excelName = "입금자약속자명세_" + factory.datetoday() + ".xlsx"
		this.grdBusi.downloadexcel(excelName);	
	} else {
		SYSUtil.setStatusMsg("조회된 데이터가 없습니다.");
	}
}

// 공통 조회 버튼 이벤트
function ue_query(){
	SYSTran.requestSubmitSync(this.screen, "TS_BCNUIM05S01");
	console.log("#### ue_query() call");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	this.DS_SMDO.removeallrows();
	this.DS_SDDO.removeallrows();
	this.DS_SMDO.addrow();
	this.edtDivsManNm.settext("");
	this.edtEmpNm.settext("");
	this.calPrmsStDt.settext(factory.datefrom("month", -1));
	this.calPrmsEdDt.settext(factory.datetoday());
	console.log("#### ue_init() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function edtEmpNo_on_click(objInst, buttonclick)
{
	if(buttonclick){
	/* SYSUtil.loadToastBox(this.screen, "TODO 자료사전 팝업 검색 구현이후 적용", viewTime); */
		//팝업명	
		var popupTitle = "담당자 팝업";
		//팝업 경로
		var popupPath = "/BIZ/C/CO/CO/CCOCOP01";

		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, {});
	}	
}

function Grid_busi_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	
	var loanNo = this.DS_SDDO.getdatabyname(nDblClickRow,"loanNo");
	var loanSeq = this.DS_SDDO.getdatabyname(nDblClickRow,"loanSeq");
	var custNo = this.DS_SDDO.getdatabyname(nDblClickRow,"custNo");
	var sendData = {"loanNo": loanNo, "loanSeq":loanSeq , "custNo":custNo};
	
	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/CN/UI/BCNUIM04","상담관리" , sendData);
}

function btnCustSearch_on_mouseup(objInst)
{
	
	//팝업명	
	var popupTitle = "통합검색 팝업";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP02";

	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, {});
}

function popupCallback(objExtdata) {
	// 팝업에서 전달한 내용 출력
	console.log("popupCallback 실행::");
	console.log(objExtdata);
	if(objExtdata.popId == "CBCCCP02"){
		this.edtCustNo.settext(objExtdata.custNo);
		this.edtDivsManNm.settext(objExtdata.custNm);
	} else if(objExtdata.popId == "CCOCOP01"){
		this.edtEmpNo.settext(objExtdata.empNo);
		this.edtEmpNm.settext(objExtdata.korName);
	}
	
	if (objExtdata != undefined || objExtdata != null) {
		
	}
}

function screen_on_submitcomplete(mapid, result) {
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	console.log("########## mapid >> "+mapid);
	console.log("########## result >> "+result);
	var strMsg = "";
	if(mapid == "TS_BCNUIM05S01"){
		if(result == 0){
			var strTitle    = "오류 알림"; 
			var strMsg      = "데이터 송신중 오류가 발생하였습니다.";
			var nBtnType    = 1;
			var strMsgId    = "message01";
			
			// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
			SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		} else {
			SYSUtil.setStatusMsg("정상처리되었습니다.");
		}	 
	}
}