﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");
	
	// 저장 버튼
	if(popup_name == "userMngSave"){
		if (result == "확인"){
			var modifyCnt = this.DS_USER_MNG_SD.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
			var delRowCnt = this.DS_USER_MNG_SD_D.getrowcount(); //삭제된 데이터셋 전체 행의 수
			var rowCnt = this.DS_USER_MNG_SD.getrowcount(); //데이터셋 전체 행의 수
			var i;
			
			if(rowCnt <= 0 && delRowCnt <= 0){	//전체 데이터가 1건 있는 상태에서 삭제할 경우에 대한 예외처리
				SYSUtil.loadMessageBox(screen, "알림", 1, "저장할 내역이 없습니다.", "");
				return;
			}
			
			// 추가한 행 데이터셋 복사
			if(modifyCnt != 0){
				for(i=0; i < rowCnt; i++){
					if(this.DS_USER_MNG_SD.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_USER_MNG_SD.getrowoperation(i) == XFD_ROWOP_UPDATE){
						
						var userNoVal = this.DS_USER_MNG_SD.getdatabyname(i, "userNo");	//사용자번호
						var userDivCdVal = this.DS_USER_MNG_SD.getdatabyname(i, "userDivCd");	//사용자구분코드
						var useFgVal = this.DS_USER_MNG_SD.getdatabyname(i, "useFg");	//사용여부
						var userNmVal = this.DS_USER_MNG_SD.getdatabyname(i, "userNm");	//사용자명
						var posiCdVal = this.DS_USER_MNG_SD.getdatabyname(i, "posiCd");	//직위코드
						var deptCdVal = this.DS_USER_MNG_SD.getdatabyname(i, "deptCd");	//부서코드
						
						//사용자번호 체크
						if(factory.stringbytelen(factory.stringtrim(userNoVal)) == 0){
							SYSUtil.loadMessageBox(screen, "알림", 1, "사용자번호를 입력하세요.", "");
							return false;
						}
						
						//사용자구분코드 체크
						if(factory.stringbytelen(factory.stringtrim(userDivCdVal)) == 0){
							SYSUtil.loadMessageBox(screen, "알림", 1, "사용자구분을 선택하세요.", "");
							return false;
						}
						
						//사용여부 체크
						if(factory.stringbytelen(factory.stringtrim(useFgVal)) == 0){
							SYSUtil.loadMessageBox(screen, "알림", 1, "사용여부를 선택하세요.", "");
							return false;
						}
						
						//사용자명 체크
						if(factory.stringbytelen(factory.stringtrim(userNmVal)) == 0){
							SYSUtil.loadMessageBox(screen, "알림", 1, "성명을 입력하세요.", "");
							return false;
						}
						
						//직위코드 체크
						if(factory.stringbytelen(factory.stringtrim(posiCdVal)) == 0){
							SYSUtil.loadMessageBox(screen, "알림", 1, "직위를 선택하세요.", "");
							return false;
						}
						
						//부서코드 체크
						if(factory.stringbytelen(factory.stringtrim(deptCdVal)) == 0){
							SYSUtil.loadMessageBox(screen, "알림", 1, "부서를 선택하세요.", "");
							return false;
						}
						
						this.DS_USER_MNG_SD_C.copyinsertrow(-1, this.DS_USER_MNG_SD, i, true);
					}
				}
			}
			
			screen.setscreenprotect(true); //화면잠금
			
			SYSTran.requestSubmitSync(screen, "CBCCCM02U01");
		}
	// 행 삭제
	}else if(popup_name == "userMngDelete"){
		if (result == "확인"){
			var nRow = this.grdUserMng.getselectrow();	//그리드 내 선택된 행의 인덱스
			
			// 데이터셋 복사 후 그리드 행 삭제
			this.DS_USER_MNG_SD_D.copyinsertrow(-1, this.DS_USER_MNG_SD, nRow, true);
			this.DS_USER_MNG_SD_D.setallrowoperation(XFD_ROWOP_DELETE);
		
			this.grdUserMng.deleterow(nRow);
		}
	// 비밀번호 초기화
	}else if(popup_name == "userMngPwReset"){
		var nRow = this.grdUserMng.getselectrow();	//그리드 내 선택된 행의 인덱스
		this.DS_PSWD.copyinsertrow(-1, this.DS_USER_MNG_SD, nRow, true);
	
		screen.setscreenprotect(true); //화면잠금
	
		SYSTran.requestSubmitSync(screen, "CBCCCM02U02");
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_USER_MNG_SM.addrow();
	this.DS_USER_MNG_SM.setdatabyname(0, "userDivCd", "H");	//사용자구분코드 디폴트값 하나생명
	
	// 공통코드 세팅
	SYSTran.getComCode(this.screen, "H00373", this.DS_CD_H00373);  	  //사용자구분코드
	SYSTran.getComCode(this.screen, "C00002", this.DS_CD_C00002);		//사용여부코드
	SYSTran.getComCode(this.screen, "H00360", this.DS_CD_H00360);		//직위코드
	this.DS_CD_G_DEPT.init();
	this.DS_CD_G_DEPT.copy(G_DEPT, "");    // 관리부서코드
	this.DS_CD_G_DEPT.insertrow(0);
	this.DS_CD_G_DEPT.setdatabyname(0, "deptNm", "전체");
	
	this.DS_CD_GRD_G_DEPT.init();
	this.DS_CD_GRD_G_DEPT.copy(G_DEPT, "");    // 관리부서코드
	
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;		//공통 삭제 버튼 숨김 처리
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	
	var modifyCnt = this.DS_USER_MNG_SD.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
	var deleteCnt = this.DS_USER_MNG_SD.getdeletedrowcount(); //데이터셋 내 삭제된 행의 수
	
	if(modifyCnt > 0 || deleteCnt > 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "수정된 내역이 있습니다.\n저장 후 다시 시도해주세요.", "");
		return;
	}
	
	if(this.DS_USER_MNG_SD.getrowcount() > 0){
		var excelName = "사용자목록_" + factory.datetoday() + ".xlsx"
		this.grdUserMng.downloadexcel(excelName);	
	} else {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회된 데이터가 없습니다.", "errMsg01");
	}
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	SYSTran.requestSubmitSync(screen, "CBCCCM02S01");
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	//this.preSave();	// 저장 전 체크
	
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "저장하시겠습니까?", "userMngSave");

}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
	var nRow = this.grdUserMng.getselectrow();	//그리드 내 선택된 행의 인덱스
	
	// 데이터셋 복사 후 그리드 행 삭제
	this.DS_USER_MNG_SD_D.copyinsertrow(-1, this.DS_USER_MNG_SD, nRow, true);
	this.DS_USER_MNG_SD_D.setallrowoperation(XFD_ROWOP_DELETE);

	this.grdUserMng.deleterow(nRow);
	
	//SYSTran.requestSubmitSync(screen, "CBCCCM02D01");
	
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_USER_MNG_SM.deleteallrows();
	this.DS_USER_MNG_SD.deleteallrows();
	this.DS_USER_MNG_SD_C.deleteallrows();
	this.DS_USER_MNG_SD_D.deleteallrows();
	this.DS_USER_CNT_SD.deleteallrows();
	this.DS_PSWD.deleteallrows();
	
	this.DS_USER_MNG_SM.addrow();
	this.DS_USER_MNG_SM.setdatabyname(0, "userDivCd", "H");	//사용자구분코드 디폴트값 하나생명
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜젝션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	if(mapid == "CBCCCM02S01"){	//조회
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
		}
	}else if(mapid == "CBCCCM02U01"){	//입력, 수정, 삭제
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="저장이 완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
	}else if(mapid == "CBCCCM02U02"){	//비밀번호 초기화
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			SYSUtil.setStatusMsg(strMsg);
			return;
		} else {
			strMsg ="변경이 완료되었습니다.";
			this.DS_PSWD.deleteallrows();
		}
	}
	
	//this.screen_on_load();
	screen.setscreenprotect(false); //화면잠금해제
	SYSUtil.setStatusMsg(strMsg);
	
}

// 행 추가 버튼 클릭 시
function addRow_on_click(objInst)
{
	var rowCnt = this.DS_USER_MNG_SD.addrow();	//추가된 행 번호
	
	this.grdUserMng.setcolumneditable(0, true);	//행 추가 시 사용자번호 입력 가능하게 세팅
}

// 행 삭제 버튼 클릭 시
function delRow_on_click(objInst)
{
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 행을 삭제하시겠습니까?", "userMngDelete");
}

// 그리드 값 변경 시 수행
function grdUserMng_on_itemvaluechanged(objInst, nRow, nColumn, strPrevItemText, strItemText)
{
	
	var operation = this.DS_USER_MNG_SD.getrowoperation(nRow);
	var userNoCol = this.DS_USER_MNG_SD.getdata(nRow, 0);
	
	var prevText = this.DS_USER_MNG_SD.getprevdata(nRow, 0);	//수정 전 사용자번호
	
	if(operation != XFD_ROWOP_INSERT && nColumn == 0 && prevText != strItemText){
		SYSUtil.loadMessageBox(screen, "알림", 1, "사용자번호는 변경할 수 없습니다.", "");
		this.grdUserMng.setitemtext(nRow, 0, prevText);	//변경 불가 메세지 출력 후 변경 전 데이터 세팅
		return;
	}
	
	// 변경된 데이터셋 복사
	//if((strPrevItemText != strItemText) && (operation == XFD_ROWOP_UPDATE)){
		//this.DS_USER_MNG_SD_C.copyinsertrow(-1, this.DS_USER_MNG_SD, nRow, true);
	//}
	
	// 성명 컬럼 한글만 입력 가능하게 설정
	if(nColumn == 4){
		
		var chkPoint = {
			alpha:		/[A-Z]/gi,
			numeric:	/[0-9]/g
		};
		
		var nRow = this.grdUserMng.getselectrow();		 //선택된 행 번호
		
		var str = this.grdUserMng.getitemtext(nRow, 4);	//입력된 값
			str = str.replace(chkPoint['alpha'], "");	  //영문입력불가
			str = str.replace(chkPoint['numeric'], "");	//숫자입력불가
		
		this.grdUserMng.setitemtext(nRow, 4, str);
	}
	
}

// 엔터키 정의
function userMng_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_USER_MNG_SM.setdatabyname(0, "userNo", this.edtUserNo.val());			//사용자번호
		this.DS_USER_MNG_SM.setdatabyname(0, "userNm", this.edtUserNm.val());			//사용자명
		this.DS_USER_MNG_SM.setdatabyname(0, "userDivCd", this.cboUserDivCd.val());	  //사용자구분코드
		this.DS_USER_MNG_SM.setdatabyname(0, "deptCd", this.cboDeptCd.val());			//부서코드
		
		this.ue_query();
	}
	
	return 0;
}

// 비밀번호 초기화 버튼
function pswdReset_on_click(objInst)
{
	var nRow = this.grdUserMng.getselectrow();	//그리드 내 선택된 행의 인덱스
	
	if(nRow < 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "비밀번호 초기화 대상자를 선택하세요.", "");
		return;
	}
	
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 사용자의 비밀번호를 초기화 하시겠습니까?", "userMngPwReset");
	
}