﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */

var fstrAttdDivsMan = true; // 근태 담당자 여부 (false 가 기본값이다 수정해야한다.)

var dateArray = ["sun", "mon", "tue", "wed", "thu", "fri", "sat"];
var colId = "";	//그리드에서 선택한 컬럼
var colId2 = "";	// 그리드에서 선택한 컬럼
//화면로드시 발생하는 이벤트
function screen_on_load()
{

	/* 권한 체크 */
	/* fn_Role_Level_Chk() */
	
	
	/*for(var i = 0; i<G_USER_ROLE.getrowcount; i++){
		var roleNo = this.G_USER_ROLE.getdatabyname(i, "roleNo");
		SYSUtil.
	}*/
	
	/* 공통 버튼 세팅 */
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);	//삭제
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);	//인쇄
	//SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);	//저장
	
	/* 공통 코드(체크박스) 세팅 */
	SYSTran.getComCode(this.screen, "H00371", this.DS_CD_H00371);	// 직종코드
	SYSTran.getComCode(this.screen, "H00530", this.DS_CD_H00530);	//근무성격일
	
	this.DS_CD_H00371.insertrow(0);
	this.DS_CD_H00371.setdatabyname(0, "cdDescNo", "");
	this.DS_CD_H00371.setdatabyname(0, "cdDescKorNm", "- 선택 -");
	
	/* 데이터셋 & 화면 초기화 */
	this.ue_init();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
/**************************************
 * 공통 인쇄 버튼 이벤트
 **************************************/
function ue_print()
{
    console.log("#### ue_print() call");
}

/**************************************
 * 공통 조회 버튼 이벤트
 **************************************/
function ue_query()
{
	console.log("#### ue_query() call");
	
	this.DS_WORK_CHAR_DD_LIST_READ_SD01.init();
	this.DS_WORK_CHAR_DD_LIST_READ_SD02.init();
	
	if(factory.stringtrim(this.DS_WORK_CHAR_DD_LIST_READ_SM.getdatabyname(0, "workYyMm")).length < 1){
		this.cal_workYyMm.setfocus();
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "기준년월을 입력하여 주세요.", "msg00");
		return false;
	}
	
	this.screen.setscreenprotect(true);	//화면 잠금
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCCCM05S01");
}
/**************************************
 * 공통 추가 버튼 이벤트
 **************************************/
function ue_insert()
{
    console.log("#### ue_insert() call");
}

/**************************************
 * 공통 저장 버튼 이벤트
 **************************************/
function ue_update()
{
	console.log("#### ue_update() call ####");
	
	if(this.DS_WORK_CHAR_DD_LIST_READ_SM.getdatabyname(0 , "workYyMm").length != 6){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "기준년월 입력 오류입니다.", "msg00");
		this.cal_workYyMm.setfocus(true);
		return false;	
	}
	if(this.DS_WORK_CHAR_DD_LIST_READ_SM.getdatabyname(0, "ocptCd") == ""){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "직종을 선택하여 주십시오.", "msg00");
		this.cbo_ocptCd.setfocus(true);
		return false;
	}
	
	this.screen.setscreenprotect(true);
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCCCM05I01");
}

/**************************************
 * 공통 삭제 버튼 이벤트
 **************************************/
function ue_delete()
{

}

/**************************************
 * 공통 초기화 버튼 이벤트
 **************************************/
function ue_init()
{
	console.log("#### ue_init() call ####"); 
	this.DS_WORK_CHAR_DD_LIST_READ_SM.init();
	this.DS_WORK_CHAR_DD_LIST_READ_SD01.init();
	this.DS_WORK_CHAR_DD_LIST_READ_SD02.init();
	
	this.DS_WORK_CHAR_DD_LIST_READ_SM.addrow();
	this.DS_WORK_CHAR_DD_LIST_READ_SM.setdatabyname(0, "workYyMm", factory.datetoday().substr(0, 6));	//기준년월 오늘 날짜로 세팅.
	this.DS_WORK_CHAR_DD_LIST_READ_SM.setdatabyname(0, "ocptCd", "");	//직종 체크박스 '- 선택 -' 으로 세팅
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */

function cal_workYyMm_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == "13"){	// 엔터키
		this.ue_query(); //조회 함수 호출
	}
	return 0;
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false); //화면잠금 해제
	
	if(result != 1){
		SYSUtil.setstatusMsg("데이터 송신중 에러가 발생하였습니다.");
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "데이터 송신중 에러가 발생하였습니다.", "msg00");
		return false;
	}
	
	if(mapid == "CBCCCM05S01"){ 	//ue_query()  
			console.log("#### CBCCCM05S01 complete ####");
			SYSUtil.setStatusMsg("조회가 완료되었습니다.");
			
			if(this.DS_WORK_CHAR_DD_LIST_READ_SD02.getrowcount() == 0) {	// 조회된 데이터가 없을때
				return;
			}
			
			for(var rowIdx = 0; rowIdx < this.DS_WORK_CHAR_DD_LIST_READ_SD02.getrowcount(); rowIdx++){
				for(var colIdx = 0; colIdx < 7 ; colIdx++){ // sun ~ sat
					var colName = this.DS_WORK_CHAR_DD_LIST_READ_SD02.getcolumnid(colIdx);
						
					var datasetValue = Number(factory.substringbyte( this.DS_WORK_CHAR_DD_LIST_READ_SD02.getdatabyname(rowIdx,colName), 6, 2));
					
					if(datasetValue == 0){
						this.DS_WORK_CHAR_DD_LIST_READ_SD02.setdatabyname(rowIdx, colName, "");
					}else{
						this.DS_WORK_CHAR_DD_LIST_READ_SD02.setdatabyname(rowIdx, colName, datasetValue);
					}
				}// 컬럼 for 문 종료
			}// 로우 for 문 종료
	}// mapid == "CBCCCM05S01" if 문 종료
	else if(mapid == "CBCCCM05I01"){
		console.log("#### CBCCCM05I01 complete ####");
		SYSUtil.setStatusMsg("저장이 완료되었습니다.");
		this.ue_query();
	}
}

/* 생성 버튼 클릭 이벤트 */
function btn_create_on_mouseup(objInst)
{
	console.log("#### btn_create_on_mouseup() call ####");
	
	var strYear = factory.substringbyte(this.cal_workYyMm.gettext(), 0, 4);	//기준년월의 년도만 추출
	
	if(factory.stringtrim(strYear).length != 4){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "기준년월 입력 오류입니다.", "msg00");
		return false;
	}
	
	var msg = "[ "+strYear+" ] 년의 근무성격일 정보를 새로 생성하시겠습니까?";
	var result = SYSUtil.loadMessageBox(this.screen, "안내", 2, msg, "insertConfirmMsg00");
	console.log("#@$#@$@$#@$#@");
}

/****************************
*   그리드 클릭 이벤트 함수   *
******************************/
function grd_0_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grd_0_on_itemclick() call ####");
	if(!fstrAttdDivsMan){
		return false; // 권한 없음.
	}
	
	if (this.DS_WORK_CHAR_DD_LIST_READ_SD02.getrowcount() == 0){
		return; //조회된 데이터 없음.
	}
	
	var param  = {
					"arg_attdDt" :this.cal_workYyMm.gettext() +this.DS_WORK_CHAR_DD_LIST_READ_SD02.getdatabyname(nClickRow, dateArray[nClickColumn]),
					"arg_ocptCd" : this.cbo_ocptCd.getselectedcode()
				};
	colId = "rd"+ (nClickColumn+1);
	colId2 = "rk"+(nClickColumn+1);
	var currow = this.DS_WORK_CHAR_DD_LIST_READ_SD02.getdatabyname(nClickRow, dateArray[nClickColumn]);
	
	console.log("=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=");
	console.log(param);
	console.log(colId);
	console.log(colId2);
	console.log("=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=");
	
	var popupTitle = "근무성격일관리";
	var popupPath = "/BIZ/C/BC/CC/CBCCCP05" //근무성격일관리
	if(factory.stringtrim(currow).length != 0){
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	}
}
/**	
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	console.log("##### popupCallback() call #### ");
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP05"){
			if(objExtdata.arg_flag == "S"){
				var selectedRow = this.DS_WORK_CHAR_DD_LIST_READ_SD02.getpos();
				this.DS_WORK_CHAR_DD_LIST_READ_SD02.setdatabyname(selectedRow, colId , objExtdata.arg_charDivCd);
				this.DS_WORK_CHAR_DD_LIST_READ_SD02.setdatabyname(selectedRow, colId2 , objExtdata.arg_rmrk);
			}
			
		}
	}else{
		
	}	
}
/**************************** 
*   팝업 화면(loadMessageBox) 종료시 호출됨   *
*****************************/
function screen_on_popupdestroy(popup_screen, popup_name, result)
{
	console.log("#### screen_on_popupdestory() call ###");
	
	/* 방문 내용/결과 데이터 삭제 */
	if(popup_name == "insertConfirmMsg00"){
		console.log("result");
		if(result == "확인"){
			this.ue_update();	//저장 함수 호출	
		}
		
	}
}