﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
function ue_init_menu(){
	console.log("#### ue_init_menu() call");
	console.log("####### 사용자 버튼 활성화 #####");
	
	GM.wf_SetUserEvent(screen, "샘플버튼0", 0);
	GM.wf_SetUserEvent(screen, "샘플버튼1", 1);
	GM.wf_SetUserEvent(screen, "샘플버튼2", 2);
	GM.wf_SetUserEvent(screen, "샘플버튼3", 3);
	GM.wf_SetUserEvent(screen, "샘플버튼4", 4);
	GM.wf_SetUserEvent(screen, "샘플버튼5", 5);
	GM.wf_SetUserEvent(screen, "샘플버튼6", 6);
	GM.wf_SetUserEvent(screen, "샘플버튼7", 7);
	GM.wf_SetUserEvent(screen, "샘플버튼8", 8);
	GM.wf_SetUserEvent(screen, "샘플버튼9", 9);
    GM.wf_EnablePrintMenu(screen);
 	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false) ;
}

// 메시지 박스에서 버튼 선택시 호출됨
function screen_on_messagebox(messagebox_id, result) {
	console.log("#### screen_on_messagebox() call");		
}
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.ue_init();
	}

/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	console.log("########## mapid >> "+mapd);
	console.log("########## result >> "+result);
	

}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");

	//필수조건 입력 체크
	if(factory.stringbytelen(this.DS_SMDO.getdatabyname(0, "inqDtFr")) == 0 
	|| factory.stringbytelen(this.DS_SMDO.getdatabyname(0, "inqDtTo")) == 0){
	
	   // 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
	   SYSUtil.loadMessageBox(screen, "알림", 1, "조회일자를 입력하세요", "message01");
			return;
	}
	//조회 항목
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCCIM02S01"); 

	if(reqSubmit!=true){
		screen_on_submitcomplete("CBCCIM02S01", 0, "", "", "오류");
		SYSUtil.loadMessageBox(screen,"알림",1,"오류가 발생했습니다");
	}
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");

	this.DS_SMDO.init();
	//default=오늘날짜
	this.DS_SMDO.addrow();
	this.DS_SMDO.setdatabyname(0, "inqDtFr", factory.datetoday());
	this.DS_SMDO.setdatabyname(0, "inqDtTo", factory.datetoday());
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */