﻿/* ##################################################
 * --------------------------------------------------
 * 전역 변수 영역
 * --------------------------------------------------
 * ################################################## */

// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

/* ##################################################
 * --------------------------------------------------
 * 화면 이벤트 영역
 * --------------------------------------------------
 * ################################################## */



/****************************************************************
 * ■ 화면 Onload 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("#### screen_on_load() call");
		
	// 공통버튼 활성화 여부
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);	// 공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "QUERY" , false);	// 공통 조회 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);	// 공통 저장 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 공통 삭제 버튼 숨김 처리

	console.log("SYSVar.loginUserInfo.USER_NO:'" + SYSVar.loginUserInfo.USER_NO + "'");
	
	// 법정동_시도명 조회
	this.fn_Srch_LDongCd01();
}

/* ##################################################
 * --------------------------------------------------
 * ■ 공통 버튼 영역 
 * --------------------------------------------------
 * ################################################## */

/****************************************************************
 * ■ 1.공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print(){ console.log("#### ue_print() call");
}
/****************************************************************
 * ■ 2.공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query(){ console.log("#### ue_query() call");
}
/****************************************************************
 * ■ 3.공통 추가 버튼 이벤트
 ****************************************************************/
function ue_insert(){ console.log("#### ue_update() call");
}
/****************************************************************
 * ■ 4.공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update(){ console.log("#### ue_update() call");
}
/****************************************************************
 * ■ 5.공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete(){ console.log("#### ue_delete() call");
}
/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init(){
	console.log("#### ue_init() call");

	// 전체 그리드 초기화
	this.nRowNo_grd_LDongCd01 = -1;
	this.nRowNo_grd_LDongCd02 = -1;
	this.nRowNo_grd_LDongCd03 = -1;
	this.nRowNo_grd_AptInfo   = -1;
	this.nRowNo_grd_PntpInfo  = -1;
	this.nRowNo_grd_MkprInfo  = -1;

	// 전체 dataset 초기화
	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_LDONG_CD_SD01.init();
	this.DS_KB_LDONG_CD_SD02.init();
	this.DS_KB_LDONG_CD_SD03.init();
	this.DS_KB_APT_INFO_SD.init();
	this.DS_KB_PNTP_INFO_SD.init();
	this.DS_KB_MKPR_INFO_SD.init();
	
	// 법정동_시도명 그리드 set
	this.fn_Srch_LDongCd01();
}

/* ##################################################
 * --------------------------------------------------
 * 사용자 정의함수(사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * --------------------------------------------------
 * ##################################################*/

/****************************************************************
 * ■ 셀변경 이벤트_법정동_시도 grid
 ****************************************************************/
function grd_LDongCd01_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_LDongCd01_on_itemselchange() call");
	
	this.nRowNo_grd_LDongCd01 = nCurSelectRow;
	this.nRowNo_grd_LDongCd02 = -1;
	
	// 법정동_시군구명 조회 이후 출력 그리드 & dataset 초기화
	this.DS_KB_LDONG_CD_SD03.init();	// 법정동_읍면동 ds
	this.DS_KB_APT_INFO_SD.init();	  // 아파트_정보 ds
	this.DS_KB_PNTP_INFO_SD.init();	 // 평형_정보 ds
	this.DS_KB_MKPR_INFO_SD.init();	 // 시세_정보 ds
	
	this.grd_LDongCd03.initialize();	// 법정동_읍면동 grid
	this.grd_AptInfo.initialize();	  // 아파드_정보 grid
	this.grd_PntpInfo.initialize();	 // 평형_정보 grid
	this.grd_MkprInfo.initialize();	 // 시세_정보 grid

	// 법정동_시군구명 조회
	this.fn_Srch_LDongCd02(this.nRowNo_grd_LDongCd01);
}

/****************************************************************
 * ■  셀변경 이벤트_법정동_시군구 grid
 ****************************************************************/
function grd_LDongCd02_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_LDongCd02_on_itemselchange() call");
	
	this.nRowNo_grd_LDongCd02 = nCurSelectRow;
	this.nRowNo_grd_LDongCd03 = -1;
	
	// 법정동_읍면동명 조회 이후 출력 그리드 & dataset 초기화
	this.DS_KB_APT_INFO_SD.init();	  // 아파트_정보 ds
	this.DS_KB_PNTP_INFO_SD.init();	 // 평형_정보 ds
	this.DS_KB_MKPR_INFO_SD.init();	 // 시세_정보 ds
	
	this.grd_AptInfo.initialize();	  // 아파드_정보 grid
	this.grd_PntpInfo.initialize();	 // 평형_정보 grid
	this.grd_MkprInfo.initialize();	 // 시세_정보 grid

	// 법정동_읍면동명 조회
	this.fn_Srch_LDongCd03(this.nRowNo_grd_LDongCd02);
	
}
/****************************************************************
 * ■ 셀변경 이벤트_법정동_읍면동 grid
 ****************************************************************/
function grd_LDongCd03_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_LDongCd03_on_itemselchange() call");
	
	this.nRowNo_grd_LDongCd03 = nCurSelectRow;
	this.nRowNo_grd_AptInfo = -1;

	// KB아파트정보 조회 이후 출력 그리드 & dataset 초기화
	this.DS_KB_PNTP_INFO_SD.init();	 // 평형_정보 ds
	this.DS_KB_MKPR_INFO_SD.init();	 // 시세_정보 ds
	
	this.grd_PntpInfo.initialize();	 // 평형_정보 grid
	this.grd_MkprInfo.initialize();	 // 시세_정보 grid

	// KB아파트정보 조회
	this.fn_Srch_AptInfo(this.nRowNo_grd_LDongCd03);
}

/****************************************************************
 * ■ 셀변경 이벤트_아파트정보 grid
 ****************************************************************/
function grd_AptInfo_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_AptInfo_on_itemselchange() call");

	this.nRowNo_grd_AptInfo = nCurSelectRow; 
	this.nRowNo_grd_PntpInfo = -1;		   

	// 추후 조회될 그리드 & dataset 초기화
	this.DS_KB_MKPR_INFO_SD.init();
	this.grd_MkprInfo.initialize();
	
	// KB평형정보 조회
	this.fn_Srch_PnptInfo(this.nRowNo_grd_AptInfo);
}

/****************************************************************
 * ■ 평형정보 그리드 셀변경 이벤트 grid
 ****************************************************************/
function grd_PntpInfo_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_PntpInfo_on_itemselchange() call");

	this.nRowNo_grd_PntpInfo = nCurSelectRow; 
	this.nRowNo_grd_MkprInfo = -1;		   

	// KB평형정보 조회
	this.fn_Srch_MkprInfo(this.nRowNo_grd_PntpInfo);
}

/****************************************************************
 * ■ 조회 이벤트_KB법정동 시도명
 ****************************************************************/
function fn_Srch_LDongCd01() {
	console.log("#### fn_Srch_LDongCd01() call");
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmit(screen, "CBCKBM01S01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// setStatusMsg 세팅
		SYSUtil.setStatusMsg("법정동_시도명 조회 완료");
	}
}

/****************************************************************
 * ■ 조회 이벤트_KB법정동 시군구명
 ****************************************************************/
function fn_Srch_LDongCd02(nGridRowNo) {
	console.log("#### fn_Srch_LDongCd02() call");
	
	// console.log("grd_LDongCd01_nGridRowNo : " + nGridRowNo);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if( nGridRowNo < 0 )
	{
		// console.log("nGridRowNo < 0");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if (this.grd_LDongCd01.getxdatasetrow(nGridRowNo) < 0) 
	{
		// console.log("getxdatasetrow < 0");
		return;
	}

	// 입력값 setting
	var sProvNm = this.DS_KB_LDONG_CD_SD01.getdatabyname(this.grd_LDongCd01.getxdatasetrow(nGridRowNo), "provNm"); // 시도명

	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "provNm", sProvNm, false);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCKBM01S02");
	
	if( reqSubmit == false )
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ■ 조회 이벤트_KB법정동_읍면동명
 ****************************************************************/
function fn_Srch_LDongCd03(nGridRowNo) 
{
	console.log("#### fn_Srch_LDongCd03() call");
	
	// console.log("grd_LDongCd02_nGridRowNo : " + nGridRowNo);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if( nGridRowNo < 0 )
	{
		// console.log("nGridRowNo < 0");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if ( this.grd_LDongCd02.getxdatasetrow(nGridRowNo) < 0 ) 
	{
		// console.log("getxdatasetrow < 0");
		return;
	}

	// 입력값 setting
	var sProvNm    = this.DS_KB_LDONG_CD_SD02.getdatabyname(this.grd_LDongCd02.getxdatasetrow(nGridRowNo), "provNm");	   // 시도명
	var sCigunguNm = this.DS_KB_LDONG_CD_SD02.getdatabyname(this.grd_LDongCd02.getxdatasetrow(nGridRowNo), "cigunguNm");	// 시군구명
		
	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "provNm",    sProvNm, false);
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "cigunguNm", sCigunguNm, false);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCKBM01S03");
	
	if( reqSubmit == false )
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ■ 조회 이벤트_KB아파트 정보 
 ****************************************************************/
function fn_Srch_AptInfo(nGridRowNo) 
{
	console.log("#### fn_Srch_AptInfo() call");
	
	// console.log("grd_LDongCd03_nGridRowNo : " + nGridRowNo);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if( nGridRowNo < 0 )
	{
		// console.log("nGridRowNo < 0");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if( this.grd_LDongCd03.getxdatasetrow(nGridRowNo) < 0 ) 
	{
		// console.log("getxdatasetrow < 0");
		return;
	}

	// 입력값 setting
	var sProvNm        = this.DS_KB_LDONG_CD_SD03.getdatabyname(this.grd_LDongCd03.getxdatasetrow(nGridRowNo), "provNm");		// 시도명
	var sCigunguNm     = this.DS_KB_LDONG_CD_SD03.getdatabyname(this.grd_LDongCd03.getxdatasetrow(nGridRowNo), "cigunguNm");	 // 시군구명
	var sEubmyundongNm = this.DS_KB_LDONG_CD_SD03.getdatabyname(this.grd_LDongCd03.getxdatasetrow(nGridRowNo), "eubmyundongNm"); // 읍면동명
		
	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "provNm"       , sProvNm       , false);
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "cigunguNm"    , sCigunguNm    , false);
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "eubmyundongNm", sEubmyundongNm, false);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCKBM01S04");
	
	if( reqSubmit == false ) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ■ 5.KB평형정보 조회 이벤트
 ****************************************************************/
function fn_Srch_PnptInfo(nGridRowNo) 
{
	console.log("#### fn_Srch_PnptInfo() call");
	
	// console.log("grd_AptInfo_nGridRowNo : " + nGridRowNo);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if( nGridRowNo < 0 ) 
	{
		// console.log("nGridRowNo < 0");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if(this.grd_AptInfo.getxdatasetrow(nGridRowNo) < 0)
	{
		// console.log("getxdatasetrow < 0");
		return;
	}

	// 입력값 setting
	var sEsttGodsCd = this.DS_KB_APT_INFO_SD.getdatabyname(this.grd_AptInfo.getxdatasetrow(nGridRowNo), "esttGodsCd");	// 부동산물건코드
			
	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "esttGodsCd", sEsttGodsCd, false);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCKBM01S05");
	
	if( reqSubmit == false )
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}
/****************************************************************
 * ■ 6.KB시세정보 조회 이벤트
 ****************************************************************/
function fn_Srch_MkprInfo(nGridRowNo) 
{
	console.log("#### fn_Srch_MkprInfo() call");
	
	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if( nGridRowNo < 0 )
	{
		// console.log("nGridRowNo < 0");
		return;
	}

	// 조회 가능한지 유효성 체크
	if( this.grd_PntpInfo.getxdatasetrow(nGridRowNo) < 0 )
	{
		// console.log("getxdatasetrow < 0");
		return;
	}

	// 입력값 setting
	var sEsttGodsCd = this.DS_KB_PNTP_INFO_SD.getdatabyname(this.grd_PntpInfo.getxdatasetrow(nGridRowNo), "esttGodsCd");	// 부동산물건코드
	var sPntpSeq    = this.DS_KB_PNTP_INFO_SD.getdatabyname(this.grd_PntpInfo.getxdatasetrow(nGridRowNo), "pntpSeq");	   // 평형seq

	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "esttGodsCd", sEsttGodsCd, false);
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "pntpSeq",    sPntpSeq,    false);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCKBM01S06");
	
	if( reqSubmit == false )
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ■ KB시세 업로드 파일 조회
 ****************************************************************/
function fn_SrchUploadFile() 
{
	console.log("#### fn_SrchUploadFile() call");
	
	// 화면잠금
	console.log("화면잠금");
	SYSUtil.setScreenLock(this.screen, true);

	// 조회 가능한지 유효성 체크
	if( this.edt_FileRegNo == "" )
	{
		console.log("edt_FileRegNo" + edt_FileRegNo);
		return;
	}
	
	// 입력값 setting 
	var sDocGrpDivCd = 'batch';
	var sFileRegNo   = this.edt_FileRegNo.gettext();
	
	console.log("sDocGrpDivCd" + sDocGrpDivCd);
	console.log("sFileRegNo" + sFileRegNo);
		
	this.DS_KB_FILE_REG_SM.init();
	this.DS_KB_FILE_REG_SM.addrow();
//	this.DS_KB_FILE_REG_SM.setdatabyname(this.DS_KB_FILE_REG_SM.getrowcount() - 1, "docGrpDivCd",   sDocGrpDivCd, false);
	this.DS_KB_FILE_REG_SM.setdatabyname(this.DS_KB_FILE_REG_SM.getrowcount() - 1, "fileRegNo",     sFileRegNo,   false);
	this.DS_KB_FILE_REG_SM.setdatabyname(this.DS_KB_FILE_REG_SM.getrowcount() - 1, "frstRegEmpNo",  SYSVar.loginUserInfo.USER_NO,   false);
	this.DS_KB_FILE_REG_SM.setdatabyname(this.DS_KB_FILE_REG_SM.getrowcount() - 1, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO,   false);

	console.log("조회용 데이터셋 확인!!");
	SYSUtil.showDataSetLog(this.DS_KB_FILE_REG_SM);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCKBM01I01");
	
	if( reqSubmit == false )
	{
		// 화면잠금해제
		SYSUtil.setScreenLock(this.screen, false);
		
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
	this.screen.setscreenprotect(false);
}



/****************************************************************
 * ■ KB시세정보 KB시세파일_upload 이벤트
 ****************************************************************/
function btn_upload_on_click(objInst)
{
	console.log("#### btn_upload_on_click() call");
	
	// 팝업 화면으로 전달할 데이터
	var param = {"PAGEGBN":"batch"};
	// 팝업 Title
	var popupTitle = "파일업로드";
	// 팝업 경로
    var popupPath = "/SYS/UTIL/fileuploader";

	// ******File 저장  Path : ..../DOBSCAP/batch/file/upload
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/****************************************************************
 * ■ KB시세정보 법정동정보_upload 팝업 종료 이후 이벤트
 ****************************************************************/
function popupCallback(objExtdata) 
{

	console.log("#### popupCallback() call");

	// 업로드 팝업 닫힌 후 전달한 내용 출력
	console.log("objExtdata :'" + objExtdata + "'");
	// 파일 저장완료 시, 저장된 파일 순번 return(미 저장 시 undefined)
	console.log("objExtdata.fileNo :'" + objExtdata.fileNo + "'");
	
	if( objExtdata.fileNo != undefined || objExtdata.fileNo != null )
	{
		// 파일 저장완료
		console.log("파일 저장완료");
		console.log("저장된 fileNo : '" + objExtdata.fileNo + "'");
		
		// 파일등록번호 저장
		this.edt_FileRegNo.settext(objExtdata.fileNo);
		
		// 저장된 파일 테이블 등록 여부 체크
        SYSUtil.loadMessageBox(this.screen, "알림", 2, "업로드된 KB법정동파일의 내역을 \n등록하시겠습니까?", "confirm");
	}
	else if ( objExtdata.fileNo == undefined )
	{
		// 파일업로드 미완료
		console.log("파일업로드 미완료");
		return;
	}
}


/****************************************************************
 * ■ 팝업 화면 종료시 호출됨
 ****************************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) 
{
	console.log("#### screen_on_popupdestroy() call");	
	
	if( popup_name == "confirm" )
	{
		if (result == "확인")
		{
			console.log("저장여부팝업에서 확인 클릭>>>>");
			
			// 화면잠금
			this.screen.setscreenprotect(true);
			
			// kb시세 DB저장
			this.fn_SrchUploadFile();
		}
		else
		{
			console.log("취소");
		}
	}
}

/****************************************************************
 * ■ submitcomplete 이벤트
 ****************************************************************/
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("#### screen_on_submitcomplete() call");
	console.log("mapid           : " + mapid);
	console.log("result          : " + result);
	console.log("recv_userheader : " + recv_userheader);
	console.log("recv_code       : " + recv_code);
	console.log("recv_msg        : " + recv_msg);

	if( mapid == "CBCKBM01S02" )
	{
		if( result > -1 )
		{
			if( result == 1 )
			{
			    SYSUtil.setStatusMsg(recv_msg + "법정동_시군구 총[" + this.DS_KB_LDONG_CD_SD02.getrowcount() + "]건 조회되었습니다.");	
			}
			else
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}	
	}
	else if( mapid == "CBCKBM01S03" )
	{
		if( result > -1 )
		{
			if( result == 1 )
			{
			    SYSUtil.setStatusMsg(recv_msg + "법정동_읍면동 총[" + this.DS_KB_LDONG_CD_SD03.getrowcount() + "]건 조회되었습니다.");	
			}
			else
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	else if( mapid == "CBCKBM01S04" )
	{
		if( result > -1 )
		{
			if( result == 1 )
			{
			    SYSUtil.setStatusMsg(recv_msg + "KB APT정보 총[" + this.DS_KB_APT_INFO_SD.getrowcount() + "]건 조회되었습니다.");	
			}
			else
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	else if( mapid == "CBCKBM01S05" )
	{
		if( result > -1 )
		{
			if( result == 1 )
			{
			    SYSUtil.setStatusMsg(recv_msg + "KB 아파트 평형정보 총[" + this.DS_KB_PNTP_INFO_SD.getrowcount() + "]건 조회되었습니다.");	
			}
			else
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "CBCKBM01S07" )
	{
		if( result > -1 )
		{
			if( result == 1 )
			{
				// 화면잠금해제
				SYSUtil.setScreenLock(this.screen, false);
				
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "KB시세등록이 완료되었습니다.", "errMsg01");
						
			}
			else
			{
				// 화면잠금해제
				SYSUtil.setScreenLock(this.screen, false);
				
//			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
//		        SYSUtil.setStatusMsg(recv_msg);

				SYSUtil.loadMessageBox(this.screen, "알림", 1, "에러발생", "errMsg01");

		    }
		}
	}
	else
	{
		if( result > -1 )
		{
			if( result == 1 )
			{
			    SYSUtil.setStatusMsg(recv_msg + "KB 아파트 시세정보 총[" + this.DS_KB_MKPR_INFO_SD.getrowcount() + "]건 조회되었습니다.");	

			}
			else
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
		        SYSUtil.setStatusMsg(recv_msg);
		    }
		}
	}
}
