﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");
	
	// 저장 버튼
	if(popup_name == "prgmRoleSave"){
		if (result == "확인"){
			var modifyCnt = this.DS_SD_PR.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
			var delRowCnt = this.DS_SD_D.getrowcount(); //삭제된 데이터셋 전체 행의 수
			var rowCnt = this.DS_SD_PR.getrowcount(); //데이터셋 전체 행의 수
			var i;
			
			if(rowCnt <= 0 && delRowCnt <= 0){	//전체 데이터가 1건 있는 상태에서 삭제할 경우에 대한 예외처리
				SYSUtil.loadMessageBox(screen, "알림", 1, "저장할 내역이 없습니다.", "");
				return;
			}
			
			// 추가한 행 데이터셋 복사
			if(modifyCnt != 0){
				for(i=0; i < rowCnt; i++){
					if(this.DS_SD_PR.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_SD_PR.getrowoperation(i) == XFD_ROWOP_UPDATE){
						this.DS_SD_C.copyinsertrow(-1, this.DS_SD_PR, i, true);
					}
				}
			}
			
			debugger;
			
			screen.setscreenprotect(true); //화면잠금
			
			SYSTran.requestSubmitSync(screen, "CSCROM03U01");
		}
	// 역할 추가
	}else if(popup_name == "prgmRoleInsert"){
		if (result == "확인"){
			
			//역할번호, 프로그램 번호 조합해서 새 행 추가
			var roleNoVal = this.edtRoleNo.gettext(); //this.DS_SD_R.getdatabyname(0, "roleNo");
			
			var nRow = this.grdPrgm.getselectrow();	//프로그램목록 그리드 내 선택된 행의 인덱스
			
			this.DS_SD_P.setdatabyname(nRow, "roleNo", roleNoVal);			//역할번호
			
			this.DS_SD_P.setdatabyname(nRow, "menuReadFg", '1');			//메뉴조회여부
			this.DS_SD_P.setdatabyname(nRow, "btnSelectUseFg", 'Y');		//조회사용권한유무
			this.DS_SD_P.setdatabyname(nRow, "btnInsertUseFg", 'Y');		//추가사용권한유무
			this.DS_SD_P.setdatabyname(nRow, "btnUpdateUseFg", 'Y');		//저장사용권한유무
			this.DS_SD_P.setdatabyname(nRow, "btnDeleteUseFg", 'Y');		//삭제사용권한유무

			this.DS_SD_P.setallrowoperation(XFD_ROWOP_INSERT);

			this.DS_SD_PR.copyinsertrow(-1, this.DS_SD_P, nRow, true);	//프로그램목록 복사
			
			
			var upProgNo = this.DS_SD_P.getdatabyname(nRow, "upPrgmNo");
			
			this.upPrgmNoAdd(upProgNo);
			
			var gridCnt = this.grdPrgmRole.getrowcount();
			var colCnt = this.grdPrgmRole.getcolumncount();
			
			for(var i=0;i<colCnt;i++){
				this.grdPrgmRole.setitembackcolor(gridCnt-1, i, this.grdPrgm.getitembackcolor(nRow, 1));  
			}
			
			//SYSUtil.showDataSetLog(this.DS_SD_PR);
		}
	// 역할 삭제
	}else if(popup_name == "prgmRoleDelete"){
		if (result == "확인"){
			var nRow = this.grdPrgmRole.getselectrow();	//그리드 내 선택된 행의 인덱스
			
			// 데이터셋 복사 후 그리드 행 삭제
			this.DS_SD_D.copyinsertrow(-1, this.DS_SD_PR, nRow, true);	//프로그램역할 목록 내 선택된 행
			this.DS_SD_D.setallrowoperation(XFD_ROWOP_DELETE);
		
			this.grdPrgmRole.deleterow(nRow);
			
			//this.grdPrgmRole.setbackcolor(255, 255, 255);
			
		}
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	SYSTran.getComCode(this.screen, "BSNZON", this.DS_CD_BSNZON, true);	//업무구분코드
	SYSTran.getComCode(this.screen, "R00121", this.DS_CD_R00121);		  //여부_10
	
	SYSTran.getDicByNo( this.screen, this.DS_DIC_GET_CT_ROLE);
	
	//공통버튼 제어
	SYSUtil.setCommonButtonVisible(this.screen, "QUERY", false) ;		//공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;		//공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;	   //공통 삭제 버튼 숨김 처리
	
	// chage event를 주기 위해 스크립트로 초기값 설정
	this.edtRoleNo.setselectedindex(1); 
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	
	console.log("#### ue_query() call");
	/*
	var check = this.preQuery("S");	//조회 전 체크
	
	if(check){
		this.DS_SM_PR.copyinsertrow(-1, this.DS_SD_R, 0, true);	//역할번호 복사
		SYSTran.requestSubmitSync(screen, "CSCROM03S02");
	}
	*/
	this.DS_SM_PR.init();
	this.DS_SM_PR.addrow();
	this.DS_SM_PR.setdatabyname(0, "roleNo", this.edtRoleNo.gettext());
	SYSTran.requestSubmitSync(screen, "CSCROM03S02");
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	var check = this.preSave();	// 저장 전 체크
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "저장하시겠습니까?", "prgmRoleSave");
	}
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM_R.deleteallrows();
	this.DS_SD_R.deleteallrows();
	this.DS_SM_P.deleteallrows();
	this.DS_SD_P.deleteallrows();
	this.DS_SM_PR.deleteallrows();
	this.DS_SD_PR.deleteallrows();
	this.DS_SD_C.deleteallrows();
	this.DS_SD_D.deleteallrows();
	
	this.DS_SM_R.addrow();
	this.cboBsnDivCd.setselectedindex(-1);	//업무구분 값 디폴트 : 빈칸
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜젝션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	if(mapid == "CSCROM03S01"){	//프로그램조회
		if(result <= 0 || recv_code != 0000){
			//strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(recv_msg);
			SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
			
			var rColor  = 0;
			var gColor  = 172;
			var bColor  = 173;
				
			for(var i=0;i<this.DS_SD_P.getrowcount();i++){
				var colorNum = this.DS_SD_P.getdatabyname(i, "prgmNo").substring(4,6) ;
				if( i > 0 ){
					var colorNumBefore =  this.DS_SD_P.getdatabyname((i-1), "prgmNo").substring(4,6) ;
					
					if(colorNum!=colorNumBefore){
						rColor = Math.floor(Math.random()*80);
						rColor = 255-rColor;
						
						gColor = Math.floor(Math.random()*80);
						gColor = 255-gColor;
						
						bColor = Math.floor(Math.random()*80);
						bColor = 255-bColor;
					}
				}
				this.grdPrgm.setitembackcolor(i, 0, factory.rgb(rColor, gColor, bColor ));  
				this.grdPrgm.setitembackcolor(i, 1, factory.rgb(rColor, gColor, bColor ));  
			}
		}
	}else if(mapid == "CSCROM03S03"){	//역할조회
		if(result <= 0 || recv_code != 0000){
			SYSUtil.setStatusMsg(recv_msg);
			SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "");
			this.DS_SD_R.init();
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
		}
	}else if(mapid == "CSCROM03U01"){	//입력, 수정, 삭제
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="저장이 완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
		this.cboBsnDivCd.setselectedindex(-1);	//업무구분 값 디폴트 : 빈칸
	}
	
	screen.setscreenprotect(false); //화면잠금해제
	SYSUtil.setStatusMsg(strMsg);
	
}

// 행 추가 버튼 클릭 시
function addRow_on_click(objInst)
{
	var check = this.preTran("I");
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 프로그램을 추가하시겠습니까?", "prgmRoleInsert");
	}
}

// 행 삭제 버튼 클릭 시
function delRow_on_click(objInst)
{
	var check = this.preTran("D");
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 프로그램을 제외하시겠습니까?", "prgmRoleDelete");
	}
}

// 조회 전 체크
function preQuery(operation){
	var roleNoVal = this.edtRoleNo.val();	//역할번호
	var roleNmVal = this.edtRoleNm.val();	//역할명
	
	//역할번호 체크
	if(factory.stringbytelen(factory.stringtrim(roleNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "역할번호를 입력하세요.", "");
		return false;
	}
	
	//공통 조회 시에만 체크
	if(operation == "S"){
		//역할번호 검색여부 체크
		if(factory.stringbytelen(factory.stringtrim(roleNmVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "역할번호를 먼저 검색하세요.", "");
			return false;
		}
	}
	
	return true;
}

// 등록, 삭제 전 체크
function preTran(operation){
	var nRow = this.grdPrgm.getselectrow();	//프로그램목록 그리드 내 선택된 행의 인덱스
	var prgmNoVal = this.DS_SD_P.getdatabyname(nRow, "prgmNo");
	var prgmYnVal = this.DS_SD_PR.findrowbyname(0, "prgmNo:=:\"*"+prgmNoVal+"*\":1:&");
	var roleNmVal = this.edtRoleNm.val();	//역할명
	
	var msg = "";
	
	//등록 시에만 체크
	if(operation == "I"){
		msg = "추가할";
		
		//기등록한 프로그램 체크
		if(prgmYnVal != -1){
			SYSUtil.loadMessageBox(screen, "알림", 1, "동일한 프로그램을 추가할 수 없습니다.", "");
			return false;
		}
		
		//역할번호 검색여부 체크
		if(factory.stringbytelen(factory.stringtrim(roleNmVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "역할번호를 먼저 검색하세요.", "");
			return false;
		}
	}else{
		msg = "제외할";
		nRow = this.grdPrgmRole.getselectrow();	//그리드 내 선택된 행의 인덱스
	}
	
	//행 선택 체크
	if(nRow == -1){
		SYSUtil.loadMessageBox(screen, "알림", 1, msg + " 프로그램을 선택해주세요.", "");
		return false;
	}
	
	return true;
}

// 저장 전 체크
function preSave(){
	var rowCnt = this.DS_SD_PR.getrowcount();
	
	for(i=0; i < rowCnt; i++){
		var menuReadFgVal = this.DS_SD_PR.getdatabyname(i, "menuReadFg");
		if(factory.stringbytelen(factory.stringtrim(menuReadFgVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "메뉴조회여부를 선택해주세요.", "");
			return false;
		}
	}
	
	return true;
}

// 엔터키 정의
function prgmRoleMng_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM_R.setdatabyname(0, "roleNo", this.edtRoleNo.val());			//역할번호
		
		this.edtRoleNo_on_click("", true);
	}
	
	return 0;
}

// 역할번호 검색 이벤트
function edtRoleNo_on_click(objInst, buttonclick)
{
	if(buttonclick) {
		var check = this.preQuery("Q");
			if(check){
				this.DS_SM_R.setdatabyname(0, "cond", "cd");			//조회조건
				SYSTran.requestSubmitSync(screen, "CSCROM03S03");
			}
	}
}

// 업무구분 콤보박스 변경 시
function cboBsnDivCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	// 기본 아이템 변경 시 event_type : 1, 초기화 시 event_type : 3으로 세팅됨
	if(event_type == 1){
		SYSTran.requestSubmitSync(screen, "CSCROM03S01");
	}
}

function edtRoleNo_on_itemchange(objInst, nprev_item, ncur_item, event_type) {
	var roleNm = this.DS_DIC_GET_CT_ROLE.getdatabyname(ncur_item, "roleNm");
	var roleDesc = this.DS_DIC_GET_CT_ROLE.getdatabyname(ncur_item, "roleDesc");

	this.edtRoleNm.settext(roleNm);
	this.edtRoleDesc.settext(roleDesc);
	
	this.ue_query();
}

function upPrgmNoAdd(upPrgmNo){
	

	var cnt = this.DS_SD_PR.getrowcount();
	var upPrgmNoLevl = this.getUpPrgmLevl(upPrgmNo);
	var existGbn = false;
	var upMenuLv = 0;
	var topLvPrgnNo = "";
	
	existGbn = this.getUpPrgmNoExistGbn(upPrgmNo);
	
	var addPrgnNo = [];
	
	/* 여기 수정 해야 함....
	var topPrgmNo="";
	while(!existGbn){
		addPrgnNo[0] = upPrgmNo;
		topPrgmNo = this.getUpPrgmNo(upPrgmNo);
		while(upMenuLv != 1 ){
			
			
			if(upMenuLv==1){
				return;
			}
		}
	}
	*/
}


//상위 프로그램 번호 존재유무
function getUpPrgmNoExistGbn(upPrgmNo){
	var cnt = this.DS_SD_PR.getrowcount();
	for(var i=0;i<cnt;i++){
		var prgmNo = this.DS_SD_PR.getdatabyname(i, "prgmNo");
		if(prgmNo==upPrgmNo){
			return true;
		}
	}
	return false;
}

//상위 프로그램 번호 
function getUpPrgmNo(upPrgmNo){
	var cnt = this.DS_SD_P.getrowcount();
	for(var i=0;i<cnt;i++){
		var prgmNo = this.DS_SD_P.getdatabyname(i, "prgmNo");
		if(prgmNo==upPrgmNo){
			var returnNo = this.DS_SD_P.getdatabyname(i, "upPrgmNo")
			console.log(" returnNo : "+returnNo);
			return returnNo;
		}
	}
}

//상위 프로그램 LV 
function getUpPrgmLevl(upPrgmNo){
	var cnt = this.DS_SD_PR.getrowcount();
	for(var i=0;i<cnt;i++){
		var prgmNo = this.DS_SD_PR.getdatabyname(i, "prgmNo");
		if(prgmNo==upPrgmNo){
			return this.DS_SD_PR.getdatabyname(i, "menuLevl");
		}
	}
}