﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var tempLoanNo  = "";
var tempLoanSeq = "";
var arg_AutoSearch = "";
var arg_AcntNo = "";
var arg_bankCd = "";
var arg_custNm = "";
var arg_telNo2 = "";
var arg_telNo3 = "";
var fstrCurrentDt = "";
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	

}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	
	fstrCurrentDt = factory.datetoday();	
	
	// 버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;
	
	// 입력 데이터셋 초기화
	this.DS_SEARCH.deleteallrows();
	this.DS_SEARCH.addrow();
	
	// 콤보박스 데이터 세팅
	SYSTran.getComCode(this.screen,"R00007",this.DS_CD_R00007,true);
	SYSTran.getComCode(this.screen,"S00057",this.DS_CD_S00057,true);
	SYSTran.getComCode(this.screen,"S00050",this.DS_CD_S00050,true);
	SYSTran.getComCode(this.screen,"R00057",this.DS_CD_R00057,true);
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_BANK);
	
	if(this.EXTRA_DATA != null){
		var param = this.EXTRA_DATA;
	}
	if(param != null){
		this.Edit_loanNo.settext(param.arg_loanNo);
		this.Edit_loanSeq.settext(param.arg_loanSeq);
		arg_AutoSearch = param.arg_AutoSearch;
		arg_AcntNo = param.arg_AcntNo;
		arg_custNm = param.arg_custNm;
		arg_telNo2 = param.arg_telNo2;
		arg_telNo3 = param.arg_telNo3;
		arg_bankCd = param.arg_bankCd;
	}
	
	// 콤보박스 (-선택-) 세팅
	this.Combo_AcntApplDivCd.setselectedindex(0);  // 신청구분
	this.combo_RegRsn.setselectedindex(0);		 // 등록사유
	this.Combo_Depo_Rel_CD.setselectedindex(0);	// 관계
	// 대출번호 포커스
	this.Edit_loanNo.setfocus();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	
	tempLoanNo = "";
	tempLoanSeq = "";
	
	this.DS_SM.deleteallrows();			
	this.DS_APRV_REGISTER.deleteallrows();
	this.DS_SD.deleteallrows();		
	this.DS_BND.deleteallrows();

	if(this.Edit_loanNo.gettext().length != 11) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호를 확인하세요!", "msg07");
		this.Edit_loanNo.setfocus();
		return;		
	}
	
	var bRet = SYSTran.requestSubmitAsync(screen, "RATMNM01S01");	
   
	if(bRet == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    }else{
		tempLoanNo  = this.Edit_loanNo.gettext();
		tempLoanSeq = this.Edit_loanSeq.gettext();
    }  
	
		
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	
	if(!this.fn_Acnt_Check(6)){
		return false;
	}		
		
	var bRet = SYSTran.requestSubmitAsync(screen, "RATMNM01D01");	
   
	if(bRet == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    }
	
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	// 데이터셋 초기화
	this.DS_SEARCH.deleteallrows();
	this.DS_SEARCH.addrow();
	this.DS_SD.deleteallrows();
	this.DS_SM.deleteallrows();
	this.DS_APRV_REGISTER.deleteallrows();
	this.DS_BND.deleteallrows();
	this.appl_Desc_Enable();
	this.Edit_loanNo.setfocus();
	
	// 전역변수 초기화
	tempLoanNo  = "";
	tempLoanSeq = "";	
	arg_AutoSearch = "";
	arg_AcntNo = "";
	arg_bankCd = "";
	arg_custNm = "";
	arg_telNo2 = "";
	arg_telNo3 = "";
	fstrCurrentDt = "";
	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */


function ImageFind_on_click(objInst)
{
	this.ue_query();
}

// 통합검색 버튼 클릭시
function Image_Search_cust_on_click(objInst)
{
	// 업무화면으로 전달할 데이터 
	var param = {"GUBUN":"SELECT", "loanNo":this.Edit_loanNo.gettext(), "loanSeq":this.Edit_loanSeq.gettext()}; 
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.Edit_loanNo.settext(objExtdata.loanNo);
			this.Edit_loanSeq.settext(objExtdata.loanSeq);	
		}
	}else{
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.Edit_loanNo.settext("");
			this.Edit_loanSeq.settext("");				
		}
	}	
}

// 계좌검색 클릭 이벤트
function Image_custAccSrch_on_click(objInst)
{
	// 신청구분 콤보박스가 선택안됬을시
	if(this.Combo_AcntApplDivCd.getselectedindex() < 1){
		return;
	}
	
	if(SYSUtil.Trim(this.DS_SEARCH.getdatabyname(0,"loanNo")).length == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "신규등록 시 대출번호를 먼저 입력해 주시기 바랍니다.", "msg07");
		this.Edit_loanNo.setfocus();
		return;
	}
	
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "custNm":this.Edit_CustNm.gettext(), "custNo":this.Edit_contManNo.gettext(),"custTpCd":this.Edit_custTpCd.gettext()};
	// 팝업 Title
	var popupTitle = "거래처 계좌관리";
	//팝업 경로
	var popupPath = "/BIZ/S/SP/AS/SSPASP07";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	
}

/* 팝업 콜백함수 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
	
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.Edit_loanNo.settext(objExtdata.loanNo);
			this.Edit_loanSeq.settext(objExtdata.loanSeq);	
		}
		// 거래처 계좌관리 팝업
		else if(objExtdata.popId == "SSPASP07"){	
			
			// 데이터가 있을시
			if(objExtdata.bankCd != ""){
				// 데이터셋 초기화 및 세팅
				this.DS_APRV_REGISTER.deleteallrows();
				this.DS_APRV_REGISTER.addrow();
				
				this.Edit_contManNo.settext(objExtdata.custNo);                                     /* 고객번호 */
				this.DS_APRV_REGISTER.setdatabyname(0, "bankCd", objExtdata.bankCd);                /* 은행코드 */
				this.DS_APRV_REGISTER.setdatabyname(0, "acntNo", objExtdata.acntNo);				/* 계좌번호 */
				this.DS_APRV_REGISTER.setdatabyname(0, "depoOwnNo", objExtdata.depoOwnNo);		  /* 예금주번호 */
				this.DS_APRV_REGISTER.setdatabyname(0, "depoOwnnm", objExtdata.depoOwnnm);		  /* 예금주명 */
				this.DS_APRV_REGISTER.setdatabyname(0, "depoOwnRelCd", objExtdata.depoOwnRelCd);	/* 예금주관계 */	
			}else{
				this.Combo_BankCd.setselectedindex(1);
				this.Edit_acntNo.settext(""); 
				this.Edit_DepoOwnNo.settext(""); 
				this.Edit_DepoOwnNm.settext("");	 
			}	
		} 
	}		
}

function fn_Acnt_Check(sFlag){
	
	// 등록
	if(sFlag == 1){
		console.log("등록");
		var acntStatCd = this.DS_SD.getdatabyname(0,"acntStatCd");
		var acntRsltCd = this.DS_SD.getdatabyname(0,"acntCnfmRsltCd");

		if(acntStatCd == "01" || acntStatCd == "04"){
			SYSUtil.loadMessageBox(screen, "알림", 1, "계좌 확인중에는 신규 등록이 불가합니다.(계좌확인 취소 후 가능합니다.)", "msg07");
			return false;
		}		
	}
	// 계좌확인
	else if(sFlag== 2){
		console.log("계좌확인");
		var acntStatCd = this.DS_APRV_REGISTER.getdatabyname(0,"acntStatCd");
		var acntRsltCd = this.DS_APRV_REGISTER.getdatabyname(0,"acntCnfmRsltCd");
		
		if(acntStatCd != "00"){
			SYSUtil.loadMessageBox(screen, "알림", 1, "신규신청에서 등록가능합니다.", "msg07");				
			return false;
		}
	}
	// 결과요청
	else if(sFlag == 3){
		console.log("결과요청");
		var acntStatCd = this.DS_SD.getdatabyname(0,"acntStatCd");
		var acntRsltCd = this.DS_SD.getdatabyname(0,"acntCnfmRsltCd");
		
		if(acntStatCd != "01"){
			SYSUtil.loadMessageBox(screen, "알림", 1, "계좌확인중에서만 결과요청이 가능합니다.", "msg07");				
			return false;
		}		
	}
	// 확인취소
	else if(sFlag == 4){
		console.log("확인취소");
		var acntStatCd = this.DS_SD.getdatabyname(0,"acntStatCd");
		var acntRsltCd = this.DS_SD.getdatabyname(0,"acntCnfmRsltCd");
		
		if(acntStatCd != "01" && acntStatCd != "04"){
			SYSUtil.loadMessageBox(screen, "알림", 1, "[계좌확인중,계좌확인오류]에서만 확인취소 가능합니다.", "msg07");				
			return false;
		}
	}
	// 강제등록
	else if(sFlag == 5){
		             			
		var acntStatCd = this.DS_APRV_REGISTER.getdatabyname(0,"acntStatCd");
		var acntRsltCd = this.DS_APRV_REGISTER.getdatabyname(0,"acntCnfmRsltCd");	
		
		if(acntStatCd != "04" || acntRsltCd != "9001") {
			
			SYSUtil.loadMessageBox(screen, "알림", 1, "계좌오류(예금주오류)에서만 강제등록 가능합니다.", "msg07");			
			return false;
		}
	}
	else if(sFlag == 6){
		var acntStatCd = this.DS_SD.getdatabyname(0, "acntStatCd");
		var acntRsltCd = this.DS_SD.getdatabyname(0, "acntCnfmRsltCd");
		
		if(acntStatCd.substr(0,1) != "1" && acntStatCd.substr(0,1) != "2"){
			SYSUtil.loadMessageBox(screen, "알림", 1, "해지(삭제)할수 없는 상태입니다.", "msg07");
			return false;					
		}
		
		if(this.DS_APRV_REGISTER.getdatabyname(0,"acntSnum") == this.DS_SD.getdatabyname(0,"acntSnum")){
			if(SYSUtil.Trim(this.DS_APRV_REGISTER.getdatabyname(0,"acntClosRsnCd")).length == 0){
				SYSUtil.loadMessageBox(screen, "알림", 1, "해지사유를 입력하세요.", "msg07");							
				return false;
			}
		}
		else{		
			SYSUtil.loadMessageBox(screen, "알림", 1, "최종 계좌내역 선택 후 해지사유를 입력하세요.", "msg07");							
			return false;
		}
	}
	return true;
}

/* --------------------------------------------------
 * 신규등록 클릭 이벤트
 * -------------------------------------------------- */

function Image_Add_on_click(objInst)
{
	
	if(!this.fn_Acnt_Check(1)){
		return;
	}
	
	if(!this.fn_Condition_Check()){
		return;
	}
	
	if(this.DS_SM.getdatabyname(0,"loanStatCd") > "30"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "종료채권에 대해서는 계좌등록을 할 수 없습니다.", "msg07");							
		return;
	}
	
	this.DS_APRV_REGISTER.deleteallrows();
	this.DS_APRV_REGISTER.addrow();
	
	this.DS_APRV_REGISTER.setdatabyname(0,"loanNo",this.DS_SEARCH.getdatabyname(0,"loanNo"));
	this.DS_APRV_REGISTER.setdatabyname(0,"loanSeq",this.DS_SEARCH.getdatabyname(0,"loanSeq"));
	this.DS_APRV_REGISTER.setdatabyname(0,"lastProcEmpNo",this.DS_SEARCH.getdatabyname(0,"loanNo"));
	this.DS_APRV_REGISTER.setdatabyname(0,"acntStatCd","00");
	
	this.Static11.settext("신청사유");
	this.Combo_AcntApplDivCd.setselectedcode(1);
	
	this.appl_Desc_Enable();
	this.Combo_AcntApplDivCd.setenable(false);
	
	this.Combo_BankCd.setfocus();
}

function fn_Condition_Check()
{
	
	if(tempLoanNo.length != 11){		
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호에 대해 조회 후 가능합니다.", "msg07");							
		this.Edit_loanNo.setfocus();
		return false;
	}
	
	if(tempLoanNo != this.Edit_loanNo.gettext() || tempLoanSeq != this.Edit_loanSeq.gettext()){
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회시 대출번호("+tempLoanNo+"-"+tempLoanSeq+")와 일치하지 않습니다.", "msg07");							
		this.Edit_loanNo.setfocus();
		return false;
	}
	return true;
	
}

function Grid_SD_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("GRID_SD_ON_ITEMCLICK IN ");
	// 데이터셋 초기화
	this.DS_APRV_REGISTER.deleteallrows();
	this.DS_APRV_REGISTER.addrow();
	
	this.DS_APRV_REGISTER.setdatabyname(0, "loanNo",        this.DS_SEARCH.getdatabyname(0,"loanNo"));
	this.DS_APRV_REGISTER.setdatabyname(0, "loanSeq",       this.DS_SEARCH.getdatabyname(0,"loanSeq"));
	this.DS_APRV_REGISTER.setdatabyname(0, "acntSnum",      this.DS_SD.getdatabyname(nClickRow,"acntSnum"));
	this.DS_APRV_REGISTER.setdatabyname(0, "acntApplDivCd", this.DS_SD.getdatabyname(nClickRow,"acntApplDivCd"));
	this.DS_APRV_REGISTER.setdatabyname(0, "bankCd",        this.DS_SD.getdatabyname(nClickRow,"bankCd"));
	this.DS_APRV_REGISTER.setdatabyname(0, "acntNo",        this.DS_SD.getdatabyname(nClickRow,"acntNo"));
	this.DS_APRV_REGISTER.setdatabyname(0, "depoOwnRelCd",  this.DS_SD.getdatabyname(nClickRow,"depoOwnRelCd"));
	this.DS_APRV_REGISTER.setdatabyname(0, "depoOwnNo",     this.DS_SD.getdatabyname(nClickRow,"depoOwnNo"));
	this.DS_APRV_REGISTER.setdatabyname(0, "depoOwnnm",     this.DS_SD.getdatabyname(nClickRow,"depoOwnnm"));
	
	var telNo;
	if(this.DS_SD.getdatabyname(nClickRow,"applManTel1") != "" && this.DS_SD.getdatabyname(nClickRow,"applManTel2") != "" && this.DS_SD.getdatabyname(nClickRow,"applManTel1") != ""){
		telNo = this.DS_SD.getdatabyname(nClickRow,"applManTel1")+"-"+ this.DS_SD.getdatabyname(nClickRow,"applManTel2")+"-"+this.DS_SD.getdatabyname(nClickRow,"applManTel3");
	}else{
		telNo = this.DS_SD.getdatabyname(nClickRow,"applManTel1")+ this.DS_SD.getdatabyname(nClickRow,"applManTel2")+this.DS_SD.getdatabyname(nClickRow,"applManTel3");
	}
	
	this.DS_APRV_REGISTER.setdatabyname(0, "applManTel",    telNo);
	
	this.DS_APRV_REGISTER.setdatabyname(0, "applManTel1",   this.DS_SD.getdatabyname(nClickRow,"applManTel1"));
	this.DS_APRV_REGISTER.setdatabyname(0, "applManTel2",   this.DS_SD.getdatabyname(nClickRow,"applManTel2"));
	this.DS_APRV_REGISTER.setdatabyname(0, "applManTel3",   this.DS_SD.getdatabyname(nClickRow,"applManTel3"));
	var strTmpDt = this.DS_SD.getdatabyname(nClickRow,"acntAplyDt");
	this.DS_APRV_REGISTER.setdatabyname(0, "acntAplyDt",    strTmpDt.replace("-",""));
	this.DS_APRV_REGISTER.setdatabyname(0, "acntClosRsnCd", this.DS_SD.getdatabyname(nClickRow,"acntClosRsnCd"));
	this.Static11.settext("해지사유"); 
	this.DS_APRV_REGISTER.setdatabyname(0, "acntStatCd",    this.DS_SD.getdatabyname(nClickRow,"acntStatCd"));
	this.DS_APRV_REGISTER.setdatabyname(0, "acntStatNm",    this.DS_SD.getdatabyname(nClickRow,"acntStatNm"));
	this.DS_APRV_REGISTER.setdatabyname(0, "cnfmDepoOwnnm", this.DS_SD.getdatabyname(nClickRow,"cnfmDepoOwnnm"));
	this.DS_APRV_REGISTER.setdatabyname(0, "acntCnfmRsltCd",this.DS_SD.getdatabyname(nClickRow,"acntCnfmRsltCd"));
	this.DS_APRV_REGISTER.setdatabyname(0, "acntCnfmRsltNm",this.DS_SD.getdatabyname(nClickRow,"acntCnfmRsltNm"));
	this.DS_APRV_REGISTER.setdatabyname(0, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO);
	this.DS_APRV_REGISTER.setdatabyname(0, "sendDt",        this.DS_SD.getdatabyname(nClickRow,"sendDt"));
	this.DS_APRV_REGISTER.setdatabyname(0, "sendSnum",      this.DS_SD.getdatabyname(nClickRow,"sendSnum"));
	
	this.appl_Desc_Disable();
	
	strTmpDt = this.DS_APRV_REGISTER.getdatabyname(nClickRow,"acntAplyDt");
	
	// 신청인 전화번호 활성화
	if (nClickRow == 0 && (this.DS_APRV_REGISTER.getdatabyname(nClickRow,"acntStatCd").substr(0,1) == '0'
	 || this.DS_APRV_REGISTER.getdatabyname(nClickRow,"acntStatCd").substr(0,1) == '1') && strTmpDt.replace("-","") == fstrCurrentDt) {	//계좌확인
		this.Edit_ApplManTel.setenable(true);	
	} 
	// 신청인 전화번호 활성화
	if (this.DS_APRV_REGISTER.getdatabyname(0,"acntStatCd").substr(0,1) == '1'
	    || this.DS_APRV_REGISTER.getdatabyname(0,"acntStatCd").substr(0,1) == '2') {
		this.combo_RegRsn.setenable(true);	
	}
}

function appl_Desc_Disable()
{
	this.Combo_AcntApplDivCd.setenable(false);
	this.Combo_BankCd.setenable(false);
	this.Edit_acntNo.setenable(false);
	this.Combo_Depo_Rel_CD.setenable(false);
	this.Edit_DepoOwnNo.setenable(false);
	this.Edit_DepoOwnNm.setenable(false);
	this.Edit_DepoOwnNm.setenable(false);
	this.Edit_ApplManTel.setenable(false);
	this.combo_RegRsn.setenable(false);
	this.Image_custAccSrch.setenable(false);	
}

function appl_Desc_Enable()
{
	this.Combo_AcntApplDivCd.setenable(true);
	this.Combo_BankCd.setenable(true);
	this.Edit_acntNo.setenable(true);
	this.Combo_Depo_Rel_CD.setenable(true);
	this.Edit_DepoOwnNo.setenable(true);
	this.Edit_DepoOwnNm.setenable(true);
	this.Edit_DepoOwnNm.setenable(true);
	this.Edit_ApplManTel.setenable(true);
	this.combo_RegRsn.setenable(true);
	this.Image_custAccSrch.setenable(true);
}

// 거래후 콜백처리 이벤트
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("mapid : " + mapid);
	console.log("result : " + result);
	console.log("recv_code : " + recv_code);
	console.log("recv_msg : " + recv_msg);
	
	// 조회 & 정상
	if(mapid == "RATMNM01S01" && recv_code == "0000"){
		this.Grid_SD_on_itemclick(this.Grid_SD,0,0,0,0,"");
		var tel1 = this.DS_SD.getdatabyname(0,"applManTel1");
		var tel2 = this.DS_SD.getdatabyname(0,"applManTel2");
		var tel3 = this.DS_SD.getdatabyname(0,"applManTel3");
		
		this.DS_APRV_REGISTER.addrow();
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel", tel1+"-"+tel2+"-"+tel3);
		
		if(this.DS_SD.getrowcount() == 0){
			if(arg_AutoSearch == "Y"){
				var bankCd = "";
				if(arg_bankCd.toString().length == 1){
					bankCd = "00" + arg_bankCd.toString();
				}else if(arg_bankCd.toString().length == 2){
					bankCd = "0" + arg_bankCd.toString();
				}else{
					bankCd = arg_bankCd.toString();
				}				
				
				this.Image_Add_on_click(this.screen);
				
				this.DS_APRV_REGISTER.setdatabyname(0,"bankCd",bankCd);			/* 은행명 */
				this.DS_APRV_REGISTER.setdatabyname(0,"acntNo",bankCd);			/* 계좌번호 */
				this.DS_APRV_REGISTER.setdatabyname(0,"acntClosRsnCd","01");	   /* 등록사유 */
				this.DS_APRV_REGISTER.setdatabyname(0,"depoOwnRelCd","01");		/* 관계 */
				
				var resiNo = "";
				if(arg_resiNo.length == 13){
					resiNo = arg_resiNo.substr(0,6);
				}else{
					resiNo = arg_resiNo;
				}
				this.DS_APRV_REGISTER.setdatabyname(0,"depoOwnNo", resiNo);
				this.DS_APRV_REGISTER.setdatabyname(0,"depoOwnnm", arg_custNm);
				this.DS_APRV_REGISTER.setdatabyname(0,"applManTel1", "010");
				this.DS_APRV_REGISTER.setdatabyname(0,"applManTel2", arg_telNo2);
				this.DS_APRV_REGISTER.setdatabyname(0,"applManTel3", arg_telNo3);	
			
			}
		}
	}	
	else if(mapid == "RATMNM01I02" && recv_code == "0000"){
		
		SYSUtil.loadMessageBox(screen, "알림", 1, "처리 완료되었습니다.(계좌상태를 확인하세요!)", "msg07");							
		
		if(SYSUtil.Trim(this.Edit_loanNo.gettext()).length == 11){
			
			this.ue_query();
			
		}
			
	}
	// 강제등록 후 콜백
	else if(mapid == "RATMNM01I01"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "처리 완료되었습니다.(계좌상태를 확인하세요!)", "msg07");							
		
		if(SYSUtil.Trim(this.Edit_loanNo.gettext()).length == 11){
			
			this.ue_query();
			
		}
	}
	
	// 삭제 후 콜백
	else if(mapid == "RATMNM01D01"){
		// 대출번호 존재시 초기조회
		if(SYSUtil.Trim(this.Edit_loanNo.gettext()).length == 11){
			
			this.ue_query();
			
		}
	}
	// 확인취소 콜백
	else if(mapid == "RATMNM01U01" ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "처리 완료되었습니다.(계좌상태를 확인하세요!)", "msg07");		
		
		if(SYSUtil.Trim(this.Edit_loanNo.gettext()).length == 11){
			this.ue_query();
		}	
		this.Grid_SD_on_itemclick(this.Grid_SD,0,0,0,0,"");
	}
}

/* --------------------------------------------------
 * 저장
 * -------------------------------------------------- */
function Image_Reg_on_click(objInst)
{
	// 신청구분이 선택 안됬을 경우 리턴
	if(this.Combo_AcntApplDivCd.getselectedindex() == 0){
		return;
	}
	
	// 본인이 아닐경우
	if(this.DS_APRV_REGISTER.getdatabyname(0,"depoOwnRelCd") != "01"){
		var bContinue = SYSUtil.comConfirm("\n대출번호 :    " + this.DS_APRV_REGISTER.getdatabyname(0,"loanNo") + 
		                                   ",  차주명:      " + this.DS_SM.getdatabyname(0, "custNm") + " 에 대하여 \n\n" +
		                                   "■ 계좌번호   : " + this.DS_APRV_REGISTER.getdatabyname(0, "acntNo") + "\n\n" + 
		                                   "■ 예금주번호:  " + this.DS_APRV_REGISTER.getdatabyname(0, "depoOwnNo") + "\n\n" + 
	                                       "■ 예금주명   : " + this.DS_APRV_REGISTER.getdatabyname(0, "depoOwnnm") + "\n\n" + 
	                                       "■ 적용일자   : " + fstrCurrentDt + " 로 등록하시겠습니까?");
  	  if(!bContinue) {
			return;	
		} 
	}
	console.log("계좌체크");
	if(!this.fn_Acnt_Check(2)){
		return false;
	}
	console.log("대출번호체크");
	if(!this.fn_Condition_Check())
	{
		return false;
	}
	console.log("항목체크");
	if(!this.fn_Reg_Check())
	{
		return false;
	}
	
	if(this.DS_SM.getdatabyname(0,"loanStatCd") > "30"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "종료채권에 대해서는 계좌등록을 할 수 없습니다.", "msg07");							
		return false;
	}
	
	this.DS_APRV_REGISTER.setdatabyname(0,"acntApplRsnCd",this.combo_RegRsn.getselectedcode());
	console.log("계좌 : " + this.DS_APRV_REGISTER.getdatabyname(0,"acntApplRsnCd"));
	if(this.Edit_ApplManTel.gettext().length == 11){
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel1", this.Edit_ApplManTel.gettext().substr(0,3));	
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel2", this.Edit_ApplManTel.gettext().substr(3,4));	
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel3", this.Edit_ApplManTel.gettext().substr(7,4));	
	}else if(this.Edit_ApplManTel.gettext().length == 10){
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel1", this.Edit_ApplManTel.gettext().substr(0,3));	
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel2", this.Edit_ApplManTel.gettext().substr(3,3));	
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel3", this.Edit_ApplManTel.gettext().substr(6,4));	
	}else if(this.Edit_ApplManTel.gettext().length == 9){
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel1", this.Edit_ApplManTel.gettext().substr(0,3));	
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel2", this.Edit_ApplManTel.gettext().substr(3,3));	
		this.DS_APRV_REGISTER.setdatabyname(0,"applManTel3", this.Edit_ApplManTel.gettext().substr(6,3));	
	}
	
	// 증빙	
	var bRet = SYSTran.requestSubmitAsync(screen, "RATMNM01I02");	
   
	if(bRet == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    }
	
}

// 등록시 필수항목 확인
function fn_Reg_Check()
{
	// 은행코드
	if (this.Combo_BankCd.getselectedindex == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "은행코드를 확인하세요!", "msg07");							
		this.Combo_BankCd.setfocus();
		return false;
	}
	
	// 계좌번호
	if (this.Edit_acntNo.gettext().length == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "계좌번호를 확인하세요!", "msg07");							
		this.Edit_acntNo.setfocus();
		return false;
	}
	
	// 관계
	if (this.Combo_Depo_Rel_CD.getselectedindex == 0) { 
		SYSUtil.loadMessageBox(screen, "알림", 1, "관계를 확인하세요!", "msg07");							
		this.Combo_Depo_Rel_CD.setfocus();
		return false;
	}
  	
	// 예금주번호
	if (this.Edit_DepoOwnNo.gettext().length != 6 && this.Edit_DepoOwnNo.gettext().length != 10 && this.Edit_DepoOwnNo.gettext().length != 13){		
		SYSUtil.loadMessageBox(screen, "알림", 1, "예금주번호를 확인하세요!(주민번호 앞 6자리 또는 개인사업자번호 10자리 또는 법인사업자 13자리)", "msg07");							
		this.Edit_DepoOwnNo.setfocus();
		return false;
	}
	
	// 예금주명
	if (this.Edit_DepoOwnNm.gettext().length <= 2 ) {		
		SYSUtil.loadMessageBox(screen, "알림", 1, "예금주명을 확인하세요!", "msg07");							
		Edit_DepoOwnNm.setfocus();
		return false;
	}
	
	// 전화번호	
	if (SYSUtil.Trim(this.Edit_ApplManTel.gettext()).length < 9 ) {		
		SYSUtil.loadMessageBox(screen, "알림", 1, "전화번호를 확인하세요!", "msg07");							
		this.Edit_ApplManTel.setfocus();
		return false;
	}
	
	//신청사유(해지콤보값으로 신청사유 확인)	
	if (SYSUtil.Trim(this.DS_APRV_REGISTER.getdatabyname(0, "acntClosRsnCd")).length == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "신청사유를 입력하세요.", "msg07");							
		this.combo_RegRsn.setfocus();
		return false;
	}
	
	return true;
}

// 강제등록
function Image_Ivlt_Reg_on_click(objInst)
{
	// 입력모드가 아님.	
	if(this.Combo_AcntApplDivCd.getselectedindex() == 0){
		return;
	}	
	
	if (!this.fn_Acnt_Check(5)) {
		return;
	}
		
	var bRet = SYSTran.requestSubmitAsync(screen, "RATMNM01I01");	
   
	if(bRet == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    }
}

// 확인취소
function Image_Cncl_on_click(objInst)
{
	// 입력모드가 아님.	
	if(this.Combo_AcntApplDivCd.getselectedindex() == 0){
		return;
	}	
	
	if (!this.fn_Acnt_Check(4)) {
		return;
	}
	
	var bRet = SYSTran.requestSubmitAsync(screen, "RATMNM01U01");
		
    if(bRet == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    }
}

function screen_on_afterprint()
{
	
}

function Edit_loanNo_on_changed(objInst, prev_text, curr_text, event_type)
{
	if(curr_text.length == 11){
		this.Edit_loanSeq.settext("01");
	}
}