﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	/** 공통 버튼 visible 세팅 */
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;	// 인쇄 버튼
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;   // 저장 버튼
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;   // 삭제 버튼
	
	/** 콤보 박스 데이터 세팅 */
	SYSTran.getComCode(this.screen, "R00006",this.DS_CD_R00006);	// 계좌상태
	this.DS_CD_R00006.insertrow(0);
	this.DS_CD_R00006.setdatabyname(0, "cdDescNo" , "");
	this.DS_CD_R00006.setdatabyname(0, "cdDescKorNm", "- 선택 -");
	
	/** 데이터셋 & 화면 초기화. */
	this.ue_init();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	/** 조회 전처리 작업 */
	
	if(this.DS_SEARCH.getdatabyname(0, "loanDtFr").length < 1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출일자 조회시작일자를 입력하세요.", "msg07");
		this.cal_sendDtFr.setfocus();
		return false;
	}
	
	if(this.DS_SEARCH.getdatabyname(0, "loanDtTo").length < 1){
		SYSUtil.loadMessageBox(screen, "대출일자 조회종료일자를 입력하세요.", "msg07");
		this.cal_sendDtTo.setfocus();
		return false;
	}
	if(this.DS_SEARCH.getdatabyname(0, "loanDtFr") > this.DS_SEARCH.getdatabyname(0, "loanDtTo")){
		SYSUtil.loadMessageBox(screen, "대출일자 조회기간을 확인하세요.(from ~ to, 기간이 반대로 입력)", "msg07");
		this.cal_sendDtFr.setfocus();
		return false;
	}
	
	this.DS_SD_01.init();
	
	this.screen.setscreenprotect(true);	//화면 잠금
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RATMNM05S01");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	/** 데이터셋 초기화 */
	this.DS_SEARCH.init();	// 조회 폼(Form) 데이터셋 
	this.DS_SD_01.init();         //계좌내역 데이터셋
	
	this.DS_SEARCH.addrow();
		
	/** 대출일자 날짜 초기화. */
	this.DS_SEARCH.setdatabyname(0 , "loanDtFr" , factory.datefrom("month", -1, factory.datetoday())); // 대출일자 시작(from) 일자 전달로 초기화.
	this.DS_SEARCH.setdatabyname(0, "loanDtTo", factory.datetoday()); 							   // 대출일자 종료(to) 일자 오늘 날짜로 초기화.

	/** 콤보박스 초기화. */
	this.DS_SEARCH.setdatabyname(0, "acntStatCd" , "");	// 계좌상태 '미등록' 으로 초기화.	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

//계좌관리 버튼 클릭 이벤트 함수
function btn_AutoAcntMng_on_mouseup(objInst)
{
	
	console.log("#### btn_AutoAcntMng_on_mouseup() call");
	if(this.DS_SD_01.getrowcount()  == 0) return false;
	
	if(this.grd_RcptTrDesc.getselectedrowcount() < 1 ){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "대출을 선택하세요.", "msg00");
		return false;
      }
     var rowIndex = this.DS_SD_01.getpos();	//조회된 그리드에서 선택한 로우의 인덱스
     
     var param = {"arg_loanNo": this.DS_SD_01.getdatabyname(rowIndex, "loanNo") , "arg_loanSeq": this.DS_SD_01.getdatabyname(rowIndex, "loanSeq")};

     SYSUtil.goToWorkPage(this.screen, "/BIZ/R/AT/MN/RATMNM01","자동이체계좌관리" , param);	//자동이체 계좌관리 페이지로 이동.
}

//공통 조회 클릭 이벤트 함수
function image1_on_mouseup(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edt_loanNo.gettext(), "loanSeq":this.edt_loanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}
/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edt_loanNo.settext(objExtdata.loanNo);
			this.edt_loanNo.settext(objExtdata.loanSeq);	
		}
	}		
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false);
	if(mapid == "RATMNM05S01"){
		if(result == 1){
			console.log("#### 조회가 완료  되었습니다.");
			SYSUtil.setStatusMsg("조회가 완료되었습니다.");
		}else{
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
			SYSUtil.loadMessageBox(this.screen , "안내", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg00");
		}
	}
}