﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	if(popup_name == "deleteConfirm") {
		if (result == "확인"){
			this.DS_CYCL_CLS_SM_C.setdatabyname(0, "RT", "D");
			SYSTran.requestSubmitAsync(screen,"RBMGMM05I01");
		}
	}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", true);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", true);
	this.ue_init();
	//공통 콤보리스트 초기화
	this.DS_DIC_RTCYCLBASE01.init();
	this.DS_DIC_RTCYCLCLSBASE01.init();
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTCYCLBASE01);   // 주기 목록 조회
	SYSUtil.addComboAllColumn(this.cboCyclCdSearch);
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTCYCLCLSBASE01);   // 주기 목록 조회
	SYSUtil.addComboAllColumn(this.cboCyclClsSearch);
	
	this.edtCyclClsCd.setenable(true);
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	SYSTran.requestSubmitAsync(screen,"RBMGMM05S01");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
	
	this.DS_CYCL_CLS_SM_C.init();
	this.DS_CYCL_CLS_SM_C.addrow();
	
	//콤보입력창 인덱스 초기화
	this.cboCyclCd.setarrayindex(0);
	this.edtCyclClsCd.setenable(true);
	this.edtCyclClsCd.setfocus();
	this.DS_CYCL_CLS_SM_C.setdatabyname(0,"RT","I");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	//필수항목 체크
	//주기마감코드
	var strCyclClsCd = factory.stringtrim( this.DS_CYCL_CLS_SM_C.getdatabyname(0, "cyclClsCd"));
	if( SYSUtil.isEmpty( strCyclClsCd )){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "주기마감 코드는 필수입력값입니다.", "message01");
		return false;
	}
	
	if( 7 != strCyclClsCd.length){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "주기마감 코드는 7자리로 입력하세요.", "message01");
		return false;
	}
	
	//주기마감명
	if( SYSUtil.isEmpty(factory.stringtrim( this.DS_CYCL_CLS_SM_C.getdatabyname(0, "cyclClsNm")) )){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "주기마감명은 필수입력값입니다.", "message01");
		return false;
	}
	
	//주기마감코드 설명
	if( SYSUtil.isEmpty( factory.stringtrim( this.DS_CYCL_CLS_SM_C.getdatabyname(0, "cyclClsDesc")) )){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "주기마감코드 설명은 필수입력값입니다.", "message01");
		return false;
	}
	
	//주기코드
	if( SYSUtil.isEmpty( factory.stringtrim( this.DS_CYCL_CLS_SM_C.getdatabyname(0, "cyclCd")) )){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "주기코드는 필수입력값입니다.", "message01");
		return false;
	}
	
	var strClsSchdDd = factory.stringtrim( this.DS_CYCL_CLS_SM_C.getdatabyname(0, "clsSchdDd"));
	var strDlvrSchdDd = factory.stringtrim( this.DS_CYCL_CLS_SM_C.getdatabyname(0, "dlvrSchdDd"));
	
	//마감예정일
	if( Number(strClsSchdDd) > 0){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "마감예정일은 음수만 입력가능합니다.", "message01");
		return false;
	}
	
	//발송예정일
	if( Number(strDlvrSchdDd) > 0){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "발송예정일은 음수만 입력가능합니다.", "message01");
		return false;
	}
	
	//마감예정일이 발송예정일보다 작거나 같아야 한다.
	if( Number(strClsSchdDd) > Number(strDlvrSchdDd) ){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "마감예정일은 발송예정일 이전만 입력가능합니다.", "message01");
		return false;
	}
	var rowType = this.DS_CYCL_CLS_SM_C.getrowoperation(0);
	var intSMCnt = 1;
	if(factory.stringtrim(rowType) == ''){
		intSMCnt = 0;
	}

	if(intSMCnt < 1){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "변경된 건이 없습니다.", "message01");
		return false;
	}
	
	if(rowType == "U"){
		this.DS_CYCL_CLS_SM_C.setdatabyname(0,"RT","U");
	}
	
	SYSTran.requestSubmitAsync(screen,"RBMGMM05I01");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
	var cyclClsCd = this.edtCyclClsCd.gettext();
	var cyclCd = this.cboCyclCd.gettext();

	if( cyclClsCd.lengh < 1 || cyclCd.lengh < 1 ) {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "주기마감 내역을 눌러 삭제대상을 선택하세요.", "message01");
		return false;
	}
	
	var rowType = this.DS_CYCL_CLS_SM_C.getdatabyname(0,"RT");
	if(rowType == "I"){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "조회된 데이터가 아니므로 삭제할수 없습니다.", "message01");
		return false;
	}
	
	///삭제 flag셋팅
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "주기마감을 삭제하시겠습니까?\n주기마감코드 : " + cyclClsCd + "\n주기코드 : " + cyclCd, "deleteConfirm");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
		//조회조건 dataset 초기화
	this.DS_CYCL_CLS_SM01.init();
	this.DS_CYCL_CLS_SM01.addrow();
	
	//리스트 초기화
	this.DS_CYCL_CLS_SM.init();
	
	//입력창 초기화
	this.DS_CYCL_CLS_SM_C.init();
	this.DS_CYCL_CLS_SM_C.addrow();
	this.DS_CYCL_CLS_SM_C.setdatabyname(0,"RT","I");
	this.edtCyclClsCd.setenable(true);
	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if(mapid == "RBMGMM05S01"){
		if(this.DS_CYCL_CLS_SM.getrowcount() > 0){
			this.grdCls.setselectrow(0, false, true);
			this.grdCls_on_itemclick(null, 0, null, null, null, null);
		} else {
			this.DS_CYCL_CLS_SM_C.init();
			this.DS_CYCL_CLS_SM_C.setdatabyname(0,"RT","I");
			this.edtCyclClsCd.setenable(true);
		}
	} 
	
	if(mapid == "RBMGMM05I01"){
		if(result < 0 ){
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "시스템 오류가 발생하였습니다. 관리자에게 문의하세요.", "message01");
		} else {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "message01");
		}
		if(recv_code == "0000"){
			SYSTran.getDicByNo(this.screen, this.DS_DIC_RTCYCLCLSBASE01);   // 주기 목록 조회
			SYSUtil.addComboAllColumn(this.cboCyclClsSearch);
			this.ue_query();
		}
	}
}

function grdCls_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("call ::: grdCycl_on_itemclick");
	this.edtCyclClsCd.setenable(false);
	//Dataset copy
	
	this.DS_CYCL_CLS_SM_C.init();
	this.DS_CYCL_CLS_SM_C.copyrow(this.DS_CYCL_CLS_SM,nClickRow,0);

}