﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var tmp_today;
var dicFlag = "";
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	
	console.log("#### screen_on_load() call");
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_PRDT_CLAS_LGMID); 
	this.DS_DIC_BT_PRDT_CLAS_LGMID.insertrow(0); 
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0,"code",""); 
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0,"value","- 선택 -"); 
		
	SYSTran.getComCode(this.screen, "R00001", this.DS_CD_R00001, true); // 예가수정산 
	SYSTran.getComCode(this.screen, "R00031", this.DS_CD_R00031, true); // 예가수정산 	
	SYSTran.getComCode(this.screen, "R00032", this.DS_CD_R00032, true); // 예가수정산 

	tmp_today = factory.datetoday();
	
	this.DS_SM.init();
	this.DS_SM.addrow();
	
	this.DS_SM.setdatabyname(0, "rfndDtFr", tmp_today);				//환불일자시작
	this.DS_SM.setdatabyname(0, "rfndDtTo", tmp_today);				//환불일자종료
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var dlvrDtFr = this.cal_rfndDtFr.gettext();
	var dlvrDtTo = this.cal_rfndDtTo.gettext();	

	if (factory.stringtrim(dlvrDtFr).length == 0 || factory.stringtrim(dlvrDtTo).length == 0 )
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "출금일자를 입력하셔야 합니다.", "msg04");

		if(factory.stringtrim(dlvrDtFr).length == 0)
		  this.cal_rfndDtFr.setfocus();

		if(factory.stringtrim(dlvrDtTo).length == 0)
		  this.cal_rfndDtTo.setfocus();

		return false;
	}
	
	if(Number(dlvrDtFr) >  Number(dlvrDtTo)){
		SYSUtil.loadMessageBox(screen, "알림", 1, "출금일자의 시작일과 종료일을 확인하세요", "msg04");
		return false;
	}
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM04S01");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	
	this.DS_SM.init();
	this.DS_SM.addrow();
	
	this.DS_SD01.init();
	this.DS_SD02.init();
	
	this.cal_rfndDtFr.settext(tmp_today);
	this.cal_rfndDtTo.settext(tmp_today);
	
	this.chk_sumDivDt.setcheck(false);
	this.chk_sumDivDept.setcheck(false);
	this.chk_sumDivPrdt.setcheck(false);
	this.chk_sumDivDsrc.setcheck(false);
	this.chk_sumDivRfnd.setcheck(false);
	this.chk_sumDivIsrtDept.setcheck(true);
	this.cbo_rfndStat.setselectedindex(0);
		
	this.cal_rfndDtFr.setfocus();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */



function edt_mngDeptCd_on_click(objInst, buttonclick)
{
	if(buttonclick){
		dicFlag = "D";
		//데이터 사전 ID
		var dataDicNo = "HTORG17";
			
		// 데이타사전 팝업으로 전달할 데이터
		var param = {"DATADICNO":dataDicNo};

		// 팝업 Title
		var popupTitle = "데이터사전";
		
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

function edt_isrtDeptCd_on_click(objInst, buttonclick)
{
	if(buttonclick){
		dicFlag = "E";
		//데이터 사전 ID
		var dataDicNo = "HTORG17";
			
		// 데이타사전 팝업으로 전달할 데이터
		var param = {"DATADICNO":dataDicNo};

		// 팝업 Title
		var popupTitle = "데이터사전";
		
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}	
}

function popupCallback(objExtdata) {
	
	if(objExtdata.popId == "CCMCMP05"){
		
		// 부서 데이터사전
		if(dicFlag == "D"){
			if(objExtdata != null){
				this.edt_mngDeptCd.settext(objExtdata.deptCd);
				this.edt_mngDeptNm.settext(objExtdata.deptNm);
			}
			
		}else if(dicFlag == "E"){
			if(objExtdata != null){
				this.edt_isrtDeptCd.settext(objExtdata.detpCd);
				this.edt_isrtDeptNm.settext(objExtdata.detpNm);
			}
		}
	}
}

// 그리드 셀 클릭시 환불내역 조회
function grd_accDetl_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	this.DS_SM02.init();
	this.DS_SM02.addrow();
	
	this.DS_SM02.setdatabyname(0,"rfndDt",this.DS_SD01.getdatabyname(nClickRow,"rfndDt"));
	this.DS_SM02.setdatabyname(0,"mngDeptCd",this.DS_SD01.getdatabyname(nClickRow,"mngDeptCd"));
	this.DS_SM02.setdatabyname(0,"rfndRsnCd",this.DS_SD01.getdatabyname(nClickRow,"rfndRsnCd"));
	this.DS_SM02.setdatabyname(0,"dsrcOccrCd",this.DS_SD01.getdatabyname(nClickRow,"dsrcOccrCd"));
	this.DS_SM02.setdatabyname(0,"prdtCd",this.DS_SD01.getdatabyname(nClickRow,"prdtCd"));
	this.DS_SM02.setdatabyname(0,"rfndDtFrSm",this.DS_SD01.getdatabyname(nClickRow,"rfndDtFrSm"));
	this.DS_SM02.setdatabyname(0,"rfndDtToSm",this.DS_SD01.getdatabyname(nClickRow,"rfndDtToSm"));
	this.DS_SM02.setdatabyname(0,"mngDeptCdSm",this.DS_SD01.getdatabyname(nClickRow,"mngDeptCdSm"));
	this.DS_SM02.setdatabyname(0,"rfndRsnCdSm",this.DS_SD01.getdatabyname(nClickRow,"rfndRsnCdSm"));
	this.DS_SM02.setdatabyname(0,"dsrcOccrCdSm",this.DS_SD01.getdatabyname(nClickRow,"isrtManCdSm"));
	this.DS_SM02.setdatabyname(0,"prdtCdSm",this.DS_SD01.getdatabyname(nClickRow,"prdtCdSm"));
	this.DS_SM02.setdatabyname(0,"rfndStat",this.DS_SD01.getdatabyname(nClickRow,"rfndStat"));
	this.DS_SM02.setdatabyname(0,"isrtDeptCd",this.DS_SD01.getdatabyname(nClickRow,"isrtDeptCd"));
	this.DS_SM02.setdatabyname(0,"mngPlcDivCd",this.DS_SD01.getdatabyname(nClickRow,"mngPlcDivCd"));	
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM04S02");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}