﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */

//화면로드시 발생하는 이벤트


function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SEARCH.removeallrows();
	this.DS_SEARCH.addrow();
	
	// 기준일자 오늘날짜로 셋팅
	this.DS_SEARCH.setdatabyname(0, "trDtFr", factory.datetoday());
	this.DS_SEARCH.setdatabyname(0, "trDtTo", factory.datetoday());
	
	
	//this.DS_SEARCH.setdatabyname(0, "chkMngDeptCd", 1());
	//this.DS_SEARCH.setdatabyname(0, "chkPrdtClasCd", 1());
	
	this.DS_SD_01.deleteallrows();

	SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_PRDT_CLAS_LRGE); 
	this.DS_DIC_BT_PRDT_CLAS_LRGE.insertrow(0);
	this.DS_DIC_BT_PRDT_CLAS_LRGE.setdatabyname(0,"code","");
	this.DS_DIC_BT_PRDT_CLAS_LRGE.setdatabyname(0,"value","- 선택 -");
	
	
	
	// 공통 버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	//체크박스 체크
	if(this.chkTrDt.getcheck()){
		this.DS_SEARCH.setdatabyname(0, "chkTrDt", 1);	
	}
	
	if(this.chkMngDeptCd.getcheck()){
		this.DS_SEARCH.setdatabyname(0, "chkMngDeptCd", 1);	
	}
	
	if(this.chkPrdtClasCd.getcheck()){
		this.DS_SEARCH.setdatabyname(0, "chkPrdtClasCd", 1);	
	}
	
	//필수조건 입력 체크
	if(factory.stringbytelen(this.DS_SEARCH.getdatabyname(0, "trDtFr")) == 0 || 
	   factory.stringbytelen(this.DS_SEARCH.getdatabyname(0, "trDtTo")) == 0){
	
       // 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
       SYSUtil.loadMessageBox(screen, "알림", 1, "거래일자를 입력하세요", "message01");
		return;
	}

	screen.setscreenprotect(true); //화면잠금
	
	//데이터셋을 컨트롤러로 전달
	var reqSubmit = SYSTran.requestSubmit(screen, "RVAVAM02S01");
	if(reqSubmit == false) {
		SYSUtil.setStatusMsg("오류");
	}
	screen.setscreenprotect(false); //화면 잠금 해제	
}


// 공통 초기화 버튼 이벤트
function ue_init(){
	this.DS_SEARCH.removeallrows();
	this.DS_SEARCH.addrow();
	
	// 기준일자 오늘날짜로 셋팅
	this.DS_SEARCH.setdatabyname(0, "trDtFr", factory.datetoday());
	this.DS_SEARCH.setdatabyname(0, "trDtTo", factory.datetoday());
	
	this.DS_SD_01.deleteallrows();
	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
*/

/**
 * 관리부서 팝업: TOBE에 해당버튼 추가 요청
 */
function Image_MngDept_OnClick(obj,nX,nY)
{
	var result = gf_SendDataDic( "", "HTORG18","" , DS_SEARCH.GetColumn(0, "mngDeptCd"));

	if( result != null){
		if( result[0] == 'S' ){
			DS_SEARCH.SetColumn(0, "mngDeptCd", result[1]);
			DS_SEARCH.SetColumn(0, "mngDeptNm", result[2]);
		}
	}
}



function Grid_RcptTrDesc_OnHeadClick(obj,nCell,nX,nY,nPivotIndex)
{
	//gf_GridSortNew( Obj, nCell );	수정사항 반영 후 변경
}