﻿/****************************************************************
 * ■ 전역변수 세팅
 ****************************************************************/

// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();


// 대출상담번호
var LOANCNSLNO  = this.EXTRA_DATA.LOAN_CNSL_NO;  // 대출상담번호

//console.log("222" + factory.stringbytelen(factory.stringtrim(LOANCNSLNO)));
//
//if( factory.stringbytelen(factory.stringtrim(LOANCNSLNO)) == "0") {
//	console.log("22");
//    SYSUtil.loadMessageBox(this.screen, "'상담목록조회' 화면에서 조회 후 확인 가능합니다.", 1, recv_msg, "msgS0");
//}
//else
//{
//	console.log("33");
//	var LOANCNSLNO  = this.EXTRA_DATA.LOAN_CNSL_NO;  // 대출상담번호
//}

// ■■■■■■■■■■■■■■■■■■ 화면 이벤트 영역 시작 ■■■■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 화면 On_load 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("#### screen_on_load() call");
	
	// 상담목록조회 화면에서 전달받은 대출상담번호
	console.log("대출상담번호 : '" + LOANCNSLNO + "'");
	
	// 대출상담번호 세팅
	this.edt_LoanCnslNo.settext(LOANCNSLNO);

	SYSUtil.setCommonButtonZoneVisible(this.screen,  true) ;
	
	// 공통코드 setting
	// 고객정보
	SYSTran.getComCode(this.screen, "S12020", this.DS_CD_S12020); // 소득유형코드
	SYSTran.getComCode(this.screen, "S11001", this.DS_CD_S11001); // 소득합산여부
	SYSTran.getComCode(this.screen, "S11093", this.DS_CD_S11093); // 판정결과코드
	SYSTran.getComCode(this.screen, "S00248", this.DS_CD_S00248); // 판정결과사유코드
	// 담보정보
	SYSTran.getComCode(this.screen, "S11045", this.DS_CD_S11045); // 감정구분코드
	SYSTran.getComCode(this.screen, "S11003", this.DS_CD_S11003); // 담보종류코드
	SYSTran.getComCode(this.screen, "S11005", this.DS_CD_S11005); // 공공소유유무
	SYSTran.getComCode(this.screen, "S12021", this.DS_CD_S12021); // 층수코드
	
	// 신청정보
	SYSTran.getComCode(this.screen, "S00304", this.DS_CD_S00304); // 대출목적코드
	SYSTran.getComCode(this.screen, "S12022", this.DS_CD_S12022); // 선순위대출유무코드
	SYSTran.getComCode(this.screen, "S12023", this.DS_CD_S12023); // 동일세대주택보유수코드
	SYSTran.getComCode(this.screen, "S00036", this.DS_CD_S00036); // 대출기간코드
	SYSTran.getComCode(this.screen, "S12026", this.DS_CD_S12026); // 금리유형코드
	SYSTran.getComCode(this.screen, "S12027", this.DS_CD_S12027); // 금리변동주기코드
	SYSTran.getComCode(this.screen, "S11050", this.DS_CD_S11050); // 거치기간코드
	SYSTran.getComCode(this.screen, "S12028", this.DS_CD_S12028); // 상환방법코드
	SYSTran.getComCode(this.screen, "S12029", this.DS_CD_S12029); // 임대유무코드
	SYSTran.getComCode(this.screen, "S91005", this.DS_CD_S91005); // 모바일진행상태코드
	
	// 한도&금리정보
	SYSTran.getComCode(this.screen, "S12030", this.DS_CD_S12030); // MCI가입적격구분코드
	
	// 데이터셋 초기화
	this.DS_CNSL_CUST_SD.init();
	
	// 고객정보조회
	this.fn_SrchCnslCustInfo();

}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	if( mapid == "SASASM02S01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
                // 1.고객정보조회 후 2.담보정보조회
	            this.fn_SrchCnslMrtgInfo();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SASASM02S02" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
                // 2.담보정보조회 후 3.신청정보조회
	            this.fn_SrchCnslApplInfo();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SASASM02S03" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
                // 3.신청정보조회 후 4.한도&금리정보 조회
	            this.fn_SrchLimMnrtInfo();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SASASM02U01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				// 상담메모 저장완료
                SYSUtil.loadMessageBox(this.screen, "알림", 1, "상담메모가 저장되었습니다.", "errMsg01");
				this.fn_SrchCnslCustInfo();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
}

/****************************************************************
 * ■ 신용정보 버튼 클릭 시
 ****************************************************************/
function btn_CrdtInfo_on_click(objInst)
{
	// 신용정보 버튼 클릭
	var sendData = "";
	SYSUtil.goToWorkPage(this.screen, "/BIZ/C/BC/CI/CBCCIP01","신용정보관리", "");
}

/****************************************************************
 * ■ btn_SaveMemo_on_click 이벤트
 ****************************************************************/
function btn_SaveMemo_on_click(objInst)
{
	console.log("#### btn_SaveMemo_on_click() call");
	
	// 상담메모등록
	this.fn_SaveCnslMemo();
}

// ★★★★★★★★★★★★★★★★★★ 사용자 정의 함수 시작 ★★★★★★★★★★★★★★★★★★

/****************************************************************
 * ★ fn_상담고객정보조회
 ****************************************************************/
function fn_SrchCnslCustInfo() 
{
	console.log("#### fn_SrchCnslCustInfo() call");
	
	this.DS_CNSL_INFO_SM.init();
	this.DS_CNSL_INFO_SM.addrow();
	this.DS_CNSL_INFO_SM.setdatabyname(this.DS_CNSL_INFO_SM.getrowcount() - 1, "loanCnslNo", LOANCNSLNO, true);
	
	// 조회데이터셋
//    SYSUtil.showDataSetLog(this.DS_CNSL_INFO_SM);
	
	// 화면잠금
	screen.setscreenprotect(true);
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SASASM02S01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		screen.setscreenprotect(false); 
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		screen.setscreenprotect(false); 
		console.log("고객정보 조회완료");
	}
}
/****************************************************************
 * ★ fn_1.상담담보정보조회
 ****************************************************************/
function fn_SrchCnslMrtgInfo() 
{
	console.log("#### fn_SrchCnslMrtgInfo() call");
	
	this.DS_CNSL_INFO_SM.init();
	this.DS_CNSL_INFO_SM.addrow();
	this.DS_CNSL_INFO_SM.setdatabyname(this.DS_CNSL_INFO_SM.getrowcount() - 1, "loanCnslNo", LOANCNSLNO, true);
	
	// 조회데이터셋
//    SYSUtil.showDataSetLog(this.DS_CNSL_INFO_SM);
	
	// 화면잠금
	screen.setscreenprotect(true);
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SASASM02S02");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		screen.setscreenprotect(false); 
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		screen.setscreenprotect(false); 
		console.log("담보정보 조회완료");
	}
}
/****************************************************************
 * ★ fn_2.상담신청정보조회
 ****************************************************************/
function fn_SrchCnslApplInfo() 
{
	console.log("#### fn_SrchCnslApplInfo() call");
	
	this.DS_CNSL_INFO_SM.init();
	this.DS_CNSL_INFO_SM.addrow();
	this.DS_CNSL_INFO_SM.setdatabyname(this.DS_CNSL_INFO_SM.getrowcount() - 1, "loanCnslNo", LOANCNSLNO, true);
	
	// 조회데이터셋
//    SYSUtil.showDataSetLog(this.DS_CNSL_INFO_SM);
	
	// 화면잠금
	screen.setscreenprotect(true);
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SASASM02S03");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		screen.setscreenprotect(false); 
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		screen.setscreenprotect(false); 
		console.log("담보정보 조회완료");
	}
}
/****************************************************************
 * ★ fn_3.상담한도금리정보조회
 ****************************************************************/
function fn_SrchLimMnrtInfo() 
{
	console.log("#### fn_SrchLimMnrtInfo() call");
	
	this.DS_CNSL_INFO_SM.init();
	this.DS_CNSL_INFO_SM.addrow();
	this.DS_CNSL_INFO_SM.setdatabyname(this.DS_CNSL_INFO_SM.getrowcount() - 1, "loanCnslNo", LOANCNSLNO, true);
	
	// 조회데이터셋
    SYSUtil.showDataSetLog(this.DS_CNSL_INFO_SM);
	
	// 화면잠금
	screen.setscreenprotect(true);
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SASASM02S04");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		screen.setscreenprotect(false); 
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		// 화면잠금해제
		screen.setscreenprotect(false); 
		console.log("한도&금리정보 조회완료");
	}
}

/****************************************************************
 * ★ fn_상담메모등록
 ****************************************************************/
function fn_SaveCnslMemo() 
{
	console.log("#### fn_SaveCnslMemo() call");
	
	var sChnlCustNo = this.edt_ChnlCustNo.gettext();  // 고객번호
	var sCnslMemo   = this.edt_CnslMemo.gettext();   // 상담메모
	
	console.log("상담번호:'" + LOANCNSLNO  + "'");
	console.log("고객번호:'" + sChnlCustNo + "'");
	console.log("상담메모:'" + sCnslMemo   + "'");
	
	this.DS_CNSL_INFO_SM.init();
	this.DS_CNSL_INFO_SM.addrow();
	this.DS_CNSL_INFO_SM.setdatabyname(this.DS_CNSL_INFO_SM.getrowcount() - 1, "loanCnslNo", LOANCNSLNO,  false);
	this.DS_CNSL_INFO_SM.setdatabyname(this.DS_CNSL_INFO_SM.getrowcount() - 1, "chnlCustNo", sChnlCustNo, false);
	this.DS_CNSL_INFO_SM.setdatabyname(this.DS_CNSL_INFO_SM.getrowcount() - 1, "cnslMemo",   sCnslMemo,   false);
	this.DS_CNSL_INFO_SM.setdatabyname(this.DS_CNSL_INFO_SM.getrowcount() - 1, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO, false);

	// 업데이트 데이터셋 값 확인
	SYSUtil.showDataSetLog(this.DS_CNSL_INFO_SM);

    // 업데이트 데이터셋 값 확인
	SYSUtil.showDataSetLog(this.DS_CNSL_INFO_SM);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 업데이트 처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SASASM02U01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}