﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */


this.sUserNo = "";
this.nRowNo_grd_RuleMain = -1;


/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */


// 공통 인쇄 버튼 이벤트
function ue_print()
{
	console.log("#### ue_print() call");
}


// 공통 조회 버튼 이벤트
function ue_query()
{
	console.log("#### ue_query() call");

	this.fn_Init_Ctrl();

	this.fn_SRMRMM02S01();
}


// 공통 추가 버튼 이벤트
function ue_insert()
{
	console.log("#### ue_insert() call");
}


// 공통 저장 버튼 이벤트
function ue_update()
{
	console.log("#### ue_update() call");
}


// 공통 삭제 버튼 이벤트
function ue_delete()
{
	console.log("#### ue_delete() call");
}


// 공통 초기화 버튼 이벤트
function ue_init()
{
	console.log("#### ue_init() call");

	this.fn_Init();

	// this.fn_SRMRMM02S01();
}


/* --------------------------------------------------
 * 이벤트 영역
 * -------------------------------------------------- */


function screen_on_load()
{
	console.log("##### screen_on_load() #####");

	this.sUserNo = SYSVar.loginUserInfo.USER_NO;
	if (this.sUserNo == "")
	{
		this.sUserNo = "SYSTEM";
	}

	// 공통 버튼 영역 제어 (인쇄. 조회. 추가. 저장. 삭제. 초기화)
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE" , false);    // 인쇄 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 삭제 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);    // 인쇄 버튼 삭제

	// 공통코드 조회 (콤보박스 항목)
	SYSTran.getComCode(this.screen, "S11099", this.DS_CD_S11099);	// 공통코드. 룰 종류
	SYSTran.getComCode(this.screen, "S12019", this.DS_CD_S12019);	// 공통코드. 레코드 상태 구분

	this.DS_CD_S11099.insertrow(0);
	this.DS_CD_S11099.setdatabyname(0, "cdKindNo", "S11099", false);
	this.DS_CD_S11099.setdatabyname(0, "cdDescNo", "", false);
	this.DS_CD_S11099.setdatabyname(0, "cdDescKorNm", "전체", false);

	this.cbo_RuleType_Search.setselectedcode("");

	this.fn_MakeDataset_DS_CD_S11099_FILTER();

	this.fn_Init();
}


function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("##### screen_on_submitcomplete() #####");

	console.log("mapid           : " + mapid);
	console.log("result          : " + result);
	console.log("recv_userheader : " + recv_userheader);
	console.log("recv_code       : " + recv_code);
	console.log("recv_msg        : " + recv_msg);
}


function screen_on_popupload(popup_screen, popup_name)
{
	console.log("##### screen_on_popupload() #####");
	// factory.checkhangul
	// factory.stringbytelen
}


function screen_on_popupdestroy(popup_screen, popup_name, result)
{
	console.log("##### screen_on_popupload() #####");

	console.log(" popup_screen : " + popup_screen);
	console.log(" popup_name : " + popup_name);
	console.log(" result : " + result);

	if (popup_name == "MSGBOX_DS_RULE_MAIN_ADD")
	{
		if (result == "확인")
		{
			this.fn_SRMRMM02I01();
		}
	}

	if (popup_name == "MSGBOX_DS_RULE_MAIN_EDIT")
	{
		if (result == "확인")
		{
			this.fn_SRMRMM02U01();
		}
	}

	if (popup_name == "MSGBOX_DS_RULE_MAIN_DEL")
	{
		if (result == "확인")
		{
			this.fn_SRMRMM02D01();
		}
	}
}


function edt_RuleId_Search_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	console.log("##### edt_RuleId_Search_on_keydown() #####");

	if (keycode == 13)
	{
		this.fn_SRMRMM02S01();
	}

	return 0;
}


function grd_RuleMain_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("##### grd_RuleMain_on_itemdblclick() #####");

	this.nRowNo_grd_RuleMain = nDblClickRow;

	this.fn_Display_Data();
}


function btn_Add_on_click(objInst)
{
	console.log("##### btn_Add_on_click() #####");

	this.fn_Add();
}


function btn_Edit_on_click(objInst)
{
	console.log("##### btn_Edit_on_click() #####");

	this.fn_Edit();
}


function btn_Delete_on_click(objInst)
{
	console.log("##### btn_Delete_on_click() #####");

	this.fn_Delete();
}


/* --------------------------------------------------
 * 사용자 함수 영역
 * -------------------------------------------------- */


function fn_Init()
{
	console.log("##### fn_Init() #####");

	// this.cbo_RuleType_Search.setselectedcode("");
	// this.edt_RuleId_Search.settext("");

	this.fn_Init_Ctrl();

	this.DS_ST_RULE_MAIN_SEARCH.init();
	this.DS_ST_RULE_MAIN_CRUD.init();
	// this.DS_ST_RULE_MAIN.init();
}


function fn_Init_Ctrl()
{
	console.log("##### fn_Init_Ctrl() #####");

	this.nRowNo_grd_RuleMain = -1;

	this.cbo_RuleType.setselectedcode("");
	this.edt_RuleId.settext("");
	this.edt_RuleNm.settext("");
	this.cbo_RecSttsCd.setselectedcode("");
	this.edt_Remark.settext("");

	this.cbo_RuleType.setenable(true);
	this.edt_RuleId.setenable(true);
	this.edt_RuleNm.setenable(true);
	this.cbo_RecSttsCd.setenable(false);
	this.edt_Remark.setenable(true);

	this.btn_Add.setenable(true);
	this.btn_Edit.setenable(false);
	this.btn_Delete.setenable(false);
}


function fn_MakeDataset_DS_CD_S11099_FILTER()
{
	console.log("##### fn_MakeDataset_DS_CD_S11099_FILTER() #####");

	this.DS_CD_S11099_FILTER.init();

	var sFilter = "";
	sFilter += "\"cdDescNo\":<>:\"\":";	// 전체

	this.DS_CD_S11099_FILTER.copy(this.DS_CD_S11099, sFilter, false, true);
}


function fn_SRMRMM02S01()
{
	console.log("##### fn_SRMRMM02S01() #####");

	this.DS_ST_RULE_MAIN_SEARCH.init();
	this.DS_ST_RULE_MAIN_SEARCH.addrow();
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleType", this.cbo_RuleType_Search.getselectedcode().trim(), true);
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleId", this.edt_RuleId_Search.gettext().trim(), true);

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM02S01");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		this.fn_Init_Ctrl();
	}
}


function fn_SRMRMM02I01()
{
	console.log("##### fn_SRMRMM02I01() #####");

	this.DS_ST_RULE_MAIN_SEARCH.init();
	this.DS_ST_RULE_MAIN_SEARCH.addrow();
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleType", this.cbo_RuleType_Search.getselectedcode().trim(), true);
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleId", this.edt_RuleId_Search.gettext().trim(), true);

	this.DS_ST_RULE_MAIN_CRUD.init();
	this.DS_ST_RULE_MAIN_CRUD.addrow();
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "ruleType", this.cbo_RuleType.getselectedcode().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "ruleId", this.edt_RuleId.gettext().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "ruleNm", this.edt_RuleNm.gettext().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "recSttsCd", this.cbo_RecSttsCd.getselectedcode().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "remark", this.edt_Remark.gettext().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "frstRegEmpNo", this.sUserNo, true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "lastProcEmpNo", this.sUserNo, true);

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM02I01");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		this.fn_Init_Ctrl();
	}
}


function fn_SRMRMM02U01()
{
	console.log("##### fn_SRMRMM02I01() #####");

	this.DS_ST_RULE_MAIN_SEARCH.init();
	this.DS_ST_RULE_MAIN_SEARCH.addrow();
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleType", this.cbo_RuleType_Search.getselectedcode().trim(), true);
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleId", this.edt_RuleId_Search.gettext().trim(), true);

	this.DS_ST_RULE_MAIN_CRUD.init();
	this.DS_ST_RULE_MAIN_CRUD.addrow();
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "ruleType", this.cbo_RuleType.getselectedcode().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "ruleId", this.edt_RuleId.gettext().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "ruleNm", this.edt_RuleNm.gettext().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "recSttsCd", this.cbo_RecSttsCd.getselectedcode().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "remark", this.edt_Remark.gettext().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "lastProcEmpNo", this.sUserNo, true);

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM02U01");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		this.fn_Init_Ctrl();
	}
}


function fn_SRMRMM02D01()
{
	console.log("##### fn_SRMRMM02D01() #####");

	this.DS_ST_RULE_MAIN_SEARCH.init();
	this.DS_ST_RULE_MAIN_SEARCH.addrow();
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleType", this.cbo_RuleType_Search.getselectedcode().trim(), true);
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleId", this.edt_RuleId_Search.gettext().trim(), true);

	this.DS_ST_RULE_MAIN_CRUD.init();
	this.DS_ST_RULE_MAIN_CRUD.addrow();
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "ruleType", this.cbo_RuleType.getselectedcode().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "ruleId", this.edt_RuleId.gettext().trim(), true);
	this.DS_ST_RULE_MAIN_CRUD.setdatabyname(0, "lastProcEmpNo", this.sUserNo, true);

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM02D01");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		this.fn_Init_Ctrl();
	}
}


function fn_Add()
{
	console.log("##### fn_Add() #####");

	if (this.fn_Validate_Add() == false)
	{
		return;
	}

	SYSUtil.loadMessageBox(this.screen, "추가", 2 /* 확인/취소 */, "신규 Rule을 추가하시겠습니까?", "MSGBOX_DS_RULE_MAIN_ADD");
	// this.fn_SRMRMM02I01();
}


function fn_Edit()
{
	console.log("##### fn_Edit() #####");

	if (this.fn_Validate_Add() == false)
	{
		return;
	}

	SYSUtil.loadMessageBox(this.screen, "수정", 2 /* 확인/취소 */, "선택한 Rule Id를 수정하시겠습니까?", "MSGBOX_DS_RULE_MAIN_EDIT");
	// this.fn_SRMRMM02U01();
}


function fn_Delete()
{
	console.log("##### fn_Delete() #####");

	if (this.fn_Validate_Delete() == false)
	{
		return;
	}

	SYSUtil.loadMessageBox(this.screen, "삭제", 2 /* 확인/취소 */, "선택한 Rule Id를 삭제하시겠습니까?", "MSGBOX_DS_RULE_MAIN_DEL");
}


function fn_Validate_Add()
{
	console.log("##### fn_Validate() #####");

	if (this.cbo_RuleType.getselectedcode().trim() == ""  ||  this.cbo_RuleType.gettext().trim() == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "Rule 종류를 선택하십시오.", "MSGBOX_NULL");
		return false;
	}

	if (this.edt_RuleId.gettext().trim() == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "Rule Id를 입력하십시오.", "MSGBOX_NULL");
		return false;
	}

	if (this.edt_RuleNm.gettext().trim() == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "Rule 명을 입력하십시오.", "MSGBOX_NULL");
		return false;
	}

	if (this.edt_Remark.gettext().trim() == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "설명을 입력하십시오.", "MSGBOX_NULL");
		return false;
	}

	return true;
}


function fn_Validate_Delete()
{
	// 삭제 가능한지 유효성 체크
	if (this.grd_RuleMain.getrowcount() <= 0)
	{
		SYSUtil.loadMessageBox(this.screen, "확인", 0, "삭제할 Rule Id를 선택하십시오.", "");
		return false;
	}

	// 삭제 가능한지 유효성 체크
	if (this.nRowNo_grd_RuleMain < 0)
	{
		SYSUtil.loadMessageBox(this.screen, "확인", 0, "삭제할 Rule Id를 선택하십시오.", "");
		return false;
	}

	// 삭제 가능한지 유효성 체크
	if (this.grd_RuleMain.getxdatasetrow(this.nRowNo_grd_RuleMain) < 0)
	{
		SYSUtil.loadMessageBox(this.screen, "확인", 0, "삭제할 Rule Id를 선택하십시오.", "");
		return false;
	}

	return true;
}


function fn_Display_Data()
{
	console.log("##### fn_Display_Data() #####");

	var nDatasetRow = this.grd_RuleMain.getxdatasetrow(this.nRowNo_grd_RuleMain);
	console.log(">>>> nDatasetRow : " + nDatasetRow);

	this.cbo_RuleType.setenable(false);
	this.edt_RuleId.setenable(false);
	this.edt_RuleNm.setenable(true);
	this.cbo_RecSttsCd.setenable(false);
	this.edt_Remark.setenable(true);

	this.cbo_RuleType.setselectedcodeex(this.DS_ST_RULE_MAIN.getdatabyname(nDatasetRow, "ruleType", true), false, false);
	this.edt_RuleId.settext(this.DS_ST_RULE_MAIN.getdatabyname(nDatasetRow, "ruleId", true));
	this.edt_RuleNm.settext(this.DS_ST_RULE_MAIN.getdatabyname(nDatasetRow, "ruleNm", true));
	this.cbo_RecSttsCd.setselectedcodeex(this.DS_ST_RULE_MAIN.getdatabyname(nDatasetRow, "recSttsCd", true), false, false);
	this.edt_Remark.settext(this.DS_ST_RULE_MAIN.getdatabyname(nDatasetRow, "remark", true));

	this.btn_Add.setenable(false);
	this.btn_Edit.setenable(true);
	this.btn_Delete.setenable(true);
}