﻿/****************************************************************
 * ■ 전역변수 세팅
 ****************************************************************/
this.nRowNo_grd_AtrzMngm = -1;

// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

this.LOAN_CNSL_NO = "";     // 대출상담번호
this.APPL_REAL_STS_CD = ""; // 신청현재진행상태코드

function screen_on_load() {
	console.log("########### pop up screen_on_load() #######" );

    // 전달받은 데이터
	this.txt_AplyCustMngNo.settext(this.EXTRA_DATA.aplyCustMngNo);     // 신청고객관리번호
	this.txt_CustNm.settext(this.EXTRA_DATA.custNm);     // 고객명
		
	this.fn_SrchExamOpn();
	
}

// 부모창에 load 할 data 설정
function paranet_screen_data_load (){
	console.log("########### paranet_screen_data_load #######" );
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	 // 업무화면으로 전달할 데이터

	let param = { 
		"aplyCustMngNo": this.DS_SMDO.setdatabyname(0,"aplyCustMngNo"),	//신청고객관리번호
		"custNm": this.DS_SMDO.setdatabyname(0,"custNm")					,	//고객명
		"srngYmdFst": this.DS_SMDO.setdatabyname(0,"srngYmdFst")			,	//1차심사일
		"examManFst": this.DS_SMDO.setdatabyname(0,"examManFst")			,	//1차심사자 성명
		"examMemoFst": this.DS_SMDO.setdatabyname(0,"examMemoFst")		,	//1차심사 메모
		"srngYmdSnd": this.DS_SMDO.setdatabyname(0,"srngYmdSnd")			,	//2차 심사일
		"examManSnd": this.DS_SMDO.setdatabyname(0,"examManSnd")			,	//2차심사자 성명
		"examMemoSnd": this.DS_SMDO.setdatabyname(0,"examMemoSnd")			,	//2차심사 메모
		"srngYmdTrd": this.DS_SMDO.setdatabyname(0,"srngYmdTrd")			,	//3차심사일
		"examManTrd": this.DS_SMDO.setdatabyname(0,"examManTrd")			,	//3차심사자 성명
		"examMemoTrd": this.DS_SMDO.setdatabyname(0,"examMemoTrd")	//3차 심사 메모
	};
		
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}

function fn_SrchExamOpn()
{
    this.DS_SMDO.init();
    this.DS_SMDO.addrow();
	
	var sUserNo = SYSVar.loginUserInfo.USER_NO;    // 로그인 사용자 사번
    
	/*if (sUserNo == "")
    {
        sUserNo = "SYSTEM";
    }*/

	this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "userNo", sUserNo);
	this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "loanCnslNo", this.EXTRA_DATA.aplyCustMngNo);

    SYSUtil.showDataSetLog(this.DS_SMDO);
	
	screen.setscreenprotect(true); //화면잠금
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP06S01"); 
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}	

}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
//	function screen_on_submitcomplete(mapid, result, recv_code, recv_msg)
{
	console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	if( mapid == "SSPASP06S01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
			    var sApplRealStsCd = this.DS_SDDO.getdatabyname(this.DS_SDDO.getrowcount() -1, "applRealStsCd");
				
				if( sApplRealStsCd == "40000")
				{
					// 1차심사 시_1차메모 활성화
					this.cal_SrngYmdFst.setenable(false);
					this.txt_ExamManFst.setenable(false);
					this.txa_ExamMemoFst.setenable(true);
					this.cal_SrngYmdSnd.setenable(false);
					this.txt_ExamManSnd.setenable(false);
					this.txa_ExamMemoSnd.setenable(false);
					this.cal_SrngYmdTrd.setenable(false);
					this.txt_ExamManTrd.setenable(false);
					this.txa_ExamMemoTrd.setenable(false);
				}
				else if( sApplRealStsCd == "50000")
				{
					// 2차심사 시_2차메모 활성화
					this.cal_SrngYmdFst.setenable(false);
					this.txt_ExamManFst.setenable(false);
					this.txa_ExamMemoFst.setenable(false);
					this.cal_SrngYmdSnd.setenable(false);
					this.txt_ExamManSnd.setenable(false);					
					this.txa_ExamMemoSnd.setenable(true);
					this.cal_SrngYmdTrd.setenable(false);
					this.txt_ExamManTrd.setenable(false);					
					this.txa_ExamMemoTrd.setenable(false);
				}
				else if( sApplRealStsCd == "60000")
				{
					// 3차심사 시_3차메모 활성화
					this.cal_SrngYmdFst.setenable(false);
					this.txt_ExamManFst.setenable(false);					
					this.txa_ExamMemoFst.setenable(false);
					this.cal_SrngYmdSnd.setenable(false);
					this.txt_ExamManSnd.setenable(false);
					this.txa_ExamMemoSnd.setenable(false);	
					this.cal_SrngYmdTrd.setenable(false);
					this.txt_ExamManTrd.setenable(false);
					this.txa_ExamMemoTrd.setenable(true);
				}else{
					this.cal_SrngYmdFst.setenable(false);
					this.txt_ExamManFst.setenable(false);					
					this.txa_ExamMemoFst.setenable(false);
					this.cal_SrngYmdSnd.setenable(false);
					this.txt_ExamManSnd.setenable(false);
					this.txa_ExamMemoSnd.setenable(false);	
					this.cal_SrngYmdTrd.setenable(false);
					this.txt_ExamManTrd.setenable(false);
					this.txa_ExamMemoTrd.setenable(false);
				}
				
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	
	if( mapid == "SSPASP06U01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "심사의견등록이 완료되었습니다.", "errMsg01");
				// 심사의견등록 조회(SSPASP06S01)
				this.fn_SrchExamOpn();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}

}

/****************************************************************
 * ■ 클릭 이벤트_심사의견등록 내역 수정
 ****************************************************************/
function btn_Update_on_click(objInst)
{
	
	console.log("########## btn_Update_on_click  >> " + SYSVar.loginUserInfo.USER_NO);

	//var sAgncUserNo = this.cbo_AgncUserNo.getselectedcode();    // 대리결재자
	//var sAgncStrtDt = this.cal_AgncStrtDt.gettext();			// 대리시작일자
	//var sAgncEndDt  = this.cal_AgncEndDt.gettext();			  // 대리종료일자
	
	//this.DS_SDDO.init();
	//this.DS_SDDO.addrow();
	
	//this.DS_SDDO.setdatabyname(this.DS_SDDO.getrowcount() - 1, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO, false);
	this.DS_SDDO.setdatabyname(0, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO, false);
	
//	if( sAgncEndDt == "") 
//	{
//		SYSUtil.loadMessageBox(this.screen, "알림", 1, "대리결재자 해지대상이 아닙니다.", "errMsg01");
//		
//		return;
//	}
	
	// 업데이트 데이터셋 값 확인
	SYSUtil.showDataSetLog(this.DS_SDDO);
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP06U01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}

}