﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// ■■■■■■■■■■■■■■■■■■ 화면 이벤트 영역 시작 ■■■■■■■■■■■■■■■■■■

/****************************************************************
 * ■ 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
 ****************************************************************/
function ue_init_menu(){
    console.log("#### ue_init_menu() call");
    console.log("####### 사용자 버튼 활성화 #####");
    
    // □ 버튼 제어 추가
    SYSUtil.setCommonButtonVisible(this.screen, "QUERY" , false);    // 조회 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 삭제 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);    // 인쇄 버튼 삭제
}

// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
    console.log("#### screen_on_popupdestroy() call");
	// □ 전략 수행 버튼
	if(popup_name == "applStrg"){
		if (result == "확인"){
			this.DS_SD_C01.deleteallrows();
			this.DS_SD_C01.copyinsertrow(-1, this.DS_SD, 0, true);
			
			this.screen_on_popupdestroy(this.screen, "save", "확인");
		}
	// □ 저장 버튼
	}else if(popup_name == "save"){
		if (result == "확인"){
			
			var check = this.fn_save();
			
			if(check){
				var modifyCnt = this.DS_SD.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
				var colCnt = this.DS_SD.getcolumncount(); 	  //데이터셋 전체 컬럼의 수
				var rowCnt; 									//데이터셋 전체 행의 수
				var chgData;									//현재데이터
				var prevData;								   //변경전데이터
				var i;
				var modifyYn = false;
				
				//공통 키 값 세팅
				var loanApplNoVal = this.DS_SD.getdata(0, 0);	//대출신청번호
				var loanCnslNoVal = this.DS_SD.getdata(0, 1);	//대출상담번호
				
				//고객 연락처 수정 여부
				var hpModifyYn = false;	//핸드폰번호수정여부
				var hpGbCdIdx;			 //연락처관리구분코드
				var hp1Idx;				//핸드폰번호1
				var hp2Idx;				//핸드폰번호2
				var hp3Idx;				//핸드폰번호3
				
				//고객 직장 연락처 수정 여부
				var deptModifyYn = false;	//직장연락처수정여부
				var deptGbCdIdx;			 //연락처관리구분코드
				var dept1Idx;				//직장연락처1
				var dept2Idx;				//직장연락처2
				var dept3Idx;				//직장연락처3
				
				//고객 실거주지 주소 수정 여부
				var loadModifyYn = false;	//실거주지주소수정여부
				var loadGbCdIdx;			 //주소관리구분코드
				var load1Idx;				//도로명우편번호
				var load2Idx;				//도로명주소
				var load3Idx;				//도로명상세주소
				
				//고객 직장 주소 수정 여부
				var offcModifyYn = false;	//직장주소수정여부
				var offcGbCdIdx;			 //주소관리구분코드
				var offc1Idx;				//도로명우편번호
				var offc2Idx;				//도로명주소
				var offc3Idx;				//도로명상세주소
				var offcNmIdx;			   //직장명
				var offcDeptIdx;			 //부서코드
				
				//자격판정 수정 여부
				// 1차
				var judg1SModifyYn = false;	//자격판정수정여부
				var appl1SStsCdIdx;			//신청현재진행상태코드 : 1차
				var judg1SGbCdIdx;			 //판정결과구분코드 : 1차
				var judg1STinkGbCdIdx;		 //판정사유 : 1차
				
				// 2차
				var judg2SModifyYn = false;	//자격판정수정여부
				var appl2SStsCdIdx;			//신청현재진행상태코드 : 2차
				var judg2SGbCdIdx;			 //판정결과구분코드 : 2차
				var judg2STinkGbCdIdx;		 //판정사유 : 2차
				
				// 3차
				var judg3SModifyYn = false;	//자격판정수정여부
				var appl3SStsCdIdx;			//신청현재진행상태코드 : 3차
				var judg3SGbCdIdx;			 //판정결과구분코드 : 3차
				var judg3STinkGbCdIdx;		 //판정사유 : 3차
							
				if(modifyCnt != 0){
					// □ 신청원장 업데이트
					for(i = 0; i < colCnt; i ++){
						chgData = this.DS_SD.getdata(0, i);
						prevData = this.DS_SD.getprevdata(0, i);
						
						if(prevData != null && chgData != prevData){
							//불변 데이터 수정 여부
							//1) 고객주민등록번호
							custResiNoIdx = this.DS_SD.getcolumn("custResiNo");
							if(i == custResiNoIdx){
								SYSUtil.loadMessageBox(screen, "알림", 1, "고객 주민등록번호는 수정 불가능합니다.", "");
								this.DS_SD.setdatabyname(0, "custResiNo", prevData);
								return false;
							}
							
							//2) 고객명
							custNmIdx = this.DS_SD.getcolumn("custNm");
							if(i == custNmIdx){
								SYSUtil.loadMessageBox(screen, "알림", 1, "고객명은 수정 불가능합니다.", "");
								this.DS_SD.setdatabyname(0, "custNm", prevData);
								return false;
							}
							
							//3) 상담일자
							cnslDtIdx = this.DS_SD.getcolumn("cnslDt");
							if(i == cnslDtIdx){
								SYSUtil.loadMessageBox(screen, "알림", 1, "상담일자는 수정 불가능합니다.", "");
								this.DS_SD.setdatabyname(0, "cnslDt", prevData);
								return false;
							}
							
							//4) 신청일자
							applDtIdx = this.DS_SD.getcolumn("applDt");
							if(i == applDtIdx){
								SYSUtil.loadMessageBox(screen, "알림", 1, "신청일자는 수정 불가능합니다.", "");
								this.DS_SD.setdatabyname(0, "applDt", prevData);
								return false;
							}
							
							//변경 데이터 있음
							modifyYn = true;
							
							//고객 연락처 수정 여부
							hpGbCdIdx = this.DS_SD.getcolumn("hpGbCd");
							hp1Idx = this.DS_SD.getcolumn("hpAreaNo");
							hp2Idx = this.DS_SD.getcolumn("hpHeadNo");
							hp3Idx = this.DS_SD.getcolumn("hpSerialNo");
							
							if(i == hp1Idx || i == hp2Idx || i == hp3Idx){
								hpModifyYn = true;
							}
							
							//고객 직장 연락처 수정 여부
							deptGbCdIdx = this.DS_SD.getcolumn("deptGbCd");
							dept1Idx = this.DS_SD.getcolumn("deptAreaNo");
							dept2Idx = this.DS_SD.getcolumn("deptHeadNo");
							dept3Idx = this.DS_SD.getcolumn("deptSerialNo");
							
							if(i == dept1Idx || i == dept2Idx || i == dept3Idx){
								deptModifyYn = true;
							}
							
							//고객 실거주지 주소 수정 여부
							loadGbCdIdx = this.DS_SD.getcolumn("loadGbCd");
							load1Idx = this.DS_SD.getcolumn("loadPostNo");
							load2Idx = this.DS_SD.getcolumn("loadAddr1");
							load3Idx = this.DS_SD.getcolumn("maskLoadAddr2");
							
							if(i == load1Idx || i == load2Idx || i == load3Idx){
								loadModifyYn = true;
							}
							
							//고객 직장 주소 수정 여부
							offcGbCdIdx = this.DS_SD.getcolumn("offcGbCd");
							offc1Idx = this.DS_SD.getcolumn("offcPostNo");
							offc2Idx = this.DS_SD.getcolumn("offcAddr1");
							offc3Idx = this.DS_SD.getcolumn("maskOffcAddr2");
							offcNmIdx = this.DS_SD.getcolumn("offcNm");
							offcDeptIdx = this.DS_SD.getcolumn("deptCd");
							
							if(i == offc1Idx || i == offc2Idx || i == offc3Idx || i == offcNmIdx || i == offcDeptIdx){
								offcModifyYn = true;
							}
							
							//자격판정 수정 여부
							// 1차
							appl1SStsCdIdx = this.DS_SD.getcolumn("appl1SStsCd");		  //신청현재진행상태코드 : 1차
							judg1SGbCdIdx = this.DS_SD.getcolumn("judg1SGbCd");			//판정결과구분코드 : 1차
							judg1STinkGbCdIdx = this.DS_SD.getcolumn("judg1STinkGbCd");	//판정사유 : 1차
							
							if(i == judg1SGbCdIdx || i == judg1STinkGbCdIdx){
								judg1SModifyYn = true;
							}
							
							// 2차
							appl2SStsCdIdx = this.DS_SD.getcolumn("appl2SStsCd");		  //신청현재진행상태코드 : 2차
							judg2SGbCdIdx = this.DS_SD.getcolumn("judg2SGbCd");			//판정결과구분코드 : 2차
							judg2STinkGbCdIdx = this.DS_SD.getcolumn("judg2STinkGbCd");	//판정사유 : 2차
							
							if(i == judg2SGbCdIdx || i == judg2STinkGbCdIdx){
								judg2SModifyYn = true;
							}
							
							// 3차
							appl3SStsCdIdx = this.DS_SD.getcolumn("appl3SStsCd");		  //신청현재진행상태코드 : 3차
							judg3SGbCdIdx = this.DS_SD.getcolumn("judg3SGbCd");			//판정결과구분코드 : 3차
							judg3STinkGbCdIdx = this.DS_SD.getcolumn("judg3STinkGbCd");	//판정사유 : 3차
							
							if(i == judg3SGbCdIdx || i == judg3STinkGbCdIdx){
								judg3SModifyYn = true;
							}
						}
					}
					if(modifyYn){
						this.DS_SD_C.deleteallrows();
						this.DS_SD_C.copyinsertrow(-1, this.DS_SD, 0, true);
						modifyYn = false;
					}
					// □ 고객 연락처 수정 여부
					if(hpModifyYn){
						var hpGbCdVal = "07";
						var hp1Val = this.DS_SD.getdata(0, hp1Idx);
						var hp2Val = this.DS_SD.getdata(0, hp2Idx);
						var hp3Val = this.DS_SD.getdata(0, hp3Idx);
	
						//데이터셋 세팅
						this.DS_SD_C11.addrow();
						this.DS_SD_C11.setdatabyname(0, "loanApplNo", loanApplNoVal);
						this.DS_SD_C11.setdatabyname(0, "telMangGbCd", hpGbCdVal);
						this.DS_SD_C11.setdatabyname(0, "telAreaNo", hp1Val);
						this.DS_SD_C11.setdatabyname(0, "telHeadNo", hp2Val);
						this.DS_SD_C11.setdatabyname(0, "telSerialNo", hp3Val);
					}
					
					// □ 고객 직장 연락처 수정 여부
					if(deptModifyYn){
						//var deptGbCdVal = this.DS_SD.getdata(0, deptGbCdIdx);
						var deptGbCdVal = "04";
						var dept1Val = this.DS_SD.getdata(0, dept1Idx);
						var dept2Val = this.DS_SD.getdata(0, dept2Idx);
						var dept3Val = this.DS_SD.getdata(0, dept3Idx);
						
						//데이터셋 비어있으면 첫 행에 세팅
						var rowIdx = 0;
						rowCnt = this.DS_SD_C11.getrowcount();
						
						if(rowCnt != 0){
							rowIdx = 1
						}
						
						//데이터셋 세팅
						this.DS_SD_C11.addrow();
						this.DS_SD_C11.setdatabyname(rowIdx, "loanApplNo", loanApplNoVal);
						this.DS_SD_C11.setdatabyname(rowIdx, "telMangGbCd", deptGbCdVal);
						this.DS_SD_C11.setdatabyname(rowIdx, "telAreaNo", dept1Val);
						this.DS_SD_C11.setdatabyname(rowIdx, "telHeadNo", dept2Val);
						this.DS_SD_C11.setdatabyname(rowIdx, "telSerialNo", dept3Val);
					}
					
					
					// □ 고객 실거주지 주소 수정 여부
					if(loadModifyYn){
						var loadGbCdVal = "01";
						var load1Val = this.DS_SD.getdata(0, load1Idx);
						var load2Val = this.DS_SD.getdata(0, load2Idx);
						var load3Val;
						
						//상세 주소 변경되었으면 현재 입력된 값, 변경 아니면 마스킹 해제된 값으로 세팅
						chgData = this.DS_SD.getdata(0, load2Idx);
						prevData = this.DS_SD.getprevdata(0, load2Idx);
						
						if(prevData != null && chgData != prevData){
							load3Val = this.DS_SD.getdata(0, load3Idx);	//변경된 값
						}else{
							load3Val = this.DS_SD.getdatabyname(0, "loadAddr2");	//마스킹X 값
						}
						
						//데이터셋 세팅
						this.DS_SD_C12.addrow();
						this.DS_SD_C12.setdatabyname(0, "loanApplNo", loanApplNoVal);
						this.DS_SD_C12.setdatabyname(0, "addrMangGbCd", loadGbCdVal);
						this.DS_SD_C12.setdatabyname(0, "loanPostNo", load1Val);
						this.DS_SD_C12.setdatabyname(0, "loadAddr1", load2Val);
						this.DS_SD_C12.setdatabyname(0, "loadAddr2", load3Val);
					}
					
					// □ 고객 직장 주소 수정 여부
					if(offcModifyYn){
						var offcGbCdIdx = "03";
						var offc1Val = this.DS_SD.getdata(0, offc1Idx);
						var offc2Val = this.DS_SD.getdata(0, offc2Idx);
						var offc3Val;
						var offcNmVal = this.DS_SD.getdata(0, offcNmIdx);
						var offcDeptVal = this.DS_SD.getdata(0, offcDeptIdx);
						
						//데이터셋 비어있으면 첫 행에 세팅
						var rowIdx = 0;
						rowCnt = this.DS_SD_C12.getrowcount();
						
						if(rowCnt != 0){
							rowIdx = 1
						}
						
						//상세 주소 변경되었으면 현재 입력된 값, 변경 아니면 마스킹 해제된 값으로 세팅
						chgData = this.DS_SD.getdata(0, offc3Idx);
						prevData = this.DS_SD.getprevdata(0, offc3Idx);
						
						if(prevData != null && chgData != prevData){
							offc3Val = this.DS_SD.getdata(0, offc3Idx);	//변경된 값
						}else{
							offc3Val = this.DS_SD.getdatabyname(0, "offcAddr2");	//마스킹X 값
						}
						
						//데이터셋 세팅
						this.DS_SD_C12.addrow();
						this.DS_SD_C12.setdatabyname(rowIdx, "loanApplNo", loanApplNoVal);
						this.DS_SD_C12.setdatabyname(rowIdx, "addrMangGbCd", offcGbCdIdx);
						this.DS_SD_C12.setdatabyname(rowIdx, "loanPostNo", offc1Val);
						this.DS_SD_C12.setdatabyname(rowIdx, "loadAddr1", offc2Val);
						this.DS_SD_C12.setdatabyname(rowIdx, "loadAddr2", offc3Val);
						this.DS_SD_C12.setdatabyname(rowIdx, "offcNm", offcNmVal);
						this.DS_SD_C12.setdatabyname(rowIdx, "deptCd", offcDeptVal);
					}
					
					// □ 자격판정 수정 여부
					//1차
					if(judg1SModifyYn){
						var appl1SStsCdVal = this.DS_SD.getdata(0, appl1SStsCdIdx);
						var judg1SGbCdVal = this.DS_SD.getdata(0, judg1SGbCdIdx);
						var judg1STinkGbCdVal = this.DS_SD.getdata(0, judg1STinkGbCdIdx);
					
						//데이터셋 세팅
						this.DS_SD_C13.addrow();
						this.DS_SD_C13.setdatabyname(0, "loanCnslNo", loanCnslNoVal);
						this.DS_SD_C13.setdatabyname(0, "applRealStsCd", appl1SStsCdVal);
						this.DS_SD_C13.setdatabyname(0, "judgGbCd", judg1SGbCdVal);
						
						if(judg1SGbCdVal == "00020"){
							this.DS_SD_C13.setdatabyname(0, "rejtTinkGbCd", judg1STinkGbCdVal);	//거절
						}else if(judg1SGbCdVal == "00030"){
							this.DS_SD_C13.setdatabyname(0, "cnclTinkGbCd", judg1STinkGbCdVal);	//취소
						}
					}
					
					//2차
					if(judg2SModifyYn){
						var appl2SStsCdVal = this.DS_SD.getdata(0, appl2SStsCdIdx);
						var judg2SGbCdVal = this.DS_SD.getdata(0, judg2SGbCdIdx);
						var judg2STinkGbCdVal = this.DS_SD.getdata(0, judg2STinkGbCdIdx);
					
						//데이터셋 세팅
						this.DS_SD_C13.addrow();
						this.DS_SD_C13.setdatabyname(0, "loanCnslNo", loanCnslNoVal);
						this.DS_SD_C13.setdatabyname(0, "applRealStsCd", appl2SStsCdVal);
						this.DS_SD_C13.setdatabyname(0, "judgGbCd", judg2SGbCdVal);
						
						if(judg2SGbCdVal == "00020"){
							this.DS_SD_C13.setdatabyname(0, "rejtTinkGbCd", judg2STinkGbCdVal);	//거절
						}else if(judg2SGbCdVal == "00030"){
							this.DS_SD_C13.setdatabyname(0, "cnclTinkGbCd", judg2STinkGbCdVal);	//취소
						}
					}
					
					//3차
					if(judg3SModifyYn){
						var appl3SStsCdVal = this.DS_SD.getdata(0, appl3SStsCdIdx);
						var judg3SGbCdVal = this.DS_SD.getdata(0, judg3SGbCdIdx);
						var judg3STinkGbCdVal = this.DS_SD.getdata(0, judg3STinkGbCdIdx);
					
						//데이터셋 세팅
						this.DS_SD_C13.addrow();
						this.DS_SD_C13.setdatabyname(0, "loanCnslNo", loanCnslNoVal);
						this.DS_SD_C13.setdatabyname(0, "applRealStsCd", appl3SStsCdVal);
						this.DS_SD_C13.setdatabyname(0, "judgGbCd", judg3SGbCdVal);
						
						if(judg3SGbCdVal == "00020"){
							this.DS_SD_C13.setdatabyname(0, "rejtTinkGbCd", judg3STinkGbCdVal);	//거절
						}else if(judg3SGbCdVal == "00030"){
							this.DS_SD_C13.setdatabyname(0, "cnclTinkGbCd", judg3STinkGbCdVal);	//취소
						}
					}
				}
				
				modifyCnt = this.DS_SD02.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
				colCnt = this.DS_SD02.getcolumncount(); 	  //데이터셋 전체 컬럼의 수
				
				if(modifyCnt != 0){
					
					// □ 담보원장 + 담보평가 업데이트
					for(i = 0; i < colCnt; i++){
						chgData = this.DS_SD02.getdata(0, i);
						prevData = this.DS_SD02.getprevdata(0, i);
						
						if(prevData != null && chgData != prevData){
							//마스킹 컬럼 변경 여부 체크
							//1) 공동담보제공자성명
							/*joinMrtgOffrManNameIdx = this.DS_SD02.getcolumn("joinMrtgOffrManName");
							if(i == joinMrtgOffrManNameIdx){
								this.DS_SD02.setdatabyname(0, "joinMrtgOffrManName", chgData);
							}*/
							
							//2) 공동담보제공자주민등록번호
							/*joinMrtgOffrResiNoIdx = this.DS_SD02.getcolumn("maskJoinMrtgOffrResiNo");
							if(i == joinMrtgOffrResiNoIdx){
								this.DS_SD02.setdatabyname(0, "joinMrtgOffrResiNo", chgData);
							}*/
							
							//변경 데이터 있음
							modifyYn = true;
						}
					}
					
					if(modifyYn){
						this.DS_SD_C02.deleteallrows();
						this.DS_SD_C02.copyinsertrow(-1, this.DS_SD02, 0, true);
						modifyYn = false;
					}
					
				}
				
				modifyCnt = this.DS_SD03.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
				colCnt = this.DS_SD03.getcolumncount();	   //데이터셋 전체 컬럼의 수
				
				if(modifyCnt != 0){
					
					// □ 주택담보대출취급제한 업데이트
					for(i = 0; i < colCnt; i++){
						chgData = this.DS_SD03.getdata(0, i);
						prevData = this.DS_SD03.getprevdata(0, i);
						
						if(prevData != null && chgData != prevData){
							//마스킹 컬럼 변경 여부 체크
							//1) 소유자명
							/*maskOwnManNmIdx = this.DS_SD03.getcolumn("maskOwnManNm");
							if(i == maskOwnManNmIdx){
								this.DS_SD03.setdatabyname(0, "ownManNm", chgData);
							}*/
							
							//변경 데이터 있음
							modifyYn = true;
						}
					}
					
					if(modifyYn){
						this.DS_SD_C03.deleteallrows();
						this.DS_SD_C03.copyinsertrow(-1, this.DS_SD03, 0, true);
						modifyYn = false;
					}
					
				}
				
				modifyCnt = this.DS_SD06.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
				rowCnt = this.DS_SD06.getrowcount(); 		 //데이터셋 전체 행의 수
				
				if(modifyCnt != 0){
					
					// □ 서류정보 업데이트
					for(i = 0; i < rowCnt; i++){
						chgData = this.DS_SD06.getdatabyname(i, "docStinCnfmFg");	//서류입고확인여부
						prevData = this.DS_SD06.getprevdatabyname(i, "docStinCnfmFg");
						
						if(prevData != null && prevData != "Y" && chgData != prevData){
							var docSpmtRqstFgVal = this.DS_SD06.getdatabyname(i, "docSpmtRqstFg");	//서류보완요청여부
							var docSpmtAccoFgVal = this.DS_SD06.getdatabyname(i, "docSpmtAccoFg");	//서류보완수행여부
							// 서류보완요청이 진행중이고, 보완이 완료되지 않은 경우 체크
							if(docSpmtRqstFgVal == "Y" && docSpmtAccoFgVal == "N"){
								SYSUtil.loadMessageBox(screen, "알림", 1, "보완이 완료되지 않은 서류입니다.\n완료 후 입고확인을 수행해주세요.", "");
								return false;
							}
							
							//변경된 데이터 복사
							this.DS_SD_C06.copyinsertrow(-1, this.DS_SD06, i, true);
						}
					}
					
				}
				
				modifyCnt = this.DS_SD07.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
				rowCnt = this.DS_SD07.getrowcount(); 		 //데이터셋 전체 행의 수
				
				if(modifyCnt != 0){
					
					// □ 등기부등본_소유권 업데이트
					for(i = 0; i < rowCnt; i++){
						if(this.DS_SD07.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_SD07.getrowoperation(i) == XFD_ROWOP_UPDATE){
							var ownRigtDivCdVal = this.grdRegOwnRigt.getitemtextbyname(i, "grdOwnRigtDivCd");	//소유권구분코드
							var ownManNmVal = this.grdRegOwnRigt.getitemtextbyname(i, "grdOwnManNm");			//소유자이름
							var ownRigtDtVal = this.grdRegOwnRigt.getitemtextbyname(i, "grdOwnRigtDt");		  //소유권일자
							var ownQutaVal = this.grdRegOwnRigt.getitemtextbyname(i, "grdOwnQuta");			  //소유지분(%)
							
							//소유권구분코드 체크
							if(factory.stringbytelen(factory.stringtrim(ownRigtDivCdVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "소유권구분을 선택하세요.", "");
								return false;
							}
							
							//소유자이름 체크
							if(factory.stringbytelen(factory.stringtrim(ownManNmVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "소유자이름을 입력하세요.", "");
								return false;
							}
							
							//소유권일자 체크
							if(factory.stringbytelen(factory.stringtrim(ownRigtDtVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "소유권일자을 입력하세요.", "");
								return false;
							}
							
							//소유지분 체크
							if(factory.stringbytelen(factory.stringtrim(ownQutaVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "소유지분을 입력하세요.", "");
								return false;
							}
							
							//신규 건의 경우 대출상담번호 세팅
							if(this.DS_SD07.getrowoperation(i) == XFD_ROWOP_INSERT){
							
								this.DS_SD07.setdatabyname(i, "loanCnslNo", loanCnslNoVal);
							}
							
							//변경된 데이터 복사
							this.DS_SD_C07.copyinsertrow(-1, this.DS_SD07, i, true);
						}
					}
					
				}
				
				modifyCnt = this.DS_SD08.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
				rowCnt = this.DS_SD08.getrowcount(); 		 //데이터셋 전체 행의 수
				
				if(modifyCnt != 0){
					
					// □ 등기부등본_설정정보 업데이트
					for(i = 0; i < rowCnt; i++){
						if(this.DS_SD08.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_SD08.getrowoperation(i) == XFD_ROWOP_UPDATE){
							var setInfoRankVal = this.grdRegSetInfo.getitemtextbyname(i, "grdSetInfoRank");		  //설정정보순위
							var setInfoDtVal = this.grdRegSetInfo.getitemtextbyname(i, "grdSetInfoDt");			  //설정일자
							var setInfoAmtVal = this.grdRegSetInfo.getitemtextbyname(i, "grdSetInfoAmt");			//설정금액
							var thsYnVal = this.grdRegSetInfo.getitemtextbyname(i, "grdThsYn");					  //본건여부
							var setManDivCdVal = this.grdRegSetInfo.getitemtextbyname(i, "grdSetManDivCd");		  //설정자구분
							var retyExfnSetManVal = this.grdRegSetInfo.getitemtextbyname(i, "grdRetyExfnSetMan");	//등기부등본설정자
							var retyExfnClosYnVal = this.grdRegSetInfo.getitemtextbyname(i, "grdRetyExfnClosYn");	//등기부등본말소여부
							
							//설정정보순위 체크
							if(factory.stringbytelen(factory.stringtrim(setInfoRankVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "설정정보 순위를 입력하세요.", "");
								return false;
							}
							
							//설정정보순위 중복 체크
							var setInfoRankYn = this.DS_SD_RANK.findrowbyname(0, "setInfoRank:=:\"*"+setInfoRankVal+"*\":1:&");
							
							if(this.DS_SD08.getrowoperation(i) == XFD_ROWOP_INSERT && setInfoRankYn != -1){
								SYSUtil.loadMessageBox(screen, "알림", 1, "순위가 중복됩니다.\n설정정보 순위를 확인하세요.", "");
								return false;
							}
							
							//설정일자 체크
							if(factory.stringbytelen(factory.stringtrim(setInfoDtVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "설정일자를 입력하세요.", "");
								return false;
							}
							
							//설정금액 체크
							if(factory.stringbytelen(factory.stringtrim(setInfoAmtVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "설정금액을 입력하세요.", "");
								return false;
							}
							
							//본건여부 체크
							if(factory.stringbytelen(factory.stringtrim(thsYnVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "본건여부를 선택하세요.", "");
								return false;
							}
							
							//설정자구분 체크
							if(factory.stringbytelen(factory.stringtrim(setManDivCdVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "설정자구분을 선택하세요.", "");
								return false;
							}
							
							//등기부등본설정자 체크
							if(factory.stringbytelen(factory.stringtrim(retyExfnSetManVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "설정권자를 입력하세요.", "");
								return false;
							}
							
							//등기부등본말소여부 체크
							if(factory.stringbytelen(factory.stringtrim(retyExfnClosYnVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "말소여부를 선택하세요.", "");
								return false;
							}
							
							//신규 건의 경우 대출상담번호 세팅
							if(this.DS_SD08.getrowoperation(i) == XFD_ROWOP_INSERT){
							
								this.DS_SD08.setdatabyname(i, "loanCnslNo", loanCnslNoVal);
							}
							
							//변경된 데이터 복사
							this.DS_SD_C08.copyinsertrow(-1, this.DS_SD08, i, true);
						}
					}
					
				}
				
				modifyCnt = this.DS_SD10.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
				rowCnt = this.DS_SD10.getrowcount(); 		 //데이터셋 전체 행의 수
				
				if(modifyCnt != 0){
					
					// □ 전략실행전점검사항정보 업데이트
					for(i = 0; i < rowCnt; i++){
						if(this.DS_SD10.getrowoperation(i) == XFD_ROWOP_UPDATE){
							// 체크
							/*if(factory.stringbytelen(factory.stringtrim(deptCdVal)) == 0){
								SYSUtil.loadMessageBox(screen, "알림", 1, "부서를 선택하세요.", "");
								return;
							}*/
							
							//변경된 데이터 복사
							this.DS_SD_C10.copyinsertrow(-1, this.DS_SD10, i, true);
						}
					}
					
				}
				
				screen.setscreenprotect(true); //화면잠금
				
				SYSTran.requestSubmitSync(screen, "SXMPVM02I01");
			} //: 저장 전 처리 end
		}
	// □ 전액대환건 설정
	}else if(popup_name == "tamtRlnSet"){
		if (result == "확인"){
			this.DS_SD_C04.deleteallrows();
			this.DS_SD_C04.copyinsertrow(-1, this.DS_SD04, 0, true);
			
			SYSTran.requestSubmitSync(screen, "SXMPVM02U01");

		}
	// □ 초기화
	}else if(popup_name == "init"){
		if (result == "확인"){
			/*var xdataCnt = this.screen.getxdatasetids();	//현재 화면에 설정된 모든 xDataSet의 ID를 반환
		
			for(var i = 0; i < xdataCnt.length; i++){
				var xdataId = xdataCnt[i];	//데이터셋 아이디
				var xdataset = screen.getxdataset(xdataId);	//데이터셋 불러옴
				
				xdataset.init();	//데이터셋 초기화
			}*/
			
			factory.initallxdataset();
		
			this.screen_on_load();
		}
	// □ 등기부등본_소유권 행 삭제
	}else if(popup_name == "regOwnRigtDel"){
		if (result == "확인"){
			var nRow = this.grdRegOwnRigt.getselectrow();	//그리드 내 선택된 행의 인덱스
			
			// 데이터셋 복사 후 그리드 행 삭제
			this.DS_SD_D07.copyinsertrow(-1, this.DS_SD07, nRow, true);
			this.DS_SD_D07.setallrowoperation(XFD_ROWOP_DELETE);
		
			this.grdRegOwnRigt.deleterow(nRow);
		}
	// □ 등기부등본_설정정보 행 삭제
	}else if(popup_name == "regSetInfoDel"){
		if (result == "확인"){
			var nRow = this.grdRegSetInfo.getselectrow();	//그리드 내 선택된 행의 인덱스
			
			// 데이터셋 복사 후 그리드 행 삭제
			this.DS_SD_D08.copyinsertrow(-1, this.DS_SD08, nRow, true);
			this.DS_SD_D08.setallrowoperation(XFD_ROWOP_DELETE);
		
			this.grdRegSetInfo.deleterow(nRow);
		}
	// □ 반송 처리
	}else if(popup_name == "reset"){
		if (result == "확인"){
			
			this.DS_SD_C13.deleteallrows();
			this.DS_SD_C13.copyinsertrow(-1, this.DS_SD, 0, true);
			this.DS_SD_C13.setdatabyname(0, "flag", "R")	//구분 : 반송(R)
			
			SYSTran.requestSubmitSync(screen, "SXMPVM02U02");
		}
	// □ 결재취소
	}else if(popup_name == "cancel"){
		if (result == "확인"){
			
			var check = this.fn_cancel();	//결재취소 전 처리
			
			if(check){
				this.DS_SD_C13.deleteallrows();
				this.DS_SD_C13.copyinsertrow(-1, this.DS_SD, 0, true);
				this.DS_SD_C13.setdatabyname(0, "flag", "C")	//구분 : 결재취소(C)
				
				SYSTran.requestSubmitSync(screen, "SXMPVM02U02");
			}
		}
	// □ 심사완료
	}else if(popup_name == "complete"){
		if (result == "확인"){
			
			var check = this.fn_complete();	//심사완료 전 처리
			//var check = true;	//심사완료 전 처리
			
			if(check){
				this.DS_SD_C13.deleteallrows();
				this.DS_SD_C13.copyinsertrow(-1, this.DS_SD, 0, true);
				this.DS_SD_C13.setdatabyname(0, "flag", "T")	//구분 : 심사완료(T)
				
				SYSTran.requestSubmitSync(screen, "SXMPVM02U02");
			}
		}
	}
}

/****************************************************************
 * ■ 화면로드시 발생하는 이벤트
 ****************************************************************/
function screen_on_load(){
    console.log("#### screen_on_load() call");
    
    // □ 공통코드 정의
    SYSTran.getComCode(this.screen, "S11001", this.DS_CD_S11001);            // 소득합산구분코드
	SYSTran.getComCode(this.screen, "THI008", this.DS_CD_THI008);            // 선순위여부
	SYSTran.getComCode(this.screen, "S12068", this.DS_CD_S12068);            // 상품구분코드
	SYSTran.getComCode(this.screen, "S12032", this.DS_CD_S12032);            // 자금용도구분코드
	SYSTran.getComCode(this.screen, "S12026", this.DS_CD_S12026);            // 금리적용방식
	SYSTran.getComCode(this.screen, "S12063", this.DS_CD_S12063);            // 금리고정기간
	SYSTran.getComCode(this.screen, "S12064", this.DS_CD_S12064);            // 변동주기
	SYSTran.getComCode(this.screen, "S12065", this.DS_CD_S12065);            // 기준금리
	SYSTran.getComCode(this.screen, "S00607", this.DS_CD_S00607);            // 상환방식구분코드
	SYSTran.getComCode(this.screen, "R00120", this.DS_CD_R00120);            // 여부_YN
	SYSTran.getComCode(this.screen, "R00121", this.DS_CD_R00121);            // 여부_10
	SYSTran.getComCode(this.screen, "S12023", this.DS_CD_S12023);            // 동일세대주택보유수구분코드
	SYSTran.getComCode(this.screen, "S00036", this.DS_CD_S00036);            // 대출기간
	SYSTran.getComCode(this.screen, "S12029", this.DS_CD_S12029);            // 임대차유무
	SYSTran.getComCode(this.screen, "S00057", this.DS_CD_S00057);            // 전화지역코드
	SYSTran.getComCode(this.screen, "S91020", this.DS_CD_S91020);            // 대출서류코드
	SYSTran.getComCode(this.screen, "S11050", this.DS_CD_S11050);            // 거치기간
	SYSTran.getComCode(this.screen, "S00015", this.DS_CD_S00015);            // 고객부서코드
	SYSTran.getComCode(this.screen, "S12004", this.DS_CD_S12004);            // 신청점검구분코드

	SYSTran.getComCode(this.screen, "S11003", this.DS_CD_S11003);            // 담보유형구분코드
	SYSTran.getComCode(this.screen, "S11045", this.DS_CD_S11045);            // 감정평가구분코드
	SYSTran.getComCode(this.screen, "S11005", this.DS_CD_S11005);            // 담보소유자구분코드
	SYSTran.getComCode(this.screen, "S12067", this.DS_CD_S12067);            // 설정자구분코드
	SYSTran.getComCode(this.screen, "S11093", this.DS_CD_S11093);            // 판정결과구분코드
	SYSTran.getComCode(this.screen, "S12008", this.DS_CD_S12008);            // 신청진행상태관리
	SYSTran.getComCode(this.screen, "S00248", this.DS_CD_S00248);            // 거절사유구분코드
	SYSTran.getComCode(this.screen, "S00233", this.DS_CD_S00233);            // PL심사승인취소사유
	SYSTran.getComCode(this.screen, "S12025", this.DS_CD_S12025);            // 서민실수요자여부
	SYSTran.getComCode(this.screen, "S12024", this.DS_CD_S12024);            // 생애최초여부
	SYSTran.getComCode(this.screen, "TKF020", this.DS_CD_TKF020);            // 신정원추가약정코드
	SYSTran.getComCode(this.screen, "S12070", this.DS_CD_S12070);            // 처분주택종류코드
	SYSTran.getComCode(this.screen, "S12071", this.DS_CD_S12071);            // 중도상환해약금적용구분
	SYSTran.getComCode(this.screen, "S12072", this.DS_CD_S12072);            // 중도상환해약금율코드
	SYSTran.getComCode(this.screen, "S12074", this.DS_CD_S12074);            // 중도상환해약금면제사유코드
	
    // □ 부모화면서 넘겨받은 데이터
    if(this.EXTRA_DATA != undefined || this.EXTRA_DATA != null){
        
        // □ 대출신청번호가 있으면 조회
        if( this.fn_SrchCheck() == true ) {
            // □ 화면잠금
            SYSUtil.setScreenLock(this.screen, true);

		    this.DS_SMDO.init();
		    this.DS_SMDO.addrow();
			
		    this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "loanApplNo", this.EXTRA_DATA.LOAN_APPL_NO, false);
			this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "loanCnslNo", this.EXTRA_DATA.LOAN_CNSL_NO, false);
		
		    SYSUtil.showDataSetLog(this.DS_SMDO);

            var reqSubmit = SYSTran.requestSubmitAsync(this.screen, "SXMPVM02S01");
        }
    }

	// □ 진입한 사용자 권한 체크
	
	
	// □ 시도명 기본 세팅
	SYSTran.requestSubmitSync(screen, "CBCKBM01S01");
	
}

/****************************************************************
 * ■ 공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update(){
    console.log("#### ue_update() call");

    // 심사승인관리 저장
    //SYSTran.requestSubmitSync(screen, "SXMPVM02I01");
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "저장하시겠습니까?", "save");

}

function ue_init(){
    console.log("#### ue_update() call");

	SYSUtil.loadMessageBox(this.screen, "알림", 2, "저장하지 않은 정보가 모두 초기화됩니다.\n진행하시겠습니까?", "init");
}

/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *    [result]
 *    -1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *     0 : 서버에서 setErrorMessage를 호출한 경우
 *     1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
    console.log("########## submitcomplete mapid     >> " + mapid);
    console.log("########## submitcomplete result    >> " + result);
    console.log("########## submitcomplete recv_code >> " + recv_code);
    console.log("########## submitcomplete recv_msg  >> " + recv_msg);

	var strMsg;

    // □ 화면 잠금 해제
    SYSUtil.setScreenLock(this.screen, false);

    // □ [공통] 정상 및 오류 응답 처리
	if( result == 1 ) {
		if( mapid == "SXMPVM02S01" ) {
		// □ 저장용 데이터셋 초기화
		this.DS_SD_C01.init();
		this.DS_SD_C02.init();
		this.DS_SD_C03.init();
		this.DS_SD_C04.init();
		this.DS_SD_C06.init();
		this.DS_SD_C07.init();
		this.DS_SD_C08.init();
		this.DS_SD_C10.init();
		this.DS_SD_C11.init();
		this.DS_SD_C12.init();
		this.DS_SD_C13.init();
		this.DS_SD_D07.init();
		this.DS_SD_D08.init();
		this.DS_SDDO.init();
		
		// □ 초기 데이터 제어
		// 1) 전액대환설정여부
		var capUseGbCdVal = this.DS_SD.getdatabyname(0, "capUseGbCd");	//자금용도구분코드 : 부채상환(주택구입자금)일 때만 전액대환설정 버튼 노출
		var anotComRlnYnVal = this.DS_SD.getdatabyname(0, "anotComRlnYn");	//타사대환여부
		
		var rowCnt = this.DS_SD04.getrowcount();	//차주부채현황정보 데이터셋 내 전체 행의 수
		var i;
		
		var tamtRlnSetCnt = 0;	//전액대환설정 수
		
		for(i = 0; i < rowCnt; i++){
			var tamtRlnSetYnVal = this.DS_SD04.getdatabyname(i, "tamtRlnSetYn");
			
			if(tamtRlnSetYnVal == "Y"){
				tamtRlnSetCnt = tamtRlnSetCnt + 1;
			}
		}
		
		// 자금용도 : 부채상환(주택구입자금)X && 타사대환여부 : N && 현재 설정된 전액대환설정 수 : 0
		if(capUseGbCdVal != 5 && anotComRlnYnVal == "N" && tamtRlnSetCnt == 0){	//
			this.btnTamtRlnSet.setvisible(true);	// 전액대환건 설정 버튼 노출
		}else{
			this.btnTamtRlnSet.setvisible(false);	// 전액대환건 설정 버튼 숨김
		}
		
		// □ 데이터셋 복사
		this.DS_SD02.deleteallrows();
		this.DS_SD02.copyinsertrow(-1, this.DS_SD, 0, true);	//담보 컬럼 복사
		
		this.DS_SD03.deleteallrows();
		this.DS_SD03.copyinsertrow(-1, this.DS_SD, 0, true);	//주담대취급제한 컬럼 복사
		
		// 설정정보순위 중복 여부 확인용 데이터셋 복사
		var addDsYn = this.screen.addxdataset("DS_SD_RANK", "DS_SD_RANK");	//1 : 성공
		if(addDsYn == 1){
			this.DS_SD_RANK.init();
			this.DS_SD_RANK.clone(this.DS_SD08, "");		  //등기부등본 설정정보
		}
		
		// □ 자격판정결과 제어
		var applRealStsCdVal = this.DS_SD.getdatabyname(0, "applRealStsCd");	//신청현재진행상태코드
		
		this.cboJudg1SGbCd.setenable(false);
		this.cboJudg1STinkGbCd.setenable(false);
		this.cboJudg2SGbCd.setenable(false);
		this.cboJudg2STinkGbCd.setenable(false);
		this.cboJudg3SGbCd.setenable(false);
		this.cboJudg3STinkGbCd.setenable(false);
		
		//1차심사
		if(applRealStsCdVal == "40000" || applRealStsCdVal == "40009"){
			this.cboJudg1SGbCd.setenable(true);
			
			var judg1SGbCdVal = this.DS_SD.getdatabyname(0, "judg1SGbCd");	//판정결과구분코드
			
			if(judg1SGbCdVal == "00020"){	//판정결과 : 거절
				this.cboJudg1STinkGbCd.setenable(true);
				this.cboJudg1STinkGbCd.setpicklistlinkxdataset("DS_CD_S00248", "cdDescNo", "cdDescKorNm", "");
			}else if(judg1SGbCdVal == "00030"){	//판정결과 : 취소
				this.cboJudg1STinkGbCd.setenable(true);
				this.cboJudg1STinkGbCd.setpicklistlinkxdataset("DS_CD_S00233", "cdDescNo", "cdDescKorNm", "");
			}
			
		}else if(applRealStsCdVal == "50000" || applRealStsCdVal == "50009"){
			this.cboJudg2SGbCd.setenable(true);
			
			var judg2SGbCdVal = this.DS_SD.getdatabyname(0, "judg2SGbCd");	//판정결과구분코드
			
			if(judg2SGbCdVal == "00020"){	//판정결과 : 거절
				this.cboJudg2STinkGbCd.setenable(true);
				this.cboJudg2STinkGbCd.setpicklistlinkxdataset("DS_CD_S00248", "cdDescNo", "cdDescKorNm", "");
			}else if(judg2SGbCdVal == "00030"){	//판정결과 : 취소
				this.cboJudg2STinkGbCd.setenable(true);
				this.cboJudg2STinkGbCd.setpicklistlinkxdataset("DS_CD_S00233", "cdDescNo", "cdDescKorNm", "");
			}
			
		}else if(applRealStsCdVal == "60000" || applRealStsCdVal == "60009"){
			this.cboJudg3SGbCd.setenable(true);
			
			var judg3SGbCdVal = this.DS_SD.getdatabyname(0, "judg3SGbCd");	//판정결과구분코드
			
			if(judg3SGbCdVal == "00020"){	//판정결과 : 거절
				this.cboJudg3STinkGbCd.setenable(true);
				this.cboJudg3STinkGbCd.setpicklistlinkxdataset("DS_CD_S00248", "cdDescNo", "cdDescKorNm", "");
			}else if(judg3SGbCdVal == "00030"){	//판정결과 : 취소
				this.cboJudg3STinkGbCd.setenable(true);
				this.cboJudg3STinkGbCd.setpicklistlinkxdataset("DS_CD_S00233", "cdDescNo", "cdDescKorNm", "");
			}
			
		}
		
		this.cboSposResiYn_on_itemchange();
		
		// □ 중도상환해약금 여부 제어
		/*var midRmbrBrkAmtAplyVal = this.DS_SD.getdatabyname(0, "midRmbrBrkAmtAply");	//중도상환해약금적용구분 - 1: 대상, 2: 비대상
		
		this.cboMidRmbrBrkAmtRtCd.setenable(false);	//중도상환해약금률
		this.cboMidRmbrBrkAmtExmpCd.setenable(false);	//중도상환해약금면제사유
		
		if(midRmbrBrkAmtAplyVal == 1){
			this.cboMidRmbrBrkAmtRtCd.setenable(true);
		}else if(midRmbrBrkAmtAplyVal == 2){
			this.cboMidRmbrBrkAmtExmpCd.setenable(true);
		}*/
		
		    //SYSUtil.showDataSetLog(this.DS_SDDO01);
		    //var sRow = this.DS_SDDO02.getrowcount();
		//console.log("sRow:" + sRow);
		    //SYSUtil.showDataSetLog(this.DS_SDDO03);
		
			//var iSddoCnt = this.DS_SDDO01.getrowcount();
            //SYSUtil.setStatusMsg(recv_msg + "총[" + iSddoCnt + "]건");        

            // □ 조회 시 후처리 데이터 셋팅
            //if( iSddoCnt > 0 ) {
                //this.fn_SetAfSearch();
            //}
		} 
		// □ 저장 시 후처리
	    else if( mapid == "SXMPVM02I01" || mapid == "SXMPVM02U02" ) {
			if(recv_code != 0000){	// result == 1, recv_code != 0000
				strMsg = recv_msg;	//에러인경우 에러내용
				
				//에러인 경우 전략 플래그 off
				this.DS_SD_C01.init();
			} else {
				var applStrgYn = this.DS_SD_C01.getrowcount();
				
				if(mapid == "SXMPVM02I01"){
					if(applStrgYn == 0){
						strMsg ="저장이 완료되었습니다.";
					}else{
						strMsg ="전략이 정상 수행되었습니다.";
					}
				}else if(mapid == "SXMPVM02U02"){
					strMsg ="완료되었습니다.";
				}
			}
			
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			
			SYSTran.requestSubmitSync(this.screen, "SXMPVM02S01");
			    // □ 조회
			    //this.ue_query();
			    //SYSTran.requestSubmitSync(this.screen, "SXMPVM02S01");
	    }
    }
	// □ 전액대환설정 후처리
	else if( mapid == "SXMPVM02U01" ){
		if(result <= 0 || recv_code != 0000){
			strMsg = recv_msg;	//에러인경우 에러내용
		} else {
			strMsg ="전액대환 설정이 완료되었습니다.";
		}
		SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
	} else {
        //SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
        //SYSUtil.setStatusMsg(recv_msg);
    }

}

/****************************************************************
 * ■ 조회 전 처리
 ****************************************************************/
function fn_SrchCheck() {
    
    // □ 조회 전 필수항목 체크
    var strLoanApplNo = this.EXTRA_DATA.LOAN_APPL_NO;    // 대출신청번호 1111111111111
    var strLoanCnslNo     = this.EXTRA_DATA.LOAN_CNSL_NO;         // 대출상담번호

console.log("#### strLoanApplNo" + strLoanApplNo);

    // □ 조회조건 null 체크
    if( factory.stringbytelen(strLoanApplNo) == 0 && SYSUtil.isEmpty(strLoanApplNo) ) {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "신청번호가 없습니다. 확인바랍니다.", "");

        return false;
    }

    if( factory.stringbytelen(strLoanCnslNo) == 0 && SYSUtil.isEmpty(strLoanCnslNo) ) {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "상담번호가 없습니다. 확인바랍니다.", "");

        return false;
    }

    return true;
}
/****************************************************************
 * ■ 저장 전 처리
 ****************************************************************/
function fn_save(){
	
	// □ 고객정보 영역
	//고객주민등록번호 체크
	/*var custResiNoVal = this.DS_SD.getdatabyname(0, "maskCustResiNo");
	if(factory.stringbytelen(factory.stringtrim(custResiNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "고객 주민등록번호를 입력하주세요.", "");
		return false;
	}
	
	//고객명 체크
	var custNmVal = this.DS_SD.getdatabyname(0, "maskCustNm");
	if(factory.stringbytelen(factory.stringtrim(custNmVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "고객 성명을 입력하세요.", "");
		return false;
	}*/
	
	//연소득 체크
	var yearIncomeAmtVal = this.DS_SD.getdatabyname(0, "yearIncomeAmt");
	if(factory.stringbytelen(factory.stringtrim(yearIncomeAmtVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "연소득을 조회하세요.", "");
		return false;
	}
	
	//소득합산여부 체크
	var weddYnVal = this.DS_SD.getdatabyname(0, "weddYn");
	var incmTotGbCdVal = this.DS_SD.getdatabyname(0, "incmTotGbCd");
	if(factory.stringbytelen(factory.stringtrim(incmTotGbCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "소득합산여부를 선택하세요.", "");
		return false;
	}
	
	if(weddYnVal == "N" && incmTotGbCdVal == "00020"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "소득합산여부를 확인하세요.", "");
		return false;
	}
	
	//결혼여부 체크
	if(factory.stringbytelen(factory.stringtrim(weddYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "결혼여부를 선택하세요.", "");
		return false;
	}
	
	//기혼자일 경우 체크
	if(weddYnVal == "Y"){
		//배우자성명 체크
		var wifeNmVal = this.DS_SD.getdatabyname(0, "wifeNm");
		if(factory.stringbytelen(factory.stringtrim(wifeNmVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "배우자 성명을 입력하세요.", "");
			return false;
		}
		
		//배우자주민등록번호 체크
		var wifeResiNoVal = this.DS_SD.getdatabyname(0, "wifeResiNo");
		if(factory.stringbytelen(factory.stringtrim(wifeResiNoVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "배우자 주민등록번호를 입력하세요.", "");
			return false;
		}
		
		//배우자 정보 제공 여부 체크
		var spusIncoDeduInfoYnVal = this.DS_SD.getdatabyname(0, "spusIncoDeduInfoYn");
		var spusMrtgOffrYnVal = this.DS_SD.getdatabyname(0, "spusMrtgOffrYn");
		if(factory.stringbytelen(factory.stringtrim(spusIncoDeduInfoYnVal)) == 0
		&& factory.stringbytelen(factory.stringtrim(spusMrtgOffrYnVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "배우자 정보 제공 여부를 하나 이상 선택하세요.", "");
			return false;
		}
	}
	
	//고객 휴대폰번호 체크
	var hpAreaNoVal = this.DS_SD.getdatabyname(0, "hpAreaNo");
	var hpHeadNoVal = this.DS_SD.getdatabyname(0, "hpHeadNo");
	var hpSerialNoVal = this.DS_SD.getdatabyname(0, "hpSerialNo");
	if(factory.stringbytelen(factory.stringtrim(hpAreaNoVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(hpHeadNoVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(hpSerialNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "고객 휴대폰번호를 확인하세요.", "");
		return false;
	}
	
	//직장 연락처 체크
	var deptAreaNoVal = this.DS_SD.getdatabyname(0, "deptAreaNo");
	var deptHeadNoVal = this.DS_SD.getdatabyname(0, "deptHeadNo");
	var deptSerialNoVal = this.DS_SD.getdatabyname(0, "deptSerialNo");
	if(factory.stringbytelen(factory.stringtrim(deptAreaNoVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(deptHeadNoVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(deptSerialNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "직장 연락처를 확인하세요.", "");
		return false;
	}
	
	//직장명 체크
	var offcNmVal = this.DS_SD.getdatabyname(0, "offcNm");
	if(factory.stringbytelen(factory.stringtrim(offcNmVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "직장명을 입력하세요.", "");
		return false;
	}
	
	//부서 체크
	var deptCdVal = this.DS_SD.getdatabyname(0, "deptCd");
	if(factory.stringbytelen(factory.stringtrim(deptCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "부서를 선택하세요.", "");
		return false;
	}
	
	//거주지 주소 체크
	var loadPostNoVal = this.DS_SD.getdatabyname(0, "loadPostNo");
	var loadAddr1Val = this.DS_SD.getdatabyname(0, "loadAddr1");
	var loadAddr2Val = this.DS_SD.getdatabyname(0, "maskLoadAddr2");
	
	if(factory.stringbytelen(factory.stringtrim(loadPostNoVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(loadAddr1Val)) == 0
	|| factory.stringbytelen(factory.stringtrim(loadAddr2Val)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "거주지 주소를 확인하세요.", "");
		return false;
	}
	
	//직장 주소 체크
	var offcPostNoVal = this.DS_SD.getdatabyname(0, "offcPostNo");
	var offcAddr1Val = this.DS_SD.getdatabyname(0, "offcAddr1");
	var offcAddr2Val = this.DS_SD.getdatabyname(0, "maskOffcAddr2");
	if(factory.stringbytelen(factory.stringtrim(offcPostNoVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(offcAddr1Val)) == 0
	|| factory.stringbytelen(factory.stringtrim(offcAddr2Val)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "직장 주소를 확인하세요.", "");
		return false;
	}
	
	
	// □ 신청정보 영역
	//상품 구분 체크
	var prdtDivCdVal = this.DS_SD.getdatabyname(0, "prdtDivCd");
	if(factory.stringbytelen(factory.stringtrim(prdtDivCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "상품 구분을 선택하세요.", "");
		return false;
	}
	
	//자금 용도 체크
	var capUseGbCdVal = this.DS_SD.getdatabyname(0, "capUseGbCd");
	if(factory.stringbytelen(factory.stringtrim(capUseGbCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "자금 용도를 선택하세요.", "");
		return false;
	}
	
	//선순위여부 체크
	var preSeqFgVal = this.DS_SD.getdatabyname(0, "preSeqFg");
	if(factory.stringbytelen(factory.stringtrim(preSeqFgVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "선순위 대출 여부를 선택하세요.", "");
		return false;
	}
	
	//동일세대주택보유수 체크
	var sameHshdHousHoldCntVal = this.DS_SD.getdatabyname(0, "sameHshdHousHoldCnt");
	if(factory.stringbytelen(factory.stringtrim(sameHshdHousHoldCntVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "동일 세대 주택 보유 수를 선택하세요.", "");
		return false;
	}
	
	//선순위설정금액 체크
	var prefAmtVal = this.DS_SD.getdatabyname(0, "prefAmt");
	if(factory.stringbytelen(factory.stringtrim(prefAmtVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "선순위 설정금액을 입력하세요.", "");
		return false;
	}
	
	//대출희망일자 체크
	var disbHopeDtVal = this.DS_SD.getdatabyname(0, "disbHopeDt");
	if(factory.stringbytelen(factory.stringtrim(disbHopeDtVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출 희망일을 입력하세요.", "");
		return false;
	}
	
	//생애최초여부 체크
	var lftFrstYnVal = this.DS_SD.getdatabyname(0, "lftFrstYn");
	if(factory.stringbytelen(factory.stringtrim(lftFrstYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "생애 최초 여부를 선택하세요.", "");
		return false;
	}
	
	//서민실수요자여부 체크
	var factDemdYnVal = this.DS_SD.getdatabyname(0, "factDemdYn");
	if(factory.stringbytelen(factory.stringtrim(factDemdYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "서민 실수요자 여부를 선택하세요.", "");
		return false;
	}
	
	//대출기간 체크
	var applDtVal = this.DS_SD.getdatabyname(0, "applDt");	//대출신청일자
	var lonTermVal = this.DS_SD.getdatabyname(0, "lonTerm");
	if(factory.stringbytelen(factory.stringtrim(lonTermVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출기간을 선택하세요.", "");
		return false;
	}
	
	var custResiNoVal = this.DS_SD.getdatabyname(0, "custResiNo");	//고객주민등록번호
	var birth = factory.substringbyte(custResiNoVal, 0, 6);	//생년월일
	var gender = factory.substringbyte(custResiNoVal, 7, 1);	//성별
	var fullBirth;
	
	// 성별코드로 태어난 연도 체크
	if(gender <= 2 || gender == 5 || gender == 6){
		fullBirth = "19" + birth;	//yyyyMMdd
	}else{
		fullBirth = "20" + birth;	//yyyyMMdd
	}
	
	var ageYear = factory.datefrom("year", 39, fullBirth);	//만 39세가 되는 날 체크
	
	// 만 39세 이하 고객은 대출 45년까지 가능
	if(ageYear < applDtVal && lonTermVal == 45){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출기간을 확인하세요.", "");
		return false;
	}
	
	//거치기간 체크
	var gracTermVal = this.DS_SD.getdatabyname(0, "gracTerm");
	if(factory.stringbytelen(factory.stringtrim(gracTermVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "거치기간을 선택하세요.", "");
		return false;
	}
	
	if(((gracTermVal / 12) * 3) > lonTermVal){
		SYSUtil.loadMessageBox(screen, "알림", 1, "거치기간은 대출기간의 1/3을 초과할 수 없습니다.", "");
		return false;
	}
	
	//상환방식 체크
	var repayTypeGbCdVal = this.DS_SD.getdatabyname(0, "repayTypeGbCd");
	if(factory.stringbytelen(factory.stringtrim(repayTypeGbCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "상환방식을 선택하세요.", "");
		return false;
	}
	
	//임대차유무 체크
	var rentYnVal = this.DS_SD.getdatabyname(0, "rentYn");
	if(factory.stringbytelen(factory.stringtrim(rentYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "임대차유무를 선택하세요.", "");
		return false;
	}
	
	//임대금액 체크
	var rentAmtVal = this.DS_SD.getdatabyname(0, "rentAmt");
	if(rentYnVal == "Y" && factory.stringbytelen(factory.stringtrim(rentAmtVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "임대금액을 입력하세요.", "");
		return false;
	}
	
	//상담일자 체크
	var cnslDtVal = this.DS_SD.getdatabyname(0, "cnslDt");
	if(factory.stringbytelen(factory.stringtrim(cnslDtVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "상담일자를 입력하세요.", "");
		return false;
	}
	
	//신청일자 체크
	if(factory.stringbytelen(factory.stringtrim(applDtVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "신청일자를 입력하세요.", "");
		return false;
	}
	
	//MCI-가입결정여부 체크
	var mciEntrDtrmYnVal = this.DS_SD.getdatabyname(0, "mciEntrDtrmYn");
	if(factory.stringbytelen(factory.stringtrim(mciEntrDtrmYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "MCI 가입 결정여부를 선택하세요.", "");
		return false;
	}
	
	//MCI-적격여부 체크
	var mciQlfcYnVal = this.DS_SD.getdatabyname(0, "mciQlfcYn");
	if(factory.stringbytelen(factory.stringtrim(mciQlfcYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "MCI 적격여부를 선택하세요.", "");
		return false;
	}
	
	//MCI-가입예정금액 체크
	var mciEntrSchdAmtVal = this.DS_SD.getdatabyname(0, "mciEntrSchdAmt");
	if(mciEntrDtrmYnVal == "Y" && factory.stringbytelen(factory.stringtrim(mciEntrSchdAmtVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "MCI 가입 예정 금액을 입력하세요.", "");
		return false;
	}
	
	
	// □ 담보물정보 영역
	//담보종류 체크
	var collTypeGbCdVal = this.DS_SD02.getdatabyname(0, "collTypeGbCd");
	if(factory.stringbytelen(factory.stringtrim(collTypeGbCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "담보종류를 선택하세요.", "");
		return false;
	}
	
	//담보제공자구분 체크
	var collPossGbCdVal = this.DS_SD02.getdatabyname(0, "collPossGbCd");
	if(factory.stringbytelen(factory.stringtrim(collPossGbCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "담보제공자를 선택하세요.", "");
		return false;
	}
	
	if(weddYnVal == "N" && collPossGbCdVal == "00020"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "담보제공자를 확인하세요.", "");
		return false;
	}
	
	var spusMrtgOffrYnVal = this.DS_SD.getdatabyname(0, "spusMrtgOffrYn");	//배우자담보제공여부
	if(weddYnVal == "Y" && spusMrtgOffrYnVal == "Y" && collPossGbCdVal == "00010"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "담보제공자를 확인하세요.", "");
		this.cboCollPossGbCd.settext("00020");
		return false;
	}
	
	//담보물건 체크
	var aptSiNmVal = this.DS_SD02.getdatabyname(0, "aptSiNm");
	var aptGunNmVal = this.DS_SD02.getdatabyname(0, "aptGunNm");
	var aptDongNmVal = this.DS_SD02.getdatabyname(0, "aptDongNm");
	var aptNmVal = this.DS_SD02.getdatabyname(0, "aptNm");
	var splyAreaVal = this.DS_SD02.getdatabyname(0, "splyArea");
	if(factory.stringbytelen(factory.stringtrim(aptSiNmVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(aptGunNmVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(aptDongNmVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(aptNmVal)) == 0
	|| factory.stringbytelen(factory.stringtrim(splyAreaVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "담보물건 주소를 확인하세요.", "");
		return false;
	}
	
	//동, 층, 호 체크
	var dongVal = this.DS_SD02.getdatabyname(0, "dong");
	if(factory.stringbytelen(factory.stringtrim(dongVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "물건지 동 정보를 입력하세요.", "");
		return false;
	}
	
	var numberComeLayVal = this.DS_SD02.getdatabyname(0, "numberComeLay");
	if(factory.stringbytelen(factory.stringtrim(numberComeLayVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "물건지 층 정보를 입력하세요.", "");
		return false;
	}
	
	var clasVal = this.DS_SD02.getdatabyname(0, "clas");
	if(factory.stringbytelen(factory.stringtrim(clasVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "물건지 호수 정보를 입력하세요.", "");
		return false;
	}
	
	//규제지역여부 체크
	var specOvrYnVal = this.DS_SD02.getdatabyname(0, "specOvrYn");
	if(factory.stringbytelen(factory.stringtrim(specOvrYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "규제 지역 여부를 선택하세요.", "");
		return false;
	}
	
	//최저층여부 체크
	var minFlorYnVal = this.DS_SD02.getdatabyname(0, "minFlorYn");
	if(factory.stringbytelen(factory.stringtrim(minFlorYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "최저층 여부를 선택하세요.", "");
		return false;
	}
	
	//부동산고유번호 체크
	var esttPclrNoVal = this.DS_SD02.getdatabyname(0, "esttPclrNo");
	if(factory.stringbytelen(factory.stringtrim(esttPclrNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "부동산 고유번호를 입력하세요.", "");
		return false;
	}
	
	//총방수 체크
	var totRoomCntVal = this.DS_SD02.getdatabyname(0, "totRoomCnt");
	if(factory.stringbytelen(factory.stringtrim(totRoomCntVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "총방수를 입력하세요.", "");
		return false;
	}
	
	//임대방수 체크
	var rentRoomCntVal = this.DS_SD02.getdatabyname(0, "rentRoomCnt");
	if(factory.stringbytelen(factory.stringtrim(rentRoomCntVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "임대방수를 입력하세요.", "");
		return false;
	}
	
	//MCI과밀억제권역여부 체크
	var ovrCntlAreYnVal = this.DS_SD02.getdatabyname(0, "ovrCntlAreYn");
	if(factory.stringbytelen(factory.stringtrim(ovrCntlAreYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "MCI 과밀억제권역 여부를 선택하세요.", "");
		return false;
	}
	
	//타사대환여부 체크
	var anotComRlnYnVal = this.DS_SD.getdatabyname(0, "anotComRlnYn");
	if(factory.stringbytelen(factory.stringtrim(anotComRlnYnVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "타사구입자금 대환여부를 선택하세요.", "");
		return false;
	}
	
	return true;
}
/****************************************************************
 * ■ 결재취소 전 처리
 ****************************************************************/
function fn_cancel(){
	var applRealStsCdVal = this.DS_SD.getdatabyname(0, "applRealStsCd");	//신청현재진행상태
	var addDsYn = this.screen.addxdataset("DS_CD_CAN_S12008", "");	//1 : 성공
	
	if(addDsYn == 1){
		//심사완료인 코드값만 거르기
		var strFilter = "";
		strFilter += "cdDescNo:=:\"40009\":1:&"
		strFilter += ",";
		strFilter += "cdDescNo:=:\"50009\":1:&"
		strFilter += ",";
		strFilter += "cdDescNo:=:\"60009\":1:&"
		
		this.DS_CD_CAN_S12008.init();
		this.DS_CD_CAN_S12008.clone(this.DS_CD_S12008, strFilter);		  //신청진행상태관리
		
		SYSUtil.showDataSetLog(this.DS_CD_CAN_S12008);
	}
	
	var examPrgsYn = this.DS_CD_CAN_S12008.findrowbyname(0, "cdDescNo:=:\"*"+applRealStsCdVal+"*\":1:&");
	
	if(examPrgsYn == -1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "심사완료 상태가 아니므로 결재 취소가 불가능합니다.", "");
		return false;
	}
	
	return true;
}
/****************************************************************
 * ■ 심사완료 전 처리
 ****************************************************************/
function fn_complete(){
	// □ 현재진행상태 체크 : 심사중인 상태일 때만 심사 완료 가능
	var applRealStsCdVal = this.DS_SD.getdatabyname(0, "applRealStsCd");	//신청현재진행상태
	var appl1SStsCdVal = "40000";	//1차신청현재진행상태
	var appl2SStsCdVal = "50000";	//2차신청현재진행상태
	var appl3SStsCdVal = "60000";	//3차신청현재진행상태
	/*var appl1SStsCdVal = this.DS_SD.getdatabyname(0, "appl1SStsCd");	//1차신청현재진행상태
	var appl2SStsCdVal = this.DS_SD.getdatabyname(0, "appl2SStsCd");	//2차신청현재진행상태
	var appl3SStsCdVal = this.DS_SD.getdatabyname(0, "appl3SStsCd");	//3차신청현재진행상태*/
	
	var addDsYn = this.screen.addxdataset("DS_CD_COM_S12008", "");	//1 : 성공
	
	if(addDsYn == 1){
		//심사중인 코드값만 거르기
		var strFilter = "";
		strFilter += "cdDescNo:=:\"40000\":1:&"
		strFilter += ",";
		strFilter += "cdDescNo:=:\"50000\":1:&"
		strFilter += ",";
		strFilter += "cdDescNo:=:\"60000\":1:&"
		
		this.DS_CD_COM_S12008.init();
		this.DS_CD_COM_S12008.clone(this.DS_CD_S12008, strFilter);		  //신청진행상태관리
		
		SYSUtil.showDataSetLog(this.DS_CD_COM_S12008);
	}
	
	var examPrgsYn = this.DS_CD_COM_S12008.findrowbyname(0, "cdDescNo:=:\"*"+applRealStsCdVal+"*\":1:&");
	
	if(examPrgsYn == -1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "심사중인 상태가 아니므로 심사 완료가 불가능합니다.", "");
		return false;
	}
	
	// □ 세대원등록 및 세대주택보유수 확정 여부 체크
	var homsStepCdVal = this.DS_SD.getdatabyname(0, "homsStepCd");	//HOMS진행상태코드
	if(homsStepCdVal != "00050"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "세대원등록 및 세대주택보유수 확정을 먼저 진행해주세요.", "");
		return false;
	}
	
	// □ 심사의견 등록 여부 체크
	var under1SOpniCont = this.DS_SD.getdatabyname(0, "under1SOpniCont");	//1차심사의견내용
	var under2SOpniCont = this.DS_SD.getdatabyname(0, "under2SOpniCont");	//2차심사의견내용
	var under3SOpniCont = this.DS_SD.getdatabyname(0, "under3SOpniCont");	//3차심사의견내용
	
	// 1차 심사
	if(applRealStsCdVal == appl1SStsCdVal){
		if(factory.stringbytelen(factory.stringtrim(under1SOpniCont)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "심사의견을 먼저 등록해주세요.", "");
			return false;
		}
	// 2차 심사
	}else if(applRealStsCdVal == appl2SStsCdVal){
		if(factory.stringbytelen(factory.stringtrim(under2SOpniCont)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "심사의견을 먼저 등록해주세요.", "");
			return false;
		}
	// 3차 심사
	}else if(applRealStsCdVal == appl3SStsCdVal){
		if(factory.stringbytelen(factory.stringtrim(under3SOpniCont)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "심사의견을 먼저 등록해주세요.", "");
			return false;
		}
	}
	
	// □ 결재선 지정 여부 체크
	var role1SDivCdVal = this.DS_SD.getdatabyname(0, "role1SDivCd");	//1차직무구분코드
	var role2SDivCdVal = this.DS_SD.getdatabyname(0, "role2SDivCd");	//2차직무구분코드
	var role3SDivCdVal = this.DS_SD.getdatabyname(0, "role3SDivCd");	//3차직무구분코드
	
	var appl2SStsCdVal = this.DS_SD.getdatabyname(0, "appl2SStsCd");	//2차신청현재진행상태코드
	var appl3SStsCdVal = this.DS_SD.getdatabyname(0, "appl3SStsCd");	//3차신청현재진행상태코드
	
	//1차 심사 진행중이고, 1차 심사자가 전결권자가 아닐 경우에만 체크
	if(applRealStsCdVal == appl1SStsCdVal && role1SDivCdVal != "00020"){
		//2차 심사자가 전결권자이면 3차까지 체크할 필요 없음
		if(role2SDivCdVal == "00020"){
			if(factory.stringbytelen(factory.stringtrim(appl2SStsCdVal)) == 0){
				SYSUtil.loadMessageBox(screen, "알림", 1, "결재선을 먼저 지정해주세요.", "");
				return false;
			}
		}else{
			if(factory.stringbytelen(factory.stringtrim(appl2SStsCdVal)) == 0
			|| factory.stringbytelen(factory.stringtrim(appl3SStsCdVal)) == 0){
				SYSUtil.loadMessageBox(screen, "알림", 1, "결재선을 먼저 지정해주세요.", "");
				return false;
			}
		}
	}
	
	// □ 서류입고 확인 여부 체크
	var rowCnt = this.DS_SD06.getrowcount();
	
	for(var i = 0; i < rowCnt; i ++){
		var docStinCnfmFgVal = this.DS_SD06.getdatabyname(i, "docStinCnfmFg");	//서류보완확인여부
		if(docStinCnfmFgVal != "Y"){
			SYSUtil.loadMessageBox(screen, "알림", 1, "입고 확인이 완료되지 않은 신청서류가 있습니다.", "");
			return false;
		}
	}
	
	// □ 당일 전략 수행 여부 체크
	var cssJudgDtVal = this.DS_SD.getdatabyname(0, "cssJudgDt");	//CSS최종판정일자
	var todayYYMMDD = factory.datetoday();	//오늘날짜
	
	if(cssJudgDtVal != todayYYMMDD){
		SYSUtil.loadMessageBox(screen, "알림", 1, "당일 전략이 수행되지 않았습니다.\n전략을 먼저 수행해주세요.", "");
		return false;
	}
	
	return true;
}

/****************************************************************
 * ■  메시지 박스에서 버튼 선택시 호출됨
 ****************************************************************/
function screen_on_messagebox(messagebox_id, result) {
    console.log("#### screen_on_messagebox() call");        
}

/****************************************************************
 * ■ 전략수행 버튼 클릭 시
 ****************************************************************/
function btn_StrgAcco_on_click(objInst)
{
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "전략을 수행하시겠습니까?\n입력한 정보가 모두 저장됩니다.", "applStrg");
}

/****************************************************************
 * ■ 결재선지정 버튼 클릭 시
 ****************************************************************/
function btn_AtrzMngm_on_click(objInst)
{
	// 변수 세팅
	var sUserNo          = SYSVar.loginUserInfo.USER_NO;
	var sLoanCnslNo      = this.DS_SD.getdatabyname(0, "loanCnslNo");
	var sApplRealStsCd   = this.DS_SD.getdatabyname(0, "applRealStsCd");
	var sLoanApplNo      = this.DS_SD.getdatabyname(0, "loanApplNo");

	var param = {"userNo"       : sUserNo,
	             "loanCnslNo"   : sLoanCnslNo,
	             "applRealStsCd": sApplRealStsCd,
	             "loanApplNo"   : sLoanApplNo
	};
	
	// 팝업 Title
	var popupTitle = "결재선지정";
	//팝업 경로
	var popupPath = "/BIZ/S/SP/AS/SSPASP10";

	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);

}

/****************************************************************
 * ■ 서류보완요청 버튼 클릭 시
 ****************************************************************/
function btn_DocSpmt_on_click(objInst)
{
	this.DS_SDDO.deleteallrows();
	var chkCnt = this.grdApplDoc.getcheckedrowcount();	//체크된 수
	var rowCnt = this.DS_SD06.getrowcount();			  //데이터셋 전체 행 수
	
	//보완요청 불가 리스트
	var docRqstImprList = ["MA01", "MA02", "MA03", "MA04", "MA05", "MA06", "MA07", 
	"MA08", "MA09", "MA10", "MA11", "MA12", "MA13", "MA14", "MA15", "MA27", "MA28"];
	
	if(chkCnt <= 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "보완을 요청할 서류를 체크해주세요.", "");
	}else{
		for(var i = 0; i < rowCnt; i++){
			var chkYn = this.grdApplDoc.ischeckedrow(i);
			var docSpmtRqstFgVal = this.DS_SD06.getdatabyname(i, "docSpmtRqstFg");	//서류보완요청여부
			var loanDocCdVal = this.DS_SD06.getdatabyname(i, "loanDocCd");			//대출서류코드
			var loanDocNmVal = this.DS_SD06.getdatabyname(i, "loanDocNm");			//대출서류명

			if(chkYn){
				//보완요청 불가능한 서류여부 체크
				for(var j = 0; j < docRqstImprList.length; j++){
					var docRqstImprCd = docRqstImprList[j];
					
					//보완요청 불가능한 서류 체크
					if(docRqstImprCd == loanDocCdVal){
						SYSUtil.loadMessageBox(screen, "알림", 1, "["+loanDocNmVal+"]\n 해당 서류는 보완요청이 불가능합니다.", "");
						return false;
					}
				}
				
				if(docSpmtRqstFgVal == "Y"){
					SYSUtil.loadMessageBox(screen, "알림", 1, "이미 보완요청 중인 서류입니다.", "");
					return false;
				}
				
				this.DS_SDDO.copyinsertrow(-1, this.DS_SD06, i, true);	//서류보안 요청 컬럼 복사
				this.DS_SDDO.setdatabyname(this.DS_SDDO.getrowcount() -1, "docSpmtRqstFg", "Y")	//서류보안요청여부 Y로 세팅
			}
		
		}
		
		var docSpmtYn = this.DS_SDDO.getrowcount();
		
		if(docSpmtYn == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "보완을 요청할 서류가 없습니다.", "");
			return false;
		}else{
			// 업무화면으로 전달할 데이터
			SYSUtil.showDataSetLog(this.DS_SDDO);
			var param = {"GUBUN":"UPDATE", "fld1":"샘플", "DS_SDDO":this.DS_SDDO };
			
			// 팝업 Title
			var popupTitle = "서류보완";
			
			//팝업 경로
			var popupPath = "/BIZ/S/SP/AS/SSPASP11";
			SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
		}
	}

}

/****************************************************************
 * ■ 심사의견등록 버튼 클릭 시
 ****************************************************************/
function btn_ExamOpnReg_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	SYSUtil.showDataSetLog(this.DS_SDDO);
	var custNmVal = this.DS_SD.getdatabyname(0, "custNm");
	var loanCnslNoVal = this.DS_SD.getdatabyname(0, "loanCnslNo")
	
	var param = {"custNm":custNmVal, "aplyCustMngNo":loanCnslNoVal};
	
	// 팝업 Title
	var popupTitle = "심사의견등록";
	
	//팝업 경로
	var popupPath = "/BIZ/S/SP/AS/SSPASP06";
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	
}

/****************************************************************
 * ■ 세대원등록 버튼 클릭 시
 ****************************************************************/
function btn_FamMembReg_on_click(objInst)
{
	var loanApplNoVal = this.DS_SD.getdatabyname(0, "loanApplNo");
	var loanCnslNoVal = this.DS_SD.getdatabyname(0, "loanCnslNo");
	var custNmVal = this.DS_SD.getdatabyname(0, "custNm");
	
	var param = {"loanApplNo":loanApplNoVal, "loanCnslNo":loanCnslNoVal, "custNm":custNmVal};
	
	// Title
	var workTitle = "세대원등록";
	//경로
	var workPath = "/BIZ/S/XM/PV/SXMPVM03";

	SYSUtil.goToWorkPage(this.screen, workPath, workTitle, param);
}

/****************************************************************
 * ■ 세대주택보유수 확정 버튼 클릭 시
 ****************************************************************/
function btn_HousHoldCntDcsn_on_mouseup(objInst)
{
	var loanApplNoVal = this.DS_SD.getdatabyname(0, "loanApplNo");
	var loanCnslNoVal = this.DS_SD.getdatabyname(0, "loanCnslNo");
	var custNmVal     = this.DS_SD.getdatabyname(0, "custNm");
	var homsStepCdVal = this.DS_SD.getdatabyname(0, "homsStepCd");
	
	var param = {
		         "loanApplNo" : loanApplNoVal,	//대출신청번호
	             "loanCnslNo" : loanCnslNoVal,	//대출상담번호
	             "custNm"     : custNmVal,		//고객명
	             "HomsStepCd" : homsStepCdVal	 //HOMS상태코드
	            };
	
    // 팝업 Title
	var popupTitle = "세대주택보유수확정 ";
	//팝업 경로
	var popupPath = "/BIZ/S/XM/PV/SXMPVP01";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/****************************************************************
 * ■ 아파트시세 버튼 클릭 시
 ****************************************************************/
function btn_AptMkpr_on_click(objInst)
{
	// 부모화면 전달 데이터 
	// 부동산물건코드 : KBA014356, 
	// 평형순번 : 2, 
	// 조사기준일

// 팝업화면에 전달할 데이터
	var param = {
		          "ESTT_GODS_CD" : this.DS_SD02.getdatabyname(0,"aptCd"),	 //부동산물건코드
  		        "PNTP_SEQ"     : this.DS_SD02.getdatabyname(0,"aptSeq"),	//평형순번
		          "RSCH_STND_DT" : this.DS_SD02.getdatabyname(0,"prinDt")	 //조사기준일
	            };

    // 팝업 Title
	var popupTitle = "아파트시세조회";
	//팝업 경로
	var popupPath = "/BIZ/S/SP/AS/SSPASP01";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	
}

/****************************************************************
 * ■ 신용정보 버튼 클릭 시
 ****************************************************************/
function btn_CrdtInfo_on_click(objInst)
{
	var sendData = "";
	SYSUtil.goToWorkPage(this.screen, "/BIZ/C/BC/CI/CBCCIP01","신용정보관리", "");
}

/****************************************************************
 * ■ 연소득 버튼 클릭 시
 ****************************************************************/
function btn_YearAmt_on_click(objInst)
{
	// 부모화면 전달 데이터 
	// 대출상담번호,
	// 상품구분코드 : S12014, 
	// 소득합산구분코드 : S11001

	var loanCnslNoVal = this.DS_SD.getdatabyname(0, "loanCnslNo");	//대출상담번호
	//var incmTotGbCdVal = this.DS_SD.getdatabyname(0, "incmTotGbCd");	//소득합산여부
	var incmTotGbCdVal = this.cboIncmTotGbCd.val();	//소득합산여부
	var weddYnVal = this.cboSposResiYn.val();	//결혼여부
	var acptIncmYnVal = this.chkAcptIncmYn.val();	//배우자소득정보제공여부
	
	//소득합산여부 체크
	if(factory.stringbytelen(factory.stringtrim(incmTotGbCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "소득합산여부를 선택하세요.", "");
		return false;
	}

	if(weddYnVal == "N" && incmTotGbCdVal == "00020"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "소득합산여부를 확인하세요.", "");
		this.cboIncmTotGbCd.settext("00010");
		return false;
	}
	
	if(weddYnVal == "Y" && incmTotGbCdVal == "00010" && acptIncmYnVal == "Y"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "소득합산여부를 확인하세요.", "");
		this.cboIncmTotGbCd.settext("00020");
		return false;
	}
	
	var param = {"loanCnslNo":loanCnslNoVal, "prodGbCd":BizCode.S12014_MRTG, "INCM_TOT_GB_CD":incmTotGbCdVal};
    // 팝업 Title
	var popupTitle = "연소득";
	//팝업 경로
	var popupPath = "/BIZ/S/SP/AS/SSPASP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/****************************************************************
 * ■ 전액대환건 설정 버튼 클릭 시
 ****************************************************************/
function btnTamtRlnSet_on_click(objInst)
{
	var chkRowCnt = this.grdBrwrDebtRept.getcheckedrowcount();	//그리드 내 체크된 행의 수
	
	//전액대환건 설정은 1건만 가능
	if(chkRowCnt >= 2){
		SYSUtil.loadMessageBox(screen, "알림", 1, "전액대환건 설정은 한 건만 가능합니다.", "");
		return;
	}else if(chkRowCnt == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "전액대환건 설정할 행을 선택해주세요.", "");
		return;
	}else{
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "전액대환건 설정하시겠습니까?", "tamtRlnSet");
	}
	
}

/****************************************************************
 * ■ 등기부등본 소유권 버튼 제어
 ****************************************************************/
// □ 추가 버튼 클릭 시
function btnRegOwnRigtAdd_on_click(objInst)
{
	this.DS_SD07.addrow();
}

// □ 삭제 버튼 클릭 시
function btnRegOwnRigtDel_on_click(objInst)
{
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 행을 삭제하시겠습니까?", "regOwnRigtDel");
}

/****************************************************************
 * ■ 등기부등본 설정정보 버튼 제어
 ****************************************************************/
// □ 추가 버튼 클릭 시
function btnRegSetInfoAdd_on_click(objInst)
{
	this.DS_SD08.addrow();
}

// □ 삭제 버튼 클릭 시
function btnRegSetInfoDel_on_click(objInst)
{
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 행을 삭제하시겠습니까?", "regSetInfoDel");
}

/****************************************************************
 * ■ 신청서류 EDMS 버튼 클릭 시
 ****************************************************************/
function grdApplDoc_on_itembtnclick(objInst, nClickRow, nClickColumn)
{
	SYSUtil.loadMessageBox(screen, "알림", 1, "개발 예정입니다.", "");
}

/****************************************************************
 * ■ 자격판정 콤보박스 제어
 ****************************************************************/
// □ 1차 심사 결과 변경 시
function cboJudg1SGbCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	this.cboJudg1STinkGbCd.settext("");	//콤보박스 초기화
	
	if(ncur_item == "1"){	//판정결과 : 거절
		this.cboJudg1STinkGbCd.setenable(true);
		this.cboJudg1STinkGbCd.setpicklistlinkxdataset("DS_CD_S00248", "cdDescNo", "cdDescKorNm", "");
	}else if(ncur_item == "2"){	//판정결과 : 취소
		this.cboJudg1STinkGbCd.setenable(true);
		this.cboJudg1STinkGbCd.setpicklistlinkxdataset("DS_CD_S00233", "cdDescNo", "cdDescKorNm", "");
	}else{	//판정결과 : 승인
		this.cboJudg1STinkGbCd.setenable(false);
	}
}

// □ 2차 심사 결과 변경 시
function cboJudg2SGbCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	this.cboJudg2STinkGbCd.settext("");	//콤보박스 초기화
	
	if(ncur_item == "1"){	//판정결과 : 거절
		this.cboJudg2STinkGbCd.setenable(true);
		this.cboJudg2STinkGbCd.setpicklistlinkxdataset("DS_CD_S00248", "cdDescNo", "cdDescKorNm", "");
	}else if(ncur_item == "2"){	//판정결과 : 취소
		this.cboJudg2STinkGbCd.setenable(true);
		this.cboJudg2STinkGbCd.setpicklistlinkxdataset("DS_CD_S00233", "cdDescNo", "cdDescKorNm", "");
	}else{	//판정결과 : 승인
		this.cboJudg2STinkGbCd.setenable(false);
	}
}

// □ 3차 심사 결과 변경 시
function cboJudg3SGbCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	this.cboJudg3STinkGbCd.settext("");	//콤보박스 초기화
	
	if(ncur_item == "1"){	//판정결과 : 거절
		this.cboJudg3STinkGbCd.setenable(true);
		this.cboJudg3STinkGbCd.setpicklistlinkxdataset("DS_CD_S00248", "cdDescNo", "cdDescKorNm", "");
	}else if(ncur_item == "2"){	//판정결과 : 취소
		this.cboJudg3STinkGbCd.setenable(true);
		this.cboJudg3STinkGbCd.setpicklistlinkxdataset("DS_CD_S00233", "cdDescNo", "cdDescKorNm", "");
	}else{	//판정결과 : 승인
		this.cboJudg3STinkGbCd.setenable(false);
	}
}
/****************************************************************
 * ■ 담보물건지 콤보박스 제어
 ****************************************************************/
// □ 시도명 콤보박스 변경 시
function cboAptSiNm_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(event_type != 3){
		// 하위 콤보박스 초기화
		this.DS_KB_LDONG_CD_SD02.init();
		this.DS_KB_LDONG_CD_SD03.init();
		this.DS_KB_APT_INFO_SD.init();
		this.DS_KB_PNTP_INFO_SD.init();
		this.DS_KB_MKPR_INFO_SD.init();
		
		this.cboAptGunNm.settext("");
		this.cboAptDongNm.settext("");
		this.cboAptNm.settext("");
		this.cboSplyArea.settext("");
	}
	
	this.cboAptSiNm_on_click("", "");
}

// □ 시도명 콤보박스 클릭 시
function cboAptSiNm_on_click(objInst, buttonclick)
{
	// 입력값 setting
	var idx = this.cboAptSiNm.getselectedindex();
	//var sProvNm = this.DS_KB_LDONG_CD_SD01.getdatabyname(idx, "provNm"); // 시도명
	var sProvNm = this.cboAptSiNm.val();

	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "provNm", sProvNm, false);
	//this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(0, "provNm", sProvNm, false);
	SYSTran.requestSubmitSync(screen, "CBCKBM01S02");
}

// □ 시군구명 콤보박스 변경 시
function cboAptGunNm_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(event_type != 3){
		// 하위 콤보박스 초기화
		this.DS_KB_LDONG_CD_SD03.init();
		this.DS_KB_APT_INFO_SD.init();
		this.DS_KB_PNTP_INFO_SD.init();
		this.DS_KB_MKPR_INFO_SD.init();
		
		this.cboAptDongNm.settext("");
		this.cboAptNm.settext("");
		this.cboSplyArea.settext("");
	
	}
	this.cboAptGunNm_on_click("", "");
	
}

// □ 시군구명 콤보박스 클릭 시
function cboAptGunNm_on_click(objInst, buttonclick)
{
	// 입력값 setting
	var idx = this.cboAptGunNm.getselectedindex();
	//var sProvNm    = this.DS_KB_LDONG_CD_SD02.getdatabyname(idx, "provNm");	   // 시도명
	//var sCigunguNm = this.DS_KB_LDONG_CD_SD02.getdatabyname(idx, "cigunguNm");	// 시군구명
	var sProvNm = this.cboAptSiNm.val();
	var sCigunguNm = this.cboAptGunNm.val();
	
		
	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "provNm",    sProvNm, false);
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "cigunguNm", sCigunguNm, false);
	
	SYSTran.requestSubmitSync(screen, "CBCKBM01S03");
}

// □ 읍면동명 콤보박스 변경 시
function cboAptDongNm_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(event_type != 3){
		// 하위 콤보박스 초기화
		this.DS_KB_APT_INFO_SD.init();
		this.DS_KB_PNTP_INFO_SD.init();
		this.DS_KB_MKPR_INFO_SD.init();
		
		this.cboAptNm.settext("");
		this.cboSplyArea.settext("");
		
		this.cboAptDongNm_on_click("", "");
	}
}

// □ 읍면동명 콤보박스 클릭 시
function cboAptDongNm_on_click(objInst, buttonclick)
{
	this.cboAptGunNm_on_click("", "");
	
	// 입력값 setting
	var idx = this.cboAptDongNm.getselectedindex();
	//var sProvNm        = this.DS_KB_LDONG_CD_SD03.getdatabyname(idx, "provNm");		// 시도명
	//var sCigunguNm     = this.DS_KB_LDONG_CD_SD03.getdatabyname(idx, "cigunguNm");	 // 시군구명
	//var sEubmyundongNm = this.DS_KB_LDONG_CD_SD03.getdatabyname(idx, "eubmyundongNm"); // 읍면동명
	var sProvNm = this.cboAptSiNm.val();
	var sCigunguNm = this.cboAptGunNm.val();
	var sEubmyundongNm = this.cboAptDongNm.val();
		
	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "provNm"       , sProvNm       , false);
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "cigunguNm"    , sCigunguNm    , false);
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "eubmyundongNm", sEubmyundongNm, false);
	
	SYSTran.requestSubmitSync(screen, "CBCKBM01S04");
}

// □ 아파트명 콤보박스 변경 시
function cboAptNm_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(event_type != 3){
		// 하위 콤보박스 초기화
		this.DS_KB_PNTP_INFO_SD.init();
		this.DS_KB_MKPR_INFO_SD.init();
		
		this.cboSplyArea.settext("");
		this.edtTotHousCnt.settext("");	// 총세대수
		this.edtTotDongCnt.settext("");	// 총동수
		this.edtNumberMaxLay.settext("")	// 단지내최고층
		this.calMoveiYymm.settext("")	// 입주년월
		
		this.cboAptNm_on_click("", "");
	}
}

// □ 아파트명 콤보박스 클릭 시
function cboAptNm_on_click(objInst, buttonclick)
{
	this.cboAptDongNm_on_click("", "");
	
	// 입력값 setting
	var idx = this.cboAptNm.getselectedindex();
	var sEsttGodsCd;
	
	//조회해 온 데이터의 경우 부동산물건코드 조회 값으로 세팅
	if(idx == -1){
		sEsttGodsCd = this.DS_SD02.getdatabyname(0, "aptCd");
	}else{
		sEsttGodsCd = this.DS_KB_APT_INFO_SD.getdatabyname(idx, "esttGodsCd");	// 부동산물건코드
	}
	
	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "esttGodsCd", sEsttGodsCd, false);
	
	SYSTran.requestSubmitSync(screen, "CBCKBM01S05");
}

// □ 평형 정보 콤보박스 변경 시
function cboSplyArea_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(event_type != 3){
	var idx = this.cboSplyArea.getselectedindex();
	var sEsttGodsCd = this.DS_KB_PNTP_INFO_SD.getdatabyname(idx, "esttGodsCd");	// 부동산물건코드
	var sPntpSeq    = this.DS_KB_PNTP_INFO_SD.getdatabyname(idx, "pntpSeq");	   // 평형seq

	this.DS_KB_APT_MKPR_INFO_READ_SM.init();
	this.DS_KB_APT_MKPR_INFO_READ_SM.addrow();
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "esttGodsCd", sEsttGodsCd, false);
	this.DS_KB_APT_MKPR_INFO_READ_SM.setdatabyname(this.DS_KB_APT_MKPR_INFO_READ_SM.getrowcount() - 1, "pntpSeq",    sPntpSeq,    false);
	
	SYSTran.requestSubmit(screen, "CBCKBM01S06");
	
	var rowIdx = this.DS_KB_APT_INFO_SD.findrowbyname(0, "esttGodsCd:=:\"*"+sEsttGodsCd+"*\":1:&");
	
	if(rowIdx != -1){
		var totHshdcntVal = this.DS_KB_APT_INFO_SD.getdatabyname(rowIdx, "totHshdcnt");	// 총세대수
		var totDongcntVal = this.DS_KB_APT_INFO_SD.getdatabyname(rowIdx, "totDongcnt");	// 총동수
		var grpMaxflorVal = this.DS_KB_APT_INFO_SD.getdatabyname(rowIdx, "grpMaxflor");	// 단지내최고층
		var inHousYymmVal = this.DS_KB_APT_INFO_SD.getdatabyname(rowIdx, "inHousYymm");	// 입주년월
		//var newMdlYymmVal = this.DS_KB_APT_INFO_SD.getdatabyname(rowIdx, "newMdlYymm");	// 신축년월
		
		//KB 아파트시세는 기준일자별로 쌓이기 때문에 row 번호 구해야함
		//조회기준일 : 오늘 날짜 D-1 이전의 가장 최근 날짜
		var rschStndDt = factory.datefrom("day", -1);	//오늘 날짜 D-1
		var mkprRowIdx = this.DS_KB_MKPR_INFO_SD.findrowbyname(1, "rschStndDt:<:\""+rschStndDt+"\":0:&");
		
		var chgRschStndDt = this.DS_KB_MKPR_INFO_SD.getdatabyname(mkprRowIdx, "rschStndDt");
		var esttGodsCdVal = this.DS_KB_MKPR_INFO_SD.getdatabyname(mkprRowIdx, "esttGodsCd");	// 부동산물건코드
		var saleGenTrAmtVal = this.DS_KB_MKPR_INFO_SD.getdatabyname(mkprRowIdx, "saleGenTrAmt");	// 매매일반거래가
		var saleBtmlAmtVal = this.DS_KB_MKPR_INFO_SD.getdatabyname(mkprRowIdx, "saleBtmlAmt");	// 매매하한가
		var saleUplmitAmtVal = this.DS_KB_MKPR_INFO_SD.getdatabyname(mkprRowIdx, "saleUplmitAmt");	// 매매상한가
		
		var splyAreaVal = this.DS_KB_PNTP_INFO_SD.getdatabyname(idx, "splyArea");	// 공급면적
		var euseAreaVal = this.DS_KB_PNTP_INFO_SD.getdatabyname(idx, "euseArea");	// 전용면적
		
		// 데이터 리셋
		this.edtDong.settext("");	// 동
		this.edtNumberComeLay.settext("");	// 층
		this.edtClas.settext("");	// 호
		this.cboSpecOvrYn.settext("");	// 규제지역여부
		this.cboMinFlorYn.settext("");	// 최저층여부
		this.edtEsttPclrNo.settext("");	// 부동산고유번호
		//this.edtJoinMrtgOffrManName.settext("");	// 공동담보제공자성명
		//this.edtJoinMrtgOffrResiNo.settext("");	// 공동담보제공자주민번호
		this.edtTotRoomCnt.settext("");	// 총방수
		this.edtRentRoomCnt.settext("");	// 임대방수
		this.cboOvrCntlAreYn.settext("");	// MCI-과밀억제권역여부
		
		// 데이터 세팅
		this.DS_SD02.setdatabyname(0, "aptCd", esttGodsCdVal);	// 아파트코드
		this.DS_SD02.setdatabyname(0, "aptSeq", sPntpSeq);	// 평형순번
		this.DS_SD02.setdatabyname(0, "prinDt", chgRschStndDt);	// 시세조회기준일
		this.cboEvelGbCd.settext("00010");			//감정평가구분코드
		this.edtTotHousCnt.settext(totHshdcntVal);	// 총세대수
		this.edtTotDongCnt.settext(totDongcntVal);	// 총동수
		this.edtNumberMaxLay.settext(grpMaxflorVal)	// 단지내최고층
		this.calMoveiYymm.settext(inHousYymmVal)		// 입주년월
		//this.calNewMdlYymm .settext(inHousYymmVal)	// 신축년월
		this.edtBuyiPublAmt.settext(saleGenTrAmtVal)	// 매매일반거래가
		this.edtBuyiMinAmt.settext(saleBtmlAmtVal)	// 매매하한가
		this.edtBuyiMax.settext(saleUplmitAmtVal)	// 매매상한가
		this.edtSqua.settext(splyAreaVal)			// 평형
		this.edtSplyArea.settext(splyAreaVal)		// 공급면적
		this.edtBuilArea.settext(euseAreaVal)		// 전용면적
	}
	}
}

/****************************************************************
 * ■ 반송 버튼 클릭 시
 ****************************************************************/
function btn_Rsnd_on_click(objInst)
{
	//반송은 조건 없이 가능
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "반송을 진행하시겠습니까?", "reset");
}

/****************************************************************
 * ■ 결재취소 버튼 클릭 시
 ****************************************************************/
function btn_JstCncl_on_click(objInst)
{
	var applRealStsCdVal = this.DS_SD.getdatabyname(0, "applRealStsCd");	//신청현재진행상태코드
	var step;
	
	if(applRealStsCdVal == "40009"){
		step = "1차 ";
	}else if(applRealStsCdVal == "50009"){
		step = "2차 ";
	}else if(applRealStsCdVal == "60009"){
		step = "3차 ";
	}else{
		step = "";
	}
	
	SYSUtil.loadMessageBox(this.screen, "알림", 2, step + "결재를 취소하시겠습니까?", "cancel");
}

/****************************************************************
 * ■ 심사완료 버튼 클릭 시
 ****************************************************************/
function btn_ExamCmpl_on_click(objInst)
{
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "심사를 완료하시겠습니까?", "complete");
}

/****************************************************************
 * ■ 심사표 버튼 클릭 시
 ****************************************************************/
function btn_ExamTbl_on_click(objInst)
{
	//SYSUtil.loadMessageBox(screen, "알림", 1, "개발 예정입니다.", "");
	this.EXTRA_DATA = {"LOAN_APPL_NO":"1111111111111", "LOAN_CNSL_NO":"C202304040040"};
	
	this.DS_SMDO.addrow();
	this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "loanApplNo", this.EXTRA_DATA.LOAN_APPL_NO, false);
	this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "loanCnslNo", this.EXTRA_DATA.LOAN_CNSL_NO, false);
    SYSTran.requestSubmitSync(screen, "SXMPVM02S01");
}

/****************************************************************
 * ■ 산식 버튼 클릭 시
 ****************************************************************/
function btn_Calc_on_click(objInst)
{
	// 자식화면 전달 데이터 
	// 대출신청번호

// 팝업화면에 전달할 데이터
	var param = {
		          "loanApplNo" : this.DS_SD02.getdatabyname(0, "loanApplNo"),	//대출신청번호
	            };

    // 팝업 Title
	var popupTitle = "대출가능금액표";
	//팝업 경로
	var popupPath = "/BIZ/S/XM/PV/SXMPVP02";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/****************************************************************
 * ■ 중도상환해약금 여부 변경 시
 ****************************************************************/
function cboMidRmbrBrkAmtAply_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(ncur_item == 0){	//대상
		this.cboMidRmbrBrkAmtRtCd.setenable(true);		//중도상환해약금률
		this.cboMidRmbrBrkAmtExmpCd.setenable(false);	 //중도상환해약금면제사유
		this.cboMidRmbrBrkAmtExmpCd.val("");
	}else if(ncur_item == 1){	//비대상
		this.cboMidRmbrBrkAmtRtCd.setenable(false);	 //중도상환해약금률
		this.cboMidRmbrBrkAmtExmpCd.setenable(true);	//중도상환해약금면제사유
		this.cboMidRmbrBrkAmtRtCd.val("");
	}
}

/****************************************************************
 * ■ 결혼여부 변경 시
 ****************************************************************/
function cboSposResiYn_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(ncur_item == 0){	//결혼Y
		//필드 disabled
		this.btn_CrdtInfoRead2.setenable(true);	//배우자신용정보버튼
		this.chkAcptIncmYn.setenable(true);		//배우자소득정보제공여부
		this.chkSpusMrtgOffrYn.setenable(true);	//배우자담보제공여부
		
		//콤보박스 제어
		this.cboIncmTotGbCd.setpicklistfilter("");	 //소득합산여부
		this.cboCollPossGbCd.setpicklistfilter("");	//담보제공자구분
	}else if(ncur_item == 1){	//결혼N
		//필드 disabled
		this.btn_CrdtInfoRead2.setenable(false);	//배우자신용정보버튼
		this.chkAcptIncmYn.setenable(false);		//배우자소득정보제공여부
		this.chkSpusMrtgOffrYn.setenable(false);	//배우자담보제공여부
		
		//콤보박스 제어
		var strFilter = "cdDescNo,=,\"00010\",&";
		
		this.cboIncmTotGbCd.setpicklistfilter(strFilter);	 //소득합산여부
		this.cboCollPossGbCd.setpicklistfilter(strFilter);	//담보제공자구분
		
		//데이터 초기화
		this.edtWifeNm.val("");			//배우자성명
		this.edtWifeResiNo.val("");		//배우자주민번호
		this.edtWifeCrdtScor.val("");	  //배우자신용점수
		this.chkAcptIncmYn.val("");		//배우자소득정보제공여부
		this.chkSpusMrtgOffrYn.val("");	//배우자담보제공여부
		this.cboIncmTotGbCd.setselectedindex(0);
		this.cboCollPossGbCd.setselectedindex(0);
		this.DS_SD.setdatabyname(0, "incmTotGbCd", "00010");	 //소득합산여부
		this.DS_SD.setdatabyname(0, "collPossGbCd", "00010");	//담보제공자구분

	}
}

/****************************************************************
 * ■ 임대차유무 변경 시
 ****************************************************************/
function cboRentYn_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(ncur_item == 0){	//임대차있음
		this.edtRentAmt.setenable(true);
	}else{				//임대차없음
		this.edtRentAmt.setenable(false);
		this.edtRentAmt.val("");
	}
}

/****************************************************************
 * ■ MCI 가입결정여부 변경 시
 ****************************************************************/
function cboMciEntrDtrmYn_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(ncur_item == 0){	//가입
		this.edtMciEntrAmt.setenable(true);
	}else{				//미가입
		this.edtMciEntrAmt.setenable(false);
		this.edtMciEntrAmt.val("");
	}
}

/****************************************************************
 * ■ 담보제공자구분 변경 시
 ****************************************************************/
function cboCollPossGbCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(ncur_item == 0){	//본인소유
		//this.edtJoinMrtgOffrManName.setenable(false);
		//this.edtJoinMrtgOffrResiNo.setenable(false);
		//this.btn_CrdtInfoRead3.setenable(false);
		
		this.edtJoinMrtgOffrManName.val("");
		this.edtJoinMrtgOffrResiNo.val("");
	}else{				//본인+배우자소유
		//this.edtJoinMrtgOffrManName.setenable(true);
		//this.edtJoinMrtgOffrResiNo.setenable(true);
		//this.btn_CrdtInfoRead3.setenable(true);
		
		var wifeNmVal = this.DS_SD.getdatabyname(0, "wifeNm");
		//var maskWifeNmVal = this.DS_SD.getdatabyname(0, "maskWifeNm");
		var wifeResiNoVal = this.DS_SD.getdatabyname(0, "wifeResiNo");
		//var maskWifeResiNoVal = this.DS_SD.getdatabyname(0, "maskWifeResiNo");
		
		this.DS_SD02.setdatabyname(0, "joinMrtgOffrManName", wifeNmVal);
		//this.DS_SD02.setdatabyname(0, "maskJoinMrtgOffrManName", maskWifeNmVal);
		this.DS_SD02.setdatabyname(0, "joinMrtgOffrResiNo", wifeResiNoVal);
		//this.DS_SD02.setdatabyname(0, "maskJoinMrtgOffrResiNo", maskWifeResiNoVal);
	}
}

/****************************************************************
 * ■ 배우자 담보제공 여부 체크 시
 ****************************************************************/
function chkSpusMrtgOffrYn_on_itemchange(objInst, prev_value, curr_value, event_type)
{
	if(curr_value == "Y"){
		var wifeNmVal = this.DS_SD.getdatabyname(0, "wifeNm");
		//var maskWifeNmVal = this.DS_SD.getdatabyname(0, "maskWifeNm");
		var wifeResiNoVal = this.DS_SD.getdatabyname(0, "wifeResiNo");
		//var maskWifeResiNoVal = this.DS_SD.getdatabyname(0, "maskWifeResiNo");
		
		this.cboCollPossGbCd.settext("00020");
		this.DS_SD02.setdatabyname(0, "joinMrtgOffrManName", wifeNmVal);
		//this.DS_SD02.setdatabyname(0, "maskJoinMrtgOffrManName", maskWifeNmVal);
		this.DS_SD02.setdatabyname(0, "joinMrtgOffrResiNo", wifeResiNoVal);
		//this.DS_SD02.setdatabyname(0, "maskJoinMrtgOffrResiNo", maskWifeResiNoVal);
	}
}

/****************************************************************
 * ■ 팝업 콜백
 ****************************************************************/
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 연소득 팝업 콜백
		if(objExtdata.popId == "SSPASP05"){
			this.DS_SD.setdatabyname(0, "yearIncomeAmt", objExtdata.yyIncoSumAmt);		//연소득
			this.DS_SD03.setdatabyname(0, "cplTotYyIncoAmt", objExtdata.yyIncoSumAmt);	//부부합산연소득
		}
		
		// 세대주택보유수 확정 팝업 콜백
		if(objExtdata.popId == "SXMPVP01"){
			this.DS_SD.setdatabyname(0, "famMembHousOwnCnt", objExtdata.Cnt)	//세대원주택소유수
		}
	}
}