﻿function screen_on_load()
{
	// 예시1
	// 네비바에 아이템 추가
	for(var i=0; i<3; i++) {
		var idx = navibar01.additem("Item"+navibar01.getitemcount());
	}
	
	// 예시2
	// 네비바에 아이템 추가
	for(var i=0; i<3; i++) {
		var idx = navibar02.additem("Item"+navibar02.getitemcount());
	}

	SetExample03();	// 예시3
	SetExample04();	// 예시4
	SetExample05();	// 예시5
}

////////////////////////////////////////////////
// 예시3
function SetExample03()
{
	navibar03.deleteallitem();
	
	// 아이템 추가
	navibar03.additem("HOME");
	navibar03.additem("PORTFOLIO");
	navibar03.additem("PROJECTS");
	navibar03.additem("DAILY UI");
	navibar03.additem("BREADCRUMB");

	// 아이템별 배경색 설정
	navibar03.setitembackcolor(0, factory.rgb(249,19,183));
	navibar03.setitembackcolor(1, factory.rgb(66,142,254));
	navibar03.setitembackcolor(2, factory.rgb(3,207,13));
	navibar03.setitembackcolor(3, factory.rgb(246,39,34));
	navibar03.setitembackcolor(4, factory.rgb(238,245,255));
}

// 예시4
function SetExample04()
{
	navibar04.deleteallitem();

	// 아이템 추가
	navibar04.additem("");
	navibar04.additem("");
	navibar04.additem("");
	navibar04.additem("");
	navibar04.additem("");

	// 아이템별 이미지 설정
	navibar04.setitembackimage(0, "/TEMPLATE/HTML5/COMPONENT/NAVIBAR/navi_item01.png");
	navibar04.setitembackimage(1, "/TEMPLATE/HTML5/COMPONENT/NAVIBAR/navi_item02.png");
	navibar04.setitembackimage(2, "/TEMPLATE/HTML5/COMPONENT/NAVIBAR/navi_item03.png");
	navibar04.setitembackimage(3, "/TEMPLATE/HTML5/COMPONENT/NAVIBAR/navi_item04.png");
	navibar04.setitembackimage(4, "/TEMPLATE/HTML5/COMPONENT/NAVIBAR/navi_item05.png");
}

// 예시5
function SetExample05()
{
	navibar05.deleteallitem();

	// 아이템 추가
	navibar05.additem("Catalog");
	navibar05.additem("Computers");
	navibar05.additem("Software");
	navibar05.additem("Sketch");

	// 첫번째 아이템만 왼쪽아이콘 표시
	navibar05.setitemlefticon(0, "/TEMPLATE/HTML5/COMPONENT/NAVIBAR/btn_navi_home.png");
	navibar05.setitemlefticonshow(0, true);
}


////////////////////////////////////////////////
// Event
// 마우스 클릭시 이벤트 처리
function navibar02_on_itemclick(objInst, index, type)
{
	ShowAlert("_on_itemclick", objInst, index, type);
}

// 마우스 더블클릭시 이벤트 처리
function navibar02_on_itemdblclick(objInst, index, type)
{
	ShowAlert("_on_itemdblclick", objInst, index, type);
}

// 오른쪽마우스 클릭시 이벤트 처리
function navibar02_on_itemrclick(objInst, index, type)
{
	ShowAlert("_on_itemrclick", objInst, index, type);
}

function ShowAlert(event, objInst, index, type)
{
	var msg = "";
	if (type == 1) {
		msg = "Left Icon Click";
	} else if (type == 2) {
		msg = "Right Icon Click";
	} else if (type == 3) {
		msg = "Separator Click";
	} else {
		msg = "Text Click";
	}
	
	var msg1 = objInst.getname() + event + " : " + objInst.getitemtext(index) + " , " + msg;
	
	screen.alert(msg1);
}