﻿// 화면내 전역 변수
var SCREEN_GLOBAL_VALIABLE = 0;

/**
 * 멤버객체를 통해 호출할 함수를 정의한다.
 * 파라미터로 넘어온 값이 있으면 그 값을 리턴하고, 없으면 파라미터가 없다는 메세지를 리턴한다.
 * @param param_data 함수에 전달할 데이터
 */
function returnParamData(param_data)
{
	if (param_data !== undefined && param_data !== "") {
		return "전달한값 = " + param_data;
	}
	
	return "전달한 파라미터가 없습니다.";
}

/**
 * 멤버객체를 통해 함수를 호출하는 버튼클릭 이벤트를 처리한다.
 */
function btn_function_call_on_mouseup(objInst)
{
	var strParamData, strFunctionName, scrMember;
	
	// 함수에 전달할 값 설정
	strParamData = fld_data.gettext();
	
	// 호출할 함수명 설정
	strFunctionName = "returnParamData";
	
	// 화면의 멤버 오브젝트 구하기
	scrMember = screen.getmembers();
	if (factory.isobject(scrMember) == true) {
		if (factory.isfunction(scrMember[strFunctionName])) {
			// 화면의 함수를 통하여 값 전달 및 리턴값 받기
			strFuncRet = scrMember[strFunctionName](strParamData);
			screen.alert("[결과] " + strFuncRet);
		}
	}
}

/**
 * 멤버객체를 통해 전역변수에 접근하는 버튼클릭 이벤트를 처리한다.
 */
function btn_global_variable_on_mouseup(objInst)
{
	var scrMember, strGlobalVal;
	
	scrMember = screen.getmembers();
	if (factory.isobject(scrMember) == true) {
		strGlobalVal = scrMember.SCREEN_GLOBAL_VALIABLE;
		txt_res.settext(strGlobalVal);
		
		// 호출할때마다 값 증가
		scrMember.SCREEN_GLOBAL_VALIABLE++;
	}
}

/**
 * 멤버객체를 통해 화면내 오브젝트에 접근하는 버튼클릭 이벤트를 처리한다.
 */
function btn_screen_object_on_mouseup(objInst)
{
	var scrMember, objTarget;
	
	// 멤버객체 구하기
	scrMember = screen.getmembers();
	if (factory.isobject(scrMember) == true) {
		// '멤버.변수명' 으로 오브젝트 접근
		objTarget = scrMember.btn_target;
		if (factory.isobject(objTarget) == true) {
			// 버튼의 배경색 및 텍스트 변경
			if (objTarget.gettext() == "빨간색") {
				objTarget.setbackcolor(111, 148, 255);
				objTarget.settext("파란색");
			} 
			else {
				objTarget.setbackcolor(255, 111, 111);
				objTarget.settext("빨간색");
			}
		}
	}
}