﻿


/*
 * 화면 로드 이벤트
 */
function screen_on_load()
{
	this.btnConsoleLog.setstate(SYSVar.SHOW_CONSOLELOG);
}




/**  예제
오브젝트속성 : 버튼
오브젝트명 : btn1
이벤트명 : on_mouseup
설명 : 기본알림창을 호출한다.
*/
function btn1_on_mouseup(objInst)
{
	var strMsg = this.fld_t1_1.gettext();
	SYSUtil.comAlert(strMsg);
	// screen.alert(strMsg); 화면에서 직접실행.
}


function btn1_2_on_mouseup(objInst)
{
	//var bContinue = this.screen.confirm(this.fld_t1_2.gettext());  화면에서 직접실행.
	var bContinue = SYSUtil.comConfirm(this.fld_t1_2.gettext());
	if(bContinue) {
		// 진행할 작업 
	} else {
		return;
	}
}

/*
	* 버튼 스타일과 박스의 아이콘 스타일 지정할 수 있다.
	
	* MESSAGEBOX STYLE(메세지박스 스타일) 상수
	
	  XFD_MB_INFORMATION 또는 1 (알림)
	  XFD_MB_ERROR 또는 2	   (에러)
	  XFD_MB_QUESTION 또는 3	(확인)
	  XFD_MB_STOP 또는 4	    (중지)
	
	* MESSAGEBOX BUTTON TYPE(버튼 스타일) 상수
	
	  XFD_MB_ABORTRETRYIGNORE 또는 1
	  XFD_MB_OK 또는 2
	  XFD_MB_OKCANCEL 또는 3
	  XFD_MB_RETRYCANCEL 또는 4
	  XFD_MB_YESNO 또는 5
	  XFD_MB_YESNOCANCEL 또는 6
	  XFD_MB_CANCELRETRYCONTINUE 또는 7
	
	* MESSAGEBOX FOCUS BUTTON(포커스 받을 버튼) 상수
	
	  XFD_MB_FOCUSBUTTON1 또는 0
	  XFD_MB_FOCUSBUTTON2 또는 1
	  XFD_MB_FOCUSBUTTON3 또는 2
	
	* MESSAGEBOX BUTTON 상수
	
	  XFD_MB_RESOK 또는 1
	  XFD_MB_RESCANCEL 또는 2
	  XFD_MB_RESABORT 또는 3
	  XFD_MB_RESRETRY 또는 4
	  XFD_MB_RESIGNORE 또는 5
	  XFD_MB_RESYES 또는 6
	  XFD_MB_RESNO 또는 7
	  XFD_MB_RESCONTINUE 또는 8

*/
function btnMessage_on_mouseup(objInst)
{
	var strTitle      = this.fld_t2_1.gettext(); 
	var strMsg        = this.fld_t2_2.gettext();
	var nMsgType      = Number(this.fld_t2_3.getselectedcode()); 
	var nBtnType      = Number(this.fld_t2_4.getselectedcode());
	//nBtnType = XFD_MB_ABORTRETRYIGNORE;
		
	var nFocus        = 1; 
	var strMsgId 	 = "message01";
	
	// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
	SYSUtil.loadMessageBox(screen, strTitle, nMsgType, nBtnType, strMsg, nFocus, strMsgId);
}

function btnMessagEx_on_mouseup(objInst)
{
	var strTitle      = "테스트 메시지"; 
	var nMsgType      = 1; 
	var nBtnType      = XFD_MB_YESNO;
	var strMsg        = "메시지 테스트 입니다.";
	var nFocus        = 1; 
	var strCallScript = "messageCallFunc";	
	
	// 메세지 처리 후 지정된 콜백함수와 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
	SYSUtil.loadMessageBoxEx(screen, strTitle, nMsgType, nBtnType, strMsg, nFocus, strCallScript);
}

function messageCallFunc(nRet)
{
	console.log("nRet:" + nRet);
	this.txtCallBack.settext(nRet);
}

/**  예제
오브젝트속성 : 버튼
오브젝트명 : btn2
이벤트명 : on_mouseup
설명 : 하단상태바영역에 메세지를 출력한다.
*/
function btn2_on_mouseup(objInst)
{
	SYSUtil.setStatusMsg("하단영역메세지 변경");
	SYSUtil.setSystemId("관리자11");
}

function screen_on_popupdestroy(popup_screen, popup_name, result)

	if(popup_name == "message01") {
		this.txtResult.settext(result);
	}
}

function btnFrameError_on_mouseup(objInst)
{
	//arrMsgTitle, arrMsg, msgNumber, duration
	
	let arrMsgTitle = []; 	// 메세지 타이틀 array
	let arrMsg = [];		// 메세지 내용 array
	let msgNumber = 2;		// 메세지 수
	let duration = 5;		// 메세지를 보여주는 시간(초). 0으로 설정할경우 게속 보여준다.
	
	arrMsgTitle.push("메세지 타이틀");
	arrMsgTitle.push("E001");
	arrMsg.push("에러가 발생하였습니다.");
	arrMsg.push("시스템 DATABASE에 접속할수 없습니다. ");
	
	SYSUtil.setTaskMessage(screen, arrMsgTitle, arrMsg, msgNumber, duration);
}

function btnConsoleLog_on_click(objInst, bState)
{
	SYSUtil.showConsoleLog(bState);
}

function btnConsoleTrace_on_click(objInst, bState)

	SYSUtil.showXFrame5ConsoleTrace(bState);
}

function btnLog1_on_mouseup(objInst)
{
	console.log("로그메세지 출력");
}

function btnLog2_on_mouseup(objInst)
{
	SYSUtil.consoleprint("로그메세지 출력");
}