﻿

/*
 * 화면 최초 로드 이벤트
 */
function screen_on_load()
{
	
}

// 팝업화면으로 전달할 파라미터 설정
var objPopupExtraData = {
	POPOP_PARAM_DATA: "",	 // 팝업화면으로 전달할 데이터
	RETURN_FUNCTION_NAME: "", // 팝업화면에서 데이터를 전달받기 위해 사용할 함수명
};

/**
 * 일반팝업을 모달방식으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (함수명으로 결과 전달방식)
 */
function btn_modal_1_on_mouseup(objInst)
{
	objPopupExtraData.POPOP_PARAM_DATA = this.fld_req1.gettext();
	objPopupExtraData.RETURN_FUNCTION_NAME = "setFldRes1";
	
	factory.loadpopup("popup_normal", "/SBT/TEMP/popup_screen", "모달팝업(일반화면)", false, 
		XFD_BORDER_RESIZE, 0, 0, true, true, screen, objPopupExtraData);
}

/**
 * 포틀릿팝업을 모달방식으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (부모화면의 on_destroy이벤트로 결과 전달방식)
 */
function btn_modal_2_on_mouseup(objInst)
{
	objPopupExtraData.POPOP_PARAM_DATA = this.fld_req1.gettext();
	
	screen.loadportletpopup("popup_normal", "/SBT/TEMP/popup_portlet", "모달팝업(포틀릿화면)", false, 
        XFD_BORDER_RESIZE, 0, 0, 200, 500, true, true, false, objPopupExtraData);
}

/**
 * 포틀릿팝업을 모달방식으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (함수명으로 결과 전달방식)
 */
function btn_modal_3_on_mouseup(objInst)
{
	objPopupExtraData.POPOP_PARAM_DATA = this.fld_req2.gettext();
	objPopupExtraData.RETURN_FUNCTION_NAME = "setFldRes3";
	
	screen.loadportletpopup("popup_portlet", "/SBT/TEMP/popup_portlet", "모달팝업(포틀릿화면)", false, 
        XFD_BORDER_RAISED, 0, 0, 200, 500, true, true, false, objPopupExtraData);
}

/**
 * 포틀릿팝업을 모달방식으로 호출하는 버튼클릭 이벤트를 처리한다.
 * (부모화면의 on_destroy이벤트로 결과 전달방식)
 */
function btn_modal_4_on_mouseup(objInst)
{
	objPopupExtraData.POPOP_PARAM_DATA = this.fld_req2.gettext();
	
	screen.loadportletpopup("popup_portlet", "/SBT/TEMP/popup_portlet", "모달팝업(포틀릿화면)", false, 
        XFD_BORDER_RAISED, 0, 0, 200, 500, true, true, false, objPopupExtraData);
}

/**
 * 일반팝업을 모달리스방식으로 버튼클릭 이벤트를 처리한다.
 * (함수명으로 결과 전달방식)
 */
function btn_modeless_1_on_mouseup(objInst)
{
	objPopupExtraData.POPOP_PARAM_DATA = this.fld_req1.gettext();
	objPopupExtraData.RETURN_FUNCTION_NAME = "setFldRes1";
	
	factory.loadpopup("popup_normal", "/SBT/TEMP/popup_screen", "모달리스팝업(일반화면)", false, 
		XFD_BORDER_RESIZE, 0, 0, true, false, screen, objPopupExtraData);
}

/**
 * 일반팝업을 모달리스방식으로 버튼클릭 이벤트를 처리한다.
 * (부모화면의 on_destroy이벤트로 결과 전달방식)
 */
function btn_modeless_2_on_mouseup(objInst)
{
	objPopupExtraData.POPOP_PARAM_DATA = this.fld_req1.gettext();
	
	factory.loadpopup("popup_normal", "/SBT/TEMP/popup_screen", "모달리스팝업(일반화면)", false, 
		XFD_BORDER_RESIZE, 0, 0, true, false, screen, objPopupExtraData);
}

/**
 * 일반 팝업화면에서 호출하여 결과값을 부모화면으로 전달한다.
 */
function setFldRes1(result)
{
	this.fld_res1.settext(result);
}

/**
 * 포틀릿 팝업화면에서 호출하여 결과값을 부모화면으로 전달한다.
 */
function setFldRes3(result)
{
	this.fld_res3.settext(result);
}

/**
 * 팝업이 닫힌 후 결과값을 가져오는 화면의 popupdestroy 이벤트를 처리한다.
 */
function screen_on_popupdestroy(popup_screen, popup_name, result)
{
	// 팝업화면에서 unloadpopup API로 닫을때 전달할값이 설정되어 있고 함수명을 전달하지 않은 경우 입력
	if (result !== undefined && result !== "" && objPopupExtraData.RETURN_FUNCTION_NAME === "") {
		// 일반 팝업일 경우
		if (popup_name === "popup_normal") {
			this.fld_res2.settext(result);
		}
		// 포틀릿 팝업일 경우
		else if (popup_name === "popup_portlet") {
			this.fld_res4.settext(result);
		}
	}

	// 설정했던 objPopupExtraData값 초기화
	objPopupExtraData.POPOP_PARAM_DATA = "";
	objPopupExtraData.RETURN_FUNCTION_NAME = "";
}

// 공통팝업 프레임 ////////////////////////////////////////////////////


/**
 * 공통팝업프레임을 호출한다.
 * 
 */    
function btnComPopUp_on_mouseup(objInst)
{
	
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터
	objExtra_data.SEND_DATA = "전달데이터";
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback";
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "";
	objPopup_data.SCR_PATH   = "/SBT/TEMP/COM_POPUP_SCREEN_TEMP";
	objPopup_data.MENU_ID    = "COM_POPUP";
	objPopup_data.MENU_NM    = "공통팝업프레임";
	objPopup_data.P_MENU_ID  = "";
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 0);
}

/**
 * 사용자 지정 팝업콜백함수.
 */  
function popupUserCallback(objExtdata) 
{
	// 팝업에서 전달한 내용 출력
	SYSUtil.consoleprint(objExtdata);
	console.log(objExtdata);
}

/**
 * 사용자 지정 팝업콜백함수.
 */  
function popupUserCallback2() 
{
	// 커스텀 CSS 해제
	//this.screen.unloadcss("./style/xframe5_custom.css");
}


/**
 * 공통팝업프레임을 호출한다.
 * 건설종합 디자인 커스텀
 */ 
function btnComPopUpMain_on_mouseup(objInst)
{
	// 커스텀 CSS 적용
	//this.screen.loadcss("./style/xframe5_custom.css");

	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터
	objExtra_data.SEND_DATA = "전달데이터";
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback2";
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "";
	objPopup_data.SCR_PATH   = "/SBT/TEMP/COM_POPUP_SCREEN";
	objPopup_data.MENU_ID    = "COM_POPUP";
	objPopup_data.MENU_NM    = "한국산업안전보건공단 격리시험동";
	objPopup_data.P_MENU_ID  = "";
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 2);
	
}

/**
 * 공통팝업프레임을 호출한다.
 * 건설종합 디자인 커스텀 슬라이드탭
 */ 
function btnComPopUpMainSlide_on_mouseup(objInst)
{
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터
	objExtra_data.SEND_DATA = "전달데이터";
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback2";
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "";
	objPopup_data.SCR_PATH   = "/SBT/TEMP/COM_POPUP_SCREEN_SLIDE";
	objPopup_data.MENU_ID    = "COM_POPUP";
	objPopup_data.MENU_NM    = "한국산업안전보건공단 격리시험동";
	objPopup_data.P_MENU_ID  = "";
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 2);
}

/**
 * 공통팝업프레임을 호출한다.
 * 팝업화면 이동 처리
 */ 
function btnComPopUpMainMove_on_mouseup(objInst)
{
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터
	objExtra_data.SEND_DATA = "전달데이터";
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback2";
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "";
	objPopup_data.SCR_PATH   = "/SBT/TEMP/COM_POPUP_SCREEN_MOVE";
	objPopup_data.MENU_ID    = "COM_POPUP";
	objPopup_data.MENU_NM    = "한국산업안전보건공단 격리시험동(화면이동)";
	objPopup_data.P_MENU_ID  = "";
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 2);
}


/**
 * 주소검색 팝업을 호출한다.
 */ 
function btnComPopUpAddr_on_mouseup(objInst)
{
	SYSUtil.loadPopupAddr(this.screen , "addrPopUpCallback");
}

/**
 * 주소검색 팝업을 호출한다. (JUSO.GO.KR API 호출)
 */
function btnComPopUpAddrApi_on_mouseup(objInst)
{
	SYSUtil.loadPopupAddrApi(this.screen , "addrPopUpCallback");
}

/**
 * 주소검색 CALLBACK
 */
function addrPopUpCallback(objReturnData) {
	
	// 콜백 데이터를 전달하지않고 닫기 버튼으로 팝업을 종료
	if (objReturnData == undefined) {
		
	} else {
		console.log("addrPopUpCallback : " + objReturnData);
		this.zip_code.settext(objReturnData.ZIPCODE);
		this.addr_doro.settext(objReturnData.DORO);
		this.addr_jibun.settext(objReturnData.JIBUN);
	}
	
}


function screen_on_popupload(popup_screen, popup_name)
{
	
}

/**
 * 파일업로드(기본) 팝업을 호출한다.
 * 프로젝트 커스터마이징 대상
 */ 
function btnFileUploadBasicPopUp_on_mouseup(objInst)
{
	var objPopup_data = {};
	let objExtra_data = {};
	
	
	// 검색팝업으로 전달할 데이터
	objExtra_data.RETURN_FUNCTION_NAME = "filePopUpCallback";
	objExtra_data.PARENT_SCR = screen;
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "";
	objPopup_data.SCR_PATH   = "/SBT/TEMP/COM_POPUP_FILEUPLOAD_BASIC";
	objPopup_data.MENU_ID    = "COM_POPUP_FILEUPLOAD";
	objPopup_data.MENU_NM    = "";
	objPopup_data.P_MENU_ID  = "";
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(screen, objPopup_data, 2);
}


/**
 * 파일업로드(멀티) 팝업을 호출한다.
 * 프로젝트 커스터마이징 대상
 */ 
function btnFileUploadPopUp_on_mouseup(objInst)
{
	var objPopup_data = {};
	let objExtra_data = {};
	
	
	// 검색팝업으로 전달할 데이터
	objExtra_data.RETURN_FUNCTION_NAME = "filePopUpCallback";
	objExtra_data.PARENT_SCR = screen;
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "";
	objPopup_data.SCR_PATH   = "/SBT/TEMP/COM_POPUP_FILEUPLOAD";
	objPopup_data.MENU_ID    = "COM_POPUP_FILEUPLOAD";
	objPopup_data.MENU_NM    = "";
	objPopup_data.P_MENU_ID  = "";
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(screen, objPopup_data, 2);
}


/**
 *	파일 업로드 콜백 예시
 *	objInst : 파일업로드 오브젝트
 */
function filePopUpCallback(objInst) 
{

	if (objInst == undefined || objInst == "") {
		return;
	}
	
	var nCount, nRow, nDsRow;
	nCount = objInst.getfilecount();
	this.DS_FILE_DOWN.init();
	
	for (nRow = 0; nRow < nCount; nRow++) {
		if( objInst.getfileresult(nRow) == 1){
			nDsRow = this.DS_FILE_DOWN.addrow();
			this.DS_FILE_DOWN.setdatabyname(nDsRow, "FILE_NM", objInst.getfileresultfilename(nRow));
		}
		
	}
	
}

/**
 *	파일 다운로드 예시
 **/
function _btn_file_down_on_mouseup(objInst, index)
{
	var strFileName;
	var file_base_url = factory.gethtmlparam("XFILE_DOWNLOAD_URL");
	strFileName = this.DS_FILE_DOWN.getdatabyname(index, "FILE_NM");
	this.downloader_basic.deleteallfile();
	
	//this.downloader_basic.addfile(file_base_url + "?DownloadFilePath=" + strFileName , strFileName);
	
	this.downloader_basic.addfile(file_base_url , strFileName);
	this.downloader_basic.setfilepostdatavalue(index, "DownloadFilePath", strFileName);
	
	this.downloader_basic.startdownload();
}

function downloader_basic_on_filecomplete(objInst, nFileIndex, strFileName)
{
	console.log("downloader_basic_on_filecomplete: " + strFileName);
}

function downloader_basic_on_downloadcomplete(objInst)
{
	
}