﻿var sendPageParam ={"sendParam":"Test"};

//# sourceURL=http://softbase.frame/SYS/FRAME/popupFrame.js
/****************************************************************************/
/*
 * 현재 Frame 종류를 리턴한다.
 * @return {string} Frame 종류
 */
function _getFrameType() 
{
	return "POPUP_FRAME_MAIN";
}
var _tranProcCnt;
function _addTranProcCnt()
{
	this._tranProcCnt++;
}

function _subtractTranProcCnt()
{
	this._tranProcCnt--;
}

function _zeroTranProcCnt()
{
	this._tranProcCnt = 0;
}

function _getTranProcCnt()
{
	return this._tranProcCnt;
}

function _I_GlobalVar() {}

var m_ScrInfo = {
	SCR_ID     : "",
	SCR_PATH   : "",
	MENU_ID    : "",
	MENU_NM    : "",
	P_MENU_ID  : "",
	POPUP_NAME : "",
	WINPOPGBN  : false,
	PARENT_SCR : null
};
var m_PortletNm = "bizScreen";


function _II_ScreenEvent() {}

function screen_on_load()
{
    console.log("[SYSLOG] POPUPFRAMEMAIN");

	//this.showLoadingProcess(true);
	this._tranProcCnt = 0;
	
	SYSVar.ACTIVE_POPUP_SCREEN = this.screen;
	this.tabBizScreen.addcustomclass("_frame_portlet_screen");
	var objBizExtra_data = screen.getextradata();
	
	//= 업무 화면정보
	m_ScrInfo.SCR_ID     = objBizExtra_data.SCR_ID;
	m_ScrInfo.MENU_ID    = objBizExtra_data.MENU_ID;
	m_ScrInfo.MENU_NM    = objBizExtra_data.MENU_NM;
	m_ScrInfo.P_MENU_ID  = objBizExtra_data.P_MENU_ID;
	m_ScrInfo.PARENT_SCR = objBizExtra_data.PARENT_SCR;
	m_ScrInfo.SCR_PATH   = objBizExtra_data.SCR_PATH;
	m_ScrInfo.POPUP_NAME = objBizExtra_data.POPUP_NAME;
	
	if( objBizExtra_data.EXT_DATA.SEND_DATA.WINPOPGBN!=undefined && objBizExtra_data.EXT_DATA.SEND_DATA.WINPOPGBN!=null){
		m_ScrInfo.WINPOPGBN  = objBizExtra_data.EXT_DATA.SEND_DATA.WINPOPGBN;
	}
	
	objBizExtra_data.EXT_DATA.PARENT_SCR = objBizExtra_data.PARENT_SCR;
	

/*
	-1: 파라미터에 문제가 있을 경우
	-2: 화면이 존재하지 않는 경우(_xf_param에 CHECK_SCREENURL 값이 true인 경우 적용)
*/
	//var nRet = this.tabBizScreen.addportlettab("", 0, 0, m_ScrInfo.SCR_PATH, m_PortletNm, true, objBizExtra_data.EXT_DATA);
	//TODO 2023.01.06 박찬순 : SEND_DATA 체크
	var nRet = 0;
	
	this.tabBizScreen.addportlettab("", 0, 0, m_ScrInfo.SCR_PATH, m_PortletNm, true, objBizExtra_data.EXT_DATA.SEND_DATA);
	
	if(nRet == -1) {
		screen.alert("[" + nRet + "]  파라미터에 문제가 있을 경우");
	} else if(nRet == -2) {
		screen.alert("[" + nRet + "]  화면이 존재하지 않는 경우(_xf_param에 CHECK_SCREENURL 값이 true인 경우 적용)");
	}
	
	var body = document.querySelector("body");
	body.style.overflow ="hidden";
	
}

function _III_ObjectEvent() {}
/**/
function tabBizScreen_on_itemcreate(objInst, itemindex)
{
	
	//console.log("[SYSLOG] tabBizScreen_on_itemcreate ");
	
	var strPopupName;
	
	// MENU_NM에 데이터가 있을경우 팝업 타이틀로 표시하고 
	// 없을경우 팝업 타이틀 정보를 링크된 팝업 화면의 정보를 통해서 구함
	strPopupName = m_ScrInfo.MENU_NM;
	if (strPopupName == "" || strPopupName.length == 0) {
		strPopupName = this.tabBizScreen.getinnerscreentitle(0);
	} 
	
	// 화면 타이틀 텍스트 설정 및 텍스트 길이 조절
	this.capScreenTitle.settext(strPopupName);
	this.capScreenTitle.fittext(1, 2);
	
	// portlet 으로 프레임이 구성된 경우는 업무화면 사이즈를 구하기 위해 탭의 자식 화면을 구한다.
//	var nBizScreenWidth  = this.tabBizScreen.getchildscreeninstance(itemindex).getscreenwidth();			
//	var nBizScreenHeigth = this.tabBizScreen.getchildscreeninstance(itemindex).getscreenheight();
	var nBizScreenWidth  = this.tabBizScreen.getchildscreeninstance(itemindex).original_screen_width;			
	var nBizScreenHeigth = this.tabBizScreen.getchildscreeninstance(itemindex).original_screen_height;
	
	//팝업 최소 크기 조정
	if(nBizScreenHeigth >= 860){
		nBizScreenHeigth = 860;
		nBizScreenWidth = nBizScreenWidth + 20;
	}
	
	// 상단 및 하단 마진
	var nTopMargin = 55;
	var nBottomMargin = 15;
	
	var leftMargin = 15;
	var rightMargin = 15;

	// 프레임 크기 계산
	var nScreenWidth = leftMargin+nBizScreenWidth+rightMargin;
	var nScreenHeight = nBizScreenHeigth + nTopMargin + nBottomMargin;

	// 팝업 화면 크기 조정
	this.screen.setpopuppos(0, 0, nScreenWidth, nScreenHeight, false, 2, true);

	// 프레임 화면 크기 변경	
	this.screen.setscreenwidth(nScreenWidth);
	this.screen.setscreenheight(nScreenHeight);
	
	//console.log("nScreenWidth " + nScreenWidth);
	//console.log("nBizScreenWidth " + nBizScreenWidth);
	//console.log("nScreenHeight " + nScreenHeight);
	//console.log("nBizScreenHeigth " + nBizScreenHeigth);
	
	// 탭 크기변경
	this.tabBizScreen.setwidth(nBizScreenWidth);
	this.tabBizScreen.setheight(nBizScreenHeigth);
	this.tabBizScreen.setleft(15);
	
	// Drag Area 지정
	this.screen.setpopupdragarea(0, 0, screen.getscreenwidth(), this.capScreenTitle.getheight());
	
	this.tabBizScreen.settabitemscrollbarstyle(0, 1, 1);
	
	// 윈팝업일때 화면이 작아져 월래 크기로 조정
	if(m_ScrInfo.WINPOPGBN==true){
		//setTimeout(function(){jdom.width(nBizScreenWidth);jdom.height(nBizScreenHeigth);}, 400);
		setTimeout(function(){this.tabBizScreen.setwidth(nBizScreenWidth); this.tabBizScreen.setheight(nBizScreenHeigth);}, 300);
	}
}

function _IV_UserFunction() {}


function showLoadingProcess(bShow)
{
	this.pnlLoading.setvisible(bShow);
}

/*
 * 공통팝업프레임 닫기 버튼
 * 공통팝업프레임에서 닫기버튼으로 닫을경우는 부모화면에 데이터 전달 할수가없다.
 * 부모화면에서 전달한 콜백함수는 호출가능하다.
 * 데이터 전달을 위해서는 별도의 비지니스 로직을 구현한다.  
 */
function _btnPopClose_on_mouseup(objInst)
{
	var objChildScreen = this.tabBizScreen.getchildscreeninstance(0);
	objChildScreen.callscriptmethod("paranet_screen_data_load()", XFD_JAVASCRIPT);		
}


/**
 *	데이터 전달을 위한 팝업 콜백이벤트 처리 함수.
 *    @param objParam 팝업화면에서 전달한 데이터.
 **/
function _popCloseCallBack(objParam){
	var objExtraData = screen.getextradata();
	var srcParent;
	
	// 리턴받는데 사용할 함수명을 전달한 경우
	if (objExtraData != null && objExtraData.EXT_DATA != undefined && objExtraData.EXT_DATA.RETURN_FUNCTION_NAME !== "") {
		// 부모화면 screen 구하고 유효성 처리
		srcParent = this.screen.getparent();
		if (factory.isobject(srcParent)) {
			// 부모화면의 멤버 오브젝트 구하기
			scrParentMember = srcParent.getmembers();
			if (factory.isobject(scrParentMember) == true) {
				if (factory.isfunction(scrParentMember[objExtraData.EXT_DATA.RETURN_FUNCTION_NAME])) {
					// 부모화면의 함수를 통하여 값 전달
					scrParentMember[objExtraData.EXT_DATA.RETURN_FUNCTION_NAME](objParam, m_ScrInfo.POPUP_NAME);
				}
			}
		}
	}		
	// 팝업화면 닫기
	this.screen.unloadpopup();
}

function setTaskMessage(arrMsgTitle, arrMsg, msgNumber, duration) 
{
	var _objTabScreen = this.tabErrorMsg.getchildscreeninstance(0);
	var _tabScreenMembers = _objTabScreen.getmembers();
	_tabScreenMembers.setErrorMsg(arrMsgTitle, arrMsg, msgNumber, duration);
}

function screen_on_destroy()
{	
	SYSVar.ACTIVE_POPUP_SCREEN = undefined;
	
	// 윈도우가 일반 팝업이면..
	if(m_ScrInfo.WINPOPGBN==true){
		console.log("################## ##################");
		var objChildScreen = this.tabBizScreen.getchildscreeninstance(0);
		objChildScreen.callscriptmethod("paranet_screen_data_load()", XFD_JAVASCRIPT);		
	}
	
	return 1;
}

function screen_on_activate()
{
	console.log("screen_on_activate");
	SYSVar.ACTIVE_POPUP_SCREEN = this.screen;
}

function screen_on_popupdestroy(popup_screen, popup_name, result)
{
	console.log("frame screen_on_popupdestroy");
}

/**
 *	팝업타이틀을 변경한다.
**/
function setPopupTitle(strTitle){
	this.capScreenTitle.settext(strTitle);
	this.capScreenTitle.fittext(1, 2);
}

/**
 *	닫기버튼 제어처리.
**/
function showCloseButton(bShow)
{
	this._btnPopClose.setvisible(bShow);
}

function tabBizScreen_on_contentsize(objInst, itemindex, content_width, content_height) {
	console.log("tabBizScreen_on_contentsize : "+content_width);
}