﻿/* ================================================== 
 * 프 로 젝 트 명 : BEST시스템 웹전환
 * 업 무 그 룹 ID : 시스템
 * 화    면    ID : ParmMgr
 * 화    면    명 : [프레임웍] 아규먼트 관리자
 * 화  면  설  명 : 
 * AS-IS 프로그램 : xx_anta.pbl / un_parmmgr
 *
 */


/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
this.isv_Parm = [];
this.ibv_DelOnGet = false;


/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */
function _screen_on_load()
{
	GM.ParmMgr = this;
}

/* --------------------------------------------------
 * 2. 공통 이벤트 영역
 * -------------------------------------------------- */


/* --------------------------------------------------
 * 3. 사용자정의 함수 영역
 * -------------------------------------------------- */
//forward prototypes
//private function integer of_importall (ref string rsa_Nm[], ref string rsv_Nms)
//미사용 public function integer of_importobjectall (ref string vsa_objectnm[], ref powerobject voa_object[])
//미사용 public function integer of_importparmall (ref string vsa_parmnm[], ref string vsa_parm[])
//미사용 public function integer of_copyparms (ref un_parmmgr rov_parmmgr)
//미사용 public function integer of_copyobjects (ref un_parmmgr rov_parmmgr)
//미사용 public function boolean of_delonret (boolean vbv_delonget)
//미사용 public function integer of_exportparmall (ref string rsa_parmnm[], ref string rsa_parm[])
//미사용 public function integer of_exportobjectall (ref string rsa_objectnm[], ref powerobject roa_object[])
//미사용 public function unsignedinteger of_exportobjectnameall (ref string rsa_objectnm[])
//확인필요:공통에서만 쓰임. public function string of_findobject (string vsv_objectnm, ref long rlv_idx)
//확인필요:pyt009/w_pyt_bhkrbh:0028 public function unsignedinteger of_exportparmnameall (ref string rsa_parmnm[])

//public function string of_delobject (string vsv_objectnm)
//public function string of_createparm (string vsv_parmnm, string vsv_parm)
//public function string of_createobject (string vsv_objectnm, powerobject vov_object)
//public function string of_setobject (string vsv_objectnm, powerobject vov_object)
//private function long of_addname (ref string rsv_names, string vsv_name)
//private subroutine of_delname (ref string rsv_names, ref integer riv_slot)
//public function string of_delparm (string vsv_parmnm)
//public function string of_getobject (string vsv_objectnm, ref powerobject rov_objectval)
//private function integer of_find (ref string rsv_names, string vsv_name)
//public function string of_findparm (string vsv_parmnm, ref long rlv_idx)


/**
 * 입력한 이름으로 string parm에 아규먼트값을 수정
 * @param vsv_parmnm : string : parameter의 이름
 * @param vsv_parm : string : parameter의 값
 * @return
 * @remark 
		public function string of_setparm (string vsv_parmnm, string vsv_parm)
 */
function of_SetParm(vsv_parmnm, vsv_parm)
{
	this.isv_Parm[vsv_parmnm] = vsv_parm;
}

/**
 * Parameter 이름과 연관된 값을 반환
 * @param vsv_parmnm : string : parameter의 이름
 * @param vsv_parm : string : parameter의 값
 * @return
 * @remark 
		public function string of_getparm (string vsv_parmname)
		public function string of_getparm (string vsv_parmnm, ref string rsv_parmval)
 */
function of_GetParm(vsv_parmname)
{
	let vsv_parmval = this.isv_Parm[vsv_parmname];
	
	if (this.ibv_DelOnGet)
	{
		delete this.isv_Parm[vsv_parmname];
	}
	if (vsv_parmval == undefined)
	{
		GM.PgmMgr.of_SetMicroHelp("설정된 파라미터가 없습니다.");	
	}	
}

/* --------------------------------------------------
 * 4. 컨트롤 이벤트 영역
 * -------------------------------------------------- */