﻿var base_url = "/fileuploader.jsp";
var batch_base_url = "/fileuploader.jsp?pageGbn=batch";
var bizScreenId;
var returnFileNo = "";

var fileWhiteList = SYSVar.fileWhiteList;

function screen_on_load(){	
	// 부모화면서 넘겨받은 데이터
	this.EXTRA_DATA = screen.getextradata();
	
    var param = this.EXTRA_DATA;

	var pageGbn = param.PAGEGBN;
	var fileRename = param.RENAME;
	this.bizScreenId = param.BIZSCREENID;
	
	//console.log("##### param.BIZSCREENID :"+param.BIZSCREENID);
	
	var fileRenameParam = "&fileRename=Y";
	
	if(fileRename=="N"){
		fileRenameParam = "&fileRename=N";
	}	
	
	if(pageGbn=="batch"){
		// 파일 업로드 대상 URL 지정
		this.uploader_basic.seturl(batch_base_url+fileRenameParam);
		this.bizScreenId = "batch";
	}else{
		var fileSaveSubPath ="?fileSaveSubPath="+param.BIZSCREENID
		// 파일 업로드 대상 URL 지정
		this.uploader_basic.seturl(base_url+fileSaveSubPath+fileRenameParam);
	}
	
	//console.log(this.PARENT_SCR);
}

// 파일 추가 버튼 이벤트 처리
function btn_addfile_on_mouseup(objInst)
{
	this.uploader_basic.addfile();
}

// 모든 파일 삭제 버튼 이벤트 처리
function btn_deleteallfile_on_mouseup(objInst)
{
	// 모든 업로드 대상 파일 삭제
	this.uploader_basic.deleteallfile();
}

// 업로드 상태 초기화 버튼 이벤트 처리
function btn_clearallfilestatus_on_mouseup(objInst)
{
	// 모든 파일에 대한 업로드 상태 초기화
	this.uploader_basic.clearallfilestatus();
	
	// 업로드 상태 초기화를 그리드에 표시
	this.UpdateFileStauts(-1);
}

// 업로드 시작 버튼 이벤트 처리
function btn_startupload_on_mouseup(objInst)
{	
	var fileCnt = this.grdList.getrowcount();
	
	if( fileCnt < 4 && this.bizScreenId == "batch"){
		var targetCnt =  4 - fileCnt ;
		SYSUtil.loadMessageBox(this.screen, "안내", 1, targetCnt+"개의 파일이 누락되었습니다.\n파일을 다시 선택해 주세요", "fileUploadInfo");
		return ;
	}
	
	this.uploader_basic.startupload();
}

// 업로드 중지 버튼 이벤트 처리
function btn_stopupload_on_mouseup(objInst)
{
	this.uploader_basic.stopupload();
}

// 업로드 파일 상태 정보 업데이트 처리
function UpdateFileStauts(nFileIndex) {
	var count, i;
	
	// 파일 인덱스가 -1인 경우, 전체 파일 목록에 대해서 업데이트 처리
	if (nFileIndex == -1) {
		count = this.uploader_basic.getfilecount();
		for (i = 0; i < count; i++) {		
			this.UpdateOneFileStauts(i);				
		}
	}
	// 파일 인덱스가 -1이 아닌 경우, 특정 파일에 대해서 업데이트 처리	
	else {
		this.UpdateOneFileStauts(nFileIndex);
	}
}

// 업로드 대상 파일 목록 정보를 그리드에 다시 표시
function ReloadFileStatus() {
	var nFileIndex, count;
	
	// 그리드 내용 전체 지움
	this.grdList.deleteall();
	
	// 업로드 대상 파일 갯수만큼 Loop를 돌면서 그리드에 추가
	count = this.uploader_basic.getfilecount();
	for (nFileIndex = 0; nFileIndex < count; nFileIndex++) {
		
		var tempFileName = this.uploader_basic.getfilename(nFileIndex).toLowerCase() ;
		
		var check = false;
		for(var i = 0 ; i < fileWhiteList.length;i++){
			if(tempFileName.endsWith(fileWhiteList[i])){
				check = true;	
				break;
			}
		}
		if(!check){
			fileAlert();
			break;
			return;
		}
		
		this.grdList.additem();
		this.grdList.setitemtext(nFileIndex, 0, (nFileIndex+1));
		this.grdList.setitemtext(nFileIndex, 1, this.uploader_basic.getfilename(nFileIndex));
		this.grdList.setitemtext(nFileIndex, 2, this.uploader_basic.getfilesize(nFileIndex));
		this.grdList.setitemtext(nFileIndex, 3, this.uploader_basic.getfilebriefsize(nFileIndex));
		this.grdList.setitemtext(nFileIndex, 4, this.uploader_basic.getfiledate(nFileIndex));
		this.grdList.setitemtext(nFileIndex, 5, this.uploader_basic.getfiletime(nFileIndex));
		
		this.UpdateOneFileStauts(nFileIndex);
		
	}
}

// 한 파일에 대한 업로드 상태 표시 업데이트
function UpdateOneFileStauts(nFileIndex) {
	var tempfileName = this.uploader_basic.getfileresultfilename(nFileIndex);
	var fileName = tempfileName.substring(tempfileName.indexOf("|")+1);
	var filePath = tempfileName.substring(0, tempfileName.indexOf("|"));
	
	
	
	this.grdList.setitemtext(nFileIndex, 6,  this.uploader_basic.getfilestatus(nFileIndex));
	this.grdList.setitemtext(nFileIndex, 7,  this.uploader_basic.getfileprogress(nFileIndex));
	this.grdList.setitemtext(nFileIndex, 8,  this.uploader_basic.getfileresult(nFileIndex));
	this.grdList.setitemtext(nFileIndex, 9,  this.uploader_basic.getfileresultmsg(nFileIndex));
	this.grdList.setitemtext(nFileIndex, 10, fileName);	
	this.grdList.setitemtext(nFileIndex, 11, this.bizScreenId.substring(0, 1));	
	this.grdList.setitemtext(nFileIndex, 12, filePath);	
	this.grdList.setitemtext(nFileIndex, 13, this.bizScreenId);	
	
	//console.log(this.uploader_basic.getfileresultmsg(nFileIndex));
	//console.log(this.uploader_basic.getfileresultfilename(nFileIndex));	
	//console.log(this.uploader_basic.getfolderpath(nFileIndex));	
	
	///모든파일이 완료되었는지 체크.
	this.file_upload_complete_check();
}

/////////////////////////////////////////////////////////////////////////////////////////////
// EVENT
/////////////////////////////////////////////////////////////////////////////////////////////

// 그리드 파일 드롭 이벤트 처리 (탐색시에서 파일 Drag&Drop 처리시 발생함)
function grdList_on_dropfiles(objInst, arrayDropFiles, nDropFileCount)
{
	var 	i, fileObj;

	// 드롭된 파일 갯수 및 파일 정보를 콘솔에 출력
	factory.consoleprint("nDropFileCount = " + nDropFileCount);
	for (i = 0; i < nDropFileCount; i++) {
		fileObj = arrayDropFiles[i];
		factory.consoleprint(i + " : fileObj.name = " + fileObj.name);
		factory.consoleprint(i + " : fileObj.size = " + fileObj.size);
	}
	
	// 드롭된 파일 오브젝트 배열을 업로드 대상에 추가
	this.uploader_basic.addfileobjectarray(arrayDropFiles);
}

// 파일 업로드 컴포넌트 개별 파일 업로드 진행 상태 이벤트 처리
function uploader_basic_on_fileprogress(objInst, nFileIndex, strFileName, nPos)
{
	// 파일 업로드 진행 상태 업데이트
	this.grdList.setitemtext(nFileIndex, 6, nPos);
}

// 파일 업로드 컴포넌트 개별 파일 럽로드 완료 이벤트 처리
function uploader_basic_on_filecomplete(objInst, nFileIndex, strFileName)
{
	// 파일 업로드 완료 상태 업데이트
	this.UpdateOneFileStauts(nFileIndex);
}

// 파일 업로드 컴포넌트 업로드 대상 목록 변경 이벤트 처리
function uploader_basic_on_listupdate(objInst)
{
	// 업로드 대상 파일 목록 정보를 그리드에 다시 표시
	this.ReloadFileStatus();
}

function fileAlert(){
	
   var strTitle   = "파일 업로드 안내"; 
   var strMsg     = "허용되지 않은 파일 규격입니다.";
   var nBtnType   = 1;
   var strMsgId   = "fileAlert";
	
   // 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
   SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
}

// 부모창에 load 할 data 설정
function paranet_screen_data_load (){
	//console.log("########### paranet_screen_data_load #######" );
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	var param = {};
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}

function file_upload_complete_check(){
	//var this.grdList.setitemtext(nFileIndex, 8, this.uploader_basic.getfileresultmsg(nFileIndex));
	var rowCnt = this.grdList.getrowcount();
	var allFilsUpload = false;
	for(var i=0; i<rowCnt;i++){
		//console.log("["+i+"] : "+this.grdList.getitemtext(i, 8));
		if( this.grdList.getitemtext(i, 8) == 1 ) {
			allFilsUpload = true;
		}else{
			allFilsUpload = false;
			break;
		}
	}
	
	// 모든 파일이 완료되었으면, DB에 저장..
	if(allFilsUpload){
		//SYSUtil.showDataSetLog(this.DS_FILES_INFO);
		SYSTran.requestSubmitSync(this.screen, "TR_INSERT_FILE_INFO");
		
		var strTitle   = "파일 업로드 안내"; 
		var strMsg     = "파일 업로드가 완료되었습니다.";
		var nBtnType   = 1;
		var strMsgId   = "fileUpload";
			
		// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
		 SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
	}
	//return allFilsUpload;
}

function screen_on_popupdestroy(popup_screen, popup_name, result){
	//console.log(popup_name);
	//SYSVar.ACTIVE_POPUP_SCREEN.getmembers()._btnPopClose_on_mouseup();value
	
	var param = {"fileNo":this.returnFileNo};
	SYSUtil.popCloseCallBack(this.screen, param);
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	//console.log("###########################################");
	//console.log(this.DS_FILE_INSERT_INFO.getrowcount());
	//console.log(this.DS_FILE_INSERT_INFO.getdatabyname(0, "nextFileNo"));
	SYSUtil.showDataSetLog(this.DS_FILE_INSERT_INFO);
	this.returnFileNo = this.DS_FILE_INSERT_INFO.getdatabyname(0, "nextFileNo");
}