﻿function screen_on_load()
{
	var objExtraData = screen.getextradata();
	selectColumn(objExtraData);
	screen.setcustomprop("data", objExtraData);
	if(objExtraData.options.exoption == true){
		setCompOptionValue(objExtraData.options);
	}
}

function btnClose_on_mouseup(objInst)
{
	screen.unload();
}

function chkPassword_on_itemchange(objInst, prev_value, curr_value, event_type)
{
	if(chkPassword.getcheck()){
		fldPassword.setenable(true);
	}else{
		fldPassword.setenable(false);
	}
}

function selectColumn(data){
	var colData = "";
	var idx = 0;
	
	if(data != undefined || data != ""){
		data.header[0].forEach(function(item, colIndex, array){
			data.header.forEach(function(item, index, array){
				colData += "["+item[colIndex]+"] ";
			});
			idx = grdSaveColList.addrow();
			grdSaveColList.setitemtextbyname(idx, "COL_NAME", colData);
			colData = "";
		});
	}
	
	grdSaveColList.setcheckedallrow(true);
}

function setSaveExcelOptions(){
	var excelData = screen.getcustomprop("data");
	var options = {};
	options.screenname = excelData.screenname;
	options.headertitle = chkHeaderTitle.getcheck();
	options.pattern = chkPattern.getcheck();
	options.statistics = chkStat.getcheck();
	options.backcolor = chkBackColor.getcheck();
	options.numbertostring = chkNumToString.getcheck();
	options.passwordyn = chkPassword.getcheck();
	options.password = fldPassword.gettext();
	options.printpage = cboPrintPage.getselectedcode();
	options.closepopup = chkClosePopup.getcheck();
	options.openexcel = chkOpenExcel.getcheck();
	options.rownumber = false;
	if(excelData.options.exoption == false){
		options.overwrite = "0";
	}else{
		options.overwrite = excelData.options.overwrite;
		options.direct = excelData.options.direct;
		options.filename = excelData.options.filename;
	}
	
	options.showprogress = "0";
	excelData["options"] = options;
	screen.setcustomprop("data", excelData);
}

function setCompOptionValue(options){
	chkPattern.setcheck(options.pattern);
	chkHeaderTitle.setcheck(options.headertitle);
	chkClosePopup.setcheck(options.closepopup);
	chkOpenExcel.setcheck(options.openexcel);
}

function setCheckColumnIndex(){
	var excelData = screen.getcustomprop("data");
	var arrUnCheckedIndex = [];
	var delCnt = 0;
	var nCheckedR = true;

	for(var idx = 0; idx < grdSaveColList.getrowcount(); idx++)
	{
		nCheckedR = grdSaveColList.ischeckedrow(idx);
		if(!nCheckedR){
			arrUnCheckedIndex.push(idx);
		}
	}
	
	excelData.header.forEach(function(item, headerCnt, array){
		arrUnCheckedIndex.forEach(function(item, index, array){
			excelData.header[headerCnt].splice(arrUnCheckedIndex[index] - delCnt, 1);
			delCnt++;
		});
		delCnt = 0;
	});
	
	excelData.data.forEach(function(item, dataCnt, array){
		arrUnCheckedIndex.forEach(function(item, index, array){
			excelData.data[dataCnt].splice(arrUnCheckedIndex[index] - delCnt, 1);
			delCnt++;
		});
		delCnt = 0;
	});
	
	excelData.backcolor.forEach(function(item, backColorCnt, array){
		arrUnCheckedIndex.forEach(function(item, index, array){
			excelData.backcolor[backColorCnt].splice(arrUnCheckedIndex[index] - delCnt, 1);
			delCnt++;
		});
		delCnt = 0;
	});
	
	excelData.pattern.forEach(function(item, patternCnt, array){
		arrUnCheckedIndex.forEach(function(item, index, array){
			excelData.pattern[patternCnt].splice(arrUnCheckedIndex[index] - delCnt, 1);
			delCnt++;
		});
		delCnt = 0;
	});
}

function btnSave_on_mouseup(objInst)
{
	setSaveExcelOptions();
	setCheckColumnIndex();
	console.log("***excelData***");
	console.log(screen.getcustomprop("data"));
	var excelData = factory.jsonstringify(screen.getcustomprop("data"));
	var rtn = SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("saveexcel",[excelData]);
	if(rtn == true || rtn == "true"){
		mtState.settext("엑셀 출력 완료");
	}else{
		mtState.settext(rtn);
	}
}